export type AlertColor = 'success' | 'warning' | 'danger' | 'info';
export type AlertVariant = 'standard' | 'outlined';
export declare const AlertIconMap: {
    success: string;
    warning: string;
    info: string;
    danger: string;
};
export declare const AlertIconColorsMap: {
    success: string;
    warning: string;
    info: string;
    danger: string;
};
export interface AlertV4Configuration {
    color: AlertColor;
    variant?: AlertVariant;
    title?: string;
    description: string;
    action?: {
        label: string;
        onClick: () => void;
    };
}
