import { ChartData as ChartJsData, ChartDataset as ChartJsDataSets } from 'chart.js';
import { ChartData } from './entities/chart-data';
import { ChartType } from './entities/chart-type.enum';
import * as i0 from "@angular/core";
export declare class ChartDataService {
    parseChartData(data: ChartData, type: ChartType, isStacked?: boolean): ChartJsData;
    setLastDotted(dataset: ChartJsDataSets[]): ChartJsDataSets[];
    private getDataSet;
    private getGroupedDataSet;
    private getLegends;
    private getTotals;
    private getPieData;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartDataService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ChartDataService>;
}
