import { ChipFilterBaseComponent } from '@ironsource/fusion-ui/components/chip-filter/common/base';
import { ChipFilterButtonSize, ChipFilterButtonWeight } from './chip-filter-button.entities';
import * as i0 from "@angular/core";
export declare class ChipFilterButtonComponent extends ChipFilterBaseComponent {
    size: ChipFilterButtonSize;
    weight: ChipFilterButtonWeight;
    showCaretIcon: boolean;
    get chipFilterButtonClass(): string;
    get closeIconName(): string;
    get showClose(): boolean;
    get showCaretDown(): boolean;
    /** @internal */
    placeholderChipV4Mode: boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipFilterButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChipFilterButtonComponent, "fusion-chip-filter-button", never, { "size": { "alias": "size"; "required": false; }; "weight": { "alias": "weight"; "required": false; }; "showCaretIcon": { "alias": "showCaretIcon"; "required": false; }; }, {}, never, [".filter-element", ".fu-chip-content"], true, never>;
}
