import { EventEmitter } from '@angular/core';
import { DragAndDropListChanges } from '@ironsource/fusion-ui/directives/drag-and-drop';
import { ItemDragAndDrop } from './draggable-items-list.entities';
import * as i0 from "@angular/core";
export declare class DraggableItemsListComponent {
    #private;
    set items(value: ItemDragAndDrop[]);
    get items(): ItemDragAndDrop[];
    orderChanged: EventEmitter<DragAndDropListChanges>;
    itemRemoved: EventEmitter<{
        removedAtIndex: number;
        itemList: ItemDragAndDrop[];
    }>;
    removeItem(index: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DraggableItemsListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DraggableItemsListComponent, "fusion-draggable-items-list", never, { "items": { "alias": "items"; "required": false; }; }, { "orderChanged": "orderChanged"; "itemRemoved": "itemRemoved"; }, never, never, true, never>;
}
