import { EventEmitter, Injector } from '@angular/core';
import { IncludeExcludeTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class DropdownDualMultiSelectFooterComponent {
    private injector;
    /** @internal */
    testId: string;
    applySelect: EventEmitter<boolean>;
    closeSelect: EventEmitter<any>;
    /** @internal */
    testIdIncludeExcludeModifiers: typeof IncludeExcludeTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    constructor(injector: Injector);
    applySelectItems(close: boolean): void;
    closeSelectItems(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownDualMultiSelectFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownDualMultiSelectFooterComponent, "fusion-dropdown-dual-multi-select-footer", never, { "testId": { "alias": "testId"; "required": false; }; }, { "applySelect": "applySelect"; "closeSelect": "closeSelect"; }, never, never, false, never>;
}
