import { EventEmitter } from '@angular/core';
import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option/entities';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown/service';
import * as i0 from "@angular/core";
export declare abstract class DropdownOptionsListBaseComponent {
    dropdownService: DropdownService;
    displayedOptions: DropdownOption[];
    isMultiRawDisplay: boolean;
    mappingOptions: any;
    selected: DropdownOption[];
    lastSearchValue: string;
    optionRightHoverText: string;
    optionCloseIcon: boolean;
    changeSelected: EventEmitter<any>;
    constructor(dropdownService: DropdownService);
    isSelected(option: any): boolean;
    getOptionClasses(option: DropdownOption): {
        [x: string]: string | boolean | {
            text: string;
            icon?: string;
        };
        'is-selected': boolean;
        'is-disabled': boolean;
        'is-with-second-line': {
            text: string;
            icon?: string;
        };
    };
    onChangeSelected(option: DropdownOption, $event: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownOptionsListBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownOptionsListBaseComponent, never, never, { "displayedOptions": { "alias": "displayedOptions"; "required": false; }; "isMultiRawDisplay": { "alias": "isMultiRawDisplay"; "required": false; }; "mappingOptions": { "alias": "mappingOptions"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "lastSearchValue": { "alias": "lastSearchValue"; "required": false; }; "optionRightHoverText": { "alias": "optionRightHoverText"; "required": false; }; "optionCloseIcon": { "alias": "optionCloseIcon"; "required": false; }; }, { "changeSelected": "changeSelected"; }, never, never, false, never>;
}
