import { EventEmitter } from '@angular/core';
import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown';
import * as i0 from "@angular/core";
export declare class DropdownOptionsListV4Component {
    dropdownService: DropdownService;
    displayedOptions: DropdownOption[];
    selectedOptions: DropdownOption[];
    changeSelected: EventEmitter<any>;
    constructor(dropdownService: DropdownService);
    onChangeSelected(option: DropdownOption, $event: Event): void;
    isSelected(option: any): boolean;
    trackByFunc(index: number, option: DropdownOption): string | number;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownOptionsListV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownOptionsListV4Component, "fusion-dropdown-options-list", never, { "displayedOptions": { "alias": "displayedOptions"; "required": false; }; "selectedOptions": { "alias": "selectedOptions"; "required": false; }; }, { "changeSelected": "changeSelected"; }, never, never, true, never>;
}
