import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { Subject } from 'rxjs';
import { DropdownSelectConfigurations } from '@ironsource/fusion-ui/components/dropdown-select/entities';
import { DropdownSearchComponent } from '@ironsource/fusion-ui/components/dropdown-search/v1';
import * as i0 from "@angular/core";
export declare abstract class DropdownSelectBaseComponent implements OnInit, OnDestroy {
    searchComponent: DropdownSearchComponent;
    searchValueChanged: EventEmitter<string>;
    set configurations(configurations: DropdownSelectConfigurations);
    get configurations(): DropdownSelectConfigurations;
    private _configurations;
    placeholder: string;
    searchValue: FormControl<any>;
    onDestroy$: Subject<void>;
    ngOnInit(): void;
    ngOnDestroy(): void;
    resetSearch(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownSelectBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownSelectBaseComponent, never, never, { "configurations": { "alias": "configurations"; "required": false; }; }, { "searchValueChanged": "searchValueChanged"; }, never, never, false, never>;
}
