import { DropdownBaseComponent } from '@ironsource/fusion-ui/components/dropdown/common/base';
import { DropdownTriggerMode } from '@ironsource/fusion-ui/components/dropdown';
import { DropdownTriggerSize } from './dropdown-v4.entities';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import { InputVariant } from '@ironsource/fusion-ui/components/input/v4';
import { DynamicComponent } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import * as i0 from "@angular/core";
export declare class DropdownV4Component extends DropdownBaseComponent {
    size: DropdownTriggerSize;
    set triggerMode(value: DropdownTriggerMode);
    dynamicTrigger?: DynamicComponent;
    get triggerMode(): DropdownTriggerMode;
    hideCaretIcon: boolean;
    helperText: string;
    helperIcon: string;
    helperVariant: InputVariant;
    labelText: string;
    labelRequired: boolean;
    labelIcon: IconData;
    labelTooltipText: string;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownV4Component, "fusion-dropdown", never, { "size": { "alias": "size"; "required": false; }; "triggerMode": { "alias": "triggerMode"; "required": false; }; "dynamicTrigger": { "alias": "dynamicTrigger"; "required": false; }; "hideCaretIcon": { "alias": "hideCaretIcon"; "required": false; }; "helperText": { "alias": "helperText"; "required": false; }; "helperIcon": { "alias": "helperIcon"; "required": false; }; "helperVariant": { "alias": "helperVariant"; "required": false; }; "labelText": { "alias": "labelText"; "required": false; }; "labelRequired": { "alias": "labelRequired"; "required": false; }; "labelIcon": { "alias": "labelIcon"; "required": false; }; "labelTooltipText": { "alias": "labelTooltipText"; "required": false; }; }, {}, never, never, true, never>;
}
