import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import { FieldHelpTextTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class InputHelperComponent {
    text: string;
    state: 'default' | 'error' | 'success' | 'warning';
    iconName: IconData;
    testId: string;
    /** @internal */
    testIdsService: TestIdsService;
    /** @internal */
    protected readonly fieldHelpTextTestIdModifiers: typeof FieldHelpTextTestIdModifiers;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputHelperComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputHelperComponent, "fusion-input-helper", never, { "text": { "alias": "text"; "required": false; }; "state": { "alias": "state"; "required": false; }; "iconName": { "alias": "iconName"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, never, true, never>;
}
