import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import { LayoutUser } from '@ironsource/fusion-ui/entities';
import { SidebarMenuItem } from '@ironsource/fusion-ui/components/sidebar/common/entities';
export interface LayoutHeaderContentTitle {
    text?: string;
    subtitle?: string;
    content?: DynamicComponentConfiguration;
    type?: 'static' | 'page' | 'fixed';
}
export declare enum PageHeaderPosition {
    OnTopPageContent = 0,
    OnLayoutHeader = 1
}
export interface LayoutHeaderComponentConfiguration {
    title?: LayoutHeaderContentTitle;
    content?: DynamicComponentConfiguration;
    menuItems?: SidebarMenuItem[];
    user?: LayoutUser;
}
