import { EventEmitter } from '@angular/core';
import { LayoutHeaderMenuConfiguration } from './layout-header-menu-entity';
import { SidebarMenuItem } from '@ironsource/fusion-ui/components/sidebar/common/entities';
import { LayoutUser } from '@ironsource/fusion-ui/entities';
import * as i0 from "@angular/core";
export declare class LayoutHeaderMenuComponent {
    set configuration(value: LayoutHeaderMenuConfiguration);
    layoutHeaderMenuItemClicked: EventEmitter<SidebarMenuItem>;
    isUserMenu: boolean;
    userData: LayoutUser;
    menuItems: SidebarMenuItem[];
    onMenuItemClicked(menuItem: SidebarMenuItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutHeaderMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutHeaderMenuComponent, "fusion-layout-header-menu", never, { "configuration": { "alias": "configuration"; "required": false; }; }, { "layoutHeaderMenuItemClicked": "layoutHeaderMenuItemClicked"; }, never, never, false, never>;
}
