import { LayoutUser } from '@ironsource/fusion-ui/entities';
import { LayoutHeaderComponentConfiguration } from './components/layout-header/layout-header-entity';
import { SidebarMenuItem } from '@ironsource/fusion-ui/components/sidebar/common/entities';
import { SvgOptions } from '@ironsource/fusion-ui/components/svg';
export interface LayoutComponentConfiguration {
    sidebarMenuItems?: SidebarMenuItem[];
    headerConfiguration?: LayoutHeaderComponentConfiguration;
    user?: LayoutUser;
    pathNameNormalizeRegex?: RegExp;
    logoClickable?: boolean;
}
export declare enum LayoutMediaType {
    Desktop = 0,
    Tablet = 1,
    Mobile = 2
}
export interface LayoutModuleOptions {
    svgOptions: SvgOptions;
}
export type LayoutForceScreenMode = 'desktop' | 'tablet' | 'mobile';
