import { OnInit, EventEmitter } from '@angular/core';
import { MonthPicker } from '@ironsource/fusion-ui/components/month-picker/common/base';
import * as i0 from "@angular/core";
export declare class MonthPickerSelectorComponent implements OnInit {
    min: MonthPicker;
    max: MonthPicker;
    set selected(value: MonthPicker);
    selectedChange: EventEmitter<MonthPicker>;
    monthNames: string[];
    year: number;
    currentMonthPicker: MonthPicker;
    selectedValue: MonthPicker;
    arrowLeftIconName: {
        iconName: string;
        iconVersion: string;
    };
    arrowRightIconName: {
        iconName: string;
        iconVersion: string;
    };
    ngOnInit(): void;
    isMonthDisabled(monthIndex: number): boolean;
    isMonthSelected(monthIndex: number): boolean;
    onYearChange(isNext: boolean): void;
    selectMonth(idx: number): void;
    private setDefaultYear;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonthPickerSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MonthPickerSelectorComponent, "fusion-month-picker-selector", never, { "min": { "alias": "min"; "required": false; }; "max": { "alias": "max"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; }, { "selectedChange": "selectedChange"; }, never, never, false, never>;
}
