import { EventEmitter } from '@angular/core';
import { MenuItem } from '@ironsource/fusion-ui/components/menu/common/base';
import { BehaviorSubject } from 'rxjs';
import { secondaryMenuItem } from './navigation-secondary-menu.entities';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import * as i0 from "@angular/core";
export declare class NavigationSecondaryMenuComponent {
    set menuItems(value: MenuItem[]);
    get menuItems(): secondaryMenuItem[];
    menuName: string;
    menuLogoSrc: string;
    menuItemClick: EventEmitter<MenuItem>;
    itemChildToggleIcon: string;
    itemNewTabIcon: string;
    selectedMenuItem$: BehaviorSubject<secondaryMenuItem>;
    quickActionTooltipConfiguration: {
        position: TooltipPosition;
        suppressPositionArrow: boolean;
    };
    private _menuItems;
    constructor();
    onMenuItemClicked($event: MouseEvent, menuItem: secondaryMenuItem): void;
    setSelected(menuItem: secondaryMenuItem): void;
    private toggleChildItems;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationSecondaryMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigationSecondaryMenuComponent, "fusion-navigation-secondary-menu", never, { "menuItems": { "alias": "menuItems"; "required": false; }; "menuName": { "alias": "menuName"; "required": false; }; "menuLogoSrc": { "alias": "menuLogoSrc"; "required": false; }; }, { "menuItemClick": "menuItemClick"; }, never, never, true, never>;
}
