import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import * as i0 from "@angular/core";
export declare class TableEmptyComponent {
    private sanitizer;
    fusionTableEmpty: number;
    customContent: DynamicComponentConfiguration;
    header: string;
    subHeader: string;
    icon: string;
    imageBackgroundUrl: string;
    showNoDataImage: boolean;
    constructor(sanitizer: DomSanitizer);
    get imageBackground(): SafeStyle;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableEmptyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableEmptyComponent, "[fusionTableEmpty]", never, { "fusionTableEmpty": { "alias": "fusionTableEmpty"; "required": false; }; "customContent": { "alias": "customContent"; "required": false; }; "header": { "alias": "header"; "required": false; }; "subHeader": { "alias": "subHeader"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "imageBackgroundUrl": { "alias": "imageBackgroundUrl"; "required": false; }; "showNoDataImage": { "alias": "showNoDataImage"; "required": false; }; }, {}, never, never, false, never>;
}
