import { ElementRef, EventEmitter, OnDestroy, OnInit, QueryList, Renderer2 } from '@angular/core';
import { Subject } from 'rxjs';
import { TabSelectedEventData } from './tabs.entities';
import { TabComponent } from '../tab/tab.component';
import * as i0 from "@angular/core";
export declare class TabsComponent implements OnInit, OnDestroy {
    private _element;
    private _renderer;
    selectedChange: EventEmitter<TabSelectedEventData>;
    /** @internal */
    tabList: QueryList<TabComponent>;
    /** @internal */
    onDestroy$: Subject<void>;
    constructor(_element: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private onClick;
    private setSelectedAndGetIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsComponent, "fusion-tabs", never, {}, { "selectedChange": "selectedChange"; }, ["tabList"], ["*"], false, never>;
}
