import { ElementRef, EventEmitter, OnDestroy, OnInit, QueryList, Renderer2 } from '@angular/core';
import { TabV4SelectedEventData } from './tabs-v4.entities';
import { Subject } from 'rxjs';
import { TabV4Component } from '../tab/tab-v4.component';
import * as i0 from "@angular/core";
export declare class TabsV4Component implements OnInit, OnDestroy {
    private _element;
    private _renderer;
    variant: 'card' | 'page';
    get isPage(): boolean;
    selectedChange: EventEmitter<TabV4SelectedEventData>;
    /** @internal */
    tabList: QueryList<TabV4Component>;
    /** @internal */
    onDestroy$: Subject<void>;
    testId: string;
    constructor(_element: ElementRef, _renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private onClick;
    private setSelectedAndGetIndex;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabsV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabsV4Component, "fusion-tabs", never, { "variant": { "alias": "variant"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, { "selectedChange": "selectedChange"; }, ["tabList"], ["*"], true, never>;
}
