import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { DroppedListOption } from '@ironsource/fusion-ui/components/dropped-list/v4';
import * as i0 from "@angular/core";
export declare class TextWithDroppedListComponent implements OnInit, OnDestroy {
    #private;
    private hostElementRef;
    size: 'small' | 'medium';
    text: string;
    disabled: boolean;
    list: DroppedListOption[];
    /** @ignore */
    showedList$: BehaviorSubject<boolean>;
    constructor(hostElementRef: ElementRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextWithDroppedListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextWithDroppedListComponent, "fusion-text-with-dropped-list", never, { "size": { "alias": "size"; "required": false; }; "text": { "alias": "text"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "list": { "alias": "list"; "required": false; }; }, {}, never, never, true, never>;
}
