import { ElementRef, Renderer2, TemplateRef } from '@angular/core';
import { TooltipComponentStyleConfiguration, TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import * as i0 from "@angular/core";
export declare class TooltipContentComponent {
    /** @internal */
    elementRef: ElementRef;
    private renderer;
    /** @internal */
    tooltipInnerText: string;
    /** @internal */
    position: string;
    /** @internal */
    temp: TemplateRef<any>;
    set tooltipTextContent(text: string);
    /** @internal */
    set templateRef(template: TemplateRef<any>);
    set tooltipPositionClass(pos: TooltipPosition);
    set tooltipStyleConfiguration(config: TooltipComponentStyleConfiguration);
    constructor(
    /** @internal */
    elementRef: ElementRef, renderer: Renderer2);
    private setTooltipStyle;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipContentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipContentComponent, "fusion-tooltip-content", never, { "tooltipTextContent": { "alias": "tooltipTextContent"; "required": false; }; "templateRef": { "alias": "templateRef"; "required": false; }; "tooltipPositionClass": { "alias": "tooltipPositionClass"; "required": false; }; "tooltipStyleConfiguration": { "alias": "tooltipStyleConfiguration"; "required": false; }; }, {}, never, never, false, never>;
}
