import { Injector } from '@angular/core';
import { tooltipConfiguration } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { TooltipTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class TooltipV4Component {
    private injector;
    constructor(injector: Injector);
    /** @internal */
    set fusionTooltipText(value: string);
    /** @internal */
    set tooltipConfiguration(value: tooltipConfiguration);
    testId: string;
    /** @internal */
    tooltipConfig: tooltipConfiguration;
    /** @internal */
    tooltipText: string;
    /** @internal */
    testIdTooltipModifiers: typeof TooltipTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    get testAttribute(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TooltipV4Component, "fusion-tooltip", never, { "fusionTooltipText": { "alias": "fusionTooltipText"; "required": false; }; "tooltipConfiguration": { "alias": "tooltipConfiguration"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, [".fusionTooltipTrigger", ".fusionTooltipContent"], true, never>;
}
