import { AfterViewInit, OnInit, OnDestroy, ElementRef, EventEmitter } from '@angular/core';
import { WindowService } from '@ironsource/fusion-ui/services/window';
import { IntersectionOptions } from './intersection';
import * as i0 from "@angular/core";
export declare class IntersectionDirective implements OnInit, OnDestroy, AfterViewInit {
    private el;
    private windowService;
    set intersectionOptions(value: IntersectionOptions);
    fusionIntersection: EventEmitter<IntersectionObserverEntry>;
    private isSupported;
    private isAfterViewInit;
    private observer;
    private options;
    private observerCallback;
    constructor(el: ElementRef, windowService: WindowService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    private observe;
    private disconnect;
    private createObserverOptions;
    private createRootMarginValue;
    private getRoot;
    static ɵfac: i0.ɵɵFactoryDeclaration<IntersectionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IntersectionDirective, "[fusionIntersection]", never, { "intersectionOptions": { "alias": "intersectionOptions"; "required": false; }; }, { "fusionIntersection": "fusionIntersection"; }, never, never, false, never>;
}
