import * as i0 from "@angular/core";
/** @dynamic */
export declare class ScrollToService {
    private document;
    constructor(document: Document);
    /**
     * Scroll to element
     */
    scrollTo({ element, duration, offset, mainView }: {
        element: string | HTMLElement;
        duration: number;
        offset: number;
        mainView: string;
    }): void;
    /**
     * Get HTMLElement
     */
    private _getElem;
    /**
     * Do scroll to the element
     */
    private _scrollToElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<ScrollToService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ScrollToService>;
}
