export declare enum ChipFilterTestIdModifiers {
    CHIP_FILTER = "chf",
    RESET_BUTTON = "chf-reset-button",
    CONTAINER = "chf-container",
    WRAPPER = "chf-wrapper",
    LEFT_ICON = "chf-left-icon",
    RIGHT_ICON = "chf-right-icon",
    CLOSE_ICON = "chf-close-icon",
    CARET_ICON = "chf-caret-icon"
}
export declare enum ButtonTestIdModifiers {
    BUTTON = "button",
    ICON = "button-icon",
    LOADER = "button-loader",
    CONTENT = "button-content"
}
export declare enum LinkTestIdModifiers {
    LINK = "link",
    CONTENT = "link-content",
    START_ICON = "link-start-icon",
    END_ICON = "link-end-icon",
    EXTERNAL_ICON = "link-external-icon"
}
export declare enum DropdownTestIdModifiers {
    TRIGGER = "dd-trigger",
    WRAPPER = "dd-wrapper",
    BUTTON = "dd-button",
    TRIGGER_IMAGE = "dd-trigger-image",
    TRIGGER_ICON = "dd-trigger-icon",
    TRIGGER_CARET_ICON = "dd-trigger-caret",
    TRIGGER_COUNTRY_FLAG = "dd-trigger-flag",
    LOADING = "dd-loading",
    BUTTON_WRAPPER = "dd-button-wrapper",
    BUTTON_CONTENT = "dd-button-content",
    BUTTON_CLEAR = "dd-button-clear",
    LABEL = "dd-label",
    LIST_CONTAINER = "dd-list-container",
    SEARCH = "dd-search",
    TITLE = "dd-title",
    ACTION_CANCEL = "dd-action-cancel",
    ACTION_APPLY = "dd-action-apply",
    ACTION_CLEAR_ALL = "dd-action-clear-all",
    HELPER_TEXT = "dd-helper-text",
    HELPER_TEXT_ERROR = "dd-helper-text-error",
    SELECT_ALL = "dd-select-all",
    NO_RESULT = "dd-no-result"
}
export declare enum MultiDropdownTestIdModifiers {
    WRAPPER = "multi-dropdown-wrapper",
    TRIGGER = "multi-dropdown-trigger",
    DEFAULT_TRIGGER = "multi-dropdown-default-trigger",
    SEARCH_INPUT = "multi-dropdown-search-input",
    OPTIONS_HOLDER = "multi-dropdown-options-holder",
    SELECT_ALL_CHECKBOX = "multi-dropdown-select-all-checkbox",
    OPTION = "multi-dropdown-option",
    GROUP_OPTION = "multi-dropdown-group-option",
    PARENT_OPTION = "multi-dropdown-parent-option",
    REGULAR_OPTION_LABEL = "multi-dropdown-regular-option-label",
    GROUP_NAME = "multi-dropdown-group-name",
    SUBGROUP_OPTIONS = "multi-dropdown-subgroup-options",
    ACTIONS_HOLDER = "multi-dropdown-actions-holder",
    CLEAR_ALL_BUTTON = "multi-dropdown-clear-all-button",
    CANCEL_BUTTON = "multi-dropdown-cancel-button",
    APPLY_BUTTON = "multi-dropdown-apply-button",
    LOADER_HOLDER = "multi-dropdown-loader-holder",
    NO_RESULTS = "multi-dropdown-no-results",
    CHIP_CONTENT = "multi-dropdown-chip-content",
    CHIP_TEXT = "multi-dropdown-chip-text"
}
export declare enum ToggleButtonGroupTestIdModifiers {
    WRAPPER = "toggle-button-group-wrapper",
    OPTION = "toggle-button-group-option",
    OPTION_RADIO_INPUT = "toggle-button-group-option-radio-input",
    OPTION_ICON = "toggle-button-group-option-icon",
    OPTION_LABEL = "toggle-button-group-option-label"
}
export declare enum TrendIndicatorTestIdModifiers {
    CHIP = "trend-indicator-chip",
    ICON = "trend-indicator-icon",
    VALUE = "trend-indicator-value"
}
export declare enum TabsTestIdModifiers {
    WRAPPER = "tabs-wrapper",
    TAB = "tab",
    TAB_DISABLED = "tab-disabled"
}
export declare enum FieldHelpTextTestIdModifiers {
    CONTAINER = "field-help-text-container",
    TEXT = "field-help-text-text",
    ICON = "field-help-text-icon"
}
export declare enum FieldLabelTestIdModifiers {
    CONTAINER = "field-label-container",
    TEXT = "field-label-text",
    MANDATORY = "field-label-mandatory",
    TOOLTIP = "field-label-help-tooltip",
    ICON = "field-label-icon"
}
export declare enum AlertTestIdModifiers {
    WRAPPER = "alert-wrapper",
    TITLE = "alert-title",
    MESSAGE = "alert-message",
    ACTION_BUTTON = "alert-action-button",
    CLOSE_BUTTON = "alert-close-button"
}
export declare enum InputTestIdModifiers {
    WRAPPER = "input-wrapper",
    TOOLTIP = "input-tooltip",
    MANDATORY = "input-mandatory",
    LABEL_CONTAINER = "input-label-container",
    LABEL_TEXT = "input-label-text",
    HELPER_TEXT = "input-helper-text",
    FIELD = "input-field",
    EXTRA_TEXT = "input-extra-text",
    TOGGLE_PASSWORD = "input-toggle-password-icon"
}
export declare enum ToggleTestIdModifiers {
    WRAPPER = "toggle-wrapper",
    START_ICON = "toggle-start-icon",
    END_ICON = "toggle-end-icon",
    LABEL = "toggle-label",
    LABEL_ICON = "toggle-label-icon",
    HELPER = "toggle-helper"
}
export declare enum IncludeExcludeTestIdModifiers {
    INCLUDE_EXCLUDE = "ie",
    CHIP_FILTER_LABEL = "ie-chf-label",
    CHIP_FILTER_VALUE = "ie-chf-value",
    CLEAR_ALL_BUTTON = "ie-clear-all-button",
    TYPE_TITLE = "ie-type-title",
    SEARCH_INPUT = "ie-search-input",
    SELECT_ALL = "ie-select-all",
    SELECTED_AMOUNT = "ie-selected-amount",
    OPTIONS_LIST = "ie-options-list",
    OPTION = "ie-option",
    SELECTED_OPTIONS_LIST = "ie-selected-options-list",
    SELECTED_OPTION = "ie-selected-option",
    CANCEL_BUTTON = "ie-cancel-button",
    APPLY_BUTTON = "ie-apply-button"
}
export declare enum DialogTestIdModifiers {
    MODAL = "modal",
    MODAL_TITLE = "modal-title",
    MODAL_CLOSE_BUTTON = "modal-close-button",
    MODAL_CONTENT = "modal-content",
    MODAL_BUTTON = "modal-button",
    MODAL_SUBMIT_BUTTON = "modal-submit-button",
    MODAL_CANCEL_BUTTON = "modal-cancel-button",
    MODAL_ERROR = "modal-error",
    WRAPPER = "dialog-wrapper",
    MODAL_WRAPPER = "modal-wrapper",
    HEADER = "dialog-header",
    ACTION_CLOSE = "dialog-action-close",
    HEADER_SECONDARY = "dialog-header-secondary",
    ACTION_BUTTONS_WRAPPER = "dialog-action-buttons-wrapper",
    BACKDROP = "dialog-backdrop",
    SAVE_BUTTON = "dialog-save-button",
    CANCEL_BUTTON = "dialog-cancel-button"
}
export declare enum ModalTestIdModifiers {
    MODAL = "modal",
    MODAL_TITLE = "modal-title",
    MODAL_CLOSE_BUTTON = "modal-close-button",
    MODAL_CONTENT = "modal-content",
    MODAL_SUBMIT_BUTTON = "modal-submit-button",
    MODAL_CANCEL_BUTTON = "modal-cancel-button",
    MODAL_ERROR = "modal-error"
}
export declare enum ChartTestIdModifiers {
    WRAPPER = "chart-wrapper",
    CHART = "chart",
    CHART_CANVAS = "chart-canvas",
    TOOLTIP = "chart-tooltip",
    TOOLTIP_WRAPPER = "chart-tooltip-wrapper",
    TOOLTIP_COUNTRY_FLAG = "chart-tooltip-country-flag",
    TOOLTIP_COUNTRY_NAME = "chart-tooltip-country-name",
    TOOLTIP_ITEM = "chart-tooltip-item",
    TOOLTIP_ITEM_COLOR = "chart-tooltip-item-color",
    TOOLTIP_ITEM_LABEL = "chart-tooltip-item-label",
    TOOLTIP_ITEM_VALUE = "chart-tooltip-item-value",
    LABELS_WRAPPER = "chart-labels-wrapper",
    LABEL = "chart-label",
    LABEL_COLOR = "chart-label-color",
    LABEL_TEXT = "chart-label-text"
}
export declare enum TooltipTestIdModifiers {
    TEXT = "tt-text",
    TRIGGER = "tt-trigger",
    HEADER = "tt-header"
}
export declare enum ChartLabelTestIdModifiers {
    WRAPPER = "chart-labels-wrapper",
    LABEL = "chart-label",
    LABEL_COLOR = "chart-label-color",
    LABEL_ICON = "chart-label-icon",
    LABEL_TEXT = "chart-label-text"
}
export declare enum SearchTestIdModifiers {
    INPUT = "search-input",
    CLEAR_BUTTON = "search-clear-button",
    FIELD = "search-field"
}
export declare enum TableTestIdModifiers {
    LABEL = "table-label",
    SEARCH = "table-search",
    HEADER_TOOLTIP = "table-header-tooltip",
    COLUMN_HEADER = "table-header-c",
    COLUMN_TITLE = "table-column-title-c",
    COLUMN_TOOLTIP = "table-column-tooltip-c",
    COLUMN_SORT_UP = "table-column-sort-up-c",
    COLUMN_SORT_DOWN = "table-column-sort-down-c",
    COLUMN_HEADER_SELECT_ALL = "table-header-select-all",
    CELL = "table-cell",
    EXPAND_ICON_BUTTON = "table-expand-icon-button",
    BUTTON_GO_TOP = "table-button-go-top"
}
export declare enum DateRangeTestIdModifiers {
    TRIGGER = "trigger",
    TRIGGER_CUSTOM = "trigger-custom",
    OVERLAY = "overlay",
    PRESETS_WRAPPER = "presets-wrapper",
    PREV_MONTH_BUTTON = "prev-month-button",
    NEXT_MONTH_BUTTON = "next-month-button",
    CALENDAR = "calendar",
    TIME_SELECTOR = "time-selector",
    TIME_CHECKBOX = "time-checkbox",
    TIME_START = "time-start",
    TIME_END = "time-END",
    ACTION_FOOTER = "action-footer",
    ACTION_FOOTER_MESSAGE = "action-footer-message",
    ACTION_CANCEL_BUTTON = "action-cancel-button",
    ACTION_APPLY_BUTTON = "action-apply-button"
}
