import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { DaterangeBaseComponent, DaterangeService } from '@ironsource/fusion-ui/components/daterange/common/base';
export { DEFAULT_DATERANGE_PRESET_LIST, DEFAULT_DATERANGE_PRESET_NAMES, DEFAULT_DATE_FORMAT, DaterangeService } from '@ironsource/fusion-ui/components/daterange/common/base';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/modal/v1';
import { ModalModule } from '@ironsource/fusion-ui/components/modal/v1';
import * as i4 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i5 from '@ironsource/fusion-ui/components/calendar/v1';
import { CalendarModule } from '@ironsource/fusion-ui/components/calendar/v1';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v1';
import { DropdownSelectModule } from '@ironsource/fusion-ui/components/dropdown-select/v1';
export * from '@ironsource/fusion-ui/components/daterange/entities';

const _c0 = a0 => ({ selected: a0 });
function DaterangeComponent_div_12_ng_template_2_li_1_Template(rf, ctx) { if (rf & 1) {
    const _r9 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 19);
    i0.ɵɵlistener("click", function DaterangeComponent_div_12_ng_template_2_li_1_Template_li_click_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r9); const preset_r7 = restoredCtx.$implicit; const ctx_r8 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r8.selectPreset(preset_r7)); });
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const preset_r7 = ctx.$implicit;
    const ctx_r6 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(2, _c0, ctx_r6.currentPreset === preset_r7));
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r6.daterangeService.getPresetName(preset_r7), " ");
} }
function DaterangeComponent_div_12_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul");
    i0.ɵɵtemplate(1, DaterangeComponent_div_12_ng_template_2_li_1_Template, 2, 4, "li", 18);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r4.options.presets);
} }
function DaterangeComponent_div_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 15);
    i0.ɵɵelementContainer(1, 16);
    i0.ɵɵtemplate(2, DaterangeComponent_div_12_ng_template_2_Template, 2, 1, "ng-template", null, 17, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r5 = i0.ɵɵreference(3);
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r1.presetsHeaderTemplate || _r5);
} }
function DaterangeComponent_fusion_calendar_17_Template(rf, ctx) { if (rf & 1) {
    const _r12 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-calendar", 20);
    i0.ɵɵlistener("daySelected", function DaterangeComponent_fusion_calendar_17_Template_fusion_calendar_daySelected_0_listener($event) { i0.ɵɵrestoreView(_r12); const ctx_r11 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r11.onSelectDay($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const month_r10 = ctx.$implicit;
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("configuration", ctx_r2.getCalendarConfigurations(month_r10));
} }
function DaterangeComponent_fusion_modal_footer_20_Template(rf, ctx) { if (rf & 1) {
    const _r14 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-modal-footer", 21);
    i0.ɵɵlistener("onSave", function DaterangeComponent_fusion_modal_footer_20_Template_fusion_modal_footer_onSave_0_listener() { i0.ɵɵrestoreView(_r14); const ctx_r13 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r13.apply()); })("closeButtonClicked", function DaterangeComponent_fusion_modal_footer_20_Template_fusion_modal_footer_closeButtonClicked_0_listener() { i0.ɵɵrestoreView(_r14); const ctx_r15 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r15.close()); });
    i0.ɵɵelementEnd();
} }
const _c1 = a0 => ({ isOpen: a0 });
const _c2 = () => ({ iconName: "calendar-2", iconVersion: "v1" });
const _c3 = () => ({ iconName: "arrow-right", iconVersion: "v1" });
const _c4 = (a0, a1, a2, a3) => ({ visible: a0, isOpen: a1, singleDatePicker: a2, noPresets: a3 });
const _c5 = a0 => ({ large: a0 });
class DaterangeComponent extends DaterangeBaseComponent {
    constructor() {
        super(...arguments);
        this.pevIconName = { iconName: 'arrow-right', iconVersion: 'v1' };
        this.nextIconName = { iconName: 'arrow-right', iconVersion: 'v1' };
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDaterangeComponent_BaseFactory; return function DaterangeComponent_Factory(t) { return (ɵDaterangeComponent_BaseFactory || (ɵDaterangeComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DaterangeComponent)))(t || DaterangeComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DaterangeComponent, selectors: [["fusion-daterange"]], features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DaterangeComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 21, vars: 33, consts: [[3, "id", "fusionClickOutside"], [1, "selection", 3, "ngClass", "click"], [3, "name"], [1, "arrow-icon", 3, "name"], [1, "overlay", 3, "ngClass"], ["overlay", ""], ["class", "presetsWrap", 4, "ngIf"], [1, "rightSide"], [1, "calendarsWrap", 3, "ngClass"], [1, "prev", 3, "click"], [1, "icon-prev", 3, "name"], [3, "configuration", "daySelected", 4, "ngFor", "ngForOf"], [1, "next", 3, "click"], [1, "icon-next", 3, "name"], ["saveButtonText", "Apply", 3, "onSave", "closeButtonClicked", 4, "ngIf"], [1, "presetsWrap"], [3, "ngTemplateOutlet"], ["defaultPreset", ""], [3, "ngClass", "click", 4, "ngFor", "ngForOf"], [3, "ngClass", "click"], [3, "configuration", "daySelected"], ["saveButtonText", "Apply", 3, "onSave", "closeButtonClicked"]], template: function DaterangeComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function DaterangeComponent_Template_div_fusionClickOutside_0_listener($event) { return ctx.onOutsideClick($event); });
            i0.ɵɵelementStart(1, "div", 1);
            i0.ɵɵlistener("click", function DaterangeComponent_Template_div_click_1_listener() { return ctx.toggle(); });
            i0.ɵɵpipe(2, "async");
            i0.ɵɵelement(3, "fusion-icon", 2);
            i0.ɵɵelementStart(4, "span");
            i0.ɵɵtext(5);
            i0.ɵɵelementEnd();
            i0.ɵɵelement(6, "fusion-icon", 3);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(7, "div", 4, 5);
            i0.ɵɵpipe(9, "async");
            i0.ɵɵpipe(10, "async");
            i0.ɵɵpipe(11, "async");
            i0.ɵɵtemplate(12, DaterangeComponent_div_12_Template, 4, 1, "div", 6);
            i0.ɵɵelementStart(13, "div", 7)(14, "div", 8)(15, "div", 9);
            i0.ɵɵlistener("click", function DaterangeComponent_Template_div_click_15_listener() { return ctx.onMonthChange("previous"); });
            i0.ɵɵelement(16, "fusion-icon", 10);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(17, DaterangeComponent_fusion_calendar_17_Template, 1, 1, "fusion-calendar", 11);
            i0.ɵɵelementStart(18, "div", 12);
            i0.ɵɵlistener("click", function DaterangeComponent_Template_div_click_18_listener() { return ctx.onMonthChange("next"); });
            i0.ɵɵelement(19, "fusion-icon", 13);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(20, DaterangeComponent_fusion_modal_footer_20_Template, 1, 0, "fusion-modal-footer", 14);
            i0.ɵɵelementEnd()()();
        } if (rf & 2) {
            i0.ɵɵproperty("id", ctx.id);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(22, _c1, i0.ɵɵpipeBind1(2, 14, ctx.isOpen$)));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("name", i0.ɵɵpureFunction0(24, _c2));
            i0.ɵɵadvance(2);
            i0.ɵɵtextInterpolate(ctx.currentSelectionFormatted);
            i0.ɵɵadvance();
            i0.ɵɵproperty("name", i0.ɵɵpureFunction0(25, _c3));
            i0.ɵɵadvance();
            i0.ɵɵclassMap(i0.ɵɵpipeBind1(9, 16, ctx.overlayAlign$));
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction4(26, _c4, i0.ɵɵpipeBind1(10, 18, ctx.overlayAlign$), i0.ɵɵpipeBind1(11, 20, ctx.isOpen$), ctx.isSingleDatePicker, !ctx.isPresetsShown));
            i0.ɵɵadvance(5);
            i0.ɵɵproperty("ngIf", ctx.isPresetsShown);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(31, _c5, ctx.options.size === "large"));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("name", ctx.pevIconName);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngForOf", ctx.currentMonths);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("name", ctx.nextIconName);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.isSingleDatePicker);
        } }, dependencies: [i1.NgClass, i1.NgForOf, i1.NgIf, i1.NgTemplateOutlet, i2.IconComponent, i3.ModalFooterComponent, i4.ClickOutsideDirective, i5.CalendarComponent, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{font-size:13px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   .selection[_ngcontent-%COMP%]{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]{z-index:2000!important}[_nghost-%COMP%]   .rightSide[_ngcontent-%COMP%]{border-left:1px solid var(--light-color, #E1E6EB)}[_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{border-top:1px solid var(--light-color, #E1E6EB)}[_nghost-%COMP%]{position:relative;display:inline-block;width:100%}[_nghost-%COMP%]   .selection[_ngcontent-%COMP%]{height:39px;line-height:40px;color:var(--dark-color-300, #172D4C);padding-left:15px;cursor:pointer;min-width:230px;box-sizing:border-box}[_nghost-%COMP%]   .selection[_ngcontent-%COMP%]   fusion-icon.calendar-2[_ngcontent-%COMP%]{margin-right:5px;vertical-align:sub;display:inline-block}[_nghost-%COMP%]   .selection[_ngcontent-%COMP%]   fusion-icon.calendar-2[_ngcontent-%COMP%]     svg{width:14px;height:14px}[_nghost-%COMP%]   .selection[_ngcontent-%COMP%]   fusion-icon.calendar-2[_ngcontent-%COMP%]     svg *{fill:var(--light-color-800, #678099)}[_nghost-%COMP%]   .selection[_ngcontent-%COMP%]   fusion-icon.arrow-right[_ngcontent-%COMP%]{position:absolute;right:10px;top:15px;height:8px;line-height:8px}[_nghost-%COMP%]   .selection[_ngcontent-%COMP%]   fusion-icon.arrow-right[_ngcontent-%COMP%]     svg{height:8px;width:5px;transform:rotate(90deg)}[_nghost-%COMP%]   .selection[_ngcontent-%COMP%]   fusion-icon.arrow-right[_ngcontent-%COMP%]     svg *{fill:var(--dark-color-300, #172D4C)}[_nghost-%COMP%]   .selection.isOpen[_ngcontent-%COMP%]{border-top:2px solid var(--primary-color, #3091F6);line-height:36px}[_nghost-%COMP%]   .selection.isOpen[_ngcontent-%COMP%]   fusion-icon.arrow-right[_ngcontent-%COMP%]     svg{height:8px;width:5px;transform:rotate(270deg)}[_nghost-%COMP%]   .selection.isOpen[_ngcontent-%COMP%]   fusion-icon.arrow-right[_ngcontent-%COMP%]     svg *{fill:var(--dark-color-300, #172D4C)}[_nghost-%COMP%]   .selection[_ngcontent-%COMP%]:hover{background-color:var(--light-color-100, #F9FAFB)}[_nghost-%COMP%]   .calendarsWrap[_ngcontent-%COMP%]{padding:20px 0 15px 20px}[_nghost-%COMP%]   .calendarsWrap.large[_ngcontent-%COMP%]{height:297px}[_nghost-%COMP%]   .calendarsWrap[_ngcontent-%COMP%]   fusion-calendar[_ngcontent-%COMP%]{padding-right:20px;display:inline-grid}[_nghost-%COMP%]   .rightSide[_ngcontent-%COMP%]{display:inline-block;vertical-align:top;position:relative}[_nghost-%COMP%]   .rightSide[_ngcontent-%COMP%]   .modal-footer[_ngcontent-%COMP%]{height:inherit}[_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]{display:inline-flex;flex-direction:column;justify-content:space-between;width:170px;user-select:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}[_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none outside none;height:40px;line-height:40px;padding-left:20px;counter-reset:var(--dark-color-300, #172D4C);cursor:pointer}[_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:first-child, [_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:first-child{border-top:none}[_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover{background:var(--light-color-100, #F9FAFB)}[_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.selected[_ngcontent-%COMP%], [_nghost-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ol[_ngcontent-%COMP%]   li.selected[_ngcontent-%COMP%]{background:var(--light-color-100, #F9FAFB);border-left:3px solid var(--primary-color, #3091F6);padding-left:17px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]{position:absolute;display:none;min-width:623px;right:0;top:40px;border-radius:var(--border-radius, 3px);background-color:#fff;box-shadow:0 2px 4px #0000004d;color:var(--dark-color-300, #172D4C);visibility:hidden}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   fusion-icon[class^=icon-prev][_ngcontent-%COMP%]     svg{height:10px;width:6px;transform:rotate(180deg)}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   fusion-icon[class^=icon-prev][_ngcontent-%COMP%]     svg *{fill:var(--dark-color-300, #172D4C)}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   fusion-icon[class^=icon-next][_ngcontent-%COMP%]     svg{height:10px;width:6px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   fusion-icon[class^=icon-next][_ngcontent-%COMP%]     svg *{fill:var(--dark-color-300, #172D4C)}[_nghost-%COMP%]   .overlay.noPresets[_ngcontent-%COMP%]{min-width:453px}[_nghost-%COMP%]   .overlay.singleDatePicker[_ngcontent-%COMP%]{min-width:237px}[_nghost-%COMP%]   .overlay.isOpen[_ngcontent-%COMP%]{display:flex}[_nghost-%COMP%]   .overlay.left[_ngcontent-%COMP%]{left:0;right:initial}[_nghost-%COMP%]   .overlay.visible[_ngcontent-%COMP%]{visibility:initial}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]{position:absolute;cursor:pointer;display:inline-block}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%]{left:20px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]{right:20px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DaterangeComponent, [{
        type: Component,
        args: [{ selector: 'fusion-daterange', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DaterangeComponent),
                        multi: true
                    }
                ], template: "<div [id]=\"id\" (fusionClickOutside)=\"onOutsideClick($event)\">\n\n    <div class=\"selection\" (click)=\"toggle()\" [ngClass]=\"{isOpen: (isOpen$ | async)}\">\n        <fusion-icon [name]=\"{iconName: 'calendar-2', iconVersion: 'v1'}\"></fusion-icon>\n        <span>{{ currentSelectionFormatted }}</span>\n        <fusion-icon [name]=\"{iconName: 'arrow-right', iconVersion: 'v1'}\" class=\"arrow-icon\"></fusion-icon>\n    </div>\n\n\n    <div class=\"overlay\" #overlay  [class]=\"overlayAlign$ | async\"\n         [ngClass]=\"{visible: (overlayAlign$ | async), isOpen: (isOpen$ | async), singleDatePicker: isSingleDatePicker, noPresets: !isPresetsShown}\">\n        <div class=\"presetsWrap\" *ngIf=\"isPresetsShown\">\n            <ng-container [ngTemplateOutlet]=\"presetsHeaderTemplate || defaultPreset\"></ng-container>\n            <ng-template #defaultPreset>\n                <ul>\n                    <li\n                        *ngFor=\"let preset of options.presets\"\n                        (click)=\"selectPreset(preset)\"\n                        [ngClass]=\"{selected: currentPreset === preset}\"\n                    >\n                        {{ daterangeService.getPresetName(preset) }}\n                    </li>\n                </ul>\n            </ng-template>\n        </div>\n        <div class=\"rightSide\">\n            <div class=\"calendarsWrap\" [ngClass]=\"{large: options.size === 'large'}\">\n                <div class=\"prev\" (click)=\"onMonthChange('previous')\">\n                    <fusion-icon class=\"icon-prev\" [name]=\"pevIconName\"></fusion-icon>\n                </div>\n\n                <fusion-calendar\n                    *ngFor=\"let month of currentMonths\"\n                    (daySelected)=\"onSelectDay($event)\"\n                    [configuration]=\"getCalendarConfigurations(month)\"\n                >\n                </fusion-calendar>\n\n                <div class=\"next\" (click)=\"onMonthChange('next')\">\n                    <fusion-icon class=\"icon-next\" [name]=\"nextIconName\"></fusion-icon>\n                </div>\n            </div>\n            <fusion-modal-footer\n                *ngIf=\"!isSingleDatePicker\"\n                (onSave)=\"apply()\"\n                (closeButtonClicked)=\"close()\"\n                saveButtonText=\"Apply\"\n            ></fusion-modal-footer>\n        </div>\n    </div>\n</div>\n", styles: [":host .presetsWrap ul li,:host .presetsWrap ol li{font-size:13px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host .selection{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .overlay{z-index:2000!important}:host .rightSide{border-left:1px solid var(--light-color, #E1E6EB)}:host .presetsWrap ul li,:host .presetsWrap ol li{border-top:1px solid var(--light-color, #E1E6EB)}:host{position:relative;display:inline-block;width:100%}:host .selection{height:39px;line-height:40px;color:var(--dark-color-300, #172D4C);padding-left:15px;cursor:pointer;min-width:230px;box-sizing:border-box}:host .selection fusion-icon.calendar-2{margin-right:5px;vertical-align:sub;display:inline-block}:host .selection fusion-icon.calendar-2 ::ng-deep svg{width:14px;height:14px}:host .selection fusion-icon.calendar-2 ::ng-deep svg *{fill:var(--light-color-800, #678099)}:host .selection fusion-icon.arrow-right{position:absolute;right:10px;top:15px;height:8px;line-height:8px}:host .selection fusion-icon.arrow-right ::ng-deep svg{height:8px;width:5px;transform:rotate(90deg)}:host .selection fusion-icon.arrow-right ::ng-deep svg *{fill:var(--dark-color-300, #172D4C)}:host .selection.isOpen{border-top:2px solid var(--primary-color, #3091F6);line-height:36px}:host .selection.isOpen fusion-icon.arrow-right ::ng-deep svg{height:8px;width:5px;transform:rotate(270deg)}:host .selection.isOpen fusion-icon.arrow-right ::ng-deep svg *{fill:var(--dark-color-300, #172D4C)}:host .selection:hover{background-color:var(--light-color-100, #F9FAFB)}:host .calendarsWrap{padding:20px 0 15px 20px}:host .calendarsWrap.large{height:297px}:host .calendarsWrap fusion-calendar{padding-right:20px;display:inline-grid}:host .rightSide{display:inline-block;vertical-align:top;position:relative}:host .rightSide .modal-footer{height:inherit}:host .presetsWrap{display:inline-flex;flex-direction:column;justify-content:space-between;width:170px;user-select:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none}:host .presetsWrap ul,:host .presetsWrap ol{padding:0;margin:0}:host .presetsWrap ul li,:host .presetsWrap ol li{list-style:none outside none;height:40px;line-height:40px;padding-left:20px;counter-reset:var(--dark-color-300, #172D4C);cursor:pointer}:host .presetsWrap ul li:first-child,:host .presetsWrap ol li:first-child{border-top:none}:host .presetsWrap ul li:hover,:host .presetsWrap ol li:hover{background:var(--light-color-100, #F9FAFB)}:host .presetsWrap ul li.selected,:host .presetsWrap ol li.selected{background:var(--light-color-100, #F9FAFB);border-left:3px solid var(--primary-color, #3091F6);padding-left:17px}:host .overlay{position:absolute;display:none;min-width:623px;right:0;top:40px;border-radius:var(--border-radius, 3px);background-color:#fff;box-shadow:0 2px 4px #0000004d;color:var(--dark-color-300, #172D4C);visibility:hidden}:host .overlay fusion-icon[class^=icon-prev] ::ng-deep svg{height:10px;width:6px;transform:rotate(180deg)}:host .overlay fusion-icon[class^=icon-prev] ::ng-deep svg *{fill:var(--dark-color-300, #172D4C)}:host .overlay fusion-icon[class^=icon-next] ::ng-deep svg{height:10px;width:6px}:host .overlay fusion-icon[class^=icon-next] ::ng-deep svg *{fill:var(--dark-color-300, #172D4C)}:host .overlay.noPresets{min-width:453px}:host .overlay.singleDatePicker{min-width:237px}:host .overlay.isOpen{display:flex}:host .overlay.left{left:0;right:initial}:host .overlay.visible{visibility:initial}:host .overlay .prev,:host .overlay .next{position:absolute;cursor:pointer;display:inline-block}:host .overlay .prev{left:20px}:host .overlay .next{right:20px}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DaterangeComponent, { className: "DaterangeComponent", filePath: "daterange.component.ts", lineNumber: 18 }); })();

class DaterangeModule {
    static { this.ɵfac = function DaterangeModule_Factory(t) { return new (t || DaterangeModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DaterangeModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ providers: [DaterangeService], imports: [CommonModule,
            IconModule,
            ModalModule,
            ReactiveFormsModule,
            ClickOutsideModule,
            CalendarModule,
            ButtonModule,
            DropdownSelectModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DaterangeModule, [{
        type: NgModule,
        args: [{
                declarations: [DaterangeComponent],
                imports: [
                    CommonModule,
                    IconModule,
                    ModalModule,
                    ReactiveFormsModule,
                    ClickOutsideModule,
                    CalendarModule,
                    ButtonModule,
                    DropdownSelectModule
                ],
                providers: [DaterangeService],
                exports: [DaterangeComponent]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DaterangeModule, { declarations: [DaterangeComponent], imports: [CommonModule,
        IconModule,
        ModalModule,
        ReactiveFormsModule,
        ClickOutsideModule,
        CalendarModule,
        ButtonModule,
        DropdownSelectModule], exports: [DaterangeComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DaterangeComponent, DaterangeModule };
//# sourceMappingURL=ironsource-fusion-ui-components-daterange-v1.mjs.map
