import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Directive, NgModule } from '@angular/core';
import { DropdownOptionBaseComponent, DropdownOptionBaseDirective } from '@ironsource/fusion-ui/components/dropdown-option/common/base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import * as i5 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i4 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import * as i3 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';
export * from '@ironsource/fusion-ui/components/dropdown-option/entities';

function DropdownOptionComponent_ng_container_0_fusion_flag_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 10);
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r4.option.flag);
} }
function DropdownOptionComponent_ng_container_0_img_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 11);
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("src", ctx_r5.option.image, i0.ɵɵsanitizeUrl);
} }
function DropdownOptionComponent_ng_container_0_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 12);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r6.option.icon);
} }
function DropdownOptionComponent_ng_container_0_div_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 13)(1, "label");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate((ctx_r7.option.subText == null ? null : ctx_r7.option.subText.text) || ctx_r7.option.subText);
} }
function DropdownOptionComponent_ng_container_0_fusion_icon_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 14);
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r8.closeIcon);
} }
function DropdownOptionComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, DropdownOptionComponent_ng_container_0_fusion_flag_1_Template, 1, 1, "fusion-flag", 3)(2, DropdownOptionComponent_ng_container_0_img_2_Template, 1, 1, "img", 4)(3, DropdownOptionComponent_ng_container_0_fusion_icon_3_Template, 1, 1, "fusion-icon", 5);
    i0.ɵɵelementStart(4, "div", 6);
    i0.ɵɵpipe(5, "generic");
    i0.ɵɵelement(6, "span", 7);
    i0.ɵɵpipe(7, "generic");
    i0.ɵɵtemplate(8, DropdownOptionComponent_ng_container_0_div_8_Template, 3, 1, "div", 8);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(9, DropdownOptionComponent_ng_container_0_fusion_icon_9_Template, 1, 1, "fusion-icon", 9);
    i0.ɵɵpipe(10, "async");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.option.flag);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.option.image);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.option.icon);
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("fusionTooltip", i0.ɵɵpipeBind4(5, 8, ctx_r0.optionToStringFunc, ctx_r0.option, ctx_r0.mappingOptions, ctx_r0.settings));
    i0.ɵɵproperty("id", ctx_r0.option.id);
    i0.ɵɵadvance(2);
    i0.ɵɵpropertyInterpolate("innerHTML", i0.ɵɵpipeBind4(7, 13, ctx_r0.optionToStringFunc, ctx_r0.option, ctx_r0.mappingOptions, ctx_r0.settings), i0.ɵɵsanitizeHtml);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.option.subText);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(10, 18, ctx_r0.shownCloseIcon$));
} }
const _c0 = a0 => ({ "is-selected": a0 });
function DropdownOptionComponent_ng_container_1_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "li", 19);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const childOption_r10 = ctx.$implicit;
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionDropdownOption", childOption_r10)("mappingOptions", ctx_r9.mappingOptions)("ngClass", i0.ɵɵpureFunction1(4, _c0, childOption_r10.isSelected));
    i0.ɵɵattribute("data-id", childOption_r10.id);
} }
function DropdownOptionComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "fusion-icon", 15)(2, "div", 16);
    i0.ɵɵelementStart(3, "ul", 17);
    i0.ɵɵtemplate(4, DropdownOptionComponent_ng_container_1_ng_container_4_Template, 2, 6, "ng-container", 18);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r1.dropdownArrowIconName);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngForOf", ctx_r1.option.childOptions);
} }
function DropdownOptionComponent_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dynamic-components", 20);
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("configuration", ctx_r2.option.content);
} }
const CLOSE_ICON = 'close-bold';
const ARROW_ICON = {
    iconName: 'angle-down',
    iconVersion: 'v3'
};
class DropdownOptionComponent extends DropdownOptionBaseComponent {
    constructor() {
        super(...arguments);
        this.dropdownArrowIconName = ARROW_ICON;
        this.closeIcon = CLOSE_ICON;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownOptionComponent_BaseFactory; return function DropdownOptionComponent_Factory(t) { return (ɵDropdownOptionComponent_BaseFactory || (ɵDropdownOptionComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownOptionComponent)))(t || DropdownOptionComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownOptionComponent, selectors: [["fusion-dropdown-option"]], features: [i0.ɵɵInheritDefinitionFeature], decls: 4, vars: 3, consts: [[4, "ngIf", "ngIfElse"], [4, "ngIf"], ["customContentOption", ""], [3, "name", 4, "ngIf"], ["alt", "", "loading", "lazy", 3, "src", 4, "ngIf"], ["class", "fu-option-icon", 3, "name", 4, "ngIf"], [1, "fu-text-content", "truncate", 3, "id", "fusionTooltip"], [3, "innerHTML"], ["class", "sub-text-container", 4, "ngIf"], ["class", "fu-option-action-icon", 3, "name", 4, "ngIf"], [3, "name"], ["alt", "", "loading", "lazy", 3, "src"], [1, "fu-option-icon", 3, "name"], [1, "sub-text-container"], [1, "fu-option-action-icon", 3, "name"], [1, "icon-arrow", 3, "name"], [1, "fu-flex-row-break"], [1, "is-subgroup-options"], [4, "ngFor", "ngForOf"], [3, "fusionDropdownOption", "mappingOptions", "ngClass"], [3, "configuration"]], template: function DropdownOptionComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, DropdownOptionComponent_ng_container_0_Template, 11, 20, "ng-container", 0)(1, DropdownOptionComponent_ng_container_1_Template, 5, 2, "ng-container", 1)(2, DropdownOptionComponent_ng_template_2_Template, 1, 1, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            const _r3 = i0.ɵɵreference(3);
            i0.ɵɵproperty("ngIf", !ctx.option.content)("ngIfElse", _r3);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.hasChildren);
        } }, styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}[_nghost-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .sub-text-container[_ngcontent-%COMP%], .font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}[_nghost-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .sub-text-container[_ngcontent-%COMP%], .font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}[_nghost-%COMP%]   .fu-text-content[_ngcontent-%COMP%]{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}[_nghost-%COMP%]   img[_ngcontent-%COMP%]{mask:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath d='M10 0C2 0 0 2 0 10s2 10 10 10 10-2 10-10S18 0 10 0Zm0 0' fill='%23a5a5a5'/%3E%3C/svg%3E\");-webkit-mask-size:cover;mask-size:cover}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{position:relative;background:var(--fu-white, #ffffff);display:flex;align-items:center;gap:5px;padding:8px;border-radius:8px;color:var(--fu-black-500, #53575B);cursor:pointer}[_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #B7BBC0)}[_nghost-%COMP%]   img[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .sub-text-container[_ngcontent-%COMP%]{line-height:13px;color:var(--fu-light-900, #7B838C)}[_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]{width:16px;height:16px;margin-left:auto}[_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #B7BBC0)}[_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]:hover     svg{width:16px;height:16px}[_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]:hover     svg *{fill:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]:hover{background:var(--fu-light-50, #F7F8F9)}.is-has-children[_nghost-%COMP%]{color:var(--fu-light-900, #7B838C)}.is-has-children[_nghost-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]{width:16px;height:16px;margin-left:auto}.is-has-children[_nghost-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:16px;height:16px;transform:rotate(-90deg)}.is-has-children[_nghost-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #B7BBC0)}.is-has-children[_nghost-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:none}.is-has-children.is-open[_nghost-%COMP%]{padding-bottom:0;margin-bottom:2px}.is-has-children.is-open[_nghost-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:16px;height:16px;transform:rotate(360deg)}.is-has-children.is-open[_nghost-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #B7BBC0)}.is-has-children.is-open[_nghost-%COMP%]   .fu-flex-row-break[_ngcontent-%COMP%]{flex-basis:100%;height:0}.is-has-children.is-open[_nghost-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{flex-basis:calc(100% + 18px);display:block;margin:0 -10px;padding-top:4px;background-color:var(--fu-white, #ffffff)}.is-has-children.is-open[_nghost-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     fusion-dropdown-option{padding-left:16px}.is-has-children.is-open[_nghost-%COMP%]:hover{background:var(--fu-light-50, #F7F8F9)}li.option.is-selected[_nghost-%COMP%], li.option.is-selected   [_nghost-%COMP%]{background-color:var(--fu-primary-100, #E2EEFF);color:var(--fu-primary-500, #3083FF)}li.option.is-selected[_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg, li.option.is-selected   [_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}li.option.is-selected[_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg *, li.option.is-selected   [_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-400, #68A5FF)}li.option.is-selected[_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]     svg, li.option.is-selected   [_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}li.option.is-selected[_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]     svg *, li.option.is-selected   [_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-300, #96C0FF)}li.option.is-selected[_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]:hover     svg, li.option.is-selected   [_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]:hover     svg{width:16px;height:16px}li.option.is-selected[_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]:hover     svg *, li.option.is-selected   [_nghost-%COMP%]   fusion-icon.fu-option-action-icon[_ngcontent-%COMP%]:hover     svg *{fill:var(--fu-primary-500, #3083FF)}li.option.is-selected[_nghost-%COMP%]   .sub-text-container[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], li.option.is-selected   [_nghost-%COMP%]   .sub-text-container[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{color:var(--fu-primary-400, #68A5FF)}li.option.is-disabled[_nghost-%COMP%], li.option.is-disabled   [_nghost-%COMP%]{color:var(--fu-light-800, #8E959D);cursor:default}li.option.is-disabled[_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg, li.option.is-disabled   [_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}li.option.is-disabled[_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg *, li.option.is-disabled   [_nghost-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #B7BBC0)}li.option.is-disabled[_nghost-%COMP%]   .sub-text-container[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], li.option.is-disabled   [_nghost-%COMP%]   .sub-text-container[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{color:var(--fu-light-800, #8E959D)}li.option.is-with-second-line[_nghost-%COMP%], li.option.is-with-second-line   [_nghost-%COMP%]{height:48px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownOptionComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-option', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngIf=\"!option.content; else customContentOption\">\n    <fusion-flag *ngIf=\"option.flag\" [name]=\"option.flag\"></fusion-flag>\n    <img [src]=\"option.image\" *ngIf=\"option.image\" alt=\"\" loading=\"lazy\"/>\n    <fusion-icon *ngIf=\"option.icon\" [name]=\"option.icon\" class=\"fu-option-icon\"></fusion-icon>\n    <div [id]=\"option.id\" class=\"fu-text-content truncate\"\n         fusionTooltip=\"{{ optionToStringFunc | generic: option:mappingOptions:settings }}\">\n        <span innerHTML=\"{{ optionToStringFunc | generic: option:mappingOptions:settings }}\"></span>\n        <div *ngIf=\"option.subText\" class=\"sub-text-container\">\n            <label>{{ option.subText?.text || option.subText }}</label>\n        </div>\n    </div>\n    <fusion-icon *ngIf=\"shownCloseIcon$ | async\" [name]=\"closeIcon\" class=\"fu-option-action-icon\"></fusion-icon>\n</ng-container>\n\n<ng-container *ngIf=\"hasChildren\">\n    <fusion-icon class=\"icon-arrow\"\n                 [name]=\"dropdownArrowIconName\"></fusion-icon>\n    <div class=\"fu-flex-row-break\"></div>\n    <ul class=\"is-subgroup-options\">\n        <ng-container *ngFor=\"let childOption of option.childOptions; index as i\">\n            <li\n                [fusionDropdownOption]=\"childOption\"\n                [mappingOptions]=\"mappingOptions\"\n                [attr.data-id]=\"childOption.id\"\n                [ngClass]=\"{'is-selected': childOption.isSelected}\"\n            ></li>\n        </ng-container>\n    </ul>\n</ng-container>\n\n<ng-template #customContentOption>\n    <fusion-dynamic-components [configuration]=\"option.content\"></fusion-dynamic-components>\n</ng-template>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}:host .fu-text-content .sub-text-container,.font-caption,.font-bodyXSmall,:host,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}:host .fu-text-content .sub-text-container,.font-caption{font-size:11px}:host *{box-sizing:border-box}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host .fu-text-content{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}:host img{mask:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath d='M10 0C2 0 0 2 0 10s2 10 10 10 10-2 10-10S18 0 10 0Zm0 0' fill='%23a5a5a5'/%3E%3C/svg%3E\");-webkit-mask-size:cover;mask-size:cover}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{position:relative;background:var(--fu-white, #ffffff);display:flex;align-items:center;gap:5px;padding:8px;border-radius:8px;color:var(--fu-black-500, #53575B);cursor:pointer}:host fusion-icon.fu-option-icon{width:16px;height:16px}:host fusion-icon.fu-option-icon ::ng-deep svg{width:16px;height:16px}:host fusion-icon.fu-option-icon ::ng-deep svg *{fill:var(--fu-light-600, #B7BBC0)}:host img{width:20px;height:20px}:host .fu-text-content .sub-text-container{line-height:13px;color:var(--fu-light-900, #7B838C)}:host fusion-icon.fu-option-action-icon{width:16px;height:16px;margin-left:auto}:host fusion-icon.fu-option-action-icon ::ng-deep svg{width:16px;height:16px}:host fusion-icon.fu-option-action-icon ::ng-deep svg *{fill:var(--fu-light-600, #B7BBC0)}:host fusion-icon.fu-option-action-icon:hover ::ng-deep svg{width:16px;height:16px}:host fusion-icon.fu-option-action-icon:hover ::ng-deep svg *{fill:var(--fu-light-800, #8E959D)}:host:hover{background:var(--fu-light-50, #F7F8F9)}:host.is-has-children{color:var(--fu-light-900, #7B838C)}:host.is-has-children fusion-icon[class^=icon-arrow]{width:16px;height:16px;margin-left:auto}:host.is-has-children fusion-icon[class^=icon-arrow] ::ng-deep svg{width:16px;height:16px;transform:rotate(-90deg)}:host.is-has-children fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-light-600, #B7BBC0)}:host.is-has-children .is-subgroup-options{display:none}:host.is-has-children.is-open{padding-bottom:0;margin-bottom:2px}:host.is-has-children.is-open fusion-icon[class^=icon-arrow] ::ng-deep svg{width:16px;height:16px;transform:rotate(360deg)}:host.is-has-children.is-open fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-light-600, #B7BBC0)}:host.is-has-children.is-open .fu-flex-row-break{flex-basis:100%;height:0}:host.is-has-children.is-open .is-subgroup-options{flex-basis:calc(100% + 18px);display:block;margin:0 -10px;padding-top:4px;background-color:var(--fu-white, #ffffff)}:host.is-has-children.is-open .is-subgroup-options .option ::ng-deep fusion-dropdown-option{padding-left:16px}:host.is-has-children.is-open:hover{background:var(--fu-light-50, #F7F8F9)}:host-context(li.option.is-selected){background-color:var(--fu-primary-100, #E2EEFF);color:var(--fu-primary-500, #3083FF)}:host-context(li.option.is-selected) fusion-icon.fu-option-icon ::ng-deep svg{width:16px;height:16px}:host-context(li.option.is-selected) fusion-icon.fu-option-icon ::ng-deep svg *{fill:var(--fu-primary-400, #68A5FF)}:host-context(li.option.is-selected) fusion-icon.fu-option-action-icon ::ng-deep svg{width:16px;height:16px}:host-context(li.option.is-selected) fusion-icon.fu-option-action-icon ::ng-deep svg *{fill:var(--fu-primary-300, #96C0FF)}:host-context(li.option.is-selected) fusion-icon.fu-option-action-icon:hover ::ng-deep svg{width:16px;height:16px}:host-context(li.option.is-selected) fusion-icon.fu-option-action-icon:hover ::ng-deep svg *{fill:var(--fu-primary-500, #3083FF)}:host-context(li.option.is-selected) .sub-text-container label{color:var(--fu-primary-400, #68A5FF)}:host-context(li.option.is-disabled){color:var(--fu-light-800, #8E959D);cursor:default}:host-context(li.option.is-disabled) fusion-icon.fu-option-icon ::ng-deep svg{width:16px;height:16px}:host-context(li.option.is-disabled) fusion-icon.fu-option-icon ::ng-deep svg *{fill:var(--fu-light-600, #B7BBC0)}:host-context(li.option.is-disabled) .sub-text-container label{color:var(--fu-light-800, #8E959D)}:host-context(li.option.is-with-second-line){height:48px}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownOptionComponent, { className: "DropdownOptionComponent", filePath: "v3/dropdown-option.component.ts", lineNumber: 17 }); })();

class DropdownOptionDirective extends DropdownOptionBaseDirective {
    constructor() {
        super(...arguments);
        this.dropdownOptionComponentType = DropdownOptionComponent;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownOptionDirective_BaseFactory; return function DropdownOptionDirective_Factory(t) { return (ɵDropdownOptionDirective_BaseFactory || (ɵDropdownOptionDirective_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownOptionDirective)))(t || DropdownOptionDirective); }; })(); }
    static { this.ɵdir = /*@__PURE__*/ i0.ɵɵdefineDirective({ type: DropdownOptionDirective, selectors: [["", "fusionDropdownOption", ""]], features: [i0.ɵɵInheritDefinitionFeature] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownOptionDirective, [{
        type: Directive,
        args: [{
                selector: '[fusionDropdownOption]'
            }]
    }], null, null); })();

class DropdownOptionModule {
    static { this.ɵfac = function DropdownOptionModule_Factory(t) { return new (t || DropdownOptionModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownOptionModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, TooltipModule, FlagModule, DynamicComponentsModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownOptionModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownOptionDirective, DropdownOptionComponent],
                exports: [DropdownOptionDirective],
                imports: [CommonModule, IconModule, TooltipModule, FlagModule, GenericPipe, DynamicComponentsModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownOptionModule, { declarations: [DropdownOptionDirective, DropdownOptionComponent], imports: [CommonModule, IconModule, TooltipModule, FlagModule, GenericPipe, DynamicComponentsModule], exports: [DropdownOptionDirective] }); })();
i0.ɵɵsetComponentScope(DropdownOptionComponent, [i1.NgClass, i1.NgForOf, i1.NgIf, i2.IconComponent, i3.TooltipDirective, i4.FlagComponent, i5.DynamicComponentsComponent, DropdownOptionDirective], [i1.AsyncPipe, GenericPipe]);

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownOptionComponent, DropdownOptionDirective, DropdownOptionModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-option.mjs.map
