import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, ViewChild, NgModule } from '@angular/core';
import { DropdownSearchBaseComponent } from '@ironsource/fusion-ui/components/dropdown-search/common/base';
import * as i3 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';

const _c0 = ["input"];
function DropdownSearchComponent_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 5);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r1.searchIcon);
} }
function DropdownSearchComponent_fusion_icon_4_Template(rf, ctx) { if (rf & 1) {
    const _r4 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 6);
    i0.ɵɵlistener("click", function DropdownSearchComponent_fusion_icon_4_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r4); const ctx_r3 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r3.clearSearch()); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r2.searchClearIcon);
} }
class DropdownSearchComponent extends DropdownSearchBaseComponent {
    constructor() {
        super(...arguments);
        this.searchIcon = { iconName: 'search-bold', iconVersion: 'v3' };
        this.searchClearIcon = { iconName: 'cancel', iconVersion: 'v3' };
    }
    clearSearch() {
        this.searchValue.setValue('');
        this.input.nativeElement.focus();
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownSearchComponent_BaseFactory; return function DropdownSearchComponent_Factory(t) { return (ɵDropdownSearchComponent_BaseFactory || (ɵDropdownSearchComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownSearchComponent)))(t || DropdownSearchComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownSearchComponent, selectors: [["fusion-dropdown-search"]], viewQuery: function DropdownSearchComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.input = _t.first);
        } }, features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownSearchComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 5, vars: 4, consts: [[1, "search-panel"], ["autocomplete", "off", "minlength", "1", 3, "placeholder", "formControl"], ["input", ""], ["class", "fu-icon-search", 3, "name", 4, "ngIf"], ["class", "fu-icon-clear", 3, "name", "click", 4, "ngIf"], [1, "fu-icon-search", 3, "name"], [1, "fu-icon-clear", 3, "name", "click"]], template: function DropdownSearchComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵelement(1, "input", 1, 2);
            i0.ɵɵtemplate(3, DropdownSearchComponent_fusion_icon_3_Template, 1, 1, "fusion-icon", 3)(4, DropdownSearchComponent_fusion_icon_4_Template, 1, 1, "fusion-icon", 4);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            const _r0 = i0.ɵɵreference(2);
            i0.ɵɵadvance();
            i0.ɵɵproperty("placeholder", ctx.placeholder)("formControl", ctx.searchValue);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", !_r0.value || ctx.searchInOptions);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", _r0.value);
        } }, dependencies: [i1.NgIf, i2.IconComponent, i3.DefaultValueAccessor, i3.NgControlStatus, i3.MinLengthValidator, i3.FormControlDirective], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   input[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   input[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   fusion-icon[class^=fu-icon-clear][_ngcontent-%COMP%], [_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   fusion-icon[class^=fu-icon-search][_ngcontent-%COMP%]{position:absolute;right:-15px;top:2px}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   fusion-icon[class^=fu-icon-search][_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   fusion-icon[class^=fu-icon-search][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   fusion-icon[class^=fu-icon-search][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #A9AFB4)}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   fusion-icon[class^=fu-icon-clear][_ngcontent-%COMP%]{width:16px;height:16px;cursor:pointer}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   fusion-icon[class^=fu-icon-clear][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   fusion-icon[class^=fu-icon-clear][_ngcontent-%COMP%]     svg *{fill:#dadada}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{letter-spacing:.24px;border:none;outline:none;background-color:transparent;color:var(--fu-black-500, #53575B);width:100%}[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::placeholder{color:var(--fu-light-800, #8E959D)}.fu-search-in-options[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{margin-left:16px;width:calc(100% - 32px)}.fu-search-in-options[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   .fu-icon-search[_ngcontent-%COMP%]{left:-2px;top:3px}.fu-search-in-options[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]   .fu-icon-clear[_ngcontent-%COMP%]{right:-5px;top:4px}.fu-search-has-no-result[_nghost-%COMP%]   fusion-icon[class^=fu-icon-clear][_ngcontent-%COMP%]:hover     svg, .fu-search-has-no-result   [_nghost-%COMP%]   fusion-icon[class^=fu-icon-clear][_ngcontent-%COMP%]:hover     svg{width:16px;height:16px}.fu-search-has-no-result[_nghost-%COMP%]   fusion-icon[class^=fu-icon-clear][_ngcontent-%COMP%]:hover     svg *, .fu-search-has-no-result   [_nghost-%COMP%]   fusion-icon[class^=fu-icon-clear][_ngcontent-%COMP%]:hover     svg *{fill:var(--fu-light-800, #8E959D)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownSearchComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-search', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownSearchComponent),
                        multi: true
                    }
                ], template: "<div class=\"search-panel\">\n    <input #input\n           autocomplete=\"off\"\n           minlength=\"1\"\n           [placeholder]=\"placeholder\"\n           [formControl]=\"searchValue\"\n    />\n    <fusion-icon class=\"fu-icon-search\" *ngIf=\"!input.value || searchInOptions\" [name]=\"searchIcon\"></fusion-icon>\n    <fusion-icon class=\"fu-icon-clear\" *ngIf=\"input.value\" [name]=\"searchClearIcon\" (click)=\"clearSearch()\"></fusion-icon>\n</div>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host .search-panel input,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host .search-panel input,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .search-panel fusion-icon[class^=fu-icon-clear],:host .search-panel fusion-icon[class^=fu-icon-search]{position:absolute;right:-15px;top:2px}:host .search-panel{position:relative}:host .search-panel fusion-icon[class^=fu-icon-search]{width:16px;height:16px}:host .search-panel fusion-icon[class^=fu-icon-search] ::ng-deep svg{width:16px;height:16px}:host .search-panel fusion-icon[class^=fu-icon-search] ::ng-deep svg *{fill:var(--fu-light-700, #A9AFB4)}:host .search-panel fusion-icon[class^=fu-icon-clear]{width:16px;height:16px;cursor:pointer}:host .search-panel fusion-icon[class^=fu-icon-clear] ::ng-deep svg{width:16px;height:16px}:host .search-panel fusion-icon[class^=fu-icon-clear] ::ng-deep svg *{fill:#dadada}:host .search-panel input{letter-spacing:.24px;border:none;outline:none;background-color:transparent;color:var(--fu-black-500, #53575B);width:100%}:host .search-panel input::placeholder{color:var(--fu-light-800, #8E959D)}:host.fu-search-in-options .search-panel input{margin-left:16px;width:calc(100% - 32px)}:host.fu-search-in-options .search-panel .fu-icon-search{left:-2px;top:3px}:host.fu-search-in-options .search-panel .fu-icon-clear{right:-5px;top:4px}:host-context(.fu-search-has-no-result) fusion-icon[class^=fu-icon-clear]:hover ::ng-deep svg{width:16px;height:16px}:host-context(.fu-search-has-no-result) fusion-icon[class^=fu-icon-clear]:hover ::ng-deep svg *{fill:var(--fu-light-800, #8E959D)}\n"] }]
    }], null, { input: [{
            type: ViewChild,
            args: ['input']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownSearchComponent, { className: "DropdownSearchComponent", filePath: "dropdown-search.component.ts", lineNumber: 19 }); })();

class DropdownSearchModule {
    static { this.ɵfac = function DropdownSearchModule_Factory(t) { return new (t || DropdownSearchModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownSearchModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, ReactiveFormsModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownSearchModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownSearchComponent],
                exports: [DropdownSearchComponent],
                imports: [CommonModule, IconModule, ReactiveFormsModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownSearchModule, { declarations: [DropdownSearchComponent], imports: [CommonModule, IconModule, ReactiveFormsModule], exports: [DropdownSearchComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownSearchComponent, DropdownSearchModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-search-v3.mjs.map
