import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { SearchComponent } from '@ironsource/fusion-ui/components/search/v4';
import { DropdownSearchBaseComponent } from '@ironsource/fusion-ui/components/dropdown-search/common/base';

class DropdownSearchV4Component extends DropdownSearchBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownSearchV4Component_BaseFactory; return function DropdownSearchV4Component_Factory(t) { return (ɵDropdownSearchV4Component_BaseFactory || (ɵDropdownSearchV4Component_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownSearchV4Component)))(t || DropdownSearchV4Component); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownSearchV4Component, selectors: [["fusion-dropdown-search"]], hostAttrs: [1, "fusion-v4"], inputs: { testId: "testId" }, standalone: true, features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownSearchV4Component),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature, i0.ɵɵStandaloneFeature], decls: 1, vars: 3, consts: [["size", "medium", 3, "formControl", "placeholder", "testId"]], template: function DropdownSearchV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelement(0, "fusion-search", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("formControl", ctx.searchValue)("placeholder", ctx.placeholder)("testId", ctx.testId);
        } }, dependencies: [CommonModule, ReactiveFormsModule, i1.NgControlStatus, i1.FormControlDirective, SearchComponent], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownSearchV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-search', standalone: true, imports: [CommonModule, ReactiveFormsModule, SearchComponent], host: { class: 'fusion-v4' }, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownSearchV4Component),
                        multi: true
                    }
                ], template: "<fusion-search size=\"medium\" [formControl]=\"searchValue\" [placeholder]=\"placeholder\"\n               [testId]=\"testId\"\n></fusion-search>\n" }]
    }], null, { testId: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownSearchV4Component, { className: "DropdownSearchV4Component", filePath: "dropdown-search-v4.component.ts", lineNumber: 23 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownSearchV4Component as DropdownSearchComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-search-v4.mjs.map
