import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { DropdownBaseComponent } from '@ironsource/fusion-ui/components/dropdown/common/base';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown';
import { ApiBase } from '@ironsource/fusion-ui/components/api-base';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import * as i3 from '@ironsource/fusion-ui/components/tooltip';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip';
import * as i4 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import { DropdownSelectComponent } from '@ironsource/fusion-ui/components/dropdown-select/v4';
import { DropdownSearchComponent } from '@ironsource/fusion-ui/components/dropdown-search/v4';
import { DropdownOptionsListComponent } from '@ironsource/fusion-ui/components/dropdown-options-list/v4';
import { LoaderComponent } from '@ironsource/fusion-ui/components/loader/v4';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { InputHelperComponent } from '@ironsource/fusion-ui/components/input-helper/v4';
import { InputLabelComponent } from '@ironsource/fusion-ui/components/input-label/v4';
export * from '@ironsource/fusion-ui/components/dropdown/entities';
export * from '@ironsource/fusion-ui/components/dropdown/service';

function DropdownV4Component_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-input-label", 7);
    i0.ɵɵpipe(1, "async");
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    let tmp_4_0;
    i0.ɵɵproperty("text", ctx_r0.labelText)("required", ctx_r0.labelRequired)("icon", ctx_r0.labelIcon)("tooltipText", ctx_r0.labelTooltipText)("disabled", (tmp_4_0 = i0.ɵɵpipeBind1(1, 5, ctx_r0.dropdownSelectConfigurations$)) == null ? null : tmp_4_0.disabled);
} }
function DropdownV4Component_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    const _r12 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 8, 9);
    i0.ɵɵlistener("click", function DropdownV4Component_Conditional_4_Template_div_click_0_listener($event) { i0.ɵɵrestoreView(_r12); const ctx_r11 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r11.openDropdown($event)); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementContainer(3, 10);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 2, ctx_r1.testIdsService.getTestAttribute.bind(ctx_r1), ctx_r1.testId, ctx_r1.testIdDropdownModifiers.TRIGGER));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r1.templateRef);
} }
function DropdownV4Component_Conditional_5_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 8, 9);
    i0.ɵɵlistener("click", function DropdownV4Component_Conditional_5_Template_div_click_0_listener($event) { i0.ɵɵrestoreView(_r15); const ctx_r14 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r14.openDropdown($event)); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementContainer(3, 11);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 3, ctx_r2.testIdsService.getTestAttribute.bind(ctx_r2), ctx_r2.testId, ctx_r2.testIdDropdownModifiers.TRIGGER));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngComponentOutlet", ctx_r2.dynamicTrigger == null ? null : ctx_r2.dynamicTrigger.type)("ngComponentOutletInputs", ctx_r2.dynamicTrigger == null ? null : ctx_r2.dynamicTrigger.data);
} }
function DropdownV4Component_Conditional_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 10);
} if (rf & 2) {
    i0.ɵɵnextContext();
    const _r5 = i0.ɵɵreference(8);
    i0.ɵɵproperty("ngTemplateOutlet", _r5);
} }
function DropdownV4Component_ng_template_7_fusion_dropdown_select_0_Template(rf, ctx) { if (rf & 1) {
    const _r20 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-dropdown-select", 13, 14);
    i0.ɵɵlistener("click", function DropdownV4Component_ng_template_7_fusion_dropdown_select_0_Template_fusion_dropdown_select_click_0_listener($event) { i0.ɵɵrestoreView(_r20); const ctx_r19 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r19.openDropdown($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const triggerConfiguration_r17 = ctx.ngIf;
    const ctx_r16 = i0.ɵɵnextContext(2);
    i0.ɵɵclassMapInterpolate1("fu-mode-", ctx_r16.triggerMode, "");
    i0.ɵɵproperty("placeholder", triggerConfiguration_r17.placeholder)("disabled", triggerConfiguration_r17.disabled)("isOpen", triggerConfiguration_r17.isOpen)("icon", triggerConfiguration_r17.icon)("iconColor", triggerConfiguration_r17.iconColor)("imageUrl", triggerConfiguration_r17.labelImage)("country", triggerConfiguration_r17.labelFlag)("hideCaretIcon", ctx_r16.hideCaretIcon)("size", ctx_r16.size)("testId", ctx_r16.testId);
} }
function DropdownV4Component_ng_template_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, DropdownV4Component_ng_template_7_fusion_dropdown_select_0_Template, 2, 13, "fusion-dropdown-select", 12);
    i0.ɵɵpipe(1, "async");
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(1, 1, ctx_r4.dropdownSelectConfigurations$));
} }
function DropdownV4Component_ng_container_9_div_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵelement(1, "fusion-dropdown-search", 23, 24);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const configurations_r21 = i0.ɵɵnextContext().ngIf;
    const ctx_r22 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("formControl", ctx_r22.searchValue)("placeholder", configurations_r21.placeholder == null ? null : configurations_r21.placeholder.search)("testId", ctx_r22.testId);
} }
function DropdownV4Component_ng_container_9_li_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li")(1, "div", 25);
    i0.ɵɵelement(2, "fusion-loader");
    i0.ɵɵelementStart(3, "div");
    i0.ɵɵtext(4, "Loading...");
    i0.ɵɵelementEnd()()();
} }
function DropdownV4Component_ng_container_9_li_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 26);
    i0.ɵɵtext(1, "No results found");
    i0.ɵɵelementEnd();
} }
const _c0 = (a0, a1, a2) => ({ "dd-disabled": a0, "dd-confirm": a1, "dd-scroll": a2 });
function DropdownV4Component_ng_container_9_Template(rf, ctx) { if (rf & 1) {
    const _r29 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 15);
    i0.ɵɵelementContainerStart(2)(3);
    i0.ɵɵtemplate(4, DropdownV4Component_ng_container_9_div_4_Template, 3, 3, "div", 16);
    i0.ɵɵelementContainerEnd()();
    i0.ɵɵelementStart(5, "div", 17, 18);
    i0.ɵɵlistener("scroll", function DropdownV4Component_ng_container_9_Template_div_scroll_5_listener($event) { i0.ɵɵrestoreView(_r29); const ctx_r28 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r28.onScroll($event)); });
    i0.ɵɵpipe(7, "generic");
    i0.ɵɵelementStart(8, "ul", 19)(9, "fusion-dropdown-options-list", 20);
    i0.ɵɵlistener("changeSelected", function DropdownV4Component_ng_container_9_Template_fusion_dropdown_options_list_changeSelected_9_listener($event) { i0.ɵɵrestoreView(_r29); const ctx_r30 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r30.changeSelected($event)); });
    i0.ɵɵpipe(10, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(11, DropdownV4Component_ng_container_9_li_11_Template, 5, 0, "li", 4)(12, DropdownV4Component_ng_container_9_li_12_Template, 2, 0, "li", 21);
    i0.ɵɵelementEnd()()();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const configurations_r21 = ctx.ngIf;
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵclassProp("fu-has-title", ctx_r6.templateRef && ctx_r6.optionsTitle)("fu-has-search", ctx_r6.templateRef && configurations_r21.isSearch)("options-locate-left", ctx_r6.isLocatedLeft)("options-locate-right", ctx_r6.isLocatedRight);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(23, _c0, ctx_r6.isDisabled || ctx_r6.isDisabledForm, ctx_r6.search || ctx_r6.autoComplete, ctx_r6.hasScroll));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", configurations_r21.isSearch && configurations_r21.isOpen);
    i0.ɵɵadvance();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(7, 17, ctx_r6.testIdsService.getTestAttribute.bind(ctx_r6), ctx_r6.testId, ctx_r6.testIdDropdownModifiers.LIST_CONTAINER));
    i0.ɵɵadvance(3);
    i0.ɵɵclassProp("fu-loading", ctx_r6.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("displayedOptions", i0.ɵɵpipeBind1(10, 21, ctx_r6.displayedOptionsObservable$))("selectedOptions", ctx_r6.selected);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r6.autoComplete && ctx_r6.search || ctx_r6.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !(ctx_r6.filteredOptions == null ? null : ctx_r6.filteredOptions.length) && !ctx_r6.loading);
} }
function DropdownV4Component_div_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 27);
    i0.ɵɵelement(1, "fusion-input-helper", 28);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("text", ctx_r7.helperText)("state", ctx_r7.helperVariant)("iconName", ctx_r7.helperIcon)("testId", ctx_r7.testId);
} }
function DropdownV4Component_ng_template_12_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 32);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r31 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r31.placeholderPrefix);
} }
function DropdownV4Component_ng_template_12_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtext(1);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const placeholder_r33 = ctx.ngIf;
    const ctx_r32 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1("", (ctx_r32.placeholderPrefix ? ": " : "") + placeholder_r33, " ");
} }
function DropdownV4Component_ng_template_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 29)(1, "div", 30);
    i0.ɵɵtemplate(2, DropdownV4Component_ng_template_12_span_2_Template, 2, 1, "span", 31)(3, DropdownV4Component_ng_template_12_ng_container_3_Template, 2, 1, "ng-container", 4);
    i0.ɵɵpipe(4, "async");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", ctx_r8.chipDefaultContent);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r8.placeholderPrefix);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(4, 3, ctx_r8.placeholder$));
} }
class DropdownV4Component extends DropdownBaseComponent {
    constructor() {
        super(...arguments);
        this.size = 'medium';
        this.hideCaretIcon = false;
        this.helperVariant = 'default';
        this.labelRequired = false;
    }
    set triggerMode(value) {
        this._triggerMode = value;
    }
    get triggerMode() {
        return this._triggerMode;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownV4Component_BaseFactory; return function DropdownV4Component_Factory(t) { return (ɵDropdownV4Component_BaseFactory || (ɵDropdownV4Component_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownV4Component)))(t || DropdownV4Component); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownV4Component, selectors: [["fusion-dropdown"]], hostAttrs: [1, "fusion-v4"], inputs: { size: "size", triggerMode: "triggerMode", dynamicTrigger: "dynamicTrigger", hideCaretIcon: "hideCaretIcon", helperText: "helperText", helperIcon: "helperIcon", helperVariant: "helperVariant", labelText: "labelText", labelRequired: "labelRequired", labelIcon: "labelIcon", labelTooltipText: "labelTooltipText" }, standalone: true, features: [i0.ɵɵProvidersFeature([
                DropdownService,
                { provide: ApiBase, useExisting: DropdownV4Component },
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownV4Component),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature, i0.ɵɵStandaloneFeature], decls: 14, vars: 16, consts: [[1, "fu-dropdown", 3, "id", "clickOutsideActivate", "ngClass", "fusionClickOutside"], ["class", "fu-dropdown-label", 3, "text", "required", "icon", "tooltipText", "disabled"], ["class", "fu-dd-custom-trigger"], ["defaultTrigger", ""], [4, "ngIf"], ["class", "fu-input-underline", 4, "ngIf"], ["chipContent", ""], [1, "fu-dropdown-label", 3, "text", "required", "icon", "tooltipText", "disabled"], [1, "fu-dd-custom-trigger", 3, "click"], ["trigger", ""], [3, "ngTemplateOutlet"], [3, "ngComponentOutlet", "ngComponentOutletInputs"], [3, "class", "placeholder", "disabled", "isOpen", "icon", "iconColor", "imageUrl", "country", "hideCaretIcon", "size", "testId", "click", 4, "ngIf"], [3, "placeholder", "disabled", "isOpen", "icon", "iconColor", "imageUrl", "country", "hideCaretIcon", "size", "testId", "click"], ["selectComponent", ""], [1, "options-dropdown", 3, "ngClass"], ["class", "fu-search-holder", 4, "ngIf"], [1, "options-holder", 3, "scroll"], ["optionsHolder", ""], [1, "options"], [3, "displayedOptions", "selectedOptions", "changeSelected"], ["class", "no-results", 4, "ngIf"], [1, "fu-search-holder"], [1, "fu-search-in-options", 3, "formControl", "placeholder", "testId"], ["searchComponent", ""], [1, "fu-loader-holder"], [1, "no-results"], [1, "fu-input-underline"], [3, "text", "state", "iconName", "testId"], [1, "fu-chip-content-default"], [1, "truncate", "fu-chip-text", 3, "fusionTooltip"], ["class", "fu-chip-label", 4, "ngIf"], [1, "fu-chip-label"]], template: function DropdownV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function DropdownV4Component_Template_div_fusionClickOutside_0_listener($event) { return ctx.onOutsideClick($event); });
            i0.ɵɵpipe(1, "async");
            i0.ɵɵpipe(2, "generic");
            i0.ɵɵtemplate(3, DropdownV4Component_Conditional_3_Template, 2, 7, "fusion-input-label", 1)(4, DropdownV4Component_Conditional_4_Template, 4, 6, "div", 2)(5, DropdownV4Component_Conditional_5_Template, 4, 7)(6, DropdownV4Component_Conditional_6_Template, 1, 1)(7, DropdownV4Component_ng_template_7_Template, 2, 3, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor)(9, DropdownV4Component_ng_container_9_Template, 13, 27, "ng-container", 4);
            i0.ɵɵpipe(10, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(11, DropdownV4Component_div_11_Template, 2, 4, "div", 5)(12, DropdownV4Component_ng_template_12_Template, 5, 5, "ng-template", null, 6, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵproperty("id", ctx.id)("clickOutsideActivate", i0.ɵɵpipeBind1(1, 8, ctx.isOpen$))("ngClass", ctx.getHolderCSSClasses());
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 10, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdDropdownModifiers.TRIGGER));
            i0.ɵɵadvance(3);
            i0.ɵɵconditional(3, ctx.labelText ? 3 : -1);
            i0.ɵɵadvance();
            i0.ɵɵconditional(4, ctx.templateRef ? 4 : ctx.dynamicTrigger ? 5 : 6);
            i0.ɵɵadvance(5);
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(10, 14, ctx.dropdownSelectConfigurations$));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.helperText);
        } }, dependencies: [CommonModule, i1.NgClass, i1.NgComponentOutlet, i1.NgIf, i1.NgTemplateOutlet, i1.AsyncPipe, ReactiveFormsModule, i2.NgControlStatus, i2.FormControlDirective, TooltipModule, i3.TooltipDirective, ClickOutsideModule, i4.ClickOutsideDirective, DropdownSelectComponent,
            DropdownSearchComponent,
            DropdownOptionsListComponent,
            LoaderComponent,
            GenericPipe,
            IconModule,
            InputHelperComponent,
            InputLabelComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar, [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]::-webkit-scrollbar{background-color:#00000006;width:8px;border-radius:8px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-thumb, [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{border-radius:8px;background-color:#bbb;min-height:24px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-thumb:hover, [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]::-webkit-scrollbar-thumb:hover{background-color:gray}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-corner, [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]::-webkit-scrollbar-corner{background-color:#fff}.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%], .font-v4-regular[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4[_ngcontent-%COMP%]{--box-shadow-xs: 0px 1px 2px 0px rgba(16, 24, 40, .05);--box-shadow-sm: 0px 1px 3px 0px rgba(16, 24, 40, .1), 0px 1px 2px 0px rgba(16, 24, 40, .06);--box-shadow-md: 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06);--box-shadow-lg: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--box-shadow-xl: 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08);--box-shadow-xxl: 0px 24px 48px -12px rgba(16, 24, 40, .18);--box-shadow-xxxl: 0px 19px 32px 2px rgba(44, 45, 45, .14);--box-shadow-slg: 0px 27px 27px 2px rgba(44, 45, 45, .14)}.fusion-v4[_ngcontent-%COMP%]{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%]{left:auto}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%]{right:auto}[_nghost-%COMP%]{margin:0;padding:0}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{position:absolute;left:0;right:0;top:calc(100% + 4px);min-width:var(--dropdown-overlay-min-width, 180px);max-height:0;display:none;gap:var(--spacing-50, 4px);flex-direction:column;padding:var(--spacing-100, 8px);border-radius:var(--border-radius-lg, 8px);border:solid 1px var(--common-divider, hsl(0, 0%, 86.8%));background-color:var(--background-default, #FFFFFF);box-shadow:var(--box-shadow-lg, 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03))}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{overflow-y:auto;overflow-x:hidden;max-height:calc(300px - var(--spacing-100, 8px) * 2)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]{margin:0;list-style-type:none;display:flex;flex-direction:column;gap:var(--spacing-50, 4px);padding:0}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul.fu-loading[_ngcontent-%COMP%]{gap:0}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%]{display:flex;align-items:center;gap:8px;height:30px;color:var(--text-disabled, hsl(0, 0%, 73.33%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%]   fusion-loader[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{color:var(--text-disabled, hsl(0, 0%, 73.33%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]:has(.fu-search-holder)   .options-holder[_ngcontent-%COMP%]{max-height:calc(300px - var(--spacing-100, 8px) * 2 - 28px)}[_nghost-%COMP%]   .fu-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{display:flex;z-index:100;max-height:300px}[_nghost-%COMP%]   fusion-input-label.fu-dropdown-label[_ngcontent-%COMP%]{margin-bottom:4px}[_nghost-%COMP%]   .fu-input-underline[_ngcontent-%COMP%]{display:flex;align-items:center;margin-top:4px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown', standalone: true, imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    TooltipModule,
                    ClickOutsideModule,
                    DropdownSelectComponent,
                    DropdownSearchComponent,
                    DropdownOptionsListComponent,
                    LoaderComponent,
                    GenericPipe,
                    IconModule,
                    InputHelperComponent,
                    InputLabelComponent
                ], host: { class: 'fusion-v4' }, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    DropdownService,
                    { provide: ApiBase, useExisting: DropdownV4Component },
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownV4Component),
                        multi: true
                    }
                ], template: "<div class=\"fu-dropdown\"\n     [id]=\"id\"\n     [clickOutsideActivate]=\"isOpen$ | async\"\n     (fusionClickOutside)=\"onOutsideClick($event)\"\n     [ngClass]=\"getHolderCSSClasses()\"\n     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.TRIGGER\">\n    @if(labelText){\n        <fusion-input-label class=\"fu-dropdown-label\" [text]=\"labelText\" [required]=\"labelRequired\" [icon]=\"labelIcon\" [tooltipText]=\"labelTooltipText\" [disabled]=\"(dropdownSelectConfigurations$ | async)?.disabled\"></fusion-input-label>\n    }\n    @if (templateRef){\n        <div class=\"fu-dd-custom-trigger\" #trigger (click)=\"openDropdown($event)\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.TRIGGER\">\n            <ng-container [ngTemplateOutlet]=\"templateRef\"></ng-container>\n        </div>\n    } @else if (dynamicTrigger){\n        <div class=\"fu-dd-custom-trigger\" #trigger (click)=\"openDropdown($event)\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.TRIGGER\">\n            <ng-container\n                    [ngComponentOutlet]=\"dynamicTrigger?.type\"\n                    [ngComponentOutletInputs]=\"dynamicTrigger?.data\"\n            ></ng-container>\n        </div>\n    } @else {\n        <ng-container [ngTemplateOutlet]=\"defaultTrigger\"></ng-container>\n    }\n\n    <ng-template #defaultTrigger>\n        <fusion-dropdown-select class=\"fu-mode-{{triggerMode}}\"\n                                *ngIf=\"(dropdownSelectConfigurations$ | async) as triggerConfiguration\"\n                                #selectComponent\n                                [placeholder]=\"triggerConfiguration.placeholder\"\n                                [disabled]=\"triggerConfiguration.disabled\"\n                                [isOpen]=\"triggerConfiguration.isOpen\"\n                                [icon]=\"triggerConfiguration.icon\"\n                                [iconColor]=\"triggerConfiguration.iconColor\"\n                                [imageUrl]=\"triggerConfiguration.labelImage\"\n                                [country]=\"triggerConfiguration.labelFlag\"\n                                [hideCaretIcon]=\"hideCaretIcon\"\n                                [size]=\"size\"\n                                (click)=\"openDropdown($event)\"\n                                [testId]=\"testId\"\n        ></fusion-dropdown-select>\n    </ng-template>\n\n    <ng-container *ngIf=\"(dropdownSelectConfigurations$ | async) as configurations\">\n        <div class=\"options-dropdown\"\n             [class.fu-has-title]=\"templateRef && optionsTitle\"\n             [class.fu-has-search]=\"templateRef && configurations.isSearch\"\n             [class.options-locate-left]=\"isLocatedLeft\"\n             [class.options-locate-right]=\"isLocatedRight\"\n             [ngClass]=\"{'dd-disabled': isDisabled || isDisabledForm, 'dd-confirm': search || autoComplete, 'dd-scroll': hasScroll}\"\n        >\n            <!--dropdown options holder-->\n            <!--elements shown without selector-->\n            <ng-container>\n                <!--search input-->\n                <ng-container>\n                    <div class=\"fu-search-holder\" *ngIf=\"configurations.isSearch && configurations.isOpen\">\n                        <fusion-dropdown-search class=\"fu-search-in-options\"\n                                                [formControl]=\"searchValue\"\n                                                [placeholder]=\"configurations.placeholder?.search\"\n                                                [testId]=\"testId\"\n                                                #searchComponent\n                        ></fusion-dropdown-search>\n                    </div>\n                </ng-container>\n                <!--search input-->\n            </ng-container>\n            <!--elements shown without selector-->\n            <div class=\"options-holder\" (scroll)=\"onScroll($event)\"\n                 [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.LIST_CONTAINER\"\n                 #optionsHolder>\n                <ul class=\"options\" [class.fu-loading]=\"loading\">\n                    <fusion-dropdown-options-list\n                        [displayedOptions]=\"displayedOptionsObservable$ | async\"\n                        [selectedOptions]=\"selected\"\n                        (changeSelected)=\"changeSelected($event)\"\n                    ></fusion-dropdown-options-list>\n                    <!--loader holder-->\n                    <li *ngIf=\"(autoComplete && search) || loading\">\n                        <div class=\"fu-loader-holder\">\n                            <fusion-loader></fusion-loader>\n                            <div>Loading...</div>\n                        </div>\n                    </li>\n                    <!--no-result holder-->\n                    <li class=\"no-results\" *ngIf=\"!filteredOptions?.length && !loading\">No results found</li>\n                </ul>\n            </div>\n        </div>\n    </ng-container>\n</div>\n\n<div *ngIf=\"helperText\" class=\"fu-input-underline\">\n    <fusion-input-helper [text]=\"helperText\" [state]=\"helperVariant\" [iconName]=\"helperIcon\" [testId]=\"testId\"></fusion-input-helper>\n</div>\n\n<ng-template #chipContent>\n    <div class=\"fu-chip-content-default\">\n        <div [fusionTooltip]=\"chipDefaultContent\" class=\"truncate fu-chip-text\">\n            <span *ngIf=\"placeholderPrefix\" class=\"fu-chip-label\">{{ placeholderPrefix }}</span>\n            <ng-container\n                *ngIf=\"(placeholder$ | async) as placeholder\">{{ (placeholderPrefix ? ': ' : '') + placeholder }}\n            </ng-container>\n        </div>\n    </div>\n</ng-template>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,:host .fu-dropdown .options-dropdown .options-holder ul .no-results,:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}:host .fu-dropdown .options-dropdown .options-holder::-webkit-scrollbar,:host .fu-dropdown .options-dropdown .options-holder *::-webkit-scrollbar{background-color:#00000006;width:8px;border-radius:8px}:host .fu-dropdown .options-dropdown .options-holder::-webkit-scrollbar-thumb,:host .fu-dropdown .options-dropdown .options-holder *::-webkit-scrollbar-thumb{border-radius:8px;background-color:#bbb;min-height:24px}:host .fu-dropdown .options-dropdown .options-holder::-webkit-scrollbar-thumb:hover,:host .fu-dropdown .options-dropdown .options-holder *::-webkit-scrollbar-thumb:hover{background-color:gray}:host .fu-dropdown .options-dropdown .options-holder::-webkit-scrollbar-corner,:host .fu-dropdown .options-dropdown .options-holder *::-webkit-scrollbar-corner{background-color:#fff}.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-1,.font-v4-chart-2{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-title,.font-v4-heading-1,.font-v4-heading-2,.font-v4-heading-3,.font-v4-heading-4,.font-v4-heading-5,.font-v4-heading-6,.font-v4-button,.font-v4-table-label,.font-v4-chip-label{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-subtitle-1,.font-v4-subtitle-2,.font-v4-overline,.font-v4-input-label,.font-v4-tab-label-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}:host .fu-dropdown .options-dropdown .options-holder ul .no-results,:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder,.font-v4-regular,.font-v4-body-1,.font-v4-body-2,.font-v4-caption{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host .fu-dropdown .options-dropdown .options-holder ul .no-results,:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder,.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4{--box-shadow-xs: 0px 1px 2px 0px rgba(16, 24, 40, .05);--box-shadow-sm: 0px 1px 3px 0px rgba(16, 24, 40, .1), 0px 1px 2px 0px rgba(16, 24, 40, .06);--box-shadow-md: 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06);--box-shadow-lg: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--box-shadow-xl: 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08);--box-shadow-xxl: 0px 24px 48px -12px rgba(16, 24, 40, .18);--box-shadow-xxxl: 0px 19px 32px 2px rgba(44, 45, 45, .14);--box-shadow-slg: 0px 27px 27px 2px rgba(44, 45, 45, .14)}.fusion-v4{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}:host .fu-dropdown .options-locate-right.options-dropdown{left:auto}:host .fu-dropdown .options-locate-left.options-dropdown{right:auto}:host{margin:0;padding:0}:host .fu-dropdown{position:relative}:host .fu-dropdown .options-dropdown{position:absolute;left:0;right:0;top:calc(100% + 4px);min-width:var(--dropdown-overlay-min-width, 180px);max-height:0;display:none;gap:var(--spacing-50, 4px);flex-direction:column;padding:var(--spacing-100, 8px);border-radius:var(--border-radius-lg, 8px);border:solid 1px var(--common-divider, hsl(0, 0%, 86.8%));background-color:var(--background-default, #FFFFFF);box-shadow:var(--box-shadow-lg, 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03))}:host .fu-dropdown .options-dropdown .options-holder{overflow-y:auto;overflow-x:hidden;max-height:calc(300px - var(--spacing-100, 8px) * 2)}:host .fu-dropdown .options-dropdown .options-holder ul{margin:0;list-style-type:none;display:flex;flex-direction:column;gap:var(--spacing-50, 4px);padding:0}:host .fu-dropdown .options-dropdown .options-holder ul.fu-loading{gap:0}:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder{display:flex;align-items:center;gap:8px;height:30px;color:var(--text-disabled, hsl(0, 0%, 73.33%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder fusion-loader{width:20px;height:20px}:host .fu-dropdown .options-dropdown .options-holder ul .no-results{color:var(--text-disabled, hsl(0, 0%, 73.33%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}:host .fu-dropdown .options-dropdown:has(.fu-search-holder) .options-holder{max-height:calc(300px - var(--spacing-100, 8px) * 2 - 28px)}:host .fu-dropdown.dd-opened .options-dropdown{display:flex;z-index:100;max-height:300px}:host fusion-input-label.fu-dropdown-label{margin-bottom:4px}:host .fu-input-underline{display:flex;align-items:center;margin-top:4px}\n"] }]
    }], null, { size: [{
            type: Input
        }], triggerMode: [{
            type: Input
        }], dynamicTrigger: [{
            type: Input
        }], hideCaretIcon: [{
            type: Input
        }], helperText: [{
            type: Input
        }], helperIcon: [{
            type: Input
        }], helperVariant: [{
            type: Input
        }], labelText: [{
            type: Input
        }], labelRequired: [{
            type: Input
        }], labelIcon: [{
            type: Input
        }], labelTooltipText: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownV4Component, { className: "DropdownV4Component", filePath: "dropdown-v4.component.ts", lineNumber: 52 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownV4Component as DropdownComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-v4.mjs.map
