import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, ViewChild, NgModule } from '@angular/core';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown/service';
export * from '@ironsource/fusion-ui/components/dropdown/service';
import { DropdownBaseComponent } from '@ironsource/fusion-ui/components/dropdown/common/base';
import * as i8 from '@ironsource/fusion-ui/components/dropdown-search/v3';
import { DropdownSearchModule } from '@ironsource/fusion-ui/components/dropdown-search/v3';
import * as i7 from '@ironsource/fusion-ui/components/dropdown-select/v3';
import { DropdownSelectModule } from '@ironsource/fusion-ui/components/dropdown-select/v3';
import { ApiBase } from '@ironsource/fusion-ui/components/api-base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i4 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';
import * as i5 from '@ironsource/fusion-ui/components/dropdown-loader/v3';
import { DropdownLoaderModule } from '@ironsource/fusion-ui/components/dropdown-loader/v3';
import * as i6 from '@ironsource/fusion-ui/components/dropdown-options-list/v3';
import { DropdownOptionsListModule } from '@ironsource/fusion-ui/components/dropdown-options-list/v3';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v3';
import { InputModule } from '@ironsource/fusion-ui/components/input';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import { CheckboxModule } from '@ironsource/fusion-ui/components/checkbox/v2';
import { FilterByFieldPipe } from '@ironsource/fusion-ui/pipes/collection';
import { ClonePipe } from '@ironsource/fusion-ui/pipes/clone';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DropdownOptionModule } from '@ironsource/fusion-ui/components/dropdown-option/v3';
export * from '@ironsource/fusion-ui/components/dropdown/entities';

const _c0 = ["searchComponent"];
const _c1 = ["selectComponent"];
function DropdownComponent_div_2_Template(rf, ctx) { if (rf & 1) {
    const _r11 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 8, 9);
    i0.ɵɵlistener("click", function DropdownComponent_div_2_Template_div_click_0_listener($event) { i0.ɵɵrestoreView(_r11); const ctx_r10 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r10.openDropdown($event)); });
    i0.ɵɵelementContainer(2, 10);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r0.templateRef);
} }
function DropdownComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 10);
} if (rf & 2) {
    i0.ɵɵnextContext();
    const _r3 = i0.ɵɵreference(5);
    i0.ɵɵproperty("ngTemplateOutlet", _r3);
} }
function DropdownComponent_ng_template_4_Template(rf, ctx) { if (rf & 1) {
    const _r14 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-dropdown-select", 11, 12);
    i0.ɵɵlistener("searchValueChanged", function DropdownComponent_ng_template_4_Template_fusion_dropdown_select_searchValueChanged_0_listener($event) { i0.ɵɵrestoreView(_r14); const ctx_r13 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r13.searchValue.setValue($event)); })("click", function DropdownComponent_ng_template_4_Template_fusion_dropdown_select_click_0_listener($event) { i0.ɵɵrestoreView(_r14); const ctx_r15 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r15.openDropdown($event)); });
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("is-icon-right-position", ctx_r2.isIconRightPosition);
    i0.ɵɵproperty("configurations", i0.ɵɵpipeBind1(2, 3, ctx_r2.dropdownSelectConfigurations$));
} }
function DropdownComponent_ng_container_6_ng_container_2_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r20 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r20.optionsTitle);
} }
function DropdownComponent_ng_container_6_ng_container_2_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 23);
    i0.ɵɵelement(1, "fusion-dropdown-search", 24, 25);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const configurations_r16 = i0.ɵɵnextContext(2).ngIf;
    const ctx_r21 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("formControl", ctx_r21.searchValue)("placeholder", configurations_r16.placeholder == null ? null : configurations_r16.placeholder.search);
} }
function DropdownComponent_ng_container_6_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, DropdownComponent_ng_container_6_ng_container_2_div_1_Template, 2, 1, "div", 20);
    i0.ɵɵelementContainerStart(2);
    i0.ɵɵtemplate(3, DropdownComponent_ng_container_6_ng_container_2_div_3_Template, 3, 2, "div", 21);
    i0.ɵɵelementContainerEnd()();
} if (rf & 2) {
    const configurations_r16 = i0.ɵɵnextContext().ngIf;
    const ctx_r17 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r17.optionsTitle);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", configurations_r16.isSearch && configurations_r16.isOpen);
} }
function DropdownComponent_ng_container_6_li_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 26);
    i0.ɵɵtext(1, "No results found");
    i0.ɵɵelementEnd();
} }
const _c2 = (a0, a1, a2) => ({ "dd-disabled": a0, "dd-confirm": a1, "dd-scroll": a2 });
function DropdownComponent_ng_container_6_Template(rf, ctx) { if (rf & 1) {
    const _r26 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "div", 13);
    i0.ɵɵtemplate(2, DropdownComponent_ng_container_6_ng_container_2_Template, 4, 2, "ng-container", 4);
    i0.ɵɵelementStart(3, "div", 14, 15);
    i0.ɵɵlistener("scroll", function DropdownComponent_ng_container_6_Template_div_scroll_3_listener($event) { i0.ɵɵrestoreView(_r26); const ctx_r25 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r25.onScroll($event)); });
    i0.ɵɵelementStart(5, "ul", 16)(6, "fusion-dropdown-options-list", 17);
    i0.ɵɵlistener("closeIconClicked", function DropdownComponent_ng_container_6_Template_fusion_dropdown_options_list_closeIconClicked_6_listener($event) { i0.ɵɵrestoreView(_r26); const ctx_r27 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r27.onCloseIconClicked($event)); })("changeSelected", function DropdownComponent_ng_container_6_Template_fusion_dropdown_options_list_changeSelected_6_listener($event) { i0.ɵɵrestoreView(_r26); const ctx_r28 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r28.changeSelected($event)); });
    i0.ɵɵpipe(7, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelement(8, "li", 18);
    i0.ɵɵtemplate(9, DropdownComponent_ng_container_6_li_9_Template, 2, 0, "li", 19);
    i0.ɵɵelementEnd()()();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const configurations_r16 = ctx.ngIf;
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵclassProp("fu-has-title", ctx_r4.templateRef && ctx_r4.optionsTitle)("fu-has-search", ctx_r4.templateRef && configurations_r16.isSearch)("options-locate-left", ctx_r4.isLocatedLeft)("options-locate-right", ctx_r4.isLocatedRight);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(19, _c2, ctx_r4.isDisabled || ctx_r4.isDisabledForm, ctx_r4.search || ctx_r4.autoComplete, ctx_r4.hasScroll));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r4.templateRef);
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("displayedOptions", i0.ɵɵpipeBind1(7, 17, ctx_r4.displayedOptionsObservable$))("isMultiRawDisplay", ctx_r4.isMultiRawDisplay)("mappingOptions", ctx_r4.mappingOptions)("selected", ctx_r4.selected)("optionCloseIcon", ctx_r4.optionCloseIcon);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("fusionDropdownLoader", (ctx_r4.autoComplete || ctx_r4.search) && ctx_r4.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !(ctx_r4.filteredOptions == null ? null : ctx_r4.filteredOptions.length) && !ctx_r4.loading);
} }
function DropdownComponent_div_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 27);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r5.error);
} }
function DropdownComponent_div_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 28);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r6.helper);
} }
function DropdownComponent_ng_template_10_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 32);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r29 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r29.placeholderPrefix + ": ");
} }
function DropdownComponent_ng_template_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 29)(1, "div", 30);
    i0.ɵɵtemplate(2, DropdownComponent_ng_template_10_span_2_Template, 2, 1, "span", 31);
    i0.ɵɵtext(3);
    i0.ɵɵpipe(4, "async");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", ctx_r7.chipDefaultContent);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r7.placeholderPrefix);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(4, 3, ctx_r7.placeholder$));
} }
const ARROW_ICON = {
    iconName: 'angle-down',
    iconVersion: 'v3'
};
class DropdownComponent extends DropdownBaseComponent {
    constructor() {
        super(...arguments);
        /** @ignore */
        this.dropdownArrowIconName = ARROW_ICON;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownComponent_BaseFactory; return function DropdownComponent_Factory(t) { return (ɵDropdownComponent_BaseFactory || (ɵDropdownComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownComponent)))(t || DropdownComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownComponent, selectors: [["fusion-dropdown"]], viewQuery: function DropdownComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
            i0.ɵɵviewQuery(_c1, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.searchComponent = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.selectComponent = _t.first);
        } }, features: [i0.ɵɵProvidersFeature([
                DropdownService,
                { provide: ApiBase, useExisting: DropdownComponent },
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 12, vars: 15, consts: [[1, "is-dropdown", 3, "id", "clickOutsideActivate", "clickOutsideByCoordinates", "ngClass", "fusionClickOutside"], [3, "click", 4, "ngIf"], [3, "ngTemplateOutlet", 4, "ngIf"], ["defaultTrigger", ""], [4, "ngIf"], ["class", "fu-error-msg", 4, "ngIf"], ["class", "fu-helper-text", 4, "ngIf"], ["chipContent", ""], [3, "click"], ["trigger", ""], [3, "ngTemplateOutlet"], [3, "configurations", "searchValueChanged", "click"], ["selectComponent", ""], [1, "options-dropdown", 3, "ngClass"], [1, "options-holder", 3, "scroll"], ["optionsHolder", ""], [1, "options"], [3, "displayedOptions", "isMultiRawDisplay", "mappingOptions", "selected", "optionCloseIcon", "closeIconClicked", "changeSelected"], [3, "fusionDropdownLoader"], ["class", "no-results", 4, "ngIf"], ["class", "fu-option-title", 4, "ngIf"], ["class", "fu-search-holder", 4, "ngIf"], [1, "fu-option-title"], [1, "fu-search-holder"], [1, "fu-search-in-options", 3, "formControl", "placeholder"], ["searchComponent", ""], [1, "no-results"], [1, "fu-error-msg"], [1, "fu-helper-text"], [1, "fu-chip-content-default"], [1, "truncate", "fu-chip-text", 3, "fusionTooltip"], ["class", "fu-chip-label", 4, "ngIf"], [1, "fu-chip-label"]], template: function DropdownComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function DropdownComponent_Template_div_fusionClickOutside_0_listener($event) { return ctx.onOutsideClick($event); });
            i0.ɵɵpipe(1, "async");
            i0.ɵɵtemplate(2, DropdownComponent_div_2_Template, 3, 1, "div", 1)(3, DropdownComponent_ng_container_3_Template, 1, 1, "ng-container", 2)(4, DropdownComponent_ng_template_4_Template, 3, 5, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor)(6, DropdownComponent_ng_container_6_Template, 10, 23, "ng-container", 4);
            i0.ɵɵpipe(7, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(8, DropdownComponent_div_8_Template, 2, 1, "div", 5)(9, DropdownComponent_div_9_Template, 2, 1, "div", 6)(10, DropdownComponent_ng_template_10_Template, 5, 5, "ng-template", null, 7, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵstyleProp("width", ctx.placeholderWidth);
            i0.ɵɵproperty("id", ctx.id)("clickOutsideActivate", i0.ɵɵpipeBind1(1, 11, ctx.isOpen$))("clickOutsideByCoordinates", true)("ngClass", ctx.getHolderCSSClasses());
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.templateRef);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.templateRef);
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(7, 13, ctx.dropdownSelectConfigurations$));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.error);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.helper);
        } }, dependencies: [i1.NgClass, i1.NgIf, i1.NgTemplateOutlet, i2.NgControlStatus, i2.FormControlDirective, i3.ClickOutsideDirective, i4.TooltipDirective, i5.DropdownLoaderDirective, i6.DropdownOptionsListComponent, i7.DropdownSelectComponent, i8.DropdownSearchComponent, i1.AsyncPipe], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}[_nghost-%COMP%]   .fu-helper-text[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%], .font-caption[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]   .fu-chip-label[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]   .fu-chip-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-option-title[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-option-title[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-option-title[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-option-title[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]   .fu-chip-label[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]   .fu-chip-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}[_nghost-%COMP%]   .fu-helper-text[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%], .font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{mask:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath d='M10 0C2 0 0 2 0 10s2 10 10 10 10-2 10-10S18 0 10 0Zm0 0' fill='%23a5a5a5'/%3E%3C/svg%3E\");-webkit-mask-size:cover;mask-size:cover}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar, [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar{background-color:#fff;width:12px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-track, [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-track{background-color:#fff}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-thumb, [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{background-color:#53575b4d;border-radius:13px;border:4px solid #fff}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-button, [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-button{display:none}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%]{left:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%]{right:auto}[_nghost-%COMP%]{display:inline;min-width:85px;line-height:20px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{position:absolute;left:0;right:0;top:calc(100% + 4px);min-width:var(--dropdown-overlay-min-width, 180px);max-height:0;background:var(--fu-white, #ffffff);box-shadow:0 8px 24px -6px #00000029,0 0 1px #0006;border-radius:8px;padding:4px;display:none}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding:4px;overflow:hidden}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:264px;overflow-x:hidden}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:300px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.fu-has-search[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.fu-has-search[_ngcontent-%COMP%]{max-height:296px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.fu-has-title[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.fu-has-title[_ngcontent-%COMP%]{max-height:304px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.fu-has-title.fu-has-search[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.fu-has-title.fu-has-search[_ngcontent-%COMP%]{max-height:344px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-option-title[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-option-title[_ngcontent-%COMP%]{height:48px;color:var(--fu-black-500, #53575B);padding:12px;border-bottom:solid 1px var(--fu-light-400, #DDDFE1);margin:0 -4px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-search-holder[_ngcontent-%COMP%]{height:40px;padding:9px 12px 12px;border-bottom:solid 1px var(--fu-light-400, #DDDFE1);margin:0 -4px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{background:none;cursor:default;padding:8px 10px;height:32px;color:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{overflow-y:auto;padding-bottom:0;height:100%;max-height:245px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{padding:0;max-height:272px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding:8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{overflow-y:auto;padding-bottom:0;height:100%;max-height:245px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{height:32px;border-radius:8px;padding:0 8px;display:flex;align-items:center}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{display:flex;align-items:center;gap:8px;line-height:1em;width:100%;color:var(--fu-black-500, #53575B);cursor:pointer}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]{width:16px;height:16px;position:initial;margin:0 -4px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.fu-option-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #B7BBC0)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]{display:flex;flex-direction:column;gap:2px;overflow:hidden}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-text-container[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-text-container[_ngcontent-%COMP%]{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%]{color:var(--fu-light-900, #7B838C)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]{padding:8px;height:40px;background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]:hover{background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{color:var(--fu-black-900, #41454D);display:flex;align-items:center}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]{color:var(--fu-light-900, #7B838C);flex-wrap:wrap}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]{width:16px;height:16px;margin-left:auto}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg{width:16px;height:16px;transform:rotate(-90deg)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #B7BBC0)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]{height:100%;padding-bottom:0;margin-bottom:2px;padding-top:6px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg{width:16px;height:16px;transform:rotate(360deg)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #B7BBC0)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .fu-flex-row-break[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .fu-flex-row-break[_ngcontent-%COMP%]{flex-basis:100%;height:0;margin-top:6px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{flex-basis:calc(100% + 18px);display:block;margin:0 -10px;padding-top:4px;background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     fusion-dropdown-option, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     fusion-dropdown-option{padding-left:16px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]:hover{background:var(--fu-light-50, #F7F8F9)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-hidden[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-hidden[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.fu-loader-wrapper[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.fu-loader-wrapper[_ngcontent-%COMP%]:hover{background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]{padding:8px 10px;color:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]:hover{background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-50, #F7F8F9)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.fu-option-two-lines[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.fu-option-two-lines[_ngcontent-%COMP%]{height:48px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-with-confirm.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-with-confirm.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{max-height:316px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]{position:absolute;right:-3px;top:8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #D2D5D8)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #A9AFB4)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]{height:48px;display:flex;align-items:center;justify-content:flex-end;border-top:solid 1px var(--fu-light-400, #DDDFE1);background-color:var(--fu-white, #ffffff);gap:4px;padding:12px 16px}[_nghost-%COMP%]   .is-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-readonly[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-readonly[_ngcontent-%COMP%]{cursor:not-allowed}[_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%]{color:var(--fu-negative-700, #DA564F);margin-top:3px}[_nghost-%COMP%]   .fu-helper-text[_ngcontent-%COMP%]{color:var(--fu-black-200, #696A6B);margin-top:3px}.fu-options-position-up[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-options-position-up[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:inherit;bottom:calc(100% + 2px)}.readonly[_nghost-%COMP%]{pointer-events:none}.fu-items-top[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-items-top   [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:0}fusion-chip-filter[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:-10px;min-width:200px}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]{display:flex;gap:4px;max-width:var(--fu-chip-max-width, 200px)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    DropdownService,
                    { provide: ApiBase, useExisting: DropdownComponent },
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownComponent),
                        multi: true
                    }
                ], template: "<div\n    class=\"is-dropdown\"\n    [id]=\"id\"\n    [style.width]=\"placeholderWidth\"\n    [clickOutsideActivate]=\"isOpen$ | async\"\n    [clickOutsideByCoordinates]=\"true\"\n    (fusionClickOutside)=\"onOutsideClick($event)\"\n    [ngClass]=\"getHolderCSSClasses()\"\n>\n    <div *ngIf=\"templateRef\" #trigger  (click)=\"openDropdown($event)\">\n        <ng-container [ngTemplateOutlet]=\"templateRef\"></ng-container>\n    </div>\n\n    <ng-container *ngIf=\"!templateRef\" [ngTemplateOutlet]=\"defaultTrigger\"></ng-container>\n\n    <ng-template #defaultTrigger>\n    <fusion-dropdown-select\n        [class.is-icon-right-position]=\"this.isIconRightPosition\"\n        (searchValueChanged)=\"searchValue.setValue($event)\"\n        (click)=\"openDropdown($event)\"\n        [configurations]=\"dropdownSelectConfigurations$ | async\"\n        #selectComponent\n    >\n    </fusion-dropdown-select>\n    </ng-template>\n    <ng-container *ngIf=\"(dropdownSelectConfigurations$ | async) as configurations\">\n        <div class=\"options-dropdown\" [class.fu-has-title]=\"templateRef && optionsTitle\" [class.fu-has-search]=\"templateRef && configurations.isSearch\"  [class.options-locate-left]=\"isLocatedLeft\" [class.options-locate-right]=\"isLocatedRight\" [ngClass]=\"{'dd-disabled': isDisabled || isDisabledForm, 'dd-confirm': search || autoComplete, 'dd-scroll': hasScroll}\">\n        <!--dropdown options holder-->\n                <!--elements shown without selector-->\n                <ng-container *ngIf=\"templateRef\">\n                <div *ngIf=\"optionsTitle\" class=\"fu-option-title\">{{optionsTitle}}</div>\n                    <!--search input-->\n                <ng-container>\n                    <div class=\"fu-search-holder\" *ngIf=\"configurations.isSearch && configurations.isOpen\">\n                            <fusion-dropdown-search class=\"fu-search-in-options\"\n                                                    [formControl]=\"searchValue\"\n                                                    [placeholder]=\"configurations.placeholder?.search\"\n                                                    #searchComponent\n                            ></fusion-dropdown-search>\n                    </div>\n                    </ng-container>\n                    <!--search input-->\n                </ng-container>\n                <!--elements shown without selector-->\n            <div class=\"options-holder\" (scroll)=\"onScroll($event)\" #optionsHolder>\n                <ul class=\"options\">\n                <!--options-->\n                <fusion-dropdown-options-list\n                    [displayedOptions]=\"displayedOptionsObservable$ | async\"\n                    [isMultiRawDisplay]=\"isMultiRawDisplay\"\n                    [mappingOptions]=\"mappingOptions\"\n                    [selected]=\"selected\"\n                    [optionCloseIcon]=\"optionCloseIcon\"\n                    (closeIconClicked)=\"onCloseIconClicked($event)\"\n                    (changeSelected)=\"changeSelected($event)\"\n                ></fusion-dropdown-options-list>\n                <!--loader holder-->\n                <li [fusionDropdownLoader]=\"(autoComplete || search) && loading\"></li>\n                <!--no-result holder-->\n                <li class=\"no-results\" *ngIf=\"!filteredOptions?.length && !loading\">No results found</li>\n            </ul>\n        </div>\n    </div>\n    </ng-container>\n</div>\n<!--errors holder-->\n<div class=\"fu-error-msg\" *ngIf=\"error\">{{ error }}</div>\n<!--helper holder-->\n<div class=\"fu-helper-text\" *ngIf=\"helper\">{{helper}}</div>\n\n<ng-template #chipContent>\n    <div class=\"fu-chip-content-default\">\n        <div [fusionTooltip]=\"chipDefaultContent\" class=\"truncate fu-chip-text\"><span *ngIf=\"placeholderPrefix\" class=\"fu-chip-label\">{{ placeholderPrefix + ': '}}</span>{{ placeholder$ | async }}</div>\n    </div>\n</ng-template>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}:host .fu-helper-text,:host .fu-error-msg,.font-caption,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content .fu-sub-text-container,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content .fu-sub-text-container,.font-bodyXSmall,:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text .fu-chip-label,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text,.font-bodySmallStrong,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-dropdown.dd-opened .options-dropdown .fu-option-title,:host .is-tags-holder.dd-opened .options-dropdown .fu-option-title,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium{font-size:14px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-dropdown.dd-opened .options-dropdown .fu-option-title,:host .is-tags-holder.dd-opened .options-dropdown .fu-option-title,.font-bodyMediumStrong{font-size:14px}:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text .fu-chip-label,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results,.font-bodySmall{font-size:13px;letter-spacing:.24px}:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text,.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content .fu-sub-text-container,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content .fu-sub-text-container,.font-bodyXSmall{font-size:12px;letter-spacing:.24px}.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}:host .fu-helper-text,:host .fu-error-msg,.font-caption{font-size:11px}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img{mask:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath d='M10 0C2 0 0 2 0 10s2 10 10 10 10-2 10-10S18 0 10 0Zm0 0' fill='%23a5a5a5'/%3E%3C/svg%3E\");-webkit-mask-size:cover;mask-size:cover}:host .is-dropdown .options-dropdown .options-holder::-webkit-scrollbar,:host .is-tags-holder .options-dropdown .options-holder::-webkit-scrollbar{background-color:#fff;width:12px}:host .is-dropdown .options-dropdown .options-holder::-webkit-scrollbar-track,:host .is-tags-holder .options-dropdown .options-holder::-webkit-scrollbar-track{background-color:#fff}:host .is-dropdown .options-dropdown .options-holder::-webkit-scrollbar-thumb,:host .is-tags-holder .options-dropdown .options-holder::-webkit-scrollbar-thumb{background-color:#53575b4d;border-radius:13px;border:4px solid #fff}:host .is-dropdown .options-dropdown .options-holder::-webkit-scrollbar-button,:host .is-tags-holder .options-dropdown .options-holder::-webkit-scrollbar-button{display:none}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .is-dropdown .options-locate-right.options-dropdown,:host .is-tags-holder .options-locate-right.options-dropdown{left:auto}:host .is-dropdown .options-locate-left.options-dropdown,:host .is-tags-holder .options-locate-left.options-dropdown{right:auto}:host{display:inline;min-width:85px;line-height:20px}:host .is-dropdown,:host .is-tags-holder{position:relative}:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{position:absolute;left:0;right:0;top:calc(100% + 4px);min-width:var(--dropdown-overlay-min-width, 180px);max-height:0;background:var(--fu-white, #ffffff);box-shadow:0 8px 24px -6px #00000029,0 0 1px #0006;border-radius:8px;padding:4px;display:none}:host .is-dropdown .options-dropdown .options-holder,:host .is-tags-holder .options-dropdown .options-holder{padding:4px;overflow:hidden}:host .is-dropdown.dd-opened .options-dropdown,:host .is-tags-holder.dd-opened .options-dropdown{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:264px;overflow-x:hidden}:host .is-dropdown.dd-opened .options-dropdown.dd-disabled,:host .is-tags-holder.dd-opened .options-dropdown.dd-disabled{display:none}:host .is-dropdown.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.dd-opened .options-dropdown.dd-confirm{max-height:300px}:host .is-dropdown.dd-opened .options-dropdown.fu-has-search,:host .is-tags-holder.dd-opened .options-dropdown.fu-has-search{max-height:296px}:host .is-dropdown.dd-opened .options-dropdown.fu-has-title,:host .is-tags-holder.dd-opened .options-dropdown.fu-has-title{max-height:304px}:host .is-dropdown.dd-opened .options-dropdown.fu-has-title.fu-has-search,:host .is-tags-holder.dd-opened .options-dropdown.fu-has-title.fu-has-search{max-height:344px}:host .is-dropdown.dd-opened .options-dropdown .fu-option-title,:host .is-tags-holder.dd-opened .options-dropdown .fu-option-title{height:48px;color:var(--fu-black-500, #53575B);padding:12px;border-bottom:solid 1px var(--fu-light-400, #DDDFE1);margin:0 -4px}:host .is-dropdown.dd-opened .options-dropdown .fu-search-holder,:host .is-tags-holder.dd-opened .options-dropdown .fu-search-holder{height:40px;padding:9px 12px 12px;border-bottom:solid 1px var(--fu-light-400, #DDDFE1);margin:0 -4px}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{background:none;cursor:default;padding:8px 10px;height:32px;color:var(--fu-light-800, #8E959D)}:host .is-dropdown.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.dd-opened .options-dropdown.dd-scroll .options-holder{overflow-y:auto;padding-bottom:0;height:100%;max-height:245px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown{padding:0;max-height:272px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder{padding:8px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder{overflow-y:auto;padding-bottom:0;height:100%;max-height:245px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li{height:32px;border-radius:8px;padding:0 8px;display:flex;align-items:center}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{display:flex;align-items:center;gap:8px;line-height:1em;width:100%;color:var(--fu-black-500, #53575B);cursor:pointer}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img{width:20px;height:20px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.fu-option-icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.fu-option-icon{width:16px;height:16px;position:initial;margin:0 -4px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.fu-option-icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.fu-option-icon ::ng-deep svg{width:16px;height:16px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.fu-option-icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.fu-option-icon ::ng-deep svg *{fill:var(--fu-light-600, #B7BBC0)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content{display:flex;flex-direction:column;gap:2px;overflow:hidden}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content .fu-text-container,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content .fu-text-container{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content .fu-sub-text-container,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .fu-text-content .fu-sub-text-container{color:var(--fu-light-900, #7B838C)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group{padding:8px;height:40px;background-color:var(--fu-white, #ffffff)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group:hover{background-color:var(--fu-white, #ffffff)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group{color:var(--fu-black-900, #41454D);display:flex;align-items:center}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children{color:var(--fu-light-900, #7B838C);flex-wrap:wrap}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow],:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow]{width:16px;height:16px;margin-left:auto}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg{width:16px;height:16px;transform:rotate(-90deg)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg *{fill:var(--fu-light-600, #B7BBC0)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options{display:none}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open{height:100%;padding-bottom:0;margin-bottom:2px;padding-top:6px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon[class^=option-icon-arrow] ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon[class^=option-icon-arrow] ::ng-deep svg{width:16px;height:16px;transform:rotate(360deg)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon[class^=option-icon-arrow] ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon[class^=option-icon-arrow] ::ng-deep svg *{fill:var(--fu-light-600, #B7BBC0)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .fu-flex-row-break,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .fu-flex-row-break{flex-basis:100%;height:0;margin-top:6px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options{flex-basis:calc(100% + 18px);display:block;margin:0 -10px;padding-top:4px;background-color:var(--fu-white, #ffffff)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options .option ::ng-deep fusion-dropdown-option,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options .option ::ng-deep fusion-dropdown-option{padding-left:16px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open:hover{background:var(--fu-light-50, #F7F8F9)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-hidden,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-hidden{display:none}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.fu-loader-wrapper:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.fu-loader-wrapper:hover{background-color:var(--fu-white, #ffffff)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results{padding:8px 10px;color:var(--fu-light-800, #8E959D)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results:hover{background-color:var(--fu-white, #ffffff)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li:hover{background-color:var(--fu-light-50, #F7F8F9)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.fu-option-two-lines,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.fu-option-two-lines{height:48px}:host .is-dropdown.is-multiselect.is-with-confirm.dd-opened .options-dropdown,:host .is-tags-holder.is-multiselect.is-with-confirm.dd-opened .options-dropdown{max-height:316px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon],:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon]{position:absolute;right:-3px;top:8px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg *{fill:var(--fu-light-500, #D2D5D8)}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--fu-light-700, #A9AFB4)}:host .is-dropdown .dd-actions,:host .is-tags-holder .dd-actions{height:48px;display:flex;align-items:center;justify-content:flex-end;border-top:solid 1px var(--fu-light-400, #DDDFE1);background-color:var(--fu-white, #ffffff);gap:4px;padding:12px 16px}:host .is-dropdown.dd-disabled,:host .is-dropdown.dd-readonly,:host .is-tags-holder.dd-disabled,:host .is-tags-holder.dd-readonly{cursor:not-allowed}:host .fu-error-msg{color:var(--fu-negative-700, #DA564F);margin-top:3px}:host .fu-helper-text{color:var(--fu-black-200, #696A6B);margin-top:3px}:host.fu-options-position-up .is-dropdown .options-dropdown,:host.fu-options-position-up .is-tags-holder.dd-opened .options-dropdown{top:inherit;bottom:calc(100% + 2px)}:host.readonly{pointer-events:none}:host-context(.fu-items-top) .is-dropdown .options-dropdown{top:0}:host-context(fusion-chip-filter) .is-dropdown .options-dropdown{top:-10px;min-width:200px}:host-context(fusion-chip-filter) .fu-chip-content-default{display:flex;gap:4px;max-width:var(--fu-chip-max-width, 200px)}\n"] }]
    }], null, { searchComponent: [{
            type: ViewChild,
            args: ['searchComponent']
        }], selectComponent: [{
            type: ViewChild,
            args: ['selectComponent']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownComponent, { className: "DropdownComponent", filePath: "v3/dropdown.component.ts", lineNumber: 29 }); })();

class DropdownModule {
    static { this.ɵfac = function DropdownModule_Factory(t) { return new (t || DropdownModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            ReactiveFormsModule,
            IconModule,
            ButtonModule,
            InputModule,
            FlagModule,
            CheckboxModule,
            ClickOutsideModule,
            TooltipModule,
            DynamicComponentsModule,
            DropdownLoaderModule,
            DropdownOptionsListModule,
            DropdownOptionModule,
            DropdownSelectModule,
            DropdownSearchModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownComponent],
                exports: [DropdownComponent],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    IconModule,
                    ButtonModule,
                    InputModule,
                    FlagModule,
                    CheckboxModule,
                    ClickOutsideModule,
                    FilterByFieldPipe,
                    ClonePipe,
                    TooltipModule,
                    DynamicComponentsModule,
                    DropdownLoaderModule,
                    DropdownOptionsListModule,
                    DropdownOptionModule,
                    DropdownSelectModule,
                    DropdownSearchModule
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownModule, { declarations: [DropdownComponent], imports: [CommonModule,
        ReactiveFormsModule,
        IconModule,
        ButtonModule,
        InputModule,
        FlagModule,
        CheckboxModule,
        ClickOutsideModule,
        FilterByFieldPipe,
        ClonePipe,
        TooltipModule,
        DynamicComponentsModule,
        DropdownLoaderModule,
        DropdownOptionsListModule,
        DropdownOptionModule,
        DropdownSelectModule,
        DropdownSearchModule], exports: [DropdownComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownComponent, DropdownModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown.mjs.map
