import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy } from '@angular/core';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { InputInlineBaseComponent, CONFIG_INPUT_INLINE_BY_UI_STYLE } from '@ironsource/fusion-ui/components/input-inline/common/base';
export { InlineInputType } from '@ironsource/fusion-ui/components/input-inline/common/base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@ironsource/fusion-ui/components/loader/v2';
import { LoaderModule } from '@ironsource/fusion-ui/components/loader/v2';
import * as i4 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i5 from '@ironsource/fusion-ui/components/input/v3';
import { InputModule } from '@ironsource/fusion-ui/components/input/v3';
import * as i6 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';

function InputInlineComponent_div_5_fusion_icon_3_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 10);
    i0.ɵɵlistener("click", function InputInlineComponent_div_5_fusion_icon_3_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r4.save()); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r2.configByStyle.iconSave);
} }
function InputInlineComponent_div_5_fusion_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 11);
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("fusionTooltip", ctx_r3.error)("name", ctx_r3.configByStyle.iconError);
} }
const _c0 = (a0, a1) => ({ "is-currency": a0, "is-loading": a1 });
function InputInlineComponent_div_5_Template(rf, ctx) { if (rf & 1) {
    const _r7 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 4)(1, "fusion-input", 5, 6);
    i0.ɵɵlistener("ngEscape", function InputInlineComponent_div_5_Template_fusion_input_ngEscape_1_listener() { i0.ɵɵrestoreView(_r7); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.cancel()); });
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(3, InputInlineComponent_div_5_fusion_icon_3_Template, 1, 1, "fusion-icon", 7)(4, InputInlineComponent_div_5_fusion_icon_4_Template, 1, 2, "fusion-icon", 8);
    i0.ɵɵelement(5, "fusion-loader", 9);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(12, _c0, ctx_r0.isTypeCurrency, ctx_r0.loading));
    i0.ɵɵadvance();
    i0.ɵɵproperty("type", ctx_r0.inputType)("sanitationRegex", ctx_r0.sanitationRegex)("units", ctx_r0.inputUnits)("unitPos", ctx_r0.inputUnitsPosition)("options", ctx_r0.inputOptions)("error", ctx_r0.error)("isDisabled", ctx_r0.loading)("formControl", ctx_r0.inputControl);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", !ctx_r0.loading && !ctx_r0.error);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.error && !ctx_r0.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("status", ctx_r0.loading);
} }
const _c1 = (a0, a1, a2) => ({ "is-currency": a0, hidden: a1, "is-readonly": a2 });
class InputInlineComponent extends InputInlineBaseComponent {
    ngOnInit() {
        super.ngOnInit();
        this.configByStyle = CONFIG_INPUT_INLINE_BY_UI_STYLE[`style_v3`];
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵInputInlineComponent_BaseFactory; return function InputInlineComponent_Factory(t) { return (ɵInputInlineComponent_BaseFactory || (ɵInputInlineComponent_BaseFactory = i0.ɵɵgetInheritedFactory(InputInlineComponent)))(t || InputInlineComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: InputInlineComponent, selectors: [["fusion-input-inline"]], standalone: true, features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => InputInlineComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature, i0.ɵɵStandaloneFeature], decls: 7, vars: 17, consts: [[1, "inline-input-wrapper"], [1, "is-label", 3, "ngClass", "click"], [1, "truncate", 3, "ngClass", "fusionTooltip"], [3, "ngClass", 4, "ngIf"], [3, "ngClass"], [1, "is-underline", "is-no-spin", 3, "type", "sanitationRegex", "units", "unitPos", "options", "error", "isDisabled", "formControl", "ngEscape"], ["inputComponent", ""], ["class", "icon-save", 3, "name", "click", 4, "ngIf"], ["class", "icon-error", 3, "fusionTooltip", "name", 4, "ngIf"], ["size", "inline", 3, "status"], [1, "icon-save", 3, "name", "click"], [1, "icon-error", 3, "fusionTooltip", "name"]], template: function InputInlineComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0)(1, "div", 1);
            i0.ɵɵlistener("click", function InputInlineComponent_Template_div_click_1_listener() { return !ctx.readOnly && ctx.goToEditMode(); });
            i0.ɵɵpipe(2, "async");
            i0.ɵɵelementStart(3, "div", 2);
            i0.ɵɵtext(4);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(5, InputInlineComponent_div_5_Template, 6, 15, "div", 3);
            i0.ɵɵpipe(6, "async");
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵclassProp("fu-small", (ctx.inputOptions == null ? null : ctx.inputOptions.size) === "small");
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(13, _c1, ctx.isTypeCurrency, i0.ɵɵpipeBind1(2, 9, ctx.isEditMode$), ctx.readOnly));
            i0.ɵɵadvance(2);
            i0.ɵɵclassProp("fu-disable", ctx.disable);
            i0.ɵɵproperty("ngClass", ctx.textClass)("fusionTooltip", ctx.savedValueToString);
            i0.ɵɵadvance();
            i0.ɵɵtextInterpolate(ctx.savedValueToString);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(6, 11, ctx.isEditMode$) === true);
        } }, dependencies: [CommonModule, i1.NgClass, i1.NgIf, i1.AsyncPipe, ReactiveFormsModule, i2.NgControlStatus, i2.FormControlDirective, LoaderModule, i3.LoaderComponent, IconModule, i4.IconComponent, InputModule, i5.InputComponent, TooltipModule, i6.TooltipDirective, ClickOutsideModule], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]{line-height:16px;position:relative;height:40px}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%]{display:flex;align-items:center;padding:12px 12px 12px 8px;border-radius:8px;color:var(--fu-black-500, #53575B);-webkit-user-select:none;user-select:none}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-200, #EDEFF0);cursor:pointer}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label.is-readonly[_ngcontent-%COMP%]{cursor:default}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label.is-readonly[_ngcontent-%COMP%]:hover{background-color:transparent;cursor:default}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label.hidden[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .fu-disable[_ngcontent-%COMP%]{color:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   fusion-icon[class^=icon-save][_ngcontent-%COMP%]{width:16px;height:16px;position:absolute;right:12px;top:11px;cursor:pointer}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   fusion-icon[class^=icon-save][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   fusion-icon[class^=icon-save][_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-300, #96C0FF)}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   fusion-icon[class^=icon-save][_ngcontent-%COMP%]:hover     svg{width:16px;height:16px}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   fusion-icon[class^=icon-save][_ngcontent-%COMP%]:hover     svg *{fill:var(--fu-primary-500, #3083FF)}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   fusion-icon[class^=icon-error][_ngcontent-%COMP%]{width:16px;height:16px;position:absolute;right:12px;top:11px;cursor:pointer}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   fusion-icon[class^=icon-error][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   fusion-icon[class^=icon-error][_ngcontent-%COMP%]     svg *{fill:var(--fu-negative-500, #FF6A63)}[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   fusion-loader[_ngcontent-%COMP%]{position:absolute;right:0;top:21px}[_nghost-%COMP%]   .inline-input-wrapper.fu-small[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%]{height:32px;padding:8px}[_nghost-%COMP%]   .inline-input-wrapper.fu-small[_ngcontent-%COMP%]   .icon-save[_ngcontent-%COMP%]{right:8px;top:8px}[_nghost-%COMP%]   .inline-input-wrapper.fu-small[_ngcontent-%COMP%]   .icon-error[_ngcontent-%COMP%]{right:8px;top:8px}.fu-align-right[_nghost-%COMP%]   .is-label[_ngcontent-%COMP%]   .truncate[_ngcontent-%COMP%]{text-align:right}tr:hover[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%], tr:hover   [_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%], tr.fu-hovered[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%], tr.fu-hovered   [_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%]{background-color:var(--fu-light-200, #EDEFF0)}tr:hover[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label.is-readonly[_ngcontent-%COMP%], tr:hover   [_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label.is-readonly[_ngcontent-%COMP%], tr:hover[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%]:has(.fu-disable), tr:hover   [_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%]:has(.fu-disable), tr.fu-hovered[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label.is-readonly[_ngcontent-%COMP%], tr.fu-hovered   [_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label.is-readonly[_ngcontent-%COMP%], tr.fu-hovered[_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%]:has(.fu-disable), tr.fu-hovered   [_nghost-%COMP%]   .inline-input-wrapper[_ngcontent-%COMP%]   .is-label[_ngcontent-%COMP%]:has(.fu-disable){background-color:transparent}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(InputInlineComponent, [{
        type: Component,
        args: [{ selector: 'fusion-input-inline', changeDetection: ChangeDetectionStrategy.OnPush, standalone: true, imports: [CommonModule, ReactiveFormsModule, LoaderModule, IconModule, InputModule, TooltipModule, ClickOutsideModule], providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => InputInlineComponent),
                        multi: true
                    }
                ], template: "<div class=\"inline-input-wrapper\"\n[class.fu-small]=\"inputOptions?.size === 'small'\">\n    <div class=\"is-label\"\n         [ngClass]=\"{'is-currency': isTypeCurrency, hidden: (isEditMode$ | async) , 'is-readonly': readOnly}\"\n         (click)=\"!readOnly && goToEditMode()\"\n    >\n        <div class=\"truncate\"\n             [ngClass]=\"textClass\"\n             [class.fu-disable]=\"disable\"\n             [fusionTooltip]=\"savedValueToString\"\n        >{{ savedValueToString }}</div>\n    </div>\n    <div *ngIf=\"(isEditMode$ | async) === true\"\n         [ngClass]=\"{'is-currency': isTypeCurrency, 'is-loading': loading}\">\n        <fusion-input\n            #inputComponent\n            class=\"is-underline is-no-spin\"\n            [type]=\"inputType\"\n            [sanitationRegex]=\"sanitationRegex\"\n            [units]=\"inputUnits\"\n            [unitPos]=\"inputUnitsPosition\"\n            [options]=\"inputOptions\"\n            [error]=\"error\"\n            (ngEscape)=\"cancel()\"\n            [isDisabled]=\"loading\"\n            [formControl]=\"inputControl\"\n        ></fusion-input>\n        <fusion-icon class=\"icon-save\" [name]=\"configByStyle.iconSave\" (click)=\"save()\" *ngIf=\"!loading && !error\"></fusion-icon>\n        <fusion-icon class=\"icon-error\" [fusionTooltip]=\"error\" [name]=\"configByStyle.iconError\" *ngIf=\"error && !loading\"></fusion-icon>\n        <fusion-loader [status]=\"loading\" size=\"inline\"></fusion-loader>\n    </div>\n</div>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host .inline-input-wrapper,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host .inline-input-wrapper,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host *{box-sizing:border-box}:host .inline-input-wrapper .truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .inline-input-wrapper{line-height:16px;position:relative;height:40px}:host .inline-input-wrapper .is-label{display:flex;align-items:center;padding:12px 12px 12px 8px;border-radius:8px;color:var(--fu-black-500, #53575B);-webkit-user-select:none;user-select:none}:host .inline-input-wrapper .is-label:hover{background-color:var(--fu-light-200, #EDEFF0);cursor:pointer}:host .inline-input-wrapper .is-label.is-readonly{cursor:default}:host .inline-input-wrapper .is-label.is-readonly:hover{background-color:transparent;cursor:default}:host .inline-input-wrapper .is-label.hidden{display:none}:host .inline-input-wrapper .fu-disable{color:var(--fu-light-800, #8E959D)}:host .inline-input-wrapper fusion-icon[class^=icon-save]{width:16px;height:16px;position:absolute;right:12px;top:11px;cursor:pointer}:host .inline-input-wrapper fusion-icon[class^=icon-save] ::ng-deep svg{width:16px;height:16px}:host .inline-input-wrapper fusion-icon[class^=icon-save] ::ng-deep svg *{fill:var(--fu-primary-300, #96C0FF)}:host .inline-input-wrapper fusion-icon[class^=icon-save]:hover ::ng-deep svg{width:16px;height:16px}:host .inline-input-wrapper fusion-icon[class^=icon-save]:hover ::ng-deep svg *{fill:var(--fu-primary-500, #3083FF)}:host .inline-input-wrapper fusion-icon[class^=icon-error]{width:16px;height:16px;position:absolute;right:12px;top:11px;cursor:pointer}:host .inline-input-wrapper fusion-icon[class^=icon-error] ::ng-deep svg{width:16px;height:16px}:host .inline-input-wrapper fusion-icon[class^=icon-error] ::ng-deep svg *{fill:var(--fu-negative-500, #FF6A63)}:host .inline-input-wrapper fusion-loader{position:absolute;right:0;top:21px}:host .inline-input-wrapper.fu-small .is-label{height:32px;padding:8px}:host .inline-input-wrapper.fu-small .icon-save{right:8px;top:8px}:host .inline-input-wrapper.fu-small .icon-error{right:8px;top:8px}:host.fu-align-right .is-label .truncate{text-align:right}:host-context(tr:hover) .inline-input-wrapper .is-label,:host-context(tr.fu-hovered) .inline-input-wrapper .is-label{background-color:var(--fu-light-200, #EDEFF0)}:host-context(tr:hover) .inline-input-wrapper .is-label.is-readonly,:host-context(tr:hover) .inline-input-wrapper .is-label:has(.fu-disable),:host-context(tr.fu-hovered) .inline-input-wrapper .is-label.is-readonly,:host-context(tr.fu-hovered) .inline-input-wrapper .is-label:has(.fu-disable){background-color:transparent}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(InputInlineComponent, { className: "InputInlineComponent", filePath: "v3/input-inline.component.ts", lineNumber: 26 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { InputInlineComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-input-inline.mjs.map
