import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { InputBaseComponent, CONFIG_INPUT_BY_UI_STYLE } from '@ironsource/fusion-ui/components/input/common/base';
export { InputSize } from '@ironsource/fusion-ui/components/input/common/base';
import { of } from 'rxjs';
import { isBoolean } from '@ironsource/fusion-ui/utils';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i4 from '@ironsource/fusion-ui/components/tooltip/v1';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v1';
import { LoaderModule } from '@ironsource/fusion-ui/components/loader/v1';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import { LoaderInlineModule } from '@ironsource/fusion-ui/components/loader-inline/v1';

function InputComponent_ng_container_1_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 15);
    i0.ɵɵelement(1, "fusion-icon", 16);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const configByStyle_r2 = i0.ɵɵnextContext().ngIf;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("focused", ctx_r3.focused);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", configByStyle_r2.iconSearch);
} }
function InputComponent_ng_container_1_i_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "i", 17);
    i0.ɵɵelement(1, "fusion-icon", 18);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵclassMapInterpolate1("fu-input-icon ", (ctx_r4.config == null ? null : ctx_r4.config.icon == null ? null : ctx_r4.config.icon.iconPos) || (ctx_r4.config == null ? null : ctx_r4.config.icon == null ? null : ctx_r4.config.icon[0] == null ? null : ctx_r4.config.icon[0].iconPos), "");
    i0.ɵɵclassProp("has-units", ctx_r4.config == null ? null : ctx_r4.config.units);
    i0.ɵɵproperty("ngStyle", ctx_r4.config.options == null ? null : ctx_r4.config.options.iconStyle);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", (ctx_r4.config == null ? null : ctx_r4.config.icon == null ? null : ctx_r4.config.icon.iconData) || (ctx_r4.config == null ? null : ctx_r4.config.icon == null ? null : ctx_r4.config.icon[0] == null ? null : ctx_r4.config.icon[0].iconData));
} }
function InputComponent_ng_container_1_i_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "i");
    i0.ɵɵelement(1, "fusion-icon", 18);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const configByStyle_r2 = i0.ɵɵnextContext().ngIf;
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate1("fu-input-icon loading ", (ctx_r5.config == null ? null : ctx_r5.config.icon == null ? null : ctx_r5.config.icon.iconPos) || "right", "");
    i0.ɵɵclassProp("has-units", ctx_r5.config == null ? null : ctx_r5.config.units);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", configByStyle_r2.iconLoader);
} }
function InputComponent_ng_container_1_span_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵclassMapInterpolate2("fu-input-units ", ctx_r6.config == null ? null : ctx_r6.config.unitPos, " ", ctx_r6.config.options == null ? null : ctx_r6.config.options.size, "");
    i0.ɵɵclassProp("focused", ctx_r6.focused)("fu-error", ctx_r6.config.error)("is-placeholder-units", (ctx_r6.config == null ? null : ctx_r6.config.unitPlaceholder) && !ctx_r6.inputControl.value);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r6.config == null ? null : ctx_r6.config.units, " ");
} }
function InputComponent_ng_container_1_button_12_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 19);
    i0.ɵɵlistener("click", function InputComponent_ng_container_1_button_12_Template_button_click_0_listener($event) { i0.ɵɵrestoreView(_r15); const ctx_r14 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r14.onButtonClicked($event)); });
    i0.ɵɵelement(1, "fusion-icon", 18);
    i0.ɵɵelementStart(2, "span", 20);
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const configByStyle_r2 = i0.ɵɵnextContext().ngIf;
    const ctx_r8 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("is-loading", ctx_r8.config == null ? null : ctx_r8.config.btnLoading)("fu-error", ctx_r8.config == null ? null : ctx_r8.config.error);
    i0.ɵɵproperty("disabled", ctx_r8.config == null ? null : ctx_r8.config.btnDisabled);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", configByStyle_r2.iconLoader);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r8.config == null ? null : ctx_r8.config.btn);
} }
function InputComponent_ng_container_1_i_13_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "i", 21);
    i0.ɵɵelement(1, "fusion-icon", 22);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const configByStyle_r2 = i0.ɵɵnextContext().ngIf;
    const ctx_r9 = i0.ɵɵnextContext();
    i0.ɵɵproperty("fusionTooltip", ctx_r9.getTooltipErrorsMessage());
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r9.getErrorIcon(ctx_r9.config == null ? null : ctx_r9.config.errorType, configByStyle_r2.iconInfo, configByStyle_r2.iconWarning));
} }
const _c0 = () => ({ iconName: "eye", iconVersion: "v2" });
const _c1 = () => ({ iconName: "eye-slash", iconVersion: "v2" });
function InputComponent_ng_container_1_i_14_Template(rf, ctx) { if (rf & 1) {
    const _r19 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "i", 23);
    i0.ɵɵlistener("click", function InputComponent_ng_container_1_i_14_Template_i_click_0_listener($event) { i0.ɵɵrestoreView(_r19); const ctx_r18 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r18.passToggle($event)); })("mousedown", function InputComponent_ng_container_1_i_14_Template_i_mousedown_0_listener($event) { i0.ɵɵrestoreView(_r19); const ctx_r20 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r20.onPassToggleMouseDown($event)); });
    i0.ɵɵelement(1, "fusion-icon", 18);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", (ctx_r10.config.options == null ? null : ctx_r10.config.options.isPassHidden) ? i0.ɵɵpureFunction0(1, _c0) : i0.ɵɵpureFunction0(2, _c1));
} }
function InputComponent_ng_container_1_input_15_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "input", 24, 25);
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("formControl", ctx_r11.file)("accept", ctx_r11.config == null ? null : ctx_r11.config.acceptFileExtensions);
} }
function InputComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r23 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, InputComponent_ng_container_1_div_1_Template, 2, 3, "div", 3);
    i0.ɵɵelementStart(2, "label", 4);
    i0.ɵɵlistener("click", function InputComponent_ng_container_1_Template_label_click_2_listener() { i0.ɵɵrestoreView(_r23); const ctx_r22 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r22.clearInput(true)); });
    i0.ɵɵelement(3, "fusion-icon", 5);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, InputComponent_ng_container_1_i_4_Template, 2, 7, "i", 6)(5, InputComponent_ng_container_1_i_5_Template, 2, 6, "i", 7)(6, InputComponent_ng_container_1_span_6_Template, 2, 11, "span", 8);
    i0.ɵɵelementStart(7, "input", 9, 10);
    i0.ɵɵlistener("focus", function InputComponent_ng_container_1_Template_input_focus_7_listener() { i0.ɵɵrestoreView(_r23); const ctx_r24 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r24.focus()); })("blur", function InputComponent_ng_container_1_Template_input_blur_7_listener() { i0.ɵɵrestoreView(_r23); const ctx_r25 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r25.blur()); });
    i0.ɵɵpipe(9, "async");
    i0.ɵɵpipe(10, "async");
    i0.ɵɵpipe(11, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(12, InputComponent_ng_container_1_button_12_Template, 4, 7, "button", 11)(13, InputComponent_ng_container_1_i_13_Template, 2, 2, "i", 12)(14, InputComponent_ng_container_1_i_14_Template, 2, 3, "i", 13)(15, InputComponent_ng_container_1_input_15_Template, 2, 2, "input", 14);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const configByStyle_r2 = ctx.ngIf;
    const _r7 = i0.ɵɵreference(8);
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.displaySearchIcon && !ctx_r0.loading);
    i0.ɵɵadvance();
    i0.ɵɵclassProp("focused", ctx_r0.focused);
    i0.ɵɵproperty("for", "fu-clear-search-" + (ctx_r0.config == null ? null : ctx_r0.config.id))("hidden", !(ctx_r0.config == null ? null : ctx_r0.config.clear) || !_r7.value);
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", "fu-clear-search-" + (ctx_r0.config == null ? null : ctx_r0.config.id))("name", configByStyle_r2.iconClear);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (ctx_r0.config == null ? null : ctx_r0.config.icon) && !ctx_r0.loading && !(ctx_r0.config == null ? null : ctx_r0.config.errorType));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.config == null ? null : ctx_r0.config.units);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate2("fu-input ", ctx_r0.config == null ? null : ctx_r0.config.class, " ", (ctx_r0.config == null ? null : ctx_r0.config.icon == null ? null : ctx_r0.config.icon.iconPos) || (ctx_r0.config == null ? null : ctx_r0.config.icon == null ? null : ctx_r0.config.icon[0] == null ? null : ctx_r0.config.icon[0].iconPos), "");
    i0.ɵɵclassProp("fu-input-small", ctx_r0.isSmall)("fu-type-pass", (ctx_r0.config == null ? null : ctx_r0.config.type) === "password")("has-units", ctx_r0.config == null ? null : ctx_r0.config.units)("disabled", i0.ɵɵpipeBind1(9, 46, ctx_r0.disabled$))("iconed", (ctx_r0.config == null ? null : ctx_r0.config.icon) || ctx_r0.loading)("fu-button", ctx_r0.config == null ? null : ctx_r0.config.btn)("has-clear-btn", ctx_r0.config == null ? null : ctx_r0.config.clear)("fu-error", i0.ɵɵpipeBind1(10, 48, ctx_r0.showErrorClass$));
    i0.ɵɵproperty("id", ctx_r0.config == null ? null : ctx_r0.config.id)("type", ctx_r0.getInputType())("placeholder", ctx_r0.config == null ? null : ctx_r0.config.placeholder)("readonly", (ctx_r0.config == null ? null : ctx_r0.config.readonly) || i0.ɵɵpipeBind1(11, 50, ctx_r0.disabled$) || ctx_r0.loading && (ctx_r0.config == null ? null : ctx_r0.config.disableOnLoading) || (ctx_r0.config == null ? null : ctx_r0.config.btnLoading))("required", ctx_r0.config == null ? null : ctx_r0.config.required)("min", ctx_r0.config == null ? null : ctx_r0.config.min)("max", ctx_r0.config == null ? null : ctx_r0.config.max)("step", ctx_r0.step)("formControl", ctx_r0.inputControl)("ngStyle", ctx_r0.config.options == null ? null : ctx_r0.config.options.style);
    i0.ɵɵattribute("maxlength", ctx_r0.config == null ? null : ctx_r0.config.maxlength)("autofocus", ctx_r0.config == null ? null : ctx_r0.config.autofocus);
    i0.ɵɵadvance(5);
    i0.ɵɵproperty("ngIf", ctx_r0.config == null ? null : ctx_r0.config.btn);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (ctx_r0.config == null ? null : ctx_r0.config.errorType) && ctx_r0.showErrorIcon() && !ctx_r0.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (ctx_r0.config == null ? null : ctx_r0.config.type) === "password");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.config.type === "file");
} }
function InputComponent_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 26);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("focused", ctx_r1.focused);
    i0.ɵɵproperty("hidden", (ctx_r1.config == null ? null : ctx_r1.config.errorType) && ctx_r1.showErrorIcon())("innerHTML", ctx_r1.config.error, i0.ɵɵsanitizeHtml);
} }
class InputComponent extends InputBaseComponent {
    /** @internal */
    showErrorIcon() {
        return this.config.options.size === 'small' && this.config.error && !isBoolean(this.config.error);
    }
    getConfigStyleObservable() {
        return of(CONFIG_INPUT_BY_UI_STYLE['style_v1']);
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵInputComponent_BaseFactory; return function InputComponent_Factory(t) { return (ɵInputComponent_BaseFactory || (ɵInputComponent_BaseFactory = i0.ɵɵgetInheritedFactory(InputComponent)))(t || InputComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: InputComponent, selectors: [["fusion-input"]], features: [i0.ɵɵProvidersFeature([{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => InputComponent), multi: true }]), i0.ɵɵInheritDefinitionFeature], decls: 4, vars: 9, consts: [[1, "fu-input-holder", 3, "ngClass"], [4, "ngIf"], ["class", "fu-error-msg", 3, "hidden", "focused", "innerHTML", 4, "ngIf"], ["class", "fu-search-icon-holder", 3, "focused", 4, "ngIf"], [1, "fu-clear-input", 3, "for", "hidden", "click"], [1, "icon-clear-search", 3, "id", "name"], [3, "class", "has-units", "ngStyle", 4, "ngIf"], [3, "class", "has-units", 4, "ngIf"], [3, "class", "focused", "fu-error", "is-placeholder-units", 4, "ngIf"], ["autocomplete", "off", "minlength", "1", 3, "id", "type", "placeholder", "readonly", "required", "min", "max", "step", "formControl", "ngStyle", "focus", "blur"], ["input", ""], [3, "disabled", "is-loading", "fu-error", "click", 4, "ngIf"], ["class", "fu-validation-icon-holder", 3, "fusionTooltip", 4, "ngIf"], ["class", "fu-toggle-pass", 3, "click", "mousedown", 4, "ngIf"], ["hidden", "", "value", "", "type", "file", 3, "formControl", "accept", 4, "ngIf"], [1, "fu-search-icon-holder"], [1, "icon-search", 3, "name"], [3, "ngStyle"], [3, "name"], [3, "disabled", "click"], [1, "fu-action-button-text"], [1, "fu-validation-icon-holder", 3, "fusionTooltip"], [1, "icon-validation", 3, "name"], [1, "fu-toggle-pass", 3, "click", "mousedown"], ["hidden", "", "value", "", "type", "file", 3, "formControl", "accept"], ["fileInput", ""], [1, "fu-error-msg", 3, "hidden", "innerHTML"]], template: function InputComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, InputComponent_ng_container_1_Template, 16, 52, "ng-container", 1);
            i0.ɵɵpipe(2, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(3, InputComponent_div_3_Template, 1, 4, "div", 2);
        } if (rf & 2) {
            i0.ɵɵstyleProp("width", ctx.config.options == null ? null : ctx.config.options.width);
            i0.ɵɵclassProp("fu-input-small", ctx.isSmall);
            i0.ɵɵproperty("ngClass", ctx.getHolderClasses());
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(2, 7, ctx.configByStyle$));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", (ctx.config == null ? null : ctx.config.error) !== true);
        } }, dependencies: [i1.NgClass, i1.NgIf, i1.NgStyle, i2.DefaultValueAccessor, i2.NgControlStatus, i2.RequiredValidator, i2.MinLengthValidator, i2.FormControlDirective, i3.IconComponent, i4.TooltipDirective, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-input-small[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::placeholder, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%]{font-size:13px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%]{pointer-events:none;cursor:default;touch-callout:none;-webkit-user-select:none;user-select:none}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{border-radius:var(--border-radius, 3px)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.right.small[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%]{border:1px solid var(--light-color, #E1E6EB)}[_nghost-%COMP%]{width:100%}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]{display:inline-flex;flex-shrink:1;position:relative;flex-direction:row;align-items:stretch;align-content:stretch;flex-flow:row nowrap;width:100%}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]{position:absolute;left:5px;z-index:2;top:8px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]   fusion-icon.search[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]   fusion-icon.search[_ngcontent-%COMP%]     svg *{fill:var(--light-color-700, #95A6B8)}[_nghost-%COMP%]   .fu-input-holder.fu-search-icon-right-position[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]{left:inherit;right:5px}[_nghost-%COMP%]   .fu-input-holder.fu-search-icon-right-position[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]   fusion-icon.search[_ngcontent-%COMP%]     svg{width:14px;height:14px}[_nghost-%COMP%]   .fu-input-holder.fu-search-icon-right-position[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]   fusion-icon.search[_ngcontent-%COMP%]     svg *{fill:var(--light-color-700, #95A6B8)}[_nghost-%COMP%]   .fu-input-holder.fu-input-small[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]{top:6px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%]{padding:4px 5px 4px 10px;align-items:center;justify-content:center;flex-direction:column;display:flex;border-radius:3px 0 0 3px;border-right-width:0;color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.small[_ngcontent-%COMP%]{border-right:none;background:white;display:block;min-width:inherit;padding:2px 5px 0 6px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.fu-error[_ngcontent-%COMP%]{border-color:var(--negative-color-200, #F59CB3)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.fu-error.focused[_ngcontent-%COMP%]{border-color:var(--negative-color-200, #F59CB3)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.focused[_ngcontent-%COMP%]{border-color:var(--primary-color, #3091F6)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.right[_ngcontent-%COMP%]{order:99;border-radius:0 3px 3px 0;border-left-width:0;border-right-width:1px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.right.small[_ngcontent-%COMP%]{border-left:none;padding:1px 6px 0 0}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.right.small.focused[_ngcontent-%COMP%]{border-color:var(--primary-color, #3091F6)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.right[_ngcontent-%COMP%] + input[_ngcontent-%COMP%]{border-right-width:0;border-radius:3px 0 0 3px;border-left-width:1px;padding-right:0}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.right[_ngcontent-%COMP%] + input.is-underline[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.right[_ngcontent-%COMP%] + input.is-no-border[_ngcontent-%COMP%]{border-radius:0}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%]:not(.right) + input[_ngcontent-%COMP%]{border-left-width:0;border-radius:0 3px 3px 0;padding-left:0}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%]:not(.right) + input.is-underline[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%]:not(.right) + input.is-no-border[_ngcontent-%COMP%]{border-radius:0}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.is-placeholder-units[_ngcontent-%COMP%]{color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]{cursor:pointer;position:absolute;left:5px;z-index:2;top:8px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.clear-full-circle[_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.clear-full-circle[_ngcontent-%COMP%]     svg .background{fill:var(--light-color-600, #C2CDD7)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.clear-full-circle[_ngcontent-%COMP%]     svg .inner{fill:#fff}[_nghost-%COMP%]   .fu-input-holder.fu-search-icon-right-position[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]{right:5px;left:inherit}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-icon[_ngcontent-%COMP%]{position:absolute;pointer-events:none;left:10px;top:8px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-icon.right[_ngcontent-%COMP%]{left:auto;right:6px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-icon.right[_ngcontent-%COMP%] ~ input[_ngcontent-%COMP%]{padding-right:25px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-icon.has-units[_ngcontent-%COMP%]{order:1;position:relative;top:0;left:5px;margin:10px -15px 0 0}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-icon.has-units[_ngcontent-%COMP%] ~ input[_ngcontent-%COMP%]{order:2}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-icon[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:15px;height:15px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-icon[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-800, #678099)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-icon[_ngcontent-%COMP%]   fusion-icon[class^=icon-loading][_ngcontent-%COMP%]     svg{width:15px;height:15px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-icon[_ngcontent-%COMP%]   fusion-icon[class^=icon-loading][_ngcontent-%COMP%]     svg *{fill:none}[_nghost-%COMP%]   .fu-input-holder.small[_ngcontent-%COMP%]   .icon[_ngcontent-%COMP%]{top:5px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{box-sizing:border-box;padding:6px 10px 7px;height:32px;color:var(--dark-color-300, #172D4C);width:100%}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:-webkit-autofill{-webkit-box-shadow:0 0 0 30px white inset}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::placeholder{color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus{border-color:var(--primary-color, #3091F6);outline:none}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus + button[_ngcontent-%COMP%]{border-color:var(--primary-color, #3091F6)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus + button.fu-error[_ngcontent-%COMP%]{border-color:var(--negative-color-200, #F59CB3)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus ~ .fu-input-units[_ngcontent-%COMP%]{border-color:#000}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-input-small[_ngcontent-%COMP%]{height:25px;padding:4px 6px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.has-clear-btn[_ngcontent-%COMP%]{padding-right:30px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.iconed[_ngcontent-%COMP%]{padding-left:30px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.iconed.right[_ngcontent-%COMP%]{padding-left:10px;padding-right:25px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-button[_ngcontent-%COMP%]{border-radius:3px 0 0 3px;border-right:none}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-button.ng-not-empty[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{color:var(--primary-color, #3091F6)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%]{cursor:text;background:var(--light-color-300, #EAEEF1);color:var(--light-color-800, #678099);opacity:1}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%]:focus{border-color:var(--light-color, #E1E6EB)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%]:focus + button[_ngcontent-%COMP%]{border-color:var(--light-color, #E1E6EB)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%]:focus + button.fu-error[_ngcontent-%COMP%]{border-color:var(--negative-color-200, #F59CB3)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{background-color:var(--light-color-300, #EAEEF1);pointer-events:none;color:var(--dark-color-300, #172D4C)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled.fu-button.ng-not-empty[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{color:var(--dark-color-300, #172D4C)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-error[_ngcontent-%COMP%]{border-color:var(--negative-color-200, #F59CB3)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-underline[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-no-border[_ngcontent-%COMP%]{border-width:0 0 1px 0;border-radius:unset;background-color:transparent}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-underline[_ngcontent-%COMP%]::-webkit-inner-spin-button, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-underline[_ngcontent-%COMP%]::-webkit-outer-spin-button, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-no-border[_ngcontent-%COMP%]::-webkit-inner-spin-button, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-no-border[_ngcontent-%COMP%]::-webkit-outer-spin-button{-webkit-appearance:none;margin:0}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-no-border[_ngcontent-%COMP%]{border-color:transparent}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-no-border[_ngcontent-%COMP%]:focus{border-color:var(--primary-color, #3091F6)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-no-spin[_ngcontent-%COMP%]::-webkit-inner-spin-button, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.is-no-spin[_ngcontent-%COMP%]::-webkit-outer-spin-button{-webkit-appearance:none;margin:0}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{padding-left:21px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-search-icon-right-position[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{padding:6px 10px 7px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]{order:2;cursor:pointer;box-sizing:border-box;padding:6px 10px 7px;position:relative;border:1px solid var(--light-color, #E1E6EB);border-left:none;background:none;border-radius:0 3px 3px 0;outline:none;color:var(--primary-color, #3091F6)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]:before{content:\"\";position:absolute;top:4px;bottom:4px;left:0;width:1px;background:var(--light-color, #E1E6EB)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]:disabled{cursor:default;color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.fu-error[_ngcontent-%COMP%]{border-color:var(--negative-color-200, #F59CB3)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.is-loading[_ngcontent-%COMP%]{padding-left:25px;cursor:default;color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.is-loading[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{display:block;position:absolute;left:6px;top:7px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.is-loading[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:15px;height:15px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.is-loading[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:none!important}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.is-loading[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg symbol#loading circle{stroke:currentColor!important}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%]{position:absolute;right:var(--fu-validation-error-right, 6px);top:3px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%]     svg{width:11px;height:11px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%] + fusion-tooltip[_ngcontent-%COMP%]   .is-tooltip-content[_ngcontent-%COMP%]{white-space:nowrap}[_nghost-%COMP%]   .fu-input-holder.fu-error-warning[_ngcontent-%COMP%]   input[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder.fu-error-error[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{padding-right:18px}[_nghost-%COMP%]   .fu-input-holder.fu-error-warning[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder.fu-error-warning[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{border-color:var(--neutral-color, #FFBB5F)}[_nghost-%COMP%]   .fu-input-holder.fu-error-warning[_ngcontent-%COMP%]     svg *{fill:var(--neutral-color-700, #FF9403)}[_nghost-%COMP%]   .fu-input-holder.fu-error-error[_ngcontent-%COMP%]     svg *{fill:var(--negative-color, #e1174c)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-toggle-pass[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%]{color:var(--negative-color, #e1174c);margin-top:2px}[_nghost-%COMP%]   .fu-error-msg.small[_ngcontent-%COMP%]{display:none}.is-underline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units.small[_ngcontent-%COMP%], .is-no-border[_nghost-%COMP%]   .fu-input-units.small[_ngcontent-%COMP%]{border-width:0 0 1px 0;border-radius:unset;background-color:transparent;padding:3px 3px 0 0}.is-search-style[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%]{outline:none;border:none;border-radius:0;padding-bottom:0;padding-left:2px;border-bottom:solid 1px var(--light-color-600, #C2CDD7)}.is-search-style[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%]:focus{border-bottom:solid 1px var(--primary-color, #3091F6)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(InputComponent, [{
        type: Component,
        args: [{ selector: 'fusion-input', changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => InputComponent), multi: true }], template: "<div [class.fu-input-small]=\"isSmall\" class=\"fu-input-holder\"\n     [ngClass]=\"getHolderClasses()\"\n     [style.width]=\"config.options?.width\">\n    <ng-container *ngIf=\"configByStyle$ | async as configByStyle\">\n\n        <div class=\"fu-search-icon-holder\"\n             *ngIf=\"displaySearchIcon && !loading\"\n             [class.focused]=\"focused\">\n            <fusion-icon class=\"icon-search\" [name]=\"configByStyle.iconSearch\"></fusion-icon>\n        </div>\n\n        <label class=\"fu-clear-input\"\n               [for]=\"'fu-clear-search-' + config?.id\"\n               [hidden]=\"!config?.clear || !input.value\"\n               [class.focused]=\"focused\"\n               (click)=\"clearInput(true)\">\n            <fusion-icon class=\"icon-clear-search\"\n                         [id]=\"'fu-clear-search-' + config?.id\"\n                         [name]=\"configByStyle.iconClear\">\n            </fusion-icon>\n        </label>\n\n        <i class=\"fu-input-icon {{ config?.icon?.iconPos || config?.icon?.[0]?.iconPos }}\"\n           *ngIf=\"config?.icon && !loading && !config?.errorType\"\n           [class.has-units]=\"config?.units\"\n           [ngStyle]=\"config.options?.iconStyle\">\n            <fusion-icon [name]=\"config?.icon?.iconData || config?.icon?.[0]?.iconData\"></fusion-icon>\n        </i>\n\n        <i class=\"fu-input-icon loading {{ this.config?.icon?.iconPos || 'right' }}\"\n           *ngIf=\"loading\"\n           [class.has-units]=\"config?.units\">\n            <fusion-icon [name]=\"configByStyle.iconLoader\"></fusion-icon>\n        </i>\n\n        <span class=\"fu-input-units {{ config?.unitPos }} {{ config.options?.size }}\"\n              *ngIf=\"config?.units\"\n              [class.focused]=\"focused\"\n              [class.fu-error]=\"config.error\"\n              [class.is-placeholder-units]=\"config?.unitPlaceholder && !inputControl.value\">\n                    {{ config?.units }}\n        </span>\n\n        <input #input\n               [class.fu-input-small]=\"isSmall\"\n               class=\"fu-input {{ config?.class }} {{ config?.icon?.iconPos || config?.icon?.[0]?.iconPos }}\"\n               autocomplete=\"off\"\n               minlength=\"1\"\n               [class.fu-type-pass]=\"config?.type === 'password'\"\n               [class.has-units]=\"config?.units\"\n               [class.disabled]=\"disabled$ | async\"\n               [class.iconed]=\"config?.icon || loading\"\n               [class.fu-button]=\"config?.btn\"\n               [class.has-clear-btn]=\"config?.clear\"\n               [class.fu-error]=\"showErrorClass$ | async\"\n               [id]=\"config?.id\"\n               [type]=\"getInputType()\"\n               [placeholder]=\"config?.placeholder\"\n               [readonly]=\"config?.readonly || (disabled$ | async) || (loading && config?.disableOnLoading) || config?.btnLoading\"\n               [required]=\"config?.required\"\n               [attr.maxlength]=\"config?.maxlength\"\n               [min]=\"config?.min\"\n               [max]=\"config?.max\"\n               [step]=\"step\"\n               [formControl]=\"inputControl\"\n               [ngStyle]=\"config.options?.style\"\n               [attr.autofocus]=\"config?.autofocus\"\n               (focus)=\"focus()\"\n               (blur)=\"blur()\"\n        />\n\n        <button *ngIf=\"config?.btn\"\n                [disabled]=\"config?.btnDisabled\"\n                (click)=\"onButtonClicked($event)\"\n                [class.is-loading]=\"config?.btnLoading\"\n                [class.fu-error]=\"config?.error\">\n            <fusion-icon [name]=\"configByStyle.iconLoader\"></fusion-icon>\n            <span class=\"fu-action-button-text\">{{ config?.btn }}</span>\n        </button>\n\n        <i class=\"fu-validation-icon-holder\"\n           *ngIf=\"config?.errorType && showErrorIcon() && !loading\"\n           [fusionTooltip]=\"getTooltipErrorsMessage()\">\n            <fusion-icon class=\"icon-validation\"\n                         [name]=\"getErrorIcon(config?.errorType, configByStyle.iconInfo, configByStyle.iconWarning)\">\n            </fusion-icon>\n        </i>\n\n        <i class=\"fu-toggle-pass\"\n           *ngIf=\"config?.type === 'password'\"\n           (click)=\"passToggle($event)\"\n           (mousedown)=\"onPassToggleMouseDown($event)\">\n            <fusion-icon [name]=\"config.options?.isPassHidden ? {iconName:'eye', iconVersion: 'v2'} : {iconName: 'eye-slash',iconVersion: 'v2'}\"></fusion-icon>\n        </i>\n\n        <input *ngIf=\"config.type === 'file'\"\n               hidden\n               value=\"\"\n               type=\"file\"\n               #fileInput\n               [formControl]=\"file\"\n               [accept]=\"config?.acceptFileExtensions\" />\n    </ng-container>\n\n</div>\n\n<div class=\"fu-error-msg\"\n     *ngIf=\"config?.error !== true\"\n     [hidden]=\"config?.errorType && showErrorIcon()\"\n     [class.focused]=\"focused\"\n     [innerHTML]=\"config.error\">\n</div>\n", styles: [":host .fu-error-msg,:host .fu-input-holder button,:host .fu-input-holder input.fu-input-small,:host .fu-input-holder input::placeholder,:host .fu-input-holder input,:host .fu-input-holder .fu-input-units{font-size:13px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host *{box-sizing:border-box}:host .fu-input-holder input.disabled{pointer-events:none;cursor:default;touch-callout:none;-webkit-user-select:none;user-select:none}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .fu-input-holder input{border-radius:var(--border-radius, 3px)}:host .fu-input-holder input,:host .fu-input-holder .fu-input-units.right.small,:host .fu-input-holder .fu-input-units{border:1px solid var(--light-color, #E1E6EB)}:host{width:100%}:host .fu-input-holder{display:inline-flex;flex-shrink:1;position:relative;flex-direction:row;align-items:stretch;align-content:stretch;flex-flow:row nowrap;width:100%}:host .fu-input-holder .fu-search-icon-holder{position:absolute;left:5px;z-index:2;top:8px}:host .fu-input-holder .fu-search-icon-holder fusion-icon.search ::ng-deep svg{width:13px;height:13px}:host .fu-input-holder .fu-search-icon-holder fusion-icon.search ::ng-deep svg *{fill:var(--light-color-700, #95A6B8)}:host .fu-input-holder.fu-search-icon-right-position .fu-search-icon-holder{left:inherit;right:5px}:host .fu-input-holder.fu-search-icon-right-position .fu-search-icon-holder fusion-icon.search ::ng-deep svg{width:14px;height:14px}:host .fu-input-holder.fu-search-icon-right-position .fu-search-icon-holder fusion-icon.search ::ng-deep svg *{fill:var(--light-color-700, #95A6B8)}:host .fu-input-holder.fu-input-small .fu-search-icon-holder{top:6px}:host .fu-input-holder .fu-input-units{padding:4px 5px 4px 10px;align-items:center;justify-content:center;flex-direction:column;display:flex;border-radius:3px 0 0 3px;border-right-width:0;color:var(--light-color-800, #678099)}:host .fu-input-holder .fu-input-units.small{border-right:none;background:white;display:block;min-width:inherit;padding:2px 5px 0 6px}:host .fu-input-holder .fu-input-units.fu-error{border-color:var(--negative-color-200, #F59CB3)}:host .fu-input-holder .fu-input-units.fu-error.focused{border-color:var(--negative-color-200, #F59CB3)}:host .fu-input-holder .fu-input-units.focused{border-color:var(--primary-color, #3091F6)}:host .fu-input-holder .fu-input-units.right{order:99;border-radius:0 3px 3px 0;border-left-width:0;border-right-width:1px}:host .fu-input-holder .fu-input-units.right.small{border-left:none;padding:1px 6px 0 0}:host .fu-input-holder .fu-input-units.right.small.focused{border-color:var(--primary-color, #3091F6)}:host .fu-input-holder .fu-input-units.right+input{border-right-width:0;border-radius:3px 0 0 3px;border-left-width:1px;padding-right:0}:host .fu-input-holder .fu-input-units.right+input.is-underline,:host .fu-input-holder .fu-input-units.right+input.is-no-border{border-radius:0}:host .fu-input-holder .fu-input-units:not(.right)+input{border-left-width:0;border-radius:0 3px 3px 0;padding-left:0}:host .fu-input-holder .fu-input-units:not(.right)+input.is-underline,:host .fu-input-holder .fu-input-units:not(.right)+input.is-no-border{border-radius:0}:host .fu-input-holder .fu-input-units.is-placeholder-units{color:var(--light-color-800, #678099)}:host .fu-input-holder .fu-clear-input{cursor:pointer;position:absolute;left:5px;z-index:2;top:8px}:host .fu-input-holder .fu-clear-input fusion-icon.clear-full-circle ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder .fu-clear-input fusion-icon.clear-full-circle ::ng-deep svg .background{fill:var(--light-color-600, #C2CDD7)}:host .fu-input-holder .fu-clear-input fusion-icon.clear-full-circle ::ng-deep svg .inner{fill:#fff}:host .fu-input-holder.fu-search-icon-right-position .fu-clear-input{right:5px;left:inherit}:host .fu-input-holder .fu-input-icon{position:absolute;pointer-events:none;left:10px;top:8px}:host .fu-input-holder .fu-input-icon.right{left:auto;right:6px}:host .fu-input-holder .fu-input-icon.right~input{padding-right:25px}:host .fu-input-holder .fu-input-icon.has-units{order:1;position:relative;top:0;left:5px;margin:10px -15px 0 0}:host .fu-input-holder .fu-input-icon.has-units~input{order:2}:host .fu-input-holder .fu-input-icon fusion-icon ::ng-deep svg{width:15px;height:15px}:host .fu-input-holder .fu-input-icon fusion-icon ::ng-deep svg *{fill:var(--light-color-800, #678099)}:host .fu-input-holder .fu-input-icon fusion-icon[class^=icon-loading] ::ng-deep svg{width:15px;height:15px}:host .fu-input-holder .fu-input-icon fusion-icon[class^=icon-loading] ::ng-deep svg *{fill:none}:host .fu-input-holder.small .icon{top:5px}:host .fu-input-holder input{box-sizing:border-box;padding:6px 10px 7px;height:32px;color:var(--dark-color-300, #172D4C);width:100%}:host .fu-input-holder input:-webkit-autofill{-webkit-box-shadow:0 0 0 30px white inset}:host .fu-input-holder input::placeholder{color:var(--light-color-800, #678099)}:host .fu-input-holder input:focus{border-color:var(--primary-color, #3091F6);outline:none}:host .fu-input-holder input:focus+button{border-color:var(--primary-color, #3091F6)}:host .fu-input-holder input:focus+button.fu-error{border-color:var(--negative-color-200, #F59CB3)}:host .fu-input-holder input:focus~.fu-input-units{border-color:#000}:host .fu-input-holder input.fu-input-small{height:25px;padding:4px 6px}:host .fu-input-holder input.has-clear-btn{padding-right:30px}:host .fu-input-holder input.iconed{padding-left:30px}:host .fu-input-holder input.iconed.right{padding-left:10px;padding-right:25px}:host .fu-input-holder input.fu-button{border-radius:3px 0 0 3px;border-right:none}:host .fu-input-holder input.fu-button.ng-not-empty+button{color:var(--primary-color, #3091F6)}:host .fu-input-holder input.disabled{cursor:text;background:var(--light-color-300, #EAEEF1);color:var(--light-color-800, #678099);opacity:1}:host .fu-input-holder input.disabled:focus{border-color:var(--light-color, #E1E6EB)}:host .fu-input-holder input.disabled:focus+button{border-color:var(--light-color, #E1E6EB)}:host .fu-input-holder input.disabled:focus+button.fu-error{border-color:var(--negative-color-200, #F59CB3)}:host .fu-input-holder input.disabled+button{background-color:var(--light-color-300, #EAEEF1);pointer-events:none;color:var(--dark-color-300, #172D4C)}:host .fu-input-holder input.disabled.fu-button.ng-not-empty+button{color:var(--dark-color-300, #172D4C)}:host .fu-input-holder input.fu-error{border-color:var(--negative-color-200, #F59CB3)}:host .fu-input-holder input.is-underline,:host .fu-input-holder input.is-no-border{border-width:0 0 1px 0;border-radius:unset;background-color:transparent}:host .fu-input-holder input.is-underline::-webkit-inner-spin-button,:host .fu-input-holder input.is-underline::-webkit-outer-spin-button,:host .fu-input-holder input.is-no-border::-webkit-inner-spin-button,:host .fu-input-holder input.is-no-border::-webkit-outer-spin-button{-webkit-appearance:none;margin:0}:host .fu-input-holder input.is-no-border{border-color:transparent}:host .fu-input-holder input.is-no-border:focus{border-color:var(--primary-color, #3091F6)}:host .fu-input-holder input.is-no-spin::-webkit-inner-spin-button,:host .fu-input-holder input.is-no-spin::-webkit-outer-spin-button{-webkit-appearance:none;margin:0}:host .fu-input-holder.fu-has-search-icon input{padding-left:21px}:host .fu-input-holder.fu-has-search-icon.fu-search-icon-right-position input{padding:6px 10px 7px}:host .fu-input-holder button{order:2;cursor:pointer;box-sizing:border-box;padding:6px 10px 7px;position:relative;border:1px solid var(--light-color, #E1E6EB);border-left:none;background:none;border-radius:0 3px 3px 0;outline:none;color:var(--primary-color, #3091F6)}:host .fu-input-holder button:before{content:\"\";position:absolute;top:4px;bottom:4px;left:0;width:1px;background:var(--light-color, #E1E6EB)}:host .fu-input-holder button:disabled{cursor:default;color:var(--light-color-800, #678099)}:host .fu-input-holder button.fu-error{border-color:var(--negative-color-200, #F59CB3)}:host .fu-input-holder button fusion-icon{display:none}:host .fu-input-holder button.is-loading{padding-left:25px;cursor:default;color:var(--light-color-800, #678099)}:host .fu-input-holder button.is-loading fusion-icon{display:block;position:absolute;left:6px;top:7px}:host .fu-input-holder button.is-loading fusion-icon ::ng-deep svg{width:15px;height:15px}:host .fu-input-holder button.is-loading fusion-icon ::ng-deep svg *{fill:none!important}:host .fu-input-holder button.is-loading fusion-icon ::ng-deep svg symbol#loading circle{stroke:currentColor!important}:host .fu-input-holder .fu-validation-icon-holder{position:absolute;right:var(--fu-validation-error-right, 6px);top:3px}:host .fu-input-holder .fu-validation-icon-holder ::ng-deep svg{width:11px;height:11px}:host .fu-input-holder .fu-validation-icon-holder+fusion-tooltip .is-tooltip-content{white-space:nowrap}:host .fu-input-holder.fu-error-warning input,:host .fu-input-holder.fu-error-error input{padding-right:18px}:host .fu-input-holder.fu-error-warning .fu-input-units,:host .fu-input-holder.fu-error-warning input{border-color:var(--neutral-color, #FFBB5F)}:host .fu-input-holder.fu-error-warning ::ng-deep svg *{fill:var(--neutral-color-700, #FF9403)}:host .fu-input-holder.fu-error-error ::ng-deep svg *{fill:var(--negative-color, #e1174c)}:host .fu-input-holder .fu-toggle-pass{display:none}:host .fu-error-msg{color:var(--negative-color, #e1174c);margin-top:2px}:host .fu-error-msg.small{display:none}:host.is-underline .fu-input-holder .fu-input-units.small,:host.is-no-border .fu-input-units.small{border-width:0 0 1px 0;border-radius:unset;background-color:transparent;padding:3px 3px 0 0}:host.is-search-style .fu-input-holder input.fu-input{outline:none;border:none;border-radius:0;padding-bottom:0;padding-left:2px;border-bottom:solid 1px var(--light-color-600, #C2CDD7)}:host.is-search-style .fu-input-holder input.fu-input:focus{border-bottom:solid 1px var(--primary-color, #3091F6)}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(InputComponent, { className: "InputComponent", filePath: "input.component.ts", lineNumber: 15 }); })();

class InputModule {
    static { this.ɵfac = function InputModule_Factory(t) { return new (t || InputModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: InputModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, ReactiveFormsModule, IconModule, TooltipModule, LoaderModule, LoaderInlineModule, ClickOutsideModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(InputModule, [{
        type: NgModule,
        args: [{
                declarations: [InputComponent],
                exports: [InputComponent],
                imports: [CommonModule, ReactiveFormsModule, IconModule, TooltipModule, LoaderModule, LoaderInlineModule, ClickOutsideModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(InputModule, { declarations: [InputComponent], imports: [CommonModule, ReactiveFormsModule, IconModule, TooltipModule, LoaderModule, LoaderInlineModule, ClickOutsideModule], exports: [InputComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { InputComponent, InputModule };
//# sourceMappingURL=ironsource-fusion-ui-components-input-v1.mjs.map
