import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { InputBaseComponent, CONFIG_INPUT_BY_UI_STYLE } from '@ironsource/fusion-ui/components/input/common/base';
export { InputSize } from '@ironsource/fusion-ui/components/input/common/base';
import { isNullOrUndefined } from '@ironsource/fusion-ui/utils';
import { of } from 'rxjs';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i4 from '@ironsource/fusion-ui/components/tooltip/v2';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v2';
import * as i5 from '@ironsource/fusion-ui/components/loader-inline/v2';
import { LoaderInlineModule } from '@ironsource/fusion-ui/components/loader-inline/v2';
import { LoaderModule } from '@ironsource/fusion-ui/components/loader/v2';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';

function InputComponent_ng_container_1_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 15);
    i0.ɵɵelement(1, "fusion-icon", 16);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const configByStyle_r2 = i0.ɵɵnextContext().ngIf;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("focused", ctx_r3.focused);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", configByStyle_r2.iconSearch);
} }
function InputComponent_ng_container_1_i_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "i", 17);
    i0.ɵɵelement(1, "fusion-icon", 18);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵclassMapInterpolate1("fu-input-icon ", (ctx_r4.config == null ? null : ctx_r4.config.icon == null ? null : ctx_r4.config.icon.iconPos) || (ctx_r4.config == null ? null : ctx_r4.config.icon == null ? null : ctx_r4.config.icon[0] == null ? null : ctx_r4.config.icon[0].iconPos), "");
    i0.ɵɵclassProp("has-units", ctx_r4.config == null ? null : ctx_r4.config.units);
    i0.ɵɵproperty("ngStyle", ctx_r4.config.options == null ? null : ctx_r4.config.options.iconStyle);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", (ctx_r4.config == null ? null : ctx_r4.config.icon == null ? null : ctx_r4.config.icon.iconData) || (ctx_r4.config == null ? null : ctx_r4.config.icon == null ? null : ctx_r4.config.icon[0] == null ? null : ctx_r4.config.icon[0].iconData));
} }
function InputComponent_ng_container_1_i_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "i");
    i0.ɵɵelement(1, "fusion-icon", 18);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const configByStyle_r2 = i0.ɵɵnextContext().ngIf;
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵclassMapInterpolate1("fu-input-icon loading ", (ctx_r5.config == null ? null : ctx_r5.config.icon == null ? null : ctx_r5.config.icon.iconPos) || "right", "");
    i0.ɵɵclassProp("has-units", ctx_r5.config == null ? null : ctx_r5.config.units);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", configByStyle_r2.iconLoader);
} }
function InputComponent_ng_container_1_span_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵclassMapInterpolate2("fu-input-units ", ctx_r6.config == null ? null : ctx_r6.config.unitPos, " ", ctx_r6.config.options == null ? null : ctx_r6.config.options.size, "");
    i0.ɵɵclassProp("focused", ctx_r6.focused)("fu-error", ctx_r6.config.error)("is-placeholder-units", (ctx_r6.config == null ? null : ctx_r6.config.unitPlaceholder) && !ctx_r6.inputControl.value);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r6.config == null ? null : ctx_r6.config.units, " ");
} }
function InputComponent_ng_container_1_button_7_fusion_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 23);
} if (rf & 2) {
    const ctx_r14 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("name", ctx_r14.config.options == null ? null : ctx_r14.config.options.buttonIcon);
} }
function InputComponent_ng_container_1_button_7_Template(rf, ctx) { if (rf & 1) {
    const _r16 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "button", 19);
    i0.ɵɵlistener("click", function InputComponent_ng_container_1_button_7_Template_button_click_0_listener($event) { i0.ɵɵrestoreView(_r16); const ctx_r15 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r15.onButtonClicked($event)); });
    i0.ɵɵelement(1, "fusion-loader-inline", 20);
    i0.ɵɵtemplate(2, InputComponent_ng_container_1_button_7_fusion_icon_2_Template, 1, 1, "fusion-icon", 21);
    i0.ɵɵelementStart(3, "span", 22);
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵclassProp("is-loading", ctx_r7.config == null ? null : ctx_r7.config.btnLoading)("fu-error", ctx_r7.config == null ? null : ctx_r7.config.error);
    i0.ɵɵproperty("disabled", ctx_r7.config == null ? null : ctx_r7.config.btnDisabled);
    i0.ɵɵadvance();
    i0.ɵɵproperty("status", ctx_r7.config == null ? null : ctx_r7.config.btnLoading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r7.config.options == null ? null : ctx_r7.config.options.buttonIcon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r7.config == null ? null : ctx_r7.config.btn);
} }
function InputComponent_ng_container_1_i_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "i", 24);
    i0.ɵɵelement(1, "fusion-icon", 25);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const configByStyle_r2 = i0.ɵɵnextContext().ngIf;
    const ctx_r8 = i0.ɵɵnextContext();
    i0.ɵɵproperty("fusionTooltip", ctx_r8.getTooltipErrorsMessage());
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r8.getErrorIcon(ctx_r8.config == null ? null : ctx_r8.config.errorType, configByStyle_r2.iconInfo, configByStyle_r2.iconWarning));
} }
const _c0 = () => ({ iconName: "eye", iconVersion: "v2" });
const _c1 = () => ({ iconName: "eye-slash", iconVersion: "v2" });
function InputComponent_ng_container_1_i_14_Template(rf, ctx) { if (rf & 1) {
    const _r19 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "i", 26);
    i0.ɵɵlistener("click", function InputComponent_ng_container_1_i_14_Template_i_click_0_listener($event) { i0.ɵɵrestoreView(_r19); const ctx_r18 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r18.passToggle($event)); })("mousedown", function InputComponent_ng_container_1_i_14_Template_i_mousedown_0_listener($event) { i0.ɵɵrestoreView(_r19); const ctx_r20 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r20.onPassToggleMouseDown($event)); });
    i0.ɵɵelement(1, "fusion-icon", 18);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", (ctx_r10.config.options == null ? null : ctx_r10.config.options.isPassHidden) ? i0.ɵɵpureFunction0(1, _c0) : i0.ɵɵpureFunction0(2, _c1));
} }
function InputComponent_ng_container_1_input_15_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "input", 27, 28);
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("formControl", ctx_r11.file)("accept", ctx_r11.config == null ? null : ctx_r11.config.acceptFileExtensions);
} }
function InputComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r23 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, InputComponent_ng_container_1_div_1_Template, 2, 3, "div", 3);
    i0.ɵɵelementStart(2, "label", 4);
    i0.ɵɵlistener("click", function InputComponent_ng_container_1_Template_label_click_2_listener() { i0.ɵɵrestoreView(_r23); const ctx_r22 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r22.clearInput(true)); });
    i0.ɵɵelement(3, "fusion-icon", 5);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(4, InputComponent_ng_container_1_i_4_Template, 2, 7, "i", 6)(5, InputComponent_ng_container_1_i_5_Template, 2, 6, "i", 7)(6, InputComponent_ng_container_1_span_6_Template, 2, 11, "span", 8)(7, InputComponent_ng_container_1_button_7_Template, 5, 8, "button", 9)(8, InputComponent_ng_container_1_i_8_Template, 2, 2, "i", 10);
    i0.ɵɵelementStart(9, "input", 11, 12);
    i0.ɵɵlistener("focus", function InputComponent_ng_container_1_Template_input_focus_9_listener() { i0.ɵɵrestoreView(_r23); const ctx_r24 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r24.focus()); })("blur", function InputComponent_ng_container_1_Template_input_blur_9_listener() { i0.ɵɵrestoreView(_r23); const ctx_r25 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r25.blur()); });
    i0.ɵɵpipe(11, "async");
    i0.ɵɵpipe(12, "async");
    i0.ɵɵpipe(13, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(14, InputComponent_ng_container_1_i_14_Template, 2, 3, "i", 13)(15, InputComponent_ng_container_1_input_15_Template, 2, 2, "input", 14);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const configByStyle_r2 = ctx.ngIf;
    const _r9 = i0.ɵɵreference(10);
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.displaySearchIcon && !ctx_r0.loading);
    i0.ɵɵadvance();
    i0.ɵɵclassProp("focused", ctx_r0.focused);
    i0.ɵɵproperty("for", "fu-clear-search-" + (ctx_r0.config == null ? null : ctx_r0.config.id))("hidden", !(ctx_r0.config == null ? null : ctx_r0.config.clear) || !_r9.value);
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", "fu-clear-search-" + (ctx_r0.config == null ? null : ctx_r0.config.id))("name", configByStyle_r2.iconClear);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (ctx_r0.config == null ? null : ctx_r0.config.icon) && !ctx_r0.loading && !(ctx_r0.config == null ? null : ctx_r0.config.errorType));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.config == null ? null : ctx_r0.config.units);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.config == null ? null : ctx_r0.config.btn);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (ctx_r0.config == null ? null : ctx_r0.config.errorType) && ctx_r0.showErrorIcon() && !ctx_r0.loading);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate2("fu-input ", ctx_r0.config == null ? null : ctx_r0.config.class, " ", (ctx_r0.config == null ? null : ctx_r0.config.icon == null ? null : ctx_r0.config.icon.iconPos) || (ctx_r0.config == null ? null : ctx_r0.config.icon == null ? null : ctx_r0.config.icon[0] == null ? null : ctx_r0.config.icon[0].iconPos), "");
    i0.ɵɵclassProp("fu-input-small", ctx_r0.isSmall)("fu-type-pass", (ctx_r0.config == null ? null : ctx_r0.config.type) === "password")("has-units", ctx_r0.config == null ? null : ctx_r0.config.units)("disabled", i0.ɵɵpipeBind1(11, 46, ctx_r0.disabled$))("iconed", (ctx_r0.config == null ? null : ctx_r0.config.icon) || ctx_r0.loading)("fu-button", ctx_r0.config == null ? null : ctx_r0.config.btn)("has-clear-btn", ctx_r0.config == null ? null : ctx_r0.config.clear)("fu-error", i0.ɵɵpipeBind1(12, 48, ctx_r0.showErrorClass$));
    i0.ɵɵproperty("id", ctx_r0.config == null ? null : ctx_r0.config.id)("type", ctx_r0.getInputType())("placeholder", ctx_r0.config == null ? null : ctx_r0.config.placeholder)("readonly", (ctx_r0.config == null ? null : ctx_r0.config.readonly) || i0.ɵɵpipeBind1(13, 50, ctx_r0.disabled$) || ctx_r0.loading && (ctx_r0.config == null ? null : ctx_r0.config.disableOnLoading) || (ctx_r0.config == null ? null : ctx_r0.config.btnLoading))("required", ctx_r0.config == null ? null : ctx_r0.config.required)("min", ctx_r0.config == null ? null : ctx_r0.config.min)("max", ctx_r0.config == null ? null : ctx_r0.config.max)("step", ctx_r0.step)("formControl", ctx_r0.inputControl)("ngStyle", ctx_r0.config.options == null ? null : ctx_r0.config.options.style);
    i0.ɵɵattribute("maxlength", ctx_r0.config == null ? null : ctx_r0.config.maxlength)("autofocus", ctx_r0.config == null ? null : ctx_r0.config.autofocus);
    i0.ɵɵadvance(5);
    i0.ɵɵproperty("ngIf", (ctx_r0.config == null ? null : ctx_r0.config.type) === "password");
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.config.type === "file");
} }
function InputComponent_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 29);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("focused", ctx_r1.focused);
    i0.ɵɵproperty("hidden", (ctx_r1.config == null ? null : ctx_r1.config.errorType) && ctx_r1.showErrorIcon())("innerHTML", ctx_r1.config.error, i0.ɵɵsanitizeHtml);
} }
class InputComponent extends InputBaseComponent {
    /** @internal */
    showErrorIcon() {
        return !isNullOrUndefined(this.config.error);
    }
    getConfigStyleObservable() {
        return of(CONFIG_INPUT_BY_UI_STYLE['style_v2']);
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵInputComponent_BaseFactory; return function InputComponent_Factory(t) { return (ɵInputComponent_BaseFactory || (ɵInputComponent_BaseFactory = i0.ɵɵgetInheritedFactory(InputComponent)))(t || InputComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: InputComponent, selectors: [["fusion-input"]], features: [i0.ɵɵProvidersFeature([{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => InputComponent), multi: true }]), i0.ɵɵInheritDefinitionFeature], decls: 4, vars: 9, consts: [[1, "fu-input-holder", 3, "ngClass"], [4, "ngIf"], ["class", "fu-error-msg", 3, "hidden", "focused", "innerHTML", 4, "ngIf"], ["class", "fu-search-icon-holder", 3, "focused", 4, "ngIf"], [1, "fu-clear-input", 3, "for", "hidden", "click"], [1, "icon-clear-search", 3, "id", "name"], [3, "class", "has-units", "ngStyle", 4, "ngIf"], [3, "class", "has-units", 4, "ngIf"], [3, "class", "focused", "fu-error", "is-placeholder-units", 4, "ngIf"], [3, "disabled", "is-loading", "fu-error", "click", 4, "ngIf"], ["class", "fu-validation-icon-holder", 3, "fusionTooltip", 4, "ngIf"], ["autocomplete", "off", "minlength", "1", 3, "id", "type", "placeholder", "readonly", "required", "min", "max", "step", "formControl", "ngStyle", "focus", "blur"], ["input", ""], ["class", "fu-toggle-pass", 3, "click", "mousedown", 4, "ngIf"], ["hidden", "", "value", "", "type", "file", 3, "formControl", "accept", 4, "ngIf"], [1, "fu-search-icon-holder"], [1, "icon-search", 3, "name"], [3, "ngStyle"], [3, "name"], [3, "disabled", "click"], [3, "status"], ["class", "button-icon", 3, "name", 4, "ngIf"], [1, "fu-action-button-text"], [1, "button-icon", 3, "name"], [1, "fu-validation-icon-holder", 3, "fusionTooltip"], [1, "icon-validation", 3, "name"], [1, "fu-toggle-pass", 3, "click", "mousedown"], ["hidden", "", "value", "", "type", "file", 3, "formControl", "accept"], ["fileInput", ""], [1, "fu-error-msg", 3, "hidden", "innerHTML"]], template: function InputComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, InputComponent_ng_container_1_Template, 16, 52, "ng-container", 1);
            i0.ɵɵpipe(2, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(3, InputComponent_div_3_Template, 1, 4, "div", 2);
        } if (rf & 2) {
            i0.ɵɵstyleProp("width", ctx.config.options == null ? null : ctx.config.options.width);
            i0.ɵɵclassProp("fu-input-small", ctx.isSmall);
            i0.ɵɵproperty("ngClass", ctx.getHolderClasses());
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(2, 7, ctx.configByStyle$));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.config.error && ctx.config.error !== true);
        } }, dependencies: [i1.NgClass, i1.NgIf, i1.NgStyle, i2.DefaultValueAccessor, i2.NgControlStatus, i2.RequiredValidator, i2.MinLengthValidator, i2.FormControlDirective, i3.IconComponent, i4.TooltipDirective, i5.LoaderInlineComponent, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue-Medium,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%], fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::placeholder, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%]{font-size:11px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:disabled, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[readonly][_ngcontent-%COMP%]{pointer-events:none;cursor:default;touch-callout:none;-webkit-user-select:none;user-select:none}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .fu-input-holder.focused[_ngcontent-%COMP%]   button.fu-error[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.fu-error[_ngcontent-%COMP%]{pointer-events:none;cursor:default;color:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon.loading.left[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon.left[_ngcontent-%COMP%]{left:10px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon.loading.left[_ngcontent-%COMP%] + input[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon.left[_ngcontent-%COMP%] + input[_ngcontent-%COMP%]{padding-left:32px;padding-right:10px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon.loading[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon.right[_ngcontent-%COMP%]{right:10px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon.loading[_ngcontent-%COMP%] + input[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon.right[_ngcontent-%COMP%] + input[_ngcontent-%COMP%]{padding-left:10px;padding-right:32px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]{display:inline-flex;flex-shrink:1;position:relative;flex-direction:row;align-items:stretch;align-content:stretch;flex-flow:row nowrap;width:100%;line-height:23px}[_nghost-%COMP%]   .fu-input-holder.fu-disabled[_ngcontent-%COMP%]{cursor:not-allowed}[_nghost-%COMP%]   .fu-input-holder.fu-disabled[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-100, #f7f8f9)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{border:none;border-radius:4px;box-sizing:border-box;background-color:var(--fu-light-100, #f7f8f9);padding:10px;height:40px;color:var(--fu-dark-300, #313d91);width:100%}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:-webkit-autofill, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:-webkit-autofill:hover, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:-webkit-autofill:focus, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:-webkit-autofill:active{-webkit-box-shadow:0 0 0 30px var(--fu-light-100, #f7f8f9) inset!important}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::placeholder{color:var(--fu-light-800, #8e959d)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:hover{border-bottom-color:var(--fu-light-800, #8e959d);background-color:var(--fu-light-200, #f0f1f2)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:active, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus{border-bottom:solid 2px var(--fu-primary-500, #3083ff);outline:none;padding-bottom:8px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:active:hover, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus:hover{background-color:var(--fu-light-100, #f7f8f9)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:disabled, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[readonly][_ngcontent-%COMP%]{color:var(--fu-dark-200, #4c548e)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:disabled:hover, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[readonly][_ngcontent-%COMP%]:hover{background-color:var(--fu-light-100, #f7f8f9)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%]:focus, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:disabled:focus, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[readonly][_ngcontent-%COMP%]:focus{border-bottom:none;padding-bottom:10px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-error[_ngcontent-%COMP%]{background-color:var(--fu-negative-100, #ffefee)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-error[_ngcontent-%COMP%]:active, [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-error[_ngcontent-%COMP%]:focus{background-color:var(--fu-light-100, #f7f8f9)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-input-small[_ngcontent-%COMP%]{height:32px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-button[_ngcontent-%COMP%]{padding-right:129px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-type-pass[_ngcontent-%COMP%]{padding-right:30px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]{position:absolute;left:12px;z-index:2;top:var(--search-icon-top, 12px);color:var(--search-icon-color, var(--fu-light-700, #a9afb4))}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=icon-search][_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]   fusion-icon[class^=icon-search][_ngcontent-%COMP%]     svg *{fill:currentColor}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-search-icon-holder.focused[_ngcontent-%COMP%]{color:var(--search-icon-focused-color, var(--fu-primary-500, #3083ff))}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-search-icon-holder.focused[_ngcontent-%COMP%]   fusion-icon.icon-search[_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-search-icon-holder.focused[_ngcontent-%COMP%]   fusion-icon.icon-search[_ngcontent-%COMP%]     svg *{fill:currentColor}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{padding-left:35px;padding-right:10px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]{cursor:pointer;position:absolute;left:12px;z-index:2;top:11px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-clear-input.focused[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-clear-input.focused[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]:hover     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]:hover     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-input-small[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]{top:var(--search-icon-top, 8px)}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-input-small[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]{top:8px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-input-small[_ngcontent-%COMP%]   i.loading[_ngcontent-%COMP%]{top:5px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-search-icon-right-position[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]{right:12px;left:inherit}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-search-icon-right-position[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{padding-left:10px;padding-right:35px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-search-icon-right-position[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]{left:inherit;right:var(--clear-input-right, 12px)}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{height:24px;border-radius:12px;padding-left:24px;padding-right:14px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:active, [_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus{background-color:var(--fu-white, #ffffff);padding-bottom:10px;border:solid 1px var(--fu-light-300, #e5e7e9);padding-left:24px;padding-right:13px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]{top:var(--search-icon-top, 4px);left:10px;right:inherit;color:var(--search-icon-color, var(--fu-light-700, #a9afb4))}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]   fusion-icon.icon-search[_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]   fusion-icon.icon-search[_ngcontent-%COMP%]     svg *{fill:currentColor}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-search-icon-holder.focused[_ngcontent-%COMP%]{color:var(--search-icon-focused-color, var(--fu-primary-500, #3083ff))}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-search-icon-holder.focused[_ngcontent-%COMP%]   fusion-icon.icon-search[_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-search-icon-holder.focused[_ngcontent-%COMP%]   fusion-icon.icon-search[_ngcontent-%COMP%]     svg *{fill:currentColor}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]{top:var(--clear-input-top, 2px);left:var(--clear-input-left, 10px);right:inherit}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]:hover     svg{width:12px;height:12px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]   fusion-icon.icon-clear-search[_ngcontent-%COMP%]:hover     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]{top:var(--search-icon-top, 3px);right:10px;left:inherit}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]{right:var(--clear-input-right, 7px);left:inherit}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{padding-left:12px;padding-right:25px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:active, [_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus{padding-left:11px;padding-right:24px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded.medium[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{height:32px;border-radius:17px}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded.medium[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%]{top:var(--search-icon-top, 6px)}[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon.fu-rounded.medium[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]{top:var(--clear-input-top, 7px)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon[_ngcontent-%COMP%]{width:14px;height:14px;position:absolute;top:13px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:14px;height:14px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-input-icon[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%]{position:absolute;top:13px;right:11px}[_nghost-%COMP%]   .fu-input-holder.fu-input-small[_ngcontent-%COMP%]   i.fu-input-icon[_ngcontent-%COMP%]{top:8px}[_nghost-%COMP%]   .fu-input-holder.fu-input-small[_ngcontent-%COMP%]   i.fu-toggle-pass[_ngcontent-%COMP%]{top:9px}[_nghost-%COMP%]   .fu-input-holder.fu-input-small[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%]{top:10px}[_nghost-%COMP%]   .fu-input-holder.focused[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-input-holder.fu-error-error[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%]   fusion-icon.icon-validation[_ngcontent-%COMP%]     svg{width:14px;height:14px}[_nghost-%COMP%]   .fu-input-holder.fu-error-error[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%]   fusion-icon.icon-validation[_ngcontent-%COMP%]     svg *{fill:var(--fu-negative-500, #ff6a63)}[_nghost-%COMP%]   .fu-input-holder.fu-error-error[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{padding-right:32px}[_nghost-%COMP%]   .fu-input-holder.fu-error-error[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus{padding-right:10px}[_nghost-%COMP%]   .fu-input-holder.fu-error-warning[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%]   fusion-icon.icon-validation[_ngcontent-%COMP%]     svg{width:14px;height:14px}[_nghost-%COMP%]   .fu-input-holder.fu-error-warning[_ngcontent-%COMP%]   .fu-validation-icon-holder[_ngcontent-%COMP%]   fusion-icon.icon-validation[_ngcontent-%COMP%]     svg *{fill:var(--fu-neutral-500, #ffb424)}[_nghost-%COMP%]   .fu-input-holder.fu-error-warning[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{background-color:var(--fu-neutral-100, #fff8e2);padding-right:32px}[_nghost-%COMP%]   .fu-input-holder.fu-error-warning[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:focus{padding-right:10px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-toggle-pass[_ngcontent-%COMP%]{width:14px;height:14px;position:absolute;top:13px;right:12px;cursor:pointer}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-toggle-pass[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:14px;height:14px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   i.fu-toggle-pass[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]{order:2;cursor:pointer;line-height:1;box-sizing:border-box;padding:14px 10px 11px;position:absolute;outline:none;border:none;background-color:transparent;color:var(--fu-light-700, #a9afb4);width:129px;right:0;line-height:1.33}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]   fusion-icon.loading[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]   fusion-icon.button-icon[_ngcontent-%COMP%]{height:11px;vertical-align:middle;margin-right:8px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]   fusion-icon.button-icon[_ngcontent-%COMP%]     svg{width:11px;height:11px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]   fusion-icon.button-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]:hover{color:var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]:hover   fusion-icon.button-icon[_ngcontent-%COMP%]     svg{width:11px;height:11px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]:hover   fusion-icon.button-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.is-loading[_ngcontent-%COMP%]{cursor:not-allowed;text-align:right;padding:13px 10px 11px}[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.is-loading[_ngcontent-%COMP%]   .fu-action-button-text[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   button.is-loading[_ngcontent-%COMP%]   .button-icon[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-input-holder.focused[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]{color:var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .fu-input-holder.focused[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]   fusion-icon.button-icon[_ngcontent-%COMP%]     svg{width:11px;height:11px}[_nghost-%COMP%]   .fu-input-holder.focused[_ngcontent-%COMP%]   button[_ngcontent-%COMP%]   fusion-icon.button-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .fu-input-holder.focused[_ngcontent-%COMP%]   button.fu-error[_ngcontent-%COMP%]   fusion-icon.button-icon[_ngcontent-%COMP%]     svg{width:11px;height:11px}[_nghost-%COMP%]   .fu-input-holder.focused[_ngcontent-%COMP%]   button.fu-error[_ngcontent-%COMP%]   fusion-icon.button-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}.is-search-style[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{padding-left:10px;padding-right:30px}.is-search-style[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-search-icon-holder[_ngcontent-%COMP%], .is-search-style[_nghost-%COMP%]   .fu-input-holder.fu-has-search-icon[_ngcontent-%COMP%]   .fu-clear-input[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%]{color:var(--fu-negative-700, #da564f);margin-top:5px;line-height:14px;text-align:initial}[_nghost-%COMP%]   .fu-error-msg.focused[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-error-msg.fu-input-small[_ngcontent-%COMP%]{display:none}fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%], fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]{position:relative;margin-left:-8px;width:calc(100% + 8px)}fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%], fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input-units[_ngcontent-%COMP%]{position:absolute;top:6px;left:8px}fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%], fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{background-color:var(--fu-light-200, #f0f1f2);padding:10px 19px}fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-error.has-units[_ngcontent-%COMP%], fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-error.has-units[_ngcontent-%COMP%]{background-color:var(--fu-light-200, #f0f1f2);border-bottom:solid 2px var(--fu-negative-500, #ff6a63);padding-bottom:8px}fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%], fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.disabled[_ngcontent-%COMP%], fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:disabled, fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]:disabled, fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[readonly][_ngcontent-%COMP%], fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[readonly][_ngcontent-%COMP%]{background-color:transparent;color:var(--fu-light-900, #7b838c)}fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::-webkit-outer-spin-button, fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::-webkit-outer-spin-button, fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::-webkit-inner-spin-button, fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}fusion-input-inline[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[type=number][_ngcontent-%COMP%], fusion-input-inline   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input[type=number][_ngcontent-%COMP%]{-moz-appearance:textfield}.is-row-height-small[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-input-small[_ngcontent-%COMP%], .is-row-height-small   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-input-small[_ngcontent-%COMP%]{height:30px}fusion-dropdown-search[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input[_ngcontent-%COMP%], fusion-dropdown-search   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input[_ngcontent-%COMP%], fusion-tags-input[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input[_ngcontent-%COMP%], fusion-tags-input   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input[_ngcontent-%COMP%]{border:none;background-color:transparent;padding:0;height:20px;margin:2px}fusion-dropdown-search[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input[_ngcontent-%COMP%]:hover, fusion-dropdown-search   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input[_ngcontent-%COMP%]:hover, fusion-tags-input[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input[_ngcontent-%COMP%]:hover, fusion-tags-input   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   .fu-input[_ngcontent-%COMP%]:hover{background-color:transparent}.is-dropdown-select.forced-placeholder   .icon[_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%], .is-dropdown-select.forced-placeholder   .icon   [_nghost-%COMP%]   .fu-input-holder[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%]{padding-left:26px;padding-bottom:9px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(InputComponent, [{
        type: Component,
        args: [{ selector: 'fusion-input', changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => InputComponent), multi: true }], template: "<div [class.fu-input-small]=\"isSmall\" class=\"fu-input-holder\"\n     [ngClass]=\"getHolderClasses()\"\n     [style.width]=\"config.options?.width\">\n    <ng-container *ngIf=\"configByStyle$ | async as configByStyle\">\n        <div class=\"fu-search-icon-holder\"\n             *ngIf=\"displaySearchIcon && !loading\"\n             [class.focused]=\"focused\">\n            <fusion-icon class=\"icon-search\" [name]=\"configByStyle.iconSearch\"></fusion-icon>\n        </div>\n\n        <label class=\"fu-clear-input\"\n               [for]=\"'fu-clear-search-' + config?.id\"\n               [hidden]=\"!config?.clear || !input.value\"\n               [class.focused]=\"focused\"\n               (click)=\"clearInput(true)\">\n            <fusion-icon class=\"icon-clear-search\"\n                         [id]=\"'fu-clear-search-' + config?.id\"\n                         [name]=\"configByStyle.iconClear\">\n            </fusion-icon>\n        </label>\n\n        <i class=\"fu-input-icon {{ config?.icon?.iconPos || config?.icon?.[0]?.iconPos }}\"\n           *ngIf=\"config?.icon && !loading && !config?.errorType\"\n           [class.has-units]=\"config?.units\"\n           [ngStyle]=\"config.options?.iconStyle\">\n            <fusion-icon [name]=\"config?.icon?.iconData || config?.icon?.[0]?.iconData\"></fusion-icon>\n        </i>\n\n        <i class=\"fu-input-icon loading {{ this.config?.icon?.iconPos || 'right' }}\"\n           *ngIf=\"loading\"\n           [class.has-units]=\"config?.units\">\n            <fusion-icon [name]=\"configByStyle.iconLoader\"></fusion-icon>\n        </i>\n\n        <span class=\"fu-input-units {{ config?.unitPos }} {{ config.options?.size }}\"\n              *ngIf=\"config?.units\"\n              [class.focused]=\"focused\"\n              [class.fu-error]=\"config.error\"\n              [class.is-placeholder-units]=\"config?.unitPlaceholder && !inputControl.value\">\n                    {{ config?.units }}\n        </span>\n\n        <button *ngIf=\"config?.btn\"\n                [disabled]=\"config?.btnDisabled\"\n                (click)=\"onButtonClicked($event)\"\n                [class.is-loading]=\"config?.btnLoading\"\n                [class.fu-error]=\"config?.error\">\n            <fusion-loader-inline [status]=\"config?.btnLoading\"></fusion-loader-inline>\n\n            <fusion-icon *ngIf=\"config.options?.buttonIcon\"\n                         class=\"button-icon\"\n                         [name]=\"config.options?.buttonIcon\">\n            </fusion-icon>\n\n            <span class=\"fu-action-button-text\">{{ config?.btn }}</span>\n        </button>\n\n        <i class=\"fu-validation-icon-holder\"\n           *ngIf=\"config?.errorType && showErrorIcon() && !loading\"\n           [fusionTooltip]=\"getTooltipErrorsMessage()\">\n            <fusion-icon class=\"icon-validation\"\n                         [name]=\"getErrorIcon(config?.errorType, configByStyle.iconInfo, configByStyle.iconWarning)\">\n            </fusion-icon>\n        </i>\n\n        <input #input\n               [class.fu-input-small]=\"isSmall\"\n               class=\"fu-input {{ config?.class }} {{ config?.icon?.iconPos || config?.icon?.[0]?.iconPos }}\"\n               autocomplete=\"off\"\n               minlength=\"1\"\n               [class.fu-type-pass]=\"config?.type === 'password'\"\n               [class.has-units]=\"config?.units\"\n               [class.disabled]=\"disabled$ | async\"\n               [class.iconed]=\"config?.icon || loading\"\n               [class.fu-button]=\"config?.btn\"\n               [class.has-clear-btn]=\"config?.clear\"\n               [class.fu-error]=\"showErrorClass$ | async\"\n               [id]=\"config?.id\"\n               [type]=\"getInputType()\"\n               [placeholder]=\"config?.placeholder\"\n               [readonly]=\"config?.readonly || (disabled$ | async) || (loading && config?.disableOnLoading) || config?.btnLoading\"\n               [required]=\"config?.required\"\n               [attr.maxlength]=\"config?.maxlength\"\n               [min]=\"config?.min\"\n               [max]=\"config?.max\"\n               [step]=\"step\"\n               [formControl]=\"inputControl\"\n               [ngStyle]=\"config.options?.style\"\n               [attr.autofocus]=\"config?.autofocus\"\n               (focus)=\"focus()\"\n               (blur)=\"blur()\"\n        />\n\n        <i class=\"fu-toggle-pass\"\n           *ngIf=\"config?.type === 'password'\"\n           (click)=\"passToggle($event)\"\n           (mousedown)=\"onPassToggleMouseDown($event)\">\n            <fusion-icon [name]=\"config.options?.isPassHidden ? {iconName:'eye', iconVersion: 'v2'} : {iconName: 'eye-slash',iconVersion: 'v2'}\"></fusion-icon>\n        </i>\n\n        <input *ngIf=\"config.type === 'file'\"\n               hidden\n               value=\"\"\n               type=\"file\"\n               #fileInput\n               [formControl]=\"file\"\n               [accept]=\"config?.acceptFileExtensions\" />\n    </ng-container>\n\n</div>\n\n<div class=\"fu-error-msg\"\n     *ngIf=\"config.error && config.error !== true\"\n     [hidden]=\"config?.errorType && showErrorIcon()\"\n     [class.focused]=\"focused\"\n     [innerHTML]=\"config.error\">\n</div>\n\n\n\n", styles: [":host .fu-input-holder button{font-size:12px;font-family:HelveticaNeue-Medium,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host-context(fusion-input-inline) .fu-input-holder .fu-input-units,:host .fu-input-holder input::placeholder,:host .fu-input-holder input{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host .fu-error-msg{font-size:11px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400}:host *{box-sizing:border-box}:host .fu-input-holder input.disabled,:host .fu-input-holder input:disabled,:host .fu-input-holder input[readonly]{pointer-events:none;cursor:default;touch-callout:none;-webkit-user-select:none;user-select:none}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .fu-input-holder.focused button.fu-error,:host .fu-input-holder button.fu-error{pointer-events:none;cursor:default;color:var(--fu-light-700, #a9afb4)}:host .fu-input-holder i.fu-input-icon.loading.left,:host .fu-input-holder i.fu-input-icon.left{left:10px}:host .fu-input-holder i.fu-input-icon.loading.left+input,:host .fu-input-holder i.fu-input-icon.left+input{padding-left:32px;padding-right:10px}:host .fu-input-holder i.fu-input-icon.loading,:host .fu-input-holder i.fu-input-icon.right{right:10px}:host .fu-input-holder i.fu-input-icon.loading+input,:host .fu-input-holder i.fu-input-icon.right+input{padding-left:10px;padding-right:32px}:host .fu-input-holder{display:inline-flex;flex-shrink:1;position:relative;flex-direction:row;align-items:stretch;align-content:stretch;flex-flow:row nowrap;width:100%;line-height:23px}:host .fu-input-holder.fu-disabled{cursor:not-allowed}:host .fu-input-holder.fu-disabled:hover{background-color:var(--fu-light-100, #f7f8f9)}:host .fu-input-holder input{border:none;border-radius:4px;box-sizing:border-box;background-color:var(--fu-light-100, #f7f8f9);padding:10px;height:40px;color:var(--fu-dark-300, #313d91);width:100%}:host .fu-input-holder input:-webkit-autofill,:host .fu-input-holder input:-webkit-autofill:hover,:host .fu-input-holder input:-webkit-autofill:focus,:host .fu-input-holder input:-webkit-autofill:active{-webkit-box-shadow:0 0 0 30px var(--fu-light-100, #f7f8f9) inset!important}:host .fu-input-holder input::placeholder{color:var(--fu-light-800, #8e959d)}:host .fu-input-holder input:hover{border-bottom-color:var(--fu-light-800, #8e959d);background-color:var(--fu-light-200, #f0f1f2)}:host .fu-input-holder input:active,:host .fu-input-holder input:focus{border-bottom:solid 2px var(--fu-primary-500, #3083ff);outline:none;padding-bottom:8px}:host .fu-input-holder input:active:hover,:host .fu-input-holder input:focus:hover{background-color:var(--fu-light-100, #f7f8f9)}:host .fu-input-holder input.disabled,:host .fu-input-holder input:disabled,:host .fu-input-holder input[readonly]{color:var(--fu-dark-200, #4c548e)}:host .fu-input-holder input.disabled:hover,:host .fu-input-holder input:disabled:hover,:host .fu-input-holder input[readonly]:hover{background-color:var(--fu-light-100, #f7f8f9)}:host .fu-input-holder input.disabled:focus,:host .fu-input-holder input:disabled:focus,:host .fu-input-holder input[readonly]:focus{border-bottom:none;padding-bottom:10px}:host .fu-input-holder input.fu-error{background-color:var(--fu-negative-100, #ffefee)}:host .fu-input-holder input.fu-error:active,:host .fu-input-holder input.fu-error:focus{background-color:var(--fu-light-100, #f7f8f9)}:host .fu-input-holder input.fu-input-small{height:32px}:host .fu-input-holder input.fu-button{padding-right:129px}:host .fu-input-holder input.fu-type-pass{padding-right:30px}:host .fu-input-holder.fu-has-search-icon .fu-search-icon-holder{position:absolute;left:12px;z-index:2;top:var(--search-icon-top, 12px);color:var(--search-icon-color, var(--fu-light-700, #a9afb4))}:host .fu-input-holder.fu-has-search-icon .fu-search-icon-holder fusion-icon[class^=icon-search] ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder.fu-has-search-icon .fu-search-icon-holder fusion-icon[class^=icon-search] ::ng-deep svg *{fill:currentColor}:host .fu-input-holder.fu-has-search-icon .fu-search-icon-holder.focused{color:var(--search-icon-focused-color, var(--fu-primary-500, #3083ff))}:host .fu-input-holder.fu-has-search-icon .fu-search-icon-holder.focused fusion-icon.icon-search ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder.fu-has-search-icon .fu-search-icon-holder.focused fusion-icon.icon-search ::ng-deep svg *{fill:currentColor}:host .fu-input-holder.fu-has-search-icon input{padding-left:35px;padding-right:10px}:host .fu-input-holder.fu-has-search-icon .fu-clear-input{cursor:pointer;position:absolute;left:12px;z-index:2;top:11px}:host .fu-input-holder.fu-has-search-icon .fu-clear-input fusion-icon.icon-clear-search ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder.fu-has-search-icon .fu-clear-input fusion-icon.icon-clear-search ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host .fu-input-holder.fu-has-search-icon .fu-clear-input.focused fusion-icon.icon-clear-search ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder.fu-has-search-icon .fu-clear-input.focused fusion-icon.icon-clear-search ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host .fu-input-holder.fu-has-search-icon .fu-clear-input fusion-icon.icon-clear-search:hover ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder.fu-has-search-icon .fu-clear-input fusion-icon.icon-clear-search:hover ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .fu-input-holder.fu-has-search-icon.fu-input-small .fu-search-icon-holder{top:var(--search-icon-top, 8px)}:host .fu-input-holder.fu-has-search-icon.fu-input-small .fu-clear-input{top:8px}:host .fu-input-holder.fu-has-search-icon.fu-input-small i.loading{top:5px}:host .fu-input-holder.fu-has-search-icon.fu-search-icon-right-position .fu-search-icon-holder{right:12px;left:inherit}:host .fu-input-holder.fu-has-search-icon.fu-search-icon-right-position input{padding-left:10px;padding-right:35px}:host .fu-input-holder.fu-has-search-icon.fu-search-icon-right-position .fu-clear-input{left:inherit;right:var(--clear-input-right, 12px)}:host .fu-input-holder.fu-has-search-icon.fu-rounded input{height:24px;border-radius:12px;padding-left:24px;padding-right:14px}:host .fu-input-holder.fu-has-search-icon.fu-rounded input:active,:host .fu-input-holder.fu-has-search-icon.fu-rounded input:focus{background-color:var(--fu-white, #ffffff);padding-bottom:10px;border:solid 1px var(--fu-light-300, #e5e7e9);padding-left:24px;padding-right:13px}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-search-icon-holder{top:var(--search-icon-top, 4px);left:10px;right:inherit;color:var(--search-icon-color, var(--fu-light-700, #a9afb4))}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-search-icon-holder fusion-icon.icon-search ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-search-icon-holder fusion-icon.icon-search ::ng-deep svg *{fill:currentColor}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-search-icon-holder.focused{color:var(--search-icon-focused-color, var(--fu-primary-500, #3083ff))}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-search-icon-holder.focused fusion-icon.icon-search ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-search-icon-holder.focused fusion-icon.icon-search ::ng-deep svg *{fill:currentColor}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-clear-input{top:var(--clear-input-top, 2px);left:var(--clear-input-left, 10px);right:inherit}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-clear-input fusion-icon.icon-clear-search ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-clear-input fusion-icon.icon-clear-search ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-clear-input fusion-icon.icon-clear-search:hover ::ng-deep svg{width:12px;height:12px}:host .fu-input-holder.fu-has-search-icon.fu-rounded .fu-clear-input fusion-icon.icon-clear-search:hover ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position .fu-search-icon-holder{top:var(--search-icon-top, 3px);right:10px;left:inherit}:host .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position .fu-clear-input{right:var(--clear-input-right, 7px);left:inherit}:host .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position input{padding-left:12px;padding-right:25px}:host .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position input:active,:host .fu-input-holder.fu-has-search-icon.fu-rounded.fu-search-icon-right-position input:focus{padding-left:11px;padding-right:24px}:host .fu-input-holder.fu-has-search-icon.fu-rounded.medium input{height:32px;border-radius:17px}:host .fu-input-holder.fu-has-search-icon.fu-rounded.medium .fu-search-icon-holder{top:var(--search-icon-top, 6px)}:host .fu-input-holder.fu-has-search-icon.fu-rounded.medium .fu-clear-input{top:var(--clear-input-top, 7px)}:host .fu-input-holder i.fu-input-icon{width:14px;height:14px;position:absolute;top:13px}:host .fu-input-holder i.fu-input-icon fusion-icon ::ng-deep svg{width:14px;height:14px}:host .fu-input-holder i.fu-input-icon fusion-icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .fu-input-holder .fu-validation-icon-holder{position:absolute;top:13px;right:11px}:host .fu-input-holder.fu-input-small i.fu-input-icon{top:8px}:host .fu-input-holder.fu-input-small i.fu-toggle-pass{top:9px}:host .fu-input-holder.fu-input-small .fu-validation-icon-holder{top:10px}:host .fu-input-holder.focused .fu-validation-icon-holder{display:none}:host .fu-input-holder.fu-error-error .fu-validation-icon-holder fusion-icon.icon-validation ::ng-deep svg{width:14px;height:14px}:host .fu-input-holder.fu-error-error .fu-validation-icon-holder fusion-icon.icon-validation ::ng-deep svg *{fill:var(--fu-negative-500, #ff6a63)}:host .fu-input-holder.fu-error-error input{padding-right:32px}:host .fu-input-holder.fu-error-error input:focus{padding-right:10px}:host .fu-input-holder.fu-error-warning .fu-validation-icon-holder fusion-icon.icon-validation ::ng-deep svg{width:14px;height:14px}:host .fu-input-holder.fu-error-warning .fu-validation-icon-holder fusion-icon.icon-validation ::ng-deep svg *{fill:var(--fu-neutral-500, #ffb424)}:host .fu-input-holder.fu-error-warning input{background-color:var(--fu-neutral-100, #fff8e2);padding-right:32px}:host .fu-input-holder.fu-error-warning input:focus{padding-right:10px}:host .fu-input-holder i.fu-toggle-pass{width:14px;height:14px;position:absolute;top:13px;right:12px;cursor:pointer}:host .fu-input-holder i.fu-toggle-pass fusion-icon ::ng-deep svg{width:14px;height:14px}:host .fu-input-holder i.fu-toggle-pass fusion-icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .fu-input-holder button{order:2;cursor:pointer;line-height:1;box-sizing:border-box;padding:14px 10px 11px;position:absolute;outline:none;border:none;background-color:transparent;color:var(--fu-light-700, #a9afb4);width:129px;right:0;line-height:1.33}:host .fu-input-holder button fusion-icon.loading{display:none}:host .fu-input-holder button fusion-icon.button-icon{height:11px;vertical-align:middle;margin-right:8px}:host .fu-input-holder button fusion-icon.button-icon ::ng-deep svg{width:11px;height:11px}:host .fu-input-holder button fusion-icon.button-icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .fu-input-holder button:hover{color:var(--fu-primary-500, #3083ff)}:host .fu-input-holder button:hover fusion-icon.button-icon ::ng-deep svg{width:11px;height:11px}:host .fu-input-holder button:hover fusion-icon.button-icon ::ng-deep svg *{fill:var(--fu-primary-500, #3083ff)}:host .fu-input-holder button.is-loading{cursor:not-allowed;text-align:right;padding:13px 10px 11px}:host .fu-input-holder button.is-loading .fu-action-button-text,:host .fu-input-holder button.is-loading .button-icon{display:none}:host .fu-input-holder.focused button{color:var(--fu-primary-500, #3083ff)}:host .fu-input-holder.focused button fusion-icon.button-icon ::ng-deep svg{width:11px;height:11px}:host .fu-input-holder.focused button fusion-icon.button-icon ::ng-deep svg *{fill:var(--fu-primary-500, #3083ff)}:host .fu-input-holder.focused button.fu-error fusion-icon.button-icon ::ng-deep svg{width:11px;height:11px}:host .fu-input-holder.focused button.fu-error fusion-icon.button-icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host.is-search-style .fu-input-holder.fu-has-search-icon input{padding-left:10px;padding-right:30px}:host.is-search-style .fu-input-holder.fu-has-search-icon .fu-search-icon-holder,:host.is-search-style .fu-input-holder.fu-has-search-icon .fu-clear-input{display:none}:host .fu-error-msg{color:var(--fu-negative-700, #da564f);margin-top:5px;line-height:14px;text-align:initial}:host .fu-error-msg.focused{display:none}:host .fu-error-msg.fu-input-small{display:none}:host-context(fusion-input-inline) .fu-input-holder{position:relative;margin-left:-8px;width:calc(100% + 8px)}:host-context(fusion-input-inline) .fu-input-holder .fu-input-units{position:absolute;top:6px;left:8px}:host-context(fusion-input-inline) .fu-input-holder input{background-color:var(--fu-light-200, #f0f1f2);padding:10px 19px}:host-context(fusion-input-inline) .fu-input-holder input.fu-error.has-units{background-color:var(--fu-light-200, #f0f1f2);border-bottom:solid 2px var(--fu-negative-500, #ff6a63);padding-bottom:8px}:host-context(fusion-input-inline) .fu-input-holder input.disabled,:host-context(fusion-input-inline) .fu-input-holder input:disabled,:host-context(fusion-input-inline) .fu-input-holder input[readonly]{background-color:transparent;color:var(--fu-light-900, #7b838c)}:host-context(fusion-input-inline) .fu-input-holder input::-webkit-outer-spin-button,:host-context(fusion-input-inline) .fu-input-holder input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}:host-context(fusion-input-inline) .fu-input-holder input[type=number]{-moz-appearance:textfield}:host-context(.is-row-height-small) .fu-input-holder input.fu-input-small{height:30px}:host-context(fusion-dropdown-search) .fu-input-holder .fu-input,:host-context(fusion-tags-input) .fu-input-holder .fu-input{border:none;background-color:transparent;padding:0;height:20px;margin:2px}:host-context(fusion-dropdown-search) .fu-input-holder .fu-input:hover,:host-context(fusion-tags-input) .fu-input-holder .fu-input:hover{background-color:transparent}:host-context(.is-dropdown-select.forced-placeholder .icon) .fu-input-holder input.fu-input{padding-left:26px;padding-bottom:9px}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(InputComponent, { className: "InputComponent", filePath: "input.component.ts", lineNumber: 14 }); })();

class InputModule {
    static { this.ɵfac = function InputModule_Factory(t) { return new (t || InputModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: InputModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, ReactiveFormsModule, IconModule, TooltipModule, LoaderModule, LoaderInlineModule, ClickOutsideModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(InputModule, [{
        type: NgModule,
        args: [{
                declarations: [InputComponent],
                exports: [InputComponent],
                imports: [CommonModule, ReactiveFormsModule, IconModule, TooltipModule, LoaderModule, LoaderInlineModule, ClickOutsideModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(InputModule, { declarations: [InputComponent], imports: [CommonModule, ReactiveFormsModule, IconModule, TooltipModule, LoaderModule, LoaderInlineModule, ClickOutsideModule], exports: [InputComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { InputComponent, InputModule };
//# sourceMappingURL=ironsource-fusion-ui-components-input-v2.mjs.map
