import * as i0 from '@angular/core';
import { EventEmitter, forwardRef, Component, ChangeDetectionStrategy, Input, HostBinding, Output, ViewChild } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@angular/forms';
import { FormControl, NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { isNullOrUndefined } from '@ironsource/fusion-ui/utils';
import { Subject, BehaviorSubject } from 'rxjs';
import * as i1 from '@ironsource/fusion-ui/services/unique-id';
import { takeUntil } from 'rxjs/operators';
import * as i4 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { TooltipDirective } from '@ironsource/fusion-ui/components/tooltip/v4';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import { InputTestIdModifiers, FieldHelpTextTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import { InputHelperComponent } from '@ironsource/fusion-ui/components/input-helper/v4';
import { InputLabelComponent } from '@ironsource/fusion-ui/components/input-label/v4';

const _c0 = ["input"];
function InputV4Component_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-input-label", 13);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("text", ctx_r0.labelText)("required", ctx_r0.labelRequired)("icon", ctx_r0.labelIcon)("tooltipText", ctx_r0.labelTooltipText);
} }
function InputV4Component_fusion_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 14);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r1.startIcon);
} }
function InputV4Component_div_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 15);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r2.prefix);
} }
function InputV4Component_Conditional_6_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtext(1);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1("/", ctx_r12.maxLength, "");
} }
function InputV4Component_Conditional_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 16);
    i0.ɵɵtext(1);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵtemplate(3, InputV4Component_Conditional_6_ng_container_3_Template, 2, 1, "ng-container", 17);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", ctx_r3.testId);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind1(2, 3, ctx_r3.valueLength$), "");
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r3.maxLength);
} }
function InputV4Component_div_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 18);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r5.suffix);
} }
function InputV4Component_fusion_icon_11_Template(rf, ctx) { if (rf & 1) {
    const _r14 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 19);
    i0.ɵɵlistener("click", function InputV4Component_fusion_icon_11_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r14); const ctx_r13 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r13.clearButtonClicked()); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", ctx_r6.testId);
} }
function InputV4Component_fusion_icon_12_Template(rf, ctx) { if (rf & 1) {
    const _r16 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 20);
    i0.ɵɵlistener("click", function InputV4Component_fusion_icon_12_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r16); const ctx_r15 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r15.applyButtonClicked.emit()); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", ctx_r7.testId);
} }
function InputV4Component_fusion_icon_13_Template(rf, ctx) { if (rf & 1) {
    const _r18 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 21);
    i0.ɵɵlistener("click", function InputV4Component_fusion_icon_13_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r18); const ctx_r17 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r17.togglePasswordShown()); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext();
    i0.ɵɵpropertyInterpolate("name", ctx_r8.type === "password" ? "ph/eye-slash" : "ph/eye");
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r8.testIdsService.getTestAttribute.bind(ctx_r8), ctx_r8.testId, ctx_r8.testIdInputModifiers.TOGGLE_PASSWORD));
} }
function InputV4Component_fusion_icon_15_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 22);
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r9.endIcon);
    i0.ɵɵattribute("data-testid", ctx_r9.testId);
} }
function InputV4Component_fusion_icon_16_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 23);
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext();
    i0.ɵɵproperty("fusionTooltip", ctx_r10.inlineErrorText);
    i0.ɵɵattribute("data-testid", ctx_r10.testId);
} }
function InputV4Component_Conditional_17_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 24);
    i0.ɵɵelement(1, "fusion-input-helper", 25);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("text", ctx_r11.helperText)("state", ctx_r11.variant)("iconName", ctx_r11.helperIcon)("testId", ctx_r11.testId);
} }
class InputV4Component {
    // region Inputs - id
    set id(value) {
        this._id = value;
    }
    get testAttribute() {
        return this.testId;
    }
    get id() {
        return this._id;
    }
    // endregion
    // region Inputs - placeholder
    set placeholder(value) {
        this._placeholder = value;
    }
    get placeholder() {
        return this._placeholder;
    }
    // endregion
    // region Inputs - pattern
    set pattern(value) {
        this._pattern = value;
    }
    get pattern() {
        if (this.type === 'time') {
            return '[0-9]{2}:[0-9]{2}';
        }
        return this._pattern;
    }
    // endregion
    // region Inputs - input type
    set type(value) {
        if (!isNullOrUndefined(value) && value !== this._type) {
            this._type = value;
            if (this.showPasswordToggleButton$.getValue() === null) {
                this.showPasswordToggleButton$.next(this._type === 'password');
            }
        }
    }
    get type() {
        return this._type;
    }
    // endregion
    // region Inputs - startIcon
    set startIcon(value) {
        this._startIcon = value;
    }
    get startIcon() {
        return this._startIcon;
    }
    // endregion
    // region Inputs - endIcon
    set endIcon(value) {
        this._endIcon = value;
    }
    get endIcon() {
        return this._endIcon;
    }
    // endregion
    // region Inputs - prefix
    set prefix(value) {
        this._prefix = value;
    }
    get prefix() {
        return this._prefix;
    }
    // endregion
    // region Inputs - suffix
    set suffix(value) {
        this._suffix = value;
    }
    get suffix() {
        return this._suffix;
    }
    // endregion
    // region Inputs - size
    set size(value) {
        this._size = value;
    }
    get size() {
        return this._size;
    }
    // endregion
    // region Inputs - maxLength
    set maxLength(value) {
        this._maxLength = value;
    }
    get maxLength() {
        return this._maxLength;
    }
    // endregion
    // endregion
    // region Inputs - showApply
    set showApply(value) {
        this._showApply = value;
    }
    get showApply() {
        return this._showApply;
    }
    // endregion
    // region Inputs - showClear
    set showClear(value) {
        this._showClear = value;
    }
    get showClear() {
        return this._showClear && this._inputValue?.length > 0;
    }
    // endregion
    // region Inputs - showLengthCounter
    set showLengthCounter(value) {
        this._showLengthCounter = value;
    }
    get showLengthCounter() {
        return this._showLengthCounter;
    }
    // endregion
    // region Inputs - inlineErrorText
    set inlineErrorText(value) {
        this._inlineErrorText = value;
    }
    get inlineErrorText() {
        return this._inlineErrorText;
    }
    // region Inputs - step (for number type)
    set step(value) {
        this._step = value;
    }
    get step() {
        return this._step;
    }
    // endregion
    //region Inputs - min (for number type)
    set min(value) {
        this._min = value;
    }
    get min() {
        return this._min;
    }
    // endregion
    //region Inputs - max (for number type)
    set max(value) {
        this._max = value;
    }
    get max() {
        return this._max;
    }
    // endregion
    // region Inputs - hideNumberArrows (for number type)
    set hideNumberArrows(value) {
        this._hideNumberArrows = value;
    }
    get hideNumberArrows() {
        return this._hideNumberArrows;
    }
    constructor(uniqueIdService, injector) {
        this.uniqueIdService = uniqueIdService;
        this.injector = injector;
        /** @internal */
        this.testIdInputModifiers = InputTestIdModifiers;
        /** @internal */
        this.testIdsService = this.injector.get(TestIdsService);
        this._id = this.uniqueIdService.getUniqueId().toString();
        this.labelRequired = false;
        this._type = 'text';
        this._size = 'medium';
        this._showApply = false;
        this._showClear = false;
        this._showLengthCounter = false;
        this.variant = 'default';
        this._hideNumberArrows = false;
        // endregion
        // region Outputs - applyButtonClicked
        this.applyButtonClicked = new EventEmitter();
        /** @internal */
        this.onDestroy$ = new Subject();
        /** @internal */
        this.inputControl = new FormControl();
        /** @internal */
        this.disabled$ = new BehaviorSubject(false);
        /** @internal */
        this.showPasswordToggleButton$ = new BehaviorSubject(null);
        /** @internal */
        this.valueLength$ = new BehaviorSubject(0);
        /**
         * Method to call when the input value has changes.
         * @internal
         */
        this.propagateChange = (_) => { };
        /**
         * Method to call when the component is touched (when it was is clicked).
         * @internal
         */
        this.propagateTouched = () => { };
        // endregion
        this.FieldHelpTextTestIdModifiers = FieldHelpTextTestIdModifiers;
    }
    ngOnInit() {
        this.inputControlValueChanges$ = this.inputControl.valueChanges;
        this.inputControlValueChanges$.pipe(takeUntil(this.onDestroy$)).subscribe(value => {
            this._inputValue = value;
            this.valueLength$.next(this._inputValue.trim().length);
            this.propagateChange(value);
        });
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    clearButtonClicked() {
        this.clearInput(true);
    }
    /** @internal */
    clearInput(isFocused = false) {
        this.inputControl.setValue('');
        if (isFocused) {
            this.setFocus();
        }
    }
    /** @internal */
    setFocus() {
        this.input.nativeElement.focus();
    }
    togglePasswordShown() {
        this.type = this.type === 'password' ? 'text' : 'password';
    }
    // region ControlValueAccessor
    /** @internal */
    writeValue(value) {
        if (isNullOrUndefined(value)) {
            this.clearInput();
        }
        else {
            this._inputValue = value;
            this.inputControl.setValue(this._inputValue, { emitEvent: false });
        }
    }
    /** @internal */
    registerOnChange(fn) {
        this.propagateChange = fn;
    }
    /** @internal */
    registerOnTouched(fn) {
        // this.onBlur = fn;
    }
    /** @internal */
    setDisabledState(isDisabled) {
        this.disabled$.next(isDisabled);
        if (isDisabled) {
            this.inputControl.disable({ emitEvent: false });
        }
        else {
            this.inputControl.enable({ emitEvent: false });
        }
    }
    static { this.ɵfac = function InputV4Component_Factory(t) { return new (t || InputV4Component)(i0.ɵɵdirectiveInject(i1.UniqueIdService), i0.ɵɵdirectiveInject(i0.Injector)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: InputV4Component, selectors: [["fusion-input"]], viewQuery: function InputV4Component_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.input = _t.first);
        } }, hostAttrs: [1, "fusion-v4"], hostVars: 1, hostBindings: function InputV4Component_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵattribute("data-testid", ctx.testAttribute);
        } }, inputs: { id: "id", testId: "testId", labelText: "labelText", labelRequired: "labelRequired", labelIcon: "labelIcon", labelTooltipText: "labelTooltipText", placeholder: "placeholder", pattern: "pattern", type: "type", startIcon: "startIcon", endIcon: "endIcon", prefix: "prefix", suffix: "suffix", size: "size", maxLength: "maxLength", showApply: "showApply", showClear: "showClear", showLengthCounter: "showLengthCounter", inlineErrorText: "inlineErrorText", variant: "variant", helperText: "helperText", helperIcon: "helperIcon", step: "step", min: "min", max: "max", hideNumberArrows: "hideNumberArrows" }, outputs: { applyButtonClicked: "applyButtonClicked" }, standalone: true, features: [i0.ɵɵProvidersFeature([{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => InputV4Component), multi: true }]), i0.ɵɵStandaloneFeature], decls: 18, vars: 43, consts: [["class", "fu-dropdown-label", 3, "text", "required", "icon", "tooltipText"], ["class", "fu-start-icon", 3, "name", 4, "ngIf"], ["class", "fu-input-prefix", 4, "ngIf"], ["class", "fu-max-length-counter"], ["autocomplete", "off", "minlength", "1", 1, "fu-input", 3, "id", "type", "formControl"], ["input", ""], ["class", "fu-input-suffix", 4, "ngIf"], ["class", "fu-clear-button", "name", "ph/fill/x-circle", 3, "click", 4, "ngIf"], ["class", "fu-apply-button", "name", "ph/check", 3, "click", 4, "ngIf"], ["class", "fu-show-password-button", 3, "name", "click", 4, "ngIf"], ["class", "fu-end-icon", 3, "name", 4, "ngIf"], ["class", "fu-inline-error-icon", "name", "ph/info", 3, "fusionTooltip", 4, "ngIf"], ["class", "fu-input-underline"], [1, "fu-dropdown-label", 3, "text", "required", "icon", "tooltipText"], [1, "fu-start-icon", 3, "name"], [1, "fu-input-prefix"], [1, "fu-max-length-counter"], [4, "ngIf"], [1, "fu-input-suffix"], ["name", "ph/fill/x-circle", 1, "fu-clear-button", 3, "click"], ["name", "ph/check", 1, "fu-apply-button", 3, "click"], [1, "fu-show-password-button", 3, "name", "click"], [1, "fu-end-icon", 3, "name"], ["name", "ph/info", 1, "fu-inline-error-icon", 3, "fusionTooltip"], [1, "fu-input-underline"], [3, "text", "state", "iconName", "testId"]], template: function InputV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, InputV4Component_Conditional_0_Template, 1, 4, "fusion-input-label", 0);
            i0.ɵɵelementStart(1, "div");
            i0.ɵɵpipe(2, "async");
            i0.ɵɵpipe(3, "generic");
            i0.ɵɵtemplate(4, InputV4Component_fusion_icon_4_Template, 1, 1, "fusion-icon", 1)(5, InputV4Component_div_5_Template, 2, 1, "div", 2)(6, InputV4Component_Conditional_6_Template, 4, 5, "div", 3);
            i0.ɵɵelement(7, "input", 4, 5);
            i0.ɵɵpipe(9, "generic");
            i0.ɵɵtemplate(10, InputV4Component_div_10_Template, 2, 1, "div", 6)(11, InputV4Component_fusion_icon_11_Template, 1, 1, "fusion-icon", 7)(12, InputV4Component_fusion_icon_12_Template, 1, 1, "fusion-icon", 8)(13, InputV4Component_fusion_icon_13_Template, 2, 6, "fusion-icon", 9);
            i0.ɵɵpipe(14, "async");
            i0.ɵɵtemplate(15, InputV4Component_fusion_icon_15_Template, 1, 2, "fusion-icon", 10)(16, InputV4Component_fusion_icon_16_Template, 1, 2, "fusion-icon", 11);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(17, InputV4Component_Conditional_17_Template, 2, 4, "div", 12);
        } if (rf & 2) {
            i0.ɵɵconditional(0, ctx.labelText ? 0 : -1);
            i0.ɵɵadvance();
            i0.ɵɵclassMapInterpolate2("fu-input-wrapper fu-size-", ctx.size, " fu-variant-", ctx.variant, "");
            i0.ɵɵclassProp("fu-with-counter", ctx.showLengthCounter)("fu-disabled", i0.ɵɵpipeBind1(2, 31, ctx.disabled$));
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(3, 33, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdInputModifiers.WRAPPER));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", ctx.startIcon);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.prefix);
            i0.ɵɵadvance();
            i0.ɵɵconditional(6, ctx.showLengthCounter ? 6 : -1);
            i0.ɵɵadvance();
            i0.ɵɵclassProp("fu-hide-step-arrows", ctx.hideNumberArrows);
            i0.ɵɵproperty("id", ctx.id)("type", ctx.type)("formControl", ctx.inputControl);
            i0.ɵɵattribute("maxlength", ctx.maxLength)("step", ctx.step)("min", ctx.min)("max", ctx.max)("placeholder", ctx.placeholder)("data-testid", i0.ɵɵpipeBind3(9, 37, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdInputModifiers.FIELD));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", ctx.suffix);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.showClear);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.showApply);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(14, 41, ctx.showPasswordToggleButton$));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.endIcon);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.inlineErrorText);
            i0.ɵɵadvance();
            i0.ɵɵconditional(17, ctx.helperText ? 17 : -1);
        } }, dependencies: [CommonModule, i2.NgIf, i2.AsyncPipe, ReactiveFormsModule, i3.DefaultValueAccessor, i3.NgControlStatus, i3.MinLengthValidator, i3.FormControlDirective, IconModule, i4.IconComponent, TooltipDirective, GenericPipe, InputHelperComponent, InputLabelComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4[_ngcontent-%COMP%]{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-max-length-counter[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-input-prefix[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-input-suffix[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-input-prefix[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-input-suffix[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}[_nghost-%COMP%]   .fu-max-length-counter[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]{margin:0;padding:0;display:flex;flex-direction:column;gap:4px;--input-time-width: 86px}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]{flex-grow:2;display:flex;flex-direction:row;gap:8px;align-items:center;border-radius:var(--border-radius-md, 6px);background:var(--default-main, hsl(0, 0%, 94.51%));outline:1px solid var(--action-outlined-border, hsl(0, 0%, 73%));outline-offset:-1px;padding:0 var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]:hover{outline-color:var(--action-active, hsl(0, 0%, 50.3%));background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]:has(input:focus){outline-color:var(--primary-main, hsl(206, 100%, 50%));outline-width:2px;background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}[_nghost-%COMP%]   .fu-input-wrapper.fu-disabled[_ngcontent-%COMP%]{outline-color:var(--action-outlined-border, hsl(0, 0%, 73%));background-color:var(--action-disabled-background, hsl(0, 0%, 95%))}[_nghost-%COMP%]   .fu-input-wrapper.fu-disabled[_ngcontent-%COMP%]   .fu-start-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper.fu-disabled[_ngcontent-%COMP%]   .fu-end-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper.fu-disabled[_ngcontent-%COMP%]   .fu-input-prefix[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper.fu-disabled[_ngcontent-%COMP%]   .fu-input-suffix[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper.fu-disabled[_ngcontent-%COMP%]   .fu-show-password-button[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper.fu-disabled[_ngcontent-%COMP%]   .fu-clear-button[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper.fu-disabled[_ngcontent-%COMP%]   .fu-apply-button[_ngcontent-%COMP%]{color:var(--text-disabled, hsl(0, 0%, 73.33%));pointer-events:none}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-start-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-end-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-show-password-button[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-inline-error-icon[_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-inline-error-icon[_ngcontent-%COMP%]{color:var(--error-main, hsl(358, 75%, 59%))}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-start-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-end-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-show-password-button[_ngcontent-%COMP%]{color:var(--action-active, hsl(0, 0%, 50.3%))}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-clear-button[_ngcontent-%COMP%]{width:16px;height:16px;color:var(--action-active, hsl(0, 0%, 50.3%));cursor:pointer}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-clear-button[_ngcontent-%COMP%]:hover{color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-apply-button[_ngcontent-%COMP%]{width:20px;height:20px;color:var(--primary-main, hsl(206, 100%, 50%));cursor:pointer}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-input-prefix[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   .fu-input-suffix[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center;color:var(--text-secondary, hsl(0, 0%, 39.3%));line-height:20px}[_nghost-%COMP%]   .fu-input-wrapper.fu-size-medium[_ngcontent-%COMP%]{height:28px}[_nghost-%COMP%]   .fu-input-wrapper.fu-size-large[_ngcontent-%COMP%]{height:32px}[_nghost-%COMP%]   .fu-input-wrapper.fu-size-xlarge[_ngcontent-%COMP%]{height:40px}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%]{padding:0;width:100%;border:none;background:transparent;color:var(--text-primary, hsl(0, 0%, 12.5%));line-height:20px}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%]::placeholder{color:var(--text-secondary, hsl(0, 0%, 39.3%));letter-spacing:normal}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%]:focus{outline:none;color:var(--common-black, #000000)}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%]:disabled{color:var(--text-disabled);cursor:no-drop}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[_ngcontent-%COMP%]:disabled::placeholder{color:var(--text-disabled)}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[type=number][_ngcontent-%COMP%]::-webkit-inner-spin-button{opacity:.7;transform:scale(1.1)}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[type=number].fu-hide-step-arrows[_ngcontent-%COMP%]::-webkit-outer-spin-button, [_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[type=number].fu-hide-step-arrows[_ngcontent-%COMP%]::-webkit-inner-spin-button{appearance:none;margin:0}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]   input.fu-input[type=password][_ngcontent-%COMP%]{letter-spacing:4px}[_nghost-%COMP%]   .fu-input-wrapper.fu-variant-error[_ngcontent-%COMP%]{outline-color:var(--error-main, hsl(358, 75%, 59%));outline-width:2px}[_nghost-%COMP%]   .fu-input-wrapper.fu-variant-error[_ngcontent-%COMP%]:has(input:focus){outline-color:var(--error-main, hsl(358, 75%, 59%))}[_nghost-%COMP%]   .fu-input-wrapper.fu-variant-success[_ngcontent-%COMP%]{outline-color:var(--success-main, hsl(151, 55%, 41.5%));outline-width:2px}[_nghost-%COMP%]   .fu-input-wrapper.fu-variant-success[_ngcontent-%COMP%]:has(input:focus){outline-color:var(--success-main, hsl(151, 55%, 41.5%))}[_nghost-%COMP%]   .fu-input-wrapper.fu-variant-warning[_ngcontent-%COMP%]{outline-color:var(--warning-main, hsl(42, 100%, 62%));outline-width:2px}[_nghost-%COMP%]   .fu-input-wrapper.fu-variant-warning[_ngcontent-%COMP%]:has(input:focus){outline-color:var(--warning-main, hsl(42, 100%, 62%))}[_nghost-%COMP%]   .fu-input-wrapper.fu-with-counter[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .fu-input-wrapper.fu-with-counter[_ngcontent-%COMP%]   input[_ngcontent-%COMP%]{padding-right:40px}[_nghost-%COMP%]   .fu-input-wrapper[_ngcontent-%COMP%]:has(input[type=time]){width:var(--input-time-width)}[_nghost-%COMP%]   .fu-max-length-counter[_ngcontent-%COMP%]{position:absolute;right:6px;color:var(--text-secondary, hsl(0, 0%, 39.3%))}[_nghost-%COMP%]   .fu-input-underline[_ngcontent-%COMP%]{display:flex;align-items:center}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(InputV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-input', standalone: true, imports: [CommonModule, ReactiveFormsModule, IconModule, TooltipDirective, GenericPipe, InputHelperComponent, InputLabelComponent], host: { class: 'fusion-v4' }, changeDetection: ChangeDetectionStrategy.OnPush, providers: [{ provide: NG_VALUE_ACCESSOR, useExisting: forwardRef(() => InputV4Component), multi: true }], template: "@if(labelText){\n    <fusion-input-label class=\"fu-dropdown-label\" [text]=\"labelText\" [required]=\"labelRequired\" [icon]=\"labelIcon\" [tooltipText]=\"labelTooltipText\"></fusion-input-label>\n}\n<div class=\"fu-input-wrapper fu-size-{{size}} fu-variant-{{variant}}\"\n     [class.fu-with-counter]=\"showLengthCounter\"\n     [class.fu-disabled]=\"disabled$ | async\"\n     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdInputModifiers.WRAPPER\">\n    <fusion-icon *ngIf=\"startIcon\" class=\"fu-start-icon\" [name]=\"startIcon\"></fusion-icon>\n    <div *ngIf=\"prefix\" class=\"fu-input-prefix\">{{ prefix }}</div>\n    @if (showLengthCounter){\n        <div class=\"fu-max-length-counter\" [attr.data-testid]=\"testId\">\n            {{ (valueLength$ | async) }}<ng-container *ngIf=\"maxLength\">/{{ maxLength }}</ng-container>\n        </div>\n    }\n    <input #input\n           [id]=\"id\"\n           class=\"fu-input\"\n           autocomplete=\"off\"\n           minlength=\"1\"\n           [class.fu-hide-step-arrows]=\"hideNumberArrows\"\n           [type]=\"type\"\n           [attr.maxlength]=\"maxLength\"\n           [attr.step]=\"step\"\n           [attr.min]=\"min\"\n           [attr.max]=\"max\"\n           [attr.placeholder]=\"placeholder\"\n           [formControl]=\"inputControl\"\n           [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdInputModifiers.FIELD\"\n    />\n    <div *ngIf=\"suffix\" class=\"fu-input-suffix\">{{ suffix }}</div>\n    <fusion-icon *ngIf=\"showClear\" class=\"fu-clear-button\" name=\"ph/fill/x-circle\"\n                 (click)=\"clearButtonClicked()\" [attr.data-testid]=\"testId\"></fusion-icon>\n    <fusion-icon *ngIf=\"showApply\" class=\"fu-apply-button\" name=\"ph/check\"\n                 (click)=\"applyButtonClicked.emit()\" [attr.data-testid]=\"testId\"></fusion-icon>\n    <fusion-icon *ngIf=\"showPasswordToggleButton$ | async\" class=\"fu-show-password-button\"\n                 name=\"{{type==='password' ? 'ph/eye-slash' : 'ph/eye'}}\" (click)=\"togglePasswordShown()\"\n                 [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdInputModifiers.TOGGLE_PASSWORD\"></fusion-icon>\n    <fusion-icon *ngIf=\"endIcon\" class=\"fu-end-icon\" [name]=\"endIcon\" [attr.data-testid]=\"testId\"></fusion-icon>\n    <fusion-icon *ngIf=\"inlineErrorText\" [fusionTooltip]=\"inlineErrorText\" class=\"fu-inline-error-icon\"\n                 [attr.data-testid]=\"testId\"\n                 name=\"ph/info\"></fusion-icon>\n</div>\n@if (helperText){\n    <div class=\"fu-input-underline\">\n        <fusion-input-helper [text]=\"helperText\" [state]=\"variant\" [iconName]=\"helperIcon\" [testId]=\"testId\"></fusion-input-helper>\n    </div>\n}\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,:host .fu-max-length-counter,.font-v4-caption,.font-v4-body-2,:host .fu-input-wrapper input.fu-input,:host .fu-input-wrapper .fu-input-prefix,:host .fu-input-wrapper .fu-input-suffix,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}:host .fu-input-wrapper input.fu-input,:host .fu-input-wrapper .fu-input-prefix,:host .fu-input-wrapper .fu-input-suffix,.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}:host .fu-max-length-counter,.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host{margin:0;padding:0;display:flex;flex-direction:column;gap:4px;--input-time-width: 86px}:host .fu-input-wrapper{flex-grow:2;display:flex;flex-direction:row;gap:8px;align-items:center;border-radius:var(--border-radius-md, 6px);background:var(--default-main, hsl(0, 0%, 94.51%));outline:1px solid var(--action-outlined-border, hsl(0, 0%, 73%));outline-offset:-1px;padding:0 var(--spacing-100, 8px)}:host .fu-input-wrapper:hover{outline-color:var(--action-active, hsl(0, 0%, 50.3%));background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}:host .fu-input-wrapper:has(input:focus){outline-color:var(--primary-main, hsl(206, 100%, 50%));outline-width:2px;background-color:var(--action-hover, hsla(0, 0%, 0%, .05))}:host .fu-input-wrapper.fu-disabled{outline-color:var(--action-outlined-border, hsl(0, 0%, 73%));background-color:var(--action-disabled-background, hsl(0, 0%, 95%))}:host .fu-input-wrapper.fu-disabled .fu-start-icon,:host .fu-input-wrapper.fu-disabled .fu-end-icon,:host .fu-input-wrapper.fu-disabled .fu-input-prefix,:host .fu-input-wrapper.fu-disabled .fu-input-suffix,:host .fu-input-wrapper.fu-disabled .fu-show-password-button,:host .fu-input-wrapper.fu-disabled .fu-clear-button,:host .fu-input-wrapper.fu-disabled .fu-apply-button{color:var(--text-disabled, hsl(0, 0%, 73.33%));pointer-events:none}:host .fu-input-wrapper .fu-start-icon,:host .fu-input-wrapper .fu-end-icon,:host .fu-input-wrapper .fu-show-password-button,:host .fu-input-wrapper .fu-inline-error-icon{width:16px;height:16px}:host .fu-input-wrapper .fu-inline-error-icon{color:var(--error-main, hsl(358, 75%, 59%))}:host .fu-input-wrapper .fu-start-icon,:host .fu-input-wrapper .fu-end-icon,:host .fu-input-wrapper .fu-show-password-button{color:var(--action-active, hsl(0, 0%, 50.3%))}:host .fu-input-wrapper .fu-clear-button{width:16px;height:16px;color:var(--action-active, hsl(0, 0%, 50.3%));cursor:pointer}:host .fu-input-wrapper .fu-clear-button:hover{color:var(--text-primary, hsl(0, 0%, 12.5%))}:host .fu-input-wrapper .fu-apply-button{width:20px;height:20px;color:var(--primary-main, hsl(206, 100%, 50%));cursor:pointer}:host .fu-input-wrapper .fu-input-prefix,:host .fu-input-wrapper .fu-input-suffix{display:flex;align-items:center;justify-content:center;color:var(--text-secondary, hsl(0, 0%, 39.3%));line-height:20px}:host .fu-input-wrapper.fu-size-medium{height:28px}:host .fu-input-wrapper.fu-size-large{height:32px}:host .fu-input-wrapper.fu-size-xlarge{height:40px}:host .fu-input-wrapper input.fu-input{padding:0;width:100%;border:none;background:transparent;color:var(--text-primary, hsl(0, 0%, 12.5%));line-height:20px}:host .fu-input-wrapper input.fu-input::placeholder{color:var(--text-secondary, hsl(0, 0%, 39.3%));letter-spacing:normal}:host .fu-input-wrapper input.fu-input:focus{outline:none;color:var(--common-black, #000000)}:host .fu-input-wrapper input.fu-input:disabled{color:var(--text-disabled);cursor:no-drop}:host .fu-input-wrapper input.fu-input:disabled::placeholder{color:var(--text-disabled)}:host .fu-input-wrapper input.fu-input[type=number]::-webkit-inner-spin-button{opacity:.7;transform:scale(1.1)}:host .fu-input-wrapper input.fu-input[type=number].fu-hide-step-arrows::-webkit-outer-spin-button,:host .fu-input-wrapper input.fu-input[type=number].fu-hide-step-arrows::-webkit-inner-spin-button{appearance:none;margin:0}:host .fu-input-wrapper input.fu-input[type=password]{letter-spacing:4px}:host .fu-input-wrapper.fu-variant-error{outline-color:var(--error-main, hsl(358, 75%, 59%));outline-width:2px}:host .fu-input-wrapper.fu-variant-error:has(input:focus){outline-color:var(--error-main, hsl(358, 75%, 59%))}:host .fu-input-wrapper.fu-variant-success{outline-color:var(--success-main, hsl(151, 55%, 41.5%));outline-width:2px}:host .fu-input-wrapper.fu-variant-success:has(input:focus){outline-color:var(--success-main, hsl(151, 55%, 41.5%))}:host .fu-input-wrapper.fu-variant-warning{outline-color:var(--warning-main, hsl(42, 100%, 62%));outline-width:2px}:host .fu-input-wrapper.fu-variant-warning:has(input:focus){outline-color:var(--warning-main, hsl(42, 100%, 62%))}:host .fu-input-wrapper.fu-with-counter{position:relative}:host .fu-input-wrapper.fu-with-counter input{padding-right:40px}:host .fu-input-wrapper:has(input[type=time]){width:var(--input-time-width)}:host .fu-max-length-counter{position:absolute;right:6px;color:var(--text-secondary, hsl(0, 0%, 39.3%))}:host .fu-input-underline{display:flex;align-items:center}\n"] }]
    }], () => [{ type: i1.UniqueIdService }, { type: i0.Injector }], { id: [{
            type: Input
        }], testId: [{
            type: Input
        }], testAttribute: [{
            type: HostBinding,
            args: ['attr.data-testid']
        }], labelText: [{
            type: Input
        }], labelRequired: [{
            type: Input
        }], labelIcon: [{
            type: Input
        }], labelTooltipText: [{
            type: Input
        }], placeholder: [{
            type: Input
        }], pattern: [{
            type: Input
        }], type: [{
            type: Input
        }], startIcon: [{
            type: Input
        }], endIcon: [{
            type: Input
        }], prefix: [{
            type: Input
        }], suffix: [{
            type: Input
        }], size: [{
            type: Input
        }], maxLength: [{
            type: Input
        }], showApply: [{
            type: Input
        }], showClear: [{
            type: Input
        }], showLengthCounter: [{
            type: Input
        }], inlineErrorText: [{
            type: Input
        }], variant: [{
            type: Input
        }], helperText: [{
            type: Input
        }], helperIcon: [{
            type: Input
        }], step: [{
            type: Input
        }], min: [{
            type: Input
        }], max: [{
            type: Input
        }], hideNumberArrows: [{
            type: Input
        }], applyButtonClicked: [{
            type: Output
        }], input: [{
            type: ViewChild,
            args: ['input', { static: false }]
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(InputV4Component, { className: "InputV4Component", filePath: "input-v4.component.ts", lineNumber: 40 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { InputV4Component as InputComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-input-v4.mjs.map
