import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1$1 from '@angular/common';
import { CurrencyPipe, CommonModule } from '@angular/common';
import { LoaderInlineBaseComponent } from '@ironsource/fusion-ui/components/loader-inline/common/base';
import * as i1 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';

const _c0$1 = () => ({ iconName: "loading", iconVersion: "v1" });
class LoadingIconComponent {
    static { this.ɵfac = function LoadingIconComponent_Factory(t) { return new (t || LoadingIconComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: LoadingIconComponent, selectors: [["fusion-loading-icon"]], decls: 1, vars: 2, consts: [[1, "loader-v1", 3, "name"]], template: function LoadingIconComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelement(0, "fusion-icon", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("name", i0.ɵɵpureFunction0(1, _c0$1));
        } }, dependencies: [i1.IconComponent], styles: ["[_nghost-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:15px;height:15px}[_nghost-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:none!important}[_nghost-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg symbol#loading circle{stroke:currentColor!important}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LoadingIconComponent, [{
        type: Component,
        args: [{ selector: 'fusion-loading-icon', template: "<fusion-icon class=\"loader-v1\" [name]=\"{iconName: 'loading', iconVersion: 'v1'}\"></fusion-icon>\n", styles: [":host fusion-icon ::ng-deep svg{width:15px;height:15px}:host fusion-icon ::ng-deep svg *{fill:none!important}:host fusion-icon ::ng-deep svg symbol#loading circle{stroke:currentColor!important}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(LoadingIconComponent, { className: "LoadingIconComponent", filePath: "components/loading-icon.component.ts", lineNumber: 8 }); })();

function LoaderInlineComponent_div_0_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 3);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r1.text);
} }
const _c0 = a0 => [a0];
function LoaderInlineComponent_div_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 1);
    i0.ɵɵelement(1, "fusion-loading-icon");
    i0.ɵɵtemplate(2, LoaderInlineComponent_div_0_span_2_Template, 2, 1, "span", 2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(2, _c0, ctx_r0.color));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.text);
} }
class LoaderInlineComponent extends LoaderInlineBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵLoaderInlineComponent_BaseFactory; return function LoaderInlineComponent_Factory(t) { return (ɵLoaderInlineComponent_BaseFactory || (ɵLoaderInlineComponent_BaseFactory = i0.ɵɵgetInheritedFactory(LoaderInlineComponent)))(t || LoaderInlineComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: LoaderInlineComponent, selectors: [["fusion-loader-inline"]], features: [i0.ɵɵInheritDefinitionFeature], decls: 1, vars: 1, consts: [["class", "loader-inline", 3, "ngClass", 4, "ngIf"], [1, "loader-inline", 3, "ngClass"], ["class", "loader-txt", 4, "ngIf"], [1, "loader-txt"]], template: function LoaderInlineComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, LoaderInlineComponent_div_0_Template, 3, 4, "div", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", ctx.status);
        } }, dependencies: [i1$1.NgClass, i1$1.NgIf, LoadingIconComponent], styles: ["[_nghost-%COMP%]   .loader-inline[_ngcontent-%COMP%]   .loader-txt[_ngcontent-%COMP%]{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}[_nghost-%COMP%]   .loader-inline[_ngcontent-%COMP%]{display:inline-flex;margin-left:5px;vertical-align:middle;height:13px}[_nghost-%COMP%]   .loader-inline[_ngcontent-%COMP%]   .loader-txt[_ngcontent-%COMP%]{margin-top:-3px;padding-left:4px;color:var(--light-color-800, #678099)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LoaderInlineComponent, [{
        type: Component,
        args: [{ selector: 'fusion-loader-inline', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div *ngIf=\"status\" class=\"loader-inline\" [ngClass]=\"[color]\">\n    <fusion-loading-icon></fusion-loading-icon>\n    <span *ngIf=\"text\" class=\"loader-txt\">{{ text }}</span>\n</div>\n", styles: [":host .loader-inline .loader-txt{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}:host .loader-inline{display:inline-flex;margin-left:5px;vertical-align:middle;height:13px}:host .loader-inline .loader-txt{margin-top:-3px;padding-left:4px;color:var(--light-color-800, #678099)}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(LoaderInlineComponent, { className: "LoaderInlineComponent", filePath: "loader-inline.component.ts", lineNumber: 10 }); })();

class LoaderInlineModule {
    static { this.ɵfac = function LoaderInlineModule_Factory(t) { return new (t || LoaderInlineModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: LoaderInlineModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ providers: [CurrencyPipe], imports: [CommonModule, IconModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LoaderInlineModule, [{
        type: NgModule,
        args: [{
                declarations: [LoaderInlineComponent, LoadingIconComponent],
                exports: [LoaderInlineComponent],
                providers: [CurrencyPipe],
                imports: [CommonModule, IconModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(LoaderInlineModule, { declarations: [LoaderInlineComponent, LoadingIconComponent], imports: [CommonModule, IconModule], exports: [LoaderInlineComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { LoaderInlineComponent, LoaderInlineModule };
//# sourceMappingURL=ironsource-fusion-ui-components-loader-inline-v1.mjs.map
