import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { CommonModule } from '@angular/common';

const defaultStrokeWidth = 2;

class LoaderComponent {
    set strokeWidth(value) {
        this._strokeWidth = value;
    }
    get strokeWidth() {
        return this._strokeWidth ?? defaultStrokeWidth;
    }
    static { this.ɵfac = function LoaderComponent_Factory(t) { return new (t || LoaderComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: LoaderComponent, selectors: [["fusion-loader"]], inputs: { strokeWidth: "strokeWidth" }, standalone: true, features: [i0.ɵɵStandaloneFeature], decls: 2, vars: 2, consts: [["width", "100%", "height", "100%", 1, "fu-circle-svg"], ["cx", "50%", "cy", "50%", "r", "43.75%"]], template: function LoaderComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵnamespaceSVG();
            i0.ɵɵelementStart(0, "svg", 0);
            i0.ɵɵelement(1, "circle", 1);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵstyleProp("stroke-width", ctx.strokeWidth);
        } }, dependencies: [CommonModule], styles: ["[_nghost-%COMP%]{display:flex;width:100%;height:100%;box-sizing:border-box;position:relative;color:#ccc}[_nghost-%COMP%]   .fu-circle-svg[_ngcontent-%COMP%]{margin:0 auto;box-sizing:content-box;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}[_nghost-%COMP%]   .fu-circle-svg[_ngcontent-%COMP%]   circle[_ngcontent-%COMP%]{stroke:currentColor;fill:transparent;transform-origin:center;stroke-dasharray:314.159265359%;animation:_ngcontent-%COMP%_spinner linear 0s infinite normal none running;animation-duration:1.4s}@keyframes _ngcontent-%COMP%_spinner{0%{stroke-dashoffset:314.159265359%;transform:rotate(0)}to{stroke-dashoffset:-314.159265359%;transform:rotate(390deg)}}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LoaderComponent, [{
        type: Component,
        args: [{ selector: 'fusion-loader', standalone: true, imports: [CommonModule], changeDetection: ChangeDetectionStrategy.OnPush, template: "<svg class=\"fu-circle-svg\" width=\"100%\" height=\"100%\">\n    <circle cx=\"50%\" cy=\"50%\" r=\"43.75%\" [style.stroke-width]=\"strokeWidth\" />\n</svg>\n", styles: [":host{display:flex;width:100%;height:100%;box-sizing:border-box;position:relative;color:#ccc}:host .fu-circle-svg{margin:0 auto;box-sizing:content-box;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}:host .fu-circle-svg circle{stroke:currentColor;fill:transparent;transform-origin:center;stroke-dasharray:314.159265359%;animation:spinner linear 0s infinite normal none running;animation-duration:1.4s}@keyframes spinner{0%{stroke-dashoffset:314.159265359%;transform:rotate(0)}to{stroke-dashoffset:-314.159265359%;transform:rotate(390deg)}}\n"] }]
    }], null, { strokeWidth: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(LoaderComponent, { className: "LoaderComponent", filePath: "loader.component.ts", lineNumber: 13 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { LoaderComponent, defaultStrokeWidth };
//# sourceMappingURL=ironsource-fusion-ui-components-loader-v4.mjs.map
