import * as i0 from '@angular/core';
import { Component, Input, EventEmitter, ChangeDetectionStrategy, Optional, Output, NgModule } from '@angular/core';
import * as i1 from '@ironsource/fusion-ui/components/menu/common/base';
import { MenuBaseComponent, MenuService } from '@ironsource/fusion-ui/components/menu/common/base';
export { MenuService } from '@ironsource/fusion-ui/components/menu/common/base';
import { isNullOrUndefined } from '@ironsource/fusion-ui/utils';
import * as i2$1 from '@angular/router';
import { NavigationEnd, RouterModule } from '@angular/router';
import { takeUntil, filter, tap } from 'rxjs/operators';
import { Subject, fromEvent, merge } from 'rxjs';
import * as i3 from '@ironsource/fusion-ui/services/window';
import * as i4 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';

function MenuItemComponent_fusion_icon_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 3);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r0.item.icon);
} }
const _c0$1 = () => ({ iconName: "arrow-right", iconVersion: "v1" });
function MenuItemComponent_i_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "i", 4);
    i0.ɵɵelement(1, "fusion-icon", 5);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", i0.ɵɵpureFunction0(1, _c0$1));
} }
class MenuItemComponent {
    constructor() { }
    onMenuItemClicked($event) {
        if (!$event.metaKey) {
            $event.preventDefault();
        }
        else {
            $event.stopPropagation();
        }
    }
    static { this.ɵfac = function MenuItemComponent_Factory(t) { return new (t || MenuItemComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: MenuItemComponent, selectors: [["fusion-menu-item"]], inputs: { item: "item" }, decls: 5, vars: 5, consts: [["class", "item-icon", 3, "name", 4, "ngIf"], [1, "fu-menu-item-link", 3, "href", "target", "click"], ["class", "icon-expand", 4, "ngIf"], [1, "item-icon", 3, "name"], [1, "icon-expand"], [3, "name"]], template: function MenuItemComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, MenuItemComponent_fusion_icon_0_Template, 1, 1, "fusion-icon", 0);
            i0.ɵɵelementStart(1, "a", 1);
            i0.ɵɵlistener("click", function MenuItemComponent_Template_a_click_1_listener($event) { return ctx.onMenuItemClicked($event); });
            i0.ɵɵelementStart(2, "label");
            i0.ɵɵtext(3);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(4, MenuItemComponent_i_4_Template, 2, 2, "i", 2);
        } if (rf & 2) {
            let tmp_2_0;
            i0.ɵɵproperty("ngIf", ctx.item.icon);
            i0.ɵɵadvance();
            i0.ɵɵproperty("href", ctx.item.route || ctx.item.redirect, i0.ɵɵsanitizeUrl)("target", (tmp_2_0 = ctx.item.target) !== null && tmp_2_0 !== undefined ? tmp_2_0 : "_self");
            i0.ɵɵadvance(2);
            i0.ɵɵtextInterpolate(ctx.item.name);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.item.children);
        } }, dependencies: [i4.NgIf, i2.IconComponent], styles: ["[_nghost-%COMP%]   .link-container[_ngcontent-%COMP%]{position:absolute;right:21px}[_nghost-%COMP%]   a.fu-menu-item-link[_ngcontent-%COMP%]{text-decoration:none;color:var(--layout-menu-item-color, var(--light-color-100, #F9FAFB));font-size:13px;font-weight:400}[_nghost-%COMP%]   a.fu-menu-item-link[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{cursor:pointer}.active[_nghost-%COMP%]   a.fu-menu-item-link[_ngcontent-%COMP%]{color:var(--layout-menu-item-active-color, var(--primary-color, #3091F6))}.active[_nghost-%COMP%]   a.fu-menu-item-link[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{cursor:default}[_nghost-%COMP%]   fusion-icon[_ngcontent-%COMP%]{left:20px;top:17px;position:absolute}[_nghost-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:15px;height:15px}[_nghost-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:currentColor}fusion-menu.collapsed[_nghost-%COMP%]   label[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   label[_ngcontent-%COMP%]{transition:opacity .3s ease;opacity:0}fusion-menu.collapsed.opened[_nghost-%COMP%]   label[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   label[_ngcontent-%COMP%]{opacity:1}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MenuItemComponent, [{
        type: Component,
        args: [{ selector: 'fusion-menu-item', template: "<fusion-icon class=\"item-icon\" *ngIf=\"item.icon\" [name]=\"item.icon\"></fusion-icon>\n<a [href]=\"item.route || item.redirect\"\n   [target]=\"item.target ?? '_self'\"\n   (click)=\"onMenuItemClicked($event)\"\n   class=\"fu-menu-item-link\"\n>\n    <label>{{item.name}}</label>\n</a>\n<i class=\"icon-expand\" *ngIf=\"item.children\">\n    <fusion-icon [name]=\"{iconName: 'arrow-right', iconVersion: 'v1'}\"></fusion-icon>\n</i>\n", styles: [":host .link-container{position:absolute;right:21px}:host a.fu-menu-item-link{text-decoration:none;color:var(--layout-menu-item-color, var(--light-color-100, #F9FAFB));font-size:13px;font-weight:400}:host a.fu-menu-item-link label{cursor:pointer}:host.active a.fu-menu-item-link{color:var(--layout-menu-item-active-color, var(--primary-color, #3091F6))}:host.active a.fu-menu-item-link label{cursor:default}:host fusion-icon{left:20px;top:17px;position:absolute}:host fusion-icon ::ng-deep svg{width:15px;height:15px}:host fusion-icon ::ng-deep svg *{fill:currentColor}:host-context(fusion-menu.collapsed) label{transition:opacity .3s ease;opacity:0}:host-context(fusion-menu.collapsed.opened) label{opacity:1}\n"] }]
    }], () => [], { item: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(MenuItemComponent, { className: "MenuItemComponent", filePath: "components/menu-item/menu-item.component.ts", lineNumber: 9 }); })();

function MenuListComponent_ng_container_2_span_5_a_1_Template(rf, ctx) { if (rf & 1) {
    const _r11 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 13);
    i0.ɵɵlistener("click", function MenuListComponent_ng_container_2_span_5_a_1_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r11); const item_r1 = i0.ɵɵnextContext(2).$implicit; const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.additionalItemClick($event, item_r1.additionalAction)); });
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵproperty("ngStyle", item_r1.customCSS);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(item_r1.additionalAction.name);
} }
const _c0 = a0 => ({ active: a0 });
function MenuListComponent_ng_container_2_span_5_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "span", 10);
    i0.ɵɵlistener("click", function MenuListComponent_ng_container_2_span_5_Template_span_click_0_listener() { i0.ɵɵrestoreView(_r15); const item_r1 = i0.ɵɵnextContext().$implicit; const _r2 = i0.ɵɵreference(3); const ctx_r13 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r13.selectItem(item_r1, _r2)); });
    i0.ɵɵtemplate(1, MenuListComponent_ng_container_2_span_5_a_1_Template, 2, 2, "a", 11);
    i0.ɵɵelement(2, "fusion-menu-item", 12);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("routerLink", item_r1.route);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", item_r1.additionalAction);
    i0.ɵɵadvance();
    i0.ɵɵclassMap(item_r1.cssClass ? item_r1.cssClass : "");
    i0.ɵɵproperty("item", item_r1)("ngClass", i0.ɵɵpureFunction1(6, _c0, ctx_r3.isSelected(item_r1)));
} }
function MenuListComponent_ng_container_2_ng_container_6_fusion_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 18);
} if (rf & 2) {
    const item_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵproperty("name", item_r1.icon);
} }
const _c1 = () => ({ iconName: "new-window", iconVersion: "v2" });
function MenuListComponent_ng_container_2_ng_container_6_fusion_icon_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 19);
} if (rf & 2) {
    i0.ɵɵproperty("name", i0.ɵɵpureFunction0(1, _c1));
} }
function MenuListComponent_ng_container_2_ng_container_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "span", 14);
    i0.ɵɵtemplate(2, MenuListComponent_ng_container_2_ng_container_6_fusion_icon_2_Template, 1, 1, "fusion-icon", 15);
    i0.ɵɵelementStart(3, "a", 16);
    i0.ɵɵtext(4);
    i0.ɵɵtemplate(5, MenuListComponent_ng_container_2_ng_container_6_fusion_icon_5_Template, 1, 2, "fusion-icon", 17);
    i0.ɵɵelementEnd()();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const item_r1 = i0.ɵɵnextContext().$implicit;
    let tmp_5_0;
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", item_r1.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("href", item_r1.redirect, i0.ɵɵsanitizeUrl)("target", item_r1.target)("ngStyle", item_r1.customCSS);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(item_r1.name);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (tmp_5_0 = item_r1.showNewWindowIcon) !== null && tmp_5_0 !== undefined ? tmp_5_0 : true);
} }
const _c2 = a0 => ({ "padding-right-arrow": a0 });
function MenuListComponent_ng_container_2_ng_template_7_span_0_a_1_Template(rf, ctx) { if (rf & 1) {
    const _r27 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 25);
    i0.ɵɵlistener("click", function MenuListComponent_ng_container_2_ng_template_7_span_0_a_1_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r27); const item_r1 = i0.ɵɵnextContext(3).$implicit; const ctx_r25 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r25.additionalItemClick($event, item_r1.additionalAction)); });
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(3, _c2, item_r1.children))("ngStyle", item_r1.customCSS);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(item_r1.additionalAction.name);
} }
function MenuListComponent_ng_container_2_ng_template_7_span_0_fusion_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 18);
} if (rf & 2) {
    const item_r1 = i0.ɵɵnextContext(3).$implicit;
    i0.ɵɵproperty("name", item_r1.icon);
} }
const _c3 = () => ({ iconName: "arrow-right", iconVersion: "v1" });
function MenuListComponent_ng_container_2_ng_template_7_span_0_i_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "i", 26);
    i0.ɵɵelement(1, "fusion-icon", 27);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", i0.ɵɵpureFunction0(1, _c3));
} }
function MenuListComponent_ng_container_2_ng_template_7_span_0_Template(rf, ctx) { if (rf & 1) {
    const _r32 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "span", 21);
    i0.ɵɵlistener("click", function MenuListComponent_ng_container_2_ng_template_7_span_0_Template_span_click_0_listener() { i0.ɵɵrestoreView(_r32); const item_r1 = i0.ɵɵnextContext(2).$implicit; const _r2 = i0.ɵɵreference(3); const ctx_r30 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r30.selectItem(item_r1, _r2)); });
    i0.ɵɵtemplate(1, MenuListComponent_ng_container_2_ng_template_7_span_0_a_1_Template, 2, 5, "a", 22)(2, MenuListComponent_ng_container_2_ng_template_7_span_0_fusion_icon_2_Template, 1, 1, "fusion-icon", 15);
    i0.ɵɵelement(3, "label", 23);
    i0.ɵɵtemplate(4, MenuListComponent_ng_container_2_ng_template_7_span_0_i_4_Template, 2, 2, "i", 24);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r1 = i0.ɵɵnextContext(2).$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", item_r1.additionalAction);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", item_r1.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("innerHTML", item_r1.name, i0.ɵɵsanitizeHtml);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", item_r1.children);
} }
function MenuListComponent_ng_container_2_ng_template_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, MenuListComponent_ng_container_2_ng_template_7_span_0_Template, 5, 4, "span", 20);
} if (rf & 2) {
    const item_r1 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("ngIf", !item_r1.route || item_r1.redirect);
} }
function MenuListComponent_ng_container_2_fusion_menu_list_9_Template(rf, ctx) { if (rf & 1) {
    const _r36 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-menu-list", 28);
    i0.ɵɵlistener("menuItemClicked", function MenuListComponent_ng_container_2_fusion_menu_list_9_Template_fusion_menu_list_menuItemClicked_0_listener($event) { i0.ɵɵrestoreView(_r36); const ctx_r35 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r35.menuItemClicked.emit($event)); })("menuAdditionalItemClicked", function MenuListComponent_ng_container_2_fusion_menu_list_9_Template_fusion_menu_list_menuAdditionalItemClicked_0_listener($event) { i0.ɵɵrestoreView(_r36); const ctx_r37 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r37.menuAdditionalItemClicked.emit($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r1 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("menuItems", item_r1.children);
} }
const _c4 = (a0, a1) => ({ active: a0, open: a1 });
function MenuListComponent_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "span", 2)(2, "li", 3, 4)(4, "div", 5);
    i0.ɵɵtemplate(5, MenuListComponent_ng_container_2_span_5_Template, 3, 8, "span", 6)(6, MenuListComponent_ng_container_2_ng_container_6_Template, 6, 6, "ng-container", 7)(7, MenuListComponent_ng_container_2_ng_template_7_Template, 1, 1, "ng-template", null, 8, i0.ɵɵtemplateRefExtractor)(9, MenuListComponent_ng_container_2_fusion_menu_list_9_Template, 1, 1, "fusion-menu-list", 9);
    i0.ɵɵelementEnd()()();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const item_r1 = ctx.$implicit;
    const _r6 = i0.ɵɵreference(8);
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵclassMapInterpolate1("main-menu-item ", item_r1.cssClass, "");
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(8, _c4, ctx_r0.isSelected(item_r1), ctx_r0.isOpened(item_r1)));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", item_r1.route && !item_r1.redirect);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !item_r1.route && !!item_r1.redirect && !!item_r1.target && !item_r1.additionalAction && !item_r1.children)("ngIfElse", _r6);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", item_r1.children);
} }
const LEAVE_MENU_TIME_INTERVAL = 2000;
class MenuListComponent {
    constructor(changeDetectorRef, menuService, router, renderer, windowService) {
        this.changeDetectorRef = changeDetectorRef;
        this.menuService = menuService;
        this.router = router;
        this.renderer = renderer;
        this.windowService = windowService;
        this.menuAdditionalItemClicked = new EventEmitter();
        this.menuItemClicked = new EventEmitter();
        this.routeChanged = new EventEmitter();
        this.onDestroy$ = new Subject();
    }
    ngOnInit() {
        this.initNativeStateChangeEvent(this.windowService.nativeWindow);
        // set selected by menu item by route changed
        if (this.router) {
            this.router.events
                .pipe(takeUntil(this.onDestroy$), filter(event => event instanceof NavigationEnd), tap((event) => {
                this.routeChanged.emit();
                const url = event.url === '/' ? event.urlAfterRedirects : event.url;
                this.menuService.setSelectedByRoute(url);
                this.changeDetectorRef.markForCheck();
            }))
                .subscribe();
        }
        else {
            merge(fromEvent(window, 'stateChanged'), fromEvent(window, 'popstate'))
                .pipe(takeUntil(this.onDestroy$))
                .subscribe(this.onWindowNavigationSync.bind(this));
        }
        fromEvent(window, 'navigationSync').pipe(takeUntil(this.onDestroy$)).subscribe(this.onWindowNavigationSync.bind(this));
    }
    initNativeStateChangeEvent(window) {
        const pushState = window.history.pushState;
        window.history.pushState = (...args) => {
            pushState.apply(history, args);
            const event = new CustomEvent('stateChanged', { detail: { args } });
            window.dispatchEvent(event);
        };
    }
    selectItem(item, itemLi) {
        if (item.redirect) {
            this.menuService.setPlatformMenuPath(item.platformMenuPath); // set data for DSI 1.5 menu pre-selected
        }
        else {
            if (!item.children) {
                this.lastSelectedItem = item;
                this.menuService.setSelected(item);
            }
            else {
                this.itemClicked(itemLi);
            }
        }
        this.menuItemClicked.emit(item);
    }
    additionalItemClick(event, item) {
        event.stopPropagation();
        event.preventDefault();
        if (item.route) {
            this.redirectToPage(item.route);
        }
        this.menuAdditionalItemClicked.emit(item);
    }
    isSelected(item) {
        return this.menuService.isSelected(item);
    }
    isOpened(item) {
        return this.menuService.isOpened(item);
    }
    /**
     * When clicking a parent element on the main menu, this function is triggered and checks if it needs to open/close any item
     */
    itemClicked(itemLi) {
        if (itemLi.classList.contains('open')) {
            this.renderer.removeClass(itemLi, 'open');
            if (itemLi.classList.contains('active')) {
                this.currItemLi = itemLi;
            }
            this.changeMenuSelectedItem = true;
        }
        else {
            if (this.lastItemLi && this.lastItemLi.classList.contains('open')) {
                this.renderer.removeClass(this.lastItemLi, 'open');
                if (this.lastItemLi.classList.contains('active')) {
                    this.currItemLi = this.lastItemLi;
                }
                this.changeMenuSelectedItem = true;
            }
            else {
                this.currItemLi = itemLi;
                this.changeMenuSelectedItem = true;
            }
            this.renderer.addClass(itemLi, 'open');
            this.lastItemLi = itemLi;
        }
    }
    /**
     * If the menu was closed but no other item was clicked, this function assigns the last item as the open one
     */
    reopenClosedMenuItem() {
        if (!this.currItemLi || (this.currItemLi === this.lastItemLi && !this.currItemLi.classList.contains('active'))) {
            this.renderer.removeClass(this.lastItemLi, 'open');
        }
        else {
            if (this.currItemLi.classList.contains('active')) {
                this.renderer.addClass(this.currItemLi, 'open');
                if (!isNullOrUndefined(this.lastItemLi) && this.currItemLi !== this.lastItemLi) {
                    this.renderer.removeClass(this.lastItemLi, 'open');
                    this.lastItemLi = this.currItemLi;
                }
                this.changeMenuSelectedItem = false;
            }
        }
    }
    mouseOverMenu() {
        if (this.changeMenuSelectedItem) {
            if (!this.leaveMenuTimeout) {
                this.leaveMenuTimeout = setTimeout(() => this.reopenClosedMenuItem(), LEAVE_MENU_TIME_INTERVAL);
            }
        }
    }
    mouseEnterMenu() {
        clearTimeout(this.leaveMenuTimeout);
        this.leaveMenuTimeout = null;
    }
    redirectToPage(path, options) {
        const routeCommand = [path];
        if (options && options.param) {
            routeCommand.push(options.param);
            delete options.param;
        }
        if (this.router) {
            return this.router.navigate(routeCommand, options);
        }
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    onWindowNavigationSync(event) {
        const prefix = event.detail?.prefix || '';
        const isNavigate = !!event.detail?.usenavigate;
        const navigateTo = event.detail?.navigateTo || '';
        const pathname = !!prefix
            ? this.windowService.nativeWindow.location.pathname.replace(prefix, '')
            : this.windowService.nativeWindow.location.pathname;
        if (navigateTo) {
            this.router.navigateByUrl(navigateTo);
        }
        else if (isNavigate) {
            this.router.navigateByUrl(pathname);
        }
        else {
            this.menuService.setSelectedByRoute(pathname);
            this.changeDetectorRef.detectChanges();
            this.routeChanged.emit();
        }
    }
    static { this.ɵfac = function MenuListComponent_Factory(t) { return new (t || MenuListComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef), i0.ɵɵdirectiveInject(i1.MenuService), i0.ɵɵdirectiveInject(i2$1.Router, 8), i0.ɵɵdirectiveInject(i0.Renderer2), i0.ɵɵdirectiveInject(i3.WindowService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: MenuListComponent, selectors: [["fusion-menu-list"]], inputs: { menuItems: "menuItems" }, outputs: { menuAdditionalItemClicked: "menuAdditionalItemClicked", menuItemClicked: "menuItemClicked", routeChanged: "routeChanged" }, decls: 3, vars: 1, consts: [[1, "main-menu", 3, "mouseleave", "mouseenter"], [4, "ngFor", "ngForOf"], [1, "main-menu-item-wrapper"], [3, "ngClass"], ["itemLi", ""], [1, "sub-menu"], [3, "routerLink", "click", 4, "ngIf"], [4, "ngIf", "ngIfElse"], ["redirectMenuItem", ""], [3, "menuItems", "menuItemClicked", "menuAdditionalItemClicked", 4, "ngIf"], [3, "routerLink", "click"], ["class", "is-menu-item-additional-data", 3, "ngStyle", "click", 4, "ngIf"], [3, "item", "ngClass"], [1, "is-menu-item-additional-data", 3, "ngStyle", "click"], [1, "link-target"], ["class", "item-icon", 3, "name", 4, "ngIf"], [3, "href", "target", "ngStyle"], ["class", "icon-new-window", 3, "name", 4, "ngIf"], [1, "item-icon", 3, "name"], [1, "icon-new-window", 3, "name"], [3, "click", 4, "ngIf"], [3, "click"], ["class", "is-menu-item-additional-data", 3, "ngClass", "ngStyle", "click", 4, "ngIf"], [3, "innerHTML"], ["class", "icon-expand", 4, "ngIf"], [1, "is-menu-item-additional-data", 3, "ngClass", "ngStyle", "click"], [1, "icon-expand"], [3, "name"], [3, "menuItems", "menuItemClicked", "menuAdditionalItemClicked"]], template: function MenuListComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("mouseleave", function MenuListComponent_Template_div_mouseleave_0_listener() { return ctx.mouseOverMenu(); })("mouseenter", function MenuListComponent_Template_div_mouseenter_0_listener() { return ctx.mouseEnterMenu(); });
            i0.ɵɵelementStart(1, "ul");
            i0.ɵɵtemplate(2, MenuListComponent_ng_container_2_Template, 10, 11, "ng-container", 1);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngForOf", ctx.menuItems);
        } }, dependencies: [i4.NgClass, i4.NgForOf, i4.NgIf, i4.NgStyle, i2.IconComponent, i2$1.RouterLink, MenuItemComponent, MenuListComponent], styles: [".main-menu[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .is-user-menu-sub-title[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%] > label[_ngcontent-%COMP%]{font-size:11px;font-family:var(--medium-font-family, \"NHaasGroteskTXPro-65Md\");font-weight:400;text-transform:uppercase}ul[_ngcontent-%COMP%]   .main-menu-item.is-user-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{font-size:13px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}.main-menu[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%], .main-menu[_ngcontent-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}.main-menu[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], .main-menu[_ngcontent-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}.main-menu[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]{text-decoration:none;color:var(--primary-color, #3091F6);cursor:pointer}.main-menu[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]:link, .main-menu[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]:visited, .main-menu[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]:hover, .main-menu[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]:active{color:var(--primary-color, #3091F6)}.main-menu[_ngcontent-%COMP%]{width:var(--left-menu-width, 220px);transition:all .45s ease-out}.main-menu[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]{transition:background-color ease .3s}.main-menu[_ngcontent-%COMP%]   .main-menu-item.open[_ngcontent-%COMP%], .main-menu[_ngcontent-%COMP%]   .main-menu-item.active[_ngcontent-%COMP%]{background-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}.main-menu[_ngcontent-%COMP%]   .main-menu-item.active[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{color:var(--layout-menu-item-active-color, var(--primary-color, #3091F6));cursor:default}.main-menu[_ngcontent-%COMP%]   .main-menu-item.active[_ngcontent-%COMP%]{border-left-color:var(--primary-color, #3091F6)}.main-menu[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{display:block;position:relative;color:var(--layout-menu-item-color, var(--light-color-100, #F9FAFB))}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]{max-height:50px;transition:max-height .45s ease-out .2s,background 0s .65s;overflow:hidden;border-left:5px solid transparent}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]:hover{border-left-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.active[_ngcontent-%COMP%]{border-left-color:var(--layout-menu-item-active-border-left-color, var(--primary-color, #3091F6))}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.open[_ngcontent-%COMP%]{transition:max-height,.45s ease-out;max-height:950px}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.open[_ngcontent-%COMP%]   .icon-expand[_ngcontent-%COMP%]{transform:rotate(90deg)}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.active[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > .abstract[_ngcontent-%COMP%]{color:var(--primary-color, #3091F6)}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.active[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{cursor:default}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{white-space:nowrap;text-transform:uppercase;padding:18px 30px 18px 50px;font-size:11px;cursor:pointer}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span.link-target[_ngcontent-%COMP%]{text-transform:none}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span.link-target[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]   fusion-icon.icon-new-window[_ngcontent-%COMP%]{padding-left:7px}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span.link-target[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]   fusion-icon.icon-new-window[_ngcontent-%COMP%]     svg{width:8px;height:8px}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span.link-target[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]   fusion-icon.icon-new-window[_ngcontent-%COMP%]     svg *{fill:currentColor}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span.abstract[_ngcontent-%COMP%]{border-top:none;pointer-events:all;color:#fff}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   .icon-expand[_ngcontent-%COMP%]{display:block}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   .icon-expand[_ngcontent-%COMP%]   fusion-icon.arrow-right[_ngcontent-%COMP%]     svg{width:5px;height:15px}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   .icon-expand[_ngcontent-%COMP%]   fusion-icon.arrow-right[_ngcontent-%COMP%]     svg *{fill:currentColor}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   fusion-icon.item-icon[_ngcontent-%COMP%]{left:20px;top:17px;position:absolute;color:inherit}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   fusion-icon.item-icon[_ngcontent-%COMP%]     svg{width:15px;height:14px}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   fusion-icon.item-icon[_ngcontent-%COMP%]     svg *{fill:currentColor}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > fusion-menu-list[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%]{border-bottom:none;margin-right:15px;padding-bottom:0;margin-bottom:0}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > fusion-menu-list[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]{margin-top:0}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > fusion-menu-list[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{border-left:none}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > fusion-menu-list[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{font-size:13px;text-transform:none}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > fusion-menu-list[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]:focus{outline:none}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > fusion-menu-list[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]:hover{color:var(--layout-menu-item-active-color, var(--primary-color, #3091F6));--layout-menu-item-color: $primary}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.is-link-as-regular-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span.link-target[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]{color:var(--layout-menu-item-color, var(--light-color-100, #F9FAFB));background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 33 33'%3E%3Cpath d='M22.868 2.282h6.02l-13.765 13.77A1.142 1.142 0 0015.928 18c.293 0 .585-.113.805-.333l13.773-13.77v6.02c0 .633.513 1.145 1.138 1.145.632 0 1.144-.512 1.144-1.144V1.144C32.788.512 32.276 0 31.644 0h-8.776c-.632 0-1.145.512-1.145 1.144a1.149 1.149 0 001.145 1.138zM6.928 33h19.143c3.826 0 6.93-3.11 6.93-6.927V17.06c0-.64-.518-1.152-1.158-1.152a1.15 1.15 0 00-1.152 1.15v9.008a4.625 4.625 0 01-4.62 4.618H6.93a4.625 4.625 0 01-4.62-4.618V6.934a4.625 4.625 0 014.62-4.618h8.934c.64 0 1.15-.52 1.15-1.158 0-.64-.517-1.158-1.15-1.158H6.93A6.934 6.934 0 000 6.927v19.138C0 29.89 3.11 33 6.93 33z' fill='%23F9FAFB' fill-rule='evenodd'/%3E%3C/svg%3E\") right center no-repeat;background-size:8px 8px;padding-right:15px}.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.is-link-as-regular-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span.link-target[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]:hover{color:var(--layout-menu-item-active-color, var(--primary-color, #3091F6));background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%2033%2033%22%3E%3Cpath%20d%3D%22M22.868%202.282h6.02l-13.765%2013.77c-.446.445-.446%201.17%200%201.615.22.22.512.333.805.333.293%200%20.585-.113.805-.333l13.773-13.77v6.02c0%20.633.513%201.145%201.138%201.145.632%200%201.144-.512%201.144-1.144V1.144C32.788.512%2032.276%200%2031.644%200h-8.776c-.632%200-1.145.512-1.145%201.144.007.625.513%201.138%201.145%201.138zM6.928%2033h19.143c3.826%200%206.93-3.11%206.93-6.927V17.06c0-.64-.518-1.152-1.158-1.152-.64%200-1.152.518-1.152%201.15v9.008c0%202.545-2.073%204.618-4.62%204.618H6.93c-2.547%200-4.62-2.073-4.62-4.618V6.934c0-2.545%202.073-4.618%204.62-4.618h8.934c.64%200%201.15-.52%201.15-1.158%200-.64-.517-1.158-1.15-1.158H6.93C3.103%200%200%203.11%200%206.927V26.065C0%2029.89%203.11%2033%206.93%2033z%22%20fill%3D%22%233091F6%22%20fill-rule%3D%22evenodd%22/%3E%3C/svg%3E) right center no-repeat;background-size:8px 8px;padding-right:15px}@media (min-width: 1024px) and (max-width: 1279.98px){.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]{overflow:auto}}@media (max-width: 1023.98px){div.main-menu[_ngcontent-%COMP%]{width:100%;height:auto!important}div.main-menu[_ngcontent-%COMP%]   li.main-menu-item.subtitle[_ngcontent-%COMP%]{display:none!important}div.main-menu[_ngcontent-%COMP%]   li.main-menu-item.active[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{border-bottom:0;cursor:default}div.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%]{max-height:none;background-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625));border-bottom:1px solid rgba(var(--light-color-900, #52677B),.7)}div.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%]:last-child{border-bottom:none}div.main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]   i.icon-expand[_ngcontent-%COMP%]{display:none}ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%]{max-height:none;width:100%}ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%]{border:0}ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item.is-user-menu-item[_ngcontent-%COMP%]{display:block}}ul[_ngcontent-%COMP%]{list-style:none;padding:0;margin:0}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]{font-family:var(--medium-font-family, \"NHaasGroteskTXPro-65Md\");font-weight:400}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{font-size:11px;line-height:14px;color:var(--light-color-100, #F9FAFB)}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{cursor:pointer}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]:hover{background:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625));border-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%] > span.abstract[_ngcontent-%COMP%]{padding-top:20px;padding-bottom:20px;border-top:1px solid var(--light-color-900, #52677B);font-size:11px;color:var(--light-color-800, #678099);cursor:default;font-family:var(--medium-font-family, \"NHaasGroteskTXPro-65Md\");text-transform:uppercase;pointer-events:none}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   .icon-expand[_ngcontent-%COMP%]{color:#fff;display:none;position:absolute;top:17px;right:21px;width:5px;transform-origin:center center;transition:all .3s ease}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   .icon-expand[_ngcontent-%COMP%]   svg[_ngcontent-%COMP%]{width:5px}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%]{margin-right:15px;margin-bottom:7px}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{font-family:var(--regular-font-family, \"Open Sans\");background:none}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:first-child > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]:not(.abstract){padding-top:0}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.active[_ngcontent-%COMP%]{border-left-color:transparent}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   fusion-icon.item-icon[_ngcontent-%COMP%]{left:20px;top:17px;position:absolute}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   fusion-icon.item-icon[_ngcontent-%COMP%]     svg{width:15px;height:14px}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   fusion-icon.item-icon[_ngcontent-%COMP%]     svg *{fill:currentColor}ul[_ngcontent-%COMP%]   .main-menu-item.is-user-menu-item[_ngcontent-%COMP%]{display:none}ul[_ngcontent-%COMP%]   .main-menu-item.is-user-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{text-transform:none}ul[_ngcontent-%COMP%]   .main-menu-item.is-user-menu-item[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]   label[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{display:block;color:var(--light-color-700, #95A6B8)}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .is-menu-item-additional-data[_ngcontent-%COMP%]{text-transform:none;position:absolute;margin-right:20px;right:0}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .is-menu-item-additional-data.padding-right-arrow[_ngcontent-%COMP%]{margin-right:39px}ul[_ngcontent-%COMP%]   .main-menu-item.is-user-menu-last-child-item[_ngcontent-%COMP%]{padding-left:13px}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .is-user-menu-sub-title[_ngcontent-%COMP%]{border-top:solid 1px #52677b;padding:16px 0 15px;margin-left:50px;margin-right:20px}ul[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%]   .is-user-menu-sub-title[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%] > label[_ngcontent-%COMP%]{left:0;position:absolute;text-transform:uppercase;color:var(--light-color-800, #678099)}ul[_ngcontent-%COMP%]   .main-menu-item.open.hide-additional-when-open[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%]:first-child > span[_ngcontent-%COMP%] > .is-menu-item-additional-data[_ngcontent-%COMP%]{transition:opacity .6s ease-out;opacity:0}ul[_ngcontent-%COMP%]   .main-menu-item.hide-additional-when-open[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%]:first-child > span[_ngcontent-%COMP%] > .is-menu-item-additional-data[_ngcontent-%COMP%]{transition:opacity .6s ease-out;opacity:1}@media (min-width: 1280px){fusion-menu.collapsed[_nghost-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]{width:var(--left-menu-collapsed-width, 70px);height:100%;background-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}fusion-menu.collapsed[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   i.icon-expand[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   i.icon-expand[_ngcontent-%COMP%]{display:none}fusion-menu.collapsed[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%], fusion-menu.collapsed[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item.open[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item.open[_ngcontent-%COMP%]{max-height:50px}fusion-menu.collapsed[_nghost-%COMP%] > div.main-menu[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%] > div.main-menu[_ngcontent-%COMP%]{width:var(--left-menu-collapsed-width, 70px);height:100%;background-color:var(--layout-background-color, var(--dark-color, #0B1625))}fusion-menu.collapsed[_nghost-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item[_ngcontent-%COMP%]{white-space:nowrap}fusion-menu.collapsed[_nghost-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item.active[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item.active[_ngcontent-%COMP%]{background-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}fusion-menu.collapsed[_nghost-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-menu.collapsed[_nghost-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span.link-target[_ngcontent-%COMP%]   a[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   .sub-menu[_ngcontent-%COMP%]   span.link-target[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]{transition:opacity .3s ease;opacity:0}fusion-menu.collapsed[_nghost-%COMP%]   .is-menu-item-additional-data[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   .is-menu-item-additional-data[_ngcontent-%COMP%]{display:none}}@media (min-width: 1024px) and (max-width: 1279.98px){fusion-menu.collapsed[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]{display:none}}@media (max-width: 1023.98px){fusion-menu.collapsed[_nghost-%COMP%] > .main-menu[_ngcontent-%COMP%], fusion-menu.collapsed   [_nghost-%COMP%] > .main-menu[_ngcontent-%COMP%]{display:none}}@media (min-width: 1280px){fusion-menu.opened[_nghost-%COMP%], fusion-menu.opened   [_nghost-%COMP%]{box-shadow:3px 0 5px #0000004d}fusion-menu.opened[_nghost-%COMP%] > .main-menu[_ngcontent-%COMP%], fusion-menu.opened   [_nghost-%COMP%] > .main-menu[_ngcontent-%COMP%]{width:var(--left-menu-width, 220px)}}fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]{width:var(--left-menu-width, 220px)}fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]{transition:opacity .45s ease-out}fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   a[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   a[_ngcontent-%COMP%]{transition:opacity .3s ease;opacity:1}fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   fusion-icon.item-icon[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .sub-menu[_ngcontent-%COMP%]   fusion-icon.item-icon[_ngcontent-%COMP%]{margin-left:0}fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   i.icon-expand[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item[_ngcontent-%COMP%] > .sub-menu[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]   i.icon-expand[_ngcontent-%COMP%]{display:block}fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item.open[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   li.main-menu-item.open[_ngcontent-%COMP%]{max-height:950px;transition:max-height .45s ease-out .45s}fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .is-menu-item-additional-data[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%]   .is-menu-item-additional-data[_ngcontent-%COMP%]{display:block}fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.active[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.active[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%], fusion-menu.collapsed.opened[_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.open[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%], fusion-menu.collapsed.opened   [_nghost-%COMP%]   .main-menu[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%] > span.main-menu-item-wrapper[_ngcontent-%COMP%]   .main-menu-item.open[_ngcontent-%COMP%]   .main-menu[_ngcontent-%COMP%]{background:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MenuListComponent, [{
        type: Component,
        args: [{ selector: 'fusion-menu-list', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div (mouseleave)=\"mouseOverMenu()\" (mouseenter)=\"mouseEnterMenu()\" class=\"main-menu\">\n    <ul>\n        <ng-container *ngFor=\"let item of menuItems\">\n            <span class=\"main-menu-item-wrapper\">\n                <li #itemLi class=\"main-menu-item {{ item.cssClass }}\" [ngClass]=\"{active: isSelected(item), open: isOpened(item)}\">\n                    <div class=\"sub-menu\">\n                        <!--Menu item with ROUTE-->\n                        <span (click)=\"selectItem(item, itemLi)\" *ngIf=\"item.route && !item.redirect\" [routerLink]=\"item.route\">\n                            <a\n                                *ngIf=\"item.additionalAction\"\n                                class=\"is-menu-item-additional-data\"\n                                (click)=\"additionalItemClick($event, item.additionalAction)\"\n                                [ngStyle]=\"item.customCSS\"\n                                >{{ item.additionalAction.name }}</a\n                            >\n                            <fusion-menu-item\n                                [item]=\"item\"\n                                [class]=\"item.cssClass ? item.cssClass : ''\"\n                                [ngClass]=\"{active: isSelected(item)}\"\n                            ></fusion-menu-item>\n                        </span>\n                        <!--Menu item with REDIRECT Just a link to the another target-->\n                        <ng-container\n                            *ngIf=\"\n                                !item.route && !!item.redirect && !!item.target && !item.additionalAction && !item.children;\n                                else redirectMenuItem\n                            \"\n                            ><span class=\"link-target\">\n                                <fusion-icon class=\"item-icon\" *ngIf=\"item.icon\" [name]=\"item.icon\"></fusion-icon>\n                                <a [href]=\"item.redirect\" [target]=\"item.target\" [ngStyle]=\"item.customCSS\">{{ item.name }}<fusion-icon *ngIf=\"item.showNewWindowIcon ?? true\" class=\"icon-new-window\" [name]=\"{iconName: 'new-window', iconVersion: 'v2'}\"></fusion-icon></a>\n                            </span>\n                        </ng-container>\n                        <!--Menu item with REDIRECT-->\n                        <ng-template #redirectMenuItem>\n                            <span (click)=\"selectItem(item, itemLi)\" *ngIf=\"!item.route || item.redirect\">\n                                <a\n                                    *ngIf=\"item.additionalAction\"\n                                    class=\"is-menu-item-additional-data\"\n                                    (click)=\"additionalItemClick($event, item.additionalAction)\"\n                                    [ngClass]=\"{'padding-right-arrow': item.children}\"\n                                    [ngStyle]=\"item.customCSS\"\n                                    >{{ item.additionalAction.name }}</a>\n                                <fusion-icon class=\"item-icon\" *ngIf=\"item.icon\" [name]=\"item.icon\"></fusion-icon>\n                                <label [innerHTML]=\"item.name\"></label>\n                                <i class=\"icon-expand\" *ngIf=\"item.children\"><fusion-icon [name]=\"{iconName: 'arrow-right', iconVersion: 'v1'}\"></fusion-icon></i>\n                            </span>\n                        </ng-template>\n                        <!--Menu list recursive call-->\n                        <fusion-menu-list\n                            *ngIf=\"item.children\"\n                            [menuItems]=\"item.children\"\n                            (menuItemClicked)=\"menuItemClicked.emit($event)\"\n                            (menuAdditionalItemClicked)=\"menuAdditionalItemClicked.emit($event)\"\n                        ></fusion-menu-list>\n                    </div>\n                </li>\n            </span>\n        </ng-container>\n    </ul>\n</div>\n", styles: [".main-menu a{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}ul .main-menu-item .is-user-menu-sub-title>.sub-menu>span>label{font-size:11px;font-family:var(--medium-font-family, \"NHaasGroteskTXPro-65Md\");font-weight:400;text-transform:uppercase}ul .main-menu-item.is-user-menu-item .sub-menu span label{font-size:13px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}.main-menu ul,.main-menu ol{padding:0;margin:0}.main-menu ul li,.main-menu ol li{list-style:none}.main-menu a{text-decoration:none;color:var(--primary-color, #3091F6);cursor:pointer}.main-menu a:link,.main-menu a:visited,.main-menu a:hover,.main-menu a:active{color:var(--primary-color, #3091F6)}.main-menu{width:var(--left-menu-width, 220px);transition:all .45s ease-out}.main-menu .main-menu-item{transition:background-color ease .3s}.main-menu .main-menu-item.open,.main-menu .main-menu-item.active{background-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}.main-menu .main-menu-item.active>.sub-menu>span{color:var(--layout-menu-item-active-color, var(--primary-color, #3091F6));cursor:default}.main-menu .main-menu-item.active{border-left-color:var(--primary-color, #3091F6)}.main-menu .main-menu-item>.sub-menu>span{display:block;position:relative;color:var(--layout-menu-item-color, var(--light-color-100, #F9FAFB))}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item{max-height:50px;transition:max-height .45s ease-out .2s,background 0s .65s;overflow:hidden;border-left:5px solid transparent}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item:hover{border-left-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item.active{border-left-color:var(--layout-menu-item-active-border-left-color, var(--primary-color, #3091F6))}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item.open{transition:max-height,.45s ease-out;max-height:950px}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item.open .icon-expand{transform:rotate(90deg)}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item.active>.sub-menu>.abstract{color:var(--primary-color, #3091F6)}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item.active>.sub-menu>span{cursor:default}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span{white-space:nowrap;text-transform:uppercase;padding:18px 30px 18px 50px;font-size:11px;cursor:pointer}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span.link-target{text-transform:none}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span.link-target a fusion-icon.icon-new-window{padding-left:7px}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span.link-target a fusion-icon.icon-new-window ::ng-deep svg{width:8px;height:8px}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span.link-target a fusion-icon.icon-new-window ::ng-deep svg *{fill:currentColor}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span.abstract{border-top:none;pointer-events:all;color:#fff}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span .icon-expand{display:block}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span .icon-expand fusion-icon.arrow-right ::ng-deep svg{width:5px;height:15px}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span .icon-expand fusion-icon.arrow-right ::ng-deep svg *{fill:currentColor}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span fusion-icon.item-icon{left:20px;top:17px;position:absolute;color:inherit}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span fusion-icon.item-icon ::ng-deep svg{width:15px;height:14px}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span fusion-icon.item-icon ::ng-deep svg *{fill:currentColor}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>fusion-menu-list .main-menu{border-bottom:none;margin-right:15px;padding-bottom:0;margin-bottom:0}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>fusion-menu-list .main-menu>ul{margin-top:0}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>fusion-menu-list .main-menu>ul>span.main-menu-item-wrapper li{border-left:none}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>fusion-menu-list .main-menu>ul>span.main-menu-item-wrapper li .sub-menu span{font-size:13px;text-transform:none}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>fusion-menu-list .main-menu>ul>span.main-menu-item-wrapper li .sub-menu span:focus{outline:none}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>fusion-menu-list .main-menu>ul>span.main-menu-item-wrapper li .sub-menu span:hover{color:var(--layout-menu-item-active-color, var(--primary-color, #3091F6));--layout-menu-item-color: $primary}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item.is-link-as-regular-item>.sub-menu>span.link-target a{color:var(--layout-menu-item-color, var(--light-color-100, #F9FAFB));background:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 33 33'%3E%3Cpath d='M22.868 2.282h6.02l-13.765 13.77A1.142 1.142 0 0015.928 18c.293 0 .585-.113.805-.333l13.773-13.77v6.02c0 .633.513 1.145 1.138 1.145.632 0 1.144-.512 1.144-1.144V1.144C32.788.512 32.276 0 31.644 0h-8.776c-.632 0-1.145.512-1.145 1.144a1.149 1.149 0 001.145 1.138zM6.928 33h19.143c3.826 0 6.93-3.11 6.93-6.927V17.06c0-.64-.518-1.152-1.158-1.152a1.15 1.15 0 00-1.152 1.15v9.008a4.625 4.625 0 01-4.62 4.618H6.93a4.625 4.625 0 01-4.62-4.618V6.934a4.625 4.625 0 014.62-4.618h8.934c.64 0 1.15-.52 1.15-1.158 0-.64-.517-1.158-1.15-1.158H6.93A6.934 6.934 0 000 6.927v19.138C0 29.89 3.11 33 6.93 33z' fill='%23F9FAFB' fill-rule='evenodd'/%3E%3C/svg%3E\") right center no-repeat;background-size:8px 8px;padding-right:15px}.main-menu>ul>span.main-menu-item-wrapper .main-menu-item.is-link-as-regular-item>.sub-menu>span.link-target a:hover{color:var(--layout-menu-item-active-color, var(--primary-color, #3091F6));background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20viewBox%3D%220%200%2033%2033%22%3E%3Cpath%20d%3D%22M22.868%202.282h6.02l-13.765%2013.77c-.446.445-.446%201.17%200%201.615.22.22.512.333.805.333.293%200%20.585-.113.805-.333l13.773-13.77v6.02c0%20.633.513%201.145%201.138%201.145.632%200%201.144-.512%201.144-1.144V1.144C32.788.512%2032.276%200%2031.644%200h-8.776c-.632%200-1.145.512-1.145%201.144.007.625.513%201.138%201.145%201.138zM6.928%2033h19.143c3.826%200%206.93-3.11%206.93-6.927V17.06c0-.64-.518-1.152-1.158-1.152-.64%200-1.152.518-1.152%201.15v9.008c0%202.545-2.073%204.618-4.62%204.618H6.93c-2.547%200-4.62-2.073-4.62-4.618V6.934c0-2.545%202.073-4.618%204.62-4.618h8.934c.64%200%201.15-.52%201.15-1.158%200-.64-.517-1.158-1.15-1.158H6.93C3.103%200%200%203.11%200%206.927V26.065C0%2029.89%203.11%2033%206.93%2033z%22%20fill%3D%22%233091F6%22%20fill-rule%3D%22evenodd%22/%3E%3C/svg%3E) right center no-repeat;background-size:8px 8px;padding-right:15px}@media (min-width: 1024px) and (max-width: 1279.98px){.main-menu>ul{overflow:auto}}@media (max-width: 1023.98px){div.main-menu{width:100%;height:auto!important}div.main-menu li.main-menu-item.subtitle{display:none!important}div.main-menu li.main-menu-item.active span{border-bottom:0;cursor:default}div.main-menu>ul>span.main-menu-item-wrapper li.main-menu-item{max-height:none;background-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625));border-bottom:1px solid rgba(var(--light-color-900, #52677B),.7)}div.main-menu>ul>span.main-menu-item-wrapper li.main-menu-item:last-child{border-bottom:none}div.main-menu>ul>span.main-menu-item-wrapper li.main-menu-item .sub-menu span i.icon-expand{display:none}ul>span.main-menu-item-wrapper li.main-menu-item{max-height:none;width:100%}ul>span.main-menu-item-wrapper li.main-menu-item li.main-menu-item{border:0}ul>span.main-menu-item-wrapper li.main-menu-item.is-user-menu-item{display:block}}ul{list-style:none;padding:0;margin:0}ul .main-menu-item{font-family:var(--medium-font-family, \"NHaasGroteskTXPro-65Md\");font-weight:400}ul .main-menu-item .sub-menu>span{font-size:11px;line-height:14px;color:var(--light-color-100, #F9FAFB)}ul .main-menu-item .sub-menu>span label{cursor:pointer}ul .main-menu-item .sub-menu>span:hover{background:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625));border-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}ul .main-menu-item .sub-menu>span.abstract{padding-top:20px;padding-bottom:20px;border-top:1px solid var(--light-color-900, #52677B);font-size:11px;color:var(--light-color-800, #678099);cursor:default;font-family:var(--medium-font-family, \"NHaasGroteskTXPro-65Md\");text-transform:uppercase;pointer-events:none}ul .main-menu-item .sub-menu>span .icon-expand{color:#fff;display:none;position:absolute;top:17px;right:21px;width:5px;transform-origin:center center;transition:all .3s ease}ul .main-menu-item .sub-menu>span .icon-expand svg{width:5px}ul .main-menu-item .sub-menu .main-menu{margin-right:15px;margin-bottom:7px}ul .main-menu-item .sub-menu .main-menu>ul>span.main-menu-item-wrapper li{font-family:var(--regular-font-family, \"Open Sans\");background:none}ul .main-menu-item .sub-menu .main-menu>ul>span.main-menu-item-wrapper li:first-child>.sub-menu>span:not(.abstract){padding-top:0}ul .main-menu-item .sub-menu .main-menu>ul>span.main-menu-item-wrapper li.active{border-left-color:transparent}ul .main-menu-item fusion-icon.item-icon{left:20px;top:17px;position:absolute}ul .main-menu-item fusion-icon.item-icon ::ng-deep svg{width:15px;height:14px}ul .main-menu-item fusion-icon.item-icon ::ng-deep svg *{fill:currentColor}ul .main-menu-item.is-user-menu-item{display:none}ul .main-menu-item.is-user-menu-item .sub-menu span label{text-transform:none}ul .main-menu-item.is-user-menu-item .sub-menu span label>span{display:block;color:var(--light-color-700, #95A6B8)}ul .main-menu-item .is-menu-item-additional-data{text-transform:none;position:absolute;margin-right:20px;right:0}ul .main-menu-item .is-menu-item-additional-data.padding-right-arrow{margin-right:39px}ul .main-menu-item.is-user-menu-last-child-item{padding-left:13px}ul .main-menu-item .is-user-menu-sub-title{border-top:solid 1px #52677b;padding:16px 0 15px;margin-left:50px;margin-right:20px}ul .main-menu-item .is-user-menu-sub-title>.sub-menu>span>label{left:0;position:absolute;text-transform:uppercase;color:var(--light-color-800, #678099)}ul .main-menu-item.open.hide-additional-when-open>.sub-menu:first-child>span>.is-menu-item-additional-data{transition:opacity .6s ease-out;opacity:0}ul .main-menu-item.hide-additional-when-open>.sub-menu:first-child>span>.is-menu-item-additional-data{transition:opacity .6s ease-out;opacity:1}@media (min-width: 1280px){:host-context(fusion-menu.collapsed){width:var(--left-menu-collapsed-width, 70px);height:100%;background-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}:host-context(fusion-menu.collapsed) .main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span i.icon-expand{display:none}:host-context(fusion-menu.collapsed) .main-menu ul>span.main-menu-item-wrapper li.main-menu-item,:host-context(fusion-menu.collapsed) .main-menu ul>span.main-menu-item-wrapper li.main-menu-item.open{max-height:50px}:host-context(fusion-menu.collapsed)>div.main-menu{width:var(--left-menu-collapsed-width, 70px);height:100%;background-color:var(--layout-background-color, var(--dark-color, #0B1625))}:host-context(fusion-menu.collapsed) ul>span.main-menu-item-wrapper li.main-menu-item{white-space:nowrap}:host-context(fusion-menu.collapsed) ul>span.main-menu-item-wrapper li.main-menu-item.active{background-color:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}:host-context(fusion-menu.collapsed) .sub-menu span label,:host-context(fusion-menu.collapsed) .sub-menu span.link-target a{transition:opacity .3s ease;opacity:0}:host-context(fusion-menu.collapsed) .is-menu-item-additional-data{display:none}}@media (min-width: 1024px) and (max-width: 1279.98px){:host-context(fusion-menu.collapsed) .main-menu{display:none}}@media (max-width: 1023.98px){:host-context(fusion-menu.collapsed)>.main-menu{display:none}}@media (min-width: 1280px){:host-context(fusion-menu.opened){box-shadow:3px 0 5px #0000004d}:host-context(fusion-menu.opened)>.main-menu{width:var(--left-menu-width, 220px)}}:host-context(fusion-menu.collapsed.opened) .main-menu{width:var(--left-menu-width, 220px)}:host-context(fusion-menu.collapsed.opened) .main-menu .sub-menu{transition:opacity .45s ease-out}:host-context(fusion-menu.collapsed.opened) .main-menu .sub-menu label,:host-context(fusion-menu.collapsed.opened) .main-menu .sub-menu a{transition:opacity .3s ease;opacity:1}:host-context(fusion-menu.collapsed.opened) .main-menu .sub-menu fusion-icon.item-icon{margin-left:0}:host-context(fusion-menu.collapsed.opened) .main-menu>ul>span.main-menu-item-wrapper .main-menu-item>.sub-menu>span i.icon-expand{display:block}:host-context(fusion-menu.collapsed.opened) .main-menu ul>span.main-menu-item-wrapper li.main-menu-item.open{max-height:950px;transition:max-height .45s ease-out .45s}:host-context(fusion-menu.collapsed.opened) .main-menu .is-menu-item-additional-data{display:block}:host-context(fusion-menu.collapsed.opened) .main-menu>ul>span.main-menu-item-wrapper .main-menu-item.active .main-menu,:host-context(fusion-menu.collapsed.opened) .main-menu>ul>span.main-menu-item-wrapper .main-menu-item.open .main-menu{background:var(--layout-menu-item-open-background-color, var(--dark-color, #0B1625))}\n"] }]
    }], () => [{ type: i0.ChangeDetectorRef }, { type: i1.MenuService }, { type: i2$1.Router, decorators: [{
                type: Optional
            }] }, { type: i0.Renderer2 }, { type: i3.WindowService }], { menuItems: [{
            type: Input
        }], menuAdditionalItemClicked: [{
            type: Output
        }], menuItemClicked: [{
            type: Output
        }], routeChanged: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(MenuListComponent, { className: "MenuListComponent", filePath: "components/menu-list/menu-list.component.ts", lineNumber: 28 }); })();

class MenuComponent extends MenuBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵMenuComponent_BaseFactory; return function MenuComponent_Factory(t) { return (ɵMenuComponent_BaseFactory || (ɵMenuComponent_BaseFactory = i0.ɵɵgetInheritedFactory(MenuComponent)))(t || MenuComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: MenuComponent, selectors: [["fusion-menu"]], features: [i0.ɵɵInheritDefinitionFeature], decls: 2, vars: 1, consts: [[1, "main-menu-wrapper", 3, "mouseleave", "mouseenter"], [3, "menuItems", "routeChanged", "menuItemClicked", "menuAdditionalItemClicked"]], template: function MenuComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("mouseleave", function MenuComponent_Template_div_mouseleave_0_listener($event) { return ctx.mouseLeave.emit($event); })("mouseenter", function MenuComponent_Template_div_mouseenter_0_listener($event) { return ctx.mouseEnter.emit($event); });
            i0.ɵɵelementStart(1, "fusion-menu-list", 1);
            i0.ɵɵlistener("routeChanged", function MenuComponent_Template_fusion_menu_list_routeChanged_1_listener() { return ctx.routeChanged.emit(); })("menuItemClicked", function MenuComponent_Template_fusion_menu_list_menuItemClicked_1_listener($event) { return ctx.menuItemClicked.emit($event); })("menuAdditionalItemClicked", function MenuComponent_Template_fusion_menu_list_menuAdditionalItemClicked_1_listener($event) { return ctx.menuAdditionalItemClicked.emit($event); });
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵproperty("menuItems", ctx.menuItems);
        } }, dependencies: [MenuListComponent], styles: ["[_nghost-%COMP%]   .main-menu-wrapper[_ngcontent-%COMP%]{position:absolute;z-index:3008;top:var(--menu-header-height, 60px);left:0;background-color:var(--layout-background-color, var(--dark-color-400, #112239));color:#fff;overflow-y:auto;height:calc(100vh - var(--header-padding-small, 6px) - var(--menu-header-height, 60px))}@media (max-width: 1023.98px){.collapsed[_nghost-%COMP%]   .main-menu-wrapper[_ngcontent-%COMP%]{display:none}}@media (min-width: 1280px){.collapsed[_nghost-%COMP%]   .main-menu-wrapper.opened[_ngcontent-%COMP%]{box-shadow:3px 0 5px #0000004d}}@media (min-width: 1024px) and (max-width: 1279.98px){.collapsed[_nghost-%COMP%]   .main-menu-wrapper[_ngcontent-%COMP%]{display:none}}@media (min-width: 1280px){[_nghost-%COMP%]   .main-menu-wrapper[_ngcontent-%COMP%]{top:calc(var(--menu-header-height, 60px) + 5px)}}@media (min-width: 1920px){[_nghost-%COMP%]   .main-menu-wrapper[_ngcontent-%COMP%]{top:calc(var(--menu-header-height, 60px) + var(--header-padding-large, 50px));height:calc(100vh - var(--menu-header-height, 60px) - var(--header-padding-large, 50px))}}@media (max-width: 1023.98px){[_nghost-%COMP%]   .main-menu-wrapper[_ngcontent-%COMP%]{display:block;width:100%;top:var(--mobile-header-height, 50px);bottom:0;overflow:scroll;height:calc(100vh + var(--header-padding-desktop, 44px));position:absolute}}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MenuComponent, [{
        type: Component,
        args: [{ selector: 'fusion-menu', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"main-menu-wrapper\"\n    (mouseleave)=\"mouseLeave.emit($event)\"\n    (mouseenter)=\"mouseEnter.emit($event)\"\n>\n\n    <fusion-menu-list\n        (routeChanged)=\"routeChanged.emit()\"\n        [menuItems]=\"menuItems\"\n        (menuItemClicked)=\"menuItemClicked.emit($event)\"\n        (menuAdditionalItemClicked)=\"menuAdditionalItemClicked.emit($event)\"\n    ></fusion-menu-list>\n</div>\n", styles: [":host .main-menu-wrapper{position:absolute;z-index:3008;top:var(--menu-header-height, 60px);left:0;background-color:var(--layout-background-color, var(--dark-color-400, #112239));color:#fff;overflow-y:auto;height:calc(100vh - var(--header-padding-small, 6px) - var(--menu-header-height, 60px))}@media (max-width: 1023.98px){:host.collapsed .main-menu-wrapper{display:none}}@media (min-width: 1280px){:host.collapsed .main-menu-wrapper.opened{box-shadow:3px 0 5px #0000004d}}@media (min-width: 1024px) and (max-width: 1279.98px){:host.collapsed .main-menu-wrapper{display:none}}@media (min-width: 1280px){:host .main-menu-wrapper{top:calc(var(--menu-header-height, 60px) + 5px)}}@media (min-width: 1920px){:host .main-menu-wrapper{top:calc(var(--menu-header-height, 60px) + var(--header-padding-large, 50px));height:calc(100vh - var(--menu-header-height, 60px) - var(--header-padding-large, 50px))}}@media (max-width: 1023.98px){:host .main-menu-wrapper{display:block;width:100%;top:var(--mobile-header-height, 50px);bottom:0;overflow:scroll;height:calc(100vh + var(--header-padding-desktop, 44px));position:absolute}}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(MenuComponent, { className: "MenuComponent", filePath: "menu.component.ts", lineNumber: 10 }); })();

class MenuModule {
    static { this.ɵfac = function MenuModule_Factory(t) { return new (t || MenuModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: MenuModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ providers: [MenuService], imports: [CommonModule, IconModule, RouterModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MenuModule, [{
        type: NgModule,
        args: [{
                declarations: [MenuComponent, MenuItemComponent, MenuListComponent],
                exports: [MenuComponent],
                imports: [CommonModule, IconModule, RouterModule],
                providers: [MenuService]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(MenuModule, { declarations: [MenuComponent, MenuItemComponent, MenuListComponent], imports: [CommonModule, IconModule, RouterModule], exports: [MenuComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { MenuComponent, MenuModule };
//# sourceMappingURL=ironsource-fusion-ui-components-menu-v1.mjs.map
