import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { MobilePreviewerBaseComponent } from '@ironsource/fusion-ui/components/mobile-previewer/common/base';
export { MobileOrientation } from '@ironsource/fusion-ui/components/mobile-previewer/common/base';
import { BehaviorSubject } from 'rxjs';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';

function MobilePreviewerComponent_ng_container_2_fusion_dynamic_components_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dynamic-components", 9);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("element", ctx_r6.configurations.element)("component", ctx_r6.configurations.component == null ? null : ctx_r6.configurations.component.type)("componentData", ctx_r6.configurations.component == null ? null : ctx_r6.configurations.component.data);
} }
function MobilePreviewerComponent_ng_container_2_fusion_dynamic_components_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dynamic-components", 9);
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("element", ctx_r7.configurations.element)("component", ctx_r7.configurations.component == null ? null : ctx_r7.configurations.component.type)("componentData", ctx_r7.configurations.component == null ? null : ctx_r7.configurations.component.data);
} }
function MobilePreviewerComponent_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, MobilePreviewerComponent_ng_container_2_fusion_dynamic_components_1_Template, 1, 3, "fusion-dynamic-components", 8)(2, MobilePreviewerComponent_ng_container_2_fusion_dynamic_components_2_Template, 1, 3, "fusion-dynamic-components", 8);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.refresh);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r0.refresh);
} }
function MobilePreviewerComponent_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵprojection(0);
} }
function MobilePreviewerComponent_ng_template_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 10);
    i0.ɵɵprojection(1, 1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵstyleProp("width", ctx_r3.calculatedContentSize.width, "px")("height", ctx_r3.calculatedContentSize.height, "px");
} }
const _c0 = (a0, a1) => ({ selected: a0, landscape: a1 });
const _c1 = (a0, a1) => ({ iconName: a0, iconVersion: a1 });
function MobilePreviewerComponent_span_10_Template(rf, ctx) { if (rf & 1) {
    const _r10 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "span", 11);
    i0.ɵɵlistener("click", function MobilePreviewerComponent_span_10_Template_span_click_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r10); const device_r8 = restoredCtx.$implicit; const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.selectDevice(device_r8)); });
    i0.ɵɵelement(1, "fusion-icon", 12);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const device_r8 = ctx.$implicit;
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(6, _c0, ctx_r5.isDeviceSelected(device_r8), ctx_r5.isDeviceLandscape(device_r8)));
    i0.ɵɵadvance();
    i0.ɵɵclassMap("icon-" + device_r8);
    i0.ɵɵproperty("name", i0.ɵɵpureFunction2(9, _c1, device_r8, i0.ɵɵpipeBind1(2, 4, ctx_r5.iconPrefix$)));
} }
const _c2 = ["*", "*"];
class MobilePreviewerComponent extends MobilePreviewerBaseComponent {
    constructor() {
        super(...arguments);
        this.iconPrefix$ = new BehaviorSubject('');
    }
    ngOnInit() {
        super.ngOnInit();
        this.iconPrefix$.next('v2');
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵMobilePreviewerComponent_BaseFactory; return function MobilePreviewerComponent_Factory(t) { return (ɵMobilePreviewerComponent_BaseFactory || (ɵMobilePreviewerComponent_BaseFactory = i0.ɵɵgetInheritedFactory(MobilePreviewerComponent)))(t || MobilePreviewerComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: MobilePreviewerComponent, selectors: [["fusion-mobile-previewer"]], features: [i0.ɵɵInheritDefinitionFeature], ngContentSelectors: _c2, decls: 11, vars: 10, consts: [[1, "mobile-previewer-wrapper"], [1, "mobile-previewer-container"], [4, "ngIf", "ngIfElse"], ["template", ""], ["staticSizeTemplate", ""], [1, "deviceSelectionFooter"], [1, "selectedTitle"], ["class", "iconWrapper", 3, "ngClass", "click", 4, "ngFor", "ngForOf"], [3, "element", "component", "componentData", 4, "ngIf"], [3, "element", "component", "componentData"], [1, "content-container"], [1, "iconWrapper", 3, "ngClass", "click"], [3, "name"]], template: function MobilePreviewerComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef(_c2);
            i0.ɵɵelementStart(0, "div", 0)(1, "div", 1);
            i0.ɵɵtemplate(2, MobilePreviewerComponent_ng_container_2_Template, 3, 2, "ng-container", 2)(3, MobilePreviewerComponent_ng_template_3_Template, 1, 0, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor)(5, MobilePreviewerComponent_ng_template_5_Template, 2, 4, "ng-template", null, 4, i0.ɵɵtemplateRefExtractor);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(7, "div", 5)(8, "span", 6);
            i0.ɵɵtext(9);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(10, MobilePreviewerComponent_span_10_Template, 3, 12, "span", 7);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            const _r2 = i0.ɵɵreference(4);
            const _r4 = i0.ɵɵreference(6);
            i0.ɵɵstyleProp("width", !ctx.isStaticSize ? ctx.width : ctx.configurations.staticComponentSize.width, "px");
            i0.ɵɵclassProp("static-size", ctx.isStaticSize);
            i0.ɵɵadvance();
            i0.ɵɵstyleProp("height", !ctx.isStaticSize ? ctx.height : ctx.configurations.staticComponentSize.height, "px");
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.configurations.component || ctx.configurations.element)("ngIfElse", ctx.isStaticSize ? _r4 : _r2);
            i0.ɵɵadvance(7);
            i0.ɵɵtextInterpolate(ctx.selectedDevice);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngForOf", ctx.devices);
        } }, dependencies: [i1.NgClass, i1.NgForOf, i1.NgIf, i2.IconComponent, i3.DynamicComponentsComponent, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .selectedTitle[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue-Medium,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{display:block;border-radius:8px;overflow:hidden;box-shadow:0 4px 24px #00000026}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]{height:48px;background-color:var(--fu-white, #ffffff);border-bottom-left-radius:8px;border-bottom-right-radius:8px;padding:14px 12px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .selectedTitle[_ngcontent-%COMP%]{line-height:1.33;color:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]{width:32px;height:32px;float:right;border:solid 1px var(--fu-light-400, #dddfe1);border-radius:16px;margin-right:1px;margin-left:2px;margin-top:-7px;position:relative}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-phone-landscape[_ngcontent-%COMP%]{position:absolute;top:6px;left:6px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-phone-landscape[_ngcontent-%COMP%]     svg{width:18px;height:10px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-phone-landscape[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-phone-portrait[_ngcontent-%COMP%]{position:absolute;top:6px;left:10px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-phone-portrait[_ngcontent-%COMP%]     svg{width:10px;height:18px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-phone-portrait[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-tablet-landscape[_ngcontent-%COMP%]{position:absolute;top:8px;left:6px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-tablet-landscape[_ngcontent-%COMP%]     svg{width:18px;height:14px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-tablet-landscape[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-tablet-portrait[_ngcontent-%COMP%]{position:absolute;top:6px;left:8px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-tablet-portrait[_ngcontent-%COMP%]     svg{width:14px;height:18px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]   fusion-icon.icon-tablet-portrait[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%], [_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover{border-color:var(--fu-primary-100, #e2eeff);background-color:var(--fu-primary-100, #e2eeff)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%]   fusion-icon.icon-phone-landscape[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover   fusion-icon.icon-phone-landscape[_ngcontent-%COMP%]     svg{width:18px;height:10px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%]   fusion-icon.icon-phone-landscape[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover   fusion-icon.icon-phone-landscape[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%]   fusion-icon.icon-phone-portrait[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover   fusion-icon.icon-phone-portrait[_ngcontent-%COMP%]     svg{width:10px;height:18px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%]   fusion-icon.icon-phone-portrait[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover   fusion-icon.icon-phone-portrait[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%]   fusion-icon.icon-tablet-landscape[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover   fusion-icon.icon-tablet-landscape[_ngcontent-%COMP%]     svg{width:18px;height:14px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%]   fusion-icon.icon-tablet-landscape[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover   fusion-icon.icon-tablet-landscape[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%]   fusion-icon.icon-tablet-portrait[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover   fusion-icon.icon-tablet-portrait[_ngcontent-%COMP%]     svg{width:14px;height:18px}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%]   fusion-icon.icon-tablet-portrait[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover   fusion-icon.icon-tablet-portrait[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper[_ngcontent-%COMP%]:hover:not(.selected){cursor:pointer}[_nghost-%COMP%]   .deviceSelectionFooter[_ngcontent-%COMP%]   .iconWrapper.selected[_ngcontent-%COMP%]{pointer-events:none}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MobilePreviewerComponent, [{
        type: Component,
        args: [{ selector: 'fusion-mobile-previewer', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"mobile-previewer-wrapper\" [style.width.px]=\"!isStaticSize ? width : configurations.staticComponentSize.width\" [class.static-size]=\"isStaticSize\">\n    <div class=\"mobile-previewer-container\" [style.height.px]=\"!isStaticSize ? height : configurations.staticComponentSize.height\">\n        <ng-container *ngIf=\"configurations.component || configurations.element; else isStaticSize ? staticSizeTemplate : template\">\n            <!--using refresh variable to refresh iframe when user change device-->\n            <fusion-dynamic-components\n                [element]=\"configurations.element\"\n                [component]=\"configurations.component?.type\"\n                [componentData]=\"configurations.component?.data\"\n                *ngIf=\"refresh\"\n            ></fusion-dynamic-components>\n            <fusion-dynamic-components\n                [element]=\"configurations.element\"\n                [component]=\"configurations.component?.type\"\n                [componentData]=\"configurations.component?.data\"\n                *ngIf=\"!refresh\"\n            ></fusion-dynamic-components>\n        </ng-container>\n\n        <ng-template #template>\n            <ng-content></ng-content>\n        </ng-template>\n\n        <ng-template #staticSizeTemplate>\n            <div class=\"content-container\" [style.width.px]=\"calculatedContentSize.width\" [style.height.px]=\"calculatedContentSize.height\">\n                <ng-content></ng-content>\n            </div>\n        </ng-template>\n    </div>\n\n    <div class=\"deviceSelectionFooter\">\n        <span class=\"selectedTitle\">{{ selectedDevice }}</span>\n\n        <span\n            *ngFor=\"let device of devices\"\n            class=\"iconWrapper\"\n            [ngClass]=\"{selected: isDeviceSelected(device), landscape: isDeviceLandscape(device)}\"\n            (click)=\"selectDevice(device)\"\n        >\n            <fusion-icon [class]=\"'icon-' + device\" [name]=\"{iconName: device, iconVersion: (iconPrefix$ | async)}\"></fusion-icon>\n        </span>\n    </div>\n</div>\n", styles: [":host .deviceSelectionFooter .selectedTitle{font-size:12px;font-family:HelveticaNeue-Medium,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host *{box-sizing:border-box}:host{display:block;border-radius:8px;overflow:hidden;box-shadow:0 4px 24px #00000026}:host .deviceSelectionFooter{height:48px;background-color:var(--fu-white, #ffffff);border-bottom-left-radius:8px;border-bottom-right-radius:8px;padding:14px 12px}:host .deviceSelectionFooter .selectedTitle{line-height:1.33;color:var(--fu-light-900, #7b838c)}:host .deviceSelectionFooter .iconWrapper{width:32px;height:32px;float:right;border:solid 1px var(--fu-light-400, #dddfe1);border-radius:16px;margin-right:1px;margin-left:2px;margin-top:-7px;position:relative}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-phone-landscape{position:absolute;top:6px;left:6px}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-phone-landscape ::ng-deep svg{width:18px;height:10px}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-phone-landscape ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-phone-portrait{position:absolute;top:6px;left:10px}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-phone-portrait ::ng-deep svg{width:10px;height:18px}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-phone-portrait ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-tablet-landscape{position:absolute;top:8px;left:6px}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-tablet-landscape ::ng-deep svg{width:18px;height:14px}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-tablet-landscape ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-tablet-portrait{position:absolute;top:6px;left:8px}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-tablet-portrait ::ng-deep svg{width:14px;height:18px}:host .deviceSelectionFooter .iconWrapper fusion-icon.icon-tablet-portrait ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .deviceSelectionFooter .iconWrapper.selected,:host .deviceSelectionFooter .iconWrapper:hover{border-color:var(--fu-primary-100, #e2eeff);background-color:var(--fu-primary-100, #e2eeff)}:host .deviceSelectionFooter .iconWrapper.selected fusion-icon.icon-phone-landscape ::ng-deep svg,:host .deviceSelectionFooter .iconWrapper:hover fusion-icon.icon-phone-landscape ::ng-deep svg{width:18px;height:10px}:host .deviceSelectionFooter .iconWrapper.selected fusion-icon.icon-phone-landscape ::ng-deep svg *,:host .deviceSelectionFooter .iconWrapper:hover fusion-icon.icon-phone-landscape ::ng-deep svg *{fill:var(--fu-primary-500, #3083ff)}:host .deviceSelectionFooter .iconWrapper.selected fusion-icon.icon-phone-portrait ::ng-deep svg,:host .deviceSelectionFooter .iconWrapper:hover fusion-icon.icon-phone-portrait ::ng-deep svg{width:10px;height:18px}:host .deviceSelectionFooter .iconWrapper.selected fusion-icon.icon-phone-portrait ::ng-deep svg *,:host .deviceSelectionFooter .iconWrapper:hover fusion-icon.icon-phone-portrait ::ng-deep svg *{fill:var(--fu-primary-500, #3083ff)}:host .deviceSelectionFooter .iconWrapper.selected fusion-icon.icon-tablet-landscape ::ng-deep svg,:host .deviceSelectionFooter .iconWrapper:hover fusion-icon.icon-tablet-landscape ::ng-deep svg{width:18px;height:14px}:host .deviceSelectionFooter .iconWrapper.selected fusion-icon.icon-tablet-landscape ::ng-deep svg *,:host .deviceSelectionFooter .iconWrapper:hover fusion-icon.icon-tablet-landscape ::ng-deep svg *{fill:var(--fu-primary-500, #3083ff)}:host .deviceSelectionFooter .iconWrapper.selected fusion-icon.icon-tablet-portrait ::ng-deep svg,:host .deviceSelectionFooter .iconWrapper:hover fusion-icon.icon-tablet-portrait ::ng-deep svg{width:14px;height:18px}:host .deviceSelectionFooter .iconWrapper.selected fusion-icon.icon-tablet-portrait ::ng-deep svg *,:host .deviceSelectionFooter .iconWrapper:hover fusion-icon.icon-tablet-portrait ::ng-deep svg *{fill:var(--fu-primary-500, #3083ff)}:host .deviceSelectionFooter .iconWrapper:hover:not(.selected){cursor:pointer}:host .deviceSelectionFooter .iconWrapper.selected{pointer-events:none}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(MobilePreviewerComponent, { className: "MobilePreviewerComponent", filePath: "mobile-previewer.component.ts", lineNumber: 11 }); })();

class MobilePreviewerModule {
    static { this.ɵfac = function MobilePreviewerModule_Factory(t) { return new (t || MobilePreviewerModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: MobilePreviewerModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, DynamicComponentsModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MobilePreviewerModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule, IconModule, DynamicComponentsModule],
                declarations: [MobilePreviewerComponent],
                exports: [MobilePreviewerComponent]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(MobilePreviewerModule, { declarations: [MobilePreviewerComponent], imports: [CommonModule, IconModule, DynamicComponentsModule], exports: [MobilePreviewerComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { MobilePreviewerComponent, MobilePreviewerModule };
//# sourceMappingURL=ironsource-fusion-ui-components-mobile-previewer-v2.mjs.map
