import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { IconButtonComponent, ButtonComponent } from '@ironsource/fusion-ui/components/button/v4';
import { AlertComponent } from '@ironsource/fusion-ui/components/alert/v4';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import { InputTestIdModifiers, DialogTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';

function ModalV4Component_div_2_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 14);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r5.testIdsService.getTestAttribute.bind(ctx_r5), ctx_r5.testId, ctx_r5.DialogTestIdModifiers.MODAL_TITLE));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1("", ctx_r5.title, " ");
} }
function ModalV4Component_div_2_div_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 15);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r6.description);
} }
function ModalV4Component_div_2_fusion_icon_button_5_Template(rf, ctx) { if (rf & 1) {
    const _r9 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon-button", 16);
    i0.ɵɵlistener("click", function ModalV4Component_div_2_fusion_icon_button_5_Template_fusion_icon_button_click_0_listener($event) { i0.ɵɵrestoreView(_r9); const ctx_r8 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r8.onCloseButtonClicked($event)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("testId", i0.ɵɵpipeBind3(1, 1, ctx_r7.testIdsService.getTestAttribute.bind(ctx_r7), ctx_r7.testId, ctx_r7.DialogTestIdModifiers.ACTION_CLOSE));
} }
function ModalV4Component_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 9);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementStart(2, "div", 10);
    i0.ɵɵtemplate(3, ModalV4Component_div_2_div_3_Template, 3, 6, "div", 11)(4, ModalV4Component_div_2_div_4_Template, 2, 1, "div", 12);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(5, ModalV4Component_div_2_fusion_icon_button_5_Template, 2, 5, "fusion-icon-button", 13);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 4, ctx_r0.testIdsService.getTestAttribute.bind(ctx_r0), ctx_r0.testId, ctx_r0.DialogTestIdModifiers.HEADER));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", ctx_r0.title);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.description);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.showCloseButton);
} }
function ModalV4Component_fusion_alert_3_Template(rf, ctx) { if (rf & 1) {
    const _r11 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-alert", 17);
    i0.ɵɵlistener("action", function ModalV4Component_fusion_alert_3_Template_fusion_alert_action_0_listener() { i0.ɵɵrestoreView(_r11); const ctx_r10 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r10.onAlertActionClicked()); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("rounded", false)("color", ctx_r1.alert.color)("description", ctx_r1.alert == null ? null : ctx_r1.alert.description)("actionText", ctx_r1.alert == null ? null : ctx_r1.alert.action == null ? null : ctx_r1.alert.action.label);
} }
function ModalV4Component_div_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 18);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r2.testIdsService.getTestAttribute.bind(ctx_r2), ctx_r2.testId, ctx_r2.DialogTestIdModifiers.MODAL_CONTENT));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1("", ctx_r2.content, " ");
} }
function ModalV4Component_fusion_button_10_Template(rf, ctx) { if (rf & 1) {
    const _r13 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-button", 19);
    i0.ɵɵlistener("click", function ModalV4Component_fusion_button_10_Template_fusion_button_click_0_listener($event) { i0.ɵɵrestoreView(_r13); const ctx_r12 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r12.onSecondaryButtonClicked($event)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("disabled", ctx_r3.secondaryButtonDisabled)("variant", ctx_r3.secondaryButtonVariant)("color", ctx_r3.secondaryButtonColor)("testId", i0.ɵɵpipeBind3(1, 5, ctx_r3.testIdsService.getTestAttribute.bind(ctx_r3), ctx_r3.testId, ctx_r3.DialogTestIdModifiers.CANCEL_BUTTON));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1("", ctx_r3.secondaryButtonLabel, " ");
} }
function ModalV4Component_fusion_button_11_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-button", 20);
    i0.ɵɵlistener("click", function ModalV4Component_fusion_button_11_Template_fusion_button_click_0_listener($event) { i0.ɵɵrestoreView(_r15); const ctx_r14 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r14.onPrimaryButtonClicked($event)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("loading", ctx_r4.primaryButtonLoading)("disabled", ctx_r4.primaryButtonDisabled)("variant", ctx_r4.primaryButtonVariant)("color", ctx_r4.primaryButtonColor)("testId", i0.ɵɵpipeBind3(1, 6, ctx_r4.testIdsService.getTestAttribute.bind(ctx_r4), ctx_r4.testId, ctx_r4.DialogTestIdModifiers.SAVE_BUTTON));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1("", ctx_r4.primaryButtonLabel, " ");
} }
const _c0 = (a0, a1) => ({ "fu-modal-medium": a0, "fu-modal-large": a1 });
const _c1 = ["*"];
class ModalV4Component {
    constructor(injector) {
        this.injector = injector;
        this.showHeader = true;
        this.showCloseButton = true;
        this.disableCloseButton = true;
        this.size = 'small';
        this.alert = undefined;
        this.primaryButtonLabel = 'OK';
        this.primaryButtonColor = 'primary';
        this.primaryButtonVariant = 'contained';
        this.primaryButtonLoading = false;
        this.primaryButtonDisabled = false;
        this.secondaryButtonLabel = 'Cancel';
        this.secondaryButtonColor = 'default';
        this.secondaryButtonVariant = 'outlined';
        this.secondaryButtonDisabled = false;
        this.closeButtonClicked = new EventEmitter();
        this.secondaryButtonClicked = new EventEmitter();
        this.primaryButtonClicked = new EventEmitter();
        this.testIdInputModifiers = InputTestIdModifiers;
        this.testIdsService = this.injector.get(TestIdsService);
        this.DialogTestIdModifiers = DialogTestIdModifiers;
    }
    onAlertActionClicked() {
        this.alert.action?.onClick();
    }
    onCloseButtonClicked($event) {
        this.closeButtonClicked.emit();
    }
    onSecondaryButtonClicked($event) {
        this.secondaryButtonClicked.emit();
    }
    onPrimaryButtonClicked($event) {
        this.primaryButtonClicked.emit();
    }
    static { this.ɵfac = function ModalV4Component_Factory(t) { return new (t || ModalV4Component)(i0.ɵɵdirectiveInject(i0.Injector)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: ModalV4Component, selectors: [["fusion-modal"]], hostAttrs: [1, "fusion-v4"], inputs: { title: "title", description: "description", showHeader: "showHeader", showCloseButton: "showCloseButton", disableCloseButton: "disableCloseButton", size: "size", content: "content", alert: "alert", primaryButtonLabel: "primaryButtonLabel", primaryButtonColor: "primaryButtonColor", primaryButtonVariant: "primaryButtonVariant", primaryButtonLoading: "primaryButtonLoading", primaryButtonDisabled: "primaryButtonDisabled", secondaryButtonLabel: "secondaryButtonLabel", secondaryButtonColor: "secondaryButtonColor", secondaryButtonVariant: "secondaryButtonVariant", secondaryButtonDisabled: "secondaryButtonDisabled", testId: "testId" }, outputs: { closeButtonClicked: "closeButtonClicked", secondaryButtonClicked: "secondaryButtonClicked", primaryButtonClicked: "primaryButtonClicked" }, standalone: true, features: [i0.ɵɵStandaloneFeature], ngContentSelectors: _c1, decls: 12, vars: 19, consts: [[1, "fu-modal-wrapper", 3, "ngClass"], ["class", "fu-modal-header", 4, "ngIf"], [3, "rounded", "color", "description", "actionText", "action", 4, "ngIf"], [1, "fu-modal-content"], ["class", "fu-modal-content-message", 4, "ngIf"], [1, "fu-modal-footer"], [1, "fu-modal-footer-actions"], ["class", "fu-modal-action-secondary", 3, "disabled", "variant", "color", "testId", "click", 4, "ngIf"], ["class", "fu-modal-action-primary", 3, "loading", "disabled", "variant", "color", "testId", "click", 4, "ngIf"], [1, "fu-modal-header"], [1, "fu-modal-header-content"], ["class", "fu-modal-header-title", 4, "ngIf"], ["class", "fu-modal-header-description", 4, "ngIf"], ["class", "fu-modal-close-button", "size", "small", "iconName", "ph/x", 3, "testId", "click", 4, "ngIf"], [1, "fu-modal-header-title"], [1, "fu-modal-header-description"], ["size", "small", "iconName", "ph/x", 1, "fu-modal-close-button", 3, "testId", "click"], [3, "rounded", "color", "description", "actionText", "action"], [1, "fu-modal-content-message"], [1, "fu-modal-action-secondary", 3, "disabled", "variant", "color", "testId", "click"], [1, "fu-modal-action-primary", 3, "loading", "disabled", "variant", "color", "testId", "click"]], template: function ModalV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef();
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵpipe(1, "generic");
            i0.ɵɵtemplate(2, ModalV4Component_div_2_Template, 6, 8, "div", 1)(3, ModalV4Component_fusion_alert_3_Template, 1, 4, "fusion-alert", 2);
            i0.ɵɵelementStart(4, "div", 3);
            i0.ɵɵtemplate(5, ModalV4Component_div_5_Template, 3, 6, "div", 4);
            i0.ɵɵprojection(6);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(7, "div", 5)(8, "div", 6);
            i0.ɵɵpipe(9, "generic");
            i0.ɵɵtemplate(10, ModalV4Component_fusion_button_10_Template, 3, 9, "fusion-button", 7)(11, ModalV4Component_fusion_button_11_Template, 3, 10, "fusion-button", 8);
            i0.ɵɵelementEnd()()();
        } if (rf & 2) {
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(16, _c0, ctx.size === "medium", ctx.size === "large"));
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 8, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.DialogTestIdModifiers.MODAL_WRAPPER));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.showHeader);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !!ctx.alert);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.content);
            i0.ɵɵadvance(3);
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(9, 12, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.DialogTestIdModifiers.ACTION_BUTTONS_WRAPPER));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.secondaryButtonLabel);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.primaryButtonLabel);
        } }, dependencies: [CommonModule, i1.NgClass, i1.NgIf, IconButtonComponent, ButtonComponent, AlertComponent, GenericPipe], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4[_ngcontent-%COMP%]{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.fusion-v4[_ngcontent-%COMP%]{--box-shadow-xs: 0px 1px 2px 0px rgba(16, 24, 40, .05);--box-shadow-sm: 0px 1px 3px 0px rgba(16, 24, 40, .1), 0px 1px 2px 0px rgba(16, 24, 40, .06);--box-shadow-md: 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06);--box-shadow-lg: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--box-shadow-xl: 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08);--box-shadow-xxl: 0px 24px 48px -12px rgba(16, 24, 40, .18);--box-shadow-xxxl: 0px 19px 32px 2px rgba(44, 45, 45, .14);--box-shadow-slg: 0px 27px 27px 2px rgba(44, 45, 45, .14)}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-header[_ngcontent-%COMP%]   .fu-modal-header-content[_ngcontent-%COMP%]   .fu-modal-header-title[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-content[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-header[_ngcontent-%COMP%]   .fu-modal-header-content[_ngcontent-%COMP%]   .fu-modal-header-description[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-header[_ngcontent-%COMP%]   .fu-modal-header-content[_ngcontent-%COMP%]   .fu-modal-header-title[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-content[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-header[_ngcontent-%COMP%]   .fu-modal-header-content[_ngcontent-%COMP%]   .fu-modal-header-description[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]{position:fixed;inset:0;background:var(--background-backdrop, hsla(0, 0%, 0%, .11));overflow-x:auto;z-index:3010;display:flex;flex-direction:column;align-items:center;justify-content:center}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]{width:444px;border-radius:var(--border-radius-lg, 8px);border:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));background-color:var(--background-model-elevation, #FFFFFF);box-shadow:var(--box-shadow-xl, 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08))}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-header[_ngcontent-%COMP%]{padding:var(--spacing-200, 16px) var(--spacing-300, 24px);border-bottom:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));display:flex}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-header[_ngcontent-%COMP%]   .fu-modal-header-content[_ngcontent-%COMP%]{display:flex;flex-direction:column}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-header[_ngcontent-%COMP%]   .fu-modal-header-content[_ngcontent-%COMP%]   .fu-modal-header-title[_ngcontent-%COMP%]{color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-header[_ngcontent-%COMP%]   .fu-modal-header-content[_ngcontent-%COMP%]   .fu-modal-header-description[_ngcontent-%COMP%]{color:var(--text-secondary, hsl(0, 0%, 39.3%))}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-header[_ngcontent-%COMP%]   .fu-modal-close-button[_ngcontent-%COMP%]{margin-left:auto}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-content[_ngcontent-%COMP%]{padding:var(--spacing-300, 24px);color:var(--text-secondary, hsl(0, 0%, 39.3%))}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-footer[_ngcontent-%COMP%]{padding:var(--spacing-150, 12px) var(--spacing-300, 24px);border-top:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));display:flex;align-items:center}[_nghost-%COMP%]   .fu-modal-wrapper[_ngcontent-%COMP%]   .fu-modal-footer[_ngcontent-%COMP%]   .fu-modal-footer-actions[_ngcontent-%COMP%]{margin-left:auto;display:flex;align-items:center;gap:var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-modal-wrapper.fu-modal-medium[_ngcontent-%COMP%]{width:600px}[_nghost-%COMP%]   .fu-modal-wrapper.fu-modal-large[_ngcontent-%COMP%]{width:900px}.docs-story[_nghost-%COMP%], .docs-story   [_nghost-%COMP%]{position:unset}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ModalV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-modal', standalone: true, imports: [CommonModule, IconButtonComponent, ButtonComponent, AlertComponent, GenericPipe], host: { class: 'fusion-v4' }, changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-modal-wrapper\"\n     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:DialogTestIdModifiers.MODAL_WRAPPER\"\n     [ngClass]=\"{'fu-modal-medium': size==='medium', 'fu-modal-large': size==='large'}\">\n    <div class=\"fu-modal-header\" *ngIf=\"showHeader\"\n         [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:DialogTestIdModifiers.HEADER\"\n    >\n        <div class=\"fu-modal-header-content\">\n            <div class=\"fu-modal-header-title\"\n                 [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:DialogTestIdModifiers.MODAL_TITLE\"\n                 *ngIf=\"title\">{{ title }}\n            </div>\n            <div class=\"fu-modal-header-description\" *ngIf=\"description\">{{ description }}</div>\n        </div>\n        <fusion-icon-button class=\"fu-modal-close-button\" *ngIf=\"showCloseButton\" size=\"small\" iconName=\"ph/x\"\n                            [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:DialogTestIdModifiers.ACTION_CLOSE\"\n                            (click)=\"onCloseButtonClicked($event)\"></fusion-icon-button>\n    </div>\n    <fusion-alert *ngIf=\"!!alert\" [rounded]=\"false\" [color]=\"alert.color\" [description]=\"alert?.description\"\n                  [actionText]=\"alert?.action?.label\" (action)=\"onAlertActionClicked()\"></fusion-alert>\n    <div class=\"fu-modal-content\">\n        <div class=\"fu-modal-content-message\" *ngIf=\"content\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:DialogTestIdModifiers.MODAL_CONTENT\"\n        >{{ content }}\n        </div>\n        <ng-content></ng-content>\n    </div>\n    <div class=\"fu-modal-footer\">\n        <div class=\"fu-modal-footer-actions\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:DialogTestIdModifiers.ACTION_BUTTONS_WRAPPER\"\n        >\n            <fusion-button *ngIf=\"secondaryButtonLabel\" [disabled]=\"secondaryButtonDisabled\"\n                           [variant]=\"secondaryButtonVariant\" [color]=\"secondaryButtonColor\"\n                           [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:DialogTestIdModifiers.CANCEL_BUTTON\"\n                           class=\"fu-modal-action-secondary\"\n                           (click)=\"onSecondaryButtonClicked($event)\">{{ secondaryButtonLabel }}\n            </fusion-button>\n            <fusion-button *ngIf=\"primaryButtonLabel\" [loading]=\"primaryButtonLoading\"\n                           [disabled]=\"primaryButtonDisabled\" [variant]=\"primaryButtonVariant\"\n                           [color]=\"primaryButtonColor\"\n                           [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:DialogTestIdModifiers.SAVE_BUTTON\"\n                           class=\"fu-modal-action-primary\"\n                           (click)=\"onPrimaryButtonClicked($event)\">{{ primaryButtonLabel }}\n            </fusion-button>\n        </div>\n    </div>\n</div>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}.fusion-v4{--box-shadow-xs: 0px 1px 2px 0px rgba(16, 24, 40, .05);--box-shadow-sm: 0px 1px 3px 0px rgba(16, 24, 40, .1), 0px 1px 2px 0px rgba(16, 24, 40, .06);--box-shadow-md: 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06);--box-shadow-lg: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--box-shadow-xl: 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08);--box-shadow-xxl: 0px 24px 48px -12px rgba(16, 24, 40, .18);--box-shadow-xxxl: 0px 19px 32px 2px rgba(44, 45, 45, .14);--box-shadow-slg: 0px 27px 27px 2px rgba(44, 45, 45, .14)}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,:host .fu-modal-wrapper .fu-modal-header .fu-modal-header-content .fu-modal-header-title,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,.font-v4-body-2,:host .fu-modal-wrapper .fu-modal-content,:host .fu-modal-wrapper .fu-modal-header .fu-modal-header-content .fu-modal-header-description,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}:host .fu-modal-wrapper .fu-modal-header .fu-modal-header-content .fu-modal-header-title,.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}:host .fu-modal-wrapper .fu-modal-content,:host .fu-modal-wrapper .fu-modal-header .fu-modal-header-content .fu-modal-header-description,.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host{position:fixed;inset:0;background:var(--background-backdrop, hsla(0, 0%, 0%, .11));overflow-x:auto;z-index:3010;display:flex;flex-direction:column;align-items:center;justify-content:center}:host .fu-modal-wrapper{width:444px;border-radius:var(--border-radius-lg, 8px);border:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));background-color:var(--background-model-elevation, #FFFFFF);box-shadow:var(--box-shadow-xl, 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08))}:host .fu-modal-wrapper .fu-modal-header{padding:var(--spacing-200, 16px) var(--spacing-300, 24px);border-bottom:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));display:flex}:host .fu-modal-wrapper .fu-modal-header .fu-modal-header-content{display:flex;flex-direction:column}:host .fu-modal-wrapper .fu-modal-header .fu-modal-header-content .fu-modal-header-title{color:var(--text-primary, hsl(0, 0%, 12.5%))}:host .fu-modal-wrapper .fu-modal-header .fu-modal-header-content .fu-modal-header-description{color:var(--text-secondary, hsl(0, 0%, 39.3%))}:host .fu-modal-wrapper .fu-modal-header .fu-modal-close-button{margin-left:auto}:host .fu-modal-wrapper .fu-modal-content{padding:var(--spacing-300, 24px);color:var(--text-secondary, hsl(0, 0%, 39.3%))}:host .fu-modal-wrapper .fu-modal-footer{padding:var(--spacing-150, 12px) var(--spacing-300, 24px);border-top:1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));display:flex;align-items:center}:host .fu-modal-wrapper .fu-modal-footer .fu-modal-footer-actions{margin-left:auto;display:flex;align-items:center;gap:var(--spacing-100, 8px)}:host .fu-modal-wrapper.fu-modal-medium{width:600px}:host .fu-modal-wrapper.fu-modal-large{width:900px}:host-context(.docs-story){position:unset}\n"] }]
    }], () => [{ type: i0.Injector }], { title: [{
            type: Input
        }], description: [{
            type: Input
        }], showHeader: [{
            type: Input
        }], showCloseButton: [{
            type: Input
        }], disableCloseButton: [{
            type: Input
        }], size: [{
            type: Input
        }], content: [{
            type: Input
        }], alert: [{
            type: Input
        }], primaryButtonLabel: [{
            type: Input
        }], primaryButtonColor: [{
            type: Input
        }], primaryButtonVariant: [{
            type: Input
        }], primaryButtonLoading: [{
            type: Input
        }], primaryButtonDisabled: [{
            type: Input
        }], secondaryButtonLabel: [{
            type: Input
        }], secondaryButtonColor: [{
            type: Input
        }], secondaryButtonVariant: [{
            type: Input
        }], secondaryButtonDisabled: [{
            type: Input
        }], closeButtonClicked: [{
            type: Output
        }], secondaryButtonClicked: [{
            type: Output
        }], primaryButtonClicked: [{
            type: Output
        }], testId: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(ModalV4Component, { className: "ModalV4Component", filePath: "modal-v4.component.ts", lineNumber: 19 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { ModalV4Component as ModalComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-modal-v4.mjs.map
