import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown/service';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { MultiDropdownBaseComponent } from '@ironsource/fusion-ui/components/multi-dropdown/common/base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/button/v2';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v2';
import * as i4 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import * as i5 from '@ironsource/fusion-ui/components/checkbox/v2';
import { CheckboxModule } from '@ironsource/fusion-ui/components/checkbox/v2';
import * as i6 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i7 from '@ironsource/fusion-ui/components/tooltip/v2';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v2';
import * as i8 from '@ironsource/fusion-ui/components/dropdown-loader/v2';
import { DropdownLoaderModule } from '@ironsource/fusion-ui/components/dropdown-loader/v2';
import * as i9 from '@ironsource/fusion-ui/components/dropdown-select/v2';
import { DropdownSelectModule } from '@ironsource/fusion-ui/components/dropdown-select/v2';
import { InputModule } from '@ironsource/fusion-ui/components/input/v2';
import { FilterByFieldPipe } from '@ironsource/fusion-ui/pipes/collection';
import { ClonePipe } from '@ironsource/fusion-ui/pipes/clone';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DropdownOptionModule } from '@ironsource/fusion-ui/components/dropdown-option/v2';
import { DropdownSearchModule } from '@ironsource/fusion-ui/components/dropdown-search/v2';

function MultiDropdownComponent_li_9_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li")(1, "label", 16)(2, "fusion-checkbox", 17, 18);
    i0.ɵɵlistener("changed", function MultiDropdownComponent_li_9_Template_fusion_checkbox_changed_2_listener($event) { i0.ɵɵrestoreView(_r15); const ctx_r14 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r14.selectAll($event)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelement(4, "span", 19);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("for", ctx_r2.id + "-select-all");
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", ctx_r2.id + "-select-all")("checked", ctx_r2.isAllSelected)("isIndeterminate", ctx_r2.isIndeterminate);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("innerHTML", ctx_r2.selectAllLabel, i0.ɵɵsanitizeHtml);
} }
const _c0 = a0 => ({ option: a0 });
function MultiDropdownComponent_li_11_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 22);
} if (rf & 2) {
    const option_r16 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵnextContext();
    const _r8 = i0.ɵɵreference(18);
    i0.ɵɵproperty("ngTemplateOutlet", _r8)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0, option_r16));
} }
function MultiDropdownComponent_li_11_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 22);
} if (rf & 2) {
    const option_r16 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵnextContext();
    const _r10 = i0.ɵɵreference(20);
    i0.ɵɵproperty("ngTemplateOutlet", _r10)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0, option_r16));
} }
function MultiDropdownComponent_li_11_Template(rf, ctx) { if (rf & 1) {
    const _r23 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 20);
    i0.ɵɵlistener("click", function MultiDropdownComponent_li_11_Template_li_click_0_listener($event) { i0.ɵɵrestoreView(_r23); const ctx_r22 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r22.optionParentClicked($event)); });
    i0.ɵɵtemplate(1, MultiDropdownComponent_li_11_ng_container_1_Template, 1, 4, "ng-container", 21)(2, MultiDropdownComponent_li_11_ng_container_2_Template, 1, 4, "ng-container", 21);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r16 = ctx.$implicit;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("is-has-children", option_r16.childOptions);
    i0.ɵɵproperty("ngClass", ctx_r3.getOptionClasses(option_r16));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !option_r16.childOptions);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r16.childOptions);
} }
function MultiDropdownComponent_li_14_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 23);
    i0.ɵɵtext(1, "No results ");
    i0.ɵɵelementEnd();
} }
function MultiDropdownComponent_div_15_Template(rf, ctx) { if (rf & 1) {
    const _r25 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 24)(1, "button", 25);
    i0.ɵɵlistener("click", function MultiDropdownComponent_div_15_Template_button_click_1_listener() { i0.ɵɵrestoreView(_r25); const ctx_r24 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r24.closeDropdown()); });
    i0.ɵɵtext(2, " Cancel ");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "button", 26);
    i0.ɵɵlistener("click", function MultiDropdownComponent_div_15_Template_button_click_3_listener() { i0.ɵɵrestoreView(_r25); const ctx_r26 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r26.applySelect(true)); });
    i0.ɵɵtext(4, " Apply ");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("disabled", ctx_r5.loading);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("disabled", ctx_r5.loading);
} }
function MultiDropdownComponent_div_16_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 27);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r6.error);
} }
const _c1 = a0 => ({ "has-icon": a0 });
const _c2 = () => ({ dropdownType: "multi" });
function MultiDropdownComponent_ng_template_17_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r33 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "label", 30)(2, "fusion-checkbox", 31);
    i0.ɵɵlistener("changed", function MultiDropdownComponent_ng_template_17_ng_container_0_Template_fusion_checkbox_changed_2_listener() { i0.ɵɵrestoreView(_r33); const option_r27 = i0.ɵɵnextContext().option; const ctx_r31 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r31.changeSelected(option_r27)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainer(3, 22);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const option_r27 = i0.ɵɵnextContext().option;
    const ctx_r28 = i0.ɵɵnextContext();
    const _r12 = i0.ɵɵreference(22);
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", option_r27.id)("for", ctx_r28.id + "-" + option_r27.id)("ngClass", i0.ɵɵpureFunction1(9, _c1, option_r27.icon))("fusionTooltip", ctx_r28.dropdownService.optionToString(option_r27, ctx_r28.mappingOptions, i0.ɵɵpureFunction0(11, _c2)));
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", ctx_r28.id + "-" + option_r27.id)("checked", ctx_r28.isSelected(option_r27))("value", option_r27.id);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r28.templateRef || _r12)("ngTemplateOutletContext", i0.ɵɵpureFunction1(12, _c0, option_r27));
} }
function MultiDropdownComponent_ng_template_17_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 32);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r27 = i0.ɵɵnextContext().option;
    const ctx_r29 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r29.dropdownService.optionToString(option_r27, i0.ɵɵpureFunction0(1, _c2)), " ");
} }
function MultiDropdownComponent_ng_template_17_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, MultiDropdownComponent_ng_template_17_ng_container_0_Template, 4, 14, "ng-container", 28)(1, MultiDropdownComponent_ng_template_17_ng_template_1_Template, 2, 2, "ng-template", null, 29, i0.ɵɵtemplateRefExtractor);
} if (rf & 2) {
    const option_r27 = ctx.option;
    const _r30 = i0.ɵɵreference(2);
    i0.ɵɵproperty("ngIf", !option_r27.isGroup)("ngIfElse", _r30);
} }
function MultiDropdownComponent_ng_template_19_li_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 37);
    i0.ɵɵelementContainer(1, 22);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const childOption_r38 = ctx.$implicit;
    i0.ɵɵnextContext(2);
    const _r8 = i0.ɵɵreference(18);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", _r8)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0, childOption_r38));
} }
function MultiDropdownComponent_ng_template_19_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 33);
    i0.ɵɵelement(1, "span", 19);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(2, "fusion-icon", 34);
    i0.ɵɵelementStart(3, "ul", 35);
    i0.ɵɵtemplate(4, MultiDropdownComponent_ng_template_19_li_4_Template, 2, 4, "li", 36);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r36 = ctx.option;
    const ctx_r9 = i0.ɵɵnextContext();
    i0.ɵɵproperty("id", option_r36.id)("fusionTooltip", ctx_r9.dropdownService.optionToString(option_r36, ctx_r9.mappingOptions, i0.ɵɵpureFunction0(5, _c2)));
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("innerHTML", ctx_r9.dropdownService.optionToString(option_r36, i0.ɵɵpureFunction0(6, _c2)), i0.ɵɵsanitizeHtml);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r9.dropdownArrowIconName);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", option_r36.childOptions);
} }
function MultiDropdownComponent_ng_template_21_fusion_icon_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 41);
} if (rf & 2) {
    const option_r40 = i0.ɵɵnextContext().option;
    i0.ɵɵproperty("name", option_r40.icon);
} }
function MultiDropdownComponent_ng_template_21_fusion_flag_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 42);
} if (rf & 2) {
    const option_r40 = i0.ɵɵnextContext().option;
    i0.ɵɵproperty("name", option_r40.flag);
} }
function MultiDropdownComponent_ng_template_21_img_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 43);
} if (rf & 2) {
    const option_r40 = i0.ɵɵnextContext().option;
    i0.ɵɵproperty("src", option_r40.image, i0.ɵɵsanitizeUrl);
} }
function MultiDropdownComponent_ng_template_21_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, MultiDropdownComponent_ng_template_21_fusion_icon_0_Template, 1, 1, "fusion-icon", 38)(1, MultiDropdownComponent_ng_template_21_fusion_flag_1_Template, 1, 1, "fusion-flag", 39)(2, MultiDropdownComponent_ng_template_21_img_2_Template, 1, 1, "img", 40);
    i0.ɵɵelement(3, "span", 19);
} if (rf & 2) {
    const option_r40 = ctx.option;
    const ctx_r11 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", option_r40.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r40.flag);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r40.image);
    i0.ɵɵadvance();
    i0.ɵɵproperty("innerHTML", ctx_r11.dropdownService.optionToString(option_r40, ctx_r11.mappingOptions, i0.ɵɵpureFunction0(4, _c2)), i0.ɵɵsanitizeHtml);
} }
const _c3 = (a0, a1, a2) => ({ "dd-disabled": a0, "dd-confirm": a1, "dd-scroll": a2 });
class MultiDropdownComponent extends MultiDropdownBaseComponent {
    constructor() {
        super(...arguments);
        this.dropdownArrowIconName = {
            iconName: 'arrow-down',
            iconVersion: 'v2'
        };
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵMultiDropdownComponent_BaseFactory; return function MultiDropdownComponent_Factory(t) { return (ɵMultiDropdownComponent_BaseFactory || (ɵMultiDropdownComponent_BaseFactory = i0.ɵɵgetInheritedFactory(MultiDropdownComponent)))(t || MultiDropdownComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: MultiDropdownComponent, selectors: [["fusion-multi-dropdown"]], features: [i0.ɵɵProvidersFeature([
                DropdownService,
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => MultiDropdownComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 23, vars: 31, consts: [[1, "is-dropdown", "is-multiselect", 3, "id", "clickOutsideActivate", "ngClass", "fusionClickOutside"], [3, "configurations", "searchValueChanged", "click"], ["selectComponent", ""], [1, "options-dropdown", 3, "ngClass"], [1, "options-holder", 3, "scroll"], ["optionsHolder", ""], [1, "options", "multi"], [4, "ngIf"], ["class", "option", 3, "is-has-children", "ngClass", "click", 4, "ngFor", "ngForOf"], [3, "fusionDropdownLoader"], ["class", "no-results", 4, "ngIf"], ["class", "dd-actions", 4, "ngIf"], ["class", "error-msg", 4, "ngIf"], ["regularOption", ""], ["parentOption", ""], ["basicTemplate", ""], [1, "is-option-label", 3, "for"], [3, "id", "checked", "isIndeterminate", "changed"], ["selectAllCheckbox", ""], [3, "innerHTML"], [1, "option", 3, "ngClass", "click"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngIf"], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], [1, "no-results"], [1, "dd-actions"], ["type", "button", "fusion-button", "", 1, "secondary", "small", "transparent", 3, "disabled", "click"], ["type", "button", "fusion-button", "", 1, "primary", "small", "transparent", 3, "disabled", "click"], [1, "error-msg"], [4, "ngIf", "ngIfElse"], ["groupOption", ""], [1, "is-option-label", "truncate", 3, "id", "for", "ngClass", "fusionTooltip"], [3, "id", "checked", "value", "changed"], [1, "is-dd-group"], [1, "text", "truncate", 3, "id", "fusionTooltip"], [1, "option-icon-arrow", 3, "name"], [1, "is-subgroup-options"], ["class", "option", 4, "ngFor", "ngForOf"], [1, "option"], ["class", "icon", 3, "name", 4, "ngIf"], [3, "name", 4, "ngIf"], ["alt", "", 3, "src", 4, "ngIf"], [1, "icon", 3, "name"], [3, "name"], ["alt", "", 3, "src"]], template: function MultiDropdownComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function MultiDropdownComponent_Template_div_fusionClickOutside_0_listener() { return ctx.onOutsideClick(); });
            i0.ɵɵpipe(1, "async");
            i0.ɵɵelementStart(2, "fusion-dropdown-select", 1, 2);
            i0.ɵɵlistener("searchValueChanged", function MultiDropdownComponent_Template_fusion_dropdown_select_searchValueChanged_2_listener($event) { return ctx.searchValue.setValue($event); })("click", function MultiDropdownComponent_Template_fusion_dropdown_select_click_2_listener($event) { return ctx.openDropdown($event); });
            i0.ɵɵpipe(4, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(5, "div", 3)(6, "div", 4, 5);
            i0.ɵɵlistener("scroll", function MultiDropdownComponent_Template_div_scroll_6_listener($event) { return ctx.onScroll($event); });
            i0.ɵɵelementStart(8, "ul", 6);
            i0.ɵɵtemplate(9, MultiDropdownComponent_li_9_Template, 5, 5, "li", 7);
            i0.ɵɵpipe(10, "async");
            i0.ɵɵtemplate(11, MultiDropdownComponent_li_11_Template, 3, 5, "li", 8);
            i0.ɵɵpipe(12, "async");
            i0.ɵɵelement(13, "li", 9);
            i0.ɵɵtemplate(14, MultiDropdownComponent_li_14_Template, 2, 0, "li", 10);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(15, MultiDropdownComponent_div_15_Template, 5, 2, "div", 11);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(16, MultiDropdownComponent_div_16_Template, 2, 1, "div", 12)(17, MultiDropdownComponent_ng_template_17_Template, 3, 2, "ng-template", null, 13, i0.ɵɵtemplateRefExtractor)(19, MultiDropdownComponent_ng_template_19_Template, 5, 7, "ng-template", null, 14, i0.ɵɵtemplateRefExtractor)(21, MultiDropdownComponent_ng_template_21_Template, 4, 5, "ng-template", null, 15, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵstyleProp("width", ctx.placeholderWidth);
            i0.ɵɵproperty("id", ctx.id)("clickOutsideActivate", i0.ɵɵpipeBind1(1, 19, ctx.isOpen$))("ngClass", ctx.getHolderCSSClasses());
            i0.ɵɵadvance(2);
            i0.ɵɵclassProp("is-icon-right-position", ctx.isIconRightPosition);
            i0.ɵɵproperty("configurations", i0.ɵɵpipeBind1(4, 21, ctx.dropdownSelectConfigurations$));
            i0.ɵɵadvance(3);
            i0.ɵɵclassProp("options-locate-left", ctx.isLocatedLeft)("options-locate-right", ctx.isLocatedRight);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(27, _c3, ctx.isDisabled || ctx.isDisabledForm, ctx.search || ctx.autoComplete, (ctx.filteredOptions == null ? null : ctx.filteredOptions.length) >= ctx.optionsWithoutScroll));
            i0.ɵɵadvance(4);
            i0.ɵɵproperty("ngIf", ctx.selectAllLabel && !ctx.loading && i0.ɵɵpipeBind1(10, 23, ctx.hasSearchValue$) === false && (ctx.filteredOptions == null ? null : ctx.filteredOptions.length) !== 0);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(12, 25, ctx.displayedOptions$));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("fusionDropdownLoader", (ctx.autoComplete || ctx.search) && ctx.loading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !(ctx.filteredOptions == null ? null : ctx.filteredOptions.length) && !ctx.loading && (ctx.searchValue == null ? null : ctx.searchValue.value));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.confirm);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.error);
        } }, dependencies: [i1.NgClass, i1.NgForOf, i1.NgIf, i1.NgTemplateOutlet, i2.IconComponent, i3.ButtonComponent, i4.FlagComponent, i5.CheckboxComponent, i6.ClickOutsideDirective, i7.TooltipDirective, i8.DropdownLoaderDirective, i9.DropdownSelectComponent, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{font-size:11px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%]{left:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%]{right:auto}[_nghost-%COMP%]{display:inline;min-width:85px;line-height:20px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{position:absolute;left:0;right:0;top:100%;max-height:0;background:var(--fu-white, #ffffff);box-shadow:0 2px 4px #0c003333;border:solid 1px var(--fu-light-300, #e5e7e9);border-radius:4px;display:none}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding:4px;overflow:hidden;overflow-y:auto}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:264px;overflow-x:hidden}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:300px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{background:none;cursor:default;padding:8px 10px;height:32px;color:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:245px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]{text-align:right;background-color:var(--fu-white, #ffffff);padding:8px 7px 7px;border-top:solid 1px var(--fu-light-300, #e5e7e9)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{margin-left:2px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{max-height:296px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:333px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:245px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{height:32px;border-radius:4px;padding:0 8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{position:relative;cursor:pointer;display:block;color:var(--fu-dark-700, #1d1c64);height:100%;padding:8px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%]{margin-right:8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{width:20px;height:20px;max-width:20px;border-radius:4px;vertical-align:middle;margin-right:10px;margin-top:-2px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{margin-right:6px;vertical-align:sub;display:inline-block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #b7bbc0)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:6px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.has-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.has-icon[_ngcontent-%COMP%]{padding-right:20px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]{padding:8px;height:24px;background-color:var(--fu-light-200, #f0f1f2);border-radius:4px;margin:4px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]:first-child, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]:first-child{margin-top:0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{text-transform:uppercase;color:var(--fu-light-900, #7b838c);cursor:default;display:block;height:24px;margin:-5px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]{position:relative;color:var(--fu-light-900, #7b838c);border:solid 1px transparent;cursor:pointer;padding-left:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%] > div[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%] > div[_ngcontent-%COMP%]{margin-top:5px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]{position:absolute;right:7px;top:5px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg{width:8px;height:8px;transform:rotate(-90deg)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:none;margin:5px -10px 0 -14px;padding-top:4px;background-color:#fff}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{display:flex;align-content:center;align-items:center;padding-left:5px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%]{margin:-5px 5px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%] > span[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{margin-top:1px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]{height:100%}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg{width:8px;height:8px;transform:rotate(360deg)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]{padding:8px 10px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]:hover{background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-100, #f7f8f9)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]{position:absolute;right:-3px;top:8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .is-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-disabled[_ngcontent-%COMP%]{cursor:not-allowed}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{color:var(--fu-negative-500, #ff6a63);margin-top:-2px}.fu-options-position-up[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-options-position-up[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:inherit;bottom:calc(100% + 2px)}.fu-items-top[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-items-top   [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:0}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MultiDropdownComponent, [{
        type: Component,
        args: [{ selector: 'fusion-multi-dropdown', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    DropdownService,
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => MultiDropdownComponent),
                        multi: true
                    }
                ], template: "<div\n    class=\"is-dropdown is-multiselect\"\n    [id]=\"id\"\n    [style.width]=\"placeholderWidth\"\n    [clickOutsideActivate]=\"isOpen$ | async\"\n    (fusionClickOutside)=\"onOutsideClick()\"\n    [ngClass]=\"getHolderCSSClasses()\"\n>\n    <fusion-dropdown-select\n        [class.is-icon-right-position]=\"this.isIconRightPosition\"\n        (searchValueChanged)=\"searchValue.setValue($event)\"\n        (click)=\"openDropdown($event)\"\n        [configurations]=\"dropdownSelectConfigurations$ | async\"\n        #selectComponent\n    >\n    </fusion-dropdown-select>\n    <div\n        class=\"options-dropdown\"\n        [class.options-locate-left]=\"isLocatedLeft\"\n        [class.options-locate-right]=\"isLocatedRight\"\n        [ngClass]=\"{\n            'dd-disabled': isDisabled || isDisabledForm,\n            'dd-confirm': search || autoComplete,\n            'dd-scroll': filteredOptions?.length >= optionsWithoutScroll\n        }\"\n    >\n        <!--dropdown options holder-->\n        <div class=\"options-holder\" (scroll)=\"onScroll($event)\" #optionsHolder>\n            <ul class=\"options multi\">\n                <!--select all option checkbox-->\n                <li *ngIf=\"selectAllLabel && !loading && (hasSearchValue$ | async) === false && filteredOptions?.length !== 0\">\n                    <label class=\"is-option-label\" [for]=\"id + '-select-all'\">\n                        <fusion-checkbox\n                            [id]=\"id + '-select-all'\"\n                            [checked]=\"isAllSelected\"\n                            [isIndeterminate]=\"isIndeterminate\"\n                            (changed)=\"selectAll($event)\"\n                            #selectAllCheckbox\n                        ></fusion-checkbox>\n                        <span [innerHTML]=\"selectAllLabel\"></span>\n                    </label>\n                </li>\n                <!--options-->\n                <li class=\"option\" [class.is-has-children]=\"option.childOptions\"\n                    (click)=\"optionParentClicked($event)\" [ngClass]=\"getOptionClasses(option)\"\n                    *ngFor=\"let option of displayedOptions$ | async; index as i\">\n                    <!--option regular or parent for check-->\n                    <ng-container *ngIf=\"!option.childOptions\" [ngTemplateOutlet]=\"regularOption\" [ngTemplateOutletContext]=\"{option: option}\"></ng-container>\n                    <ng-container *ngIf=\"option.childOptions\" [ngTemplateOutlet]=\"parentOption\" [ngTemplateOutletContext]=\"{option: option}\"></ng-container>\n                </li>\n                <!--loader holder-->\n                <li [fusionDropdownLoader]=\"(autoComplete || search) && loading\"></li>\n                <!--no-result holder-->\n                <li class=\"no-results\" *ngIf=\"!filteredOptions?.length && !loading && searchValue?.value\">No results\n                </li>\n            </ul>\n        </div>\n        <!--action \"confirm\" buttons holder-->\n        <div class=\"dd-actions\" *ngIf=\"confirm\">\n            <button\n                type=\"button\"\n                fusion-button\n                class=\"secondary small transparent\"\n                (click)=\"closeDropdown()\"\n                [disabled]=\"loading\"\n            >\n                Cancel\n            </button>\n            <button\n                type=\"button\"\n                fusion-button\n                class=\"primary small transparent\"\n                (click)=\"applySelect(true)\"\n                [disabled]=\"loading\"\n            >\n                Apply\n            </button>\n        </div>\n    </div>\n</div>\n<!--errors holder-->\n<div class=\"error-msg\" *ngIf=\"error\">{{ error }}</div>\n\n<!--INNER TEMPLATES-->\n<!--regular option-->\n<ng-template #regularOption let-option=\"option\">\n    <ng-container *ngIf=\"!option.isGroup; else groupOption\">\n        <label\n            class=\"is-option-label truncate\"\n            [id]=\"option.id\"\n            [for]=\"id + '-' + option.id\"\n            [ngClass]=\"{'has-icon': option.icon}\"\n            [fusionTooltip]=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'})\"\n        >\n            <fusion-checkbox\n                [id]=\"id + '-' + option.id\"\n                [checked]=\"isSelected(option)\"\n                [value]=\"option.id\"\n                (changed)=\"changeSelected(option)\"\n            ></fusion-checkbox>\n            <ng-container [ngTemplateOutlet]=\"templateRef || basicTemplate\" [ngTemplateOutletContext]=\"{option: option}\">\n            </ng-container>\n        </label>\n    </ng-container>\n    <ng-template #groupOption>\n        <div class=\"is-dd-group\">\n            {{ dropdownService.optionToString(option, {dropdownType: 'multi'}) }}\n        </div>\n    </ng-template>\n</ng-template>\n\n<!--parent option-->\n<ng-template #parentOption let-option=\"option\">\n    <div [id]=\"option.id\" class=\"text truncate\"\n         [fusionTooltip]=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'})\">\n        <span innerHTML=\"{{ dropdownService.optionToString(option, {dropdownType: 'multi'}) }}\"></span>\n    </div>\n    <fusion-icon class=\"option-icon-arrow\"\n                 [name]=\"dropdownArrowIconName\"></fusion-icon>\n    <ul class=\"is-subgroup-options\">\n        <li class=\"option\" *ngFor=\"let childOption of option.childOptions; index as i\">\n            <ng-container [ngTemplateOutlet]=\"regularOption\"\n                          [ngTemplateOutletContext]=\"{option: childOption}\"></ng-container>\n        </li>\n    </ul>\n</ng-template>\n\n<!--option basic content-->\n<ng-template #basicTemplate let-option=\"option\">\n    <fusion-icon *ngIf=\"option.icon\" [name]=\"option.icon\" class=\"icon\"></fusion-icon>\n    <fusion-flag *ngIf=\"option.flag\" [name]=\"option.flag\"></fusion-flag>\n    <img [src]=\"option.image\" *ngIf=\"option.image\" alt=\"\"/>\n    <span [innerHTML]=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'})\"></span>\n</ng-template>\n", styles: [":host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host .error-msg{font-size:11px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}:host *{box-sizing:border-box}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host .is-dropdown .options-locate-right.options-dropdown,:host .is-tags-holder .options-locate-right.options-dropdown{left:auto}:host .is-dropdown .options-locate-left.options-dropdown,:host .is-tags-holder .options-locate-left.options-dropdown{right:auto}:host{display:inline;min-width:85px;line-height:20px}:host .is-dropdown,:host .is-tags-holder{position:relative}:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{position:absolute;left:0;right:0;top:100%;max-height:0;background:var(--fu-white, #ffffff);box-shadow:0 2px 4px #0c003333;border:solid 1px var(--fu-light-300, #e5e7e9);border-radius:4px;display:none}:host .is-dropdown .options-dropdown .options-holder,:host .is-tags-holder .options-dropdown .options-holder{padding:4px;overflow:hidden;overflow-y:auto}:host .is-dropdown.dd-opened .options-dropdown,:host .is-tags-holder.dd-opened .options-dropdown{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:264px;overflow-x:hidden}:host .is-dropdown.dd-opened .options-dropdown.dd-disabled,:host .is-tags-holder.dd-opened .options-dropdown.dd-disabled{display:none}:host .is-dropdown.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.dd-opened .options-dropdown.dd-confirm{max-height:300px}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .is-hidden,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .is-hidden{display:none}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{background:none;cursor:default;padding:8px 10px;height:32px;color:var(--fu-light-900, #7b838c)}:host .is-dropdown.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:245px}:host .is-dropdown .dd-actions,:host .is-tags-holder .dd-actions{text-align:right;background-color:var(--fu-white, #ffffff);padding:8px 7px 7px;border-top:solid 1px var(--fu-light-300, #e5e7e9)}:host .is-dropdown .dd-actions button+button,:host .is-tags-holder .dd-actions button+button{margin-left:2px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown{max-height:296px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-confirm{max-height:333px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:245px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li{height:32px;border-radius:4px;padding:0 8px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{position:relative;cursor:pointer;display:block;color:var(--fu-dark-700, #1d1c64);height:100%;padding:8px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-checkbox,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-checkbox{margin-right:8px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img{width:20px;height:20px;max-width:20px;border-radius:4px;vertical-align:middle;margin-right:10px;margin-top:-2px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon{margin-right:6px;vertical-align:sub;display:inline-block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--fu-light-600, #b7bbc0)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag{margin-right:6px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.has-icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.has-icon{padding-right:20px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group{padding:8px;height:24px;background-color:var(--fu-light-200, #f0f1f2);border-radius:4px;margin:4px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group:first-child,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group:first-child{margin-top:0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group{text-transform:uppercase;color:var(--fu-light-900, #7b838c);cursor:default;display:block;height:24px;margin:-5px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children{position:relative;color:var(--fu-light-900, #7b838c);border:solid 1px transparent;cursor:pointer;padding-left:13px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children>div,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children>div{margin-top:5px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow],:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow]{position:absolute;right:7px;top:5px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg{width:8px;height:8px;transform:rotate(-90deg)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options{display:none;margin:5px -10px 0 -14px;padding-top:4px;background-color:#fff}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label{display:flex;align-content:center;align-items:center;padding-left:5px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label fusion-checkbox,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label fusion-checkbox{margin:-5px 5px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label>span,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label>span{margin-top:1px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open{height:100%}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg{width:8px;height:8px;transform:rotate(360deg)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options{display:block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results{padding:8px 10px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results:hover{background-color:var(--fu-white, #ffffff)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li:hover{background-color:var(--fu-light-100, #f7f8f9)}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon],:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon]{position:absolute;right:-3px;top:8px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .is-dropdown.dd-disabled,:host .is-tags-holder.dd-disabled{cursor:not-allowed}:host .error-msg{color:var(--fu-negative-500, #ff6a63);margin-top:-2px}:host.fu-options-position-up .is-dropdown .options-dropdown,:host.fu-options-position-up .is-tags-holder.dd-opened .options-dropdown{top:inherit;bottom:calc(100% + 2px)}:host-context(.fu-items-top) .is-dropdown .options-dropdown{top:0}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(MultiDropdownComponent, { className: "MultiDropdownComponent", filePath: "multi-dropdown.component.ts", lineNumber: 20 }); })();

class MultiDropdownModule {
    static { this.ɵfac = function MultiDropdownModule_Factory(t) { return new (t || MultiDropdownModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: MultiDropdownModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            ReactiveFormsModule,
            IconModule,
            ButtonModule,
            InputModule,
            FlagModule,
            CheckboxModule,
            ClickOutsideModule,
            TooltipModule,
            DynamicComponentsModule,
            DropdownLoaderModule,
            DropdownOptionModule,
            DropdownSearchModule,
            DropdownSelectModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MultiDropdownModule, [{
        type: NgModule,
        args: [{
                declarations: [MultiDropdownComponent],
                exports: [MultiDropdownComponent],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    IconModule,
                    ButtonModule,
                    InputModule,
                    FlagModule,
                    CheckboxModule,
                    ClickOutsideModule,
                    FilterByFieldPipe,
                    ClonePipe,
                    TooltipModule,
                    DynamicComponentsModule,
                    DropdownLoaderModule,
                    DropdownOptionModule,
                    DropdownSearchModule,
                    DropdownSelectModule
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(MultiDropdownModule, { declarations: [MultiDropdownComponent], imports: [CommonModule,
        ReactiveFormsModule,
        IconModule,
        ButtonModule,
        InputModule,
        FlagModule,
        CheckboxModule,
        ClickOutsideModule,
        FilterByFieldPipe,
        ClonePipe,
        TooltipModule,
        DynamicComponentsModule,
        DropdownLoaderModule,
        DropdownOptionModule,
        DropdownSearchModule,
        DropdownSelectModule], exports: [MultiDropdownComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { MultiDropdownComponent, MultiDropdownModule };
//# sourceMappingURL=ironsource-fusion-ui-components-multi-dropdown-v2.mjs.map
