import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { MultiDropdownBaseComponent } from '@ironsource/fusion-ui/components/multi-dropdown/common/base';
import { TooltipDirective } from '@ironsource/fusion-ui/components/tooltip/v4';
import * as i3 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import { DropdownSelectComponent } from '@ironsource/fusion-ui/components/dropdown-select/v4';
import * as i4 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { CheckboxComponent } from '@ironsource/fusion-ui/components/checkbox/v4';
import { ButtonComponent } from '@ironsource/fusion-ui/components/button/v4';
import { FlagComponent } from '@ironsource/fusion-ui/components/flag/v4';
import { DropdownSearchComponent } from '@ironsource/fusion-ui/components/dropdown-search/v4';
import { ApiBase } from '@ironsource/fusion-ui/components/api-base';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import { LoaderComponent } from '@ironsource/fusion-ui/components/loader/v4';
import { InputHelperComponent } from '@ironsource/fusion-ui/components/input-helper/v4';
import { InputLabelComponent } from '@ironsource/fusion-ui/components/input-label/v4';

function MultiDropdownV4Component_Conditional_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-input-label", 19);
    i0.ɵɵpipe(1, "async");
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    let tmp_4_0;
    i0.ɵɵproperty("text", ctx_r0.labelText)("required", ctx_r0.labelRequired)("icon", ctx_r0.labelIcon)("tooltipText", ctx_r0.labelTooltipText)("disabled", (tmp_4_0 = i0.ɵɵpipeBind1(1, 5, ctx_r0.dropdownSelectConfigurations$)) == null ? null : tmp_4_0.disabled);
} }
function MultiDropdownV4Component_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    const _r28 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 20, 21);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_Conditional_4_Template_div_click_0_listener($event) { i0.ɵɵrestoreView(_r28); const ctx_r27 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r27.openDropdown($event)); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementContainer(3, 22);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 2, ctx_r1.testIdsService.getTestAttribute.bind(ctx_r1), ctx_r1.testId, ctx_r1.testIdDropdownModifiers.TRIGGER));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r1.templateRef);
} }
function MultiDropdownV4Component_Conditional_5_Template(rf, ctx) { if (rf & 1) {
    const _r31 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 20, 21);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_Conditional_5_Template_div_click_0_listener($event) { i0.ɵɵrestoreView(_r31); const ctx_r30 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r30.openDropdown($event)); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementContainer(3, 23);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 3, ctx_r2.testIdsService.getTestAttribute.bind(ctx_r2), ctx_r2.testId, ctx_r2.testIdDropdownModifiers.TRIGGER));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngComponentOutlet", ctx_r2.dynamicTrigger == null ? null : ctx_r2.dynamicTrigger.type)("ngComponentOutletInputs", ctx_r2.dynamicTrigger == null ? null : ctx_r2.dynamicTrigger.data);
} }
function MultiDropdownV4Component_Conditional_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 22);
} if (rf & 2) {
    i0.ɵɵnextContext();
    const _r5 = i0.ɵɵreference(8);
    i0.ɵɵproperty("ngTemplateOutlet", _r5);
} }
function MultiDropdownV4Component_ng_template_7_fusion_dropdown_select_0_Template(rf, ctx) { if (rf & 1) {
    const _r36 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-dropdown-select", 25, 26);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_ng_template_7_fusion_dropdown_select_0_Template_fusion_dropdown_select_click_0_listener($event) { i0.ɵɵrestoreView(_r36); const ctx_r35 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r35.openDropdown($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const triggerConfiguration_r33 = ctx.ngIf;
    const ctx_r32 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("placeholder", triggerConfiguration_r33.placeholder)("disabled", triggerConfiguration_r33.disabled)("isOpen", triggerConfiguration_r33.isOpen)("icon", triggerConfiguration_r33.icon)("imageUrl", triggerConfiguration_r33.labelImage)("country", triggerConfiguration_r33.labelFlag)("size", ctx_r32.size)("testId", ctx_r32.testId);
} }
function MultiDropdownV4Component_ng_template_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, MultiDropdownV4Component_ng_template_7_fusion_dropdown_select_0_Template, 2, 8, "fusion-dropdown-select", 24);
    i0.ɵɵpipe(1, "async");
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(1, 1, ctx_r4.dropdownSelectConfigurations$));
} }
function MultiDropdownV4Component_div_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 27);
    i0.ɵɵelement(1, "fusion-dropdown-search", 28, 29);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("formControl", ctx_r6.searchValue)("placeholder", ctx_r6.searchPlaceholder);
} }
function MultiDropdownV4Component_li_15_Template(rf, ctx) { if (rf & 1) {
    const _r40 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li")(1, "label", 30);
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementStart(3, "fusion-checkbox", 31, 32);
    i0.ɵɵlistener("changed", function MultiDropdownV4Component_li_15_Template_fusion_checkbox_changed_3_listener($event) { i0.ɵɵrestoreView(_r40); const ctx_r39 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r39.selectAll($event)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelement(5, "span", 33);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("for", ctx_r8.id + "-select-all");
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 7, ctx_r8.testIdsService.getTestAttribute.bind(ctx_r8), ctx_r8.testId, ctx_r8.testIdDropdownModifiers.SELECT_ALL));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("id", ctx_r8.id + "-select-all")("checked", ctx_r8.isAllSelected)("value", ctx_r8.id + "-select-all")("isIndeterminate", ctx_r8.isIndeterminate);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("innerHTML", ctx_r8.selectAllLabel, i0.ɵɵsanitizeHtml);
} }
const _c0 = a0 => ({ option: a0 });
function MultiDropdownV4Component_li_17_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 36);
} if (rf & 2) {
    const option_r41 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵnextContext();
    const _r15 = i0.ɵɵreference(24);
    i0.ɵɵproperty("ngTemplateOutlet", _r15)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0, option_r41));
} }
function MultiDropdownV4Component_li_17_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 36);
} if (rf & 2) {
    const option_r41 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵnextContext();
    const _r17 = i0.ɵɵreference(26);
    i0.ɵɵproperty("ngTemplateOutlet", _r17)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0, option_r41));
} }
function MultiDropdownV4Component_li_17_Template(rf, ctx) { if (rf & 1) {
    const _r48 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 34);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_li_17_Template_li_click_0_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r48); const option_r41 = restoredCtx.$implicit; const ctx_r47 = i0.ɵɵnextContext(); return i0.ɵɵresetView(!option_r41.isGroup ? ctx_r47.optionParentClicked($event, "fu-has-children", "fu-open") : $event.stopPropagation()); });
    i0.ɵɵtemplate(1, MultiDropdownV4Component_li_17_ng_container_1_Template, 1, 4, "ng-container", 35)(2, MultiDropdownV4Component_li_17_ng_container_2_Template, 1, 4, "ng-container", 35);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r41 = ctx.$implicit;
    const i_r42 = ctx.index;
    const ctx_r9 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("fu-option-two-lines", !!option_r41.subText)("fu-has-children", option_r41.childOptions)("fu-open", option_r41.childOptions && option_r41.isGroup);
    i0.ɵɵproperty("ngClass", ctx_r9.getOptionClasses(option_r41, i_r42));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !option_r41.childOptions);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r41.childOptions);
} }
function MultiDropdownV4Component_li_19_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li")(1, "div", 37);
    i0.ɵɵelement(2, "fusion-loader");
    i0.ɵɵelementStart(3, "div");
    i0.ɵɵtext(4, "Loading...");
    i0.ɵɵelementEnd()()();
} }
function MultiDropdownV4Component_li_20_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 38);
    i0.ɵɵtext(1, "No results found ");
    i0.ɵɵelementEnd();
} }
function MultiDropdownV4Component_div_21_Template(rf, ctx) { if (rf & 1) {
    const _r50 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 39)(1, "fusion-button", 40);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_div_21_Template_fusion_button_click_1_listener() { i0.ɵɵrestoreView(_r50); const ctx_r49 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r49.clearAll()); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵtext(3, "Clear all ");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "fusion-button", 41);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_div_21_Template_fusion_button_click_4_listener() { i0.ɵɵrestoreView(_r50); const ctx_r51 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r51.closeDropdown()); });
    i0.ɵɵpipe(5, "generic");
    i0.ɵɵtext(6, " Cancel ");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(7, "fusion-button", 42);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_div_21_Template_fusion_button_click_7_listener() { i0.ɵɵrestoreView(_r50); const ctx_r52 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r52.applySelect(true)); });
    i0.ɵɵpipe(8, "generic");
    i0.ɵɵtext(9, " Apply ");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("disabled", ctx_r12.loading)("testId", i0.ɵɵpipeBind3(2, 6, ctx_r12.testIdsService.getTestAttribute.bind(ctx_r12), ctx_r12.testId, ctx_r12.testIdDropdownModifiers.ACTION_CLEAR_ALL));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("disabled", ctx_r12.loading)("testId", i0.ɵɵpipeBind3(5, 10, ctx_r12.testIdsService.getTestAttribute.bind(ctx_r12), ctx_r12.testId, ctx_r12.testIdDropdownModifiers.ACTION_CANCEL));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("disabled", ctx_r12.loading)("testId", i0.ɵɵpipeBind3(8, 14, ctx_r12.testIdsService.getTestAttribute.bind(ctx_r12), ctx_r12.testId, ctx_r12.testIdDropdownModifiers.ACTION_APPLY));
} }
function MultiDropdownV4Component_div_22_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 43);
    i0.ɵɵelement(1, "fusion-input-helper", 44);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r13 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("text", ctx_r13.helperText)("state", ctx_r13.helperVariant)("iconName", ctx_r13.helperIcon)("testId", ctx_r13.testId);
} }
const _c1 = a0 => ({ "has-icon": a0 });
const _c2 = () => ({ dropdownType: "multi" });
function MultiDropdownV4Component_ng_template_23_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r61 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "label", 47);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_ng_template_23_ng_container_0_Template_label_click_1_listener($event) { return $event.stopPropagation(); });
    i0.ɵɵelementStart(2, "fusion-checkbox", 48);
    i0.ɵɵlistener("changed", function MultiDropdownV4Component_ng_template_23_ng_container_0_Template_fusion_checkbox_changed_2_listener() { i0.ɵɵrestoreView(_r61); const option_r53 = i0.ɵɵnextContext().option; const ctx_r59 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r59.changeSelected(option_r53)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainer(3, 36);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r62 = i0.ɵɵnextContext();
    const option_r53 = ctx_r62.option;
    const indentation_r54 = ctx_r62.indentation;
    const ctx_r55 = i0.ɵɵnextContext();
    const _r19 = i0.ɵɵreference(28);
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", option_r53.id)("for", ctx_r55.id + "-" + option_r53.id)("ngClass", i0.ɵɵpureFunction1(11, _c1, option_r53.icon))("fusionTooltip", ctx_r55.dropdownService.optionToString(option_r53, ctx_r55.mappingOptions, i0.ɵɵpureFunction0(13, _c2)));
    i0.ɵɵadvance();
    i0.ɵɵclassProp("fu-indentation", indentation_r54);
    i0.ɵɵproperty("id", ctx_r55.id + "-" + option_r53.id)("checked", ctx_r55.isSelected(option_r53))("value", option_r53.id);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r55.optionTemplateRef || _r19)("ngTemplateOutletContext", i0.ɵɵpureFunction1(14, _c0, option_r53));
} }
function MultiDropdownV4Component_ng_template_23_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 49);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r53 = i0.ɵɵnextContext().option;
    const ctx_r56 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r56.dropdownService.optionToString(option_r53, i0.ɵɵpureFunction0(1, _c2)), " ");
} }
function MultiDropdownV4Component_ng_template_23_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, MultiDropdownV4Component_ng_template_23_ng_container_0_Template, 4, 16, "ng-container", 45)(1, MultiDropdownV4Component_ng_template_23_ng_template_1_Template, 2, 2, "ng-template", null, 46, i0.ɵɵtemplateRefExtractor);
} if (rf & 2) {
    const option_r53 = ctx.option;
    const _r57 = i0.ɵɵreference(2);
    i0.ɵɵproperty("ngIf", !option_r53.isGroup)("ngIfElse", _r57);
} }
const _c3 = (a0, a1) => ({ option: a0, indentation: a1 });
function MultiDropdownV4Component_ng_template_25_li_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 53);
    i0.ɵɵelementContainer(1, 36);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const childOption_r67 = ctx.$implicit;
    const option_r64 = i0.ɵɵnextContext().option;
    i0.ɵɵnextContext();
    const _r15 = i0.ɵɵreference(24);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", _r15)("ngTemplateOutletContext", i0.ɵɵpureFunction2(2, _c3, childOption_r67, !option_r64.isGroup));
} }
const _c4 = (a0, a1) => ({ option: a0, children: a1 });
function MultiDropdownV4Component_ng_template_25_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 36);
    i0.ɵɵelementStart(1, "ul", 50, 51);
    i0.ɵɵtemplate(3, MultiDropdownV4Component_ng_template_25_li_3_Template, 2, 5, "li", 52);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r64 = ctx.option;
    i0.ɵɵnextContext();
    const _r23 = i0.ɵɵreference(32);
    const _r25 = i0.ɵɵreference(34);
    i0.ɵɵproperty("ngTemplateOutlet", option_r64.isGroup ? _r23 : _r25)("ngTemplateOutletContext", i0.ɵɵpureFunction2(5, _c4, option_r64, option_r64.childOptions));
    i0.ɵɵadvance();
    i0.ɵɵclassProp("fu-nested-subgroup", !option_r64.isGroup);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", option_r64.childOptions);
} }
function MultiDropdownV4Component_ng_template_27_img_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 58);
} if (rf & 2) {
    const option_r70 = i0.ɵɵnextContext().option;
    i0.ɵɵproperty("src", option_r70.image, i0.ɵɵsanitizeUrl);
} }
function MultiDropdownV4Component_ng_template_27_fusion_flag_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 59);
} if (rf & 2) {
    const option_r70 = i0.ɵɵnextContext().option;
    i0.ɵɵproperty("countryCode", option_r70.flag);
} }
const _c5 = a0 => ({ "phosphor-icon": a0 });
function MultiDropdownV4Component_ng_template_27_fusion_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 60);
} if (rf & 2) {
    const option_r70 = i0.ɵɵnextContext().option;
    i0.ɵɵproperty("name", option_r70.icon)("ngClass", i0.ɵɵpureFunction1(2, _c5, option_r70 == null ? null : option_r70.icon == null ? null : option_r70.icon.startsWith("ph/")));
} }
function MultiDropdownV4Component_ng_template_27_div_3_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 64);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r70 = i0.ɵɵnextContext(2).option;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate((option_r70.subText == null ? null : option_r70.subText.text) || option_r70.subText);
} }
function MultiDropdownV4Component_ng_template_27_div_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 61);
    i0.ɵɵelement(1, "div", 62);
    i0.ɵɵtemplate(2, MultiDropdownV4Component_ng_template_27_div_3_div_2_Template, 2, 1, "div", 63);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const optionContent_r78 = ctx.ngIf;
    const option_r70 = i0.ɵɵnextContext().option;
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", optionContent_r78)("innerHTML", optionContent_r78, i0.ɵɵsanitizeHtml);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r70.subText);
} }
function MultiDropdownV4Component_ng_template_27_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, MultiDropdownV4Component_ng_template_27_img_0_Template, 1, 1, "img", 54)(1, MultiDropdownV4Component_ng_template_27_fusion_flag_1_Template, 1, 1, "fusion-flag", 55)(2, MultiDropdownV4Component_ng_template_27_fusion_icon_2_Template, 1, 4, "fusion-icon", 56)(3, MultiDropdownV4Component_ng_template_27_div_3_Template, 3, 3, "div", 57);
} if (rf & 2) {
    const option_r70 = ctx.option;
    const ctx_r18 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", option_r70.image);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r70.flag);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r70.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r18.dropdownService.optionToString(option_r70, ctx_r18.mappingOptions, i0.ɵɵpureFunction0(4, _c2)));
} }
function MultiDropdownV4Component_ng_template_29_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 68);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r82 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r82.placeholderPrefix);
} }
function MultiDropdownV4Component_ng_template_29_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtext(1);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const placeholder_r84 = ctx.ngIf;
    const ctx_r83 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1("", (ctx_r83.placeholderPrefix ? ": " : "") + placeholder_r84, " ");
} }
function MultiDropdownV4Component_ng_template_29_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 65)(1, "div", 66);
    i0.ɵɵtemplate(2, MultiDropdownV4Component_ng_template_29_span_2_Template, 2, 1, "span", 67)(3, MultiDropdownV4Component_ng_template_29_ng_container_3_Template, 2, 1, "ng-container", 8);
    i0.ɵɵpipe(4, "async");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r20 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", ctx_r20.chipDefaultContent);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r20.placeholderPrefix);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(4, 3, ctx_r20.placeholder$));
} }
function MultiDropdownV4Component_ng_template_31_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 69);
    i0.ɵɵelement(1, "span", 33);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r85 = ctx.option;
    const ctx_r22 = i0.ɵɵnextContext();
    i0.ɵɵproperty("id", option_r85.id)("fusionTooltip", ctx_r22.dropdownService.optionToString(option_r85, ctx_r22.mappingOptions, i0.ɵɵpureFunction0(3, _c2)));
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("innerHTML", ctx_r22.dropdownService.optionToString(option_r85, i0.ɵɵpureFunction0(4, _c2)), i0.ɵɵsanitizeHtml);
} }
function MultiDropdownV4Component_ng_template_33_Template(rf, ctx) { if (rf & 1) {
    const _r90 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "label", 70);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_ng_template_33_Template_label_click_0_listener($event) { return $event.preventDefault(); });
    i0.ɵɵelementStart(1, "fusion-checkbox", 71);
    i0.ɵɵlistener("click", function MultiDropdownV4Component_ng_template_33_Template_fusion_checkbox_click_1_listener($event) { const restoredCtx = i0.ɵɵrestoreView(_r90); const children_r87 = restoredCtx.children; const ctx_r89 = i0.ɵɵnextContext(); $event.stopPropagation(); return i0.ɵɵresetView(ctx_r89.handleChildrenChange(children_r87)); })("changed", function MultiDropdownV4Component_ng_template_33_Template_fusion_checkbox_changed_1_listener() { const restoredCtx = i0.ɵɵrestoreView(_r90); const children_r87 = restoredCtx.children; const ctx_r91 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r91.handleChildrenChange(children_r87)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainer(2, 36);
    i0.ɵɵelement(3, "fusion-icon", 72);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r86 = ctx.option;
    const children_r87 = ctx.children;
    const ctx_r24 = i0.ɵɵnextContext();
    const _r19 = i0.ɵɵreference(28);
    i0.ɵɵproperty("id", option_r86.id)("for", ctx_r24.id + "-" + option_r86.id)("ngClass", i0.ɵɵpureFunction1(10, _c1, option_r86.icon))("fusionTooltip", ctx_r24.dropdownService.optionToString(option_r86, ctx_r24.mappingOptions, i0.ɵɵpureFunction0(12, _c2)));
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", ctx_r24.id + "-" + option_r86.id)("checked", ctx_r24.getIsAllChildrenChecked(children_r87))("isIndeterminate", ctx_r24.getIsParentIndeterminate(children_r87))("value", option_r86.id);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r24.optionTemplateRef || _r19)("ngTemplateOutletContext", i0.ɵɵpureFunction1(13, _c0, option_r86));
} }
class MultiDropdownV4Component extends MultiDropdownBaseComponent {
    constructor() {
        super(...arguments);
        this.size = 'medium';
        this.showSelectedFirst = true;
        this.helperVariant = 'default';
        this.labelRequired = false;
    }
    /** @ignore */
    getOptionContent(option) {
        return this.dropdownService.optionToString(this.selected[0], this.mappingOptions, { dropdownType: 'multi' });
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵMultiDropdownV4Component_BaseFactory; return function MultiDropdownV4Component_Factory(t) { return (ɵMultiDropdownV4Component_BaseFactory || (ɵMultiDropdownV4Component_BaseFactory = i0.ɵɵgetInheritedFactory(MultiDropdownV4Component)))(t || MultiDropdownV4Component); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: MultiDropdownV4Component, selectors: [["fusion-multi-dropdown"]], hostAttrs: [1, "fusion-v4"], inputs: { size: "size", optionTemplateRef: "optionTemplateRef", showSelectedFirst: "showSelectedFirst", testId: "testId", helperText: "helperText", helperIcon: "helperIcon", helperVariant: "helperVariant", labelText: "labelText", labelRequired: "labelRequired", labelIcon: "labelIcon", labelTooltipText: "labelTooltipText", dynamicTrigger: "dynamicTrigger" }, standalone: true, features: [i0.ɵɵProvidersFeature([
                DropdownService,
                { provide: ApiBase, useExisting: MultiDropdownV4Component },
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => MultiDropdownV4Component),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature, i0.ɵɵStandaloneFeature], decls: 35, vars: 30, consts: [[1, "fu-dropdown", "fu-multiselect", 3, "id", "clickOutsideActivate", "ngClass", "fusionClickOutside"], ["class", "fu-dropdown-label", 3, "text", "required", "icon", "tooltipText", "disabled"], ["defaultTrigger", ""], [1, "options-dropdown"], ["class", "fu-search-holder", 4, "ngIf"], [1, "options-holder", 3, "scroll"], ["optionsHolder", ""], [1, "options", "multi"], [4, "ngIf"], ["class", "option", 3, "fu-option-two-lines", "fu-has-children", "fu-open", "ngClass", "click", 4, "ngFor", "ngForOf"], ["class", "no-results", 4, "ngIf"], ["class", "fu-dd-actions", 4, "ngIf"], ["class", "fu-input-underline", 4, "ngIf"], ["regularOption", ""], ["parentOption", ""], ["basicTemplate", ""], ["chipContent", ""], ["groupedParent", ""], ["noGroupParentOption", ""], [1, "fu-dropdown-label", 3, "text", "required", "icon", "tooltipText", "disabled"], [3, "click"], ["trigger", ""], [3, "ngTemplateOutlet"], [3, "ngComponentOutlet", "ngComponentOutletInputs"], [3, "placeholder", "disabled", "isOpen", "icon", "imageUrl", "country", "size", "testId", "click", 4, "ngIf"], [3, "placeholder", "disabled", "isOpen", "icon", "imageUrl", "country", "size", "testId", "click"], ["selectComponent", ""], [1, "fu-search-holder"], [1, "fu-search-in-options", 3, "formControl", "placeholder"], ["searchComponent", ""], [1, "fu-option-select-all", 3, "for"], [3, "id", "checked", "value", "isIndeterminate", "changed"], ["selectAllCheckbox", ""], [3, "innerHTML"], [1, "option", 3, "ngClass", "click"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngIf"], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], [1, "fu-loader-holder"], [1, "no-results"], [1, "fu-dd-actions"], ["variant", "text", "size", "small", "color", "primary", 1, "fu-clear-all-btn", 3, "disabled", "testId", "click"], ["size", "small", "color", "primary", "variant", "outlined", 3, "disabled", "testId", "click"], ["color", "primary", "size", "small", 3, "disabled", "testId", "click"], [1, "fu-input-underline"], [3, "text", "state", "iconName", "testId"], [4, "ngIf", "ngIfElse"], ["groupOption", ""], [1, "truncate", 3, "id", "for", "ngClass", "fusionTooltip", "click"], [3, "id", "checked", "value", "changed"], [1, "fu-group-name"], [1, "fu-subgroup-options"], ["childOptionsWrapper", ""], ["class", "option", 4, "ngFor", "ngForOf"], [1, "option"], ["class", "fu-option-image", "alt", "", "loading", "lazy", 3, "src", 4, "ngIf"], [3, "countryCode", 4, "ngIf"], ["class", "fu-option-icon", 3, "name", "ngClass", 4, "ngIf"], ["class", "fu-text-content", 4, "ngIf"], ["alt", "", "loading", "lazy", 1, "fu-option-image", 3, "src"], [3, "countryCode"], [1, "fu-option-icon", 3, "name", "ngClass"], [1, "fu-text-content"], [1, "fu-text-container", "truncate", 3, "fusionTooltip", "innerHTML"], ["class", "fu-sub-text-container", 4, "ngIf"], [1, "fu-sub-text-container"], [1, "fu-chip-content-default"], [1, "truncate", "fu-chip-text", 3, "fusionTooltip"], ["class", "fu-chip-label", 4, "ngIf"], [1, "fu-chip-label"], [1, "fu-parent", "truncate", 3, "id", "fusionTooltip"], [1, "truncate", "fu-parent-option-no-group", 3, "id", "for", "ngClass", "fusionTooltip", "click"], [3, "id", "checked", "isIndeterminate", "value", "click", "changed"], ["name", "ph/caret-right", 1, "option-icon-arrow"]], template: function MultiDropdownV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function MultiDropdownV4Component_Template_div_fusionClickOutside_0_listener($event) { return ctx.onOutsideClick($event); });
            i0.ɵɵpipe(1, "async");
            i0.ɵɵpipe(2, "generic");
            i0.ɵɵtemplate(3, MultiDropdownV4Component_Conditional_3_Template, 2, 7, "fusion-input-label", 1)(4, MultiDropdownV4Component_Conditional_4_Template, 4, 6, "div")(5, MultiDropdownV4Component_Conditional_5_Template, 4, 7)(6, MultiDropdownV4Component_Conditional_6_Template, 1, 1)(7, MultiDropdownV4Component_ng_template_7_Template, 2, 3, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
            i0.ɵɵelementStart(9, "div", 3);
            i0.ɵɵtemplate(10, MultiDropdownV4Component_div_10_Template, 3, 2, "div", 4);
            i0.ɵɵelementStart(11, "div", 5, 6);
            i0.ɵɵlistener("scroll", function MultiDropdownV4Component_Template_div_scroll_11_listener($event) { return ctx.onScroll($event); });
            i0.ɵɵpipe(13, "generic");
            i0.ɵɵelementStart(14, "ul", 7);
            i0.ɵɵtemplate(15, MultiDropdownV4Component_li_15_Template, 6, 11, "li", 8);
            i0.ɵɵpipe(16, "async");
            i0.ɵɵtemplate(17, MultiDropdownV4Component_li_17_Template, 3, 9, "li", 9);
            i0.ɵɵpipe(18, "async");
            i0.ɵɵtemplate(19, MultiDropdownV4Component_li_19_Template, 5, 0, "li", 8)(20, MultiDropdownV4Component_li_20_Template, 2, 0, "li", 10);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(21, MultiDropdownV4Component_div_21_Template, 10, 18, "div", 11);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(22, MultiDropdownV4Component_div_22_Template, 2, 4, "div", 12)(23, MultiDropdownV4Component_ng_template_23_Template, 3, 2, "ng-template", null, 13, i0.ɵɵtemplateRefExtractor)(25, MultiDropdownV4Component_ng_template_25_Template, 4, 8, "ng-template", null, 14, i0.ɵɵtemplateRefExtractor)(27, MultiDropdownV4Component_ng_template_27_Template, 4, 5, "ng-template", null, 15, i0.ɵɵtemplateRefExtractor)(29, MultiDropdownV4Component_ng_template_29_Template, 5, 5, "ng-template", null, 16, i0.ɵɵtemplateRefExtractor)(31, MultiDropdownV4Component_ng_template_31_Template, 2, 5, "ng-template", null, 17, i0.ɵɵtemplateRefExtractor)(33, MultiDropdownV4Component_ng_template_33_Template, 4, 15, "ng-template", null, 18, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵproperty("id", ctx.id)("clickOutsideActivate", i0.ɵɵpipeBind1(1, 16, ctx.isOpen$))("ngClass", ctx.getHolderCSSClasses());
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 18, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdDropdownModifiers.TRIGGER));
            i0.ɵɵadvance(3);
            i0.ɵɵconditional(3, ctx.labelText ? 3 : -1);
            i0.ɵɵadvance();
            i0.ɵɵconditional(4, ctx.templateRef ? 4 : ctx.dynamicTrigger ? 5 : 6);
            i0.ɵɵadvance(5);
            i0.ɵɵclassProp("dd-scroll", ctx.hasScroll);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.search);
            i0.ɵɵadvance();
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(13, 22, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdDropdownModifiers.LIST_CONTAINER));
            i0.ɵɵadvance(4);
            i0.ɵɵproperty("ngIf", ctx.selectAllLabel && !ctx.loading && i0.ɵɵpipeBind1(16, 26, ctx.hasSearchValue$) === false && (ctx.filteredOptions == null ? null : ctx.filteredOptions.length) !== 0);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(18, 28, ctx.displayedOptions$));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.autoComplete && ctx.search || ctx.loading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !(ctx.filteredOptions == null ? null : ctx.filteredOptions.length) && !ctx.loading && (ctx.searchValue == null ? null : ctx.searchValue.value));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.confirm && (ctx.filteredOptions == null ? null : ctx.filteredOptions.length));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.helperText);
        } }, dependencies: [CommonModule, i1.NgClass, i1.NgComponentOutlet, i1.NgForOf, i1.NgIf, i1.NgTemplateOutlet, i1.AsyncPipe, ReactiveFormsModule, i2.NgControlStatus, i2.FormControlDirective, TooltipDirective,
            ClickOutsideModule, i3.ClickOutsideDirective, DropdownSelectComponent,
            IconModule, i4.IconComponent, FlagComponent,
            CheckboxComponent,
            ButtonComponent,
            DropdownSearchComponent,
            LoaderComponent,
            GenericPipe,
            InputHelperComponent,
            InputLabelComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.option.fu-group[_ngcontent-%COMP%]   .fu-group-name[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children[_ngcontent-%COMP%]   .fu-parent[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .truncate[_ngcontent-%COMP%]{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar, [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]::-webkit-scrollbar{background-color:#00000006;width:8px;border-radius:8px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-thumb, [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{border-radius:8px;background-color:#bbb;min-height:24px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-thumb:hover, [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]::-webkit-scrollbar-thumb:hover{background-color:gray}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]::-webkit-scrollbar-corner, [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]::-webkit-scrollbar-corner{background-color:#fff}.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.option.fu-group[_ngcontent-%COMP%]   .fu-group-name[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children[_ngcontent-%COMP%]   .fu-parent[_ngcontent-%COMP%], .font-v4-semibold[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%], .font-v4-regular[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.option.fu-group[_ngcontent-%COMP%]   .fu-group-name[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children[_ngcontent-%COMP%]   .fu-parent[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4[_ngcontent-%COMP%]{--box-shadow-xs: 0px 1px 2px 0px rgba(16, 24, 40, .05);--box-shadow-sm: 0px 1px 3px 0px rgba(16, 24, 40, .1), 0px 1px 2px 0px rgba(16, 24, 40, .06);--box-shadow-md: 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06);--box-shadow-lg: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--box-shadow-xl: 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08);--box-shadow-xxl: 0px 24px 48px -12px rgba(16, 24, 40, .18);--box-shadow-xxxl: 0px 19px 32px 2px rgba(44, 45, 45, .14);--box-shadow-slg: 0px 27px 27px 2px rgba(44, 45, 45, .14)}.fusion-v4[_ngcontent-%COMP%]{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}[_nghost-%COMP%]{margin:0;padding:0}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{position:absolute;left:0;right:0;top:calc(100% + 4px);min-width:var(--dropdown-overlay-min-width, 180px);max-height:0;min-width:225px;display:none;gap:var(--spacing-50, 4px);flex-direction:column;padding:var(--spacing-100, 8px);border-radius:var(--border-radius-lg, 8px);border:solid 1px var(--common-divider, hsl(0, 0%, 86.8%));background-color:var(--background-default, #FFFFFF);box-shadow:var(--box-shadow-lg, 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03))}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{overflow-y:auto;overflow-x:hidden;max-height:calc(var(--fu-options-max-height, 300px) - var(--spacing-100, 8px) * 2)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]{margin:0;list-style-type:none;display:flex;flex-direction:column;gap:var(--spacing-50, 4px);padding:0 var(--spacing-50, 4px) 0 0}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul.fu-subgroup-options[_ngcontent-%COMP%]:not(.fu-nested-subgroup){margin-bottom:8px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul.fu-subgroup-options[_ngcontent-%COMP%]   .fu-indentation[_ngcontent-%COMP%]{margin-left:24px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul.fu-loading[_ngcontent-%COMP%]{gap:0}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{padding:0}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{display:flex;align-items:center;gap:8px;padding:6px 8px;border-radius:8px;color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{min-width:16px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label.fu-parent-option-no-group[_ngcontent-%COMP%]   .option-icon-arrow[_ngcontent-%COMP%]{color:var(--text-disabled, hsl(0, 0%, 73.33%));width:16px;height:16px;margin-left:auto;transition:transform .2s}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-option-image[_ngcontent-%COMP%]{width:20px;height:20px;border-radius:4px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-option-icon[_ngcontent-%COMP%]{color:var(--action-active, hsl(0, 0%, 50.3%));width:16px;height:16px;margin:0 -4px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-option-icon.phosphor-icon[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]:hover{background-color:var(--action-hover, hsla(0, 0%, 0%, .05));cursor:pointer}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-selected[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{background-color:var(--action-selected, hsl(0, 0%, 92%))}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-disabled[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{color:var(--text-disabled, hsl(0, 0%, 73.33%));pointer-events:none}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children[_ngcontent-%COMP%]{height:32px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children.fu-open[_ngcontent-%COMP%]{height:100%}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children[_ngcontent-%COMP%]   .fu-parent[_ngcontent-%COMP%]{padding:6px 8px;color:var(--text-secondary, hsl(0, 0%, 39.3%))}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children[_ngcontent-%COMP%]   .fu-parent[_ngcontent-%COMP%]:first-of-type{margin-top:4px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children[_ngcontent-%COMP%]   .fu-subgroup-options[_ngcontent-%COMP%]{display:none;height:0}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children.fu-open[_ngcontent-%COMP%]   .fu-subgroup-options[_ngcontent-%COMP%]{display:flex;height:100%}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.fu-has-children.fu-open[_ngcontent-%COMP%]   .option-icon-arrow[_ngcontent-%COMP%]{transform:rotate(90deg)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.option.fu-group[_ngcontent-%COMP%]{margin-top:var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.option.fu-group[_ngcontent-%COMP%]   .fu-group-name[_ngcontent-%COMP%]{color:var(--text-secondary, hsl(0, 0%, 39.3%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.option.fu-group.fu-group-first[_ngcontent-%COMP%]{margin-top:var(--spacing-50, 4px)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.option.fu-group.fu-group-hide[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]{overflow:hidden}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .fu-text-content[_ngcontent-%COMP%]   .fu-sub-text-container[_ngcontent-%COMP%]{color:var(--text-secondary, hsl(0, 0%, 39.3%))}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%]{display:flex;align-items:center;gap:8px;height:30px;color:var(--text-disabled, hsl(0, 0%, 73.33%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .fu-loader-holder[_ngcontent-%COMP%]   fusion-loader[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{color:var(--text-disabled, hsl(0, 0%, 73.33%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]:has(.fu-search-holder)   .options-holder[_ngcontent-%COMP%]{max-height:calc(var(--fu-options-max-height, 300px) - var(--spacing-100, 8px) * 2 - 28px)}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]{max-height:400px!important}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{max-height:343px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]:has(.fu-search-holder){max-height:343px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-dd-actions[_ngcontent-%COMP%]{margin-top:4px;border-top:1px solid var(--common-divider, #E4E4E4);padding:8px 8px 0 0;display:flex;justify-content:flex-end;align-items:center;gap:4px}[_nghost-%COMP%]   .fu-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .fu-dd-actions[_ngcontent-%COMP%]   .fu-clear-all-btn[_ngcontent-%COMP%]{flex-grow:1;display:flex;align-items:flex-start}[_nghost-%COMP%]   .fu-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{display:flex;z-index:100;max-height:var(--fu-options-max-height, 300px)}[_nghost-%COMP%]   fusion-input-label.fu-dropdown-label[_ngcontent-%COMP%]{margin-bottom:4px}[_nghost-%COMP%]   .fu-input-underline[_ngcontent-%COMP%]{display:flex;align-items:center;margin-top:4px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MultiDropdownV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-multi-dropdown', standalone: true, imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    TooltipDirective,
                    ClickOutsideModule,
                    DropdownSelectComponent,
                    IconModule,
                    FlagComponent,
                    CheckboxComponent,
                    ButtonComponent,
                    DropdownSearchComponent,
                    LoaderComponent,
                    GenericPipe,
                    InputHelperComponent,
                    InputLabelComponent
                ], host: { class: 'fusion-v4' }, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    DropdownService,
                    { provide: ApiBase, useExisting: MultiDropdownV4Component },
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => MultiDropdownV4Component),
                        multi: true
                    }
                ], template: "<div class=\"fu-dropdown fu-multiselect\"\n     [id]=\"id\"\n     [clickOutsideActivate]=\"isOpen$ | async\"\n     (fusionClickOutside)=\"onOutsideClick($event)\"\n     [ngClass]=\"getHolderCSSClasses()\"\n     [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.TRIGGER\"\n>\n    @if(labelText){\n        <fusion-input-label class=\"fu-dropdown-label\" [text]=\"labelText\" [required]=\"labelRequired\" [icon]=\"labelIcon\" [tooltipText]=\"labelTooltipText\" [disabled]=\"(dropdownSelectConfigurations$ | async)?.disabled\"></fusion-input-label>\n    }\n    <!--custom trigger-->\n    @if (templateRef){\n        <div #trigger (click)=\"openDropdown($event)\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.TRIGGER\">\n            <ng-container [ngTemplateOutlet]=\"templateRef\"></ng-container>\n        </div>\n    } @else if (dynamicTrigger){\n        <div #trigger (click)=\"openDropdown($event)\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.TRIGGER\">\n            <ng-container\n                    [ngComponentOutlet]=\"dynamicTrigger?.type\"\n                    [ngComponentOutletInputs]=\"dynamicTrigger?.data\"\n            ></ng-container>\n        </div>\n    } @else {\n        <!--default trigger-->\n        <ng-container [ngTemplateOutlet]=\"defaultTrigger\"></ng-container>\n    }\n\n    <ng-template #defaultTrigger>\n        <fusion-dropdown-select *ngIf=\"(dropdownSelectConfigurations$ | async) as triggerConfiguration\"\n                                #selectComponent\n                                [placeholder]=\"triggerConfiguration.placeholder\"\n                                [disabled]=\"triggerConfiguration.disabled\"\n                                [isOpen]=\"triggerConfiguration.isOpen\"\n                                [icon]=\"triggerConfiguration.icon\"\n                                [imageUrl]=\"triggerConfiguration.labelImage\"\n                                [country]=\"triggerConfiguration.labelFlag\"\n                                [size]=\"size\"\n                                (click)=\"openDropdown($event)\"\n                                [testId]=\"testId\"\n        ></fusion-dropdown-select>\n    </ng-template>\n\n    <div class=\"options-dropdown\" [class.dd-scroll]=\"hasScroll\">\n        <!--search input-->\n        <div class=\"fu-search-holder\" *ngIf=\"search\">\n            <fusion-dropdown-search class=\"fu-search-in-options\"\n                                    [formControl]=\"searchValue\"\n                                    [placeholder]=\"searchPlaceholder\"\n                                    #searchComponent\n            ></fusion-dropdown-search>\n        </div>\n        <!--search input-->\n        <!-- region dropdown options holder -->\n        <div class=\"options-holder\" (scroll)=\"onScroll($event)\"\n             [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.LIST_CONTAINER\"\n             #optionsHolder>\n            <ul class=\"options multi\">\n                <!--select all option checkbox-->\n                <li *ngIf=\"selectAllLabel && !loading && (hasSearchValue$ | async) === false && filteredOptions?.length !== 0\">\n                    <!--select all option-->\n                    <label class=\"fu-option-select-all\" [for]=\"id + '-select-all'\"\n                           [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.SELECT_ALL\">\n                        <fusion-checkbox\n                                [id]=\"id + '-select-all'\"\n                                [checked]=\"isAllSelected\"\n                                [value]=\"id + '-select-all'\"\n                                [isIndeterminate]=\"isIndeterminate\"\n                                (changed)=\"selectAll($event)\"\n                                #selectAllCheckbox\n                        ></fusion-checkbox>\n                        <span [innerHTML]=\"selectAllLabel\"></span>\n                    </label>\n                </li>\n                <!--options-->\n                <li class=\"option\"\n                    [class.fu-option-two-lines]=\"!!option.subText\"\n                    [class.fu-has-children]=\"option.childOptions\"\n                    [class.fu-open]=\"option.childOptions && option.isGroup\"\n                    (click)=\"!option.isGroup ? optionParentClicked($event, 'fu-has-children', 'fu-open'): $event.stopPropagation();\"\n                    [ngClass]=\"getOptionClasses(option, i)\"\n                    *ngFor=\"let option of displayedOptions$ | async; index as i\">\n                    <!--option regular or parent for check-->\n                    <ng-container *ngIf=\"!option.childOptions\" [ngTemplateOutlet]=\"regularOption\"\n                                  [ngTemplateOutletContext]=\"{option: option}\"></ng-container>\n                    <ng-container *ngIf=\"option.childOptions\" [ngTemplateOutlet]=\"parentOption\"\n                                  [ngTemplateOutletContext]=\"{option: option}\"></ng-container>\n                </li>\n                <!--loader holder-->\n                <li *ngIf=\"(autoComplete && search) || loading\">\n                    <div class=\"fu-loader-holder\">\n                        <fusion-loader></fusion-loader>\n                        <div>Loading...</div>\n                    </div>\n                </li>\n                <!--no-result holder-->\n                <li class=\"no-results\" *ngIf=\"!filteredOptions?.length && !loading && searchValue?.value\">No results\n                    found\n                </li>\n            </ul>\n        </div>\n        <!-- endregion -->\n        <!--action \"confirm\" buttons holder-->\n        <div class=\"fu-dd-actions\" *ngIf=\"confirm && filteredOptions?.length\">\n            <fusion-button\n                    class=\"fu-clear-all-btn\"\n                    variant=\"text\"\n                    size=\"small\"\n                    color=\"primary\"\n                    [disabled]=\"loading\"\n                    (click)=\"clearAll()\"\n                    [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.ACTION_CLEAR_ALL\"\n            >Clear all\n            </fusion-button>\n            <fusion-button\n                    size=\"small\"\n                    color=\"primary\"\n                    variant=\"outlined\"\n                    (click)=\"closeDropdown()\"\n                    [disabled]=\"loading\"\n                    [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.ACTION_CANCEL\"\n            >\n                Cancel\n            </fusion-button>\n            <fusion-button\n                    color=\"primary\"\n                    size=\"small\"\n                    (click)=\"applySelect(true)\"\n                    [disabled]=\"loading\"\n                    [testId]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdDropdownModifiers.ACTION_APPLY\"\n            >\n                Apply\n            </fusion-button>\n        </div>\n    </div>\n</div>\n\n<div *ngIf=\"helperText\" class=\"fu-input-underline\">\n    <fusion-input-helper [text]=\"helperText\" [state]=\"helperVariant\" [iconName]=\"helperIcon\" [testId]=\"testId\"></fusion-input-helper>\n</div>\n\n<!--INNER TEMPLATES-->\n<!--regular option-->\n<ng-template #regularOption let-option=\"option\" let-indentation=\"indentation\">\n    <ng-container *ngIf=\"!option.isGroup; else groupOption\">\n        <label\n                class=\"truncate\"\n                [id]=\"option.id\"\n                [for]=\"id + '-' + option.id\"\n                [ngClass]=\"{'has-icon': option.icon}\"\n                (click)=\"$event.stopPropagation()\"\n                [fusionTooltip]=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'})\">\n            <fusion-checkbox\n                    [id]=\"id + '-' + option.id\"\n                    [checked]=\"isSelected(option)\"\n                    [value]=\"option.id\"\n                    (changed)=\"changeSelected(option)\"\n                    [class.fu-indentation]=\"indentation\"\n            ></fusion-checkbox>\n            <ng-container [ngTemplateOutlet]=\"optionTemplateRef || basicTemplate\"\n                          [ngTemplateOutletContext]=\"{option: option}\">\n            </ng-container>\n        </label>\n    </ng-container>\n    <ng-template #groupOption>\n        <div class=\"fu-group-name\">\n            {{ dropdownService.optionToString(option, {dropdownType: 'multi'}) }}\n        </div>\n    </ng-template>\n</ng-template>\n<!--parent option-->\n<ng-template #parentOption let-option=\"option\">\n\n    <ng-container [ngTemplateOutlet]=\"option.isGroup ? groupedParent : noGroupParentOption\"\n                  [ngTemplateOutletContext]=\"{option: option, children: option.childOptions }\"></ng-container>\n\n\n    <ul class=\"fu-subgroup-options\"\n        [class.fu-nested-subgroup]=\"!option.isGroup\"\n        #childOptionsWrapper>\n        <li class=\"option\" *ngFor=\"let childOption of option.childOptions; index as i\">\n            <ng-container [ngTemplateOutlet]=\"regularOption\"\n                          [ngTemplateOutletContext]=\"{option: childOption, indentation: !option.isGroup}\"></ng-container>\n        </li>\n    </ul>\n</ng-template>\n<!--option basic content-->\n<ng-template #basicTemplate let-option=\"option\">\n    <img class=\"fu-option-image\" [src]=\"option.image\" *ngIf=\"option.image\" alt=\"\" loading=\"lazy\"/>\n    <fusion-flag *ngIf=\"option.flag\" [countryCode]=\"option.flag\"></fusion-flag>\n    <fusion-icon *ngIf=\"option.icon\" [name]=\"option.icon\" class=\"fu-option-icon\"\n                 [ngClass]=\"{'phosphor-icon': option?.icon?.startsWith('ph/')}\"></fusion-icon>\n    <div class=\"fu-text-content\"\n         *ngIf=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'}) as optionContent\">\n        <div class=\"fu-text-container truncate\" [fusionTooltip]=\"optionContent\" [innerHTML]=\"optionContent\"></div>\n        <div *ngIf=\"option.subText\" class=\"fu-sub-text-container\">{{ option.subText?.text || option.subText }}</div>\n    </div>\n</ng-template>\n\n<!--ChipFilter Trigger  template-->\n<ng-template #chipContent>\n    <div class=\"fu-chip-content-default\">\n        <div [fusionTooltip]=\"chipDefaultContent\" class=\"truncate fu-chip-text\">\n            <span *ngIf=\"placeholderPrefix\" class=\"fu-chip-label\">{{ placeholderPrefix }}</span>\n            <ng-container\n                    *ngIf=\"(placeholder$ | async) as placeholder\">{{ (placeholderPrefix ? ': ' : '') + placeholder }}\n            </ng-container>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #groupedParent let-option=\"option\">\n    <div\n            [id]=\"option.id\" class=\"fu-parent truncate\"\n            [fusionTooltip]=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'})\">\n        <span innerHTML=\"{{ dropdownService.optionToString(option, {dropdownType: 'multi'}) }}\"></span>\n    </div>\n</ng-template>\n\n<ng-template #noGroupParentOption let-option=\"option\" let-children=\"children\">\n    <label\n            class=\"truncate fu-parent-option-no-group\"\n            [id]=\"option.id\"\n            [for]=\"id + '-' + option.id\"\n            [ngClass]=\"{'has-icon': option.icon}\"\n            [fusionTooltip]=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'})\"\n            (click)=\"$event.preventDefault();\"\n    >\n        <fusion-checkbox\n                [id]=\"id + '-' + option.id\"\n                [checked]=\"getIsAllChildrenChecked(children)\"\n                [isIndeterminate]=\"getIsParentIndeterminate(children)\"\n                [value]=\"option.id\"\n                (click)=\"$event.stopPropagation(); handleChildrenChange(children)\"\n                (changed)=\"handleChildrenChange(children)\"\n        ></fusion-checkbox>\n        <ng-container [ngTemplateOutlet]=\"optionTemplateRef || basicTemplate\"\n                      [ngTemplateOutletContext]=\"{option: option}\">\n        </ng-container>\n        <fusion-icon class=\"option-icon-arrow\"\n                     name=\"ph/caret-right\"\n        ></fusion-icon>\n    </label>\n</ng-template>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,:host .fu-dropdown .options-dropdown .options-holder ul li.option.fu-group .fu-group-name,:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children .fu-parent,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,:host .fu-dropdown .options-dropdown .options-holder ul li .fu-text-content .fu-sub-text-container,.font-v4-caption,:host .fu-dropdown .options-dropdown .options-holder ul .no-results,:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder,:host .fu-dropdown .options-dropdown .options-holder ul li label,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}:host .fu-dropdown .options-dropdown .options-holder ul li .fu-text-content .truncate{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}:host .fu-dropdown .options-dropdown .options-holder::-webkit-scrollbar,:host .fu-dropdown .options-dropdown .options-holder *::-webkit-scrollbar{background-color:#00000006;width:8px;border-radius:8px}:host .fu-dropdown .options-dropdown .options-holder::-webkit-scrollbar-thumb,:host .fu-dropdown .options-dropdown .options-holder *::-webkit-scrollbar-thumb{border-radius:8px;background-color:#bbb;min-height:24px}:host .fu-dropdown .options-dropdown .options-holder::-webkit-scrollbar-thumb:hover,:host .fu-dropdown .options-dropdown .options-holder *::-webkit-scrollbar-thumb:hover{background-color:gray}:host .fu-dropdown .options-dropdown .options-holder::-webkit-scrollbar-corner,:host .fu-dropdown .options-dropdown .options-holder *::-webkit-scrollbar-corner{background-color:#fff}.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-1,.font-v4-chart-2{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}:host .fu-dropdown .options-dropdown .options-holder ul li.option.fu-group .fu-group-name,:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children .fu-parent,.font-v4-semibold,.font-v4-title,.font-v4-heading-1,.font-v4-heading-2,.font-v4-heading-3,.font-v4-heading-4,.font-v4-heading-5,.font-v4-heading-6,.font-v4-button,.font-v4-table-label,.font-v4-chip-label{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-subtitle-1,.font-v4-subtitle-2,.font-v4-overline,.font-v4-input-label,.font-v4-tab-label-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}:host .fu-dropdown .options-dropdown .options-holder ul .no-results,:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder,:host .fu-dropdown .options-dropdown .options-holder ul li label,:host .fu-dropdown .options-dropdown .options-holder ul li .fu-text-content .fu-sub-text-container,.font-v4-regular,.font-v4-body-1,.font-v4-body-2,.font-v4-caption{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}:host .fu-dropdown .options-dropdown .options-holder ul li.option.fu-group .fu-group-name,:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children .fu-parent,.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host .fu-dropdown .options-dropdown .options-holder ul .no-results,:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder,:host .fu-dropdown .options-dropdown .options-holder ul li label,.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}:host .fu-dropdown .options-dropdown .options-holder ul li .fu-text-content .fu-sub-text-container,.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fusion-v4{--box-shadow-xs: 0px 1px 2px 0px rgba(16, 24, 40, .05);--box-shadow-sm: 0px 1px 3px 0px rgba(16, 24, 40, .1), 0px 1px 2px 0px rgba(16, 24, 40, .06);--box-shadow-md: 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06);--box-shadow-lg: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--box-shadow-xl: 0px 8px 8px -4px rgba(16, 24, 40, .03), 0px 20px 24px -6px rgba(16, 24, 40, .08);--box-shadow-xxl: 0px 24px 48px -12px rgba(16, 24, 40, .18);--box-shadow-xxxl: 0px 19px 32px 2px rgba(44, 45, 45, .14);--box-shadow-slg: 0px 27px 27px 2px rgba(44, 45, 45, .14)}.fusion-v4{--border-radius-xs: 2px;--border-radius-sm: 4px;--border-radius-md: 6px;--border-radius-lg: 8px;--border-radius-xl: 16px;--border-radius-full: 100px}:host{margin:0;padding:0}:host .fu-dropdown{position:relative}:host .fu-dropdown .options-dropdown{position:absolute;left:0;right:0;top:calc(100% + 4px);min-width:var(--dropdown-overlay-min-width, 180px);max-height:0;min-width:225px;display:none;gap:var(--spacing-50, 4px);flex-direction:column;padding:var(--spacing-100, 8px);border-radius:var(--border-radius-lg, 8px);border:solid 1px var(--common-divider, hsl(0, 0%, 86.8%));background-color:var(--background-default, #FFFFFF);box-shadow:var(--box-shadow-lg, 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03))}:host .fu-dropdown .options-dropdown .options-holder{overflow-y:auto;overflow-x:hidden;max-height:calc(var(--fu-options-max-height, 300px) - var(--spacing-100, 8px) * 2)}:host .fu-dropdown .options-dropdown .options-holder ul{margin:0;list-style-type:none;display:flex;flex-direction:column;gap:var(--spacing-50, 4px);padding:0 var(--spacing-50, 4px) 0 0}:host .fu-dropdown .options-dropdown .options-holder ul.fu-subgroup-options:not(.fu-nested-subgroup){margin-bottom:8px}:host .fu-dropdown .options-dropdown .options-holder ul.fu-subgroup-options .fu-indentation{margin-left:24px}:host .fu-dropdown .options-dropdown .options-holder ul.fu-loading{gap:0}:host .fu-dropdown .options-dropdown .options-holder ul li{padding:0}:host .fu-dropdown .options-dropdown .options-holder ul li label{display:flex;align-items:center;gap:8px;padding:6px 8px;border-radius:8px;color:var(--text-primary, hsl(0, 0%, 12.5%))}:host .fu-dropdown .options-dropdown .options-holder ul li label fusion-flag{min-width:16px}:host .fu-dropdown .options-dropdown .options-holder ul li label.fu-parent-option-no-group .option-icon-arrow{color:var(--text-disabled, hsl(0, 0%, 73.33%));width:16px;height:16px;margin-left:auto;transition:transform .2s}:host .fu-dropdown .options-dropdown .options-holder ul li label .fu-option-image{width:20px;height:20px;border-radius:4px}:host .fu-dropdown .options-dropdown .options-holder ul li label .fu-option-icon{color:var(--action-active, hsl(0, 0%, 50.3%));width:16px;height:16px;margin:0 -4px}:host .fu-dropdown .options-dropdown .options-holder ul li label .fu-option-icon.phosphor-icon{width:20px;height:20px}:host .fu-dropdown .options-dropdown .options-holder ul li label:hover{background-color:var(--action-hover, hsla(0, 0%, 0%, .05));cursor:pointer}:host .fu-dropdown .options-dropdown .options-holder ul li.fu-selected label{background-color:var(--action-selected, hsl(0, 0%, 92%))}:host .fu-dropdown .options-dropdown .options-holder ul li.fu-disabled label{color:var(--text-disabled, hsl(0, 0%, 73.33%));pointer-events:none}:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children{height:32px}:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children.fu-open{height:100%}:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children .fu-parent{padding:6px 8px;color:var(--text-secondary, hsl(0, 0%, 39.3%))}:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children .fu-parent:first-of-type{margin-top:4px}:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children .fu-subgroup-options{display:none;height:0}:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children.fu-open .fu-subgroup-options{display:flex;height:100%}:host .fu-dropdown .options-dropdown .options-holder ul li.fu-has-children.fu-open .option-icon-arrow{transform:rotate(90deg)}:host .fu-dropdown .options-dropdown .options-holder ul li.option.fu-group{margin-top:var(--spacing-100, 8px)}:host .fu-dropdown .options-dropdown .options-holder ul li.option.fu-group .fu-group-name{color:var(--text-secondary, hsl(0, 0%, 39.3%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}:host .fu-dropdown .options-dropdown .options-holder ul li.option.fu-group.fu-group-first{margin-top:var(--spacing-50, 4px)}:host .fu-dropdown .options-dropdown .options-holder ul li.option.fu-group.fu-group-hide{display:none}:host .fu-dropdown .options-dropdown .options-holder ul li .fu-text-content{overflow:hidden}:host .fu-dropdown .options-dropdown .options-holder ul li .fu-text-content .fu-sub-text-container{color:var(--text-secondary, hsl(0, 0%, 39.3%))}:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder{display:flex;align-items:center;gap:8px;height:30px;color:var(--text-disabled, hsl(0, 0%, 73.33%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}:host .fu-dropdown .options-dropdown .options-holder ul .fu-loader-holder fusion-loader{width:20px;height:20px}:host .fu-dropdown .options-dropdown .options-holder ul .no-results{color:var(--text-disabled, hsl(0, 0%, 73.33%));padding:var(--spacing-75, 6px) var(--spacing-100, 8px)}:host .fu-dropdown .options-dropdown:has(.fu-search-holder) .options-holder{max-height:calc(var(--fu-options-max-height, 300px) - var(--spacing-100, 8px) * 2 - 28px)}:host .fu-dropdown .options-dropdown.dd-scroll{max-height:400px!important}:host .fu-dropdown .options-dropdown.dd-scroll .options-holder{max-height:343px}:host .fu-dropdown .options-dropdown.dd-scroll .options-holder:has(.fu-search-holder){max-height:343px}:host .fu-dropdown .options-dropdown .fu-dd-actions{margin-top:4px;border-top:1px solid var(--common-divider, #E4E4E4);padding:8px 8px 0 0;display:flex;justify-content:flex-end;align-items:center;gap:4px}:host .fu-dropdown .options-dropdown .fu-dd-actions .fu-clear-all-btn{flex-grow:1;display:flex;align-items:flex-start}:host .fu-dropdown.dd-opened .options-dropdown{display:flex;z-index:100;max-height:var(--fu-options-max-height, 300px)}:host fusion-input-label.fu-dropdown-label{margin-bottom:4px}:host .fu-input-underline{display:flex;align-items:center;margin-top:4px}\n"] }]
    }], null, { size: [{
            type: Input
        }], optionTemplateRef: [{
            type: Input
        }], showSelectedFirst: [{
            type: Input
        }], testId: [{
            type: Input
        }], helperText: [{
            type: Input
        }], helperIcon: [{
            type: Input
        }], helperVariant: [{
            type: Input
        }], labelText: [{
            type: Input
        }], labelRequired: [{
            type: Input
        }], labelIcon: [{
            type: Input
        }], labelTooltipText: [{
            type: Input
        }], dynamicTrigger: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(MultiDropdownV4Component, { className: "MultiDropdownV4Component", filePath: "multi-dropdown-v4.component.ts", lineNumber: 57 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { MultiDropdownV4Component as MultiDropdownComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-multi-dropdown-v4.mjs.map
