import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { RadioBaseComponent } from '@ironsource/fusion-ui/components/radio/common/base';

function RadioComponent_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label", 5);
    i0.ɵɵelement(1, "span");
    i0.ɵɵelementContainer(2, 1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    const _r5 = i0.ɵɵreference(7);
    i0.ɵɵproperty("for", ctx_r0.genElementId());
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", _r5);
} }
function RadioComponent_ng_template_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label", 6);
    i0.ɵɵelement(1, "span");
    i0.ɵɵelementContainer(2, 1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    const _r5 = i0.ɵɵreference(7);
    i0.ɵɵproperty("fusionTooltip", ctx_r2.tooltip)("for", ctx_r2.genElementId());
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", _r5);
} }
function RadioComponent_ng_template_6_fusion_icon_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 8);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r6.icon);
} }
function RadioComponent_ng_template_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, RadioComponent_ng_template_6_fusion_icon_0_Template, 1, 1, "fusion-icon", 7);
    i0.ɵɵtext(1);
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", ctx_r4.icon);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r4.label, "\n");
} }
class RadioComponent extends RadioBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵRadioComponent_BaseFactory; return function RadioComponent_Factory(t) { return (ɵRadioComponent_BaseFactory || (ɵRadioComponent_BaseFactory = i0.ɵɵgetInheritedFactory(RadioComponent)))(t || RadioComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: RadioComponent, selectors: [["fusion-radio"]], features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => RadioComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 8, vars: 6, consts: [["type", "radio", 3, "checked", "id", "name", "value", "disabled", "change"], [3, "ngTemplateOutlet"], ["defaultRef", ""], ["tooltipRef", ""], ["fusionIconRef", ""], [3, "for"], [1, "truncate", 3, "fusionTooltip", "for"], ["class", "fu-radio-icon", 3, "name", 4, "ngIf"], [1, "fu-radio-icon", 3, "name"]], template: function RadioComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "input", 0);
            i0.ɵɵlistener("change", function RadioComponent_Template_input_change_0_listener() { return ctx.onChanged(); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementContainer(1, 1);
            i0.ɵɵtemplate(2, RadioComponent_ng_template_2_Template, 3, 2, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor)(4, RadioComponent_ng_template_4_Template, 3, 3, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor)(6, RadioComponent_ng_template_6_Template, 2, 2, "ng-template", null, 4, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            const _r1 = i0.ɵɵreference(3);
            const _r3 = i0.ɵɵreference(5);
            i0.ɵɵproperty("checked", ctx.checked)("id", ctx.genElementId())("name", ctx.name)("value", ctx.value)("disabled", ctx.isDisabled);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngTemplateOutlet", !!ctx.tooltip ? _r3 : _r1);
        } }, dependencies: [i1.NgIf, i1.NgTemplateOutlet, i2.IconComponent, i3.TooltipDirective], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{display:inline-flex;align-items:center;gap:8px;color:var(--fu-black-500, #53575B);-webkit-user-select:none;user-select:none;cursor:pointer}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{cursor:pointer;width:16px;height:16px;flex:0 0 16px;background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect x='1' y='1' width='14' height='14' rx='7' stroke='%23A9AFB4' stroke-width='2'/%3E%3C/svg%3E\") left center no-repeat;background-size:contain}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect width='16' height='16' rx='8' fill='%233083FF'/%3E%3Ccircle cx='8' cy='8' r='3' fill='%23fff'/%3E%3C/svg%3E\") left top no-repeat}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]{color:var(--fu-light-800, #8E959D);cursor:default}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{opacity:.5;cursor:default}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:disabled:checked + label[_ngcontent-%COMP%]{cursor:default}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:disabled:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{opacity:.5;cursor:default}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon.fu-radio-icon[_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon.fu-radio-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon.fu-radio-icon[_ngcontent-%COMP%]     svg *{fill:currentColor}.fu-align-top[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{align-items:flex-start}.fu-align-top[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{margin-top:2px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(RadioComponent, [{
        type: Component,
        args: [{ selector: 'fusion-radio', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => RadioComponent),
                        multi: true
                    }
                ], template: "<input type=\"radio\"\n       [checked]=\"checked\"\n       [id]=\"genElementId()\"\n       [name]=\"name\"\n       [value]=\"value\"\n       [disabled]=\"isDisabled\"\n       (change)=\"onChanged()\"\n>\n<ng-container [ngTemplateOutlet]=\"!!tooltip ? tooltipRef : defaultRef\"></ng-container>\n\n\n<ng-template #defaultRef>\n  <label [for]=\"genElementId()\"><span></span>\n    <ng-container [ngTemplateOutlet]=\"fusionIconRef\"></ng-container>\n  </label>\n</ng-template>\n\n<ng-template #tooltipRef>\n  <label [fusionTooltip]=\"tooltip\" class=\"truncate\" [for]=\"genElementId()\"><span></span>\n    <ng-container [ngTemplateOutlet]=\"fusionIconRef\"></ng-container>\n  </label>\n</ng-template>\n\n<ng-template #fusionIconRef>\n  <fusion-icon class=\"fu-radio-icon\" *ngIf=\"icon\" [name]=\"icon\"></fusion-icon>\n    {{label}}\n</ng-template>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host input[type=radio]+label,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host input[type=radio]+label,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host *{box-sizing:border-box}:host input[type=radio]+label{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host input[type=radio]{display:none}:host input[type=radio]+label{display:inline-flex;align-items:center;gap:8px;color:var(--fu-black-500, #53575B);-webkit-user-select:none;user-select:none;cursor:pointer}:host input[type=radio]+label span{cursor:pointer;width:16px;height:16px;flex:0 0 16px;background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect x='1' y='1' width='14' height='14' rx='7' stroke='%23A9AFB4' stroke-width='2'/%3E%3C/svg%3E\") left center no-repeat;background-size:contain}:host input[type=radio]:checked+label span{background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect width='16' height='16' rx='8' fill='%233083FF'/%3E%3Ccircle cx='8' cy='8' r='3' fill='%23fff'/%3E%3C/svg%3E\") left top no-repeat}:host input[type=radio]:disabled+label{color:var(--fu-light-800, #8E959D);cursor:default}:host input[type=radio]:disabled+label span{opacity:.5;cursor:default}:host input[type=radio]:disabled:checked+label{cursor:default}:host input[type=radio]:disabled:checked+label span{opacity:.5;cursor:default}:host label fusion-icon.fu-radio-icon{width:16px;height:16px}:host label fusion-icon.fu-radio-icon ::ng-deep svg{width:16px;height:16px}:host label fusion-icon.fu-radio-icon ::ng-deep svg *{fill:currentColor}:host.fu-align-top input[type=radio]+label{align-items:flex-start}:host.fu-align-top input[type=radio]+label span{margin-top:2px}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(RadioComponent, { className: "RadioComponent", filePath: "v3/radio.component.ts", lineNumber: 18 }); })();

class RadioModule {
    static { this.ɵfac = function RadioModule_Factory(t) { return new (t || RadioModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: RadioModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, TooltipModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(RadioModule, [{
        type: NgModule,
        args: [{
                declarations: [RadioComponent],
                exports: [RadioComponent],
                imports: [CommonModule, IconModule, TooltipModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(RadioModule, { declarations: [RadioComponent], imports: [CommonModule, IconModule, TooltipModule], exports: [RadioComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { RadioComponent, RadioModule };
//# sourceMappingURL=ironsource-fusion-ui-components-radio.mjs.map
