import * as i0 from '@angular/core';
import { Component, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';

var StatusLabelType;
(function (StatusLabelType) {
    StatusLabelType["Success"] = "success";
    StatusLabelType["Warning"] = "warning";
    StatusLabelType["Error"] = "error";
    StatusLabelType["Archived"] = "archived";
    StatusLabelType["Disabled"] = "disabled"; // Light-900
})(StatusLabelType || (StatusLabelType = {}));
// default - Primary-500

function StatusLabelComponent_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 3)(1, "g", 4);
    i0.ɵɵelement(2, "rect", 5)(3, "rect", 6);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "defs")(5, "clipPath", 7);
    i0.ɵɵelement(6, "path", 8);
    i0.ɵɵelementEnd()()();
} }
function StatusLabelComponent_ng_template_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵnamespaceSVG();
    i0.ɵɵelementStart(0, "svg", 3);
    i0.ɵɵelement(1, "rect", 9);
    i0.ɵɵelementEnd();
} }
const _c0 = ["*"];
class StatusLabelComponent {
    constructor() {
        this._flat = false;
    }
    set flat(value) {
        this._flat = value;
    }
    get flat() {
        return this._flat;
    }
    set status(value) {
        this._status = value;
    }
    get status() {
        return this._status;
    }
    static { this.ɵfac = function StatusLabelComponent_Factory(t) { return new (t || StatusLabelComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: StatusLabelComponent, selectors: [["fusion-status-label"]], inputs: { flat: "flat", status: "status" }, ngContentSelectors: _c0, decls: 7, vars: 6, consts: [[3, "ngTemplateOutlet"], ["iconStatus", ""], ["iconStatusFlat", ""], ["fill", "none", "xmlns", "http://www.w3.org/2000/svg", "viewBox", "0 0 8 8"], ["clip-path", "url(#a)"], ["x", "1", "y", "1", "width", "6", "height", "6", "rx", "3", "fill", "#fff"], ["x", "1", "y", "1", "width", "6", "height", "6", "rx", "3", "stroke", "#3083FF", "stroke-width", "2"], ["id", "a"], ["fill", "#fff", "d", "M0 0h8v8H0z"], ["width", "8", "height", "8", "rx", "4", "fill", "#3083FF"]], template: function StatusLabelComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef();
            i0.ɵɵelementStart(0, "div");
            i0.ɵɵelementContainer(1, 0);
            i0.ɵɵprojection(2);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(3, StatusLabelComponent_ng_template_3_Template, 7, 0, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor)(5, StatusLabelComponent_ng_template_5_Template, 2, 0, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            const _r1 = i0.ɵɵreference(4);
            const _r3 = i0.ɵɵreference(6);
            i0.ɵɵclassMapInterpolate1("fu-status-label-wrapper ", ctx.status, "");
            i0.ɵɵclassProp("fu-flat", ctx.flat);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngTemplateOutlet", ctx.flat ? _r3 : _r1);
        } }, dependencies: [i1.NgTemplateOutlet], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-status-label-wrapper[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .fu-status-label-wrapper[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{display:inline-block}[_nghost-%COMP%]   .fu-status-label-wrapper[_ngcontent-%COMP%]{margin:0;padding:0;width:-moz-fit-content;width:fit-content;display:flex;align-items:center;gap:8px;color:var(--fu-status-label-text-color, var(--fu-black-500, #53575B))}[_nghost-%COMP%]   .fu-status-label-wrapper[_ngcontent-%COMP%]   svg[_ngcontent-%COMP%]{width:var(--fu-status-label-size, 8px);height:var(--fu-status-label-size, 8px)}[_nghost-%COMP%]   .fu-status-label-wrapper[_ngcontent-%COMP%]:not(.fu-flat)   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{stroke:var(--fu-status-label-color, var(--fu-primary-500, #3083FF))}[_nghost-%COMP%]   .fu-status-label-wrapper.fu-flat[_ngcontent-%COMP%]   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{fill:var(--fu-status-label-color, var(--fu-primary-500, #3083FF))}[_nghost-%COMP%]   .fu-status-label-wrapper.archived[_ngcontent-%COMP%]:not(.fu-flat)   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{stroke:var(--fu-status-label-archived, var(--fu-light-500, #D2D5D8))}[_nghost-%COMP%]   .fu-status-label-wrapper.archived.fu-flat[_ngcontent-%COMP%]   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{fill:var(--fu-status-label-archived, var(--fu-light-500, #D2D5D8))}[_nghost-%COMP%]   .fu-status-label-wrapper.disabled[_ngcontent-%COMP%]:not(.fu-flat)   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{stroke:var(--fu-status-label-disabled, var(--fu-light-900, #7B838C))}[_nghost-%COMP%]   .fu-status-label-wrapper.disabled.fu-flat[_ngcontent-%COMP%]   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{fill:var(--fu-status-label-disabled, var(--fu-light-900, #7B838C))}[_nghost-%COMP%]   .fu-status-label-wrapper.warning[_ngcontent-%COMP%]:not(.fu-flat)   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{stroke:var(--fu-status-label-warning, var(--fu-neutral-500, #FFB424))}[_nghost-%COMP%]   .fu-status-label-wrapper.warning.fu-flat[_ngcontent-%COMP%]   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{fill:var(--fu-status-label-warning, var(--fu-neutral-500, #FFB424))}[_nghost-%COMP%]   .fu-status-label-wrapper.error[_ngcontent-%COMP%]:not(.fu-flat)   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{stroke:var(--fu-status-label-error, var(--fu-negative-500, #FF6A63))}[_nghost-%COMP%]   .fu-status-label-wrapper.error.fu-flat[_ngcontent-%COMP%]   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{fill:var(--fu-status-label-error, var(--fu-negative-500, #FF6A63))}[_nghost-%COMP%]   .fu-status-label-wrapper.success[_ngcontent-%COMP%]:not(.fu-flat)   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{stroke:var(--fu-status-label-success, var(--fu-positive-500, #22C891))}[_nghost-%COMP%]   .fu-status-label-wrapper.success.fu-flat[_ngcontent-%COMP%]   svg[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{fill:var(--fu-status-label-success, var(--fu-positive-500, #22C891))}.fu-large[_nghost-%COMP%]   .fu-status-label-wrapper[_ngcontent-%COMP%]   svg[_ngcontent-%COMP%]{width:var(--fu-status-label-large-size, 12px);height:var(--fu-status-label-large-size, 12px)}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(StatusLabelComponent, [{
        type: Component,
        args: [{ selector: 'fusion-status-label', template: "<div class=\"fu-status-label-wrapper {{status}}\" [class.fu-flat]=\"flat\">\n    <ng-container [ngTemplateOutlet]=\"flat ?  iconStatusFlat : iconStatus\"></ng-container>\n    <ng-content></ng-content>\n</div>\n\n<ng-template #iconStatus>\n    <svg fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 8 8\"><g clip-path=\"url(#a)\"><rect x=\"1\" y=\"1\" width=\"6\" height=\"6\" rx=\"3\" fill=\"#fff\"/><rect x=\"1\" y=\"1\" width=\"6\" height=\"6\" rx=\"3\" stroke=\"#3083FF\" stroke-width=\"2\"/></g><defs><clipPath id=\"a\"><path fill=\"#fff\" d=\"M0 0h8v8H0z\"/></clipPath></defs></svg>\n</ng-template>\n\n<ng-template #iconStatusFlat>\n    <svg fill=\"none\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 8 8\"><rect width=\"8\" height=\"8\" rx=\"4\" fill=\"#3083FF\"/></svg>\n</ng-template>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host .fu-status-label-wrapper,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host .fu-status-label-wrapper,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host *{box-sizing:border-box}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{display:inline-block}:host .fu-status-label-wrapper{margin:0;padding:0;width:-moz-fit-content;width:fit-content;display:flex;align-items:center;gap:8px;color:var(--fu-status-label-text-color, var(--fu-black-500, #53575B))}:host .fu-status-label-wrapper svg{width:var(--fu-status-label-size, 8px);height:var(--fu-status-label-size, 8px)}:host .fu-status-label-wrapper:not(.fu-flat) svg *{stroke:var(--fu-status-label-color, var(--fu-primary-500, #3083FF))}:host .fu-status-label-wrapper.fu-flat svg *{fill:var(--fu-status-label-color, var(--fu-primary-500, #3083FF))}:host .fu-status-label-wrapper.archived:not(.fu-flat) svg *{stroke:var(--fu-status-label-archived, var(--fu-light-500, #D2D5D8))}:host .fu-status-label-wrapper.archived.fu-flat svg *{fill:var(--fu-status-label-archived, var(--fu-light-500, #D2D5D8))}:host .fu-status-label-wrapper.disabled:not(.fu-flat) svg *{stroke:var(--fu-status-label-disabled, var(--fu-light-900, #7B838C))}:host .fu-status-label-wrapper.disabled.fu-flat svg *{fill:var(--fu-status-label-disabled, var(--fu-light-900, #7B838C))}:host .fu-status-label-wrapper.warning:not(.fu-flat) svg *{stroke:var(--fu-status-label-warning, var(--fu-neutral-500, #FFB424))}:host .fu-status-label-wrapper.warning.fu-flat svg *{fill:var(--fu-status-label-warning, var(--fu-neutral-500, #FFB424))}:host .fu-status-label-wrapper.error:not(.fu-flat) svg *{stroke:var(--fu-status-label-error, var(--fu-negative-500, #FF6A63))}:host .fu-status-label-wrapper.error.fu-flat svg *{fill:var(--fu-status-label-error, var(--fu-negative-500, #FF6A63))}:host .fu-status-label-wrapper.success:not(.fu-flat) svg *{stroke:var(--fu-status-label-success, var(--fu-positive-500, #22C891))}:host .fu-status-label-wrapper.success.fu-flat svg *{fill:var(--fu-status-label-success, var(--fu-positive-500, #22C891))}:host.fu-large .fu-status-label-wrapper svg{width:var(--fu-status-label-large-size, 12px);height:var(--fu-status-label-large-size, 12px)}\n"] }]
    }], null, { flat: [{
            type: Input
        }], status: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(StatusLabelComponent, { className: "StatusLabelComponent", filePath: "v3/status-label.component.ts", lineNumber: 9 }); })();

class StatusLabelModule {
    static { this.ɵfac = function StatusLabelModule_Factory(t) { return new (t || StatusLabelModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: StatusLabelModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(StatusLabelModule, [{
        type: NgModule,
        args: [{
                declarations: [StatusLabelComponent],
                imports: [CommonModule],
                exports: [StatusLabelComponent]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(StatusLabelModule, { declarations: [StatusLabelComponent], imports: [CommonModule], exports: [StatusLabelComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { StatusLabelComponent, StatusLabelModule, StatusLabelType };
//# sourceMappingURL=ironsource-fusion-ui-components-status-label.mjs.map
