import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { TagBaseComponent } from '@ironsource/fusion-ui/components/tag/common/base';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import * as i4 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';
export * from '@ironsource/fusion-ui/components/tag/common/entities';

function TagComponent_fusion_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 6);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r0.icon);
} }
function TagComponent_fusion_flag_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 7);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r1.flag);
} }
function TagComponent_img_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 8);
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("src", ctx_r2.image, i0.ɵɵsanitizeUrl);
} }
function TagComponent_ng_content_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵprojection(0, 0, ["*ngIf", "!title"]);
} }
function TagComponent_ng_container_7_fusion_icon_1_Template(rf, ctx) { if (rf & 1) {
    const _r8 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 10);
    i0.ɵɵlistener("click", function TagComponent_ng_container_7_fusion_icon_1_Template_fusion_icon_click_0_listener($event) { i0.ɵɵrestoreView(_r8); const ctx_r7 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r7.closeClicked($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const closeIconName_r5 = i0.ɵɵnextContext().ngIf;
    i0.ɵɵproperty("name", closeIconName_r5);
} }
function TagComponent_ng_container_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TagComponent_ng_container_7_fusion_icon_1_Template, 1, 1, "fusion-icon", 9);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r4.close);
} }
const _c0 = ["*"];
class TagComponent extends TagBaseComponent {
    ngOnInit() {
        super.ngOnInit();
        this.closeIconName$.next({ iconName: 'close-bold', iconVersion: 'v3' });
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵTagComponent_BaseFactory; return function TagComponent_Factory(t) { return (ɵTagComponent_BaseFactory || (ɵTagComponent_BaseFactory = i0.ɵɵgetInheritedFactory(TagComponent)))(t || TagComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TagComponent, selectors: [["fusion-tag"]], standalone: true, features: [i0.ɵɵInheritDefinitionFeature, i0.ɵɵStandaloneFeature], ngContentSelectors: _c0, decls: 9, vars: 9, consts: [[1, "fu-tag"], ["class", "tag-icon", 3, "name", 4, "ngIf"], [3, "name", 4, "ngIf"], ["class", "fu-tag-image", "alt", "", "loading", "lazy", 3, "src", 4, "ngIf"], [1, "truncate", 3, "fusionTooltip"], [4, "ngIf"], [1, "tag-icon", 3, "name"], [3, "name"], ["alt", "", "loading", "lazy", 1, "fu-tag-image", 3, "src"], ["class", "tag-icon-close", 3, "name", "click", 4, "ngIf"], [1, "tag-icon-close", 3, "name", "click"]], template: function TagComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef();
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, TagComponent_fusion_icon_1_Template, 1, 1, "fusion-icon", 1)(2, TagComponent_fusion_flag_2_Template, 1, 1, "fusion-flag", 2)(3, TagComponent_img_3_Template, 1, 1, "img", 3);
            i0.ɵɵelementStart(4, "div", 4);
            i0.ɵɵtext(5);
            i0.ɵɵtemplate(6, TagComponent_ng_content_6_Template, 1, 0, "ng-content", 5);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(7, TagComponent_ng_container_7_Template, 2, 1, "ng-container", 5);
            i0.ɵɵpipe(8, "async");
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.icon);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.flag);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.image);
            i0.ɵɵadvance();
            i0.ɵɵproperty("fusionTooltip", ctx.tooltipContent);
            i0.ɵɵadvance();
            i0.ɵɵtextInterpolate(ctx.title);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.title);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(8, 7, ctx.closeIconName$));
        } }, dependencies: [CommonModule, i1.NgIf, i1.AsyncPipe, IconModule, i2.IconComponent, FlagModule, i3.FlagComponent, TooltipModule, i4.TooltipDirective], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]   .truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]{display:inline-flex;align-items:center;gap:4px;height:24px;min-width:54px;max-width:260px;padding:4px 8px;border-radius:12px;border:solid 1px var(--fu-light-400, #DDDFE1);color:var(--fu-black-500, #53575B);background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]:hover{border-color:var(--fu-black-500, #53575B)}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]:has(.tag-icon-close){padding:4px 4px 4px 8px}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]:has(.fu-tag-image){padding:4px 8px 4px 4px}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]:has(.fu-tag-image):has(.tag-icon-close){padding:4px}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]   .fu-tag-image[_ngcontent-%COMP%]{width:16px;height:16px;border-radius:16px}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]   fusion-icon[class^=tag-icon-close][_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]   fusion-icon[class^=tag-icon-close][_ngcontent-%COMP%]:hover{cursor:pointer}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]   fusion-icon[class^=tag-icon-close][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]   fusion-icon[class^=tag-icon-close][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #D2D5D8)}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]   fusion-icon[class^=tag-icon-close][_ngcontent-%COMP%]:hover     svg{width:16px;height:16px}[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]   fusion-icon[class^=tag-icon-close][_ngcontent-%COMP%]:hover     svg *{fill:var(--fu-light-800, #8E959D)}.fu-tag-error[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%], .fu-tag-error[_nghost-%COMP%]   .fu-tag[_ngcontent-%COMP%]:hover{border-color:var(--fu-negative-300, #FF9B96)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TagComponent, [{
        type: Component,
        args: [{ selector: 'fusion-tag', changeDetection: ChangeDetectionStrategy.OnPush, standalone: true, imports: [CommonModule, IconModule, FlagModule, TooltipModule], template: "<div class=\"fu-tag\">\n    <fusion-icon class=\"tag-icon\" [name]=\"icon\" *ngIf=\"icon\"></fusion-icon>\n    <fusion-flag [name]=\"flag\" *ngIf=\"flag\"></fusion-flag>\n    <img class=\"fu-tag-image\" [src]=\"image\" *ngIf=\"image\" alt=\"\" loading=\"lazy\"/>\n    <div class=\"truncate\" [fusionTooltip]=\"tooltipContent\">{{ title }}<ng-content *ngIf=\"!title\"></ng-content></div>\n    <ng-container *ngIf=\"closeIconName$ | async as closeIconName\">\n        <fusion-icon class=\"tag-icon-close\" *ngIf=\"close\" (click)=\"closeClicked($event)\" [name]=\"closeIconName\"></fusion-icon>\n    </ng-container>\n</div>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host .fu-tag,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host .fu-tag,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .fu-tag .truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .fu-tag{display:inline-flex;align-items:center;gap:4px;height:24px;min-width:54px;max-width:260px;padding:4px 8px;border-radius:12px;border:solid 1px var(--fu-light-400, #DDDFE1);color:var(--fu-black-500, #53575B);background-color:var(--fu-white, #ffffff)}:host .fu-tag:hover{border-color:var(--fu-black-500, #53575B)}:host .fu-tag:has(.tag-icon-close){padding:4px 4px 4px 8px}:host .fu-tag:has(.fu-tag-image){padding:4px 8px 4px 4px}:host .fu-tag:has(.fu-tag-image):has(.tag-icon-close){padding:4px}:host .fu-tag .fu-tag-image{width:16px;height:16px;border-radius:16px}:host .fu-tag fusion-icon[class^=tag-icon-close]{width:16px;height:16px}:host .fu-tag fusion-icon[class^=tag-icon-close]:hover{cursor:pointer}:host .fu-tag fusion-icon[class^=tag-icon-close] ::ng-deep svg{width:16px;height:16px}:host .fu-tag fusion-icon[class^=tag-icon-close] ::ng-deep svg *{fill:var(--fu-light-500, #D2D5D8)}:host .fu-tag fusion-icon[class^=tag-icon-close]:hover ::ng-deep svg{width:16px;height:16px}:host .fu-tag fusion-icon[class^=tag-icon-close]:hover ::ng-deep svg *{fill:var(--fu-light-800, #8E959D)}:host.fu-tag-error .fu-tag,:host.fu-tag-error .fu-tag:hover{border-color:var(--fu-negative-300, #FF9B96)}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TagComponent, { className: "TagComponent", filePath: "v3/tag.component.ts", lineNumber: 16 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TagComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-tag.mjs.map
