import * as i0 from '@angular/core';
import { forwardRef, Component, NgModule } from '@angular/core';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { FilterByFieldPipe } from '@ironsource/fusion-ui/pipes/collection';
import { ClonePipe } from '@ironsource/fusion-ui/pipes/clone';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown/service';
import { TagsInputBaseComponent } from '@ironsource/fusion-ui/components/tags-input/common/base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@ironsource/fusion-ui/components/tag/v2';
import { TagModule } from '@ironsource/fusion-ui/components/tag/v2';
import * as i4 from '@ironsource/fusion-ui/components/input/v2';
import { InputModule } from '@ironsource/fusion-ui/components/input/v2';
import * as i5 from '@ironsource/fusion-ui/components/dropdown-loader/v2';
import { DropdownLoaderModule } from '@ironsource/fusion-ui/components/dropdown-loader/v2';
import * as i6 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i7 from '@ironsource/fusion-ui/components/dropdown-options-list/v2';
import { DropdownOptionsListModule } from '@ironsource/fusion-ui/components/dropdown-options-list/v2';
import * as i8 from '@ironsource/fusion-ui/components/button/v2';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v2';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { DropdownOptionModule } from '@ironsource/fusion-ui/components/dropdown-option/v2';
export * from '@ironsource/fusion-ui/components/tags-input/entities';

function TagsInputComponent_li_4_Template(rf, ctx) { if (rf & 1) {
    const _r7 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li")(1, "fusion-tag", 8);
    i0.ɵɵlistener("onRemove", function TagsInputComponent_li_4_Template_fusion_tag_onRemove_1_listener() { const restoredCtx = i0.ɵɵrestoreView(_r7); const tag_r5 = restoredCtx.$implicit; const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.onTagRemove(tag_r5)); });
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const tag_r5 = ctx.$implicit;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("close", true)("icon", tag_r5.icon)("flag", tag_r5.flag)("suppressClickOnRemove", ctx_r0.suppressClickOnRemove)("tooltipContent", tag_r5.tooltip ? tag_r5.tooltip : tag_r5.title)("disabled", ctx_r0.isDisabled || ctx_r0.isDisabledForm);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(tag_r5.title);
} }
const _c0 = () => ({ size: "small" });
function TagsInputComponent_fusion_input_7_Template(rf, ctx) { if (rf & 1) {
    const _r10 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-input", 9, 10);
    i0.ɵɵlistener("ngEnter", function TagsInputComponent_fusion_input_7_Template_fusion_input_ngEnter_0_listener($event) { i0.ɵɵrestoreView(_r10); const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.onEnterNewTag($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("formControl", ctx_r1.searchValue)("hidden", ctx_r1.isDisabled || ctx_r1.isDisabledForm)("loading", ctx_r1.loading && ctx_r1.bulkInsertion)("placeholder", ctx_r1.displayPlaceholder)("options", i0.ɵɵpureFunction0(5, _c0));
} }
function TagsInputComponent_span_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 11);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r2.displayPlaceholder, " ");
} }
function TagsInputComponent_ng_container_9_div_1_li_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 21);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r13 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r13.noResultMessage);
} }
function TagsInputComponent_ng_container_9_div_1_div_8_a_1_Template(rf, ctx) { if (rf & 1) {
    const _r17 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 27);
    i0.ɵɵlistener("click", function TagsInputComponent_ng_container_9_div_1_div_8_a_1_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r17); const ctx_r16 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r16.onClearSelectionClicked($event)); });
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r15 = i0.ɵɵnextContext(4);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r15.clearAllText);
} }
function TagsInputComponent_ng_container_9_div_1_div_8_Template(rf, ctx) { if (rf & 1) {
    const _r19 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵtemplate(1, TagsInputComponent_ng_container_9_div_1_div_8_a_1_Template, 2, 1, "a", 23);
    i0.ɵɵelementStart(2, "div", 24)(3, "button", 25);
    i0.ɵɵlistener("click", function TagsInputComponent_ng_container_9_div_1_div_8_Template_button_click_3_listener() { i0.ɵɵrestoreView(_r19); const ctx_r18 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r18.onCancelSelection()); });
    i0.ɵɵtext(4, "Cancel");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(5, "button", 26);
    i0.ɵɵlistener("click", function TagsInputComponent_ng_container_9_div_1_div_8_Template_button_click_5_listener() { i0.ɵɵrestoreView(_r19); const ctx_r20 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r20.onApplySelection()); });
    i0.ɵɵtext(6, "Apply");
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const ctx_r14 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r14.hasClearAll);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("disabled", ctx_r14.loading);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("disabled", ctx_r14.loading);
} }
const _c1 = a0 => ({ "dd-scroll": a0 });
function TagsInputComponent_ng_container_9_div_1_Template(rf, ctx) { if (rf & 1) {
    const _r22 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 13)(1, "div", 14, 15);
    i0.ɵɵlistener("scroll", function TagsInputComponent_ng_container_9_div_1_Template_div_scroll_1_listener($event) { i0.ɵɵrestoreView(_r22); const ctx_r21 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r21.onScroll($event)); });
    i0.ɵɵelementStart(3, "ul", 16);
    i0.ɵɵelement(4, "li", 17);
    i0.ɵɵtemplate(5, TagsInputComponent_ng_container_9_div_1_li_5_Template, 2, 1, "li", 18);
    i0.ɵɵelementStart(6, "fusion-dropdown-options-list", 19);
    i0.ɵɵlistener("changeSelected", function TagsInputComponent_ng_container_9_div_1_Template_fusion_dropdown_options_list_changeSelected_6_listener($event) { i0.ɵɵrestoreView(_r22); const ctx_r23 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r23.changeSelected({ option: $event.option, $event: $event.$event })); });
    i0.ɵɵpipe(7, "async");
    i0.ɵɵelementEnd()()();
    i0.ɵɵtemplate(8, TagsInputComponent_ng_container_9_div_1_div_8_Template, 7, 3, "div", 20);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(2);
    i0.ɵɵclassProp("has-footer", !!ctx_r11.footer);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(11, _c1, ctx_r11.hasScroll));
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("fusionDropdownLoader", ctx_r11.autoComplete && ctx_r11.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r11.isNoResults() && !ctx_r11.isAddTagsAllowed);
    i0.ɵɵadvance();
    i0.ɵɵproperty("displayedOptions", i0.ɵɵpipeBind1(7, 9, ctx_r11.filteredDisplayedOptions$))("isMultiRawDisplay", ctx_r11.isMultiRawDisplay)("mappingOptions", ctx_r11.mappingOptions);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r11.footer);
} }
function TagsInputComponent_ng_container_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TagsInputComponent_ng_container_9_div_1_Template, 9, 13, "div", 12);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    let tmp_0_0;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (ctx_r3.searchValue.value || ((tmp_0_0 = i0.ɵɵpipeBind1(2, 1, ctx_r3.filteredDisplayedOptions$)) == null ? null : tmp_0_0.length) || ctx_r3.loading) && !ctx_r3.generateOnlyCustomTags);
} }
function TagsInputComponent_div_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 28);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r4.error);
} }
const _c2 = (a0, a1, a2) => ({ "is-icon-right-position": a0, "dd-opened": a1, "ss-selected": a2 });
const _c3 = a0 => ({ "max-height.px": a0 });
class TagsInputComponent extends TagsInputBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵTagsInputComponent_BaseFactory; return function TagsInputComponent_Factory(t) { return (ɵTagsInputComponent_BaseFactory || (ɵTagsInputComponent_BaseFactory = i0.ɵɵgetInheritedFactory(TagsInputComponent)))(t || TagsInputComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TagsInputComponent, selectors: [["fusion-tags-input"]], features: [i0.ɵɵProvidersFeature([
                ClonePipe,
                FilterByFieldPipe,
                DropdownService,
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => TagsInputComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 11, vars: 26, consts: [[1, "is-tags-holder", 3, "id", "clickOutsideActivate", "clickOutsideByCoordinates", "ngClass", "fusionClickOutside"], [1, "tags-holder", 3, "ngStyle", "click"], [4, "ngFor", "ngForOf"], [1, "search-container"], [3, "formControl", "hidden", "loading", "placeholder", "options", "ngEnter", 4, "ngIf"], ["class", "placeholder", 4, "ngIf"], [4, "ngIf"], ["class", "error-msg", 4, "ngIf"], [3, "close", "icon", "flag", "suppressClickOnRemove", "tooltipContent", "disabled", "onRemove"], [3, "formControl", "hidden", "loading", "placeholder", "options", "ngEnter"], ["tagInput", ""], [1, "placeholder"], ["class", "options-dropdown", 3, "has-footer", "ngClass", 4, "ngIf"], [1, "options-dropdown", 3, "ngClass"], [1, "options-holder", 3, "scroll"], ["optionsHolder", ""], [1, "options"], [1, "auto-complete-loading", 3, "fusionDropdownLoader"], ["class", "no-results", 4, "ngIf"], [3, "displayedOptions", "isMultiRawDisplay", "mappingOptions", "changeSelected"], ["class", "is-footer", 4, "ngIf"], [1, "no-results"], [1, "is-footer"], ["href", "#", "fusion-button", "", "class", "button-clear", 3, "click", 4, "ngIf"], [1, "fu-footer-buttons-holder"], ["type", "button", "fusion-button", "", 1, "secondary", "small", "transparent", 3, "disabled", "click"], ["type", "button", "fusion-button", "", 1, "primary", "small", "transparent", 3, "disabled", "click"], ["href", "#", "fusion-button", "", 1, "button-clear", 3, "click"], [1, "error-msg"]], template: function TagsInputComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function TagsInputComponent_Template_div_fusionClickOutside_0_listener() { return ctx.onOutsideClick(); });
            i0.ɵɵpipe(1, "async");
            i0.ɵɵpipe(2, "async");
            i0.ɵɵelementStart(3, "ul", 1);
            i0.ɵɵlistener("click", function TagsInputComponent_Template_ul_click_3_listener() { return ctx.setFocusToInput(); });
            i0.ɵɵtemplate(4, TagsInputComponent_li_4_Template, 3, 7, "li", 2);
            i0.ɵɵpipe(5, "async");
            i0.ɵɵelementStart(6, "li", 3);
            i0.ɵɵtemplate(7, TagsInputComponent_fusion_input_7_Template, 2, 6, "fusion-input", 4)(8, TagsInputComponent_span_8_Template, 2, 1, "span", 5);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(9, TagsInputComponent_ng_container_9_Template, 3, 3, "ng-container", 6);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(10, TagsInputComponent_div_10_Template, 2, 1, "div", 7);
        } if (rf & 2) {
            i0.ɵɵclassProp("tags-disabled", ctx.isDisabled || ctx.isDisabledForm)("is-autocomplete", ctx.autoComplete);
            i0.ɵɵproperty("id", ctx.id)("clickOutsideActivate", i0.ɵɵpipeBind1(1, 14, ctx.isOpen$))("clickOutsideByCoordinates", true)("ngClass", i0.ɵɵpureFunction3(20, _c2, ctx.isIconRightPosition, i0.ɵɵpipeBind1(2, 16, ctx.isOpen$), (ctx.selected == null ? null : ctx.selected.length) > 0));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngStyle", i0.ɵɵpureFunction1(24, _c3, ctx.maxHeight));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(5, 18, ctx.displaySelectedTags$));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", !(ctx.isDisabled || ctx.isDisabledForm) && (ctx.isAddTagsAllowed || ctx.autoComplete));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.isDisabled || ctx.isDisabledForm);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.bulkInsertion);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.error);
        } }, dependencies: [i1.NgClass, i1.NgForOf, i1.NgIf, i1.NgStyle, i2.NgControlStatus, i2.FormControlDirective, i3.TagComponent, i4.InputComponent, i5.DropdownLoaderDirective, i6.ClickOutsideDirective, i7.DropdownOptionsListComponent, i8.ButtonComponent, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   a[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue-Medium,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   .is-tags-holder.tags-disabled[_ngcontent-%COMP%]   .placeholder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{font-size:11px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}[_nghost-%COMP%]   a[_ngcontent-%COMP%]{text-decoration:none;color:var(--fu-primary-500, #3083ff);cursor:pointer}[_nghost-%COMP%]   a[_ngcontent-%COMP%]:link, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:visited, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:active{color:var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%]{left:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%]{right:auto}[_nghost-%COMP%]{display:inline;min-width:85px;line-height:20px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{position:absolute;left:0;right:0;top:100%;max-height:0;background:var(--fu-white, #ffffff);box-shadow:0 2px 4px #0c003333;border:solid 1px var(--fu-light-300, #e5e7e9);border-radius:4px;display:none}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding:4px;overflow:hidden;overflow-y:auto}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:264px;overflow-x:hidden}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:300px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{background:none;cursor:default;padding:8px 10px;height:32px;color:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:245px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]{text-align:right;background-color:var(--fu-white, #ffffff);padding:8px 7px 7px;border-top:solid 1px var(--fu-light-300, #e5e7e9)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{margin-left:2px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{max-height:296px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:333px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:245px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{height:32px;border-radius:4px;padding:0 8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{position:relative;cursor:pointer;display:block;color:var(--fu-dark-700, #1d1c64);height:100%;padding:8px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%]{margin-right:8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{width:20px;height:20px;max-width:20px;border-radius:4px;vertical-align:middle;margin-right:10px;margin-top:-2px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{margin-right:6px;vertical-align:sub;display:inline-block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-600, #b7bbc0)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:6px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.has-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.has-icon[_ngcontent-%COMP%]{padding-right:20px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]{padding:8px;height:24px;background-color:var(--fu-light-200, #f0f1f2);border-radius:4px;margin:4px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]:first-child, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]:first-child{margin-top:0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-group[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{text-transform:uppercase;color:var(--fu-light-900, #7b838c);cursor:default;display:block;height:24px;margin:-5px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]{position:relative;color:var(--fu-light-900, #7b838c);border:solid 1px transparent;cursor:pointer;padding-left:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%] > div[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%] > div[_ngcontent-%COMP%]{margin-top:5px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]{position:absolute;right:7px;top:5px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg{width:8px;height:8px;transform:rotate(-90deg)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   fusion-icon[class^=option-icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:none;margin:5px -10px 0 -14px;padding-top:4px;background-color:#fff}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{display:flex;align-content:center;align-items:center;padding-left:5px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%]{margin:-5px 5px 0}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%] > span[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{margin-top:1px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]{height:100%}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg{width:8px;height:8px;transform:rotate(360deg)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   fusion-icon.option-icon-arrow[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.is-has-children.is-open[_ngcontent-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]{padding:8px 10px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.no-results[_ngcontent-%COMP%]:hover{background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-100, #f7f8f9)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]{position:absolute;right:-3px;top:8px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon[class^=icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:hover   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .is-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-disabled[_ngcontent-%COMP%]{cursor:not-allowed}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{color:var(--fu-negative-500, #ff6a63);margin-top:-2px}.fu-options-position-up[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-options-position-up[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:inherit;bottom:calc(100% + 2px)}.fu-items-top[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-items-top   [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:0}[_nghost-%COMP%]{max-width:none;width:100%;text-align:initial}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{min-height:40px;padding:6px 8px 5px;background-color:var(--fu-light-100, #f7f8f9);border-radius:4px;box-sizing:border-box;width:100%}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul.tags-holder[_ngcontent-%COMP%]{display:flex;flex-wrap:wrap}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{display:inline-flex;margin:2px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li.search-container[_ngcontent-%COMP%]{flex:1 1 auto}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li.search-container[_ngcontent-%COMP%]   fusion-input[_ngcontent-%COMP%]{width:100%}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-200, #f0f1f2)}[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]{border-bottom:solid 2px var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:calc(100% + 2px);visibility:visible}[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{background-color:var(--fu-white, #ffffff);height:41px;display:flex;align-items:center;border-top:solid 1px var(--fu-light-300, #e5e7e9)}[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   .fu-footer-buttons-holder[_ngcontent-%COMP%]{margin-left:auto}[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   .fu-footer-buttons-holder[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{margin-left:2px}[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   .button-clear[_ngcontent-%COMP%]{color:var(--tags-input-footer-color-button-color, var(--fu-light-900, #7b838c));text-decoration:underline;text-align:initial;font-weight:400}[_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.has-footer[_ngcontent-%COMP%]{max-height:304px}[_nghost-%COMP%]   .is-tags-holder.tags-disabled[_ngcontent-%COMP%]{pointer-events:none}[_nghost-%COMP%]   .is-tags-holder.tags-disabled[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-100, #f7f8f9);cursor:not-allowed}[_nghost-%COMP%]   .is-tags-holder.tags-disabled[_ngcontent-%COMP%]   .placeholder[_ngcontent-%COMP%]{color:var(--fu-light-800, #8e959d);margin:2px}.fu-disabled[_nghost-%COMP%]{cursor:not-allowed}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TagsInputComponent, [{
        type: Component,
        args: [{ selector: 'fusion-tags-input', providers: [
                    ClonePipe,
                    FilterByFieldPipe,
                    DropdownService,
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => TagsInputComponent),
                        multi: true
                    }
                ], template: "<div\n    [id]=\"id\"\n    class=\"is-tags-holder\"\n    [clickOutsideActivate]=\"isOpen$ | async\"\n    [clickOutsideByCoordinates]=\"true\"\n    (fusionClickOutside)=\"onOutsideClick()\"\n    [ngClass]=\"{'is-icon-right-position': isIconRightPosition, 'dd-opened': isOpen$ | async, 'ss-selected': selected?.length > 0}\"\n    [class.tags-disabled]=\"isDisabled || isDisabledForm\"\n    [class.is-autocomplete]=\"autoComplete\"\n>\n    <!--tags list holder-->\n    <ul class=\"tags-holder\" [ngStyle]=\"{'max-height.px': maxHeight}\" (click)=\"setFocusToInput()\">\n        <li *ngFor=\"let tag of (displaySelectedTags$ | async)\">\n            <fusion-tag\n                [close]=\"true\"\n                (onRemove)=\"onTagRemove(tag)\"\n                [icon]=\"tag.icon\"\n                [flag]=\"tag.flag\"\n                [suppressClickOnRemove]=\"suppressClickOnRemove\"\n                [tooltipContent]=\"tag.tooltip ? tag.tooltip : tag.title\"\n                [disabled]=\"isDisabled || isDisabledForm\"\n            >{{ tag.title }}</fusion-tag\n            >\n        </li>\n        <li class=\"search-container\">\n            <fusion-input\n                #tagInput\n                [formControl]=\"searchValue\"\n                *ngIf=\"!(isDisabled || isDisabledForm) && (isAddTagsAllowed || autoComplete)\"\n                [hidden]=\"isDisabled || isDisabledForm\"\n                [loading]=\"loading && bulkInsertion\"\n                [placeholder]=\"displayPlaceholder\"\n                (ngEnter)=\"onEnterNewTag($event)\"\n                [options]=\"{size: 'small'}\"\n            ></fusion-input>\n            <span class=\"placeholder\" *ngIf=\"isDisabled || isDisabledForm\">\n                {{ displayPlaceholder }}\n            </span>\n        </li>\n    </ul>\n    <!--tags list holder END-->\n    <ng-container *ngIf=\"!bulkInsertion\">\n        <div\n            class=\"options-dropdown\"\n            [class.has-footer]=\"!!footer\"\n            [ngClass]=\"{'dd-scroll': hasScroll}\"\n            *ngIf=\"(searchValue.value || (filteredDisplayedOptions$ | async)?.length || loading) && !generateOnlyCustomTags\"\n        >\n            <div class=\"options-holder\" (scroll)=\"onScroll($event)\" #optionsHolder>\n                <ul class=\"options\">\n                    <li [fusionDropdownLoader]=\"autoComplete && loading\" class=\"auto-complete-loading\"></li>\n                    <li *ngIf=\"isNoResults() && !isAddTagsAllowed\" class=\"no-results\">{{ noResultMessage }}</li>\n                    <fusion-dropdown-options-list\n                        [displayedOptions]=\"filteredDisplayedOptions$ | async\"\n                        [isMultiRawDisplay]=\"isMultiRawDisplay\"\n                        [mappingOptions]=\"mappingOptions\"\n                        (changeSelected)=\"changeSelected({option: $event.option, $event: $event.$event})\"\n                    >\n                    </fusion-dropdown-options-list>\n                </ul>\n            </div>\n            <!-- footer -->\n            <div class=\"is-footer\" *ngIf=\"footer\">\n                <a *ngIf=\"hasClearAll\" href=\"#\" fusion-button class=\"button-clear\" (click)=\"onClearSelectionClicked($event)\">{{clearAllText}}</a>\n                <div class=\"fu-footer-buttons-holder\">\n                    <button\n                        type=\"button\"\n                        fusion-button\n                        class=\"secondary small transparent\"\n                        [disabled]=\"loading\"\n                        (click)=\"onCancelSelection()\"\n                    >Cancel</button>\n                    <button\n                        type=\"button\"\n                        fusion-button\n                        class=\"primary small transparent\"\n                        [disabled]=\"loading\"\n                        (click)=\"onApplySelection()\"\n                    >Apply</button>\n                </div>\n            </div>\n            <!-- footer/ -->\n        </div>\n    </ng-container>\n</div>\n<div class=\"error-msg\" *ngIf=\"error\">{{ error }}</div>\n", styles: [":host a{font-size:12px;font-family:HelveticaNeue-Medium,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host .is-tags-holder.tags-disabled .placeholder,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host .error-msg{font-size:11px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;font-weight:400;letter-spacing:.25px}:host *{box-sizing:border-box}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host a{text-decoration:none;color:var(--fu-primary-500, #3083ff);cursor:pointer}:host a:link,:host a:visited,:host a:hover,:host a:active{color:var(--fu-primary-500, #3083ff)}:host .is-dropdown .options-locate-right.options-dropdown,:host .is-tags-holder .options-locate-right.options-dropdown{left:auto}:host .is-dropdown .options-locate-left.options-dropdown,:host .is-tags-holder .options-locate-left.options-dropdown{right:auto}:host{display:inline;min-width:85px;line-height:20px}:host .is-dropdown,:host .is-tags-holder{position:relative}:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{position:absolute;left:0;right:0;top:100%;max-height:0;background:var(--fu-white, #ffffff);box-shadow:0 2px 4px #0c003333;border:solid 1px var(--fu-light-300, #e5e7e9);border-radius:4px;display:none}:host .is-dropdown .options-dropdown .options-holder,:host .is-tags-holder .options-dropdown .options-holder{padding:4px;overflow:hidden;overflow-y:auto}:host .is-dropdown.dd-opened .options-dropdown,:host .is-tags-holder.dd-opened .options-dropdown{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:264px;overflow-x:hidden}:host .is-dropdown.dd-opened .options-dropdown.dd-disabled,:host .is-tags-holder.dd-opened .options-dropdown.dd-disabled{display:none}:host .is-dropdown.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.dd-opened .options-dropdown.dd-confirm{max-height:300px}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .is-hidden,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .is-hidden{display:none}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{background:none;cursor:default;padding:8px 10px;height:32px;color:var(--fu-light-900, #7b838c)}:host .is-dropdown.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:245px}:host .is-dropdown .dd-actions,:host .is-tags-holder .dd-actions{text-align:right;background-color:var(--fu-white, #ffffff);padding:8px 7px 7px;border-top:solid 1px var(--fu-light-300, #e5e7e9)}:host .is-dropdown .dd-actions button+button,:host .is-tags-holder .dd-actions button+button{margin-left:2px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown{max-height:296px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-confirm{max-height:333px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:245px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li{height:32px;border-radius:4px;padding:0 8px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{position:relative;cursor:pointer;display:block;color:var(--fu-dark-700, #1d1c64);height:100%;padding:8px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-checkbox,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-checkbox{margin-right:8px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img{width:20px;height:20px;max-width:20px;border-radius:4px;vertical-align:middle;margin-right:10px;margin-top:-2px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon{margin-right:6px;vertical-align:sub;display:inline-block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--fu-light-600, #b7bbc0)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag{margin-right:6px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.has-icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.has-icon{padding-right:20px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group{padding:8px;height:24px;background-color:var(--fu-light-200, #f0f1f2);border-radius:4px;margin:4px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group:first-child,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group:first-child{margin-top:0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-group .is-dd-group{text-transform:uppercase;color:var(--fu-light-900, #7b838c);cursor:default;display:block;height:24px;margin:-5px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children{position:relative;color:var(--fu-light-900, #7b838c);border:solid 1px transparent;cursor:pointer;padding-left:13px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children>div,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children>div{margin-top:5px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow],:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow]{position:absolute;right:7px;top:5px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg{width:8px;height:8px;transform:rotate(-90deg)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children fusion-icon[class^=option-icon-arrow] ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options{display:none;margin:5px -10px 0 -14px;padding-top:4px;background-color:#fff}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label{display:flex;align-content:center;align-items:center;padding-left:5px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label fusion-checkbox,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label fusion-checkbox{margin:-5px 5px 0}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label>span,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children .is-subgroup-options .is-option-label>span{margin-top:1px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open{height:100%}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg{width:8px;height:8px;transform:rotate(360deg)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open fusion-icon.option-icon-arrow ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.is-has-children.is-open .is-subgroup-options{display:block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results{padding:8px 10px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.no-results:hover{background-color:var(--fu-white, #ffffff)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li:hover{background-color:var(--fu-light-100, #f7f8f9)}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon],:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon]{position:absolute;right:-3px;top:8px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon[class^=icon] ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position.dd-opened .options-dropdown .options-holder .options.multi li:hover .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .is-dropdown.dd-disabled,:host .is-tags-holder.dd-disabled{cursor:not-allowed}:host .error-msg{color:var(--fu-negative-500, #ff6a63);margin-top:-2px}:host.fu-options-position-up .is-dropdown .options-dropdown,:host.fu-options-position-up .is-tags-holder.dd-opened .options-dropdown{top:inherit;bottom:calc(100% + 2px)}:host-context(.fu-items-top) .is-dropdown .options-dropdown{top:0}:host{max-width:none;width:100%;text-align:initial}:host .is-tags-holder{min-height:40px;padding:6px 8px 5px;background-color:var(--fu-light-100, #f7f8f9);border-radius:4px;box-sizing:border-box;width:100%}:host .is-tags-holder>ul.tags-holder{display:flex;flex-wrap:wrap}:host .is-tags-holder>ul li{display:inline-flex;margin:2px}:host .is-tags-holder>ul li.search-container{flex:1 1 auto}:host .is-tags-holder>ul li.search-container fusion-input{width:100%}:host .is-tags-holder:hover{background-color:var(--fu-light-200, #f0f1f2)}:host .is-tags-holder.dd-opened{border-bottom:solid 2px var(--fu-primary-500, #3083ff)}:host .is-tags-holder.dd-opened .options-dropdown{top:calc(100% + 2px);visibility:visible}:host .is-tags-holder.dd-opened .options-dropdown .is-footer{background-color:var(--fu-white, #ffffff);height:41px;display:flex;align-items:center;border-top:solid 1px var(--fu-light-300, #e5e7e9)}:host .is-tags-holder.dd-opened .options-dropdown .is-footer .fu-footer-buttons-holder{margin-left:auto}:host .is-tags-holder.dd-opened .options-dropdown .is-footer .fu-footer-buttons-holder button+button{margin-left:2px}:host .is-tags-holder.dd-opened .options-dropdown .is-footer .button-clear{color:var(--tags-input-footer-color-button-color, var(--fu-light-900, #7b838c));text-decoration:underline;text-align:initial;font-weight:400}:host .is-tags-holder.dd-opened .options-dropdown.has-footer{max-height:304px}:host .is-tags-holder.tags-disabled{pointer-events:none}:host .is-tags-holder.tags-disabled:hover{background-color:var(--fu-light-100, #f7f8f9);cursor:not-allowed}:host .is-tags-holder.tags-disabled .placeholder{color:var(--fu-light-800, #8e959d);margin:2px}:host.fu-disabled{cursor:not-allowed}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TagsInputComponent, { className: "TagsInputComponent", filePath: "tags-input.component.ts", lineNumber: 23 }); })();

class TagsInputModule {
    static { this.ɵfac = function TagsInputModule_Factory(t) { return new (t || TagsInputModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: TagsInputModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            ReactiveFormsModule,
            TagModule,
            IconModule,
            InputModule,
            DropdownOptionModule,
            DropdownLoaderModule,
            ClickOutsideModule,
            DropdownOptionsListModule,
            ButtonModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TagsInputModule, [{
        type: NgModule,
        args: [{
                declarations: [TagsInputComponent],
                exports: [TagsInputComponent],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    TagModule,
                    IconModule,
                    InputModule,
                    DropdownOptionModule,
                    DropdownLoaderModule,
                    ClickOutsideModule,
                    DropdownOptionsListModule,
                    ButtonModule
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(TagsInputModule, { declarations: [TagsInputComponent], imports: [CommonModule,
        ReactiveFormsModule,
        TagModule,
        IconModule,
        InputModule,
        DropdownOptionModule,
        DropdownLoaderModule,
        ClickOutsideModule,
        DropdownOptionsListModule,
        ButtonModule], exports: [TagsInputComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TagsInputComponent, TagsInputModule };
//# sourceMappingURL=ironsource-fusion-ui-components-tags-input-v2.mjs.map
