import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { VideoPlayerBaseComponent } from '@ironsource/fusion-ui/components/video-player/common/base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/pipes/numbers';
import { SecondsToMinutesPipe } from '@ironsource/fusion-ui/pipes/numbers';
import { VIDEO_PLAYER_OPTIONS_DEFUALT_VALUE } from '@ironsource/fusion-ui/components/video-player/common/entities';
import { SVG_OPTIONS_TOKEN } from '@ironsource/fusion-ui/components/svg';

function VideoPlayerComponent_div_1_ng_container_3_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 12);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(3);
    i0.ɵɵstyleProp("width", ctx_r6.width)("height", ctx_r6.height);
} }
function VideoPlayerComponent_div_1_ng_container_3_fusion_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 13);
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("name", ctx_r7.playIconName);
} }
function VideoPlayerComponent_div_1_ng_container_3_fusion_icon_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 14);
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("name", ctx_r8.pauseIconName);
} }
function VideoPlayerComponent_div_1_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    const _r10 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, VideoPlayerComponent_div_1_ng_container_3_div_1_Template, 1, 4, "div", 8);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementStart(3, "div", 9);
    i0.ɵɵlistener("click", function VideoPlayerComponent_div_1_ng_container_3_Template_div_click_3_listener($event) { i0.ɵɵrestoreView(_r10); i0.ɵɵnextContext(); const _r4 = i0.ɵɵreference(2); const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.onVideoPlayPauseButtonClicked($event, _r4)); });
    i0.ɵɵtemplate(4, VideoPlayerComponent_div_1_ng_container_3_fusion_icon_4_Template, 1, 1, "fusion-icon", 10);
    i0.ɵɵpipe(5, "async");
    i0.ɵɵtemplate(6, VideoPlayerComponent_div_1_ng_container_3_fusion_icon_6_Template, 1, 1, "fusion-icon", 11);
    i0.ɵɵpipe(7, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(2, 3, ctx_r5.isVideoPlaying$) === false);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(5, 5, ctx_r5.isVideoPlaying$) === false);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(7, 7, ctx_r5.isVideoPlaying$) === true);
} }
function VideoPlayerComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 4);
    i0.ɵɵelement(1, "video", 5, 6);
    i0.ɵɵtemplate(3, VideoPlayerComponent_div_1_ng_container_3_Template, 8, 9, "ng-container", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵstyleProp("width", ctx_r0.width)("height", ctx_r0.height);
    i0.ɵɵproperty("src", ctx_r0.src, i0.ɵɵsanitizeUrl)("poster", ctx_r0.thumbnail, i0.ɵɵsanitizeUrl);
    i0.ɵɵattribute("autoplay", ctx_r0.isAutoplay)("controls", ctx_r0.isTimeline ? true : null);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", !ctx_r0.isTimeline);
} }
function VideoPlayerComponent_div_2_fusion_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 17);
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r11.options.noVideo.icon);
} }
function VideoPlayerComponent_div_2_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div");
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r12.options.noVideo.title);
} }
function VideoPlayerComponent_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 15);
    i0.ɵɵtemplate(1, VideoPlayerComponent_div_2_fusion_icon_1_Template, 1, 1, "fusion-icon", 16)(2, VideoPlayerComponent_div_2_div_2_Template, 2, 1, "div", 7);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.options.noVideo == null ? null : ctx_r1.options.noVideo.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.options.noVideo == null ? null : ctx_r1.options.noVideo.title);
} }
function VideoPlayerComponent_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 18);
    i0.ɵɵpipe(1, "async");
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "secondsToMinutes");
    i0.ɵɵpipe(4, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(5, "span", 18);
    i0.ɵɵpipe(6, "async");
    i0.ɵɵtext(7);
    i0.ɵɵpipe(8, "secondsToMinutes");
    i0.ɵɵpipe(9, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("hidden", i0.ɵɵpipeBind1(1, 4, ctx_r2.isVideoPlaying$) === false);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(3, 6, i0.ɵɵpipeBind1(4, 8, ctx_r2.videoCurrentTime$)));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("hidden", i0.ɵɵpipeBind1(6, 10, ctx_r2.isVideoPlaying$) === true);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(8, 12, i0.ɵɵpipeBind1(9, 14, ctx_r2.videoDuration$)));
} }
const _c0 = a0 => ({ "no-data": a0 });
class VideoPlayerComponent extends VideoPlayerBaseComponent {
    constructor() {
        super(...arguments);
        this.playIconName = { iconName: 'play-video', iconVersion: 'v1' };
        this.pauseIconName = { iconName: 'pause', iconVersion: 'v1' };
        this.videoCameraIconName = { iconName: 'video-camera', iconVersion: 'v1' };
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵVideoPlayerComponent_BaseFactory; return function VideoPlayerComponent_Factory(t) { return (ɵVideoPlayerComponent_BaseFactory || (ɵVideoPlayerComponent_BaseFactory = i0.ɵɵgetInheritedFactory(VideoPlayerComponent)))(t || VideoPlayerComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: VideoPlayerComponent, selectors: [["fusion-video-player"]], features: [i0.ɵɵInheritDefinitionFeature], decls: 5, vars: 9, consts: [[1, "fusion-video-preview", 3, "ngClass"], ["class", "is-video-exists", 4, "ngIf"], ["class", "is-no-video", 4, "ngIf"], ["videoTimeData", ""], [1, "is-video-exists"], ["preload", "metadata", 3, "src", "poster"], ["videoPlayer", ""], [4, "ngIf"], ["class", "is-video-overlay", 3, "width", "height", 4, "ngIf"], [1, "is-video-action-button", 3, "click"], ["class", "button-play", 3, "name", 4, "ngIf"], ["class", "button-pause", 3, "name", 4, "ngIf"], [1, "is-video-overlay"], [1, "button-play", 3, "name"], [1, "button-pause", 3, "name"], [1, "is-no-video"], ["class", "fu-icon-no-video", 3, "name", 4, "ngIf"], [1, "fu-icon-no-video", 3, "name"], [1, "video-timing", 3, "hidden"]], template: function VideoPlayerComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, VideoPlayerComponent_div_1_Template, 4, 9, "div", 1)(2, VideoPlayerComponent_div_2_Template, 3, 2, "div", 2);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(3, VideoPlayerComponent_ng_template_3_Template, 10, 16, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵstyleProp("width", ctx.width)("height", ctx.height);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(7, _c0, !ctx.src));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.src);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.src);
        } }, dependencies: [i1.NgClass, i1.NgIf, i2.IconComponent, i1.AsyncPipe, i3.SecondsToMinutesPipe], styles: ["[_nghost-%COMP%]   .fusion-video-preview.no-data[_ngcontent-%COMP%]   .is-no-video[_ngcontent-%COMP%]{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}[_nghost-%COMP%]   .fusion-video-preview.no-data[_ngcontent-%COMP%]   .is-no-video[_ngcontent-%COMP%]{margin-left:0;margin-top:0;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}[_nghost-%COMP%]   .fusion-video-preview.no-data[_ngcontent-%COMP%]{border:1px solid var(--light-color, #E1E6EB)}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]{position:relative;background-color:var(--light-color-200, #F3F5F7)}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]{width:100%;height:100%}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]   .is-video-overlay[_ngcontent-%COMP%]{background-color:#172d4c99;position:absolute;top:0;left:0;width:100%;height:100%}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]   .is-video-action-button[_ngcontent-%COMP%]{position:absolute;width:90px;height:90px;z-index:1001;top:calc(50% - 45px);left:calc(50% - 45px);cursor:pointer}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.play-video[_ngcontent-%COMP%]     svg{width:90px;height:90px}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.play-video[_ngcontent-%COMP%]     svg *{fill:#fff}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]{opacity:0}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg{width:90px;height:90px}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg *{fill:#fff}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]:hover   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]{opacity:.7}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]:hover   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg{width:90px;height:90px}[_nghost-%COMP%]   .fusion-video-preview[_ngcontent-%COMP%]   .is-video-exists[_ngcontent-%COMP%]:hover   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg *{fill:#fff}[_nghost-%COMP%]   .fusion-video-preview.no-data[_ngcontent-%COMP%]   .is-no-video[_ngcontent-%COMP%]{pointer-events:none;cursor:default;color:var(--light-color-800, #678099);text-align:center}is-asset-box[_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%], is-asset-box   [_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]{width:50px;height:50px;z-index:1001;top:calc(50% - 25px);left:calc(50% - 25px)}is-asset-box[_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.play-video[_ngcontent-%COMP%]     svg, is-asset-box   [_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.play-video[_ngcontent-%COMP%]     svg{width:50px;height:50px}is-asset-box[_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.play-video[_ngcontent-%COMP%]     svg *, is-asset-box   [_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.play-video[_ngcontent-%COMP%]     svg *{fill:#fff}is-asset-box[_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%], is-asset-box   [_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]{opacity:0}is-asset-box[_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg, is-asset-box   [_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg{width:50px;height:50px}is-asset-box[_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg *, is-asset-box   [_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]   div.is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg *{fill:#fff}is-asset-box[_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]:hover   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%], is-asset-box   [_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]:hover   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]{opacity:.7}is-asset-box[_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]:hover   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg, is-asset-box   [_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]:hover   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg{width:50px;height:50px}is-asset-box[_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]:hover   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg *, is-asset-box   [_nghost-%COMP%]   div.fusion-video-preview[_ngcontent-%COMP%]   div.is-video-exists[_ngcontent-%COMP%]:hover   .is-video-action-button[_ngcontent-%COMP%]   fusion-icon.pause[_ngcontent-%COMP%]     svg *{fill:#fff}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(VideoPlayerComponent, [{
        type: Component,
        args: [{ selector: 'fusion-video-player', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div\n    class=\"fusion-video-preview\"\n    [style.width]=\"width\"\n    [style.height]=\"height\"\n    [ngClass]=\"{'no-data': !src}\"\n>\n    <div *ngIf=\"src\" class=\"is-video-exists\">\n        <video\n            preload=\"metadata\"\n            [attr.autoplay]=\"isAutoplay\"\n            [attr.controls]=\"isTimeline ? true : null\"\n            [style.width]=\"width\"\n            [style.height]=\"height\"\n            [src]=\"src\"\n            [poster]=\"thumbnail\"\n            #videoPlayer\n        ></video>\n        <ng-container *ngIf=\"!isTimeline\">\n            <div\n                class=\"is-video-overlay\"\n                *ngIf=\"(isVideoPlaying$ | async) === false\"\n                [style.width]=\"width\"\n                [style.height]=\"height\"\n            ></div>\n            <div class=\"is-video-action-button\" (click)=\"onVideoPlayPauseButtonClicked($event, videoPlayer)\">\n                <fusion-icon class=\"button-play\" [name]=\"playIconName\" *ngIf=\"(isVideoPlaying$ | async) === false\"></fusion-icon>\n                <fusion-icon class=\"button-pause\" [name]=\"pauseIconName\" *ngIf=\"(isVideoPlaying$ | async) === true\"></fusion-icon>\n            </div>\n        </ng-container>\n    </div>\n\n    <div *ngIf=\"!src\" class=\"is-no-video\">\n        <fusion-icon class=\"fu-icon-no-video\" *ngIf=\"options.noVideo?.icon\" [name]=\"options.noVideo.icon\"></fusion-icon>\n        <div *ngIf=\"options.noVideo?.title\">{{ options.noVideo.title }}</div>\n    </div>\n</div>\n<ng-template #videoTimeData>\n    <span class=\"video-timing\" [hidden]=\"(isVideoPlaying$ | async) === false\">{{ videoCurrentTime$ | async | secondsToMinutes }}</span>\n    <span class=\"video-timing\" [hidden]=\"(isVideoPlaying$ | async) === true\">{{ videoDuration$ | async | secondsToMinutes }}</span>\n</ng-template>\n", styles: [":host .fusion-video-preview.no-data .is-no-video{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}:host .fusion-video-preview.no-data .is-no-video{margin-left:0;margin-top:0;position:absolute;top:50%;left:50%;transform:translate(-50%,-50%)}:host .fusion-video-preview.no-data{border:1px solid var(--light-color, #E1E6EB)}:host .fusion-video-preview{position:relative;background-color:var(--light-color-200, #F3F5F7)}:host .fusion-video-preview .is-video-exists{width:100%;height:100%}:host .fusion-video-preview .is-video-exists .is-video-overlay{background-color:#172d4c99;position:absolute;top:0;left:0;width:100%;height:100%}:host .fusion-video-preview .is-video-exists .is-video-action-button{position:absolute;width:90px;height:90px;z-index:1001;top:calc(50% - 45px);left:calc(50% - 45px);cursor:pointer}:host .fusion-video-preview .is-video-exists .is-video-action-button fusion-icon.play-video ::ng-deep svg{width:90px;height:90px}:host .fusion-video-preview .is-video-exists .is-video-action-button fusion-icon.play-video ::ng-deep svg *{fill:#fff}:host .fusion-video-preview .is-video-exists .is-video-action-button fusion-icon.pause{opacity:0}:host .fusion-video-preview .is-video-exists .is-video-action-button fusion-icon.pause ::ng-deep svg{width:90px;height:90px}:host .fusion-video-preview .is-video-exists .is-video-action-button fusion-icon.pause ::ng-deep svg *{fill:#fff}:host .fusion-video-preview .is-video-exists:hover .is-video-action-button fusion-icon.pause{opacity:.7}:host .fusion-video-preview .is-video-exists:hover .is-video-action-button fusion-icon.pause ::ng-deep svg{width:90px;height:90px}:host .fusion-video-preview .is-video-exists:hover .is-video-action-button fusion-icon.pause ::ng-deep svg *{fill:#fff}:host .fusion-video-preview.no-data .is-no-video{pointer-events:none;cursor:default;color:var(--light-color-800, #678099);text-align:center}:host-context(is-asset-box) div.fusion-video-preview div.is-video-exists div.is-video-action-button{width:50px;height:50px;z-index:1001;top:calc(50% - 25px);left:calc(50% - 25px)}:host-context(is-asset-box) div.fusion-video-preview div.is-video-exists div.is-video-action-button fusion-icon.play-video ::ng-deep svg{width:50px;height:50px}:host-context(is-asset-box) div.fusion-video-preview div.is-video-exists div.is-video-action-button fusion-icon.play-video ::ng-deep svg *{fill:#fff}:host-context(is-asset-box) div.fusion-video-preview div.is-video-exists div.is-video-action-button fusion-icon.pause{opacity:0}:host-context(is-asset-box) div.fusion-video-preview div.is-video-exists div.is-video-action-button fusion-icon.pause ::ng-deep svg{width:50px;height:50px}:host-context(is-asset-box) div.fusion-video-preview div.is-video-exists div.is-video-action-button fusion-icon.pause ::ng-deep svg *{fill:#fff}:host-context(is-asset-box) div.fusion-video-preview div.is-video-exists:hover .is-video-action-button fusion-icon.pause{opacity:.7}:host-context(is-asset-box) div.fusion-video-preview div.is-video-exists:hover .is-video-action-button fusion-icon.pause ::ng-deep svg{width:50px;height:50px}:host-context(is-asset-box) div.fusion-video-preview div.is-video-exists:hover .is-video-action-button fusion-icon.pause ::ng-deep svg *{fill:#fff}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(VideoPlayerComponent, { className: "VideoPlayerComponent", filePath: "video-player.component.ts", lineNumber: 10 }); })();

class VideoPlayerModule {
    static forRoot(options) {
        return {
            ngModule: VideoPlayerModule,
            providers: [
                {
                    provide: SVG_OPTIONS_TOKEN,
                    useValue: options ? options.svgOptions : VIDEO_PLAYER_OPTIONS_DEFUALT_VALUE.svgOptions
                }
            ]
        };
    }
    static { this.ɵfac = function VideoPlayerModule_Factory(t) { return new (t || VideoPlayerModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: VideoPlayerModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(VideoPlayerModule, [{
        type: NgModule,
        args: [{
                declarations: [VideoPlayerComponent],
                exports: [VideoPlayerComponent],
                imports: [CommonModule, IconModule, SecondsToMinutesPipe]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(VideoPlayerModule, { declarations: [VideoPlayerComponent], imports: [CommonModule, IconModule, SecondsToMinutesPipe], exports: [VideoPlayerComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { VideoPlayerComponent, VideoPlayerModule };
//# sourceMappingURL=ironsource-fusion-ui-components-video-player-v1.mjs.map
