import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare abstract class AlertBaseComponent {
    type: string;
    mode: string;
    shown: boolean;
    showCloseButton: boolean;
    showDoNotShowAgainButton: boolean;
    closed: EventEmitter<{
        dontShowAgain: boolean;
    }>;
    get alertIcon(): string;
    get alertCssClasses(): string[];
    /** @internal */
    onCloseClicked(isDontShowAgain?: boolean): void;
    /** @internal */
    onDontShowClicked($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AlertBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<AlertBaseComponent, never, never, { "type": { "alias": "type"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "shown": { "alias": "shown"; "required": false; }; "showCloseButton": { "alias": "showCloseButton"; "required": false; }; "showDoNotShowAgainButton": { "alias": "showDoNotShowAgainButton"; "required": false; }; }, { "closed": "closed"; }, never, never, false, never>;
}
