import { Application } from '@ironsource/fusion-ui/entities';
import { SnackbarService } from '@ironsource/fusion-ui/components/snackbar/v4';
import { tooltipConfiguration } from '@ironsource/fusion-ui/components/tooltip/common/base';
import * as i0 from "@angular/core";
export declare class AppTriggerComponent {
    application?: Application;
    placeholder?: string;
    required?: boolean;
    /** @internal */
    tooltipConfiguration: tooltipConfiguration;
    /** @internal */
    snackbarService: SnackbarService;
    /** @internal */
    get appImageSrc(): string;
    /** @internal */
    get platformIcon(): string;
    /** @internal */
    get placeholderText(): string;
    /** @internal */
    copyToClipboard(): () => string;
    /** @internal */
    textCopied(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AppTriggerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AppTriggerComponent, "fusion-app-trigger", never, { "application": { "alias": "application"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "required": { "alias": "required"; "required": false; }; }, {}, never, never, true, never>;
}
