import { EventEmitter } from '@angular/core';
import { Day, Month } from '@ironsource/fusion-ui/components/calendar/entities';
import * as i0 from "@angular/core";
export declare class CalendarService {
    dayHoverStart: EventEmitter<{
        parentDaterangeId: string;
        day: Day;
        hoveredElement: Node;
    }>;
    dayHoverEnd: EventEmitter<{
        parentDaterangeId: string;
    }>;
    parsedMonths: {
        [monthKey: string]: Month;
    };
    daysInMonth(month: number, year: number): number;
    getMonthKey(month: Date): string;
    getParsedMonth(month: any, maxDate?: Date): Month;
    createMonth(monthToCreateAsUtc: Date, maxDate?: Date): Month;
    getCurrentDateUTC(): Date;
    getDateAsUTC(date: Date): Date;
    compareDates(firstDate: Date, secondDate: Date): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarService, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CalendarService, never, never, {}, { "dayHoverStart": "dayHoverStart"; "dayHoverEnd": "dayHoverEnd"; }, never, never, false, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CalendarService>;
}
