import { EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ChartLabel } from '@ironsource/fusion-ui/components/chart/common/base';
import { ColorsService } from '@ironsource/fusion-ui/services/colors';
import * as i0 from "@angular/core";
export declare class ChartLabelsV4Component implements OnInit, OnDestroy {
    set labels(value: ChartLabel[]);
    private _labels;
    get labels(): ChartLabel[];
    bgOpacity: number;
    testId: string;
    labelClick: EventEmitter<ChartLabel>;
    labelHover: EventEmitter<ChartLabel>;
    colorsService: ColorsService;
    private labelClick$;
    private onDestroy$;
    ngOnInit(): void;
    ngOnDestroy(): void;
    getLabelBGColor(hexColor: string): string;
    onLabelHover(chartLabel: ChartLabel): void;
    chartLabelClicked($event: Event, chartLabel: ChartLabel): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartLabelsV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartLabelsV4Component, "fusion-chart-labels", never, { "labels": { "alias": "labels"; "required": false; }; "bgOpacity": { "alias": "bgOpacity"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, { "labelClick": "labelClick"; "labelHover": "labelHover"; }, never, never, true, never>;
}
