export interface ChartBaseDatasetOptions {
    colorSettings: string[];
    fillOpacity: number;
    seriesToShow: number;
    dateFormat?: string;
    lineOptions: ChartLineOptions;
    barOptions: ChartBarOptions;
    pieOptions: ChartPieOptions;
}
interface ChartLineOptions {
    fill?: boolean;
    hidden?: boolean;
    tension?: number;
    borderWidth?: number;
    pointBorderColor?: string;
    pointBackgroundColor?: string;
    pointHoverBackgroundColor?: string;
}
interface ChartBarOptions {
    borderRadius?: number;
    borderWidth: number;
    backgroundColor: string[];
    borderColor: string[];
}
interface ChartPieOptions {
    cutout?: number | string;
    borderWidth?: number;
    rotation?: number;
    hoverBorderWidth?: number;
    backgroundColor: string[];
}
export {};
