import { EventEmitter } from '@angular/core';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import * as i0 from "@angular/core";
export declare class ChipComponent {
    label: import("@angular/core").InputSignal<string>;
    iconName: import("@angular/core").InputSignal<IconData>;
    removeIconName: import("@angular/core").InputSignal<IconData>;
    removable: import("@angular/core").InputSignal<boolean>;
    theme: import("@angular/core").InputSignal<"default" | "primary" | "info" | "error" | "success" | "warning" | "dark">;
    size: import("@angular/core").InputSignal<"small" | "medium">;
    variant: import("@angular/core").InputSignal<"filled" | "outlined">;
    shape: import("@angular/core").InputSignal<"square" | "round">;
    selected: import("@angular/core").InputSignal<boolean>;
    disabled: import("@angular/core").InputSignal<boolean>;
    /** @internal */
    readonly remove: EventEmitter<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChipComponent, "fusion-chip", never, { "label": { "alias": "label"; "required": true; "isSignal": true; }; "iconName": { "alias": "iconName"; "required": false; "isSignal": true; }; "removeIconName": { "alias": "removeIconName"; "required": false; "isSignal": true; }; "removable": { "alias": "removable"; "required": false; "isSignal": true; }; "theme": { "alias": "theme"; "required": false; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "variant": { "alias": "variant"; "required": false; "isSignal": true; }; "shape": { "alias": "shape"; "required": false; "isSignal": true; }; "selected": { "alias": "selected"; "required": false; "isSignal": true; }; "disabled": { "alias": "disabled"; "required": false; "isSignal": true; }; }, { "remove": "remove"; }, never, never, true, never>;
}
