import { DateRange, DaterangeCustomPreset, DaterangePresets } from '@ironsource/fusion-ui/components/daterange/entities';
import { CalendarService } from '@ironsource/fusion-ui/components/calendar/common/base';
import * as i0 from "@angular/core";
export declare class DaterangeService {
    protected calendarService: CalendarService;
    constructor(calendarService: CalendarService);
    defaultPresetList: DaterangePresets[];
    presetDateFunctions: {
        1: () => DateRange;
        2: () => DateRange;
        3: () => DateRange;
        4: () => DateRange;
        5: () => DateRange;
        6: () => DateRange;
        7: () => DateRange;
        8: () => DateRange;
        9: () => DateRange;
    };
    isCustomPreset(preset: DaterangePresets | DaterangeCustomPreset): boolean;
    getPresetName(preset: DaterangePresets | DaterangeCustomPreset): string;
    determinePreset(daterange: DateRange, availablePresets?: DaterangePresets[] | DaterangeCustomPreset[], params?: any): DaterangePresets | DaterangeCustomPreset;
    getPresetRange(preset: DaterangePresets | DaterangeCustomPreset, params?: any): DateRange;
    getDefaultRange(): DateRange;
    getCurrentDateUTC: () => any;
    getFullUTCDate(date?: Date): Date;
    private getPresetBySelectedDates;
    private isSameRange;
    private isSameDay;
    static ɵfac: i0.ɵɵFactoryDeclaration<DaterangeService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<DaterangeService>;
}
