import { BehaviorSubject } from 'rxjs';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import { DaterangeBaseComponent } from '@ironsource/fusion-ui/components/daterange/common/base';
import { DropdownPlaceholder, DropdownSelectConfigurations } from '@ironsource/fusion-ui/components/dropdown-select/v4';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import { DateRangeTestIdModifiers } from '@ironsource/fusion-ui/entities';
import * as i0 from "@angular/core";
export declare class DaterangeV4Component extends DaterangeBaseComponent {
    /** @internal */
    selectorIcon: IconData;
    footerMessage: string;
    testId: string;
    /** @internal */
    testIdModifiers: typeof DateRangeTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    /** @internal */
    dropdownSelectConfigurations$: BehaviorSubject<DropdownSelectConfigurations>;
    /** @internal */
    pevIconName: string;
    /** @internal */
    nextIconName: string;
    get isOpen(): boolean;
    get placeholder(): DropdownPlaceholder;
    static ɵfac: i0.ɵɵFactoryDeclaration<DaterangeV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DaterangeV4Component, "fusion-daterange", never, { "selectorIcon": { "alias": "selectorIcon"; "required": false; }; "footerMessage": { "alias": "footerMessage"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, never, true, never>;
}
