import { EventEmitter, Injector } from '@angular/core';
import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option/entities';
import { IncludeExcludeTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class DropdownDualMultiSelectBodyItemComponent {
    private injector;
    bodySide: 'left' | 'right';
    item: DropdownOption;
    isDisabled: boolean;
    isSelectedItem: boolean;
    /** @internal */
    testId: string;
    changeSelected: EventEmitter<any>;
    clearSelect: EventEmitter<any>;
    /** @internal */
    testIdIncludeExcludeModifiers: typeof IncludeExcludeTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    constructor(injector: Injector);
    changeSelectedItem(item: DropdownOption): void;
    clearSelectItem(item: DropdownOption): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownDualMultiSelectBodyItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownDualMultiSelectBodyItemComponent, "fusion-dropdown-dual-multi-select-body-item", never, { "bodySide": { "alias": "bodySide"; "required": false; }; "item": { "alias": "item"; "required": false; }; "isDisabled": { "alias": "isDisabled"; "required": false; }; "isSelectedItem": { "alias": "isSelectedItem"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, { "changeSelected": "changeSelected"; "clearSelect": "clearSelect"; }, never, never, false, never>;
}
