import { OnDestroy, ElementRef, AfterViewInit, Injector } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { IconData } from '@ironsource/fusion-ui/components/icon/common/entities';
import { IncludeExcludeTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class DropdownDualMultiSelectHeaderComponent implements OnDestroy, AfterViewInit, ControlValueAccessor {
    private injector;
    input?: ElementRef;
    title: string;
    /** @internal */
    testId: string;
    /** @internal */
    testIdIncludeExcludeModifiers: typeof IncludeExcludeTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    searchIcon?: IconData;
    searchClearIcon?: IconData;
    searchControl: FormControl<any>;
    private onDestroy$;
    constructor(injector: Injector);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(): void;
    clearSearch?(): void;
    setFocusToInput(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownDualMultiSelectHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DropdownDualMultiSelectHeaderComponent, "fusion-dropdown-dual-multi-select-header", never, { "title": { "alias": "title"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, never, false, never>;
}
