import { OnChanges, OnInit, Renderer2, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare abstract class DropdownOptionBaseDirective implements OnInit, OnChanges {
    private renderer;
    fusionDropdownOption: any;
    mappingOptions: any;
    dropdownType: '' | 'multi' | 'tags';
    lastSearchValue: string;
    optionRightHoverText: string;
    isMultiRawDisplay: boolean;
    optionCloseIcon: boolean;
    optionClass: boolean;
    isOptionHidden: boolean;
    viewContainerRef: ViewContainerRef;
    protected dropdownOptionComponentType: any;
    protected optionComponentRef: any;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngOnChanges(changes: any): void;
    updateData(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownOptionBaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownOptionBaseDirective, never, never, { "fusionDropdownOption": { "alias": "fusionDropdownOption"; "required": false; }; "mappingOptions": { "alias": "mappingOptions"; "required": false; }; "dropdownType": { "alias": "dropdownType"; "required": false; }; "lastSearchValue": { "alias": "lastSearchValue"; "required": false; }; "optionRightHoverText": { "alias": "optionRightHoverText"; "required": false; }; "isMultiRawDisplay": { "alias": "isMultiRawDisplay"; "required": false; }; "optionCloseIcon": { "alias": "optionCloseIcon"; "required": false; }; }, {}, never, never, false, never>;
}
