import { EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class FileDragAndDropComponent {
    /**
     * element ID for initial file selection dialog by click.
     * if not provided used click on host
     */
    buttonId: string;
    /**
     * for disabling file selection
     */
    disabled: boolean;
    /**
     * for loading file selection
     */
    loading: boolean;
    /**
     * input.file accept attribute (file select dialog only, not grad&&drop)
     */
    accept: string;
    /**
     * input.file multiple attribute (file select dialog only, not grad&&drop)
     */
    multiple: boolean;
    /**
     * output event emitter (files: FileList)
     */
    handleFiles: EventEmitter<any>;
    handleSelectedFiles(files: FileList): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileDragAndDropComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileDragAndDropComponent, "fusion-file-drag-and-drop", never, { "buttonId": { "alias": "buttonId"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "accept": { "alias": "accept"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; }, { "handleFiles": "handleFiles"; }, never, ["*"], false, never>;
}
