import { EventEmitter, OnInit } from '@angular/core';
import { IconSelectItem } from './entities/icon-select-item';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import * as i0 from "@angular/core";
export declare abstract class IconSelectListBaseComponent implements OnInit {
    private _uniqueService;
    id: string;
    error: string;
    options: Array<IconSelectItem>;
    selected: Array<IconSelectItem>;
    isMultiSelect: boolean;
    selectionChanged: EventEmitter<any>;
    private uid;
    constructor(_uniqueService: UniqueIdService);
    ngOnInit(): void;
    isItemChecked(item: IconSelectItem): boolean;
    onItemSelectionChanged(evt: any, item: IconSelectItem): void;
    propagateChange: (_: any) => void;
    propagateTouched: () => void;
    writeValue(value: IconSelectItem[]): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconSelectListBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<IconSelectListBaseComponent, never, never, { "id": { "alias": "id"; "required": false; }; "error": { "alias": "error"; "required": false; }; "options": { "alias": "options"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "isMultiSelect": { "alias": "isMultiSelect"; "required": false; }; }, { "selectionChanged": "selectionChanged"; }, never, never, false, never>;
}
