import { tooltipConfiguration } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { SnackbarService } from '@ironsource/fusion-ui/components/snackbar/v4';
import * as i0 from "@angular/core";
export declare class InlineCopyComponent {
    text: string;
    size: 'small' | 'medium';
    tooltipText: string;
    tooltipConfiguration: tooltipConfiguration;
    iconName: string;
    iconPosition: 'left' | 'right';
    testId: string;
    valueToCopy: string;
    suppressTooltip: boolean;
    suppressSnackbar: boolean;
    copiedSnackbarText: string;
    snackbarService: SnackbarService;
    copyToClipboard(): () => string;
    textCopied(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InlineCopyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InlineCopyComponent, "fusion-inline-copy", never, { "text": { "alias": "text"; "required": false; }; "size": { "alias": "size"; "required": false; }; "tooltipText": { "alias": "tooltipText"; "required": false; }; "tooltipConfiguration": { "alias": "tooltipConfiguration"; "required": false; }; "iconName": { "alias": "iconName"; "required": false; }; "iconPosition": { "alias": "iconPosition"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "valueToCopy": { "alias": "valueToCopy"; "required": false; }; "suppressTooltip": { "alias": "suppressTooltip"; "required": false; }; "suppressSnackbar": { "alias": "suppressSnackbar"; "required": false; }; "copiedSnackbarText": { "alias": "copiedSnackbarText"; "required": false; }; }, {}, never, never, true, never>;
}
