import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import { FieldLabelTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import { tooltipConfiguration } from '@ironsource/fusion-ui/components/tooltip/v4';
import * as i0 from "@angular/core";
export declare class InputLabelComponent {
    text: string;
    required: boolean;
    disabled: boolean;
    icon: IconData;
    tooltipText: string;
    tooltipConfiguration: tooltipConfiguration;
    testId: string;
    /** @internal */
    testIdsService: TestIdsService;
    /** @internal */
    protected readonly fieldLabelTestIdModifiers: typeof FieldLabelTestIdModifiers;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputLabelComponent, "fusion-input-label", never, { "text": { "alias": "text"; "required": false; }; "required": { "alias": "required"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "tooltipText": { "alias": "tooltipText"; "required": false; }; "tooltipConfiguration": { "alias": "tooltipConfiguration"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, never, true, never>;
}
