import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
export declare enum InputSize {
    Small = "small",
    Medium = "medium"
}
export interface InputOptions {
    size?: InputSize;
    width?: string;
    buttonIcon?: IconData;
    rounded?: boolean;
    style?: {
        [styleKey: string]: string;
    };
    iconStyle?: {
        [styleKey: string]: string;
    };
    preventCharacters?: string[];
    isPassHidden?: boolean;
}
export declare const DEFAULT_INPUT_OPTIONS: {
    width: string;
    rounded: boolean;
    isPassHidden: boolean;
};
