import { EventEmitter } from '@angular/core';
import { HeaderContent, TeleportSkeleton, TeleportWrapperElement } from '../../layout.entities';
import * as i0 from "@angular/core";
export declare class LayoutHeaderComponent {
    set headerContent(value: HeaderContent);
    get headerContent(): HeaderContent;
    set teleportElements(value: TeleportWrapperElement[]);
    get teleportElements(): TeleportWrapperElement[];
    backButtonClicked: EventEmitter<any>;
    get hasTeleportAlignRight(): boolean;
    get isMultiline(): boolean;
    get hasTopLine(): boolean;
    get teleportTopRowBaseSkeletons(): TeleportSkeleton[];
    get teleportTopRowBaseSkeletonsGap(): string;
    get teleportTopRowElements(): TeleportWrapperElement[];
    get hasBottomLine(): boolean;
    get bottomTopRowElements(): TeleportWrapperElement[];
    get teleportBottomLineSkeletons(): TeleportSkeleton[];
    get teleportBottomLineSkeletonsGap(): string;
    get isDrilldown(): boolean;
    private _headerContent;
    private _teleportElements;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutHeaderComponent, "fusion-layout-header", never, { "headerContent": { "alias": "headerContent"; "required": false; }; "teleportElements": { "alias": "teleportElements"; "required": false; }; }, { "backButtonClicked": "backButtonClicked"; }, never, never, true, never>;
}
