import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import { LinkColor, LinkTarget, LinkVariant } from './link.component.entities';
import { LinkTestIdModifiers } from '@ironsource/fusion-ui/entities';
import * as i0 from "@angular/core";
export declare class LinkComponent {
    testId: string;
    href: string;
    target: LinkTarget;
    set variant(value: LinkVariant);
    private _variant;
    get variant(): LinkVariant;
    set color(value: LinkColor);
    private _color;
    get isPrimary(): boolean;
    disabled: boolean;
    underline: boolean;
    /** @internal */
    startIconColor: string;
    /** @internal */
    startIconName: IconData;
    endIconColor: string;
    endIconName: IconData;
    /** @internal */
    externalIconColor: string;
    /** @internal */
    externalIconName: IconData;
    get isExternal(): boolean;
    get externalIcon(): IconData;
    /** @internal */
    testIdsService: TestIdsService;
    /** @internal */
    testIdLinkModifiers: typeof LinkTestIdModifiers;
    static ɵfac: i0.ɵɵFactoryDeclaration<LinkComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LinkComponent, "fusion-link", never, { "testId": { "alias": "testId"; "required": false; }; "href": { "alias": "href"; "required": false; }; "target": { "alias": "target"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "color": { "alias": "color"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "underline": { "alias": "underline"; "required": false; }; "startIconColor": { "alias": "startIconColor"; "required": false; }; "startIconName": { "alias": "startIconName"; "required": false; }; "endIconColor": { "alias": "endIconColor"; "required": false; }; "endIconName": { "alias": "endIconName"; "required": false; }; "externalIconColor": { "alias": "externalIconColor"; "required": false; }; "externalIconName": { "alias": "externalIconName"; "required": false; }; }, {}, never, ["*"], true, never>;
}
