import { EventEmitter } from '@angular/core';
import { MenuItem } from './menu-item';
import { MenuItemAdditionalData } from './menu-item-additional-data';
import { MenuService } from './menu.service';
import { WindowService } from '@ironsource/fusion-ui/services/window';
import { Location } from '@angular/common';
import * as i0 from "@angular/core";
export declare abstract class MenuBaseComponent {
    private menuService;
    private windowService;
    private location;
    private _menuItems;
    routeChanged: EventEmitter<void>;
    set menuItems(menuItems: MenuItem[]);
    get menuItems(): MenuItem[];
    get currentPath(): string;
    menuAdditionalItemClicked: EventEmitter<MenuItemAdditionalData>;
    menuItemClicked: EventEmitter<MenuItem>;
    mouseLeave: EventEmitter<any>;
    mouseEnter: EventEmitter<any>;
    constructor(menuService: MenuService, windowService: WindowService, location: Location);
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuBaseComponent, [null, null, { optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MenuBaseComponent, never, never, { "menuItems": { "alias": "menuItems"; "required": false; }; }, { "routeChanged": "routeChanged"; "menuAdditionalItemClicked": "menuAdditionalItemClicked"; "menuItemClicked": "menuItemClicked"; "mouseLeave": "mouseLeave"; "mouseEnter": "mouseEnter"; }, never, never, false, never>;
}
