import { MobileOrientation } from './mobile-orientation.enum';
import { Component, Type } from '@angular/core';
export interface MobilePreviewerComponentConfiguration {
    orientation?: MobileOrientation;
    staticComponentSize?: {
        width?: string;
        height?: string;
    };
    element?: Node;
    component?: {
        type: Type<Component>;
        data?: {
            [key: string]: any;
        };
    };
}
export declare const WIDTH_STATIC = "568";
export declare const HEIGHT_STATIC = "320";
export declare const BORDER_WIDTH = 2.6;
export declare const DEVICE_ORIENTATION: string[];
