import { EventEmitter, Injector } from '@angular/core';
import { ModalTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class ModalFooterComponent {
    private injector;
    submitButtonPending: boolean;
    set cancelButton(config: {
        cancelButtonText?: string;
        cancelButtonClass?: string;
        cancelButtonHidden?: boolean;
    });
    set submitButton(config: {
        submitButtonText?: string;
        submitButtonClass?: string;
        submitButtonDisabled?: boolean;
    });
    error: any;
    /** @internal */
    testId: string;
    primaryButtonClicked: EventEmitter<any>;
    closeButtonClicked: EventEmitter<any>;
    /** @internal */
    modalTestIdModifiers: typeof ModalTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    /** @internal */
    submitButtonText: string;
    /** @internal */
    submitButtonClass: string;
    /** @internal */
    submitButtonDisabled: boolean;
    /** @internal */
    cancelButtonText: string;
    /** @internal */
    cancelButtonClass: string;
    /** @internal */
    cancelButtonHidden: boolean;
    constructor(injector: Injector);
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalFooterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalFooterComponent, "fusion-modal-footer", never, { "submitButtonPending": { "alias": "submitButtonPending"; "required": false; }; "cancelButton": { "alias": "cancelButton"; "required": false; }; "submitButton": { "alias": "submitButton"; "required": false; }; "error": { "alias": "error"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, { "primaryButtonClicked": "primaryButtonClicked"; "closeButtonClicked": "closeButtonClicked"; }, never, never, false, never>;
}
