import { EventEmitter, Injector } from '@angular/core';
import { ModalTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class ModalHeaderComponent {
    private injector;
    headerText: string;
    showCloseButton: boolean;
    /** @internal */
    testId: string;
    private _infoText;
    set infoText(value: string);
    get infoText(): string;
    /** @internal */
    modalTestIdModifiers: typeof ModalTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    /** @internal */
    closeButtonIcon: {
        iconName: string;
        iconVersion: string;
    };
    /** @internal */
    infoIcon: {
        iconName: string;
        iconVersion: string;
    };
    closeModal: EventEmitter<any>;
    constructor(injector: Injector);
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalHeaderComponent, "fusion-modal-header", never, { "headerText": { "alias": "headerText"; "required": false; }; "showCloseButton": { "alias": "showCloseButton"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "infoText": { "alias": "infoText"; "required": false; }; }, { "closeModal": "closeModal"; }, never, never, false, never>;
}
