import { MonthPicker, MonthPickerConfiguration } from './month-picker';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class MonthPickerBaseComponent {
    set configuration(value: MonthPickerConfiguration);
    set disabled(value: boolean);
    error: string;
    config: MonthPickerConfiguration;
    isOpen$: BehaviorSubject<boolean>;
    isDisabled: boolean;
    selected: MonthPicker;
    onOutsideClick(): void;
    onMonthPlaceholderClicked(): void;
    selectedChanged(selected: MonthPicker): void;
    propagateChange: (_: MonthPicker) => void;
    propagateTouched: () => void;
    writeValue(value: MonthPicker): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    private setPlaceholder;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonthPickerBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MonthPickerBaseComponent, never, never, { "configuration": { "alias": "configuration"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "error": { "alias": "error"; "required": false; }; }, {}, never, never, false, never>;
}
