import { TemplateRef } from '@angular/core';
import { MultiDropdownBaseComponent } from '@ironsource/fusion-ui/components/multi-dropdown/common/base';
import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option';
import { DropdownTriggerSize } from '@ironsource/fusion-ui/components/dropdown/v4';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import { InputVariant } from '@ironsource/fusion-ui/components/input/v4';
import { DynamicComponent } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import * as i0 from "@angular/core";
export declare class MultiDropdownV4Component extends MultiDropdownBaseComponent {
    size: DropdownTriggerSize;
    optionTemplateRef: TemplateRef<any>;
    showSelectedFirst: boolean;
    testId: string;
    helperText: string;
    helperIcon: string;
    helperVariant: InputVariant;
    labelText: string;
    labelRequired: boolean;
    labelIcon: IconData;
    labelTooltipText: string;
    /** @ignore */
    dynamicTrigger?: DynamicComponent;
    /** @ignore */
    getOptionContent(option: DropdownOption): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiDropdownV4Component, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiDropdownV4Component, "fusion-multi-dropdown", never, { "size": { "alias": "size"; "required": false; }; "optionTemplateRef": { "alias": "optionTemplateRef"; "required": false; }; "showSelectedFirst": { "alias": "showSelectedFirst"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; "helperText": { "alias": "helperText"; "required": false; }; "helperIcon": { "alias": "helperIcon"; "required": false; }; "helperVariant": { "alias": "helperVariant"; "required": false; }; "labelText": { "alias": "labelText"; "required": false; }; "labelRequired": { "alias": "labelRequired"; "required": false; }; "labelIcon": { "alias": "labelIcon"; "required": false; }; "labelTooltipText": { "alias": "labelTooltipText"; "required": false; }; "dynamicTrigger": { "alias": "dynamicTrigger"; "required": false; }; }, {}, never, never, true, never>;
}
