import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import { LayoutUser } from '@ironsource/fusion-ui/entities';
import { MenuItem } from '@ironsource/fusion-ui/components/menu/common/base';
import * as i0 from "@angular/core";
export declare class NavigationPopMenuComponent implements AfterViewInit {
    private element;
    layoutUser: LayoutUser;
    menuItems: MenuItem[];
    menuItemClicked: EventEmitter<MenuItem>;
    /** @internal */
    userIcon: IconData;
    constructor(element: ElementRef);
    ngAfterViewInit(): void;
    onMenuItemClicked($event: MouseEvent, menuItem: MenuItem): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigationPopMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigationPopMenuComponent, "fusion-navigation-pop-menu", never, { "layoutUser": { "alias": "layoutUser"; "required": false; }; "menuItems": { "alias": "menuItems"; "required": false; }; }, { "menuItemClicked": "menuItemClicked"; }, never, never, true, never>;
}
