import { AfterViewInit, ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { NotificationService } from '@ironsource/fusion-ui/components/notification/common/services';
import { Notification } from '@ironsource/fusion-ui/components/notification/common/entities';
import { BehaviorSubject } from 'rxjs';
import { IconData } from '@ironsource/fusion-ui/components/icon/common/entities';
import * as i0 from "@angular/core";
export declare abstract class NotificationBaseComponent implements AfterViewInit {
    private document;
    private notificationService;
    private elRef;
    private renderer;
    data: Notification;
    onClose: EventEmitter<any>;
    closeIconName$: BehaviorSubject<IconData>;
    get notificationType(): string;
    constructor(document: Document, notificationService: NotificationService, elRef: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    close(): void;
    secondaryButtonClicked(): void;
    primaryButtonClicked(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationBaseComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NotificationBaseComponent, never, never, { "data": { "alias": "data"; "required": false; }; }, { "onClose": "onClose"; }, never, never, false, never>;
}
