import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import { IconData } from '@ironsource/fusion-ui/components/icon/common/entities';
export interface SidebarMenuItem {
    icon?: IconData;
    name?: string;
    route?: string;
    subRoutes?: string[];
    routeConfigurations?: {
        triggerHrefEvent?: boolean;
        /**
         * @deprecated use SidebarMenuItem.route instead href
         */
        href?: string;
        target?: string;
    };
    class?: string;
    children?: SidebarMenuItem[];
    additionalAction?: SidebarMenuItem;
    data?: any;
    content?: DynamicComponentConfiguration;
}
