import { ApplicationRef, Renderer2, ViewContainerRef } from '@angular/core';
import { SnackbarEntity } from './snackbar.entities';
import * as i0 from "@angular/core";
export declare class SnackbarService {
    private renderer;
    private appRef;
    private vcr;
    private document;
    constructor(renderer: Renderer2, appRef: ApplicationRef, vcr: ViewContainerRef, document: Document);
    show(configuration: SnackbarEntity): void;
    private ensureHostElement;
    private setStyleToElement;
    private createToastComponentRef;
    private removeOnClose;
    private appendElementLocation;
    static ɵfac: i0.ɵɵFactoryDeclaration<SnackbarService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SnackbarService>;
}
