import { IconData } from '@ironsource/fusion-ui/components/icon/common/entities';
export interface StatusLabelConfig {
    text?: string;
    icon?: IconData;
    status?: StatusLabelStatus;
    borderType?: StatusLabelBorderType;
    customColors?: {
        color?: string;
        backgroundColor?: string;
    };
}
export declare enum StatusLabelStatus {
    Success = "success",
    Warning = "warning",
    Error = "error"
}
export declare enum StatusLabelBorderType {
    Square = "square",
    Circle = "circle"
}
