import { InjectionToken } from '@angular/core';
import { TableModuleOptions } from './table-module-options';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
export declare const TABLE_OPTIONS_DEFAULT_VALUES: TableModuleOptions;
export declare const TABLE_OPTIONS_TOKEN: InjectionToken<TableModuleOptions>;
export declare const DEFAULT_REMOVE_ICON = "close";
export declare const DEFAULT_REMOVE_ICON_V3: {
    iconName: string;
    iconVersion: string;
};
export declare const DEFAULT_REMOVE_TOOLTIP_TEXT = "Remove";
export declare const DEFAULT_REMOVE_TOOLTIP_WIDTH = "71";
export declare const CELL_PADDING = "20px";
export interface TableIconsConfigByStyle {
    iconSort: IconData;
    iconInfo: IconData;
}
export declare const CONFIG_TABLE_BY_UI_STYLE: {
    [styleKey: string]: TableIconsConfigByStyle;
};
export declare const MAXIMUM_EXPANDABLE_LEVEL = 2;
export declare const DEFAULT_EXPANDABLE_LEVEL = 1;
export declare const ROW_CLICK_SUPPRESS_FOR_PARENT_SELECTORS: string[];
export declare const ROW_HOVERED_CLASS_NAME = "fu-hovered";
