import { EventEmitter, OnChanges } from '@angular/core';
import { TableColumn, TableOptions, TableRowsGrouped } from '@ironsource/fusion-ui/components/table/common/entities';
import { TableService } from '@ironsource/fusion-ui/components/table/common/services';
import * as i0 from "@angular/core";
export declare class TableGroupedComponent implements OnChanges {
    tableService: TableService;
    rows: TableRowsGrouped;
    columns: TableColumn[];
    options: TableOptions;
    rowSelected: EventEmitter<any>;
    tableBody: any[];
    constructor(tableService: TableService);
    ngOnChanges(changes: any): void;
    _buildTable(rows: any, parentValues: any, options?: any): void;
    getClass(row: any): any;
    onRowSelectChanged(isSelected: any, row: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableGroupedComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableGroupedComponent, "[fusionTableGrouped]", never, { "rows": { "alias": "rows"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "options": { "alias": "options"; "required": false; }; }, { "rowSelected": "rowSelected"; }, never, never, false, never>;
}
