import { ElementRef, EventEmitter } from '@angular/core';
import { TabConfiguration } from './tab.entities';
import { PopupComponentContent } from '@ironsource/fusion-ui/components/popup/common/entities';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
import * as i0 from "@angular/core";
export declare class TabComponent {
    set configuration(value: TabConfiguration);
    showPopup: EventEmitter<{
        content: PopupComponentContent;
        target: ElementRef;
    }>;
    tabElement: ElementRef;
    text: string;
    iconName: IconData;
    disabled: boolean;
    tooltipInfoIconContent: string;
    tooltipIconContent: string;
    tooltipContent: string;
    infoIconName: IconData;
    popupContent: PopupComponentContent;
    onAdditionalIconClicked(): void;
    private setTooltipToOwnerElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<TabComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabComponent, "fusion-tab", never, { "configuration": { "alias": "configuration"; "required": false; }; }, { "showPopup": "showPopup"; }, never, never, false, never>;
}
