import { DynamicComponentConfiguration } from '@ironsource/fusion-ui/components/dynamic-components/common/entities';
import { IconData } from '@ironsource/fusion-ui/components/icon/v1';
export type ToastType = 'success' | 'alert' | 'error' | 'warning';
export type ToastLocation = 'top-right' | 'top-left' | 'top-center' | 'bottom-right' | 'bottom-left' | 'bottom-center';
export interface ToastEntity {
    text?: string;
    type?: ToastType;
    icon?: IconData;
    image?: string;
    custom?: DynamicComponentConfiguration;
    duration?: number;
    location?: ToastLocation;
}
