import { ApplicationRef, ComponentFactoryResolver, Injector, RendererFactory2 } from '@angular/core';
import { ToastEntity } from '@ironsource/fusion-ui/components/toast/common/entities';
import { LogService } from '@ironsource/fusion-ui/services/log';
import * as i0 from "@angular/core";
export declare class ToastService {
    private logService;
    private appRef;
    private cfr;
    private rendererFactory;
    private injector;
    private document;
    private renderer;
    constructor(logService: LogService, appRef: ApplicationRef, cfr: ComponentFactoryResolver, rendererFactory: RendererFactory2, injector: Injector, document: Document);
    show(configuration: ToastEntity): void;
    private createToastComponentRef;
    private removeOnClose;
    private appendElementLocation;
    private ensureHostElement;
    private setStyleToElement;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToastService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ToastService>;
}
