import { OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { DropdownOption } from '@ironsource/fusion-ui/components/dropdown-option';
import * as i0 from "@angular/core";
export declare class TopFilterIncludeExcludeComponent implements OnInit, OnDestroy, ControlValueAccessor {
    placeholder: string;
    helper: string;
    error: string;
    loading: boolean;
    required: boolean;
    title: string;
    items: DropdownOption[];
    /** @internal */
    formControlIncludeExclude: FormControl;
    private onDestroy$;
    constructor();
    ngOnInit(): void;
    ngOnDestroy(): void;
    /** @internal */
    propagateChange: (_: DropdownOption[]) => void;
    /** @internal */
    propagateTouched: () => void;
    /** @internal */
    writeValue(value: DropdownOption[]): void;
    /** @internal */
    registerOnChange(fn: any): void;
    /** @internal */
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TopFilterIncludeExcludeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TopFilterIncludeExcludeComponent, "fusion-top-filter-include-exclude", never, { "placeholder": { "alias": "placeholder"; "required": false; }; "helper": { "alias": "helper"; "required": false; }; "error": { "alias": "error"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "required": { "alias": "required"; "required": false; }; "title": { "alias": "title"; "required": false; }; "items": { "alias": "items"; "required": false; }; }, {}, never, never, true, never>;
}
