import { Injector } from '@angular/core';
import { TrendStatus } from './trend-indicator.entities';
import { TrendIndicatorTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import * as i0 from "@angular/core";
export declare class TrendIndicatorComponent {
    private injector;
    status: TrendStatus;
    value: string;
    hasBackground: boolean;
    testId: string;
    constructor(injector: Injector);
    /** @internal */
    testIdButtonModifiers: typeof TrendIndicatorTestIdModifiers;
    /** @internal */
    testIdsService: TestIdsService;
    get testAttribute(): string;
    get showTrendIcon(): boolean;
    get trendIcon(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TrendIndicatorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TrendIndicatorComponent, "fusion-trend-indicator", never, { "status": { "alias": "status"; "required": false; }; "value": { "alias": "value"; "required": false; }; "hasBackground": { "alias": "hasBackground"; "required": false; }; "testId": { "alias": "testId"; "required": false; }; }, {}, never, never, true, never>;
}
