import { AfterViewInit, ElementRef, OnInit } from '@angular/core';
import { TooltipPosition } from '@ironsource/fusion-ui/components/tooltip/common/base';
import { RepositionOffset } from './reposition.entities';
import * as i0 from "@angular/core";
/**
 * Used @floating-ui/dom (flip()) For flip position of dropped element like drop-menu
 */
export declare class RepositionDirective implements OnInit, AfterViewInit {
    private elRef;
    referenceElementSelector: string;
    fusionRepositionOffset: RepositionOffset;
    fusionRepositionPlacement: TooltipPosition;
    private hostElement;
    private referenceElement;
    private clientHeight;
    constructor(elRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private calcForReposition;
    private calcPosition;
    private applyOffset;
    private checkForFlip;
    static ɵfac: i0.ɵɵFactoryDeclaration<RepositionDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<RepositionDirective, "[fusionReposition]", never, { "referenceElementSelector": { "alias": "fusionReposition"; "required": false; }; "fusionRepositionOffset": { "alias": "fusionRepositionOffset"; "required": false; }; "fusionRepositionPlacement": { "alias": "fusionRepositionPlacement"; "required": false; }; }, {}, never, never, true, never>;
}
