import { AfterViewInit, OnDestroy, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TeleportingDirective implements OnInit, OnDestroy, AfterViewInit {
    private templateRef;
    private vcr;
    selector: string;
    private host;
    private viewRef;
    private addChildNodes;
    private hasTeleported;
    constructor(templateRef: TemplateRef<any>, vcr: ViewContainerRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private teleportingView;
    private clearAttachedNodes;
    static ɵfac: i0.ɵɵFactoryDeclaration<TeleportingDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TeleportingDirective, "[fusionTeleporting]", never, { "selector": { "alias": "fusionTeleporting"; "required": false; }; }, {}, never, never, false, never>;
}
