import * as i0 from '@angular/core';
import { Component, Input, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { ButtonBaseComponent, BUTTON_OPTIONS_DEFAULT_VALUE } from '@ironsource/fusion-ui/components/button/common/base';
import * as i1$1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i1 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { SVG_OPTIONS_TOKEN } from '@ironsource/fusion-ui/components/svg';

const _c0$1 = () => ({ iconName: "loading-rotate", iconVersion: "v2" });
const _c1$1 = () => ({ iconName: "loader-dots-v4", iconVersion: "v2" });
class ButtonLoadingComponent {
    constructor() {
        this.projectContent = false;
        this.buttonWithIcon = false;
    }
    static { this.ɵfac = function ButtonLoadingComponent_Factory(t) { return new (t || ButtonLoadingComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: ButtonLoadingComponent, selectors: [["fusion-button-loading"]], inputs: { projectContent: "projectContent", buttonWithIcon: "buttonWithIcon" }, decls: 1, vars: 3, consts: [[1, "icon-loading", 3, "name"]], template: function ButtonLoadingComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelement(0, "fusion-icon", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("name", !ctx.projectContent && ctx.buttonWithIcon ? i0.ɵɵpureFunction0(1, _c0$1) : i0.ɵɵpureFunction0(2, _c1$1));
        } }, dependencies: [i1.IconComponent], styles: ["@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{height:24px;width:24px}[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]{display:block}[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg{height:24px;width:24px}[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *{fill:currentColor}[_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg *{fill:currentColor}.large[_nghost-%COMP%], .large   [_nghost-%COMP%]{height:32px;width:32px}.large[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%], .large   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]{display:block}.large[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg, .large   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg{height:32px;width:32px}.large[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *, .large   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *{fill:currentColor}.large[_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg, .large   [_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg{width:24px;height:24px}.large[_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg *, .large   [_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg *{fill:currentColor}.small[_nghost-%COMP%], .small   [_nghost-%COMP%]{height:24px;width:24px}.small[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%], .small   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]{display:block}.small[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg, .small   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg{height:24px;width:24px}.small[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *, .small   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *{fill:currentColor}.small[_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg, .small   [_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg{width:16px;height:16px}.small[_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg *, .small   [_nghost-%COMP%]   fusion-icon.loading-clean[_ngcontent-%COMP%]     svg *{fill:currentColor}.fu-link-button[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%], .fu-link-button   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]{height:16px}.fu-link-button[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg, .fu-link-button   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg{height:16px;width:22px}.fu-link-button[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *, .fu-link-button   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-500, #3083FF)}.fu-link-button.third[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%], .fu-link-button.third   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]{height:16px}.fu-link-button.third[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg, .fu-link-button.third   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg{height:16px;width:22px}.fu-link-button.third[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *, .fu-link-button.third   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7B838C)}.fu-link-button.black[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%], .fu-link-button.black   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]{height:16px}.fu-link-button.black[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg, .fu-link-button.black   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg{height:16px;width:22px}.fu-link-button.black[_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *, .fu-link-button.black   [_nghost-%COMP%]   fusion-icon.loader-dots-v4[_ngcontent-%COMP%]     svg *{fill:var(--fu-black-500, #53575B)}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ButtonLoadingComponent, [{
        type: Component,
        args: [{ selector: 'fusion-button-loading', template: "<fusion-icon\n    class=\"icon-loading\"\n    [name]=\"!projectContent && buttonWithIcon ? {iconName: 'loading-rotate', iconVersion: 'v2'} : {iconName: 'loader-dots-v4', iconVersion: 'v2'}\"\n></fusion-icon>\n", styles: ["@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{height:24px;width:24px}:host fusion-icon.loader-dots-v4{display:block}:host fusion-icon.loader-dots-v4 ::ng-deep svg{height:24px;width:24px}:host fusion-icon.loader-dots-v4 ::ng-deep svg *{fill:currentColor}:host fusion-icon.loading-clean ::ng-deep svg{width:20px;height:20px}:host fusion-icon.loading-clean ::ng-deep svg *{fill:currentColor}:host-context(.large){height:32px;width:32px}:host-context(.large) fusion-icon.loader-dots-v4{display:block}:host-context(.large) fusion-icon.loader-dots-v4 ::ng-deep svg{height:32px;width:32px}:host-context(.large) fusion-icon.loader-dots-v4 ::ng-deep svg *{fill:currentColor}:host-context(.large) fusion-icon.loading-clean ::ng-deep svg{width:24px;height:24px}:host-context(.large) fusion-icon.loading-clean ::ng-deep svg *{fill:currentColor}:host-context(.small){height:24px;width:24px}:host-context(.small) fusion-icon.loader-dots-v4{display:block}:host-context(.small) fusion-icon.loader-dots-v4 ::ng-deep svg{height:24px;width:24px}:host-context(.small) fusion-icon.loader-dots-v4 ::ng-deep svg *{fill:currentColor}:host-context(.small) fusion-icon.loading-clean ::ng-deep svg{width:16px;height:16px}:host-context(.small) fusion-icon.loading-clean ::ng-deep svg *{fill:currentColor}:host-context(.fu-link-button) fusion-icon.loader-dots-v4{height:16px}:host-context(.fu-link-button) fusion-icon.loader-dots-v4 ::ng-deep svg{height:16px;width:22px}:host-context(.fu-link-button) fusion-icon.loader-dots-v4 ::ng-deep svg *{fill:var(--fu-primary-500, #3083FF)}:host-context(.fu-link-button.third) fusion-icon.loader-dots-v4{height:16px}:host-context(.fu-link-button.third) fusion-icon.loader-dots-v4 ::ng-deep svg{height:16px;width:22px}:host-context(.fu-link-button.third) fusion-icon.loader-dots-v4 ::ng-deep svg *{fill:var(--fu-light-900, #7B838C)}:host-context(.fu-link-button.black) fusion-icon.loader-dots-v4{height:16px}:host-context(.fu-link-button.black) fusion-icon.loader-dots-v4 ::ng-deep svg{height:16px;width:22px}:host-context(.fu-link-button.black) fusion-icon.loader-dots-v4 ::ng-deep svg *{fill:var(--fu-black-500, #53575B)}\n"] }]
    }], null, { projectContent: [{
            type: Input
        }], buttonWithIcon: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(ButtonLoadingComponent, { className: "ButtonLoadingComponent", filePath: "components/button-loading/button-loading.component.ts", lineNumber: 8 }); })();

function ButtonComponent_fusion_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 4);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r0.iconData);
} }
function ButtonComponent_fusion_button_loading_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-button-loading", 5);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("buttonWithIcon", !!ctx_r1.iconName)("projectContent", ctx_r1.projectContent);
} }
const _c0 = a0 => ({ "is-icon-text": a0 });
const _c1 = ["*"];
class ButtonComponent extends ButtonBaseComponent {
    setLoadingState(loading) {
        this.setHostClass(loading, 'fu-with-loading');
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵButtonComponent_BaseFactory; return function ButtonComponent_Factory(t) { return (ɵButtonComponent_BaseFactory || (ɵButtonComponent_BaseFactory = i0.ɵɵgetInheritedFactory(ButtonComponent)))(t || ButtonComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: ButtonComponent, selectors: [["fusion-button"]], features: [i0.ɵɵInheritDefinitionFeature], ngContentSelectors: _c1, decls: 6, vars: 5, consts: [[3, "ngClass"], ["class", "icon", 3, "name", 4, "ngIf"], [3, "buttonWithIcon", "projectContent", 4, "ngIf"], ["contentRef", ""], [1, "icon", 3, "name"], [3, "buttonWithIcon", "projectContent"]], template: function ButtonComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef();
            i0.ɵɵelementStart(0, "span", 0);
            i0.ɵɵtemplate(1, ButtonComponent_fusion_icon_1_Template, 1, 1, "fusion-icon", 1)(2, ButtonComponent_fusion_button_loading_2_Template, 1, 2, "fusion-button-loading", 2);
            i0.ɵɵelementStart(3, "span", null, 3);
            i0.ɵɵprojection(5);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(3, _c0, ctx.iconName && ctx.projectContent));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.iconName && !ctx.loading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.loading);
        } }, dependencies: [i1$1.NgClass, i1$1.NgIf, i1.IconComponent, ButtonLoadingComponent], styles: ["@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.small[_nghost-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%], [_nghost-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .large[_nghost-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%]{font-size:14px}.large[_nghost-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}.font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}[_nghost-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.small[_nghost-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]{box-sizing:border-box;display:flex;cursor:pointer;border:none;height:32px;width:-moz-fit-content;width:fit-content;padding:8px 16px;color:var(--fu-white, #ffffff);background-color:var(--fu-primary-500, #3083FF);border-radius:100px}[_nghost-%COMP%] > span[_ngcontent-%COMP%]{display:flex;flex-direction:row;justify-content:center;align-items:center;gap:4px}[_nghost-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:20px;height:20px}[_nghost-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:currentColor}[_nghost-%COMP%]:hover, [_nghost-%COMP%]:active{background-color:var(--fu-primary-700, #005BE2)}.small[_nghost-%COMP%]{height:24px;padding:8px 12px}.small[_nghost-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{width:16px;height:16px}.small[_nghost-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}.small[_nghost-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:currentColor}.large[_nghost-%COMP%]{height:40px;padding:8px 16px}.large[_nghost-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{width:24px;height:24px}.large[_nghost-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:24px;height:24px}.large[_nghost-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:currentColor}.fu-icon-right[_nghost-%COMP%]   .icon[_ngcontent-%COMP%]{order:2}[_nghost-%COMP%]:not(.fu-with-content){width:32px;padding:0;justify-content:center;align-items:center}[_nghost-%COMP%]:not(.fu-with-content) > span[_ngcontent-%COMP%]{gap:0}[_nghost-%COMP%]:not(.fu-with-content).large{width:40px}[_nghost-%COMP%]:not(.fu-with-content).small{width:24px}.fu-with-loading[_nghost-%COMP%]{pointer-events:none;justify-content:center}.fu-with-loading[_nghost-%COMP%] > span[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{display:none}.danger[_nghost-%COMP%]{color:var(--fu-white, #ffffff);background-color:var(--fu-negative-500, #FF6A63)}.danger[_nghost-%COMP%]:hover, .danger[_nghost-%COMP%]:active{background-color:var(--fu-negative-700, #DA564F)}.third[_nghost-%COMP%]{color:var(--fu-light-900, #7B838C);background-color:var(--fu-light-200, #EDEFF0)}.third[_nghost-%COMP%]:hover, .third[_nghost-%COMP%]:active{background-color:var(--fu-light-300, #E5E7E9)}.secondary[_nghost-%COMP%]{color:var(--fu-white, #ffffff);background-color:var(--fu-black-500, #53575B)}.secondary[_nghost-%COMP%]:hover, .secondary[_nghost-%COMP%]:active{background-color:var(--fu-black-900, #41454D)}.disabled[_nghost-%COMP%]{color:var(--fu-white, #ffffff);background-color:var(--fu-light-600, #B7BBC0);pointer-events:none}.fu-link-button[_nghost-%COMP%]{border:none;letter-spacing:.24px;color:var(--fu-primary-300, #96C0FF);background-color:transparent;padding:0;height:16px}.fu-link-button[_nghost-%COMP%]:active, .fu-link-button[_nghost-%COMP%]:hover{color:var(--fu-primary-500, #3083FF);background-color:transparent}.fu-link-button.secondary[_nghost-%COMP%]{color:var(--fu-light-600, #B7BBC0)}.fu-link-button.secondary[_nghost-%COMP%]:active, .fu-link-button.secondary[_nghost-%COMP%]:hover{color:var(--fu-light-800, #8E959D);background-color:transparent;text-decoration:underline}.fu-link-button.third[_nghost-%COMP%]{color:var(--fu-light-700, #A9AFB4)}.fu-link-button.third[_nghost-%COMP%]:active, .fu-link-button.third[_nghost-%COMP%]:hover{color:var(--fu-black-500, #53575B);background-color:transparent;text-decoration:underline}.fu-link-button.danger[_nghost-%COMP%]{color:var(--fu-negative-500, #FF6A63)}.fu-link-button.danger[_nghost-%COMP%]:active, .fu-link-button.danger[_nghost-%COMP%]:hover{color:var(--fu-negative-700, #DA564F);background-color:transparent;text-decoration:underline}.fu-link-button.disabled[_nghost-%COMP%]{color:var(--fu-light-500, #D2D5D8)}.transparent[_nghost-%COMP%]{background-color:transparent;color:var(--fu-primary-500, #3083FF);border:1px solid var(--fu-primary-500, #3083FF)}.transparent[_nghost-%COMP%]:hover, .transparent[_nghost-%COMP%]:active{color:var(--fu-white, #ffffff);background-color:var(--fu-primary-500, #3083FF)}.transparent.danger[_nghost-%COMP%]{color:var(--fu-negative-500, #FF6A63);border-color:var(--fu-negative-500, #FF6A63)}.transparent.danger[_nghost-%COMP%]:hover, .transparent.danger[_nghost-%COMP%]:active{color:var(--fu-white, #ffffff);background-color:var(--fu-negative-700, #DA564F)}.transparent.secondary[_nghost-%COMP%]{color:var(--fu-black-500, #53575B);border-color:var(--fu-black-500, #53575B)}.transparent.secondary[_nghost-%COMP%]:hover, .transparent.secondary[_nghost-%COMP%]:active{color:var(--fu-white, #ffffff);background-color:var(--fu-black-500, #53575B)}.transparent.third[_nghost-%COMP%]{color:var(--fu-black-500, #53575B);border-color:var(--fu-light-200, #EDEFF0)}.transparent.third[_nghost-%COMP%]:hover, .transparent.third[_nghost-%COMP%]:active{background-color:var(--fu-light-200, #EDEFF0)}.transparent.disabled[_nghost-%COMP%]{color:var(--fu-light-600, #B7BBC0);border-color:var(--fu-light-600, #B7BBC0)}.ghost[_nghost-%COMP%]{background-color:transparent;color:var(--fu-white, #ffffff);border:1px solid var(--fu-white, #ffffff)}.ghost[_nghost-%COMP%]:hover, .ghost[_nghost-%COMP%]:active{background-color:#ffffff26}.ghost.disabled[_nghost-%COMP%]{color:var(--fu-light-800, #8E959D);border-color:var(--fu-light-800, #8E959D)}fusion-modal-footer[_nghost-%COMP%] > span[_ngcontent-%COMP%], fusion-modal-footer   [_nghost-%COMP%] > span[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center}fusion-modal-footer[_nghost-%COMP%] > span[_ngcontent-%COMP%] > span[_ngcontent-%COMP%], fusion-modal-footer   [_nghost-%COMP%] > span[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{height:16px;line-height:16px}fusion-modal-footer.large[_nghost-%COMP%] > span[_ngcontent-%COMP%] > span[_ngcontent-%COMP%], fusion-modal-footer   .large[_nghost-%COMP%] > span[_ngcontent-%COMP%] > span[_ngcontent-%COMP%]{height:17px;line-height:17px}fusion-modal-footer.fu-with-loading[_nghost-%COMP%], fusion-modal-footer   .fu-with-loading[_nghost-%COMP%]{min-width:63px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ButtonComponent, [{
        type: Component,
        args: [{ selector: 'fusion-button', changeDetection: ChangeDetectionStrategy.OnPush, template: "<span [ngClass]=\"{'is-icon-text': iconName && projectContent}\">\n    <fusion-icon *ngIf=\"iconName && !loading\" class=\"icon\" [name]=\"iconData\"></fusion-icon>\n    <fusion-button-loading *ngIf=\"loading\" [buttonWithIcon]=\"!!iconName\" [projectContent]=\"projectContent\"></fusion-button-loading>\n    <span #contentRef><ng-content></ng-content></span>\n</span>\n\n\n", styles: ["@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}:host.small,.font-bodyXSmallStrong,:host,.font-bodySmallStrong,:host.large,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium{font-size:14px}:host.large,.font-bodyMediumStrong{font-size:14px}.font-bodySmall{font-size:13px;letter-spacing:.24px}:host,.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall{font-size:12px;letter-spacing:.24px}:host.small,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host{box-sizing:border-box;display:flex;cursor:pointer;border:none;height:32px;width:-moz-fit-content;width:fit-content;padding:8px 16px;color:var(--fu-white, #ffffff);background-color:var(--fu-primary-500, #3083FF);border-radius:100px}:host>span{display:flex;flex-direction:row;justify-content:center;align-items:center;gap:4px}:host fusion-icon.icon{width:20px;height:20px}:host fusion-icon.icon ::ng-deep svg{width:20px;height:20px}:host fusion-icon.icon ::ng-deep svg *{fill:currentColor}:host:hover,:host:active{background-color:var(--fu-primary-700, #005BE2)}:host.small{height:24px;padding:8px 12px}:host.small fusion-icon.icon{width:16px;height:16px}:host.small fusion-icon.icon ::ng-deep svg{width:16px;height:16px}:host.small fusion-icon.icon ::ng-deep svg *{fill:currentColor}:host.large{height:40px;padding:8px 16px}:host.large fusion-icon.icon{width:24px;height:24px}:host.large fusion-icon.icon ::ng-deep svg{width:24px;height:24px}:host.large fusion-icon.icon ::ng-deep svg *{fill:currentColor}:host.fu-icon-right .icon{order:2}:host:not(.fu-with-content){width:32px;padding:0;justify-content:center;align-items:center}:host:not(.fu-with-content)>span{gap:0}:host:not(.fu-with-content).large{width:40px}:host:not(.fu-with-content).small{width:24px}:host.fu-with-loading{pointer-events:none;justify-content:center}:host.fu-with-loading>span>span{display:none}:host.danger{color:var(--fu-white, #ffffff);background-color:var(--fu-negative-500, #FF6A63)}:host.danger:hover,:host.danger:active{background-color:var(--fu-negative-700, #DA564F)}:host.third{color:var(--fu-light-900, #7B838C);background-color:var(--fu-light-200, #EDEFF0)}:host.third:hover,:host.third:active{background-color:var(--fu-light-300, #E5E7E9)}:host.secondary{color:var(--fu-white, #ffffff);background-color:var(--fu-black-500, #53575B)}:host.secondary:hover,:host.secondary:active{background-color:var(--fu-black-900, #41454D)}:host.disabled{color:var(--fu-white, #ffffff);background-color:var(--fu-light-600, #B7BBC0);pointer-events:none}:host.fu-link-button{border:none;letter-spacing:.24px;color:var(--fu-primary-300, #96C0FF);background-color:transparent;padding:0;height:16px}:host.fu-link-button:active,:host.fu-link-button:hover{color:var(--fu-primary-500, #3083FF);background-color:transparent}:host.fu-link-button.secondary{color:var(--fu-light-600, #B7BBC0)}:host.fu-link-button.secondary:active,:host.fu-link-button.secondary:hover{color:var(--fu-light-800, #8E959D);background-color:transparent;text-decoration:underline}:host.fu-link-button.third{color:var(--fu-light-700, #A9AFB4)}:host.fu-link-button.third:active,:host.fu-link-button.third:hover{color:var(--fu-black-500, #53575B);background-color:transparent;text-decoration:underline}:host.fu-link-button.danger{color:var(--fu-negative-500, #FF6A63)}:host.fu-link-button.danger:active,:host.fu-link-button.danger:hover{color:var(--fu-negative-700, #DA564F);background-color:transparent;text-decoration:underline}:host.fu-link-button.disabled{color:var(--fu-light-500, #D2D5D8)}:host.transparent{background-color:transparent;color:var(--fu-primary-500, #3083FF);border:1px solid var(--fu-primary-500, #3083FF)}:host.transparent:hover,:host.transparent:active{color:var(--fu-white, #ffffff);background-color:var(--fu-primary-500, #3083FF)}:host.transparent.danger{color:var(--fu-negative-500, #FF6A63);border-color:var(--fu-negative-500, #FF6A63)}:host.transparent.danger:hover,:host.transparent.danger:active{color:var(--fu-white, #ffffff);background-color:var(--fu-negative-700, #DA564F)}:host.transparent.secondary{color:var(--fu-black-500, #53575B);border-color:var(--fu-black-500, #53575B)}:host.transparent.secondary:hover,:host.transparent.secondary:active{color:var(--fu-white, #ffffff);background-color:var(--fu-black-500, #53575B)}:host.transparent.third{color:var(--fu-black-500, #53575B);border-color:var(--fu-light-200, #EDEFF0)}:host.transparent.third:hover,:host.transparent.third:active{background-color:var(--fu-light-200, #EDEFF0)}:host.transparent.disabled{color:var(--fu-light-600, #B7BBC0);border-color:var(--fu-light-600, #B7BBC0)}:host.ghost{background-color:transparent;color:var(--fu-white, #ffffff);border:1px solid var(--fu-white, #ffffff)}:host.ghost:hover,:host.ghost:active{background-color:#ffffff26}:host.ghost.disabled{color:var(--fu-light-800, #8E959D);border-color:var(--fu-light-800, #8E959D)}:host-context(fusion-modal-footer)>span{display:flex;align-items:center;justify-content:center}:host-context(fusion-modal-footer)>span>span{height:16px;line-height:16px}:host-context(fusion-modal-footer).large>span>span{height:17px;line-height:17px}:host-context(fusion-modal-footer).fu-with-loading{min-width:63px}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(ButtonComponent, { className: "ButtonComponent", filePath: "button.component.ts", lineNumber: 10 }); })();

class ButtonLoadingModule {
    static { this.ɵfac = function ButtonLoadingModule_Factory(t) { return new (t || ButtonLoadingModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: ButtonLoadingModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ButtonLoadingModule, [{
        type: NgModule,
        args: [{
                declarations: [ButtonLoadingComponent],
                exports: [ButtonLoadingComponent],
                imports: [CommonModule, IconModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(ButtonLoadingModule, { declarations: [ButtonLoadingComponent], imports: [CommonModule, IconModule], exports: [ButtonLoadingComponent] }); })();

class ButtonModule {
    static forRoot(options) {
        return {
            ngModule: ButtonModule,
            providers: [
                {
                    provide: SVG_OPTIONS_TOKEN,
                    useValue: options ? options.svgOptions : BUTTON_OPTIONS_DEFAULT_VALUE.svgOptions
                }
            ]
        };
    }
    static { this.ɵfac = function ButtonModule_Factory(t) { return new (t || ButtonModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: ButtonModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, ButtonLoadingModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ButtonModule, [{
        type: NgModule,
        args: [{
                declarations: [ButtonComponent],
                exports: [ButtonComponent],
                imports: [CommonModule, IconModule, ButtonLoadingModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(ButtonModule, { declarations: [ButtonComponent], imports: [CommonModule, IconModule, ButtonLoadingModule], exports: [ButtonComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { ButtonComponent, ButtonModule };
//# sourceMappingURL=ironsource-fusion-ui-components-button-v3.mjs.map
