import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { CalendarService } from '@ironsource/fusion-ui/components/calendar/common/base';
export { CalendarService } from '@ironsource/fusion-ui/components/calendar/common/base';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { CalendarComponent } from '@ironsource/fusion-ui/components/calendar/v3';
export * from '@ironsource/fusion-ui/components/calendar/entities';

function CalendarV4Component_For_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 5);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const dow_r2 = ctx.$implicit;
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(dow_r2);
} }
const _c0 = a0 => [a0];
function CalendarV4Component_For_11_Conditional_0_For_2_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    const _r24 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 9, 10);
    i0.ɵɵlistener("mouseenter", function CalendarV4Component_For_11_Conditional_0_For_2_Conditional_0_Template_div_mouseenter_0_listener($event) { i0.ɵɵrestoreView(_r24); const day_r14 = i0.ɵɵnextContext().$implicit; const ctx_r22 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r22.dayHovered(day_r14, $event)); })("click", function CalendarV4Component_For_11_Conditional_0_For_2_Conditional_0_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r24); const day_r14 = i0.ɵɵnextContext().$implicit; const ctx_r25 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r25.selectDay(day_r14)); });
    i0.ɵɵelement(2, "span", 11);
    i0.ɵɵelementStart(3, "span", 12);
    i0.ɵɵtext(4);
    i0.ɵɵpipe(5, "date");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const day_r14 = i0.ɵɵnextContext().$implicit;
    const ctx_r19 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("ngClass", ctx_r19.getDayClasses(day_r14));
    i0.ɵɵattribute("data-datetime", i0.ɵɵpureFunction1(6, _c0, day_r14.date.getTime()));
    i0.ɵɵadvance(4);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind2(5, 3, day_r14.date, "d"));
} }
function CalendarV4Component_For_11_Conditional_0_For_2_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "div", 13);
} }
function CalendarV4Component_For_11_Conditional_0_For_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, CalendarV4Component_For_11_Conditional_0_For_2_Conditional_0_Template, 6, 8, "div", 8)(1, CalendarV4Component_For_11_Conditional_0_For_2_Conditional_1_Template, 1, 0);
} if (rf & 2) {
    const day_r14 = ctx.$implicit;
    i0.ɵɵconditional(0, day_r14.date ? 0 : 1);
} }
function CalendarV4Component_For_11_Conditional_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 7);
    i0.ɵɵrepeaterCreate(1, CalendarV4Component_For_11_Conditional_0_For_2_Template, 2, 1, null, null, i0.ɵɵrepeaterTrackByIdentity);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const week_r7 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵadvance();
    i0.ɵɵrepeater(week_r7);
} }
function CalendarV4Component_For_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, CalendarV4Component_For_11_Conditional_0_Template, 3, 0, "div", 6);
} if (rf & 2) {
    const week_r7 = ctx.$implicit;
    const $index_r8 = ctx.$index;
    const $count_r10 = ctx.$count;
    i0.ɵɵconditional(0, !($index_r8 === $count_r10 - 1) || $index_r8 === $count_r10 - 1 && week_r7[0].date ? 0 : -1);
} }
class CalendarV4Component extends CalendarComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵCalendarV4Component_BaseFactory; return function CalendarV4Component_Factory(t) { return (ɵCalendarV4Component_BaseFactory || (ɵCalendarV4Component_BaseFactory = i0.ɵɵgetInheritedFactory(CalendarV4Component)))(t || CalendarV4Component); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: CalendarV4Component, selectors: [["fusion-calendar"]], hostAttrs: [1, "fusion-v4"], standalone: true, features: [i0.ɵɵProvidersFeature([CalendarService]), i0.ɵɵInheritDefinitionFeature, i0.ɵɵStandaloneFeature], decls: 12, vars: 8, consts: [[1, "fu-calendar"], [1, "fu-month-wrapper"], [1, "fu-month"], [1, "fu-weekdays-wrapper"], [1, "fu-days-wrapper"], [1, "fu-day-in-week"], ["class", "fu-week"], [1, "fu-week"], ["class", "fu-day", 3, "ngClass"], [1, "fu-day", 3, "ngClass", "mouseenter", "click"], ["date", ""], [1, "selected-range"], [1, "date-text"], [1, "fu-day"], ["class", "fu-day-in-week"]], template: function CalendarV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0)(1, "div", 1)(2, "div", 2);
            i0.ɵɵtext(3);
            i0.ɵɵpipe(4, "date");
            i0.ɵɵpipe(5, "date");
            i0.ɵɵelementEnd()();
            i0.ɵɵelementStart(6, "div", 3);
            i0.ɵɵrepeaterCreate(7, CalendarV4Component_For_8_Template, 2, 1, "div", 14, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(9, "div", 4);
            i0.ɵɵrepeaterCreate(10, CalendarV4Component_For_11_Template, 1, 1, null, null, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵadvance(3);
            i0.ɵɵtextInterpolate2(" ", i0.ɵɵpipeBind2(4, 2, ctx.configuration.month, "MMMM"), " ", i0.ɵɵpipeBind2(5, 5, ctx.configuration.month, "y"), " ");
            i0.ɵɵadvance(4);
            i0.ɵɵrepeater(ctx.daysOfTheWeek);
            i0.ɵɵadvance(3);
            i0.ɵɵrepeater(ctx.calendarService.getParsedMonth(ctx.configuration.month, ctx.configuration.maxDate).weeks);
        } }, dependencies: [CommonModule, i1.NgClass, i1.DatePipe, IconModule], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-month-wrapper[_ngcontent-%COMP%]   .fu-month[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-weekdays-wrapper[_ngcontent-%COMP%]   .fu-day-in-week[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-month-wrapper[_ngcontent-%COMP%]   .fu-month[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-weekdays-wrapper[_ngcontent-%COMP%]   .fu-day-in-week[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{user-select:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;--fu-calendar-width: 224px;--fu-calendar-mian-color: var(--text-primary, hsl(0, 0%, 12.5%));--fu-calendar-bg-color: var(--common-white, #FFFFFF);--fu-month-color: var(--text-primary, hsl(0, 0%, 12.5%));--fu-month-height: 40px;--fu-day-in-week-color: var(--text-secondary, hsl(0, 0%, 39.3%));--fu-day-today-dot-color: var(--primary-main, hsl(206, 100%, 50%));--fu-day-disabled-color: var(--text-disabled, hsl(0, 0%, 73.33%));--fu-day-hover-bg-color: var(--primary-main-50-p, hsla(206, 100%, 50%, .5));--fu-day-selected-background: var(--primary-light, hsl(209, 95%, 90.1%));--fu-day-selected-hovered-background: var(--primary-main-50-p, hsla(206, 100%, 50%, .5));--fu-day-active-background: var(--primary-main, hsl(206, 100%, 50%))}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]{width:var(--fu-calendar-width);color:var(--fu-calendar-mian-color);background-color:var(--fu-calendar-bg-color);display:flex;flex-direction:column;gap:4px}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-month-wrapper[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center;gap:8px;padding:8px 0;height:var(--fu-month-height)}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-month-wrapper[_ngcontent-%COMP%]   .fu-month[_ngcontent-%COMP%]{display:flex;justify-content:center;align-items:center;flex-grow:1;color:var(--fu-month-color)}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-weekdays-wrapper[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-weekdays-wrapper[_ngcontent-%COMP%]   .fu-day-in-week[_ngcontent-%COMP%]{display:flex;justify-content:center;align-items:center;flex-grow:1;height:32px;padding:0 4px;color:var(--fu-day-in-week-color)}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]{display:flex;flex-direction:column;align-items:flex-start;gap:4px}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day[_ngcontent-%COMP%]{display:flex;justify-content:center;align-items:center;flex-grow:1;width:32px;height:32px;cursor:pointer;padding:6px 0;position:relative}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day[_ngcontent-%COMP%]:empty{cursor:default}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day[_ngcontent-%COMP%]:not(.selected):not(.disabled):not(.hover-current):not(:empty):hover:before{position:absolute;content:\"\";left:0;top:0;background-color:var(--fu-day-hover-bg-color);height:32px;width:32px;border-radius:50%;display:block}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.selected[_ngcontent-%COMP%]:not(.active){border:none}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.selected[_ngcontent-%COMP%]:not(.active)   .selected-range[_ngcontent-%COMP%]{display:inline;cursor:pointer;width:32px;height:32px;position:absolute;top:0;left:0;background-color:var(--fu-day-selected-background)}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.selected[_ngcontent-%COMP%]:not(.active):hover   .selected-range[_ngcontent-%COMP%]{background-color:var(--fu-day-selected-hovered-background)}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.active[_ngcontent-%COMP%]{color:#fff;background-color:transparent}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.active.selected.oneDaySelection[_ngcontent-%COMP%]:before{position:absolute;content:\"\";left:0;top:0;background-color:var(--fu-day-active-background);height:32px;width:32px;border-radius:50%;display:block}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.today.selected[_ngcontent-%COMP%]:after, [_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.today.active[_ngcontent-%COMP%]:after, [_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.today.hover-current[_ngcontent-%COMP%]:after{content:\"\";background-color:var(--fu-calendar-bg-color);width:4px;height:4px;position:absolute;bottom:5px;border-radius:100px;left:calc(50% - 2px)}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.today[_ngcontent-%COMP%]:not(.active):not(.hover-current):after{content:\"\";background-color:var(--fu-day-today-dot-color);width:4px;height:4px;position:absolute;bottom:5px;border-radius:100px;left:calc(50% - 2px)}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.selectedEnd[_ngcontent-%COMP%]{background-color:var(--fu-day-selected-background);border-radius:0 50% 50% 0}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.selectedEnd[_ngcontent-%COMP%]:before{position:absolute;content:\"\";left:0;top:0;background-color:var(--fu-day-active-background);height:32px;width:32px;border-radius:50%;display:block}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.selectedStart[_ngcontent-%COMP%]{background-color:var(--fu-day-selected-background);border-radius:50% 0 0 50%}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.selectedStart[_ngcontent-%COMP%]:before, [_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.selectedStart.active.selected.oneDaySelection.hover-range[_ngcontent-%COMP%]:before{position:absolute;content:\"\";left:0;top:0;background-color:var(--fu-day-active-background);height:32px;width:32px;border-radius:50%;display:block}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.disabled[_ngcontent-%COMP%]{pointer-events:none}[_nghost-%COMP%]   .fu-calendar[_ngcontent-%COMP%]   .fu-days-wrapper[_ngcontent-%COMP%]   .fu-week[_ngcontent-%COMP%]   .fu-day.disabled[_ngcontent-%COMP%]:not(.selected){color:var(--fu-day-disabled-color)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CalendarV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-calendar', standalone: true, host: { class: 'fusion-v4' }, imports: [CommonModule, IconModule], providers: [CalendarService], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-calendar\">\n    <!-- region MONTH -->\n    <div class=\"fu-month-wrapper\">\n        <div class=\"fu-month\">\n            {{ configuration.month | date: 'MMMM' }} {{ configuration.month | date: 'y' }}\n        </div>\n    </div>\n    <!-- endregion MONTH END -->\n    <!-- region DAYS OF THE WEEK -->\n    <div class=\"fu-weekdays-wrapper\">\n        @for (dow of daysOfTheWeek; track dow) {\n            <div class=\"fu-day-in-week\" >{{ dow }}</div>\n        }\n    </div>\n    <!-- endregion DAYS OF THE WEEK -->\n    <!-- region DAYS -->\n    <div class=\"fu-days-wrapper\">\n        @for ( week of calendarService.getParsedMonth(configuration.month, configuration.maxDate).weeks; track week; let last = $last) {\n            @if (!last || (last && week[0].date)) {\n                <div class=\"fu-week\">\n                    @for ( day of week; track day){\n                        @if (day.date){\n                            <div #date class=\"fu-day\"\n                                 [ngClass]=\"getDayClasses(day)\"\n                                 (mouseenter)=\"dayHovered(day, $event)\"\n                                 [attr.data-datetime]=\"[day.date.getTime()]\"\n                                 (click)=\"selectDay(day)\"\n                            >\n                                <span class=\"selected-range\"></span>\n                                <span class=\"date-text\">{{ day.date | date: 'd' }}</span>\n                            </div>\n                        }\n                        @else {\n                            <div class=\"fu-day\"> </div>\n                        }\n                    }\n                </div>\n            }\n        }\n    </div>\n    <!-- endregion DAYS -->\n</div>", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,:host .fu-calendar .fu-month-wrapper .fu-month,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,:host .fu-calendar .fu-weekdays-wrapper .fu-day-in-week,.font-v4-caption,.font-v4-body-2,:host .fu-calendar,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}:host .fu-calendar,.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}:host .fu-calendar .fu-month-wrapper .fu-month,.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}:host .fu-calendar .fu-weekdays-wrapper .fu-day-in-week,.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{user-select:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;--fu-calendar-width: 224px;--fu-calendar-mian-color: var(--text-primary, hsl(0, 0%, 12.5%));--fu-calendar-bg-color: var(--common-white, #FFFFFF);--fu-month-color: var(--text-primary, hsl(0, 0%, 12.5%));--fu-month-height: 40px;--fu-day-in-week-color: var(--text-secondary, hsl(0, 0%, 39.3%));--fu-day-today-dot-color: var(--primary-main, hsl(206, 100%, 50%));--fu-day-disabled-color: var(--text-disabled, hsl(0, 0%, 73.33%));--fu-day-hover-bg-color: var(--primary-main-50-p, hsla(206, 100%, 50%, .5));--fu-day-selected-background: var(--primary-light, hsl(209, 95%, 90.1%));--fu-day-selected-hovered-background: var(--primary-main-50-p, hsla(206, 100%, 50%, .5));--fu-day-active-background: var(--primary-main, hsl(206, 100%, 50%))}:host .fu-calendar{width:var(--fu-calendar-width);color:var(--fu-calendar-mian-color);background-color:var(--fu-calendar-bg-color);display:flex;flex-direction:column;gap:4px}:host .fu-calendar .fu-month-wrapper{display:flex;align-items:center;justify-content:center;gap:8px;padding:8px 0;height:var(--fu-month-height)}:host .fu-calendar .fu-month-wrapper .fu-month{display:flex;justify-content:center;align-items:center;flex-grow:1;color:var(--fu-month-color)}:host .fu-calendar .fu-weekdays-wrapper{display:flex;align-items:center;justify-content:center}:host .fu-calendar .fu-weekdays-wrapper .fu-day-in-week{display:flex;justify-content:center;align-items:center;flex-grow:1;height:32px;padding:0 4px;color:var(--fu-day-in-week-color)}:host .fu-calendar .fu-days-wrapper{display:flex;flex-direction:column;align-items:flex-start;gap:4px}:host .fu-calendar .fu-days-wrapper .fu-week{display:flex;align-items:center;justify-content:center}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day{display:flex;justify-content:center;align-items:center;flex-grow:1;width:32px;height:32px;cursor:pointer;padding:6px 0;position:relative}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day span{position:relative}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day:empty{cursor:default}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day:not(.selected):not(.disabled):not(.hover-current):not(:empty):hover:before{position:absolute;content:\"\";left:0;top:0;background-color:var(--fu-day-hover-bg-color);height:32px;width:32px;border-radius:50%;display:block}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.selected:not(.active){border:none}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.selected:not(.active) .selected-range{display:inline;cursor:pointer;width:32px;height:32px;position:absolute;top:0;left:0;background-color:var(--fu-day-selected-background)}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.selected:not(.active):hover .selected-range{background-color:var(--fu-day-selected-hovered-background)}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.active{color:#fff;background-color:transparent}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.active.selected.oneDaySelection:before{position:absolute;content:\"\";left:0;top:0;background-color:var(--fu-day-active-background);height:32px;width:32px;border-radius:50%;display:block}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.today.selected:after,:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.today.active:after,:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.today.hover-current:after{content:\"\";background-color:var(--fu-calendar-bg-color);width:4px;height:4px;position:absolute;bottom:5px;border-radius:100px;left:calc(50% - 2px)}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.today:not(.active):not(.hover-current):after{content:\"\";background-color:var(--fu-day-today-dot-color);width:4px;height:4px;position:absolute;bottom:5px;border-radius:100px;left:calc(50% - 2px)}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.selectedEnd{background-color:var(--fu-day-selected-background);border-radius:0 50% 50% 0}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.selectedEnd:before{position:absolute;content:\"\";left:0;top:0;background-color:var(--fu-day-active-background);height:32px;width:32px;border-radius:50%;display:block}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.selectedStart{background-color:var(--fu-day-selected-background);border-radius:50% 0 0 50%}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.selectedStart:before,:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.selectedStart.active.selected.oneDaySelection.hover-range:before{position:absolute;content:\"\";left:0;top:0;background-color:var(--fu-day-active-background);height:32px;width:32px;border-radius:50%;display:block}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.disabled{pointer-events:none}:host .fu-calendar .fu-days-wrapper .fu-week .fu-day.disabled:not(.selected){color:var(--fu-day-disabled-color)}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(CalendarV4Component, { className: "CalendarV4Component", filePath: "calendar-v4.component.ts", lineNumber: 17 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CalendarV4Component as CalendarComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-calendar-v4.mjs.map
