import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { CheckboxBaseComponent } from '@ironsource/fusion-ui/components/checkbox/common/base';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import * as i4 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';

function CheckboxComponent_fusion_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 5);
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r0.icon);
} }
function CheckboxComponent_fusion_flag_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 5);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("name", ctx_r1.flag);
} }
function CheckboxComponent_span_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 6);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("fusionTooltip", ctx_r2.label);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r2.label);
} }
class CheckboxComponent extends CheckboxBaseComponent {
    /** @internal */
    getColoredBackgroundImage() {
        const checked = `data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect width='16' height='16' rx='4' fill='{backgroundColor}' /%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='m7.104 11.863 5.75-5.398a.45.45 0 0 0 0-.664l-.707-.664a.523.523 0 0 0-.708 0L6.75 9.54 4.56 7.484a.523.523 0 0 0-.706 0l-.708.664a.45.45 0 0 0 0 .664l3.25 3.05a.523.523 0 0 0 .708 0Z' fill='%23fff'/%3E%3C/svg%3E`;
        const indeterminate = `data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect width='16' height='16' rx='4' fill='{backgroundColor}' /%3E%3Cpath fill='%23fff' d='M4 7h8v2H4z'/%3E%3C/svg%3E`;
        let svg;
        if (this.backgroundColor && (this.checked || this.isIndeterminate)) {
            svg = this.sanitizer.bypassSecurityTrustStyle(`url("${(this.isIndeterminate ? indeterminate : checked).replace('{backgroundColor}', encodeURIComponent(this.backgroundColor))}") left center no-repeat`);
        }
        return svg;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵCheckboxComponent_BaseFactory; return function CheckboxComponent_Factory(t) { return (ɵCheckboxComponent_BaseFactory || (ɵCheckboxComponent_BaseFactory = i0.ɵɵgetInheritedFactory(CheckboxComponent)))(t || CheckboxComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: CheckboxComponent, selectors: [["fusion-checkbox"]], features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => CheckboxComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 7, vars: 12, consts: [["type", "checkbox", 3, "id", "value", "checked", "disabled", "indeterminate", "change"], [3, "for", "ngClass"], [1, "fu-label-checkbox"], [3, "name", 4, "ngIf"], ["class", "fu-label-text truncate", 3, "fusionTooltip", 4, "ngIf"], [3, "name"], [1, "fu-label-text", "truncate", 3, "fusionTooltip"]], template: function CheckboxComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "input", 0);
            i0.ɵɵlistener("change", function CheckboxComponent_Template_input_change_0_listener($event) { return ctx.change($event); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(1, "label", 1)(2, "span", 2);
            i0.ɵɵtext(3, "\u00A0");
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(4, CheckboxComponent_fusion_icon_4_Template, 1, 1, "fusion-icon", 3)(5, CheckboxComponent_fusion_flag_5_Template, 1, 1, "fusion-flag", 3)(6, CheckboxComponent_span_6_Template, 2, 2, "span", 4);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("id", ctx.id)("value", ctx.value)("checked", ctx.checked)("disabled", ctx.isDisabled || ctx.isDisabledForm)("indeterminate", ctx.isIndeterminate);
            i0.ɵɵadvance();
            i0.ɵɵproperty("for", ctx.id)("ngClass", ctx.class);
            i0.ɵɵadvance();
            i0.ɵɵstyleProp("background", ctx.getColoredBackgroundImage());
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.icon);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.flag);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.label);
        } }, dependencies: [i1.NgClass, i1.NgIf, i2.IconComponent, i3.FlagComponent, i4.TooltipDirective], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{display:inline-flex;align-items:center;gap:8px;color:var(--fu-black-500, #53575B);-webkit-user-select:none;user-select:none;cursor:pointer}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   .fu-label-checkbox[_ngcontent-%COMP%]{box-sizing:border-box;width:16px;height:16px;flex:0 0 16px;background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect x='1' y='1' width='14' height='14' rx='3' stroke='%23A9AFB4' stroke-width='2'/%3E%3C/svg%3E\") left center no-repeat;background-size:contain;cursor:pointer}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{width:16px;height:16px;flex:0 0 16px}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:currentColor}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.truncate[_ngcontent-%COMP%]{width:100%}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.truncate[_ngcontent-%COMP%]   .fu-label-text[_ngcontent-%COMP%]{white-space:nowrap;overflow-x:hidden;text-overflow:ellipsis;flex:auto}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.fu-align-top[_ngcontent-%COMP%]{align-items:flex-start}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.fu-align-top[_ngcontent-%COMP%]   .fu-label-text[_ngcontent-%COMP%]{margin-top:-2px}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.fu-align-bottom[_ngcontent-%COMP%]{align-items:flex-end}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%] + label.fu-align-bottom[_ngcontent-%COMP%]   .fu-label-text[_ngcontent-%COMP%]{margin-bottom:-3px}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:checked + label[_ngcontent-%COMP%]   .fu-label-checkbox[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect width='16' height='16' rx='4' fill='%233083FF'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='m7.104 11.863 5.75-5.398a.45.45 0 0 0 0-.664l-.707-.664a.523.523 0 0 0-.708 0L6.75 9.54 4.56 7.484a.523.523 0 0 0-.706 0l-.708.664a.45.45 0 0 0 0 .664l3.25 3.05a.523.523 0 0 0 .708 0Z' fill='%23fff'/%3E%3C/svg%3E\") left center no-repeat}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:indeterminate + label[_ngcontent-%COMP%]   .fu-label-checkbox[_ngcontent-%COMP%]{background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect width='16' height='16' rx='4' fill='%233083FF'/%3E%3Cpath fill='%23fff' d='M4 7h8v2H4z'/%3E%3C/svg%3E\") left center no-repeat}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]{opacity:.5;color:var(--fu-light-800, #8E959D);cursor:default}[_nghost-%COMP%]   input[type=checkbox][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]   .fu-label-checkbox[_ngcontent-%COMP%]{cursor:default}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CheckboxComponent, [{
        type: Component,
        args: [{ selector: 'fusion-checkbox', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => CheckboxComponent),
                        multi: true
                    }
                ], template: "<input\n    type=\"checkbox\"\n    [id]=\"id\"\n    [value]=\"value\"\n    [checked]=\"checked\"\n    [disabled]=\"isDisabled || isDisabledForm\"\n    (change)=\"change($event)\"\n    [indeterminate]=\"isIndeterminate\"\n/>\n<label [for]=\"id\"  [ngClass]=\"class\">\n    <span class=\"fu-label-checkbox\" [style.background]=\"getColoredBackgroundImage()\">&nbsp;</span><fusion-icon *ngIf=\"icon\" [name]=\"icon\"></fusion-icon\n    ><fusion-flag *ngIf=\"flag\" [name]=\"flag\"></fusion-flag><span *ngIf=\"label\" [fusionTooltip]=\"label\" class=\"fu-label-text truncate\">{{ label }}</span>\n</label>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host input[type=checkbox]+label,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host input[type=checkbox]+label,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host input[type=checkbox]{display:none}:host input[type=checkbox]+label{display:inline-flex;align-items:center;gap:8px;color:var(--fu-black-500, #53575B);-webkit-user-select:none;user-select:none;cursor:pointer}:host input[type=checkbox]+label .fu-label-checkbox{box-sizing:border-box;width:16px;height:16px;flex:0 0 16px;background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect x='1' y='1' width='14' height='14' rx='3' stroke='%23A9AFB4' stroke-width='2'/%3E%3C/svg%3E\") left center no-repeat;background-size:contain;cursor:pointer}:host input[type=checkbox]+label fusion-icon{width:16px;height:16px;flex:0 0 16px}:host input[type=checkbox]+label fusion-icon ::ng-deep svg{width:16px;height:16px}:host input[type=checkbox]+label fusion-icon ::ng-deep svg *{fill:currentColor}:host input[type=checkbox]+label.truncate{width:100%}:host input[type=checkbox]+label.truncate .fu-label-text{white-space:nowrap;overflow-x:hidden;text-overflow:ellipsis;flex:auto}:host input[type=checkbox]+label.fu-align-top{align-items:flex-start}:host input[type=checkbox]+label.fu-align-top .fu-label-text{margin-top:-2px}:host input[type=checkbox]+label.fu-align-bottom{align-items:flex-end}:host input[type=checkbox]+label.fu-align-bottom .fu-label-text{margin-bottom:-3px}:host input[type=checkbox]:checked+label .fu-label-checkbox{background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect width='16' height='16' rx='4' fill='%233083FF'/%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='m7.104 11.863 5.75-5.398a.45.45 0 0 0 0-.664l-.707-.664a.523.523 0 0 0-.708 0L6.75 9.54 4.56 7.484a.523.523 0 0 0-.706 0l-.708.664a.45.45 0 0 0 0 .664l3.25 3.05a.523.523 0 0 0 .708 0Z' fill='%23fff'/%3E%3C/svg%3E\") left center no-repeat}:host input[type=checkbox]:indeterminate+label .fu-label-checkbox{background:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3E%3Crect width='16' height='16' rx='4' fill='%233083FF'/%3E%3Cpath fill='%23fff' d='M4 7h8v2H4z'/%3E%3C/svg%3E\") left center no-repeat}:host input[type=checkbox]:disabled+label{opacity:.5;color:var(--fu-light-800, #8E959D);cursor:default}:host input[type=checkbox]:disabled+label .fu-label-checkbox{cursor:default}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(CheckboxComponent, { className: "CheckboxComponent", filePath: "checkbox.component.ts", lineNumber: 18 }); })();

class CheckboxModule {
    static { this.ɵfac = function CheckboxModule_Factory(t) { return new (t || CheckboxModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: CheckboxModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, FlagModule, TooltipModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CheckboxModule, [{
        type: NgModule,
        args: [{
                declarations: [CheckboxComponent],
                exports: [CheckboxComponent],
                imports: [CommonModule, IconModule, FlagModule, TooltipModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(CheckboxModule, { declarations: [CheckboxComponent], imports: [CommonModule, IconModule, FlagModule, TooltipModule], exports: [CheckboxComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { CheckboxComponent, CheckboxModule };
//# sourceMappingURL=ironsource-fusion-ui-components-checkbox-v3.mjs.map
