import * as i0 from '@angular/core';
import { inject, forwardRef, Component, ChangeDetectionStrategy, Input } from '@angular/core';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { BehaviorSubject } from 'rxjs';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { DaterangeBaseComponent } from '@ironsource/fusion-ui/components/daterange/common/base';
export { DEFAULT_DATERANGE_PRESET_LIST, DEFAULT_DATERANGE_PRESET_NAMES, DEFAULT_DATE_FORMAT, DaterangeService } from '@ironsource/fusion-ui/components/daterange/common/base';
import { ApiBase } from '@ironsource/fusion-ui/components/api-base';
import * as i4 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import { DropdownSelectComponent } from '@ironsource/fusion-ui/components/dropdown-select/v4';
import { ButtonComponent } from '@ironsource/fusion-ui/components/button/v4';
import { CalendarComponent } from '@ironsource/fusion-ui/components/calendar/v4';
import { CheckboxComponent } from '@ironsource/fusion-ui/components/checkbox/v4';
import { InputComponent } from '@ironsource/fusion-ui/components/input/v4';
import { TestIdsService } from '@ironsource/fusion-ui/services/test-ids';
import { DateRangeTestIdModifiers } from '@ironsource/fusion-ui/entities';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
export * from '@ironsource/fusion-ui/components/daterange/entities';

function DaterangeV4Component_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    const _r9 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 12, 13);
    i0.ɵɵlistener("click", function DaterangeV4Component_Conditional_1_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r9); const ctx_r8 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r8.toggle()); });
    i0.ɵɵpipe(2, "generic");
    i0.ɵɵelementContainer(3, 14);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(2, 2, ctx_r0.testIdsService.getTestAttribute.bind(ctx_r0), ctx_r0.testId, ctx_r0.testIdModifiers.TRIGGER_CUSTOM));
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r0.templateRef);
} }
function DaterangeV4Component_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    const _r11 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-dropdown-select", 15);
    i0.ɵɵlistener("click", function DaterangeV4Component_Conditional_2_Template_fusion_dropdown_select_click_0_listener() { i0.ɵɵrestoreView(_r11); const ctx_r10 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r10.toggle()); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("icon", ctx_r1.selectorIcon)("placeholder", ctx_r1.placeholder)("isOpen", ctx_r1.isOpen);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 4, ctx_r1.testIdsService.getTestAttribute.bind(ctx_r1), ctx_r1.testId, ctx_r1.testIdModifiers.TRIGGER));
} }
const _c0 = a0 => ({ selected: a0 });
function DaterangeV4Component_Conditional_9_ng_template_3_For_2_Template(rf, ctx) { if (rf & 1) {
    const _r21 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 18);
    i0.ɵɵlistener("click", function DaterangeV4Component_Conditional_9_ng_template_3_For_2_Template_li_click_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r21); const preset_r15 = restoredCtx.$implicit; const ctx_r20 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r20.selectPreset(preset_r15)); });
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const preset_r15 = ctx.$implicit;
    const ctx_r14 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(2, _c0, ctx_r14.currentPreset === preset_r15));
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1("", ctx_r14.daterangeService.getPresetName(preset_r15), " ");
} }
function DaterangeV4Component_Conditional_9_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul");
    i0.ɵɵrepeaterCreate(1, DaterangeV4Component_Conditional_9_ng_template_3_For_2_Template, 2, 4, "li", 19, i0.ɵɵrepeaterTrackByIdentity);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r12 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵrepeater(ctx_r12.options.presets);
} }
function DaterangeV4Component_Conditional_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 16);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementContainer(2, 14);
    i0.ɵɵtemplate(3, DaterangeV4Component_Conditional_9_ng_template_3_Template, 3, 0, "ng-template", null, 17, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r13 = i0.ɵɵreference(4);
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r3.testIdsService.getTestAttribute.bind(ctx_r3), ctx_r3.testId, ctx_r3.testIdModifiers.PRESETS_WRAPPER));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r3.presetsHeaderTemplate || _r13);
} }
function DaterangeV4Component_For_16_Template(rf, ctx) { if (rf & 1) {
    const _r28 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-calendar", 20);
    i0.ɵɵlistener("daySelected", function DaterangeV4Component_For_16_Template_fusion_calendar_daySelected_0_listener($event) { i0.ɵɵrestoreView(_r28); const ctx_r27 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r27.onSelectDay($event)); });
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const month_r22 = ctx.$implicit;
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("configuration", ctx_r4.getCalendarConfigurations(month_r22));
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r4.testIdsService.getTestAttribute.bind(ctx_r4), ctx_r4.testId, ctx_r4.testIdModifiers.CALENDAR));
} }
function DaterangeV4Component_Conditional_20_Conditional_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 24)(1, "div", 25);
    i0.ɵɵtext(2, " Start ");
    i0.ɵɵelement(3, "fusion-input", 26);
    i0.ɵɵpipe(4, "generic");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(5, "div", 27);
    i0.ɵɵtext(6, " End ");
    i0.ɵɵelement(7, "fusion-input", 26);
    i0.ɵɵpipe(8, "generic");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r29 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("variant", !ctx_r29.fcStartTime.valid ? "error" : null)("formControl", ctx_r29.fcStartTime);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(4, 6, ctx_r29.testIdsService.getTestAttribute.bind(ctx_r29), ctx_r29.testId, ctx_r29.testIdModifiers.TIME_START));
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("variant", !ctx_r29.fcEndTime.valid ? "error" : null)("formControl", ctx_r29.fcEndTime);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(8, 10, ctx_r29.testIdsService.getTestAttribute.bind(ctx_r29), ctx_r29.testId, ctx_r29.testIdModifiers.TIME_END));
} }
function DaterangeV4Component_Conditional_20_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 21);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵelement(2, "fusion-checkbox", 22);
    i0.ɵɵpipe(3, "generic");
    i0.ɵɵtemplate(4, DaterangeV4Component_Conditional_20_Conditional_4_Template, 9, 14, "div", 23);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 4, ctx_r5.testIdsService.getTestAttribute.bind(ctx_r5), ctx_r5.testId, ctx_r5.testIdModifiers.TIME_SELECTOR));
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("formControl", ctx_r5.fcHasTimeSelector);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(3, 8, ctx_r5.testIdsService.getTestAttribute.bind(ctx_r5), ctx_r5.testId, ctx_r5.testIdModifiers.TIME_CHECKBOX));
    i0.ɵɵadvance(2);
    i0.ɵɵconditional(4, ctx_r5.fcHasTimeSelector.value ? 4 : -1);
} }
function DaterangeV4Component_Conditional_21_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 32);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r30 = i0.ɵɵnextContext(2);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r30.testIdsService.getTestAttribute.bind(ctx_r30), ctx_r30.testId, ctx_r30.testIdModifiers.ACTION_FOOTER_MESSAGE));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r30.footerMessage);
} }
function DaterangeV4Component_Conditional_21_Template(rf, ctx) { if (rf & 1) {
    const _r32 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 28);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtemplate(2, DaterangeV4Component_Conditional_21_Conditional_2_Template, 3, 6, "div", 29);
    i0.ɵɵelementStart(3, "fusion-button", 30);
    i0.ɵɵlistener("click", function DaterangeV4Component_Conditional_21_Template_fusion_button_click_3_listener() { i0.ɵɵrestoreView(_r32); const ctx_r31 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r31.close()); });
    i0.ɵɵpipe(4, "generic");
    i0.ɵɵtext(5, "Cancel");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(6, "fusion-button", 31);
    i0.ɵɵlistener("click", function DaterangeV4Component_Conditional_21_Template_fusion_button_click_6_listener() { i0.ɵɵrestoreView(_r32); const ctx_r33 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r33.apply()); });
    i0.ɵɵpipe(7, "generic");
    i0.ɵɵtext(8, "Apply");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 4, ctx_r6.testIdsService.getTestAttribute.bind(ctx_r6), ctx_r6.testId, ctx_r6.testIdModifiers.ACTION_FOOTER));
    i0.ɵɵadvance(2);
    i0.ɵɵconditional(2, ctx_r6.footerMessage ? 2 : -1);
    i0.ɵɵadvance();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(4, 8, ctx_r6.testIdsService.getTestAttribute.bind(ctx_r6), ctx_r6.testId, ctx_r6.testIdModifiers.ACTION_CANCEL_BUTTON));
    i0.ɵɵadvance(3);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(7, 12, ctx_r6.testIdsService.getTestAttribute.bind(ctx_r6), ctx_r6.testId, ctx_r6.testIdModifiers.ACTION_APPLY_BUTTON));
} }
const _c1 = (a0, a1, a2) => ({ visible: a0, isOpen: a1, singleDatePicker: a2 });
class DaterangeV4Component extends DaterangeBaseComponent {
    constructor() {
        super(...arguments);
        /** @internal */
        this.selectorIcon = 'ph/calendar-blank';
        this.footerMessage = 'All dates are in UTC';
        /** @internal */
        this.testIdModifiers = DateRangeTestIdModifiers;
        /** @internal */
        this.testIdsService = inject(TestIdsService);
        /** @internal */
        this.dropdownSelectConfigurations$ = new BehaviorSubject({
            placeholder: { value: 'Select' }
        });
        /** @internal */
        this.pevIconName = 'ph/caret-left';
        /** @internal */
        this.nextIconName = 'ph/caret-right';
    }
    get isOpen() {
        return this.dropdownSelectConfigurations$.getValue().isOpen;
    }
    get placeholder() {
        return this.dropdownSelectConfigurations$.getValue().placeholder;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDaterangeV4Component_BaseFactory; return function DaterangeV4Component_Factory(t) { return (ɵDaterangeV4Component_BaseFactory || (ɵDaterangeV4Component_BaseFactory = i0.ɵɵgetInheritedFactory(DaterangeV4Component)))(t || DaterangeV4Component); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DaterangeV4Component, selectors: [["fusion-daterange"]], hostAttrs: [1, "fusion-v4"], inputs: { selectorIcon: "selectorIcon", footerMessage: "footerMessage", testId: "testId" }, standalone: true, features: [i0.ɵɵProvidersFeature([
                { provide: ApiBase, useExisting: DaterangeV4Component },
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DaterangeV4Component),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature, i0.ɵɵStandaloneFeature], decls: 22, vars: 37, consts: [[3, "id", "fusionClickOutside"], [1, "fu-daterange-overlay", 3, "ngClass"], ["overlay", ""], ["class", "fu-daterange-preset-wrapper"], [1, "fu-daterange-calendars-wrapper"], [1, "fu-daterange-calendars"], [1, "fu-daterange-prev", 3, "click"], [1, "fu-daterange-prev-icon", 3, "name"], [1, "fu-daterange-next", 3, "click"], [1, "fu-daterange-next-icon", 3, "name"], ["class", "fu-time-selector"], ["class", "fu-daterange-actions-footer"], [3, "click"], ["trigger", ""], [3, "ngTemplateOutlet"], [1, "fu-mode-button", 3, "icon", "placeholder", "isOpen", "click"], [1, "fu-daterange-preset-wrapper"], ["defaultPreset", ""], [3, "ngClass", "click"], [3, "ngClass"], [3, "configuration", "daySelected"], [1, "fu-time-selector"], ["label", "Add hours", 3, "formControl"], ["class", "fu-time-select-wrapper"], [1, "fu-time-select-wrapper"], [1, "fu-start-time-wrapper"], ["type", "time", 3, "variant", "formControl"], [1, "fu-end-time-wrapper"], [1, "fu-daterange-actions-footer"], ["class", "fu-daterange-actions-footer-message"], ["size", "small", "variant", "outlined", 3, "click"], ["size", "small", "color", "primary", 3, "click"], [1, "fu-daterange-actions-footer-message"], [3, "configuration"]], template: function DaterangeV4Component_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function DaterangeV4Component_Template_div_fusionClickOutside_0_listener($event) { return ctx.onOutsideClick($event); });
            i0.ɵɵtemplate(1, DaterangeV4Component_Conditional_1_Template, 4, 6, "div")(2, DaterangeV4Component_Conditional_2_Template, 2, 8);
            i0.ɵɵelementStart(3, "div", 1, 2);
            i0.ɵɵpipe(5, "async");
            i0.ɵɵpipe(6, "generic");
            i0.ɵɵpipe(7, "async");
            i0.ɵɵpipe(8, "async");
            i0.ɵɵtemplate(9, DaterangeV4Component_Conditional_9_Template, 5, 6, "div", 3);
            i0.ɵɵelementStart(10, "div", 4)(11, "div", 5)(12, "div", 6);
            i0.ɵɵlistener("click", function DaterangeV4Component_Template_div_click_12_listener() { return ctx.onMonthChange("previous"); });
            i0.ɵɵpipe(13, "generic");
            i0.ɵɵelement(14, "fusion-icon", 7);
            i0.ɵɵelementEnd();
            i0.ɵɵrepeaterCreate(15, DaterangeV4Component_For_16_Template, 2, 6, "fusion-calendar", 33, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵelementStart(17, "div", 8);
            i0.ɵɵlistener("click", function DaterangeV4Component_Template_div_click_17_listener() { return ctx.onMonthChange("next"); });
            i0.ɵɵpipe(18, "generic");
            i0.ɵɵelement(19, "fusion-icon", 9);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(20, DaterangeV4Component_Conditional_20_Template, 5, 12, "div", 10)(21, DaterangeV4Component_Conditional_21_Template, 9, 16, "div", 11);
            i0.ɵɵelementEnd()()();
        } if (rf & 2) {
            i0.ɵɵproperty("id", ctx.id);
            i0.ɵɵadvance();
            i0.ɵɵconditional(1, ctx.templateRef ? 1 : 2);
            i0.ɵɵadvance(2);
            i0.ɵɵclassMap(i0.ɵɵpipeBind1(5, 15, ctx.overlayAlign$));
            i0.ɵɵclassProp("fu-no-presets", !ctx.isPresetsShown);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(33, _c1, i0.ɵɵpipeBind1(7, 21, ctx.overlayAlign$), i0.ɵɵpipeBind1(8, 23, ctx.isOpen$), ctx.isSingleDatePicker));
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(6, 17, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdModifiers.OVERLAY));
            i0.ɵɵadvance(6);
            i0.ɵɵconditional(9, ctx.isPresetsShown ? 9 : -1);
            i0.ɵɵadvance(3);
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(13, 25, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdModifiers.PREV_MONTH_BUTTON));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("name", ctx.pevIconName);
            i0.ɵɵadvance();
            i0.ɵɵrepeater(ctx.currentMonths);
            i0.ɵɵadvance(2);
            i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(18, 29, ctx.testIdsService.getTestAttribute.bind(ctx), ctx.testId, ctx.testIdModifiers.NEXT_MONTH_BUTTON));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("name", ctx.nextIconName);
            i0.ɵɵadvance();
            i0.ɵɵconditional(20, ctx.options.calendarAmount !== 1 && (ctx.options == null ? null : ctx.options.withTimeSelect) ? 20 : -1);
            i0.ɵɵadvance();
            i0.ɵɵconditional(21, !ctx.isSingleDatePicker ? 21 : -1);
        } }, dependencies: [CommonModule, i1.NgClass, i1.NgTemplateOutlet, i1.AsyncPipe, ReactiveFormsModule, i2.NgControlStatus, i2.FormControlDirective, IconModule, i3.IconComponent, ClickOutsideModule, i4.ClickOutsideDirective, DropdownSelectComponent,
            ButtonComponent,
            CalendarComponent,
            CheckboxComponent,
            InputComponent,
            GenericPipe], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-start-time-wrapper[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-end-time-wrapper[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-actions-footer[_ngcontent-%COMP%]   .fu-daterange-actions-footer-message[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-preset-wrapper[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-start-time-wrapper[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-end-time-wrapper[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-actions-footer[_ngcontent-%COMP%]   .fu-daterange-actions-footer-message[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-preset-wrapper[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]{z-index:2000!important}[_nghost-%COMP%]{user-select:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;position:relative;display:inline-block;--daterange-overlay-top: 4px;--daterange-overlay-bg-color: var(--common-white, #FFFFFF);--daterange-overlay-border: 1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));--daterange-overlay-border-radius: 8px;--daterange-overlay-box-shadow: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--daterange-preset-wrapper-width: 164px;--daterange-preset-wrapper-padding: 8px;--daterange-preset-wrapper-bg-color: var(--background-paper, hsl(0, 0%, 99%));--daterange-preset-wrapper-gap: 4px;--daterange-preset-item-height: 32px;--daterange-preset-item-padding: 6px 8px;--daterange-preset-item-border-radius: 8px;--daterange-preset-color: var(--text-primary, hsl(0, 0%, 12.5%));--daterange-preset-item-disabled-color: var(--text-disabled, hsl(0, 0%, 73.33%));--daterange-preset-item-hover-bg-color: var(--action-hover, hsla(0, 0%, 0%, .05));--daterange-preset-item-selected-bg-color: var(--action-selected, hsl(0, 0%, 92%));--daterange-calendars-wrapper-margin: 16px;--daterange-calendars-wrapper-gap: 24px;--daterange-calendars-prev-next-size: 24px;--daterange-calendars-prev-next-button-hover-color: var(--default-contrast-text, hsl(0, 0%, 12.5%));--daterange-calendars-prev-next-button-hover-bg-color: var(--action-hover, hsla(0, 0%, 0%, .05));--daterange-calendars-prev-next-icon-size: 20px;--daterange-calendars-prev-next-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--daterange-timeselect-gap: 16px;--daterange-timeinput-gap: 8px;--daterange-footer-message-color: var(--text-secondary, hsl(0, 0%, 39.3%));--daterange-footer-gap: 8px;--daterange-footer-padding: 12px 16px;--daterange-footer-height: 48px}.open-to-right[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]{left:0}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]{position:absolute;right:0;margin-top:var(--daterange-overlay-top);display:none;visibility:hidden;border:var(--daterange-overlay-border);border-radius:var(--daterange-overlay-border-radius);box-shadow:var(--daterange-overlay-box-shadow);background-color:var(--daterange-overlay-bg-color)}[_nghost-%COMP%]   .fu-daterange-overlay.isOpen[_ngcontent-%COMP%]{display:flex}[_nghost-%COMP%]   .fu-daterange-overlay.visible[_ngcontent-%COMP%]{visibility:initial}[_nghost-%COMP%]   .fu-daterange-overlay.left[_ngcontent-%COMP%]{left:0;right:initial}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-preset-wrapper[_ngcontent-%COMP%]{border-top-left-radius:var(--daterange-overlay-border-radius);border-bottom-left-radius:var(--daterange-overlay-border-radius);border-right:var(--daterange-overlay-border);min-width:var(--daterange-preset-wrapper-width);padding:var(--daterange-preset-wrapper-padding);background-color:var(--daterange-preset-wrapper-bg-color)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-preset-wrapper[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]{padding:0;margin:0;display:flex;flex-direction:column;gap:var(--daterange-preset-wrapper-gap)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-preset-wrapper[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{color:var(--daterange-preset-color);height:var(--daterange-preset-item-height);padding:var(--daterange-preset-item-padding);display:flex;align-items:center;border-radius:var(--daterange-preset-item-border-radius)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-preset-wrapper[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:not(.selected):not(.disabled):hover{cursor:pointer;background-color:var(--daterange-preset-item-hover-bg-color)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-preset-wrapper[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.selected[_ngcontent-%COMP%]{background-color:var(--daterange-preset-item-selected-bg-color)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-preset-wrapper[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.disabled[_ngcontent-%COMP%]{color:var(--daterange-preset-item-disabled-color);pointer-events:none}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]{display:flex;flex-direction:column}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]{position:relative;flex-grow:1;display:flex;margin:var(--daterange-calendars-wrapper-margin);align-items:flex-start;gap:var(--daterange-calendars-wrapper-gap)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]   .fu-daterange-prev[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]   .fu-daterange-next[_ngcontent-%COMP%]{position:absolute;top:8px;width:var(--daterange-calendars-prev-next-size);height:var(--daterange-calendars-prev-next-size);cursor:pointer;display:flex;justify-content:center;align-items:center}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]   .fu-daterange-prev[_ngcontent-%COMP%]   .fu-daterange-prev-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]   .fu-daterange-prev[_ngcontent-%COMP%]   .fu-daterange-next-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]   .fu-daterange-next[_ngcontent-%COMP%]   .fu-daterange-prev-icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]   .fu-daterange-next[_ngcontent-%COMP%]   .fu-daterange-next-icon[_ngcontent-%COMP%]{width:var(--daterange-calendars-prev-next-icon-size);height:var(--daterange-calendars-prev-next-icon-size);color:var(--daterange-calendars-prev-next-icon-color)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]   .fu-daterange-prev[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]   .fu-daterange-next[_ngcontent-%COMP%]:hover{background-color:var(--daterange-calendars-prev-next-button-hover-bg-color);color:var(--daterange-calendars-prev-next-button-hover-color)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-calendars[_ngcontent-%COMP%]   .fu-daterange-next[_ngcontent-%COMP%]{right:0}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]{display:flex;align-items:center;gap:var(--daterange-timeselect-gap);padding:var(--daterange-footer-padding);height:var(--daterange-footer-height);border-top:var(--daterange-overlay-border)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   fusion-checkbox[_ngcontent-%COMP%]{flex-grow:1}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]{display:flex;justify-content:flex-end;align-items:center;gap:var(--daterange-timeselect-gap)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-start-time-wrapper[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-end-time-wrapper[_ngcontent-%COMP%]{display:flex;align-items:center;gap:var(--daterange-timeinput-gap)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-actions-footer[_ngcontent-%COMP%]{display:flex;justify-content:flex-end;align-items:center;gap:var(--daterange-footer-gap);padding:var(--daterange-footer-padding);height:var(--daterange-footer-height);border-top:var(--daterange-overlay-border)}[_nghost-%COMP%]   .fu-daterange-overlay[_ngcontent-%COMP%]   .fu-daterange-calendars-wrapper[_ngcontent-%COMP%]   .fu-daterange-actions-footer[_ngcontent-%COMP%]   .fu-daterange-actions-footer-message[_ngcontent-%COMP%]{flex-grow:1;color:var(--daterange-footer-message-color)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DaterangeV4Component, [{
        type: Component,
        args: [{ selector: 'fusion-daterange', standalone: true, host: { class: 'fusion-v4' }, imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    IconModule,
                    ClickOutsideModule,
                    DropdownSelectComponent,
                    ButtonComponent,
                    CalendarComponent,
                    CheckboxComponent,
                    InputComponent,
                    GenericPipe
                ], changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    { provide: ApiBase, useExisting: DaterangeV4Component },
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DaterangeV4Component),
                        multi: true
                    }
                ], template: "<div [id]=\"id\" (fusionClickOutside)=\"onOutsideClick($event)\">\n    @if (templateRef) {\n        <div #trigger (click)=\"toggle()\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.TRIGGER_CUSTOM\">\n            <ng-container [ngTemplateOutlet]=\"templateRef\"></ng-container>\n        </div>\n    } @else {\n        <fusion-dropdown-select class=\"fu-mode-button\"\n                                [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.TRIGGER\"\n                                [icon]=\"selectorIcon\"\n                                [placeholder]=\"placeholder\"\n                                [isOpen]=\"isOpen\"\n                                (click)=\"toggle()\"\n        ></fusion-dropdown-select>\n    }\n\n    <div class=\"fu-daterange-overlay\" #overlay\n         [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.OVERLAY\"\n         [class.fu-no-presets]=\"!isPresetsShown\"\n         [class]=\"overlayAlign$ | async\"\n         [ngClass]=\"{visible: (overlayAlign$ | async), isOpen: (isOpen$ | async) , singleDatePicker: isSingleDatePicker}\"\n    >\n        @if (isPresetsShown) {\n            <div class=\"fu-daterange-preset-wrapper\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.PRESETS_WRAPPER\">\n                <ng-container [ngTemplateOutlet]=\"presetsHeaderTemplate || defaultPreset\"></ng-container>\n                <ng-template #defaultPreset>\n                    <ul>\n                        @for (preset of options.presets; track preset) {\n                            <li [ngClass]=\"{selected: currentPreset === preset}\"\n                                (click)=\"selectPreset(preset)\"\n                            >{{ daterangeService.getPresetName(preset) }}\n                            </li>\n                        }\n                    </ul>\n                </ng-template>\n            </div>\n        }\n        <div class=\"fu-daterange-calendars-wrapper\">\n            <div class=\"fu-daterange-calendars\">\n                <div class=\"fu-daterange-prev\" (click)=\"onMonthChange('previous')\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.PREV_MONTH_BUTTON\">\n                    <fusion-icon class=\"fu-daterange-prev-icon\" [name]=\"pevIconName\"></fusion-icon>\n                </div>\n\n                @for (month of currentMonths; track month) {\n                    <fusion-calendar\n                        (daySelected)=\"onSelectDay($event)\"\n                        [configuration]=\"getCalendarConfigurations(month)\"\n                        [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.CALENDAR\"\n                    ></fusion-calendar>\n                }\n\n                <div class=\"fu-daterange-next\" (click)=\"onMonthChange('next')\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.NEXT_MONTH_BUTTON\">\n                    <fusion-icon class=\"fu-daterange-next-icon\" [name]=\"nextIconName\"></fusion-icon>\n                </div>\n            </div>\n            @if (options.calendarAmount !== 1 && options?.withTimeSelect) {\n                <div class=\"fu-time-selector\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.TIME_SELECTOR\">\n                    <fusion-checkbox label=\"Add hours\" [formControl]=\"fcHasTimeSelector\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.TIME_CHECKBOX\"></fusion-checkbox>\n                    @if(fcHasTimeSelector.value){\n                        <div class=\"fu-time-select-wrapper\">\n                            <div class=\"fu-start-time-wrapper\">\n                                Start <fusion-input type=\"time\" [variant]=\"!fcStartTime.valid ? 'error': null\" [formControl]=\"fcStartTime\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.TIME_START\"></fusion-input>\n                            </div>\n                            <div class=\"fu-end-time-wrapper\">\n                                End <fusion-input type=\"time\" [variant]=\"!fcEndTime.valid ? 'error': null\" [formControl]=\"fcEndTime\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.TIME_END\"></fusion-input>\n                            </div>\n                        </div>\n                    }\n                </div>\n            }\n            @if (!isSingleDatePicker){\n                <div class=\"fu-daterange-actions-footer\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.ACTION_FOOTER\">\n                    @if (footerMessage){\n                        <div class=\"fu-daterange-actions-footer-message\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.ACTION_FOOTER_MESSAGE\">{{footerMessage}}</div>\n                    }\n                    <fusion-button size=\"small\" variant=\"outlined\" (click)=\"close()\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.ACTION_CANCEL_BUTTON\">Cancel</fusion-button>\n                    <fusion-button size=\"small\" color=\"primary\" (click)=\"apply()\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdModifiers.ACTION_APPLY_BUTTON\">Apply</fusion-button>\n                </div>\n            }\n        </div>\n\n    </div>\n</div>\n\n\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-time-selector .fu-time-select-wrapper .fu-start-time-wrapper,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-time-selector .fu-time-select-wrapper .fu-end-time-wrapper,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-actions-footer .fu-daterange-actions-footer-message,:host .fu-daterange-overlay .fu-daterange-preset-wrapper,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-time-selector .fu-time-select-wrapper .fu-start-time-wrapper,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-time-selector .fu-time-select-wrapper .fu-end-time-wrapper,.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-actions-footer .fu-daterange-actions-footer-message,:host .fu-daterange-overlay .fu-daterange-preset-wrapper,.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .fu-daterange-overlay{z-index:2000!important}:host{user-select:none;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;position:relative;display:inline-block;--daterange-overlay-top: 4px;--daterange-overlay-bg-color: var(--common-white, #FFFFFF);--daterange-overlay-border: 1px solid var(--common-divider-elevation-0, hsl(0, 0%, 89%));--daterange-overlay-border-radius: 8px;--daterange-overlay-box-shadow: 0px 12px 16px -4px rgba(16, 24, 40, .08), 0px 4px 6px -2px rgba(16, 24, 40, .03);--daterange-preset-wrapper-width: 164px;--daterange-preset-wrapper-padding: 8px;--daterange-preset-wrapper-bg-color: var(--background-paper, hsl(0, 0%, 99%));--daterange-preset-wrapper-gap: 4px;--daterange-preset-item-height: 32px;--daterange-preset-item-padding: 6px 8px;--daterange-preset-item-border-radius: 8px;--daterange-preset-color: var(--text-primary, hsl(0, 0%, 12.5%));--daterange-preset-item-disabled-color: var(--text-disabled, hsl(0, 0%, 73.33%));--daterange-preset-item-hover-bg-color: var(--action-hover, hsla(0, 0%, 0%, .05));--daterange-preset-item-selected-bg-color: var(--action-selected, hsl(0, 0%, 92%));--daterange-calendars-wrapper-margin: 16px;--daterange-calendars-wrapper-gap: 24px;--daterange-calendars-prev-next-size: 24px;--daterange-calendars-prev-next-button-hover-color: var(--default-contrast-text, hsl(0, 0%, 12.5%));--daterange-calendars-prev-next-button-hover-bg-color: var(--action-hover, hsla(0, 0%, 0%, .05));--daterange-calendars-prev-next-icon-size: 20px;--daterange-calendars-prev-next-icon-color: var(--action-active, hsl(0, 0%, 50.3%));--daterange-timeselect-gap: 16px;--daterange-timeinput-gap: 8px;--daterange-footer-message-color: var(--text-secondary, hsl(0, 0%, 39.3%));--daterange-footer-gap: 8px;--daterange-footer-padding: 12px 16px;--daterange-footer-height: 48px}:host.open-to-right .fu-daterange-overlay{left:0}:host .fu-daterange-overlay{position:absolute;right:0;margin-top:var(--daterange-overlay-top);display:none;visibility:hidden;border:var(--daterange-overlay-border);border-radius:var(--daterange-overlay-border-radius);box-shadow:var(--daterange-overlay-box-shadow);background-color:var(--daterange-overlay-bg-color)}:host .fu-daterange-overlay.isOpen{display:flex}:host .fu-daterange-overlay.visible{visibility:initial}:host .fu-daterange-overlay.left{left:0;right:initial}:host .fu-daterange-overlay .fu-daterange-preset-wrapper{border-top-left-radius:var(--daterange-overlay-border-radius);border-bottom-left-radius:var(--daterange-overlay-border-radius);border-right:var(--daterange-overlay-border);min-width:var(--daterange-preset-wrapper-width);padding:var(--daterange-preset-wrapper-padding);background-color:var(--daterange-preset-wrapper-bg-color)}:host .fu-daterange-overlay .fu-daterange-preset-wrapper ul{padding:0;margin:0;display:flex;flex-direction:column;gap:var(--daterange-preset-wrapper-gap)}:host .fu-daterange-overlay .fu-daterange-preset-wrapper ul li{color:var(--daterange-preset-color);height:var(--daterange-preset-item-height);padding:var(--daterange-preset-item-padding);display:flex;align-items:center;border-radius:var(--daterange-preset-item-border-radius)}:host .fu-daterange-overlay .fu-daterange-preset-wrapper ul li:not(.selected):not(.disabled):hover{cursor:pointer;background-color:var(--daterange-preset-item-hover-bg-color)}:host .fu-daterange-overlay .fu-daterange-preset-wrapper ul li.selected{background-color:var(--daterange-preset-item-selected-bg-color)}:host .fu-daterange-overlay .fu-daterange-preset-wrapper ul li.disabled{color:var(--daterange-preset-item-disabled-color);pointer-events:none}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper{display:flex;flex-direction:column}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars{position:relative;flex-grow:1;display:flex;margin:var(--daterange-calendars-wrapper-margin);align-items:flex-start;gap:var(--daterange-calendars-wrapper-gap)}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars .fu-daterange-prev,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars .fu-daterange-next{position:absolute;top:8px;width:var(--daterange-calendars-prev-next-size);height:var(--daterange-calendars-prev-next-size);cursor:pointer;display:flex;justify-content:center;align-items:center}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars .fu-daterange-prev .fu-daterange-prev-icon,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars .fu-daterange-prev .fu-daterange-next-icon,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars .fu-daterange-next .fu-daterange-prev-icon,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars .fu-daterange-next .fu-daterange-next-icon{width:var(--daterange-calendars-prev-next-icon-size);height:var(--daterange-calendars-prev-next-icon-size);color:var(--daterange-calendars-prev-next-icon-color)}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars .fu-daterange-prev:hover,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars .fu-daterange-next:hover{background-color:var(--daterange-calendars-prev-next-button-hover-bg-color);color:var(--daterange-calendars-prev-next-button-hover-color)}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-calendars .fu-daterange-next{right:0}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-time-selector{display:flex;align-items:center;gap:var(--daterange-timeselect-gap);padding:var(--daterange-footer-padding);height:var(--daterange-footer-height);border-top:var(--daterange-overlay-border)}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-time-selector fusion-checkbox{flex-grow:1}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-time-selector .fu-time-select-wrapper{display:flex;justify-content:flex-end;align-items:center;gap:var(--daterange-timeselect-gap)}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-time-selector .fu-time-select-wrapper .fu-start-time-wrapper,:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-time-selector .fu-time-select-wrapper .fu-end-time-wrapper{display:flex;align-items:center;gap:var(--daterange-timeinput-gap)}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-actions-footer{display:flex;justify-content:flex-end;align-items:center;gap:var(--daterange-footer-gap);padding:var(--daterange-footer-padding);height:var(--daterange-footer-height);border-top:var(--daterange-overlay-border)}:host .fu-daterange-overlay .fu-daterange-calendars-wrapper .fu-daterange-actions-footer .fu-daterange-actions-footer-message{flex-grow:1;color:var(--daterange-footer-message-color)}\n"] }]
    }], null, { selectorIcon: [{
            type: Input
        }], footerMessage: [{
            type: Input
        }], testId: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DaterangeV4Component, { className: "DaterangeV4Component", filePath: "daterange-v4.component.ts", lineNumber: 50 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DaterangeV4Component as DaterangeComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-daterange-v4.mjs.map
