import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import * as i4 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i6 from '@ironsource/fusion-ui/components/button/v3';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v3';
import { BehaviorSubject } from 'rxjs';
import { DaterangeBaseComponent, DaterangeService } from '@ironsource/fusion-ui/components/daterange/common/base';
export { DEFAULT_DATERANGE_PRESET_LIST, DEFAULT_DATERANGE_PRESET_NAMES, DEFAULT_DATE_FORMAT, DaterangeService } from '@ironsource/fusion-ui/components/daterange/common/base';
import { ApiBase } from '@ironsource/fusion-ui/components/api-base';
import * as i5 from '@ironsource/fusion-ui/components/calendar/v3';
import { CalendarModule } from '@ironsource/fusion-ui/components/calendar/v3';
import * as i7 from '@ironsource/fusion-ui/components/dropdown-select/v3';
import { DropdownSelectModule } from '@ironsource/fusion-ui/components/dropdown-select/v3';
import * as i8 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';
import * as i9 from '@ironsource/fusion-ui/components/checkbox';
import { CheckboxModule } from '@ironsource/fusion-ui/components/checkbox';
import * as i10 from '@ironsource/fusion-ui/components/input';
import { InputModule } from '@ironsource/fusion-ui/components/input';
export * from '@ironsource/fusion-ui/components/daterange/entities';

function DaterangeComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    const _r13 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 17, 18);
    i0.ɵɵlistener("click", function DaterangeComponent_div_1_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r13); const ctx_r12 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r12.toggle()); });
    i0.ɵɵelementContainer(2, 19);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r0.templateRef);
} }
function DaterangeComponent_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 19);
} if (rf & 2) {
    i0.ɵɵnextContext();
    const _r3 = i0.ɵɵreference(4);
    i0.ɵɵproperty("ngTemplateOutlet", _r3);
} }
function DaterangeComponent_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-dropdown-select", 20);
    i0.ɵɵlistener("click", function DaterangeComponent_ng_template_3_Template_fusion_dropdown_select_click_0_listener() { i0.ɵɵrestoreView(_r15); const ctx_r14 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r14.toggle()); });
    i0.ɵɵpipe(1, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵproperty("configurations", i0.ɵɵpipeBind1(1, 1, ctx_r2.dropdownSelectConfigurations$));
} }
const _c0 = a0 => ({ selected: a0 });
function DaterangeComponent_div_10_ng_template_2_li_1_Template(rf, ctx) { if (rf & 1) {
    const _r21 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 24);
    i0.ɵɵlistener("click", function DaterangeComponent_div_10_ng_template_2_li_1_Template_li_click_0_listener() { const restoredCtx = i0.ɵɵrestoreView(_r21); const preset_r19 = restoredCtx.$implicit; const ctx_r20 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r20.selectPreset(preset_r19)); });
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const preset_r19 = ctx.$implicit;
    const ctx_r18 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(2, _c0, ctx_r18.currentPreset === preset_r19));
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r18.daterangeService.getPresetName(preset_r19), " ");
} }
function DaterangeComponent_div_10_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul");
    i0.ɵɵtemplate(1, DaterangeComponent_div_10_ng_template_2_li_1_Template, 2, 4, "li", 23);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r16 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r16.options.presets);
} }
function DaterangeComponent_div_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 21);
    i0.ɵɵelementContainer(1, 19);
    i0.ɵɵtemplate(2, DaterangeComponent_div_10_ng_template_2_Template, 2, 1, "ng-template", null, 22, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const _r17 = i0.ɵɵreference(3);
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r5.presetsHeaderTemplate || _r17);
} }
function DaterangeComponent_fusion_calendar_15_Template(rf, ctx) { if (rf & 1) {
    const _r24 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-calendar", 25);
    i0.ɵɵlistener("daySelected", function DaterangeComponent_fusion_calendar_15_Template_fusion_calendar_daySelected_0_listener($event) { i0.ɵɵrestoreView(_r24); const ctx_r23 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r23.onSelectDay($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const month_r22 = ctx.$implicit;
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵproperty("configuration", ctx_r6.getCalendarConfigurations(month_r22));
} }
function DaterangeComponent_div_18_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 29)(1, "div", 30);
    i0.ɵɵtext(2, " Start ");
    i0.ɵɵelement(3, "fusion-input", 31);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "div", 32);
    i0.ɵɵtext(5, " End ");
    i0.ɵɵelement(6, "fusion-input", 31);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r25 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("configuration", ctx_r25.inputTimeOptions)("error", !ctx_r25.fcStartTime.valid ? "required" : "")("formControl", ctx_r25.fcStartTime);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("configuration", ctx_r25.inputTimeOptions)("error", !ctx_r25.fcEndTime.valid ? "required" : "")("formControl", ctx_r25.fcEndTime);
} }
function DaterangeComponent_div_18_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 26);
    i0.ɵɵelement(1, "fusion-checkbox", 27);
    i0.ɵɵtemplate(2, DaterangeComponent_div_18_div_2_Template, 7, 6, "div", 28);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("formControl", ctx_r7.fcHasTimeSelector);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r7.fcHasTimeSelector.value);
} }
function DaterangeComponent_div_19_Template(rf, ctx) { if (rf & 1) {
    const _r27 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 33)(1, "fusion-button", 34);
    i0.ɵɵlistener("click", function DaterangeComponent_div_19_Template_fusion_button_click_1_listener() { i0.ɵɵrestoreView(_r27); const ctx_r26 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r26.close()); });
    i0.ɵɵtext(2, "Cancel");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "fusion-button", 35);
    i0.ɵɵlistener("click", function DaterangeComponent_div_19_Template_fusion_button_click_3_listener() { i0.ɵɵrestoreView(_r27); const ctx_r28 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r28.apply()); });
    i0.ɵɵtext(4, "Apply");
    i0.ɵɵelementEnd()();
} }
function DaterangeComponent_ng_template_20_ng_container_1_fusion_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 41);
} }
function DaterangeComponent_ng_template_20_ng_container_1_span_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 42);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r32 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate((ctx_r32.options == null ? null : ctx_r32.options.chipLabel) + ": ");
} }
function DaterangeComponent_ng_template_20_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, DaterangeComponent_ng_template_20_ng_container_1_fusion_icon_1_Template, 1, 0, "fusion-icon", 38);
    i0.ɵɵelementStart(2, "div", 39);
    i0.ɵɵtemplate(3, DaterangeComponent_ng_template_20_ng_container_1_span_3_Template, 2, 1, "span", 40);
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const selected_r30 = ctx.ngIf;
    const ctx_r29 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", selected_r30 !== ((ctx_r29.options == null ? null : ctx_r29.options.placeholder) || ctx_r29.defaultPlaceholder));
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", selected_r30);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r29.options == null ? null : ctx_r29.options.chipLabel);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(selected_r30);
} }
function DaterangeComponent_ng_template_20_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 36);
    i0.ɵɵtemplate(1, DaterangeComponent_ng_template_20_ng_container_1_Template, 5, 4, "ng-container", 37);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(2, 1, ctx_r9.selected$));
} }
const _c1 = (a0, a1, a2) => ({ visible: a0, isOpen: a1, singleDatePicker: a2 });
const _c2 = a0 => ({ large: a0 });
class DaterangeComponent extends DaterangeBaseComponent {
    constructor() {
        super(...arguments);
        /** @internal */
        this.dropdownSelectConfigurations$ = new BehaviorSubject({
            dropdownArrowIconName: { iconName: 'angle-down', iconVersion: 'v3' }
        });
        /** @internal */
        this.pevIconName = { iconName: 'angle-left', iconVersion: 'v3' };
        /** @internal */
        this.nextIconName = { iconName: 'angle-right', iconVersion: 'v3' };
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDaterangeComponent_BaseFactory; return function DaterangeComponent_Factory(t) { return (ɵDaterangeComponent_BaseFactory || (ɵDaterangeComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DaterangeComponent)))(t || DaterangeComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DaterangeComponent, selectors: [["fusion-daterange"]], features: [i0.ɵɵProvidersFeature([
                { provide: ApiBase, useExisting: DaterangeComponent },
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DaterangeComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 22, vars: 27, consts: [[3, "id", "fusionClickOutside"], [3, "click", 4, "ngIf"], [3, "ngTemplateOutlet", 4, "ngIf"], ["defaultTrigger", ""], [1, "overlay", 3, "ngClass"], ["overlay", ""], ["class", "presetsWrap", 4, "ngIf"], [1, "rightSide"], [1, "calendarsWrap", 3, "ngClass"], [1, "prev", 3, "click"], [1, "icon-prev", 3, "name"], [3, "configuration", "daySelected", 4, "ngFor", "ngForOf"], [1, "next", 3, "click"], [1, "icon-next", 3, "name"], ["class", "fu-time-selector", 4, "ngIf"], ["class", "calendarsFooter", 4, "ngIf"], ["chipContent", ""], [3, "click"], ["trigger", ""], [3, "ngTemplateOutlet"], [3, "configurations", "click"], [1, "presetsWrap"], ["defaultPreset", ""], [3, "ngClass", "click", 4, "ngFor", "ngForOf"], [3, "ngClass", "click"], [3, "configuration", "daySelected"], [1, "fu-time-selector"], ["label", "Add hours", 3, "formControl"], ["class", "fu-time-select-wrapper", 4, "ngIf"], [1, "fu-time-select-wrapper"], [1, "fu-start-time-wrapper"], [3, "configuration", "error", "formControl"], [1, "fu-end-time-wrapper"], [1, "calendarsFooter"], [1, "transparent", "third", "small", 3, "click"], [1, "primary", "small", 3, "click"], [1, "fu-chip-content-default"], [4, "ngIf"], ["name", "calendar-today", 4, "ngIf"], [1, "truncate", "fu-chip-text", 3, "fusionTooltip"], ["class", "fu-chip-label", 4, "ngIf"], ["name", "calendar-today"], [1, "fu-chip-label"]], template: function DaterangeComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function DaterangeComponent_Template_div_fusionClickOutside_0_listener($event) { return ctx.onOutsideClick($event); });
            i0.ɵɵtemplate(1, DaterangeComponent_div_1_Template, 3, 1, "div", 1)(2, DaterangeComponent_ng_container_2_Template, 1, 1, "ng-container", 2)(3, DaterangeComponent_ng_template_3_Template, 2, 3, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor);
            i0.ɵɵelementStart(5, "div", 4, 5);
            i0.ɵɵpipe(7, "async");
            i0.ɵɵpipe(8, "async");
            i0.ɵɵpipe(9, "async");
            i0.ɵɵtemplate(10, DaterangeComponent_div_10_Template, 4, 1, "div", 6);
            i0.ɵɵelementStart(11, "div", 7)(12, "div", 8)(13, "div", 9);
            i0.ɵɵlistener("click", function DaterangeComponent_Template_div_click_13_listener() { return ctx.onMonthChange("previous"); });
            i0.ɵɵelement(14, "fusion-icon", 10);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(15, DaterangeComponent_fusion_calendar_15_Template, 1, 1, "fusion-calendar", 11);
            i0.ɵɵelementStart(16, "div", 12);
            i0.ɵɵlistener("click", function DaterangeComponent_Template_div_click_16_listener() { return ctx.onMonthChange("next"); });
            i0.ɵɵelement(17, "fusion-icon", 13);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(18, DaterangeComponent_div_18_Template, 3, 2, "div", 14)(19, DaterangeComponent_div_19_Template, 5, 0, "div", 15);
            i0.ɵɵelementEnd()()();
            i0.ɵɵtemplate(20, DaterangeComponent_ng_template_20_Template, 3, 3, "ng-template", null, 16, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵproperty("id", ctx.id);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.templateRef);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.templateRef);
            i0.ɵɵadvance(3);
            i0.ɵɵclassMap(i0.ɵɵpipeBind1(7, 15, ctx.overlayAlign$));
            i0.ɵɵclassProp("fu-no-presets", !ctx.isPresetsShown);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(21, _c1, i0.ɵɵpipeBind1(8, 17, ctx.overlayAlign$), i0.ɵɵpipeBind1(9, 19, ctx.isOpen$), ctx.isSingleDatePicker));
            i0.ɵɵadvance(5);
            i0.ɵɵproperty("ngIf", ctx.isPresetsShown);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(25, _c2, ctx.options.size === "large"));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("name", ctx.pevIconName);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngForOf", ctx.currentMonths);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("name", ctx.nextIconName);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.options.calendarAmount !== 1 && (ctx.options == null ? null : ctx.options.withTimeSelect));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.isSingleDatePicker);
        } }, dependencies: [i1.NgClass, i1.NgForOf, i1.NgIf, i1.NgTemplateOutlet, i2.IconComponent, i3.NgControlStatus, i3.FormControlDirective, i4.ClickOutsideDirective, i5.CalendarComponent, i6.ButtonComponent, i7.DropdownSelectComponent, i8.TooltipDirective, i9.CheckboxComponent, i10.InputComponent, i1.AsyncPipe], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]   .fu-chip-label[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]   .fu-chip-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .presetsWrap[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-start-time-wrapper[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-end-time-wrapper[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]   .fu-chip-label[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]   .fu-chip-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .presetsWrap[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-start-time-wrapper[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-end-time-wrapper[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .fu-chip-text[_ngcontent-%COMP%]{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]{z-index:2000!important}[_nghost-%COMP%]{position:relative;display:inline-block;width:100%;line-height:20px}.open-to-right[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]{left:0}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]{position:absolute;right:0;display:none;padding:16px 16px 16px 12px;margin-top:4px;min-width:480px;border-radius:var(--fu-border-radius, 8px);box-shadow:0 8px 24px -6px #00000029,0 0 1px #0006;background-color:var(--fu-white, #ffffff);visibility:hidden}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .calendarsWrap[_ngcontent-%COMP%]{position:relative;margin-top:-4px;display:flex;gap:24px;margin-bottom:12px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .calendarsFooter[_ngcontent-%COMP%]{border-top:1px solid var(--fu-light-300, #E5E7E9);margin:0 -16px 0 -12px;height:32px;padding:12px 14px 0 0;display:flex;grid-gap:4px;justify-content:flex-end}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]{position:absolute;top:12px;width:24px;height:24px;cursor:pointer;border-radius:100px;display:flex;justify-content:center;align-items:center}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%]   fusion-icon[class^=icon-prev][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]   fusion-icon[class^=icon-prev][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%]   fusion-icon[class^=icon-prev][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]   fusion-icon[class^=icon-prev][_ngcontent-%COMP%]     svg *{fill:var(--fu-black-500, #53575B)}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%]   fusion-icon[class^=icon-next][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]   fusion-icon[class^=icon-next][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%]   fusion-icon[class^=icon-next][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]   fusion-icon[class^=icon-next][_ngcontent-%COMP%]     svg *{fill:var(--fu-black-500, #53575B)}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%]   .icon-prev[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%]   .icon-next[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]   .icon-prev[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]   .icon-next[_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-200, #EDEFF0)}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .prev[_ngcontent-%COMP%]{left:4px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .next[_ngcontent-%COMP%]{right:4px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]{display:flex;flex-direction:row;align-items:center;color:var(--fu-black-500, #53575B);margin-bottom:16px;padding-left:9px;padding-right:9px;min-height:32px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]{display:flex;margin-left:auto;gap:24px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-start-time-wrapper[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .fu-time-selector[_ngcontent-%COMP%]   .fu-time-select-wrapper[_ngcontent-%COMP%]   .fu-end-time-wrapper[_ngcontent-%COMP%]{display:flex;flex-direction:row;align-items:center;gap:8px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .presetsWrap[_ngcontent-%COMP%]{width:136px;margin-right:16px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{color:var(--fu-black-500, #53575B);height:32px;padding:8px;margin-bottom:2px;display:flex;align-items:center;border-radius:var(--fu-border-radius, 8px);letter-spacing:.24px;line-height:16px}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]:not(.selected):not(.disabled):hover{cursor:pointer;background-color:var(--fu-light-50, #F7F8F9)}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.selected[_ngcontent-%COMP%]{color:var(--fu-primary-500, #3083FF);background-color:var(--fu-primary-100, #E2EEFF)}[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]   .presetsWrap[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]   li.disabled[_ngcontent-%COMP%]{color:var(--fu-light-800, #8E959D);pointer-events:none}[_nghost-%COMP%]   .overlay.singleDatePicker[_ngcontent-%COMP%]{min-width:256px;padding:12px 16px}[_nghost-%COMP%]   .overlay.singleDatePicker[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%], [_nghost-%COMP%]   .overlay.singleDatePicker[_ngcontent-%COMP%]   .rightSide[_ngcontent-%COMP%]   .calendarsWrap[_ngcontent-%COMP%]{width:100%;margin-bottom:0}[_nghost-%COMP%]   .overlay.isOpen[_ngcontent-%COMP%]{display:flex}[_nghost-%COMP%]   .overlay.left[_ngcontent-%COMP%]{left:0;right:initial}[_nghost-%COMP%]   .overlay.visible[_ngcontent-%COMP%]{visibility:initial}fusion-chip-filter[_nghost-%COMP%]   .overlay[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .overlay[_ngcontent-%COMP%]{top:-12px}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center;gap:3px;max-width:var(--fu-chip-max-width, 200px)}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .calendar-today[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   .calendar-today[_ngcontent-%COMP%]{margin:0}fusion-chip-filter[_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%], fusion-chip-filter   [_nghost-%COMP%]   .fu-chip-content-default[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]{width:16px;height:16px;margin-bottom:2px}.fu-page-header[_nghost-%COMP%], .fu-page-header   [_nghost-%COMP%]{min-width:250px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DaterangeComponent, [{
        type: Component,
        args: [{ selector: 'fusion-daterange', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    { provide: ApiBase, useExisting: DaterangeComponent },
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DaterangeComponent),
                        multi: true
                    }
                ], template: "<div [id]=\"id\" (fusionClickOutside)=\"onOutsideClick($event)\">\n    <div *ngIf=\"templateRef\" #trigger (click)=\"toggle()\">\n        <ng-container [ngTemplateOutlet]=\"templateRef\"></ng-container>\n    </div>\n\n    <ng-container *ngIf=\"!templateRef\" [ngTemplateOutlet]=\"defaultTrigger\"></ng-container>\n\n    <ng-template #defaultTrigger>\n        <fusion-dropdown-select\n            (click)=\"toggle()\"\n            [configurations]=\"dropdownSelectConfigurations$ | async\"\n        >\n        </fusion-dropdown-select>\n    </ng-template>\n    <div class=\"overlay\" #overlay [class.fu-no-presets]=\"!isPresetsShown\" [class]=\"overlayAlign$ | async\" [ngClass]=\"{visible: (overlayAlign$ | async), isOpen: (isOpen$ | async) , singleDatePicker: isSingleDatePicker}\">\n        <div class=\"presetsWrap\" *ngIf=\"isPresetsShown\">\n            <ng-container [ngTemplateOutlet]=\"presetsHeaderTemplate || defaultPreset\"></ng-container>\n            <ng-template #defaultPreset>\n                <ul>\n                    <li\n                        *ngFor=\"let preset of options.presets\"\n                        (click)=\"selectPreset(preset)\"\n                        [ngClass]=\"{selected: currentPreset === preset}\"\n                    >\n                        {{ daterangeService.getPresetName(preset) }}\n                    </li>\n                </ul>\n            </ng-template>\n        </div>\n        <div class=\"rightSide\">\n            <div class=\"calendarsWrap\" [ngClass]=\"{large: options.size === 'large'}\">\n                <div class=\"prev\" (click)=\"onMonthChange('previous')\">\n                    <fusion-icon class=\"icon-prev\" [name]=\"pevIconName\"></fusion-icon>\n                </div>\n\n                <fusion-calendar\n                    *ngFor=\"let month of currentMonths\"\n                    (daySelected)=\"onSelectDay($event)\"\n                    [configuration]=\"getCalendarConfigurations(month)\"\n                >\n                </fusion-calendar>\n\n                <div class=\"next\" (click)=\"onMonthChange('next')\">\n                    <fusion-icon class=\"icon-next\" [name]=\"nextIconName\"></fusion-icon>\n                </div>\n            </div>\n            <div *ngIf=\"options.calendarAmount !== 1 && options?.withTimeSelect\" class=\"fu-time-selector\">\n                <fusion-checkbox label=\"Add hours\" [formControl]=\"fcHasTimeSelector\"></fusion-checkbox>\n                <div class=\"fu-time-select-wrapper\" *ngIf=\"fcHasTimeSelector.value\">\n                    <div class=\"fu-start-time-wrapper\">\n                        Start <fusion-input [configuration]=\"inputTimeOptions\" [error]=\"!fcStartTime.valid ? 'required': ''\" [formControl]=\"fcStartTime\"></fusion-input>\n                    </div>\n                    <div class=\"fu-end-time-wrapper\">\n                        End <fusion-input [configuration]=\"inputTimeOptions\" [error]=\"!fcEndTime.valid ? 'required': ''\" [formControl]=\"fcEndTime\"></fusion-input>\n                    </div>\n                </div>\n            </div>\n            <div *ngIf=\"!isSingleDatePicker\" class=\"calendarsFooter\">\n                <fusion-button class=\"transparent third small\" (click)=\"close()\">Cancel</fusion-button>\n                <fusion-button class=\"primary small\" (click)=\"apply()\">Apply</fusion-button>\n            </div>\n        </div>\n    </div>\n</div>\n<ng-template #chipContent>\n    <div class=\"fu-chip-content-default\">\n        <ng-container *ngIf=\"(selected$ | async) as selected\">\n            <fusion-icon *ngIf=\"selected !== (options?.placeholder || defaultPlaceholder)\" name=\"calendar-today\"></fusion-icon>\n            <div [fusionTooltip]=\"selected\" class=\"truncate fu-chip-text\"><span *ngIf=\"options?.chipLabel\" class=\"fu-chip-label\">{{options?.chipLabel + ': '}}</span>{{ selected }}</div>\n        </ng-container>\n    </div>\n</ng-template>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text .fu-chip-label,:host .overlay .presetsWrap,:host .overlay .rightSide .fu-time-selector .fu-time-select-wrapper .fu-start-time-wrapper,:host .overlay .rightSide .fu-time-selector .fu-time-select-wrapper .fu-end-time-wrapper,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text .fu-chip-label,:host .overlay .presetsWrap,:host .overlay .rightSide .fu-time-selector .fu-time-select-wrapper .fu-start-time-wrapper,:host .overlay .rightSide .fu-time-selector .fu-time-select-wrapper .fu-end-time-wrapper,.font-bodySmall{font-size:13px;letter-spacing:.24px}:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text,.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host-context(fusion-chip-filter) .fu-chip-content-default .fu-chip-text{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .overlay{z-index:2000!important}:host{position:relative;display:inline-block;width:100%;line-height:20px}:host.open-to-right .overlay{left:0}:host .overlay{position:absolute;right:0;display:none;padding:16px 16px 16px 12px;margin-top:4px;min-width:480px;border-radius:var(--fu-border-radius, 8px);box-shadow:0 8px 24px -6px #00000029,0 0 1px #0006;background-color:var(--fu-white, #ffffff);visibility:hidden}:host .overlay .rightSide .calendarsWrap{position:relative;margin-top:-4px;display:flex;gap:24px;margin-bottom:12px}:host .overlay .rightSide .calendarsFooter{border-top:1px solid var(--fu-light-300, #E5E7E9);margin:0 -16px 0 -12px;height:32px;padding:12px 14px 0 0;display:flex;grid-gap:4px;justify-content:flex-end}:host .overlay .rightSide .prev,:host .overlay .rightSide .next{position:absolute;top:12px;width:24px;height:24px;cursor:pointer;border-radius:100px;display:flex;justify-content:center;align-items:center}:host .overlay .rightSide .prev fusion-icon[class^=icon-prev] ::ng-deep svg,:host .overlay .rightSide .next fusion-icon[class^=icon-prev] ::ng-deep svg{width:16px;height:16px}:host .overlay .rightSide .prev fusion-icon[class^=icon-prev] ::ng-deep svg *,:host .overlay .rightSide .next fusion-icon[class^=icon-prev] ::ng-deep svg *{fill:var(--fu-black-500, #53575B)}:host .overlay .rightSide .prev fusion-icon[class^=icon-next] ::ng-deep svg,:host .overlay .rightSide .next fusion-icon[class^=icon-next] ::ng-deep svg{width:16px;height:16px}:host .overlay .rightSide .prev fusion-icon[class^=icon-next] ::ng-deep svg *,:host .overlay .rightSide .next fusion-icon[class^=icon-next] ::ng-deep svg *{fill:var(--fu-black-500, #53575B)}:host .overlay .rightSide .prev .icon-prev,:host .overlay .rightSide .prev .icon-next,:host .overlay .rightSide .next .icon-prev,:host .overlay .rightSide .next .icon-next{width:16px;height:16px}:host .overlay .rightSide .prev:hover,:host .overlay .rightSide .next:hover{background-color:var(--fu-light-200, #EDEFF0)}:host .overlay .rightSide .prev{left:4px}:host .overlay .rightSide .next{right:4px}:host .overlay .rightSide .fu-time-selector{display:flex;flex-direction:row;align-items:center;color:var(--fu-black-500, #53575B);margin-bottom:16px;padding-left:9px;padding-right:9px;min-height:32px}:host .overlay .rightSide .fu-time-selector .fu-time-select-wrapper{display:flex;margin-left:auto;gap:24px}:host .overlay .rightSide .fu-time-selector .fu-time-select-wrapper .fu-start-time-wrapper,:host .overlay .rightSide .fu-time-selector .fu-time-select-wrapper .fu-end-time-wrapper{display:flex;flex-direction:row;align-items:center;gap:8px}:host .overlay .presetsWrap{width:136px;margin-right:16px}:host .overlay .presetsWrap ul{padding:0;margin:0}:host .overlay .presetsWrap ul li{color:var(--fu-black-500, #53575B);height:32px;padding:8px;margin-bottom:2px;display:flex;align-items:center;border-radius:var(--fu-border-radius, 8px);letter-spacing:.24px;line-height:16px}:host .overlay .presetsWrap ul li:not(.selected):not(.disabled):hover{cursor:pointer;background-color:var(--fu-light-50, #F7F8F9)}:host .overlay .presetsWrap ul li.selected{color:var(--fu-primary-500, #3083FF);background-color:var(--fu-primary-100, #E2EEFF)}:host .overlay .presetsWrap ul li.disabled{color:var(--fu-light-800, #8E959D);pointer-events:none}:host .overlay.singleDatePicker{min-width:256px;padding:12px 16px}:host .overlay.singleDatePicker .rightSide,:host .overlay.singleDatePicker .rightSide .calendarsWrap{width:100%;margin-bottom:0}:host .overlay.isOpen{display:flex}:host .overlay.left{left:0;right:initial}:host .overlay.visible{visibility:initial}:host-context(fusion-chip-filter) .overlay{top:-12px}:host-context(fusion-chip-filter) .fu-chip-content-default{display:flex;align-items:center;justify-content:center;gap:3px;max-width:var(--fu-chip-max-width, 200px)}:host-context(fusion-chip-filter) .fu-chip-content-default .calendar-today{margin:0}:host-context(fusion-chip-filter) .fu-chip-content-default fusion-icon{width:16px;height:16px;margin-bottom:2px}:host-context(.fu-page-header){min-width:250px}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DaterangeComponent, { className: "DaterangeComponent", filePath: "v3/daterange.component.ts", lineNumber: 22 }); })();

class DaterangeModule {
    static { this.ɵfac = function DaterangeModule_Factory(t) { return new (t || DaterangeModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DaterangeModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ providers: [DaterangeService], imports: [CommonModule,
            IconModule,
            ReactiveFormsModule,
            ClickOutsideModule,
            CalendarModule,
            ButtonModule,
            DropdownSelectModule,
            TooltipModule,
            CheckboxModule,
            InputModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DaterangeModule, [{
        type: NgModule,
        args: [{
                declarations: [DaterangeComponent],
                imports: [
                    CommonModule,
                    IconModule,
                    ReactiveFormsModule,
                    ClickOutsideModule,
                    CalendarModule,
                    ButtonModule,
                    DropdownSelectModule,
                    TooltipModule,
                    CheckboxModule,
                    InputModule
                ],
                providers: [DaterangeService],
                exports: [DaterangeComponent]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DaterangeModule, { declarations: [DaterangeComponent], imports: [CommonModule,
        IconModule,
        ReactiveFormsModule,
        ClickOutsideModule,
        CalendarModule,
        ButtonModule,
        DropdownSelectModule,
        TooltipModule,
        CheckboxModule,
        InputModule], exports: [DaterangeComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DaterangeComponent, DaterangeModule };
//# sourceMappingURL=ironsource-fusion-ui-components-daterange.mjs.map
