import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input, EventEmitter, Output, ElementRef, forwardRef, ViewChild, NgModule } from '@angular/core';
import * as i2$1 from '@angular/forms';
import { FormControl, NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { DropdownDualMultiSelectBaseComponent } from '@ironsource/fusion-ui/components/dropdown-dual-multi-select/common/base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i5 from '@ironsource/fusion-ui/components/tooltip/v2';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v2';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i5$1 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i6 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { BehaviorSubject, Subject, of, fromEvent, combineLatest } from 'rxjs';
import { tap, takeUntil, filter, debounceTime, map, scan, distinctUntilChanged } from 'rxjs/operators';
import { isNullOrUndefined } from '@ironsource/fusion-ui/utils';
import * as i2 from '@ironsource/fusion-ui/components/checkbox/v2';
import { CheckboxModule } from '@ironsource/fusion-ui/components/checkbox/v2';
import * as i3$1 from '@ironsource/fusion-ui/components/loader-inline/v2';
import { LoaderInlineModule } from '@ironsource/fusion-ui/components/loader-inline/v2';
import * as i4 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import * as i6$1 from '@ironsource/fusion-ui/pipes/collection';
import { GetObjectLengthPipe } from '@ironsource/fusion-ui/pipes/collection';
import { InputSize } from '@ironsource/fusion-ui/components/input/common/base';
import * as i1$1 from '@ironsource/fusion-ui/components/input/v2';
import { InputModule } from '@ironsource/fusion-ui/components/input/v2';
import * as i1$2 from '@ironsource/fusion-ui/components/button/v2';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v2';
import * as i10 from '@ironsource/fusion-ui/pipes/generic';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';

function DropdownDualMultiSelectLoadingComponent_ng_template_1_li_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li")(1, "div", 4);
    i0.ɵɵelement(2, "div", 5);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "div", 6);
    i0.ɵɵelement(4, "div", 5);
    i0.ɵɵelementEnd()();
} }
function DropdownDualMultiSelectLoadingComponent_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul");
    i0.ɵɵtemplate(1, DropdownDualMultiSelectLoadingComponent_ng_template_1_li_1_Template, 5, 0, "li", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r0.items);
} }
function DropdownDualMultiSelectLoadingComponent_ng_template_3_li_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li")(1, "div", 6);
    i0.ɵɵelement(2, "div", 5);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "div", 4);
    i0.ɵɵelement(4, "div", 5);
    i0.ɵɵelementEnd()();
} }
function DropdownDualMultiSelectLoadingComponent_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul");
    i0.ɵɵtemplate(1, DropdownDualMultiSelectLoadingComponent_ng_template_3_li_1_Template, 5, 0, "li", 3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngForOf", ctx_r2.items);
} }
class DropdownDualMultiSelectLoadingComponent {
    set amount(numberOfItems) {
        this.items = new Array(numberOfItems);
    }
    static { this.ɵfac = function DropdownDualMultiSelectLoadingComponent_Factory(t) { return new (t || DropdownDualMultiSelectLoadingComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownDualMultiSelectLoadingComponent, selectors: [["fusion-dropdown-dual-multi-select-loading"]], inputs: { position: "position", amount: "amount" }, decls: 5, vars: 1, consts: [[3, "ngTemplateOutlet"], ["circleRight", ""], ["circleLeft", ""], [4, "ngFor", "ngForOf"], [1, "rect"], [1, "shine-overlay", 2, "animation-delay", "0s"], [1, "circle"]], template: function DropdownDualMultiSelectLoadingComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementContainer(0, 0);
            i0.ɵɵtemplate(1, DropdownDualMultiSelectLoadingComponent_ng_template_1_Template, 2, 1, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor)(3, DropdownDualMultiSelectLoadingComponent_ng_template_3_Template, 2, 1, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            const _r1 = i0.ɵɵreference(2);
            const _r3 = i0.ɵɵreference(4);
            i0.ɵɵproperty("ngTemplateOutlet", ctx.position === "left" ? _r3 : _r1);
        } }, dependencies: [i1.NgForOf, i1.NgTemplateOutlet], styles: ["[_nghost-%COMP%]   .circle[_ngcontent-%COMP%], [_nghost-%COMP%]   .rect[_ngcontent-%COMP%]{position:relative;overflow:hidden;background:var(--light-color-100, #F9FAFB);height:16px;border-radius:8px}[_nghost-%COMP%]   .circle[_ngcontent-%COMP%]{margin:0 4px;width:16px}[_nghost-%COMP%]   .rect[_ngcontent-%COMP%]{flex:1}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]{flex:1;margin:18px 8px;padding:0;width:244px}[_nghost-%COMP%]   ul[_ngcontent-%COMP%] > li[_ngcontent-%COMP%]{display:flex;margin-bottom:16px}[_nghost-%COMP%]   .shine-overlay[_ngcontent-%COMP%]{position:absolute;inset:0;animation-duration:1.2s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:_ngcontent-%COMP%_shineAnimation;animation-timing-function:linear;background:rgba(255,255,255,0);background:linear-gradient(to right,rgba(255,255,255,0) 8%,#fafafb 18%,rgba(255,255,255,0) 33%);background-size:1500px 100px}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectLoadingComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-dual-multi-select-loading', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container [ngTemplateOutlet]=\"position === 'left' ? circleLeft : circleRight\"></ng-container>\n\n<ng-template #circleRight>\n    <ul>\n        <li *ngFor=\"let item of items\">\n            <div class=\"rect\">\n                <div class=\"shine-overlay\" style=\"animation-delay: 0s\"></div>\n            </div>\n            <div class=\"circle\">\n                <div class=\"shine-overlay\" style=\"animation-delay: 0s\"></div>\n            </div>\n        </li>\n    </ul>\n</ng-template>\n\n<ng-template #circleLeft>\n    <ul>\n        <li *ngFor=\"let item of items\">\n            <div class=\"circle\">\n                <div class=\"shine-overlay\" style=\"animation-delay: 0s\"></div>\n            </div>\n            <div class=\"rect\">\n                <div class=\"shine-overlay\" style=\"animation-delay: 0s\"></div>\n            </div>\n        </li>\n    </ul>\n</ng-template>\n", styles: [":host .circle,:host .rect{position:relative;overflow:hidden;background:var(--light-color-100, #F9FAFB);height:16px;border-radius:8px}:host .circle{margin:0 4px;width:16px}:host .rect{flex:1}:host ul{flex:1;margin:18px 8px;padding:0;width:244px}:host ul>li{display:flex;margin-bottom:16px}:host .shine-overlay{position:absolute;inset:0;animation-duration:1.2s;animation-fill-mode:forwards;animation-iteration-count:infinite;animation-name:shineAnimation;animation-timing-function:linear;background:rgba(255,255,255,0);background:linear-gradient(to right,rgba(255,255,255,0) 8%,#fafafb 18%,rgba(255,255,255,0) 33%);background-size:1500px 100px}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}\n"] }]
    }], null, { position: [{
            type: Input
        }], amount: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownDualMultiSelectLoadingComponent, { className: "DropdownDualMultiSelectLoadingComponent", filePath: "components/dropdown-dual-multi-select-loading/dropdown-dual-multi-select-loading.component.ts", lineNumber: 9 }); })();

const _c0$3 = a0 => ({ item: a0 });
function DropdownDualMultiSelectBodyItemComponent_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    const _r10 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "label", 5)(1, "fusion-checkbox", 6);
    i0.ɵɵlistener("changed", function DropdownDualMultiSelectBodyItemComponent_ng_template_1_Template_fusion_checkbox_changed_1_listener() { const restoredCtx = i0.ɵɵrestoreView(_r10); const item_r8 = restoredCtx.item; const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.changeSelectedItem(item_r8)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainer(2, 0);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r8 = ctx.item;
    const ctx_r0 = i0.ɵɵnextContext();
    const _r5 = i0.ɵɵreference(6);
    const _r7 = i0.ɵɵreference(8);
    i0.ɵɵproperty("for", item_r8.id);
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", item_r8.id)("isDisabled", ctx_r0.isDisabled)("checked", ctx_r0.isSelectedItem);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", (item_r8 == null ? null : item_r8.content) ? _r5 : _r7)("ngTemplateOutletContext", i0.ɵɵpureFunction1(6, _c0$3, item_r8));
} }
const _c1$1 = () => ({ iconName: "close", iconVersion: "v2" });
function DropdownDualMultiSelectBodyItemComponent_ng_template_3_fusion_icon_2_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon", 9);
    i0.ɵɵlistener("click", function DropdownDualMultiSelectBodyItemComponent_ng_template_3_fusion_icon_2_Template_fusion_icon_click_0_listener() { i0.ɵɵrestoreView(_r15); const item_r11 = i0.ɵɵnextContext().item; const ctx_r13 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r13.clearSelectItem(item_r11)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵproperty("name", i0.ɵɵpureFunction0(1, _c1$1));
} }
function DropdownDualMultiSelectBodyItemComponent_ng_template_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label", 7);
    i0.ɵɵelementContainer(1, 0);
    i0.ɵɵtemplate(2, DropdownDualMultiSelectBodyItemComponent_ng_template_3_fusion_icon_2_Template, 1, 2, "fusion-icon", 8);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r11 = ctx.item;
    const ctx_r2 = i0.ɵɵnextContext();
    const _r5 = i0.ɵɵreference(6);
    const _r7 = i0.ɵɵreference(8);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", (item_r11 == null ? null : item_r11.content) ? _r5 : _r7)("ngTemplateOutletContext", i0.ɵɵpureFunction1(3, _c0$3, item_r11));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r2.isDisabled);
} }
function DropdownDualMultiSelectBodyItemComponent_ng_template_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 10);
    i0.ɵɵelement(1, "fusion-dynamic-components", 11);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r16 = ctx.item;
    i0.ɵɵadvance();
    i0.ɵɵproperty("configuration", item_r16 == null ? null : item_r16.content);
} }
function DropdownDualMultiSelectBodyItemComponent_ng_template_7_img_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 16);
} if (rf & 2) {
    const item_r17 = i0.ɵɵnextContext().item;
    i0.ɵɵproperty("src", item_r17.image, i0.ɵɵsanitizeUrl);
} }
function DropdownDualMultiSelectBodyItemComponent_ng_template_7_fusion_flag_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 17);
} if (rf & 2) {
    const item_r17 = i0.ɵɵnextContext().item;
    i0.ɵɵproperty("name", item_r17.flag);
} }
function DropdownDualMultiSelectBodyItemComponent_ng_template_7_fusion_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 18);
} if (rf & 2) {
    const item_r17 = i0.ɵɵnextContext().item;
    i0.ɵɵproperty("name", item_r17.icon);
} }
function DropdownDualMultiSelectBodyItemComponent_ng_template_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, DropdownDualMultiSelectBodyItemComponent_ng_template_7_img_0_Template, 1, 1, "img", 12)(1, DropdownDualMultiSelectBodyItemComponent_ng_template_7_fusion_flag_1_Template, 1, 1, "fusion-flag", 13)(2, DropdownDualMultiSelectBodyItemComponent_ng_template_7_fusion_icon_2_Template, 1, 1, "fusion-icon", 14);
    i0.ɵɵelementStart(3, "span", 15);
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const item_r17 = ctx.item;
    i0.ɵɵproperty("ngIf", item_r17.image);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", item_r17.flag);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", item_r17.icon);
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("fusionTooltip", item_r17.title || item_r17.displayText);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(item_r17.title || item_r17.displayText);
} }
class DropdownDualMultiSelectBodyItemComponent {
    constructor() {
        this.changeSelected = new EventEmitter();
        this.clearSelect = new EventEmitter();
    }
    changeSelectedItem(item) {
        this.changeSelected.emit(item);
    }
    clearSelectItem(item) {
        if (!item.isDisabled) {
            this.clearSelect.emit(item);
        }
    }
    static { this.ɵfac = function DropdownDualMultiSelectBodyItemComponent_Factory(t) { return new (t || DropdownDualMultiSelectBodyItemComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownDualMultiSelectBodyItemComponent, selectors: [["fusion-dropdown-dual-multi-select-body-item"]], inputs: { bodySide: "bodySide", item: "item", isDisabled: "isDisabled", isSelectedItem: "isSelectedItem" }, outputs: { changeSelected: "changeSelected", clearSelect: "clearSelect" }, decls: 9, vars: 4, consts: [[3, "ngTemplateOutlet", "ngTemplateOutletContext"], ["leftSide", ""], ["rightSide", ""], ["dynamicItem", ""], ["optionTemplate", ""], [1, "is-option-label", "left-side", 3, "for"], [1, "item-check", 3, "id", "isDisabled", "checked", "changed"], [1, "is-option-label", "right-side"], ["class", "icon-clear", 3, "name", "click", 4, "ngIf"], [1, "icon-clear", 3, "name", "click"], [1, "dynamic-item"], [3, "configuration"], ["alt", "item-image", 3, "src", 4, "ngIf"], [3, "name", 4, "ngIf"], ["class", "icon", 3, "name", 4, "ngIf"], [1, "fu-option-title", "truncate", 3, "fusionTooltip"], ["alt", "item-image", 3, "src"], [3, "name"], [1, "icon", 3, "name"]], template: function DropdownDualMultiSelectBodyItemComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementContainer(0, 0);
            i0.ɵɵtemplate(1, DropdownDualMultiSelectBodyItemComponent_ng_template_1_Template, 3, 8, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor)(3, DropdownDualMultiSelectBodyItemComponent_ng_template_3_Template, 3, 5, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor)(5, DropdownDualMultiSelectBodyItemComponent_ng_template_5_Template, 2, 1, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor)(7, DropdownDualMultiSelectBodyItemComponent_ng_template_7_Template, 5, 5, "ng-template", null, 4, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            const _r1 = i0.ɵɵreference(2);
            const _r3 = i0.ɵɵreference(4);
            i0.ɵɵproperty("ngTemplateOutlet", ctx.bodySide === "left" ? _r1 : _r3)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0$3, ctx.item));
        } }, dependencies: [i1.NgIf, i1.NgTemplateOutlet, i2.CheckboxComponent, i3.IconComponent, i4.FlagComponent, i5.TooltipDirective, i6.DynamicComponentsComponent], styles: [".options-data-list[_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%], .options-data-list[_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}.options-data-list[_nghost-%COMP%]   *[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}.options-data-list[_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]:hover, .options-data-list   [_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]:hover, .options-data-list[_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]:hover, .options-data-list   [_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]:hover{border-radius:5px;background-color:#f7f8f9}.options-data-list[_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   .fu-option-title.truncate[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   .fu-option-title.truncate[_ngcontent-%COMP%], .options-data-list[_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]   .fu-option-title.truncate[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]   .fu-option-title.truncate[_ngcontent-%COMP%]{display:inline-block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.options-data-list[_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]{position:relative}.options-data-list[_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{width:20px;height:20px;max-width:20px;border-radius:4px;vertical-align:middle;margin-right:1px;margin-top:-2px}.options-data-list[_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{margin-right:1px;padding:2px 2px 2px 3px;vertical-align:sub;display:inline-block}.options-data-list[_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, .options-data-list   [_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:12px;height:12px}.options-data-list[_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, .options-data-list   [_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-700, #95A6B8)}.options-data-list[_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:4px}.options-data-list[_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .dynamic-item[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .dynamic-item[_ngcontent-%COMP%]{display:inline-block}.options-data-list[_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]{padding:4px 4px 5px 5px;cursor:pointer;display:flex;justify-content:flex-start;align-items:center;width:249px;height:32px;margin-left:6px;margin-top:2px}.options-data-list[_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]   .fu-option-title.truncate[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]   .fu-option-title.truncate[_ngcontent-%COMP%]{width:190px}.options-data-list[_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]   .item-check[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.left-side[_ngcontent-%COMP%]   .item-check[_ngcontent-%COMP%]{margin-right:8px;line-height:0}.options-data-list[_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]{padding:4px 4px 5px 6px;cursor:pointer;display:flex;width:249px;height:32px;justify-content:flex-start;align-items:center;margin-left:3px;margin-top:2px}.options-data-list[_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   fusion-icon.icon-clear[_ngcontent-%COMP%]     svg, .options-data-list   [_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   fusion-icon.icon-clear[_ngcontent-%COMP%]     svg{width:12px;height:12px}.options-data-list[_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   fusion-icon.icon-clear[_ngcontent-%COMP%]     svg *, .options-data-list   [_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   fusion-icon.icon-clear[_ngcontent-%COMP%]     svg *{fill:var(--light-color-700, #95A6B8)}.options-data-list[_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   .fu-option-title[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   .fu-option-title[_ngcontent-%COMP%]{line-height:20px}.options-data-list[_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   .fu-option-title.truncate[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   .fu-option-title.truncate[_ngcontent-%COMP%]{width:190px}.options-data-list[_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   fusion-icon.icon-clear[_ngcontent-%COMP%], .options-data-list   [_nghost-%COMP%]   .is-option-label.right-side[_ngcontent-%COMP%]   fusion-icon.icon-clear[_ngcontent-%COMP%]{display:flex;justify-content:center;align-items:center;position:absolute;height:16px;width:16px;right:0;padding-right:4px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectBodyItemComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-dual-multi-select-body-item', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container [ngTemplateOutlet]=\"bodySide === 'left' ? leftSide : rightSide\" [ngTemplateOutletContext]=\"{item: item}\"></ng-container>\n\n\n<ng-template #leftSide let-item=\"item\">\n    <label\n        [for]=\"item.id\"\n        class=\"is-option-label left-side\">\n        <fusion-checkbox\n            class=\"item-check\"\n            [id]=\"item.id\"\n            [isDisabled]=\"isDisabled\"\n            [checked]=\"isSelectedItem\"\n            (changed)=\"changeSelectedItem(item)\"\n        ></fusion-checkbox>\n        <ng-container [ngTemplateOutlet]=\"item?.content ? dynamicItem : optionTemplate\" [ngTemplateOutletContext]=\"{item: item}\">\n        </ng-container>\n    </label>\n</ng-template>\n\n\n<ng-template #rightSide let-item=\"item\" >\n    <label class=\"is-option-label right-side\">\n        <ng-container [ngTemplateOutlet]=\"item?.content ? dynamicItem : optionTemplate\" [ngTemplateOutletContext]=\"{item: item}\"></ng-container>\n        <fusion-icon *ngIf=\"!isDisabled\" (click)=\"clearSelectItem(item)\" class=\"icon-clear\" [name]=\"{iconName: 'close', iconVersion: 'v2'}\"></fusion-icon>\n    </label>\n</ng-template>\n\n\n<ng-template #dynamicItem let-item=\"item\">\n    <span class=\"dynamic-item\">\n        <fusion-dynamic-components [configuration]=\"item?.content\"></fusion-dynamic-components>\n    </span>\n</ng-template>\n\n\n<ng-template #optionTemplate let-item=\"item\">\n    <img [src]=\"item.image\" *ngIf=\"item.image\" alt=\"item-image\" />\n    <fusion-flag *ngIf=\"item.flag\" [name]=\"item.flag\"></fusion-flag>\n    <fusion-icon *ngIf=\"item.icon\" [name]=\"item.icon\" class=\"icon\"></fusion-icon>\n    <span class=\"fu-option-title truncate\" fusionTooltip=\"{{item.title || item.displayText}}\">{{item.title || item.displayText}}</span>\n</ng-template>\n", styles: [":host-context(.options-data-list) .is-option-label.right-side,:host-context(.options-data-list) .is-option-label.left-side{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host-context(.options-data-list) *{box-sizing:border-box}:host-context(.options-data-list) .is-option-label.right-side:hover,:host-context(.options-data-list) .is-option-label.left-side:hover{border-radius:5px;background-color:#f7f8f9}:host-context(.options-data-list) .is-option-label.right-side .fu-option-title.truncate,:host-context(.options-data-list) .is-option-label.left-side .fu-option-title.truncate{display:inline-block;white-space:nowrap;overflow:hidden;text-overflow:ellipsis}:host-context(.options-data-list) .is-option-label{position:relative}:host-context(.options-data-list) .is-option-label img{width:20px;height:20px;max-width:20px;border-radius:4px;vertical-align:middle;margin-right:1px;margin-top:-2px}:host-context(.options-data-list) .is-option-label fusion-icon.icon{margin-right:1px;padding:2px 2px 2px 3px;vertical-align:sub;display:inline-block}:host-context(.options-data-list) .is-option-label fusion-icon.icon ::ng-deep svg{width:12px;height:12px}:host-context(.options-data-list) .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--light-color-700, #95A6B8)}:host-context(.options-data-list) .is-option-label fusion-flag{margin-right:4px}:host-context(.options-data-list) .is-option-label .dynamic-item{display:inline-block}:host-context(.options-data-list) .is-option-label.left-side{padding:4px 4px 5px 5px;cursor:pointer;display:flex;justify-content:flex-start;align-items:center;width:249px;height:32px;margin-left:6px;margin-top:2px}:host-context(.options-data-list) .is-option-label.left-side .fu-option-title.truncate{width:190px}:host-context(.options-data-list) .is-option-label.left-side .item-check{margin-right:8px;line-height:0}:host-context(.options-data-list) .is-option-label.right-side{padding:4px 4px 5px 6px;cursor:pointer;display:flex;width:249px;height:32px;justify-content:flex-start;align-items:center;margin-left:3px;margin-top:2px}:host-context(.options-data-list) .is-option-label.right-side fusion-icon.icon-clear ::ng-deep svg{width:12px;height:12px}:host-context(.options-data-list) .is-option-label.right-side fusion-icon.icon-clear ::ng-deep svg *{fill:var(--light-color-700, #95A6B8)}:host-context(.options-data-list) .is-option-label.right-side .fu-option-title{line-height:20px}:host-context(.options-data-list) .is-option-label.right-side .fu-option-title.truncate{width:190px}:host-context(.options-data-list) .is-option-label.right-side fusion-icon.icon-clear{display:flex;justify-content:center;align-items:center;position:absolute;height:16px;width:16px;right:0;padding-right:4px}\n"] }]
    }], () => [], { bodySide: [{
            type: Input
        }], item: [{
            type: Input
        }], isDisabled: [{
            type: Input
        }], isSelectedItem: [{
            type: Input
        }], changeSelected: [{
            type: Output
        }], clearSelect: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownDualMultiSelectBodyItemComponent, { className: "DropdownDualMultiSelectBodyItemComponent", filePath: "components/dropdown-dual-multi-select-body/dropdown-dual-multi-select-body-item/dropdown-dual-multi-select-body-item.component.ts", lineNumber: 10 }); })();

const _c0$2 = ["wrapperLeft"];
const _c1 = ["containerLeft"];
const _c2 = ["wrapperRight"];
const _c3 = ["containerRight"];
function DropdownDualMultiSelectBodyComponent_label_4_Template(rf, ctx) { if (rf & 1) {
    const _r15 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "label", 19)(1, "fusion-checkbox", 20);
    i0.ɵɵlistener("changed", function DropdownDualMultiSelectBodyComponent_label_4_Template_fusion_checkbox_changed_1_listener($event) { i0.ɵɵrestoreView(_r15); const ctx_r14 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r14.selectAll($event)); });
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "span", 21);
    i0.ɵɵtext(4, "Select all");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("isIndeterminate", ctx_r0.isIndeterminate)("checked", ctx_r0.isAllSelected)("isDisabled", i0.ɵɵpipeBind1(2, 3, ctx_r0.isSelectAllDisabled$));
} }
function DropdownDualMultiSelectBodyComponent_div_10_Template(rf, ctx) { if (rf & 1) {
    const _r17 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵlistener("click", function DropdownDualMultiSelectBodyComponent_div_10_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r17); const ctx_r16 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r16.clearAll()); });
    i0.ɵɵtext(1, "Clear all");
    i0.ɵɵelementEnd();
} }
function DropdownDualMultiSelectBodyComponent_ul_15_li_2_Template(rf, ctx) { if (rf & 1) {
    const _r23 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li")(1, "fusion-dropdown-dual-multi-select-body-item", 26);
    i0.ɵɵlistener("changeSelected", function DropdownDualMultiSelectBodyComponent_ul_15_li_2_Template_fusion_dropdown_dual_multi_select_body_item_changeSelected_1_listener($event) { i0.ɵɵrestoreView(_r23); const ctx_r22 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r22.changeSelected($event)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const item_r21 = ctx.$implicit;
    const ctx_r19 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("isSelectedItem", ctx_r19.selectedItemsMapping[item_r21.id])("isDisabled", item_r21.isDisabled)("item", item_r21)("bodySide", "left");
} }
function DropdownDualMultiSelectBodyComponent_ul_15_ng_container_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 27);
} if (rf & 2) {
    i0.ɵɵnextContext(2);
    const _r11 = i0.ɵɵreference(26);
    i0.ɵɵproperty("ngTemplateOutlet", _r11);
} }
function DropdownDualMultiSelectBodyComponent_ul_15_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul", 23, 24);
    i0.ɵɵtemplate(2, DropdownDualMultiSelectBodyComponent_ul_15_li_2_Template, 2, 4, "li", 25);
    i0.ɵɵpipe(3, "async");
    i0.ɵɵtemplate(4, DropdownDualMultiSelectBodyComponent_ul_15_ng_container_4_Template, 1, 1, "ng-container", 15);
    i0.ɵɵpipe(5, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(3, 3, ctx_r3.displayOptions$))("ngForTrackBy", ctx_r3.trackById);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", i0.ɵɵpipeBind1(5, 5, ctx_r3.loadingLeft$));
} }
function DropdownDualMultiSelectBodyComponent_ul_19_li_2_Template(rf, ctx) { if (rf & 1) {
    const _r28 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li")(1, "fusion-dropdown-dual-multi-select-body-item", 29);
    i0.ɵɵlistener("clearSelect", function DropdownDualMultiSelectBodyComponent_ul_19_li_2_Template_fusion_dropdown_dual_multi_select_body_item_clearSelect_1_listener($event) { i0.ɵɵrestoreView(_r28); const ctx_r27 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r27.clearSelect($event)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const selectedItem_r26 = ctx.$implicit;
    i0.ɵɵadvance();
    i0.ɵɵproperty("isDisabled", selectedItem_r26.isDisabled)("item", selectedItem_r26)("bodySide", "right");
} }
function DropdownDualMultiSelectBodyComponent_ul_19_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "ul", 23, 28);
    i0.ɵɵtemplate(2, DropdownDualMultiSelectBodyComponent_ul_19_li_2_Template, 2, 3, "li", 25);
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(3, 2, ctx_r5.selectedOptions$))("ngForTrackBy", ctx_r5.trackById);
} }
function DropdownDualMultiSelectBodyComponent_ng_container_20_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 27);
} if (rf & 2) {
    i0.ɵɵnextContext();
    const _r9 = i0.ɵɵreference(24);
    i0.ɵɵproperty("ngTemplateOutlet", _r9);
} }
function DropdownDualMultiSelectBodyComponent_ng_container_22_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 27);
} if (rf & 2) {
    i0.ɵɵnextContext();
    const _r13 = i0.ɵɵreference(28);
    i0.ɵɵproperty("ngTemplateOutlet", _r13);
} }
function DropdownDualMultiSelectBodyComponent_ng_template_23_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 30);
    i0.ɵɵelement(1, "div", 31);
    i0.ɵɵelementStart(2, "div", 32);
    i0.ɵɵtext(3, "No results found");
    i0.ɵɵelementEnd()();
} }
function DropdownDualMultiSelectBodyComponent_ng_template_25_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 33)(1, "label", 34);
    i0.ɵɵtext(2, "Loading...");
    i0.ɵɵelementEnd();
    i0.ɵɵelement(3, "fusion-loader-inline", 35);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("status", true);
} }
function DropdownDualMultiSelectBodyComponent_ng_template_27_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 36);
    i0.ɵɵelement(1, "fusion-dropdown-dual-multi-select-loading", 37)(2, "fusion-dropdown-dual-multi-select-loading", 38);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    i0.ɵɵadvance();
    i0.ɵɵproperty("amount", 6)("position", "left");
    i0.ɵɵadvance();
    i0.ɵɵproperty("amount", 6)("position", "right");
} }
const _c4 = () => ({});
const PAGINATION_CHUNK = 20;
class DropdownDualMultiSelectBodyComponent {
    set items(data) {
        this.options$.next(data || []);
        this.isDisplayOptionAllDisabled(data);
    }
    set searchTerm(data) {
        this.searchTerm$.next(data);
    }
    set autoComplete(value) {
        this.autoComplete$.next(value);
    }
    set loadingLeft(value) {
        this.loadingLeft$.next(value);
    }
    constructor() {
        this.hasSelectAll = true;
        this.hasBackendPagination = false;
        this.scrollDown = new EventEmitter();
        this.isSelectAllDisabled$ = new BehaviorSubject(false);
        this.selectedControl = new FormControl([]);
        this.options$ = new BehaviorSubject([]);
        this.selectedItemsWorker$ = new BehaviorSubject([]);
        this.loadingLeft$ = new BehaviorSubject(false);
        this.selectedItemsMapping = {};
        this.isAllSelected = false;
        this.isIndeterminate = false;
        this.isNoFoundDataToDisplay = false;
        this.leftPagePagination$ = new BehaviorSubject(1);
        this.rightPagePagination$ = new BehaviorSubject(1);
        this.onDestroy$ = new Subject();
        this.searchTerm$ = new BehaviorSubject('');
        this.autoComplete$ = new BehaviorSubject(true);
        this.propagateChange = (_) => { };
        this.propagateTouched = () => { };
    }
    ngOnInit() {
        this.displayOptions$ = this.generateOptions('left').pipe(tap(val => {
            this.displayItemsAmount = val.length;
            this.isDisplayOptionsEmpty(val);
        }));
        this.selectedOptions$ = this.generateOptions('right').pipe(tap(val => {
            this.selectedItemsAmount = val?.length;
        }));
        this.initializeListeners();
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    selectAll(checked) {
        this.isAllSelected = checked;
        this.isIndeterminate = false;
        this.selectedControl.setValue(this.options$.getValue().filter(item => !item.isDisabled || this.selectedItemsMapping[item.id]));
        if (!checked) {
            this.clearAll();
        }
    }
    changeSelected(item) {
        if (!item.isDisabled) {
            const objSelectedIndex = this.getSelectedIndex(item);
            const tempSelected = this.selectedControl.value ? [...this.selectedControl.value] : [];
            if (objSelectedIndex > -1) {
                tempSelected.splice(objSelectedIndex, 1);
            }
            else {
                tempSelected.push(item);
            }
            this.selectedControl.setValue(tempSelected);
        }
    }
    clearSelect(item) {
        this.changeSelected(item);
    }
    clearAll() {
        const clearedList = this.selectedControl.value.filter(item => {
            return !!item.isDisabled;
        });
        this.selectedControl.setValue(clearedList);
    }
    showClearAllButton() {
        return (this.selectedItemsWorker$.getValue() && this.selectedItemsWorker$.getValue().length !== 0 && this.options$.getValue().length > 0);
    }
    trackById(index, item) {
        return item.id;
    }
    writeValue(value) {
        this.selectedControl.setValue(value);
    }
    registerOnChange(fn) {
        this.propagateChange = fn;
    }
    registerOnTouched(fn) {
        this.propagateTouched = fn;
    }
    setDisabledState(isDisabled) { }
    generateOptions(optionToDisplay) {
        const options$ = this.options$.asObservable();
        const term$ = this.autoComplete$.getValue() ? this.searchTerm$.asObservable() : of('');
        const leftPagePagination$ = this.getPaginationObservable('left');
        const rightPagePagination$ = this.getPaginationObservable('right');
        const selected$ = this.selectedItemsWorker$.asObservable();
        let conditionToDisplayOptions = optionToDisplay === 'left'
            ? { items$: options$, term$, pagination$: leftPagePagination$ }
            : { items$: selected$, term$, pagination$: rightPagePagination$ };
        return this.getOptionsDisplayObservable(conditionToDisplayOptions);
    }
    isItemsSelected(items) {
        this.selectedItemsMapping = items?.reduce((acc, crr) => {
            acc[crr.id] = true;
            return acc;
        }, {});
    }
    isDisplayOptionAllDisabled(items) {
        this.isSelectAllDisabled$.next(items.filter(item => item.isDisabled)?.length === items.length);
    }
    isDisplayOptionsEmpty(items) {
        this.isNoFoundDataToDisplay = items.length === 0 && this.options$.getValue()?.length !== 0;
    }
    getSelectedIndex(item) {
        let optionSelectedIndex = -1;
        let selectedList = this.selectedControl.value || [];
        selectedList.forEach((selectedItem, index) => {
            if (selectedItem.id === item.id) {
                optionSelectedIndex = index;
            }
        });
        return optionSelectedIndex;
    }
    initializeListeners() {
        const scrollLeft$ = this.onScrollChange({ wrapper: this.wrapperLeftRef, container: this.containerLeftRef });
        const scrollRight$ = this.onScrollChange({ wrapper: this.wrapperRightRef, container: this.containerRightRef });
        scrollLeft$.subscribe(this.onLeftScrollReachBottom.bind(this));
        scrollRight$.subscribe(this.onRightScrollReachBottom.bind(this));
        this.selectedControl.valueChanges.pipe(takeUntil(this.onDestroy$)).subscribe(this.onSelectedControlValueChange.bind(this));
    }
    onScrollChange({ wrapper, container }) {
        return fromEvent(wrapper.nativeElement, 'scroll').pipe(filter(_ => {
            const top = wrapper.nativeElement.scrollTop;
            const space = container.nativeElement.offsetHeight - this.wrapperLeftRef.nativeElement.offsetHeight - 10;
            return top >= space;
        }), debounceTime(10));
    }
    onSelectedControlValueChange(items) {
        this.isItemsSelected(items || []);
        this.selectedItemsWorker$.next(items || []);
        this.isIndeterminate = items?.length > 0 && items?.length < this.options$?.getValue().length;
        this.isAllSelected = this.isSelectAllDisabled$.getValue() ? this.isAllSelected : items?.length === this.options$?.getValue().length;
        this.propagateChange(items || []);
    }
    onLeftScrollReachBottom() {
        const isInputLengthLessThanTotalItem = this.options$.getValue()?.length < this.totalItems;
        const isDisplayLengthEqualInputLength = this.displayItemsAmount === this.options$?.getValue().length;
        const isDisplayLengthLessThanInputLength = this.displayItemsAmount < this.options$?.getValue().length;
        const isLoadingLeft = isDisplayLengthEqualInputLength && isInputLengthLessThanTotalItem;
        this.loadingLeft$.next(isLoadingLeft);
        if (isDisplayLengthLessThanInputLength) {
            this.leftPagePagination$.next(1);
        }
        if (isDisplayLengthEqualInputLength) {
            this.scrollDown.emit();
        }
    }
    onRightScrollReachBottom() {
        const isDisplaySelectedLengthLessThanSelectedWorkerLength = this.selectedItemsAmount < this.selectedItemsWorker$?.getValue().length;
        if (isDisplaySelectedLengthLessThanSelectedWorkerLength) {
            this.rightPagePagination$.next(1);
        }
    }
    getOptionsDisplayObservable({ items$, term$, pagination$ }) {
        return combineLatest([items$, term$, pagination$]).pipe(map(this.filterOptions.bind(this)));
    }
    filterOptions([items, term, pagination]) {
        let response = items;
        if (term && items) {
            const searchTerm = term.toLowerCase();
            response = items.filter(item => {
                if (Array.isArray(this.searchByProperties)) {
                    let found = false;
                    this.searchByProperties.forEach(property => {
                        if (!isNullOrUndefined(item[property]) && !found) {
                            found = item[property].toString().toLowerCase().indexOf(searchTerm) !== -1;
                        }
                    });
                    return found;
                }
                else {
                    if (item.title) {
                        return item.title.toLowerCase().indexOf(searchTerm) !== -1;
                    }
                    else {
                        return item.displayText.toLowerCase().indexOf(searchTerm) !== -1;
                    }
                }
            });
        }
        return response?.slice(0, pagination * PAGINATION_CHUNK);
    }
    getPaginationObservable(side) {
        return (side === 'left' ? this.leftPagePagination$ : this.rightPagePagination$).asObservable().pipe(scan((acc, curr) => {
            return curr ? (acc += curr) : 1;
        }, 0));
    }
    static { this.ɵfac = function DropdownDualMultiSelectBodyComponent_Factory(t) { return new (t || DropdownDualMultiSelectBodyComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownDualMultiSelectBodyComponent, selectors: [["fusion-dropdown-dual-multi-select-body"]], viewQuery: function DropdownDualMultiSelectBodyComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0$2, 7, ElementRef);
            i0.ɵɵviewQuery(_c1, 7, ElementRef);
            i0.ɵɵviewQuery(_c2, 7, ElementRef);
            i0.ɵɵviewQuery(_c3, 7, ElementRef);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.wrapperLeftRef = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.containerLeftRef = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.wrapperRightRef = _t.first);
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.containerRightRef = _t.first);
        } }, inputs: { totalItems: "totalItems", isPendingItems: "isPendingItems", hasSelectAll: "hasSelectAll", testId: "testId", items: "items", searchTerm: "searchTerm", autoComplete: "autoComplete", loadingLeft: "loadingLeft", hasBackendPagination: "hasBackendPagination", searchByProperties: "searchByProperties" }, outputs: { scrollDown: "scrollDown" }, features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownDualMultiSelectBodyComponent),
                    multi: true
                }
            ])], decls: 29, vars: 12, consts: [[1, "is-dropdown-dual-multi-select-body"], [1, "header-control"], [1, "content-col-left"], [1, "body-header"], ["class", "option-header-body", 4, "ngIf"], [1, "content-col-right"], [1, "fu-select-label"], ["class", "clear-all-btn", 3, "click", 4, "ngIf"], [1, "body-control"], [1, "options-wrapper", "content-col"], [1, "items-holder"], ["wrapperLeft", ""], ["class", "options-data-list", 4, "ngIf"], [1, "selected-list", "content-col"], ["wrapperRight", ""], [3, "ngTemplateOutlet", 4, "ngIf"], ["noData", ""], ["loadingTemplate", ""], ["pendingItems", ""], [1, "option-header-body"], [3, "isIndeterminate", "checked", "isDisabled", "changed"], [1, "fu-options-label"], [1, "clear-all-btn", 3, "click"], [1, "options-data-list"], ["containerLeft", ""], [4, "ngFor", "ngForOf", "ngForTrackBy"], [3, "isSelectedItem", "isDisabled", "item", "bodySide", "changeSelected"], [3, "ngTemplateOutlet"], ["containerRight", ""], [3, "isDisabled", "item", "bodySide", "clearSelect"], [1, "fu-no-data"], [1, "fu-no-data-img"], [1, "fu-no-data-text"], [1, "fu-content-loading"], [1, "loading-label"], [1, "loading-icon", 3, "status"], [1, "fu-multiselect-list-loader"], [1, "left-loading", 3, "amount", "position"], [1, "right-loading", 3, "amount", "position"]], template: function DropdownDualMultiSelectBodyComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0)(1, "div", 1)(2, "div", 2)(3, "div", 3);
            i0.ɵɵtemplate(4, DropdownDualMultiSelectBodyComponent_label_4_Template, 5, 5, "label", 4);
            i0.ɵɵelementEnd()();
            i0.ɵɵelementStart(5, "div", 5)(6, "div", 3)(7, "label", 6);
            i0.ɵɵtext(8);
            i0.ɵɵpipe(9, "objectLengthWhereValueTrue");
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(10, DropdownDualMultiSelectBodyComponent_div_10_Template, 2, 0, "div", 7);
            i0.ɵɵelementEnd()()();
            i0.ɵɵelementStart(11, "div", 8)(12, "div", 9)(13, "div", 10, 11);
            i0.ɵɵtemplate(15, DropdownDualMultiSelectBodyComponent_ul_15_Template, 6, 7, "ul", 12);
            i0.ɵɵelementEnd()();
            i0.ɵɵelementStart(16, "div", 13)(17, "div", 10, 14);
            i0.ɵɵtemplate(19, DropdownDualMultiSelectBodyComponent_ul_19_Template, 4, 4, "ul", 12);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(20, DropdownDualMultiSelectBodyComponent_ng_container_20_Template, 1, 1, "ng-container", 15);
            i0.ɵɵpipe(21, "async");
            i0.ɵɵtemplate(22, DropdownDualMultiSelectBodyComponent_ng_container_22_Template, 1, 1, "ng-container", 15);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(23, DropdownDualMultiSelectBodyComponent_ng_template_23_Template, 4, 0, "ng-template", null, 16, i0.ɵɵtemplateRefExtractor)(25, DropdownDualMultiSelectBodyComponent_ng_template_25_Template, 4, 1, "ng-template", null, 17, i0.ɵɵtemplateRefExtractor)(27, DropdownDualMultiSelectBodyComponent_ng_template_27_Template, 3, 4, "ng-template", null, 18, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            let tmp_5_0;
            i0.ɵɵadvance(4);
            i0.ɵɵproperty("ngIf", !ctx.isPendingItems && ctx.hasSelectAll);
            i0.ɵɵadvance(4);
            i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind1(9, 7, ctx.selectedItemsMapping ? ctx.selectedItemsMapping : i0.ɵɵpureFunction0(11, _c4)), " selected ");
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.showClearAllButton());
            i0.ɵɵadvance(5);
            i0.ɵɵproperty("ngIf", !ctx.isPendingItems);
            i0.ɵɵadvance(4);
            i0.ɵɵproperty("ngIf", !ctx.isPendingItems);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", (ctx.isNoFoundDataToDisplay || ((tmp_5_0 = i0.ɵɵpipeBind1(21, 9, ctx.options$)) == null ? null : tmp_5_0.length) === 0) && !ctx.isPendingItems);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.isPendingItems);
        } }, dependencies: [i1.NgForOf, i1.NgIf, i1.NgTemplateOutlet, i2.CheckboxComponent, i3$1.LoaderInlineComponent, DropdownDualMultiSelectLoadingComponent, DropdownDualMultiSelectBodyItemComponent, i1.AsyncPipe, i6$1.GetObjectLengthPipe], styles: ["[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .fu-no-data[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .options-wrapper[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]   .options-data-list[_ngcontent-%COMP%]   .fu-content-loading[_ngcontent-%COMP%]{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .selected-list[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .options-wrapper[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]{height:212px;max-height:212px;overflow-y:scroll;overflow-x:hidden}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .selected-list[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]::-webkit-scrollbar, [_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .options-wrapper[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]::-webkit-scrollbar{height:24px;width:4px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .selected-list[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]::-webkit-scrollbar-thumb, [_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .options-wrapper[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{border-radius:100px;background-color:var(--light-color, #E1E6EB)}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .options-wrapper[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]   .options-data-list[_ngcontent-%COMP%]   .fu-content-loading[_ngcontent-%COMP%]{display:flex;justify-content:space-between;padding:0 20px 8px;width:227px;height:16px;color:#e5e7e9}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]{display:block;align-items:center;height:245px;font-family:HelveticaNeue,helvetica,sans-serif}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]{display:flex;align-items:center}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]   .content-col-left[_ngcontent-%COMP%]{width:264px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]   .content-col-left[_ngcontent-%COMP%]   .body-header[_ngcontent-%COMP%]{height:32px;border-bottom:1px solid #e5e7e9;display:flex;align-items:center}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]   .content-col-left[_ngcontent-%COMP%]   .body-header[_ngcontent-%COMP%]   .option-header-body[_ngcontent-%COMP%]{font-size:12px;padding:2px;margin-left:9px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]   .content-col-left[_ngcontent-%COMP%]   .body-header[_ngcontent-%COMP%]   .option-header-body[_ngcontent-%COMP%]   .fu-options-label[_ngcontent-%COMP%]{margin:8px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]   .content-col-right[_ngcontent-%COMP%]{width:264px;border-left:1px solid #e5e7e9}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]   .content-col-right[_ngcontent-%COMP%]   .body-header[_ngcontent-%COMP%]{height:32px;border-bottom:1px solid #e5e7e9;display:flex;align-items:center;justify-content:space-between}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]   .content-col-right[_ngcontent-%COMP%]   .body-header[_ngcontent-%COMP%]   .fu-select-label[_ngcontent-%COMP%]{font-size:12px;padding:4px 4px 5px 10px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]   .content-col-right[_ngcontent-%COMP%]   .body-header[_ngcontent-%COMP%]   .clear-all-btn[_ngcontent-%COMP%]{margin-left:auto;text-decoration:underline;cursor:pointer;font-size:12px;padding-right:8px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .header-control[_ngcontent-%COMP%]   .content-col-right[_ngcontent-%COMP%]   .body-header[_ngcontent-%COMP%]   .clear-all-btn[_ngcontent-%COMP%]:hover{border-radius:5px;color:var(--primary-color, #3091F6)}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]{display:flex;align-items:center;background-color:#fff;position:relative}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .options-wrapper.content-col[_ngcontent-%COMP%]{height:213px;max-height:213px;width:264px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .options-wrapper[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]   .options-data-list[_ngcontent-%COMP%]{list-style:none;width:auto;margin:0;padding:0}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .options-wrapper[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]   .options-data-list[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{height:32px;width:254px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .selected-list[_ngcontent-%COMP%]{border-left:1px solid #e5e7e9}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .selected-list.content-col[_ngcontent-%COMP%]{height:213px;max-height:213px;width:264px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .selected-list[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]   .options-data-list[_ngcontent-%COMP%]{list-style:none;width:auto;margin:0;padding:0}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .selected-list[_ngcontent-%COMP%]   .items-holder[_ngcontent-%COMP%]   .options-data-list[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{height:32px;width:254px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .fu-no-data[_ngcontent-%COMP%]{position:absolute;background-color:#fff;width:528px;height:213px;max-height:213px;display:flex;flex-direction:column;justify-content:center;align-items:center;color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .fu-no-data[_ngcontent-%COMP%]   .fu-no-data-img[_ngcontent-%COMP%]{display:block;width:114px;height:85px;margin-bottom:11px;background:url(\"data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='115' height='87'%3e%3cdefs%3e%3clinearGradient id='a' x1='50%25' x2='50%25' y1='163.811%25' y2='1.562%25'%3e%3cstop offset='0%25' stop-color='%23FFF' stop-opacity='0'/%3e%3cstop offset='100%25' stop-color='%23EFEFF2'/%3e%3c/linearGradient%3e%3c/defs%3e%3cg fill='none' fill-rule='evenodd'%3e%3cpath fill='url(%23a)' d='M0 84.733h113.41C98.653 70.898 78.682 62.4 56.704 62.4S14.755 70.898 0 84.733' transform='translate(.311 .657)'/%3e%3cpath fill='%23DDDFE1' d='M66.739 71.825l-.177.106a4.97 4.97 0 01-6.803-1.695L46.712 48.581l8.68-5.187L68.44 65.05a4.928 4.928 0 01-1.7 6.775'/%3e%3cpath fill='%23F7F7F8' d='M42.259 49.512c-6.443 0-12.266-3.28-15.576-8.775-5.147-8.542-2.356-19.662 6.222-24.789a18.179 18.179 0 019.313-2.577c6.443 0 12.266 3.28 15.577 8.774a17.89 17.89 0 012.043 13.679 17.95 17.95 0 01-8.266 11.11 18.158 18.158 0 01-9.313 2.578'/%3e%3cpath fill='%23E5E7E9' d='M56.567 35.012c-.955 3.812-3.35 7.02-6.728 9.04a14.772 14.772 0 01-7.579 2.103c-5.25 0-9.995-2.674-12.687-7.146-4.192-6.953-1.917-16.01 5.064-20.184a14.782 14.782 0 017.579-2.094c5.25 0 9.995 2.666 12.687 7.138a14.586 14.586 0 011.664 11.143m4.117-14.596c-4.035-6.694-11.158-10.4-18.468-10.4a21.52 21.52 0 00-11.047 3.052c-10.19 6.091-13.486 19.247-7.377 29.395 4.035 6.693 11.159 10.406 18.467 10.406 3.767 0 7.579-.988 11.047-3.06 10.19-6.084 13.494-19.247 7.377-29.394'/%3e%3cpath fill='%23DDDFE1' d='M36.846 22.489l1.155 1.92c3.895-2.328 8.963-1.065 11.3 2.812l1.926-1.151c-2.974-4.934-9.426-6.541-14.381-3.58'/%3e%3cpath fill='%23DDDFE1' d='M43.767 25.526a5.588 5.588 0 00-4.251.631l1.156 1.92a3.337 3.337 0 012.55-.379c.873.217 1.609.76 2.072 1.527l1.927-1.15a5.578 5.578 0 00-3.454-2.55'/%3e%3cpath fill='%23E5E7E9' d='M69.961 5.742h-4.36V1.4h-2.248v4.342h-4.359V7.98h4.359v4.341h2.248V7.98h4.36zm1.265 11.636a.918.918 0 00-.919.914.918.918 0 001.837 0 .917.917 0 00-.918-.914m0 3.322a2.414 2.414 0 01-2.416-2.408 2.414 2.414 0 012.416-2.407 2.415 2.415 0 012.417 2.407 2.416 2.416 0 01-2.417 2.408M23.14 56.039c0 1.05-.854 1.9-1.908 1.9a1.903 1.903 0 01-1.907-1.9c0-1.048.854-1.9 1.907-1.9 1.054 0 1.908.852 1.908 1.9'/%3e%3c/g%3e%3c/svg%3e\") center center no-repeat}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .fu-multiselect-list-loader[_ngcontent-%COMP%]{position:absolute;display:flex}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-body[_ngcontent-%COMP%]   .body-control[_ngcontent-%COMP%]   .fu-multiselect-list-loader[_ngcontent-%COMP%]   .right-loading[_ngcontent-%COMP%]{margin-left:8px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectBodyComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-dual-multi-select-body', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownDualMultiSelectBodyComponent),
                        multi: true
                    }
                ], template: "<div class=\"is-dropdown-dual-multi-select-body\">\n    <div class=\"header-control\">\n        <div class=\"content-col-left\">\n            <div class=\"body-header\">\n                <label class=\"option-header-body\"*ngIf=\"!isPendingItems && hasSelectAll\">\n                    <fusion-checkbox\n                        [isIndeterminate]=\"isIndeterminate\"\n                        [checked]=\"isAllSelected\"\n                        (changed)=\"selectAll($event)\"\n                        [isDisabled]=\"isSelectAllDisabled$ | async\"\n                    ></fusion-checkbox>\n                    <span class=\"fu-options-label\">Select all</span>\n                </label>\n            </div>\n        </div>\n        <div class=\"content-col-right\">\n            <div class=\"body-header\">\n                <label class=\"fu-select-label\">\n                    {{(selectedItemsMapping ? selectedItemsMapping : {}) | objectLengthWhereValueTrue}} selected\n                </label>\n                <div\n                    *ngIf=\"showClearAllButton()\"\n                    (click)=\"clearAll()\" class=\"clear-all-btn\">Clear all</div>\n            </div>\n        </div>\n    </div>\n    <div class=\"body-control\">\n        <div class=\"options-wrapper content-col\">\n            <div class=\"items-holder\" #wrapperLeft>\n                <ul *ngIf=\"!isPendingItems\" class=\"options-data-list\" #containerLeft>\n                    <li *ngFor=\"let item of displayOptions$ | async;trackBy: trackById\">\n                        <fusion-dropdown-dual-multi-select-body-item\n                            [isSelectedItem]=\"selectedItemsMapping[item.id]\"\n                            [isDisabled]=\"item.isDisabled\"\n                            (changeSelected)=\"changeSelected($event)\"\n                            [item]=\"item\"\n                            [bodySide]=\"'left'\">\n                        </fusion-dropdown-dual-multi-select-body-item>\n                    </li>\n                    <ng-container *ngIf=\"loadingLeft$ | async\" [ngTemplateOutlet]=\"loadingTemplate\"> </ng-container>\n                </ul>\n            </div>\n        </div>\n        <div class=\"selected-list content-col\">\n            <div class=\"items-holder\" #wrapperRight>\n                <ul *ngIf=\"!isPendingItems\" class=\"options-data-list\" #containerRight>\n                    <li *ngFor=\"let selectedItem of selectedOptions$ | async;trackBy: trackById\">\n                        <fusion-dropdown-dual-multi-select-body-item\n                            (clearSelect)=\"clearSelect($event)\"\n                            [isDisabled]=\"selectedItem.isDisabled\"\n                            [item]=\"selectedItem\"\n                            [bodySide]=\"'right'\">\n                        </fusion-dropdown-dual-multi-select-body-item>\n                    </li>\n                </ul>\n            </div>\n        </div>\n        <ng-container *ngIf=\"(isNoFoundDataToDisplay || (options$ | async)?.length === 0) && !isPendingItems\" [ngTemplateOutlet]=\"noData\"> </ng-container>\n        <ng-container *ngIf=\"isPendingItems\" [ngTemplateOutlet]=\"pendingItems\"> </ng-container>\n    </div>\n</div>\n\n\n<ng-template #noData>\n    <div class=\"fu-no-data\">\n        <div class=\"fu-no-data-img\"></div>\n        <div class=\"fu-no-data-text\">No results found</div>\n    </div>\n</ng-template>\n\n<ng-template #loadingTemplate>\n    <li class=\"fu-content-loading\">\n        <label class=\"loading-label\">Loading...</label>\n        <fusion-loader-inline class=\"loading-icon\" [status]=\"true\"></fusion-loader-inline>\n    </li>\n</ng-template>\n\n<ng-template #pendingItems>\n    <div class=\"fu-multiselect-list-loader\">\n        <fusion-dropdown-dual-multi-select-loading class=\"left-loading\" [amount]=\"6\" [position]=\"'left'\"></fusion-dropdown-dual-multi-select-loading>\n        <fusion-dropdown-dual-multi-select-loading class=\"right-loading\" [amount]=\"6\" [position]=\"'right'\"></fusion-dropdown-dual-multi-select-loading>\n    </div>\n</ng-template>\n", styles: [":host .is-dropdown-dual-multi-select-body .body-control .fu-no-data,:host .is-dropdown-dual-multi-select-body .body-control .options-wrapper .items-holder .options-data-list .fu-content-loading{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host .is-dropdown-dual-multi-select-body *{box-sizing:border-box}:host .is-dropdown-dual-multi-select-body .body-control .selected-list .items-holder,:host .is-dropdown-dual-multi-select-body .body-control .options-wrapper .items-holder{height:212px;max-height:212px;overflow-y:scroll;overflow-x:hidden}:host .is-dropdown-dual-multi-select-body .body-control .selected-list .items-holder::-webkit-scrollbar,:host .is-dropdown-dual-multi-select-body .body-control .options-wrapper .items-holder::-webkit-scrollbar{height:24px;width:4px}:host .is-dropdown-dual-multi-select-body .body-control .selected-list .items-holder::-webkit-scrollbar-thumb,:host .is-dropdown-dual-multi-select-body .body-control .options-wrapper .items-holder::-webkit-scrollbar-thumb{border-radius:100px;background-color:var(--light-color, #E1E6EB)}:host .is-dropdown-dual-multi-select-body .body-control .options-wrapper .items-holder .options-data-list .fu-content-loading{display:flex;justify-content:space-between;padding:0 20px 8px;width:227px;height:16px;color:#e5e7e9}:host .is-dropdown-dual-multi-select-body{display:block;align-items:center;height:245px;font-family:HelveticaNeue,helvetica,sans-serif}:host .is-dropdown-dual-multi-select-body .header-control{display:flex;align-items:center}:host .is-dropdown-dual-multi-select-body .header-control .content-col-left{width:264px}:host .is-dropdown-dual-multi-select-body .header-control .content-col-left .body-header{height:32px;border-bottom:1px solid #e5e7e9;display:flex;align-items:center}:host .is-dropdown-dual-multi-select-body .header-control .content-col-left .body-header .option-header-body{font-size:12px;padding:2px;margin-left:9px}:host .is-dropdown-dual-multi-select-body .header-control .content-col-left .body-header .option-header-body .fu-options-label{margin:8px}:host .is-dropdown-dual-multi-select-body .header-control .content-col-right{width:264px;border-left:1px solid #e5e7e9}:host .is-dropdown-dual-multi-select-body .header-control .content-col-right .body-header{height:32px;border-bottom:1px solid #e5e7e9;display:flex;align-items:center;justify-content:space-between}:host .is-dropdown-dual-multi-select-body .header-control .content-col-right .body-header .fu-select-label{font-size:12px;padding:4px 4px 5px 10px}:host .is-dropdown-dual-multi-select-body .header-control .content-col-right .body-header .clear-all-btn{margin-left:auto;text-decoration:underline;cursor:pointer;font-size:12px;padding-right:8px}:host .is-dropdown-dual-multi-select-body .header-control .content-col-right .body-header .clear-all-btn:hover{border-radius:5px;color:var(--primary-color, #3091F6)}:host .is-dropdown-dual-multi-select-body .body-control{display:flex;align-items:center;background-color:#fff;position:relative}:host .is-dropdown-dual-multi-select-body .body-control .options-wrapper.content-col{height:213px;max-height:213px;width:264px}:host .is-dropdown-dual-multi-select-body .body-control .options-wrapper .items-holder .options-data-list{list-style:none;width:auto;margin:0;padding:0}:host .is-dropdown-dual-multi-select-body .body-control .options-wrapper .items-holder .options-data-list li{height:32px;width:254px}:host .is-dropdown-dual-multi-select-body .body-control .selected-list{border-left:1px solid #e5e7e9}:host .is-dropdown-dual-multi-select-body .body-control .selected-list.content-col{height:213px;max-height:213px;width:264px}:host .is-dropdown-dual-multi-select-body .body-control .selected-list .items-holder .options-data-list{list-style:none;width:auto;margin:0;padding:0}:host .is-dropdown-dual-multi-select-body .body-control .selected-list .items-holder .options-data-list li{height:32px;width:254px}:host .is-dropdown-dual-multi-select-body .body-control .fu-no-data{position:absolute;background-color:#fff;width:528px;height:213px;max-height:213px;display:flex;flex-direction:column;justify-content:center;align-items:center;color:var(--light-color-800, #678099)}:host .is-dropdown-dual-multi-select-body .body-control .fu-no-data .fu-no-data-img{display:block;width:114px;height:85px;margin-bottom:11px;background:url(\"data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' width='115' height='87'%3e%3cdefs%3e%3clinearGradient id='a' x1='50%25' x2='50%25' y1='163.811%25' y2='1.562%25'%3e%3cstop offset='0%25' stop-color='%23FFF' stop-opacity='0'/%3e%3cstop offset='100%25' stop-color='%23EFEFF2'/%3e%3c/linearGradient%3e%3c/defs%3e%3cg fill='none' fill-rule='evenodd'%3e%3cpath fill='url(%23a)' d='M0 84.733h113.41C98.653 70.898 78.682 62.4 56.704 62.4S14.755 70.898 0 84.733' transform='translate(.311 .657)'/%3e%3cpath fill='%23DDDFE1' d='M66.739 71.825l-.177.106a4.97 4.97 0 01-6.803-1.695L46.712 48.581l8.68-5.187L68.44 65.05a4.928 4.928 0 01-1.7 6.775'/%3e%3cpath fill='%23F7F7F8' d='M42.259 49.512c-6.443 0-12.266-3.28-15.576-8.775-5.147-8.542-2.356-19.662 6.222-24.789a18.179 18.179 0 019.313-2.577c6.443 0 12.266 3.28 15.577 8.774a17.89 17.89 0 012.043 13.679 17.95 17.95 0 01-8.266 11.11 18.158 18.158 0 01-9.313 2.578'/%3e%3cpath fill='%23E5E7E9' d='M56.567 35.012c-.955 3.812-3.35 7.02-6.728 9.04a14.772 14.772 0 01-7.579 2.103c-5.25 0-9.995-2.674-12.687-7.146-4.192-6.953-1.917-16.01 5.064-20.184a14.782 14.782 0 017.579-2.094c5.25 0 9.995 2.666 12.687 7.138a14.586 14.586 0 011.664 11.143m4.117-14.596c-4.035-6.694-11.158-10.4-18.468-10.4a21.52 21.52 0 00-11.047 3.052c-10.19 6.091-13.486 19.247-7.377 29.395 4.035 6.693 11.159 10.406 18.467 10.406 3.767 0 7.579-.988 11.047-3.06 10.19-6.084 13.494-19.247 7.377-29.394'/%3e%3cpath fill='%23DDDFE1' d='M36.846 22.489l1.155 1.92c3.895-2.328 8.963-1.065 11.3 2.812l1.926-1.151c-2.974-4.934-9.426-6.541-14.381-3.58'/%3e%3cpath fill='%23DDDFE1' d='M43.767 25.526a5.588 5.588 0 00-4.251.631l1.156 1.92a3.337 3.337 0 012.55-.379c.873.217 1.609.76 2.072 1.527l1.927-1.15a5.578 5.578 0 00-3.454-2.55'/%3e%3cpath fill='%23E5E7E9' d='M69.961 5.742h-4.36V1.4h-2.248v4.342h-4.359V7.98h4.359v4.341h2.248V7.98h4.36zm1.265 11.636a.918.918 0 00-.919.914.918.918 0 001.837 0 .917.917 0 00-.918-.914m0 3.322a2.414 2.414 0 01-2.416-2.408 2.414 2.414 0 012.416-2.407 2.415 2.415 0 012.417 2.407 2.416 2.416 0 01-2.417 2.408M23.14 56.039c0 1.05-.854 1.9-1.908 1.9a1.903 1.903 0 01-1.907-1.9c0-1.048.854-1.9 1.907-1.9 1.054 0 1.908.852 1.908 1.9'/%3e%3c/g%3e%3c/svg%3e\") center center no-repeat}:host .is-dropdown-dual-multi-select-body .body-control .fu-multiselect-list-loader{position:absolute;display:flex}:host .is-dropdown-dual-multi-select-body .body-control .fu-multiselect-list-loader .right-loading{margin-left:8px}\n"] }]
    }], () => [], { wrapperLeftRef: [{
            type: ViewChild,
            args: ['wrapperLeft', { read: ElementRef, static: true }]
        }], containerLeftRef: [{
            type: ViewChild,
            args: ['containerLeft', { read: ElementRef, static: true }]
        }], wrapperRightRef: [{
            type: ViewChild,
            args: ['wrapperRight', { read: ElementRef, static: true }]
        }], containerRightRef: [{
            type: ViewChild,
            args: ['containerRight', { read: ElementRef, static: true }]
        }], totalItems: [{
            type: Input
        }], isPendingItems: [{
            type: Input
        }], hasSelectAll: [{
            type: Input
        }], testId: [{
            type: Input
        }], items: [{
            type: Input
        }], searchTerm: [{
            type: Input
        }], autoComplete: [{
            type: Input
        }], loadingLeft: [{
            type: Input
        }], hasBackendPagination: [{
            type: Input
        }], searchByProperties: [{
            type: Input
        }], scrollDown: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownDualMultiSelectBodyComponent, { className: "DropdownDualMultiSelectBodyComponent", filePath: "components/dropdown-dual-multi-select-body/dropdown-dual-multi-select-body.component.ts", lineNumber: 33 }); })();

const _c0$1 = a1 => ({ rounded: true, size: a1 });
class DropdownDualMultiSelectHeaderComponent {
    constructor() {
        this.inputSize = InputSize;
        this.searchControl = new FormControl();
        this.onDestroy$ = new Subject();
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    writeValue(value) {
        this.searchControl.patchValue(value, { emitEvent: false });
    }
    registerOnChange(fn) {
        this.searchControl.valueChanges.pipe(takeUntil(this.onDestroy$), debounceTime(150), distinctUntilChanged()).subscribe(fn);
    }
    registerOnTouched() { }
    static { this.ɵfac = function DropdownDualMultiSelectHeaderComponent_Factory(t) { return new (t || DropdownDualMultiSelectHeaderComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownDualMultiSelectHeaderComponent, selectors: [["fusion-dropdown-dual-multi-select-header"]], inputs: { title: "title", testId: "testId" }, features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownDualMultiSelectHeaderComponent),
                    multi: true
                }
            ])], decls: 5, vars: 7, consts: [[1, "is-dropdown-dual-multi-select-header"], [1, "fu-label"], [1, "fu-search-bar"], ["showSearchIcon", "right", "placeholder", "Search", 3, "options", "showSearchIconWhenHasInputValue", "clear", "formControl"]], template: function DropdownDualMultiSelectHeaderComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0)(1, "span", 1);
            i0.ɵɵtext(2);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(3, "span", 2);
            i0.ɵɵelement(4, "fusion-input", 3);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵadvance(2);
            i0.ɵɵtextInterpolate1(" ", ctx.title, " ");
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("options", i0.ɵɵpureFunction1(5, _c0$1, ctx.inputSize.Medium))("showSearchIconWhenHasInputValue", true)("clear", true)("formControl", ctx.searchControl);
        } }, dependencies: [i1$1.InputComponent, i2$1.NgControlStatus, i2$1.FormControlDirective], styles: ["[_nghost-%COMP%]   .is-dropdown-dual-multi-select-header[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-header[_ngcontent-%COMP%]{height:48px;width:528px;border-bottom:1px solid #e5e7e9;display:grid;grid-template-columns:1fr 1fr;align-items:center}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-header[_ngcontent-%COMP%]   .fu-search-bar[_ngcontent-%COMP%]{padding:0 8px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-header[_ngcontent-%COMP%]   .fu-label[_ngcontent-%COMP%]{font-size:13px;padding-left:9px;font-family:NHaasGroteskDSPro-75Bd,sans-serif;font-weight:900}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectHeaderComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-dual-multi-select-header', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownDualMultiSelectHeaderComponent),
                        multi: true
                    }
                ], template: "<div class=\"is-dropdown-dual-multi-select-header\">\n    <span class=\"fu-label\">\n        {{title}}\n    </span>\n\n    <span class=\"fu-search-bar\">\n        <fusion-input\n            showSearchIcon=\"right\"\n            placeholder=\"Search\"\n            [options]=\"{rounded: true, size: inputSize.Medium}\"\n            [showSearchIconWhenHasInputValue]=\"true\"\n            [clear]=\"true\"\n            [formControl]=\"searchControl\">\n        </fusion-input>\n    </span>\n</div>\n", styles: [":host .is-dropdown-dual-multi-select-header *{box-sizing:border-box}:host .is-dropdown-dual-multi-select-header{height:48px;width:528px;border-bottom:1px solid #e5e7e9;display:grid;grid-template-columns:1fr 1fr;align-items:center}:host .is-dropdown-dual-multi-select-header .fu-search-bar{padding:0 8px}:host .is-dropdown-dual-multi-select-header .fu-label{font-size:13px;padding-left:9px;font-family:NHaasGroteskDSPro-75Bd,sans-serif;font-weight:900}\n"] }]
    }], () => [], { title: [{
            type: Input
        }], testId: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownDualMultiSelectHeaderComponent, { className: "DropdownDualMultiSelectHeaderComponent", filePath: "components/dropdown-dual-multi-select-header/dropdown-dual-multi-select-header.component.ts", lineNumber: 20 }); })();

class DropdownDualMultiSelectFooterComponent {
    constructor() {
        this.applySelect = new EventEmitter();
        this.closeSelect = new EventEmitter();
    }
    applySelectItems(close) {
        this.applySelect.emit(close);
    }
    closeSelectItems() {
        this.closeSelect.emit();
    }
    static { this.ɵfac = function DropdownDualMultiSelectFooterComponent_Factory(t) { return new (t || DropdownDualMultiSelectFooterComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownDualMultiSelectFooterComponent, selectors: [["fusion-dropdown-dual-multi-select-footer"]], inputs: { testId: "testId" }, outputs: { applySelect: "applySelect", closeSelect: "closeSelect" }, decls: 7, vars: 0, consts: [[1, "is-dropdown-dual-multi-select-footer"], ["fusion-button", "", 1, "transparent", "secondary", 3, "click"], ["fusion-button", "", 1, "transparent", "primary", 3, "click"]], template: function DropdownDualMultiSelectFooterComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0)(1, "button", 1);
            i0.ɵɵlistener("click", function DropdownDualMultiSelectFooterComponent_Template_button_click_1_listener() { return ctx.closeSelectItems(); });
            i0.ɵɵelementStart(2, "span");
            i0.ɵɵtext(3, "Cancel");
            i0.ɵɵelementEnd()();
            i0.ɵɵelementStart(4, "button", 2);
            i0.ɵɵlistener("click", function DropdownDualMultiSelectFooterComponent_Template_button_click_4_listener() { return ctx.applySelectItems(true); });
            i0.ɵɵelementStart(5, "span");
            i0.ɵɵtext(6, "Apply");
            i0.ɵɵelementEnd()()();
        } }, dependencies: [i1$2.ButtonComponent], styles: ["[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-footer[_ngcontent-%COMP%]{border-top:1px solid #e5e7e9;width:528px;height:47px;padding:0 8px;display:flex;justify-content:flex-end;align-items:center}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-footer[_ngcontent-%COMP%]   .primary[_ngcontent-%COMP%]{margin-right:8px;font-weight:900}[_nghost-%COMP%]   .is-dropdown-dual-multi-select-footer[_ngcontent-%COMP%]   .secondary[_ngcontent-%COMP%]{margin-right:8px;font-weight:900}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectFooterComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-dual-multi-select-footer', changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"is-dropdown-dual-multi-select-footer\">\n    <button fusion-button class=\"transparent secondary\" (click)=\"closeSelectItems()\">\n        <span>Cancel</span>\n    </button>\n    <button fusion-button class=\"transparent primary\" (click)=\"applySelectItems(true)\">\n        <span>Apply</span>\n    </button>\n</div>\n", styles: [":host *{box-sizing:border-box}:host .is-dropdown-dual-multi-select-footer{border-top:1px solid #e5e7e9;width:528px;height:47px;padding:0 8px;display:flex;justify-content:flex-end;align-items:center}:host .is-dropdown-dual-multi-select-footer .primary{margin-right:8px;font-weight:900}:host .is-dropdown-dual-multi-select-footer .secondary{margin-right:8px;font-weight:900}\n"] }]
    }], () => [], { testId: [{
            type: Input
        }], applySelect: [{
            type: Output
        }], closeSelect: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownDualMultiSelectFooterComponent, { className: "DropdownDualMultiSelectFooterComponent", filePath: "components/dropdown-dual-multi-select-footer/dropdown-dual-multi-select-footer.component.ts", lineNumber: 9 }); })();

function DropdownDualMultiSelectComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0);
} }
function DropdownDualMultiSelectComponent_div_3_Template(rf, ctx) { if (rf & 1) {
    const _r14 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 8, 9);
    i0.ɵɵlistener("click", function DropdownDualMultiSelectComponent_div_3_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r14); const ctx_r13 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r13.onClickDualMultiSelectButton()); });
    i0.ɵɵelementContainer(2, 10);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r1.templateRef);
} }
function DropdownDualMultiSelectComponent_ng_template_4_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 10);
} if (rf & 2) {
    const ctx_r15 = i0.ɵɵnextContext(2);
    const _r7 = i0.ɵɵreference(9);
    const _r5 = i0.ɵɵreference(7);
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r15.dynamicPlaceholder ? _r7 : _r5);
} }
function DropdownDualMultiSelectComponent_ng_template_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 11);
    i0.ɵɵtemplate(1, DropdownDualMultiSelectComponent_ng_template_4_ng_container_1_Template, 1, 1, "ng-container", 12);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r2.templateRef);
} }
const _c0 = () => ({ iconName: "angle-down", iconVersion: "v3" });
function DropdownDualMultiSelectComponent_ng_template_6_Template(rf, ctx) { if (rf & 1) {
    const _r17 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 13);
    i0.ɵɵlistener("click", function DropdownDualMultiSelectComponent_ng_template_6_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r17); const ctx_r16 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r16.onClickDualMultiSelectButton()); });
    i0.ɵɵelementStart(1, "span", 14);
    i0.ɵɵtext(2);
    i0.ɵɵpipe(3, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(4, "i", 15);
    i0.ɵɵelement(5, "fusion-icon", 16);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("btn-disabled", ctx_r4.isDisabled);
    i0.ɵɵproperty("id", ctx_r4.uid + "-button-regular");
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", i0.ɵɵpipeBind1(3, 5, ctx_r4.placeholder$), " ");
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("name", i0.ɵɵpureFunction0(7, _c0));
} }
function DropdownDualMultiSelectComponent_ng_template_8_Template(rf, ctx) { if (rf & 1) {
    const _r19 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 13);
    i0.ɵɵlistener("click", function DropdownDualMultiSelectComponent_ng_template_8_Template_div_click_0_listener() { i0.ɵɵrestoreView(_r19); const ctx_r18 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r18.onClickDualMultiSelectButton()); });
    i0.ɵɵelementStart(1, "span", 14);
    i0.ɵɵelement(2, "fusion-dynamic-components", 17);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("btn-disabled", ctx_r6.isDisabled);
    i0.ɵɵproperty("id", ctx_r6.uid + "-button-dynamic");
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("configuration", ctx_r6.dynamicPlaceholder);
} }
function DropdownDualMultiSelectComponent_ng_template_10_Template(rf, ctx) { if (rf & 1) {
    const _r21 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 18);
    i0.ɵɵlistener("fusionClickOutside", function DropdownDualMultiSelectComponent_ng_template_10_Template_div_fusionClickOutside_0_listener($event) { i0.ɵɵrestoreView(_r21); const ctx_r20 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r20.onOutsideClick($event)); });
    i0.ɵɵelement(1, "fusion-dropdown-dual-multi-select-header", 19);
    i0.ɵɵelementStart(2, "fusion-dropdown-dual-multi-select-body", 20);
    i0.ɵɵlistener("scrollDown", function DropdownDualMultiSelectComponent_ng_template_10_Template_fusion_dropdown_dual_multi_select_body_scrollDown_2_listener() { i0.ɵɵrestoreView(_r21); const ctx_r22 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r22.onScrollDown()); });
    i0.ɵɵpipe(3, "async");
    i0.ɵɵpipe(4, "async");
    i0.ɵɵpipe(5, "async");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(6, "fusion-dropdown-dual-multi-select-footer", 21);
    i0.ɵɵlistener("closeSelect", function DropdownDualMultiSelectComponent_ng_template_10_Template_fusion_dropdown_dual_multi_select_footer_closeSelect_6_listener() { i0.ɵɵrestoreView(_r21); const ctx_r23 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r23.closeDropdownDualSelect()); })("applySelect", function DropdownDualMultiSelectComponent_ng_template_10_Template_fusion_dropdown_dual_multi_select_footer_applySelect_6_listener($event) { i0.ɵɵrestoreView(_r21); const ctx_r24 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r24.applySelect($event)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("fu-options-position-left", ctx_r8.isPositionLeft);
    i0.ɵɵadvance();
    i0.ɵɵproperty("formControl", ctx_r8.searchControlTerm)("title", ctx_r8.title)("testId", ctx_r8.testId);
    i0.ɵɵadvance();
    i0.ɵɵproperty("autoComplete", ctx_r8.autoComplete)("formControl", ctx_r8.preSelectedItems)("searchTerm", i0.ɵɵpipeBind1(3, 17, ctx_r8.searchControlTerm.valueChanges))("searchByProperties", ctx_r8.searchByProperties)("totalItems", ctx_r8.totalItems)("items", i0.ɵɵpipeBind1(4, 19, ctx_r8.items$))("isPendingItems", ctx_r8.pendingItems)("hasSelectAll", ctx_r8.hasSelectAll)("loadingLeft", i0.ɵɵpipeBind1(5, 21, ctx_r8.loadingLeft$))("hasBackendPagination", ctx_r8.hasBackendPagination)("testId", ctx_r8.testId);
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("testId", ctx_r8.testId);
} }
function DropdownDualMultiSelectComponent_ng_template_12_span_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 25);
    i0.ɵɵpipe(1, "generic");
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r25 = i0.ɵɵnextContext(2);
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(1, 2, ctx_r25.testIdsService.getTestAttribute.bind(ctx_r25), ctx_r25.testId, ctx_r25.testIdIncludeExcludeModifiers.CHIP_FILTER_LABEL));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r25.title + ": ");
} }
function DropdownDualMultiSelectComponent_ng_template_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 22)(1, "div", 23);
    i0.ɵɵtemplate(2, DropdownDualMultiSelectComponent_ng_template_12_span_2_Template, 3, 6, "span", 24);
    i0.ɵɵelementStart(3, "span");
    i0.ɵɵpipe(4, "generic");
    i0.ɵɵtext(5);
    i0.ɵɵpipe(6, "async");
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", ctx_r10.chipDefaultContent);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r10.title);
    i0.ɵɵadvance();
    i0.ɵɵattribute("data-testid", i0.ɵɵpipeBind3(4, 4, ctx_r10.testIdsService.getTestAttribute.bind(ctx_r10), ctx_r10.testId, ctx_r10.testIdIncludeExcludeModifiers.CHIP_FILTER_VALUE));
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(i0.ɵɵpipeBind1(6, 8, ctx_r10.selected$));
} }
class DropdownDualMultiSelectComponent extends DropdownDualMultiSelectBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownDualMultiSelectComponent_BaseFactory; return function DropdownDualMultiSelectComponent_Factory(t) { return (ɵDropdownDualMultiSelectComponent_BaseFactory || (ɵDropdownDualMultiSelectComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownDualMultiSelectComponent)))(t || DropdownDualMultiSelectComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownDualMultiSelectComponent, selectors: [["fusion-dropdown-dual-multi-select"]], features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownDualMultiSelectComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 14, vars: 5, consts: [[1, "is-dropdown-dual-multi-select", 3, "id"], [4, "ngTemplateOutlet"], [3, "click", 4, "ngIf"], ["dropdownDualMultiSelectButton", ""], ["regularDropdownDualMultiSelectButton", ""], ["dynamicDropdownDualMultiSelectButton", ""], ["dropdownDualMultiSelectLayout", ""], ["chipContent", ""], [3, "click"], ["trigger", ""], [3, "ngTemplateOutlet"], [1, "dropdown-dual-multi-select-button"], [3, "ngTemplateOutlet", 4, "ngIf"], [1, "dual-select-button", 3, "id", "click"], [1, "fu-dual-multi-select-placeholder"], [1, "icon", "right"], [3, "name"], [3, "configuration"], [1, "dropdown-dual-multi-select-layout", 3, "fusionClickOutside"], [3, "formControl", "title", "testId"], [3, "autoComplete", "formControl", "searchTerm", "searchByProperties", "totalItems", "items", "isPendingItems", "hasSelectAll", "loadingLeft", "hasBackendPagination", "testId", "scrollDown"], [3, "testId", "closeSelect", "applySelect"], [1, "fu-chip-content-default"], [1, "truncate", "fu-chip-text", 3, "fusionTooltip"], ["class", "fu-chip-label", 4, "ngIf"], [1, "fu-chip-label"]], template: function DropdownDualMultiSelectComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, DropdownDualMultiSelectComponent_ng_container_1_Template, 1, 0, "ng-container", 1);
            i0.ɵɵpipe(2, "async");
            i0.ɵɵtemplate(3, DropdownDualMultiSelectComponent_div_3_Template, 3, 1, "div", 2);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(4, DropdownDualMultiSelectComponent_ng_template_4_Template, 2, 1, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor)(6, DropdownDualMultiSelectComponent_ng_template_6_Template, 6, 8, "ng-template", null, 4, i0.ɵɵtemplateRefExtractor)(8, DropdownDualMultiSelectComponent_ng_template_8_Template, 3, 4, "ng-template", null, 5, i0.ɵɵtemplateRefExtractor)(10, DropdownDualMultiSelectComponent_ng_template_10_Template, 7, 23, "ng-template", null, 6, i0.ɵɵtemplateRefExtractor)(12, DropdownDualMultiSelectComponent_ng_template_12_Template, 7, 10, "ng-template", null, 7, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            const _r3 = i0.ɵɵreference(5);
            const _r9 = i0.ɵɵreference(11);
            i0.ɵɵproperty("id", ctx.uid);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngTemplateOutlet", i0.ɵɵpipeBind1(2, 3, ctx.opened$) ? _r9 : _r3);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngIf", ctx.templateRef);
        } }, dependencies: [i1.NgIf, i1.NgTemplateOutlet, i5.TooltipDirective, i3.IconComponent, i2$1.NgControlStatus, i2$1.FormControlDirective, i5$1.ClickOutsideDirective, i6.DynamicComponentsComponent, DropdownDualMultiSelectBodyComponent, DropdownDualMultiSelectHeaderComponent, DropdownDualMultiSelectFooterComponent, i1.AsyncPipe, i10.GenericPipe], styles: ["[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]   .dual-select-button[_ngcontent-%COMP%]   i.icon.right[_ngcontent-%COMP%]{right:10px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]{position:relative;text-align:left}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-layout.fu-options-position-left[_ngcontent-%COMP%]{right:0;left:inherit}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-layout[_ngcontent-%COMP%]{animation:fadeIn .6s 1 ease-out;z-index:1000;position:absolute;background-color:#fff;color:#7b838c;box-shadow:0 2px 4px #00000026;border-radius:8px;overflow:hidden;width:528px;max-width:528px;height:340px;max-height:340px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]{cursor:pointer;max-width:200px;font-size:12px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]   .dual-select-button[_ngcontent-%COMP%]{width:100%;height:32px;cursor:pointer;border:1px solid #dddfe1;border-radius:100px;padding:0 6px 0 11px;background:#fff;color:#7b838c;display:flex;align-items:center;justify-content:space-between;-webkit-user-select:none;user-select:none;position:relative}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]   .dual-select-button[_ngcontent-%COMP%]   .fu-dual-multi-select-placeholder[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]   .dual-select-button[_ngcontent-%COMP%]:hover{border-color:#a9afb4}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]   .dual-select-button.btn-disabled[_ngcontent-%COMP%]{cursor:not-allowed}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]   .dual-select-button.btn-disabled[_ngcontent-%COMP%]:hover{border-color:#dddfe1}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]   .dual-select-button[_ngcontent-%COMP%]   i.icon[_ngcontent-%COMP%]{position:absolute}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]   .dual-select-button[_ngcontent-%COMP%]   i.icon[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg{width:8px;height:8px}[_nghost-%COMP%]   .is-dropdown-dual-multi-select[_ngcontent-%COMP%]   .dropdown-dual-multi-select-button[_ngcontent-%COMP%]   .dual-select-button[_ngcontent-%COMP%]   i.icon[_ngcontent-%COMP%]   fusion-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-dual-multi-select', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownDualMultiSelectComponent),
                        multi: true
                    }
                ], template: "<div [id]=\"uid\" class=\"is-dropdown-dual-multi-select\">\n    <ng-container *ngTemplateOutlet=\"(opened$ | async) ? dropdownDualMultiSelectLayout : dropdownDualMultiSelectButton\"></ng-container>\n    <div *ngIf=\"templateRef\" #trigger  (click)=\"onClickDualMultiSelectButton()\">\n        <ng-container [ngTemplateOutlet]=\"templateRef\"></ng-container>\n    </div>\n</div>\n\n\n\n<ng-template #dropdownDualMultiSelectButton>\n    <div class=\"dropdown-dual-multi-select-button\">\n        <ng-container\n            *ngIf=\"!templateRef\"\n            [ngTemplateOutlet]=\"dynamicPlaceholder ? dynamicDropdownDualMultiSelectButton : regularDropdownDualMultiSelectButton\"\n        ></ng-container>\n    </div>\n</ng-template>\n\n\n\n\n<ng-template #regularDropdownDualMultiSelectButton>\n    <div [id]=\"uid + '-button-regular'\" class=\"dual-select-button\" [class.btn-disabled]=\"isDisabled\" (click)=\"onClickDualMultiSelectButton()\">\n        <span class=\"fu-dual-multi-select-placeholder\">\n            {{ placeholder$ | async }}\n        </span>\n        <i class=\"icon right\">\n            <fusion-icon [name]=\"{iconName: 'angle-down', iconVersion: 'v3'}\"></fusion-icon>\n        </i>\n    </div>\n</ng-template>\n\n<ng-template #dynamicDropdownDualMultiSelectButton>\n    <div [id]=\"uid + '-button-dynamic'\"  class=\"dual-select-button\" [class.btn-disabled]=\"isDisabled\" (click)=\"onClickDualMultiSelectButton()\">\n        <span class=\"fu-dual-multi-select-placeholder\">\n            <fusion-dynamic-components [configuration]=\"dynamicPlaceholder\"></fusion-dynamic-components>\n        </span>\n    </div>\n</ng-template>\n\n<ng-template #dropdownDualMultiSelectLayout>\n    <div\n        class=\"dropdown-dual-multi-select-layout\"\n        [class.fu-options-position-left]=\"isPositionLeft\"\n        (fusionClickOutside)=\"onOutsideClick($event)\"\n    >\n        <fusion-dropdown-dual-multi-select-header\n            [formControl]=\"searchControlTerm\"\n            [title]=\"title\"\n            [testId]=\"testId\"\n        ></fusion-dropdown-dual-multi-select-header>\n\n        <fusion-dropdown-dual-multi-select-body\n            [autoComplete]=\"autoComplete\"\n            (scrollDown)=\"onScrollDown()\"\n            [formControl]=\"preSelectedItems\"\n            [searchTerm]=\"searchControlTerm.valueChanges | async\"\n            [searchByProperties]=\"searchByProperties\"\n            [totalItems]=\"totalItems\"\n            [items]=\"items$ | async\"\n            [isPendingItems]=\"pendingItems\"\n            [hasSelectAll]=\"hasSelectAll\"\n            [loadingLeft]=\"loadingLeft$ | async\"\n            [hasBackendPagination]=\"hasBackendPagination\"\n            [testId]=\"testId\"\n        ></fusion-dropdown-dual-multi-select-body>\n\n        <fusion-dropdown-dual-multi-select-footer\n            [testId]=\"testId\"\n            (closeSelect)=\"closeDropdownDualSelect()\"\n            (applySelect)=\"applySelect($event)\"\n        ></fusion-dropdown-dual-multi-select-footer>\n    </div>\n</ng-template>\n\n<ng-template #chipContent>\n    <div class=\"fu-chip-content-default\">\n        <div [fusionTooltip]=\"chipDefaultContent\" class=\"truncate fu-chip-text\"><span *ngIf=\"title\" class=\"fu-chip-label\" [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdIncludeExcludeModifiers.CHIP_FILTER_LABEL\">{{ title + ': ' }}</span><span [attr.data-testid]=\"testIdsService.getTestAttribute.bind(this) | generic:testId:testIdIncludeExcludeModifiers.CHIP_FILTER_VALUE\">{{ selected$ | async }}</span></div>\n    </div>\n</ng-template>\n", styles: [":host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button .dual-select-button i.icon.right{right:10px}:host .is-dropdown-dual-multi-select{position:relative;text-align:left}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-layout.fu-options-position-left{right:0;left:inherit}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-layout{animation:fadeIn .6s 1 ease-out;z-index:1000;position:absolute;background-color:#fff;color:#7b838c;box-shadow:0 2px 4px #00000026;border-radius:8px;overflow:hidden;width:528px;max-width:528px;height:340px;max-height:340px}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button{cursor:pointer;max-width:200px;font-size:12px}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button .dual-select-button{width:100%;height:32px;cursor:pointer;border:1px solid #dddfe1;border-radius:100px;padding:0 6px 0 11px;background:#fff;color:#7b838c;display:flex;align-items:center;justify-content:space-between;-webkit-user-select:none;user-select:none;position:relative}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button .dual-select-button .fu-dual-multi-select-placeholder{font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button .dual-select-button:hover{border-color:#a9afb4}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button .dual-select-button.btn-disabled{cursor:not-allowed}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button .dual-select-button.btn-disabled:hover{border-color:#dddfe1}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button .dual-select-button i.icon{position:absolute}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button .dual-select-button i.icon fusion-icon ::ng-deep svg{width:8px;height:8px}:host .is-dropdown-dual-multi-select .dropdown-dual-multi-select-button .dual-select-button i.icon fusion-icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownDualMultiSelectComponent, { className: "DropdownDualMultiSelectComponent", filePath: "dropdown-dual-multi-select.component.ts", lineNumber: 18 }); })();

class DropdownDualMultiSelectLoadingModule {
    static { this.ɵfac = function DropdownDualMultiSelectLoadingModule_Factory(t) { return new (t || DropdownDualMultiSelectLoadingModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownDualMultiSelectLoadingModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectLoadingModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownDualMultiSelectLoadingComponent],
                exports: [DropdownDualMultiSelectLoadingComponent],
                imports: [CommonModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownDualMultiSelectLoadingModule, { declarations: [DropdownDualMultiSelectLoadingComponent], imports: [CommonModule], exports: [DropdownDualMultiSelectLoadingComponent] }); })();

class DropdownDualMultiSelectBodyModule {
    static { this.ɵfac = function DropdownDualMultiSelectBodyModule_Factory(t) { return new (t || DropdownDualMultiSelectBodyModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownDualMultiSelectBodyModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            CheckboxModule,
            IconModule,
            FlagModule,
            TooltipModule,
            LoaderInlineModule,
            DropdownDualMultiSelectLoadingModule,
            DynamicComponentsModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectBodyModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownDualMultiSelectBodyComponent, DropdownDualMultiSelectBodyItemComponent],
                exports: [DropdownDualMultiSelectBodyComponent],
                imports: [
                    CommonModule,
                    CheckboxModule,
                    IconModule,
                    FlagModule,
                    TooltipModule,
                    LoaderInlineModule,
                    DropdownDualMultiSelectLoadingModule,
                    DynamicComponentsModule,
                    GetObjectLengthPipe,
                    GenericPipe
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownDualMultiSelectBodyModule, { declarations: [DropdownDualMultiSelectBodyComponent, DropdownDualMultiSelectBodyItemComponent], imports: [CommonModule,
        CheckboxModule,
        IconModule,
        FlagModule,
        TooltipModule,
        LoaderInlineModule,
        DropdownDualMultiSelectLoadingModule,
        DynamicComponentsModule,
        GetObjectLengthPipe,
        GenericPipe], exports: [DropdownDualMultiSelectBodyComponent] }); })();

class DropdownDualMultiSelectHeaderModule {
    static { this.ɵfac = function DropdownDualMultiSelectHeaderModule_Factory(t) { return new (t || DropdownDualMultiSelectHeaderModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownDualMultiSelectHeaderModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, InputModule, ReactiveFormsModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectHeaderModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownDualMultiSelectHeaderComponent],
                imports: [CommonModule, InputModule, ReactiveFormsModule],
                exports: [DropdownDualMultiSelectHeaderComponent]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownDualMultiSelectHeaderModule, { declarations: [DropdownDualMultiSelectHeaderComponent], imports: [CommonModule, InputModule, ReactiveFormsModule], exports: [DropdownDualMultiSelectHeaderComponent] }); })();

class DropdownDualMultiSelectFooterModule {
    static { this.ɵfac = function DropdownDualMultiSelectFooterModule_Factory(t) { return new (t || DropdownDualMultiSelectFooterModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownDualMultiSelectFooterModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, ButtonModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectFooterModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownDualMultiSelectFooterComponent],
                exports: [DropdownDualMultiSelectFooterComponent],
                imports: [CommonModule, ButtonModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownDualMultiSelectFooterModule, { declarations: [DropdownDualMultiSelectFooterComponent], imports: [CommonModule, ButtonModule], exports: [DropdownDualMultiSelectFooterComponent] }); })();

class DropdownDualMultiSelectModule {
    static { this.ɵfac = function DropdownDualMultiSelectModule_Factory(t) { return new (t || DropdownDualMultiSelectModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownDualMultiSelectModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            TooltipModule,
            IconModule,
            ButtonModule,
            InputModule,
            CheckboxModule,
            ReactiveFormsModule,
            ClickOutsideModule,
            DynamicComponentsModule,
            DropdownDualMultiSelectBodyModule,
            DropdownDualMultiSelectHeaderModule,
            DropdownDualMultiSelectFooterModule,
            DropdownDualMultiSelectLoadingModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownDualMultiSelectModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownDualMultiSelectComponent],
                exports: [DropdownDualMultiSelectComponent],
                imports: [
                    CommonModule,
                    TooltipModule,
                    IconModule,
                    ButtonModule,
                    InputModule,
                    CheckboxModule,
                    ReactiveFormsModule,
                    ClickOutsideModule,
                    DynamicComponentsModule,
                    DropdownDualMultiSelectBodyModule,
                    DropdownDualMultiSelectHeaderModule,
                    DropdownDualMultiSelectFooterModule,
                    DropdownDualMultiSelectLoadingModule,
                    GenericPipe
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownDualMultiSelectModule, { declarations: [DropdownDualMultiSelectComponent], imports: [CommonModule,
        TooltipModule,
        IconModule,
        ButtonModule,
        InputModule,
        CheckboxModule,
        ReactiveFormsModule,
        ClickOutsideModule,
        DynamicComponentsModule,
        DropdownDualMultiSelectBodyModule,
        DropdownDualMultiSelectHeaderModule,
        DropdownDualMultiSelectFooterModule,
        DropdownDualMultiSelectLoadingModule,
        GenericPipe], exports: [DropdownDualMultiSelectComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownDualMultiSelectComponent, DropdownDualMultiSelectModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-dual-multi-select-v2.mjs.map
