import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Directive, NgModule } from '@angular/core';
import { DropdownOptionBaseComponent, DropdownOptionBaseDirective } from '@ironsource/fusion-ui/components/dropdown-option/common/base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { GenericPipe } from '@ironsource/fusion-ui/pipes/generic';
import * as i5 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i4 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import * as i3 from '@ironsource/fusion-ui/components/tooltip/v2';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v2';
export * from '@ironsource/fusion-ui/components/dropdown-option/entities';

function DropdownOptionComponent_ng_container_0_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 10);
    i0.ɵɵelement(1, "fusion-icon", 11);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r4.option.icon);
} }
function DropdownOptionComponent_ng_container_0_fusion_flag_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 12);
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r5.option.flag);
} }
function DropdownOptionComponent_ng_container_0_img_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 13);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("src", ctx_r6.option.image, i0.ɵɵsanitizeUrl);
} }
const _c0 = () => ({ iconName: "status-dots", iconVersion: "v1" });
function DropdownOptionComponent_ng_container_0_fusion_icon_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 12);
} if (rf & 2) {
    i0.ɵɵproperty("name", i0.ɵɵpureFunction0(1, _c0));
} }
function DropdownOptionComponent_ng_container_0_span_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span");
    i0.ɵɵelement(1, "fusion-icon", 14);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", ctx_r8.option.tooltipedIcon == null ? null : ctx_r8.option.tooltipedIcon.tooltipText)("name", ctx_r8.option.tooltipedIcon == null ? null : ctx_r8.option.tooltipedIcon.iconName);
} }
function DropdownOptionComponent_ng_container_0_div_10_fusion_icon_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 17);
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(3);
    i0.ɵɵproperty("name", ctx_r11.option.subText == null ? null : ctx_r11.option.subText.icon);
} }
function DropdownOptionComponent_ng_container_0_div_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 15);
    i0.ɵɵtemplate(1, DropdownOptionComponent_ng_container_0_div_10_fusion_icon_1_Template, 1, 1, "fusion-icon", 16);
    i0.ɵɵelementStart(2, "label");
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r9.option.subText == null ? null : ctx_r9.option.subText.icon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r9.option.subText == null ? null : ctx_r9.option.subText.text);
} }
function DropdownOptionComponent_ng_container_0_span_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 18);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r10 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r10.optionRightHoverText);
} }
function DropdownOptionComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, DropdownOptionComponent_ng_container_0_div_1_Template, 2, 1, "div", 3)(2, DropdownOptionComponent_ng_container_0_fusion_flag_2_Template, 1, 1, "fusion-flag", 4)(3, DropdownOptionComponent_ng_container_0_img_3_Template, 1, 1, "img", 5);
    i0.ɵɵelementStart(4, "div", 6);
    i0.ɵɵpipe(5, "generic");
    i0.ɵɵtemplate(6, DropdownOptionComponent_ng_container_0_fusion_icon_6_Template, 1, 2, "fusion-icon", 4);
    i0.ɵɵelement(7, "span", 7);
    i0.ɵɵpipe(8, "generic");
    i0.ɵɵtemplate(9, DropdownOptionComponent_ng_container_0_span_9_Template, 2, 2, "span", 2)(10, DropdownOptionComponent_ng_container_0_div_10_Template, 4, 2, "div", 8);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(11, DropdownOptionComponent_ng_container_0_span_11_Template, 2, 1, "span", 9);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.option.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.option.flag);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.option.image);
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("fusionTooltip", i0.ɵɵpipeBind4(5, 10, ctx_r0.optionToStringFunc, ctx_r0.option, ctx_r0.mappingOptions, ctx_r0.settings));
    i0.ɵɵproperty("id", ctx_r0.option.id);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.option.indicationStatus);
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("innerHTML", i0.ɵɵpipeBind4(8, 15, ctx_r0.optionToStringFunc, ctx_r0.option, ctx_r0.mappingOptions, ctx_r0.settings), i0.ɵɵsanitizeHtml);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r0.option.tooltipedIcon && !ctx_r0.option.isDisabled);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (ctx_r0.option.subText == null ? null : ctx_r0.option.subText.text) && ctx_r0.shouldDisplayMultiRaw);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r0.optionRightHoverText);
} }
function DropdownOptionComponent_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dynamic-components", 19);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("configuration", ctx_r1.option.content);
} }
const _c1 = a0 => ({ "is-selected": a0 });
function DropdownOptionComponent_ng_container_3_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "li", 23);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const childOption_r13 = ctx.$implicit;
    const ctx_r12 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionDropdownOption", childOption_r13)("mappingOptions", ctx_r12.mappingOptions)("ngClass", i0.ɵɵpureFunction1(4, _c1, childOption_r13.isSelected));
    i0.ɵɵattribute("data-id", childOption_r13.id);
} }
function DropdownOptionComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "fusion-icon", 20);
    i0.ɵɵelementStart(2, "ul", 21);
    i0.ɵɵtemplate(3, DropdownOptionComponent_ng_container_3_ng_container_3_Template, 2, 6, "ng-container", 22);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r3.dropdownArrowIconName);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", ctx_r3.option.childOptions);
} }
class DropdownOptionComponent extends DropdownOptionBaseComponent {
    constructor() {
        super(...arguments);
        this.dropdownArrowIconName = {
            iconName: 'arrow-down',
            iconVersion: 'v2'
        };
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownOptionComponent_BaseFactory; return function DropdownOptionComponent_Factory(t) { return (ɵDropdownOptionComponent_BaseFactory || (ɵDropdownOptionComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownOptionComponent)))(t || DropdownOptionComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownOptionComponent, selectors: [["fusion-dropdown-option"]], features: [i0.ɵɵInheritDefinitionFeature], decls: 4, vars: 3, consts: [[4, "ngIf", "ngIfElse"], ["customContentOption", ""], [4, "ngIf"], ["class", "icon-container", 4, "ngIf"], [3, "name", 4, "ngIf"], ["alt", "", 3, "src", 4, "ngIf"], [1, "text", "truncate", 3, "id", "fusionTooltip"], [3, "innerHTML"], ["class", "sub-text-container", 4, "ngIf"], ["class", "optionRightClickTextHover", 4, "ngIf"], [1, "icon-container"], ["id", "platform-icon", 1, "icon", 3, "name"], [3, "name"], ["alt", "", 3, "src"], [1, "option-tooltiped-icon", 3, "fusionTooltip", "name"], [1, "sub-text-container"], ["class", "sub-text-icon", 3, "name", 4, "ngIf"], [1, "sub-text-icon", 3, "name"], [1, "optionRightClickTextHover"], [3, "configuration"], [1, "icon-arrow", 3, "name"], [1, "is-subgroup-options"], [4, "ngFor", "ngForOf"], [3, "fusionDropdownOption", "mappingOptions", "ngClass"]], template: function DropdownOptionComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, DropdownOptionComponent_ng_container_0_Template, 12, 20, "ng-container", 0)(1, DropdownOptionComponent_ng_template_1_Template, 1, 1, "ng-template", null, 1, i0.ɵɵtemplateRefExtractor)(3, DropdownOptionComponent_ng_container_3_Template, 4, 2, "ng-container", 2);
        } if (rf & 2) {
            const _r2 = i0.ɵɵreference(2);
            i0.ɵɵproperty("ngIf", !ctx.option.content)("ngIfElse", _r2);
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", ctx.hasChildren);
        } }, styles: ["[_nghost-%COMP%]{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .text.truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}[_nghost-%COMP%]{position:relative;width:inherit;background:var(--fu-white, #ffffff);border-radius:4px;padding:6px 10px 2px;color:var(--fu-dark-700, #1d1c64);display:inherit;cursor:pointer}[_nghost-%COMP%]   .icon-container[_ngcontent-%COMP%]{position:absolute;right:12px;top:9px}[_nghost-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}[_nghost-%COMP%]   img[_ngcontent-%COMP%]{width:20px;height:20px;max-width:20px;border-radius:4px;height:auto;margin-right:10px}[_nghost-%COMP%]   img[_ngcontent-%COMP%] + .truncate[_ngcontent-%COMP%]{width:calc(100% - 50px)}[_nghost-%COMP%]   .text[_ngcontent-%COMP%]{line-height:20px}[_nghost-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:6px;vertical-align:super}[_nghost-%COMP%]   fusion-flag[_ngcontent-%COMP%] + .truncate[_ngcontent-%COMP%]{width:calc(100% - 24px)}[_nghost-%COMP%]:hover{background:var(--fu-light-100, #f7f8f9)}[_nghost-%COMP%]:hover   .optionRightClickTextHover[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]:hover   .icon-container[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]:hover   .icon-container[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}.is-has-children[_nghost-%COMP%]{position:relative;color:var(--fu-light-900, #7b838c)}.is-has-children[_nghost-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]{position:absolute;right:7px;top:8px}.is-has-children[_nghost-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:8px;height:8px;transform:rotate(-90deg)}.is-has-children[_nghost-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}.is-has-children[_nghost-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:none}.is-has-children.is-open[_nghost-%COMP%]   fusion-icon.icon-arrow[_ngcontent-%COMP%]     svg{width:8px;height:8px;transform:rotate(360deg)}.is-has-children.is-open[_nghost-%COMP%]   fusion-icon.icon-arrow[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7b838c)}.is-has-children.is-open[_nghost-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]{display:block;margin:0 -10px;padding-top:4px;background-color:var(--fu-white, #ffffff)}.is-has-children.is-open[_nghost-%COMP%]   .is-subgroup-options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     fusion-dropdown-option{padding-left:16px}.is-has-children.is-open[_nghost-%COMP%]:hover{background:var(--fu-light-100, #f7f8f9);padding-bottom:0;margin-bottom:2px}.multi-raw-display[_nghost-%COMP%]{height:50px;display:flex;position:relative;box-sizing:border-box}.multi-raw-display[_nghost-%COMP%]   img[_ngcontent-%COMP%]{height:36px;width:36px;max-width:36px}.multi-raw-display[_nghost-%COMP%]   .icon-container[_ngcontent-%COMP%]{position:absolute;height:20px;width:20px;border-radius:50%;background-color:#fff;display:flex;justify-content:center;align-items:center;left:34px;top:27px}.multi-raw-display[_nghost-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon#platform-icon[_ngcontent-%COMP%]{position:static;margin-top:2px}.multi-raw-display[_nghost-%COMP%]   .text[_ngcontent-%COMP%]{padding-left:5px}.multi-raw-display[_nghost-%COMP%]   .text[_ngcontent-%COMP%]   .sub-text-container[_ngcontent-%COMP%]{display:block;font-size:12px;color:#678099}.multi-raw-display[_nghost-%COMP%]   .text[_ngcontent-%COMP%]   .sub-text-container[_ngcontent-%COMP%]   fusion-icon.sub-text-icon[_ngcontent-%COMP%]{margin-right:5px;vertical-align:text-top}.multi-raw-display[_nghost-%COMP%]   .text[_ngcontent-%COMP%]   .sub-text-container[_ngcontent-%COMP%]   fusion-icon.sub-text-icon[_ngcontent-%COMP%]     svg{width:12px;height:12px}.multi-raw-display[_nghost-%COMP%]   .text[_ngcontent-%COMP%]   .sub-text-container[_ngcontent-%COMP%]   fusion-icon.sub-text-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}.multi-raw-display[_nghost-%COMP%]     .is-id{color:inherit!important}li.option.is-selected[_nghost-%COMP%], li.option.is-selected   [_nghost-%COMP%]{border:none;background-color:var(--fu-primary-100, #e2eeff)}li.option.is-selected[_nghost-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, li.option.is-selected   [_nghost-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}li.option.is-selected[_nghost-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, li.option.is-selected   [_nghost-%COMP%]   .icon-container[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-primary-500, #3083ff)}li.option.is-focused[_nghost-%COMP%], li.option.is-focused   [_nghost-%COMP%]{background:var(--fu-light-100, #f7f8f9)}.fu-large-item-height[_nghost-%COMP%], .fu-large-item-height   [_nghost-%COMP%]{padding:11px 10px 3px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownOptionComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-option', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngIf=\"!option.content; else customContentOption\">\n    <div *ngIf=\"option.icon\" class=\"icon-container\">\n        <fusion-icon id=\"platform-icon\" [name]=\"option.icon\" class=\"icon\"></fusion-icon>\n    </div>\n    <fusion-flag *ngIf=\"option.flag\" [name]=\"option.flag\"></fusion-flag>\n    <img [src]=\"option.image\" *ngIf=\"option.image\" alt=\"\"/>\n    <div [id]=\"option.id\" class=\"text truncate\"\n         fusionTooltip=\"{{ optionToStringFunc | generic: option:mappingOptions:settings }}\">\n        <fusion-icon *ngIf=\"option.indicationStatus\"\n                     [name]=\"{iconName: 'status-dots', iconVersion: 'v1'}\"></fusion-icon>\n        <span innerHTML=\"{{ optionToStringFunc | generic: option:mappingOptions:settings }}\"></span>\n        <span *ngIf=\"option.tooltipedIcon && !option.isDisabled\">\n            <fusion-icon class=\"option-tooltiped-icon\"\n                    [fusionTooltip]=\"option.tooltipedIcon?.tooltipText\"\n                    [name]=\"option.tooltipedIcon?.iconName\"></fusion-icon>\n        </span>\n        <div *ngIf=\"option.subText?.text && shouldDisplayMultiRaw\" class=\"sub-text-container\">\n            <fusion-icon *ngIf=\"option.subText?.icon\" class=\"sub-text-icon\" [name]=\"option.subText?.icon\"></fusion-icon>\n            <label>{{ option.subText?.text }}</label>\n        </div>\n    </div>\n    <span class=\"optionRightClickTextHover\" *ngIf=\"optionRightHoverText\">{{ optionRightHoverText }}</span>\n</ng-container>\n\n<ng-template #customContentOption>\n    <fusion-dynamic-components [configuration]=\"option.content\"></fusion-dynamic-components>\n</ng-template>\n<ng-container *ngIf=\"hasChildren\">\n    <fusion-icon class=\"icon-arrow\"\n                 [name]=\"dropdownArrowIconName\"></fusion-icon>\n    <ul class=\"is-subgroup-options\">\n        <ng-container *ngFor=\"let childOption of option.childOptions; index as i\">\n            <li\n                [fusionDropdownOption]=\"childOption\"\n                [mappingOptions]=\"mappingOptions\"\n                [attr.data-id]=\"childOption.id\"\n                [ngClass]=\"{'is-selected': childOption.isSelected}\"\n            ></li>\n        </ng-container>\n    </ul>\n</ng-container>\n", styles: [":host{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host *{box-sizing:border-box}:host .text.truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host{position:relative;width:inherit;background:var(--fu-white, #ffffff);border-radius:4px;padding:6px 10px 2px;color:var(--fu-dark-700, #1d1c64);display:inherit;cursor:pointer}:host .icon-container{position:absolute;right:12px;top:9px}:host .icon-container fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .icon-container fusion-icon.icon ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host img{width:20px;height:20px;max-width:20px;border-radius:4px;height:auto;margin-right:10px}:host img+.truncate{width:calc(100% - 50px)}:host .text{line-height:20px}:host fusion-flag{margin-right:6px;vertical-align:super}:host fusion-flag+.truncate{width:calc(100% - 24px)}:host:hover{background:var(--fu-light-100, #f7f8f9)}:host:hover .optionRightClickTextHover{display:none}:host:hover .icon-container fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host:hover .icon-container fusion-icon.icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host.is-has-children{position:relative;color:var(--fu-light-900, #7b838c)}:host.is-has-children fusion-icon[class^=icon-arrow]{position:absolute;right:7px;top:8px}:host.is-has-children fusion-icon[class^=icon-arrow] ::ng-deep svg{width:8px;height:8px;transform:rotate(-90deg)}:host.is-has-children fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host.is-has-children .is-subgroup-options{display:none}:host.is-has-children.is-open fusion-icon.icon-arrow ::ng-deep svg{width:8px;height:8px;transform:rotate(360deg)}:host.is-has-children.is-open fusion-icon.icon-arrow ::ng-deep svg *{fill:var(--fu-light-900, #7b838c)}:host.is-has-children.is-open .is-subgroup-options{display:block;margin:0 -10px;padding-top:4px;background-color:var(--fu-white, #ffffff)}:host.is-has-children.is-open .is-subgroup-options .option ::ng-deep fusion-dropdown-option{padding-left:16px}:host.is-has-children.is-open:hover{background:var(--fu-light-100, #f7f8f9);padding-bottom:0;margin-bottom:2px}:host.multi-raw-display{height:50px;display:flex;position:relative;box-sizing:border-box}:host.multi-raw-display img{height:36px;width:36px;max-width:36px}:host.multi-raw-display .icon-container{position:absolute;height:20px;width:20px;border-radius:50%;background-color:#fff;display:flex;justify-content:center;align-items:center;left:34px;top:27px}:host.multi-raw-display .icon-container fusion-icon#platform-icon{position:static;margin-top:2px}:host.multi-raw-display .text{padding-left:5px}:host.multi-raw-display .text .sub-text-container{display:block;font-size:12px;color:#678099}:host.multi-raw-display .text .sub-text-container fusion-icon.sub-text-icon{margin-right:5px;vertical-align:text-top}:host.multi-raw-display .text .sub-text-container fusion-icon.sub-text-icon ::ng-deep svg{width:12px;height:12px}:host.multi-raw-display .text .sub-text-container fusion-icon.sub-text-icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host.multi-raw-display ::ng-deep .is-id{color:inherit!important}:host-context(li.option.is-selected){border:none;background-color:var(--fu-primary-100, #e2eeff)}:host-context(li.option.is-selected) .icon-container fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host-context(li.option.is-selected) .icon-container fusion-icon.icon ::ng-deep svg *{fill:var(--fu-primary-500, #3083ff)}:host-context(li.option.is-focused){background:var(--fu-light-100, #f7f8f9)}:host-context(.fu-large-item-height){padding:11px 10px 3px}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownOptionComponent, { className: "DropdownOptionComponent", filePath: "dropdown-option.component.ts", lineNumber: 10 }); })();

class DropdownOptionDirective extends DropdownOptionBaseDirective {
    constructor() {
        super(...arguments);
        this.dropdownOptionComponentType = DropdownOptionComponent;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownOptionDirective_BaseFactory; return function DropdownOptionDirective_Factory(t) { return (ɵDropdownOptionDirective_BaseFactory || (ɵDropdownOptionDirective_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownOptionDirective)))(t || DropdownOptionDirective); }; })(); }
    static { this.ɵdir = /*@__PURE__*/ i0.ɵɵdefineDirective({ type: DropdownOptionDirective, selectors: [["", "fusionDropdownOption", ""]], features: [i0.ɵɵInheritDefinitionFeature] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownOptionDirective, [{
        type: Directive,
        args: [{
                selector: '[fusionDropdownOption]'
            }]
    }], null, null); })();

class DropdownOptionModule {
    static { this.ɵfac = function DropdownOptionModule_Factory(t) { return new (t || DropdownOptionModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownOptionModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, TooltipModule, FlagModule, DynamicComponentsModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownOptionModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownOptionDirective, DropdownOptionComponent],
                exports: [DropdownOptionDirective],
                imports: [CommonModule, IconModule, TooltipModule, FlagModule, GenericPipe, DynamicComponentsModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownOptionModule, { declarations: [DropdownOptionDirective, DropdownOptionComponent], imports: [CommonModule, IconModule, TooltipModule, FlagModule, GenericPipe, DynamicComponentsModule], exports: [DropdownOptionDirective] }); })();
i0.ɵɵsetComponentScope(DropdownOptionComponent, [i1.NgClass, i1.NgForOf, i1.NgIf, i2.IconComponent, i3.TooltipDirective, i4.FlagComponent, i5.DynamicComponentsComponent, DropdownOptionDirective], [GenericPipe]);

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownOptionComponent, DropdownOptionDirective, DropdownOptionModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-option-v2.mjs.map
