import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Output, NgModule } from '@angular/core';
import { DropdownOptionsListBaseComponent } from '@ironsource/fusion-ui/components/dropdown-options-list/common/base';
import { isNull } from '@ironsource/fusion-ui/utils';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/components/dropdown-option/v3';
import { DropdownOptionModule } from '@ironsource/fusion-ui/components/dropdown-option/v3';

function DropdownOptionsListComponent_ng_container_0_li_1_Template(rf, ctx) { if (rf & 1) {
    const _r8 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 3);
    i0.ɵɵlistener("click", function DropdownOptionsListComponent_ng_container_0_li_1_Template_li_click_0_listener($event) { i0.ɵɵrestoreView(_r8); const option_r1 = i0.ɵɵnextContext().$implicit; const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.onChangeSelected(option_r1, $event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵproperty("fusionDropdownOption", option_r1)("isMultiRawDisplay", ctx_r3.isMultiRawDisplay)("mappingOptions", ctx_r3.mappingOptions)("optionCloseIcon", ctx_r3.optionCloseIcon)("ngClass", ctx_r3.getOptionClasses(option_r1))("lastSearchValue", ctx_r3.lastSearchValue)("optionRightHoverText", ctx_r3.optionRightHoverText);
    i0.ɵɵattribute("data-optionId", option_r1.id);
} }
function DropdownOptionsListComponent_ng_container_0_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 4)(1, "div", 5);
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const option_r1 = i0.ɵɵnextContext().$implicit;
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate1(" ", ctx_r4.dropdownService.optionToString(option_r1), " ");
} }
function DropdownOptionsListComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, DropdownOptionsListComponent_ng_container_0_li_1_Template, 1, 8, "li", 1)(2, DropdownOptionsListComponent_ng_container_0_ng_template_2_Template, 3, 1, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const option_r1 = ctx.$implicit;
    const _r5 = i0.ɵɵreference(3);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !option_r1.isGroup)("ngIfElse", _r5);
} }
const CLOSE_ACTION_SELECTOR = '.fu-option-action-icon';
class DropdownOptionsListComponent extends DropdownOptionsListBaseComponent {
    constructor() {
        super(...arguments);
        this.closeIconClicked = new EventEmitter();
    }
    onChangeSelected(option, $event) {
        if (!isNull($event.target.closest(CLOSE_ACTION_SELECTOR))) {
            this.closeIconClicked.emit(option);
        }
        else {
            this.changeSelected.emit({ option, $event });
        }
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownOptionsListComponent_BaseFactory; return function DropdownOptionsListComponent_Factory(t) { return (ɵDropdownOptionsListComponent_BaseFactory || (ɵDropdownOptionsListComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownOptionsListComponent)))(t || DropdownOptionsListComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownOptionsListComponent, selectors: [["fusion-dropdown-options-list"]], outputs: { closeIconClicked: "closeIconClicked" }, features: [i0.ɵɵInheritDefinitionFeature], decls: 1, vars: 1, consts: [[4, "ngFor", "ngForOf"], [3, "fusionDropdownOption", "isMultiRawDisplay", "mappingOptions", "optionCloseIcon", "ngClass", "lastSearchValue", "optionRightHoverText", "click", 4, "ngIf", "ngIfElse"], ["groupOption", ""], [3, "fusionDropdownOption", "isMultiRawDisplay", "mappingOptions", "optionCloseIcon", "ngClass", "lastSearchValue", "optionRightHoverText", "click"], [1, "option"], [1, "is-dd-group"]], template: function DropdownOptionsListComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, DropdownOptionsListComponent_ng_container_0_Template, 4, 2, "ng-container", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngForOf", ctx.displayedOptions);
        } }, dependencies: [i1.NgClass, i1.NgForOf, i1.NgIf, i2.DropdownOptionDirective], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], [_nghost-%COMP%]   li.option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   li.option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}.font-bodySmall[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}[_nghost-%COMP%]   li[_ngcontent-%COMP%]{margin-bottom:2px}[_nghost-%COMP%]   li.option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{color:var(--fu-black-900, #41454D);height:40px;margin-left:8px;display:flex;align-items:center}[_nghost-%COMP%]   li.is-disabled[_ngcontent-%COMP%]{pointer-events:none}[_nghost-%COMP%]   li[_ngcontent-%COMP%]:first-child.option   .is-dd-group[_ngcontent-%COMP%]{margin-top:0}[_nghost-%COMP%]   li[_ngcontent-%COMP%]:last-child{margin-bottom:0}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownOptionsListComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-options-list', changeDetection: ChangeDetectionStrategy.OnPush, template: "<ng-container *ngFor=\"let option of displayedOptions; index as i\">\n    <li *ngIf=\"!option.isGroup; else groupOption\"\n        [fusionDropdownOption]=\"option\"\n        [isMultiRawDisplay]=\"isMultiRawDisplay\"\n        [mappingOptions]=\"mappingOptions\"\n        [optionCloseIcon]=\"optionCloseIcon\"\n        (click)=\"onChangeSelected(option, $event)\"\n        [ngClass]=\"getOptionClasses(option)\"\n        [lastSearchValue]=\"lastSearchValue\"\n        [optionRightHoverText]=\"optionRightHoverText\"\n        [attr.data-optionId]=\"option.id\"></li>\n    <ng-template #groupOption>\n        <li class=\"option\">\n            <div class=\"is-dd-group\">\n                {{dropdownService.optionToString(option)}}\n            </div>\n        </li>\n    </ng-template>\n</ng-container>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,:host li.option .is-dd-group,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium{font-size:14px}:host li.option .is-dd-group,.font-bodyMediumStrong{font-size:14px}.font-bodySmall,.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host *{box-sizing:border-box}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host li{margin-bottom:2px}:host li.option .is-dd-group{color:var(--fu-black-900, #41454D);height:40px;margin-left:8px;display:flex;align-items:center}:host li.is-disabled{pointer-events:none}:host li:first-child.option .is-dd-group{margin-top:0}:host li:last-child{margin-bottom:0}\n"] }]
    }], null, { closeIconClicked: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownOptionsListComponent, { className: "DropdownOptionsListComponent", filePath: "v3/dropdown-options-list.component.ts", lineNumber: 14 }); })();

class DropdownOptionsListModule {
    static { this.ɵfac = function DropdownOptionsListModule_Factory(t) { return new (t || DropdownOptionsListModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownOptionsListModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, DropdownOptionModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownOptionsListModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownOptionsListComponent],
                imports: [CommonModule, DropdownOptionModule],
                exports: [DropdownOptionsListComponent]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownOptionsListModule, { declarations: [DropdownOptionsListComponent], imports: [CommonModule, DropdownOptionModule], exports: [DropdownOptionsListComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownOptionsListComponent, DropdownOptionsListModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-options-list.mjs.map
