import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { DropdownSearchBaseComponent } from '@ironsource/fusion-ui/components/dropdown-search/common/base';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import * as i1 from '@ironsource/fusion-ui/components/input/v2';
import { InputModule } from '@ironsource/fusion-ui/components/input/v2';
import { CommonModule } from '@angular/common';

class DropdownSearchComponent extends DropdownSearchBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownSearchComponent_BaseFactory; return function DropdownSearchComponent_Factory(t) { return (ɵDropdownSearchComponent_BaseFactory || (ɵDropdownSearchComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownSearchComponent)))(t || DropdownSearchComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownSearchComponent, selectors: [["fusion-dropdown-search"]], features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => DropdownSearchComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 3, vars: 3, consts: [[1, "search-panel"], ["showSearchIcon", "right", 1, "is-search-style", 3, "formControl", "placeholder", "clear"], ["inputComponent", ""]], template: function DropdownSearchComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵelement(1, "fusion-input", 1, 2);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵproperty("formControl", ctx.searchValue)("placeholder", ctx.placeholder)("clear", true);
        } }, dependencies: [i1.InputComponent, i2.NgControlStatus, i2.FormControlDirective], styles: ["[_nghost-%COMP%]   .search-panel[_ngcontent-%COMP%]{color:#fff;border:none;background-color:transparent;margin-left:-8px;margin-right:-25px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownSearchComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-search', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => DropdownSearchComponent),
                        multi: true
                    }
                ], template: "<div class=\"search-panel\">\n    <fusion-input class=\"is-search-style\"\n                  [formControl]=\"searchValue\"\n                  [placeholder]=\"placeholder\"\n                  showSearchIcon=\"right\"\n                  [clear]=\"true\"\n                  #inputComponent></fusion-input>\n</div>\n", styles: [":host .search-panel{color:#fff;border:none;background-color:transparent;margin-left:-8px;margin-right:-25px}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownSearchComponent, { className: "DropdownSearchComponent", filePath: "dropdown-search.component.ts", lineNumber: 18 }); })();

class DropdownSearchModule {
    static { this.ɵfac = function DropdownSearchModule_Factory(t) { return new (t || DropdownSearchModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownSearchModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, InputModule, ReactiveFormsModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownSearchModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownSearchComponent],
                exports: [DropdownSearchComponent],
                imports: [CommonModule, InputModule, ReactiveFormsModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownSearchModule, { declarations: [DropdownSearchComponent], imports: [CommonModule, InputModule, ReactiveFormsModule], exports: [DropdownSearchComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownSearchComponent, DropdownSearchModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-search-v2.mjs.map
