import * as i0 from '@angular/core';
import { Component, ViewChild, NgModule } from '@angular/core';
import { DropdownSelectBaseComponent } from '@ironsource/fusion-ui/components/dropdown-select/common/base';
import * as i2 from '@ironsource/fusion-ui/components/dropdown-search/v2';
import { DropdownSearchModule } from '@ironsource/fusion-ui/components/dropdown-search/v2';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import * as i4 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i5 from '@ironsource/fusion-ui/components/tooltip/v2';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v2';
import * as i6 from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';
import * as i7 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
export * from '@ironsource/fusion-ui/components/dropdown-select/entities';

const _c0 = ["searchComponent"];
function DropdownSelectComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 3);
    i0.ɵɵelement(1, "fusion-dynamic-components", 4);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("item-selected", ctx_r0.configurations.selectedOption.length > 0)("open-dropdown", ctx_r0.configurations.isOpen);
    i0.ɵɵadvance();
    i0.ɵɵproperty("configuration", ctx_r0.configurations.dynamicContent);
} }
function DropdownSelectComponent_ng_template_2_fusion_dropdown_search_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dropdown-search", 14, 15);
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("formControl", ctx_r3.searchValue)("placeholder", ctx_r3.configurations.placeholder == null ? null : ctx_r3.configurations.placeholder.search);
} }
function DropdownSelectComponent_ng_template_2_fusion_icon_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 16);
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r4.configurations.icon);
} }
function DropdownSelectComponent_ng_template_2_img_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 17);
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("src", ctx_r5.configurations.labelImage, i0.ɵɵsanitizeUrl);
} }
function DropdownSelectComponent_ng_template_2_fusion_flag_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 18);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r6.configurations.labelFlag);
} }
function DropdownSelectComponent_ng_template_2_span_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 19);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r7.configurations.placeholder == null ? null : ctx_r7.configurations.placeholder.prefix);
} }
function DropdownSelectComponent_ng_template_2_fusion_icon_7_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 20);
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r8.configurations.dropdownArrowIconName);
} }
function DropdownSelectComponent_ng_template_2_div_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 21, 22);
    i0.ɵɵelement(2, "fusion-icon", 20);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("name", ctx_r9.configurations.dropdownArrowIconName);
} }
function DropdownSelectComponent_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label", 5);
    i0.ɵɵtemplate(1, DropdownSelectComponent_ng_template_2_fusion_dropdown_search_1_Template, 2, 2, "fusion-dropdown-search", 6)(2, DropdownSelectComponent_ng_template_2_fusion_icon_2_Template, 1, 1, "fusion-icon", 7)(3, DropdownSelectComponent_ng_template_2_img_3_Template, 1, 1, "img", 8)(4, DropdownSelectComponent_ng_template_2_fusion_flag_4_Template, 1, 1, "fusion-flag", 9)(5, DropdownSelectComponent_ng_template_2_span_5_Template, 2, 1, "span", 10);
    i0.ɵɵelement(6, "span", 11);
    i0.ɵɵtemplate(7, DropdownSelectComponent_ng_template_2_fusion_icon_7_Template, 1, 1, "fusion-icon", 12)(8, DropdownSelectComponent_ng_template_2_div_8_Template, 3, 1, "div", 13);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("icon", ctx_r1.configurations.icon);
    i0.ɵɵproperty("fusionTooltip", ctx_r1.configurations.placeholder == null ? null : ctx_r1.configurations.placeholder.value)("ngClass", ctx_r1.getLabelCSSClasses(ctx_r1.configurations.isOpen));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.isSearch && ctx_r1.configurations.isOpen);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.labelImage && !ctx_r1.configurations.isTabMode);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.labelFlag);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !(ctx_r1.configurations == null ? null : ctx_r1.configurations.isMultipleSelection) && (ctx_r1.configurations == null ? null : ctx_r1.configurations.placeholder == null ? null : ctx_r1.configurations.placeholder.prefix));
    i0.ɵɵadvance();
    i0.ɵɵproperty("innerHTML", ctx_r1.configurations.placeholder == null ? null : ctx_r1.configurations.placeholder.value, i0.ɵɵsanitizeHtml);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r1.configurations.isTabMode && !!ctx_r1.configurations.dropdownArrowIconName);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.isTabMode);
} }
const _c1 = (a0, a1) => ({ "dd-opened": a0, "ss-selected": a1 });
class DropdownSelectComponent extends DropdownSelectBaseComponent {
    getLabelCSSClasses(isOpen) {
        const classesList = [
            this.configurations.disabled && 'dd-disabled',
            !!this.configurations.error && 'dd-error',
            isOpen && 'dd-active',
            !!this.configurations.selectedOption && 'ss-selected',
            this.configurations.isTabMode && 'is-tab-mode',
            'dd-search-active',
            this.searchValue.value && 'dd_search-has-value'
        ].filter(Boolean);
        return classesList;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownSelectComponent_BaseFactory; return function DropdownSelectComponent_Factory(t) { return (ɵDropdownSelectComponent_BaseFactory || (ɵDropdownSelectComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownSelectComponent)))(t || DropdownSelectComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownSelectComponent, selectors: [["fusion-dropdown-select"]], viewQuery: function DropdownSelectComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.searchComponent = _t.first);
        } }, features: [i0.ɵɵInheritDefinitionFeature], decls: 4, vars: 8, consts: [[1, "is-dropdown-select", 3, "ngClass"], ["class", "is-dynamic-component-holder", 3, "item-selected", "open-dropdown", 4, "ngIf", "ngIfElse"], ["regularLabel", ""], [1, "is-dynamic-component-holder"], [3, "configuration"], [1, "truncate", 3, "fusionTooltip", "ngClass"], [3, "formControl", "placeholder", 4, "ngIf"], ["class", "is-custom-icon", 3, "name", 4, "ngIf"], ["alt", "", 3, "src", 4, "ngIf"], [3, "name", 4, "ngIf"], ["class", "placeholderPrefix", 4, "ngIf"], [1, "placeholderText", 3, "innerHTML"], ["class", "icon-arrow", 3, "name", 4, "ngIf"], ["class", "dropdown-arrow-container", 4, "ngIf"], [3, "formControl", "placeholder"], ["searchComponent", ""], [1, "is-custom-icon", 3, "name"], ["alt", "", 3, "src"], [3, "name"], [1, "placeholderPrefix"], [1, "icon-arrow", 3, "name"], [1, "dropdown-arrow-container"], ["dropdownArrowContainer", ""]], template: function DropdownSelectComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, DropdownSelectComponent_div_1_Template, 2, 5, "div", 1)(2, DropdownSelectComponent_ng_template_2_Template, 9, 12, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            const _r2 = i0.ɵɵreference(3);
            i0.ɵɵclassProp("forced-placeholder", ctx.configurations.placeholder == null ? null : ctx.configurations.placeholder.forcePlaceholderOnSelection);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(5, _c1, ctx.configurations == null ? null : ctx.configurations.isOpen, ctx.configurations == null ? null : ctx.configurations.selectedOption == null ? null : ctx.configurations.selectedOption.length));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.configurations.dynamicContent)("ngIfElse", _r2);
        } }, dependencies: [i1.NgClass, i1.NgIf, i2.DropdownSearchComponent, i3.DynamicComponentsComponent, i4.IconComponent, i5.TooltipDirective, i6.NgControlStatus, i6.FormControlDirective, i7.FlagComponent], styles: ["fusion-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{border-radius:var(--border-radius, 3px)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{display:block;cursor:pointer;height:40px;color:var(--fu-dark-700, #1d1c64);background-color:var(--fu-light-100, #f7f8f9);border:none;border-radius:4px;padding:10px 25px 10px 10px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]{position:absolute;right:12px;top:10px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:8px;height:8px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-200, #4c548e)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .placeholderText[_ngcontent-%COMP%]{margin-left:2px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]{vertical-align:middle;display:inline-block;margin-top:2px;margin-right:3px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-200, #4c548e)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{width:20px;height:20px;vertical-align:middle;margin:-3px 6px auto -2px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:6px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-200, #f0f1f2)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]:active:not(.is-tab-mode), [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active[_ngcontent-%COMP%]{border-bottom:solid 2px var(--fu-primary-500, #3083ff)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]:active:not(.is-tab-mode)   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:8px;height:8px;transform:rotate(180deg)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]:active:not(.is-tab-mode)   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-500, #0d148c)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-disabled[_ngcontent-%COMP%]{pointer-events:none;color:var(--fu-light-900, #7b838c)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-disabled[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:8px;height:8px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-disabled[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-disabled[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-disabled[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-error[_ngcontent-%COMP%]{background-color:var(--fu-negative-100, #ffefee)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]{margin-right:12px;display:flex;align-items:center}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]{margin-left:auto}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]     svg{width:var(--custom-placeholder-arrow-open-size, 8px);height:var(--custom-placeholder-arrow-open-size, 8px)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]     svg *{fill:var(--custom-placeholder-arrow-open-color, var(--fu-dark-500, #0d148c))}[_nghost-%COMP%]   .is-dropdown-select.dd-opened[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]     svg{width:var(--custom-placeholder-arrow-open-size, 8px);height:var(--custom-placeholder-arrow-open-size, 8px);transform:rotate(180deg)}[_nghost-%COMP%]   .is-dropdown-select.dd-opened[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]     svg *{fill:var(--custom-placeholder-arrow-open-color, var(--fu-dark-500, #0d148c))}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon[_ngcontent-%COMP%]   .placeholderText[_ngcontent-%COMP%], .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon[_ngcontent-%COMP%]   .placeholderText[_ngcontent-%COMP%]{margin-left:18px}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active[_ngcontent-%COMP%]   fusion-icon.is-custom-icon[_ngcontent-%COMP%], .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active[_ngcontent-%COMP%]   fusion-icon.is-custom-icon[_ngcontent-%COMP%]{position:absolute;left:10px;top:10px;z-index:2}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active[_ngcontent-%COMP%]   fusion-icon.is-custom-icon[_ngcontent-%COMP%]     svg, .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active[_ngcontent-%COMP%]   fusion-icon.is-custom-icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active[_ngcontent-%COMP%]   fusion-icon.is-custom-icon[_ngcontent-%COMP%]     svg *, .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active[_ngcontent-%COMP%]   fusion-icon.is-custom-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-light-700, #a9afb4)}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%], .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]{display:block}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg, .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *, .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%], .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]{position:absolute;left:10px;top:10px;z-index:2}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg, .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}.is-dropdown[_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *, .is-dropdown   [_nghost-%COMP%]   .is-dropdown-select.forced-placeholder[_ngcontent-%COMP%]   label.icon[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-200, #4c548e)}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{padding:10px 40px 10px 10px}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%], .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]{position:absolute;right:25px;top:10px}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg, .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg{width:12px;height:12px}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *, .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-200, #4c548e)}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active[_ngcontent-%COMP%], .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active[_ngcontent-%COMP%]{padding:10px 25px 10px 10px}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg, .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *, .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%], .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]{display:none}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg, .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg{width:13px;height:13px}.is-dropdown.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *, .is-dropdown.is-icon-right-position   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-search-active.dd_search-has-value[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-500, #d2d5d8)}fusion-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{height:32px;padding:6px 25px 8px 7px;line-height:unset}fusion-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%], fusion-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%], fusion-multi-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%], fusion-multi-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]{top:6px}fusion-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg, fusion-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg, fusion-multi-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg, fusion-multi-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:8px;height:8px}fusion-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *, fusion-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *, fusion-multi-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *, fusion-multi-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-dark-200, #4c548e)}fusion-dropdown.small.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-dropdown.small   .is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small.is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small   .is-icon-right-position[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{padding:6px 25px 8px 7px}fusion-dropdown.rounded[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-dropdown.rounded   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.rounded[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.rounded   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{border-radius:20px}fusion-dropdown.ng-invalid[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-dropdown.ng-invalid   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.ng-invalid[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.ng-invalid   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{background-color:var(--fu-negative-100, #ffefee)}fusion-dropdown.ng-invalid[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active[_ngcontent-%COMP%], fusion-dropdown.ng-invalid   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active[_ngcontent-%COMP%], fusion-multi-dropdown.ng-invalid[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active[_ngcontent-%COMP%], fusion-multi-dropdown.ng-invalid   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active[_ngcontent-%COMP%]{background-color:var(--fu-light-100, #f7f8f9)}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownSelectComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-select', template: "<div\n    class=\"is-dropdown-select\"\n    [ngClass]=\"{'dd-opened': configurations?.isOpen, 'ss-selected': configurations?.selectedOption?.length}\"\n    [class.forced-placeholder]=\"configurations.placeholder?.forcePlaceholderOnSelection\"\n>\n    <!--dynamic title-->\n    <div class=\"is-dynamic-component-holder\" [class.item-selected]=\"configurations.selectedOption.length > 0\" [class.open-dropdown]=\"configurations.isOpen\" *ngIf=\"configurations.dynamicContent; else regularLabel\">\n        <fusion-dynamic-components [configuration]=\"configurations.dynamicContent\">\n        </fusion-dynamic-components>\n    </div>\n    <!--regular title-->\n    <ng-template #regularLabel>\n        <label\n            class=\"truncate\"\n            [fusionTooltip]=\"configurations.placeholder?.value\"\n            [ngClass]=\"getLabelCSSClasses(configurations.isOpen)\"\n            [class.icon]=\"configurations.icon\"\n        >\n            <!--search input-->\n            <fusion-dropdown-search\n                *ngIf=\"configurations.isSearch && configurations.isOpen\"\n                [formControl]=\"searchValue\"\n                [placeholder]=\"configurations.placeholder?.search\"\n                #searchComponent\n            ></fusion-dropdown-search>\n            <fusion-icon class=\"is-custom-icon\" *ngIf=\"configurations.icon\" [name]=\"configurations.icon\"></fusion-icon>\n            <img [src]=\"configurations.labelImage\" *ngIf=\"configurations.labelImage && !configurations.isTabMode\" alt=\"\"/>\n            <fusion-flag *ngIf=\"configurations.labelFlag\" [name]=\"configurations.labelFlag\"></fusion-flag>\n            <span class=\"placeholderPrefix\" *ngIf=\"!configurations?.isMultipleSelection && configurations?.placeholder?.prefix\">{{\n                configurations.placeholder?.prefix\n                }}</span>\n            <span class=\"placeholderText\" [innerHTML]=\"configurations.placeholder?.value\"></span>\n            <fusion-icon class=\"icon-arrow\" *ngIf=\"!configurations.isTabMode && !!configurations.dropdownArrowIconName\" [name]=\"configurations.dropdownArrowIconName\"></fusion-icon>\n            <div *ngIf=\"configurations.isTabMode\" class=\"dropdown-arrow-container\" #dropdownArrowContainer>\n                <fusion-icon class=\"icon-arrow\" [name]=\"configurations.dropdownArrowIconName\"></fusion-icon>\n            </div>\n        </label>\n    </ng-template>\n</div>\n", styles: [":host-context(fusion-dropdown.small) .is-dropdown-select label,:host-context(fusion-multi-dropdown.small) .is-dropdown-select label,:host .is-dropdown-select label{font-size:12px;font-family:HelveticaNeue,helvetica,sans-serif;font-weight:400;letter-spacing:.04px}:host .is-dropdown-select *{box-sizing:border-box}:host .is-dropdown-select label{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host .is-dropdown-select label img{border-radius:var(--border-radius, 3px)}:host .is-dropdown-select label{display:block;cursor:pointer;height:40px;color:var(--fu-dark-700, #1d1c64);background-color:var(--fu-light-100, #f7f8f9);border:none;border-radius:4px;padding:10px 25px 10px 10px}:host .is-dropdown-select label fusion-icon[class^=icon-arrow]{position:absolute;right:12px;top:10px}:host .is-dropdown-select label fusion-icon[class^=icon-arrow] ::ng-deep svg{width:8px;height:8px}:host .is-dropdown-select label fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-dark-200, #4c548e)}:host .is-dropdown-select label .placeholderText{margin-left:2px}:host .is-dropdown-select label fusion-icon[class^=is-custom-icon]{vertical-align:middle;display:inline-block;margin-top:2px;margin-right:3px}:host .is-dropdown-select label fusion-icon[class^=is-custom-icon] ::ng-deep svg{width:13px;height:13px}:host .is-dropdown-select label fusion-icon[class^=is-custom-icon] ::ng-deep svg *{fill:var(--fu-dark-200, #4c548e)}:host .is-dropdown-select label img{width:20px;height:20px;vertical-align:middle;margin:-3px 6px auto -2px}:host .is-dropdown-select label fusion-flag{margin-right:6px}:host .is-dropdown-select label:hover{background-color:var(--fu-light-200, #f0f1f2)}:host .is-dropdown-select label:active:not(.is-tab-mode),:host .is-dropdown-select label.dd-active{border-bottom:solid 2px var(--fu-primary-500, #3083ff)}:host .is-dropdown-select label:active:not(.is-tab-mode) fusion-icon[class^=icon-arrow] ::ng-deep svg,:host .is-dropdown-select label.dd-active fusion-icon[class^=icon-arrow] ::ng-deep svg{width:8px;height:8px;transform:rotate(180deg)}:host .is-dropdown-select label:active:not(.is-tab-mode) fusion-icon[class^=icon-arrow] ::ng-deep svg *,:host .is-dropdown-select label.dd-active fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-dark-500, #0d148c)}:host .is-dropdown-select label.dd-disabled{pointer-events:none;color:var(--fu-light-900, #7b838c)}:host .is-dropdown-select label.dd-disabled fusion-icon[class^=icon-arrow] ::ng-deep svg{width:8px;height:8px}:host .is-dropdown-select label.dd-disabled fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .is-dropdown-select label.dd-disabled fusion-icon[class^=is-custom-icon] ::ng-deep svg{width:13px;height:13px}:host .is-dropdown-select label.dd-disabled fusion-icon[class^=is-custom-icon] ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host .is-dropdown-select label.dd-error{background-color:var(--fu-negative-100, #ffefee)}:host .is-dropdown-select .is-dynamic-component-holder{margin-right:12px;display:flex;align-items:center}:host .is-dropdown-select .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown]{margin-left:auto}:host .is-dropdown-select .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown] ::ng-deep svg{width:var(--custom-placeholder-arrow-open-size, 8px);height:var(--custom-placeholder-arrow-open-size, 8px)}:host .is-dropdown-select .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown] ::ng-deep svg *{fill:var(--custom-placeholder-arrow-open-color, var(--fu-dark-500, #0d148c))}:host .is-dropdown-select.dd-opened .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown] ::ng-deep svg{width:var(--custom-placeholder-arrow-open-size, 8px);height:var(--custom-placeholder-arrow-open-size, 8px);transform:rotate(180deg)}:host .is-dropdown-select.dd-opened .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown] ::ng-deep svg *{fill:var(--custom-placeholder-arrow-open-color, var(--fu-dark-500, #0d148c))}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon .placeholderText{margin-left:18px}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon.dd-search-active fusion-icon.is-custom-icon{position:absolute;left:10px;top:10px;z-index:2}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon.dd-search-active fusion-icon.is-custom-icon ::ng-deep svg{width:13px;height:13px}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon.dd-search-active fusion-icon.is-custom-icon ::ng-deep svg *{fill:var(--fu-light-700, #a9afb4)}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon.dd-search-active.dd_search-has-value fusion-icon[class^=is-custom-icon]{display:block}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon.dd-search-active.dd_search-has-value fusion-icon[class^=is-custom-icon] ::ng-deep svg{width:13px;height:13px}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon.dd-search-active.dd_search-has-value fusion-icon[class^=is-custom-icon] ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon fusion-icon[class^=is-custom-icon]{position:absolute;left:10px;top:10px;z-index:2}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon fusion-icon[class^=is-custom-icon] ::ng-deep svg{width:13px;height:13px}:host-context(.is-dropdown) .is-dropdown-select.forced-placeholder label.icon fusion-icon[class^=is-custom-icon] ::ng-deep svg *{fill:var(--fu-dark-200, #4c548e)}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label{padding:10px 40px 10px 10px}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label fusion-icon[class^=is-custom-icon]{position:absolute;right:25px;top:10px}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label fusion-icon[class^=is-custom-icon] ::ng-deep svg{width:12px;height:12px}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label fusion-icon[class^=is-custom-icon] ::ng-deep svg *{fill:var(--fu-dark-200, #4c548e)}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label.dd-search-active{padding:10px 25px 10px 10px}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label.dd-search-active fusion-icon[class^=is-custom-icon] ::ng-deep svg{width:13px;height:13px}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label.dd-search-active fusion-icon[class^=is-custom-icon] ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label.dd-search-active.dd_search-has-value fusion-icon[class^=is-custom-icon]{display:none}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label.dd-search-active.dd_search-has-value fusion-icon[class^=is-custom-icon] ::ng-deep svg{width:13px;height:13px}:host-context(.is-dropdown.is-icon-right-position) .is-dropdown-select label.dd-search-active.dd_search-has-value fusion-icon[class^=is-custom-icon] ::ng-deep svg *{fill:var(--fu-light-500, #d2d5d8)}:host-context(fusion-dropdown.small) .is-dropdown-select label,:host-context(fusion-multi-dropdown.small) .is-dropdown-select label{height:32px;padding:6px 25px 8px 7px;line-height:unset}:host-context(fusion-dropdown.small) .is-dropdown-select label fusion-icon[class^=icon-arrow],:host-context(fusion-multi-dropdown.small) .is-dropdown-select label fusion-icon[class^=icon-arrow]{top:6px}:host-context(fusion-dropdown.small) .is-dropdown-select label fusion-icon[class^=icon-arrow] ::ng-deep svg,:host-context(fusion-multi-dropdown.small) .is-dropdown-select label fusion-icon[class^=icon-arrow] ::ng-deep svg{width:8px;height:8px}:host-context(fusion-dropdown.small) .is-dropdown-select label fusion-icon[class^=icon-arrow] ::ng-deep svg *,:host-context(fusion-multi-dropdown.small) .is-dropdown-select label fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-dark-200, #4c548e)}:host-context(fusion-dropdown.small).is-icon-right-position .is-dropdown-select label,:host-context(fusion-multi-dropdown.small).is-icon-right-position .is-dropdown-select label{padding:6px 25px 8px 7px}:host-context(fusion-dropdown.rounded) .is-dropdown-select label,:host-context(fusion-multi-dropdown.rounded) .is-dropdown-select label{border-radius:20px}:host-context(fusion-dropdown.ng-invalid) .is-dropdown-select label,:host-context(fusion-multi-dropdown.ng-invalid) .is-dropdown-select label{background-color:var(--fu-negative-100, #ffefee)}:host-context(fusion-dropdown.ng-invalid) .is-dropdown-select label.dd-active,:host-context(fusion-multi-dropdown.ng-invalid) .is-dropdown-select label.dd-active{background-color:var(--fu-light-100, #f7f8f9)}\n"] }]
    }], null, { searchComponent: [{
            type: ViewChild,
            args: ['searchComponent']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownSelectComponent, { className: "DropdownSelectComponent", filePath: "dropdown-select.component.ts", lineNumber: 10 }); })();

class DropdownSelectModule {
    static { this.ɵfac = function DropdownSelectModule_Factory(t) { return new (t || DropdownSelectModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownSelectModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, DropdownSearchModule, DynamicComponentsModule, IconModule, TooltipModule, ReactiveFormsModule, FlagModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownSelectModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownSelectComponent],
                exports: [DropdownSelectComponent],
                imports: [CommonModule, DropdownSearchModule, DynamicComponentsModule, IconModule, TooltipModule, ReactiveFormsModule, FlagModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownSelectModule, { declarations: [DropdownSelectComponent], imports: [CommonModule, DropdownSearchModule, DynamicComponentsModule, IconModule, TooltipModule, ReactiveFormsModule, FlagModule], exports: [DropdownSelectComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownSelectComponent, DropdownSelectModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-select-v2.mjs.map
