import * as i0 from '@angular/core';
import { Component, ViewChild, NgModule } from '@angular/core';
import { DropdownSelectBaseComponent } from '@ironsource/fusion-ui/components/dropdown-select/common/base';
import * as i2 from '@ironsource/fusion-ui/components/dropdown-search/v3';
import { DropdownSearchModule } from '@ironsource/fusion-ui/components/dropdown-search/v3';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import * as i4 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i5 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';
import * as i6 from '@angular/forms';
import { ReactiveFormsModule } from '@angular/forms';
import * as i7 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
export * from '@ironsource/fusion-ui/components/dropdown-select/entities';

const _c0 = ["searchComponent"];
function DropdownSelectComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 3);
    i0.ɵɵelement(1, "fusion-dynamic-components", 4);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("item-selected", ctx_r0.configurations.selectedOption.length > 0)("open-dropdown", ctx_r0.configurations.isOpen);
    i0.ɵɵadvance();
    i0.ɵɵproperty("configuration", ctx_r0.configurations.dynamicContent);
} }
function DropdownSelectComponent_ng_template_2_fusion_dropdown_search_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dropdown-search", 15, 16);
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("formControl", ctx_r3.searchValue)("placeholder", ctx_r3.configurations.placeholder == null ? null : ctx_r3.configurations.placeholder.search);
} }
function DropdownSelectComponent_ng_template_2_img_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 17);
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("src", ctx_r4.configurations.labelImage, i0.ɵɵsanitizeUrl);
} }
function DropdownSelectComponent_ng_template_2_fusion_icon_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 18);
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r5.configurations.icon);
} }
function DropdownSelectComponent_ng_template_2_fusion_flag_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 19);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r6.configurations.labelFlag);
} }
function DropdownSelectComponent_ng_template_2_span_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 20);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r7.configurations.placeholder == null ? null : ctx_r7.configurations.placeholder.prefix);
} }
function DropdownSelectComponent_ng_template_2_fusion_icon_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 21);
} if (rf & 2) {
    const ctx_r8 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r8.configurations.dropdownArrowIconName);
} }
function DropdownSelectComponent_ng_template_2_div_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 22, 23);
    i0.ɵɵelement(2, "fusion-icon", 21);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r9 = i0.ɵɵnextContext(2);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("name", ctx_r9.configurations.dropdownArrowIconName);
} }
function DropdownSelectComponent_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label", 5);
    i0.ɵɵtemplate(1, DropdownSelectComponent_ng_template_2_fusion_dropdown_search_1_Template, 2, 2, "fusion-dropdown-search", 6);
    i0.ɵɵelementStart(2, "div", 7);
    i0.ɵɵtemplate(3, DropdownSelectComponent_ng_template_2_img_3_Template, 1, 1, "img", 8)(4, DropdownSelectComponent_ng_template_2_fusion_icon_4_Template, 1, 1, "fusion-icon", 9)(5, DropdownSelectComponent_ng_template_2_fusion_flag_5_Template, 1, 1, "fusion-flag", 10)(6, DropdownSelectComponent_ng_template_2_span_6_Template, 2, 1, "span", 11);
    i0.ɵɵelement(7, "div", 12);
    i0.ɵɵelementEnd();
    i0.ɵɵtemplate(8, DropdownSelectComponent_ng_template_2_fusion_icon_8_Template, 1, 1, "fusion-icon", 13)(9, DropdownSelectComponent_ng_template_2_div_9_Template, 3, 1, "div", 14);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("icon", ctx_r1.configurations.icon);
    i0.ɵɵproperty("ngClass", ctx_r1.getLabelCSSClasses(ctx_r1.configurations.isOpen));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.isSearch && ctx_r1.configurations.isOpen);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.labelImage && !ctx_r1.configurations.isTabMode);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.labelFlag);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !(ctx_r1.configurations == null ? null : ctx_r1.configurations.isMultipleSelection) && (ctx_r1.configurations == null ? null : ctx_r1.configurations.placeholder == null ? null : ctx_r1.configurations.placeholder.prefix));
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", ctx_r1.configurations.placeholder == null ? null : ctx_r1.configurations.placeholder.value)("innerHTML", ctx_r1.configurations.placeholder == null ? null : ctx_r1.configurations.placeholder.value, i0.ɵɵsanitizeHtml);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !ctx_r1.configurations.isTabMode && !(ctx_r1.configurations.isSearch && ctx_r1.configurations.isOpen) && !!ctx_r1.configurations.dropdownArrowIconName);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r1.configurations.isTabMode);
} }
const _c1 = (a0, a1) => ({ "dd-opened": a0, "ss-selected": a1 });
class DropdownSelectComponent extends DropdownSelectBaseComponent {
    getLabelCSSClasses(isOpen) {
        const classesList = [
            this.configurations.disabled && 'dd-disabled',
            this.configurations.readonly && 'dd-readonly',
            !!this.configurations.error && 'dd-error',
            isOpen && 'dd-active',
            !!this.configurations.selectedOption && 'ss-selected',
            this.configurations.isTabMode && 'is-tab-mode',
            this.configurations.isSearch && 'dd-search-active',
            this.searchValue.value && 'dd_search-has-value'
        ].filter(Boolean);
        return classesList;
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵDropdownSelectComponent_BaseFactory; return function DropdownSelectComponent_Factory(t) { return (ɵDropdownSelectComponent_BaseFactory || (ɵDropdownSelectComponent_BaseFactory = i0.ɵɵgetInheritedFactory(DropdownSelectComponent)))(t || DropdownSelectComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DropdownSelectComponent, selectors: [["fusion-dropdown-select"]], viewQuery: function DropdownSelectComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.searchComponent = _t.first);
        } }, features: [i0.ɵɵInheritDefinitionFeature], decls: 4, vars: 8, consts: [[1, "is-dropdown-select", 3, "ngClass"], ["class", "is-dynamic-component-holder", 3, "item-selected", "open-dropdown", 4, "ngIf", "ngIfElse"], ["regularLabel", ""], [1, "is-dynamic-component-holder"], [3, "configuration"], [3, "ngClass"], [3, "formControl", "placeholder", 4, "ngIf"], [1, "fu-inner-elements"], ["alt", "", 3, "src", 4, "ngIf"], ["class", "is-custom-icon", 3, "name", 4, "ngIf"], [3, "name", 4, "ngIf"], ["class", "placeholderPrefix", 4, "ngIf"], [1, "placeholderText", "truncate", 3, "fusionTooltip", "innerHTML"], ["class", "icon-arrow", 3, "name", 4, "ngIf"], ["class", "dropdown-arrow-container", 4, "ngIf"], [3, "formControl", "placeholder"], ["searchComponent", ""], ["alt", "", 3, "src"], [1, "is-custom-icon", 3, "name"], [3, "name"], [1, "placeholderPrefix"], [1, "icon-arrow", 3, "name"], [1, "dropdown-arrow-container"], ["dropdownArrowContainer", ""]], template: function DropdownSelectComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, DropdownSelectComponent_div_1_Template, 2, 5, "div", 1)(2, DropdownSelectComponent_ng_template_2_Template, 10, 12, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            const _r2 = i0.ɵɵreference(3);
            i0.ɵɵclassProp("forced-placeholder", ctx.configurations.placeholder == null ? null : ctx.configurations.placeholder.forcePlaceholderOnSelection);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction2(5, _c1, ctx.configurations == null ? null : ctx.configurations.isOpen, ctx.configurations == null ? null : ctx.configurations.selectedOption == null ? null : ctx.configurations.selectedOption.length));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.configurations.dynamicContent)("ngIfElse", _r2);
        } }, dependencies: [i1.NgClass, i1.NgIf, i2.DropdownSearchComponent, i3.DynamicComponentsComponent, i4.IconComponent, i5.TooltipDirective, i6.NgControlStatus, i6.FormControlDirective, i7.FlagComponent], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}fusion-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], .font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-inner-elements[_ngcontent-%COMP%]   .placeholderText[_ngcontent-%COMP%]{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-inner-elements[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{mask:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath d='M10 0C2 0 0 2 0 10s2 10 10 10 10-2 10-10S18 0 10 0Zm0 0' fill='%23a5a5a5'/%3E%3C/svg%3E\");-webkit-mask-size:cover;mask-size:cover}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{display:block;cursor:pointer;height:40px;background-color:var(--fu-light-100, #F1F3F4);border:none;border-radius:8px;letter-spacing:.24px;color:var(--fu-black-500, #53575B);padding:10px 25px 10px 12px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]{position:absolute;right:12px;top:13px;width:16px;height:16px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7B838C)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-inner-elements[_ngcontent-%COMP%]{height:100%;display:flex;align-items:center;gap:7px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-inner-elements[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]{width:16px;height:16px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-inner-elements[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-inner-elements[_ngcontent-%COMP%]   fusion-icon[class^=is-custom-icon][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-900, #7B838C)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-inner-elements[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{width:20px;height:20px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .fu-inner-elements[_ngcontent-%COMP%]   .placeholderText[_ngcontent-%COMP%]{line-height:initial}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]:hover{background-color:var(--fu-light-200, #EDEFF0)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]:active:not(.is-tab-mode), [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]:active:not(.is-tab-mode):after, [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active[_ngcontent-%COMP%]:after{content:\" \";width:100%;margin-left:-10px;border-bottom:solid 2px var(--fu-primary-500, #3083FF);position:absolute;bottom:0}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]:active:not(.is-tab-mode).dd-search-active   .fu-inner-elements[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-active.dd-search-active[_ngcontent-%COMP%]   .fu-inner-elements[_ngcontent-%COMP%]{visibility:hidden}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-disabled[_ngcontent-%COMP%]{pointer-events:none;color:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-disabled[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-disabled[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-readonly[_ngcontent-%COMP%]{pointer-events:none}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-readonly[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label.dd-readonly[_ngcontent-%COMP%]   fusion-icon[class^=icon-arrow][_ngcontent-%COMP%]     svg *{fill:var(--fu-light-800, #8E959D)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]{margin-right:12px;display:flex;align-items:center}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]{margin-left:auto}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]     svg{width:var(--custom-placeholder-arrow-open-size, 8px);height:var(--custom-placeholder-arrow-open-size, 8px)}[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]     svg *{fill:var(--custom-placeholder-arrow-open-color, var(--fu-dark-500, #0D148C))}[_nghost-%COMP%]   .is-dropdown-select.dd-opened[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]     svg{width:var(--custom-placeholder-arrow-open-size, 8px);height:var(--custom-placeholder-arrow-open-size, 8px);transform:rotate(180deg)}[_nghost-%COMP%]   .is-dropdown-select.dd-opened[_ngcontent-%COMP%]   .is-dynamic-component-holder[_ngcontent-%COMP%]   fusion-icon[class^=arrow-dropdown][_ngcontent-%COMP%]     svg *{fill:var(--custom-placeholder-arrow-open-color, var(--fu-dark-500, #0D148C))}fusion-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%], fusion-multi-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]{height:32px;padding:6px 25px 8px 12px;line-height:unset}fusion-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .icon-arrow[_ngcontent-%COMP%], fusion-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .icon-arrow[_ngcontent-%COMP%], fusion-multi-dropdown.small[_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .icon-arrow[_ngcontent-%COMP%], fusion-multi-dropdown.small   [_nghost-%COMP%]   .is-dropdown-select[_ngcontent-%COMP%]   label[_ngcontent-%COMP%]   .icon-arrow[_ngcontent-%COMP%]{top:9px}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownSelectComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropdown-select', template: "<div\n    class=\"is-dropdown-select\"\n    [ngClass]=\"{'dd-opened': configurations?.isOpen, 'ss-selected': configurations?.selectedOption?.length}\"\n    [class.forced-placeholder]=\"configurations.placeholder?.forcePlaceholderOnSelection\"\n>\n    <!--region dynamic title-->\n    <div class=\"is-dynamic-component-holder\" [class.item-selected]=\"configurations.selectedOption.length > 0\" [class.open-dropdown]=\"configurations.isOpen\" *ngIf=\"configurations.dynamicContent; else regularLabel\">\n        <fusion-dynamic-components [configuration]=\"configurations.dynamicContent\">\n        </fusion-dynamic-components>\n    </div>\n    <!--endregion dynamic title-->\n    <!--region regular title-->\n    <ng-template #regularLabel>\n        <label\n            [ngClass]=\"getLabelCSSClasses(configurations.isOpen)\"\n            [class.icon]=\"configurations.icon\"\n        >\n            <!-- region search input-->\n            <fusion-dropdown-search\n                *ngIf=\"configurations.isSearch && configurations.isOpen\"\n                [formControl]=\"searchValue\"\n                [placeholder]=\"configurations.placeholder?.search\"\n                #searchComponent\n            ></fusion-dropdown-search>\n            <!-- endregion search input-->\n            <!--region inner content-->\n            <div class=\"fu-inner-elements\">\n                <img [src]=\"configurations.labelImage\" *ngIf=\"configurations.labelImage && !configurations.isTabMode\" alt=\"\"/>\n                <fusion-icon class=\"is-custom-icon\" *ngIf=\"configurations.icon\" [name]=\"configurations.icon\"></fusion-icon>\n                <fusion-flag *ngIf=\"configurations.labelFlag\" [name]=\"configurations.labelFlag\"></fusion-flag>\n                <span class=\"placeholderPrefix\" *ngIf=\"!configurations?.isMultipleSelection && configurations?.placeholder?.prefix\">{{\n                    configurations.placeholder?.prefix\n                    }}</span>\n                <div class=\"placeholderText truncate\" [fusionTooltip]=\"configurations.placeholder?.value\" [innerHTML]=\"configurations.placeholder?.value\"></div>\n            </div>\n            <!--endregion inner content-->\n            <!--region dropdown icon-->\n            <fusion-icon class=\"icon-arrow\" *ngIf=\"!configurations.isTabMode && !(configurations.isSearch && configurations.isOpen)  && !!configurations.dropdownArrowIconName\" [name]=\"configurations.dropdownArrowIconName\"></fusion-icon>\n            <div *ngIf=\"configurations.isTabMode\" class=\"dropdown-arrow-container\" #dropdownArrowContainer>\n                <fusion-icon class=\"icon-arrow\" [name]=\"configurations.dropdownArrowIconName\"></fusion-icon>\n            </div>\n            <!--endregion dropdown icon-->\n        </label>\n    </ng-template>\n    <!--endregion regular title-->\n</div>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}:host-context(fusion-dropdown.small) .is-dropdown-select label,:host-context(fusion-multi-dropdown.small) .is-dropdown-select label,.font-caption,.font-bodyXSmall,:host .is-dropdown-select label,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium,.font-bodyMediumStrong{font-size:14px}:host .is-dropdown-select label,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host .is-dropdown-select *{box-sizing:border-box}:host .is-dropdown-select label{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host .is-dropdown-select label .fu-inner-elements .placeholderText{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}:host .is-dropdown-select label .fu-inner-elements img{mask:url(\"data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3E%3Cpath d='M10 0C2 0 0 2 0 10s2 10 10 10 10-2 10-10S18 0 10 0Zm0 0' fill='%23a5a5a5'/%3E%3C/svg%3E\");-webkit-mask-size:cover;mask-size:cover}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .is-dropdown-select label{display:block;cursor:pointer;height:40px;background-color:var(--fu-light-100, #F1F3F4);border:none;border-radius:8px;letter-spacing:.24px;color:var(--fu-black-500, #53575B);padding:10px 25px 10px 12px}:host .is-dropdown-select label fusion-icon[class^=icon-arrow]{position:absolute;right:12px;top:13px;width:16px;height:16px}:host .is-dropdown-select label fusion-icon[class^=icon-arrow] ::ng-deep svg{width:16px;height:16px}:host .is-dropdown-select label fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-light-900, #7B838C)}:host .is-dropdown-select label .fu-inner-elements{height:100%;display:flex;align-items:center;gap:7px}:host .is-dropdown-select label .fu-inner-elements fusion-icon[class^=is-custom-icon]{width:16px;height:16px}:host .is-dropdown-select label .fu-inner-elements fusion-icon[class^=is-custom-icon] ::ng-deep svg{width:16px;height:16px}:host .is-dropdown-select label .fu-inner-elements fusion-icon[class^=is-custom-icon] ::ng-deep svg *{fill:var(--fu-light-900, #7B838C)}:host .is-dropdown-select label .fu-inner-elements img{width:20px;height:20px}:host .is-dropdown-select label .fu-inner-elements .placeholderText{line-height:initial}:host .is-dropdown-select label:hover{background-color:var(--fu-light-200, #EDEFF0)}:host .is-dropdown-select label:active:not(.is-tab-mode),:host .is-dropdown-select label.dd-active{position:relative}:host .is-dropdown-select label:active:not(.is-tab-mode):after,:host .is-dropdown-select label.dd-active:after{content:\" \";width:100%;margin-left:-10px;border-bottom:solid 2px var(--fu-primary-500, #3083FF);position:absolute;bottom:0}:host .is-dropdown-select label:active:not(.is-tab-mode).dd-search-active .fu-inner-elements,:host .is-dropdown-select label.dd-active.dd-search-active .fu-inner-elements{visibility:hidden}:host .is-dropdown-select label.dd-disabled{pointer-events:none;color:var(--fu-light-800, #8E959D)}:host .is-dropdown-select label.dd-disabled fusion-icon[class^=icon-arrow] ::ng-deep svg{width:16px;height:16px}:host .is-dropdown-select label.dd-disabled fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-light-800, #8E959D)}:host .is-dropdown-select label.dd-readonly{pointer-events:none}:host .is-dropdown-select label.dd-readonly fusion-icon[class^=icon-arrow] ::ng-deep svg{width:16px;height:16px}:host .is-dropdown-select label.dd-readonly fusion-icon[class^=icon-arrow] ::ng-deep svg *{fill:var(--fu-light-800, #8E959D)}:host .is-dropdown-select .is-dynamic-component-holder{margin-right:12px;display:flex;align-items:center}:host .is-dropdown-select .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown]{margin-left:auto}:host .is-dropdown-select .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown] ::ng-deep svg{width:var(--custom-placeholder-arrow-open-size, 8px);height:var(--custom-placeholder-arrow-open-size, 8px)}:host .is-dropdown-select .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown] ::ng-deep svg *{fill:var(--custom-placeholder-arrow-open-color, var(--fu-dark-500, #0D148C))}:host .is-dropdown-select.dd-opened .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown] ::ng-deep svg{width:var(--custom-placeholder-arrow-open-size, 8px);height:var(--custom-placeholder-arrow-open-size, 8px);transform:rotate(180deg)}:host .is-dropdown-select.dd-opened .is-dynamic-component-holder fusion-icon[class^=arrow-dropdown] ::ng-deep svg *{fill:var(--custom-placeholder-arrow-open-color, var(--fu-dark-500, #0D148C))}:host-context(fusion-dropdown.small) .is-dropdown-select label,:host-context(fusion-multi-dropdown.small) .is-dropdown-select label{height:32px;padding:6px 25px 8px 12px;line-height:unset}:host-context(fusion-dropdown.small) .is-dropdown-select label .icon-arrow,:host-context(fusion-multi-dropdown.small) .is-dropdown-select label .icon-arrow{top:9px}\n"] }]
    }], null, { searchComponent: [{
            type: ViewChild,
            args: ['searchComponent']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DropdownSelectComponent, { className: "DropdownSelectComponent", filePath: "v3/dropdown-select.component.ts", lineNumber: 10 }); })();

class DropdownSelectModule {
    static { this.ɵfac = function DropdownSelectModule_Factory(t) { return new (t || DropdownSelectModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: DropdownSelectModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, DropdownSearchModule, DynamicComponentsModule, IconModule, TooltipModule, ReactiveFormsModule, FlagModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DropdownSelectModule, [{
        type: NgModule,
        args: [{
                declarations: [DropdownSelectComponent],
                exports: [DropdownSelectComponent],
                imports: [CommonModule, DropdownSearchModule, DynamicComponentsModule, IconModule, TooltipModule, ReactiveFormsModule, FlagModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(DropdownSelectModule, { declarations: [DropdownSelectComponent], imports: [CommonModule, DropdownSearchModule, DynamicComponentsModule, IconModule, TooltipModule, ReactiveFormsModule, FlagModule], exports: [DropdownSelectComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DropdownSelectComponent, DropdownSelectModule };
//# sourceMappingURL=ironsource-fusion-ui-components-dropdown-select.mjs.map
