import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, Input } from '@angular/core';
import { FlagComponent } from '@ironsource/fusion-ui/components/flag/v4';
import { TooltipDirective } from '@ironsource/fusion-ui/components/tooltip/v4';

function DroppedListComponent_For_2_Conditional_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 2);
} if (rf & 2) {
    const listItem_r1 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("countryCode", listItem_r1.flag);
} }
function DroppedListComponent_For_2_Conditional_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 5);
} if (rf & 2) {
    const listItem_r1 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵproperty("src", listItem_r1.imageUrl, i0.ɵɵsanitizeUrl);
} }
function DroppedListComponent_For_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 1);
    i0.ɵɵtemplate(1, DroppedListComponent_For_2_Conditional_1_Template, 1, 1, "fusion-flag", 2)(2, DroppedListComponent_For_2_Conditional_2_Template, 1, 1, "img", 3);
    i0.ɵɵelementStart(3, "div", 4);
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const listItem_r1 = ctx.$implicit;
    i0.ɵɵadvance();
    i0.ɵɵconditional(1, listItem_r1.flag ? 1 : -1);
    i0.ɵɵadvance();
    i0.ɵɵconditional(2, listItem_r1.imageUrl ? 2 : -1);
    i0.ɵɵadvance();
    i0.ɵɵproperty("fusionTooltip", listItem_r1.label);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(listItem_r1.label);
} }
class DroppedListComponent {
    constructor() {
        this.list = [];
    }
    static { this.ɵfac = function DroppedListComponent_Factory(t) { return new (t || DroppedListComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DroppedListComponent, selectors: [["fusion-dropped-list"]], hostAttrs: [1, "fusion-v4"], inputs: { list: "list" }, standalone: true, features: [i0.ɵɵStandaloneFeature], decls: 3, vars: 0, consts: [[1, "fu-list-wrapper"], [1, "fu-list-item"], [3, "countryCode"], ["class", "fu-list-item-image", "alt", "listItem.label", "loading", "lazy", 3, "src"], [1, "fu-list-item-label", "truncate", 3, "fusionTooltip"], ["alt", "listItem.label", "loading", "lazy", 1, "fu-list-item-image", 3, "src"], ["class", "fu-list-item"]], template: function DroppedListComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "ul", 0);
            i0.ɵɵrepeaterCreate(1, DroppedListComponent_For_2_Template, 5, 4, "li", 6, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵadvance();
            i0.ɵɵrepeater(ctx.list);
        } }, dependencies: [FlagComponent, TooltipDirective], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-list-wrapper[_ngcontent-%COMP%]   .fu-list-item[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]   .fu-list-wrapper[_ngcontent-%COMP%]   .fu-list-item[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]   .fu-list-wrapper[_ngcontent-%COMP%]::-webkit-scrollbar{background-color:var(--fu-custom-scroll-bg-color, #fff);width:12px}[_nghost-%COMP%]   .fu-list-wrapper[_ngcontent-%COMP%]::-webkit-scrollbar-track{background-color:var(--fu-custom-scroll-bg-color, #fff)}[_nghost-%COMP%]   .fu-list-wrapper[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{background-color:#53575b4d;border-radius:13px;border:4px solid #fff}[_nghost-%COMP%]   .fu-list-wrapper[_ngcontent-%COMP%]::-webkit-scrollbar-button{display:none}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]   .fu-list-wrapper[_ngcontent-%COMP%]{display:flex;flex-direction:column;width:var(--fu-item-list-width, 224px);padding:var(--fu-item-list-padding, 0 8px);margin:0;list-style-type:none;border-radius:var(--fu-item-list-border-radius, 8px);border:var(--fu-item-list-border, 1px solid var(--common-divider, hsl(0, 0%, 86.8%)));box-shadow:var(--fu-item-list-box-shadow, 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06));background-color:var(--fu-item-list-background-color, var(--background-default, #FFFFFF));max-height:var(--fu-item-list-max-height, 210px);overflow-x:hidden;overflow-y:auto;--fu-custom-scroll-bg-color: transparent}[_nghost-%COMP%]   .fu-list-wrapper[_ngcontent-%COMP%]   .fu-list-item[_ngcontent-%COMP%]{display:flex;align-items:center;gap:8px;color:var(--fu-item-color, var(--text-primary, hsl(0, 0%, 12.5%)));padding:var(--fu-item-padding, 6px 8px)}[_nghost-%COMP%]   .fu-list-wrapper[_ngcontent-%COMP%]   .fu-list-item[_ngcontent-%COMP%]   .fu-list-item-image[_ngcontent-%COMP%]{width:20px;height:20px;border-radius:4px}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DroppedListComponent, [{
        type: Component,
        args: [{ selector: 'fusion-dropped-list', standalone: true, host: { class: 'fusion-v4' }, imports: [FlagComponent, TooltipDirective], changeDetection: ChangeDetectionStrategy.OnPush, template: "<ul class=\"fu-list-wrapper\">\n    @for (listItem of list; track listItem){\n        <li class=\"fu-list-item\">\n            @if (listItem.flag){\n                <fusion-flag [countryCode]=\"listItem.flag\"></fusion-flag>\n            }\n            @if (listItem.imageUrl){\n                <img class=\"fu-list-item-image\" [src]=\"listItem.imageUrl\" alt=\"listItem.label\" loading=\"lazy\">\n            }\n            <div class=\"fu-list-item-label truncate\" [fusionTooltip]=\"listItem.label\">{{listItem.label}}</div>\n        </li>\n    }\n</ul>\n\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,:host .fu-list-wrapper .fu-list-item,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host .fu-list-wrapper .fu-list-item,.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host .fu-list-wrapper::-webkit-scrollbar{background-color:var(--fu-custom-scroll-bg-color, #fff);width:12px}:host .fu-list-wrapper::-webkit-scrollbar-track{background-color:var(--fu-custom-scroll-bg-color, #fff)}:host .fu-list-wrapper::-webkit-scrollbar-thumb{background-color:#53575b4d;border-radius:13px;border:4px solid #fff}:host .fu-list-wrapper::-webkit-scrollbar-button{display:none}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host .fu-list-wrapper{display:flex;flex-direction:column;width:var(--fu-item-list-width, 224px);padding:var(--fu-item-list-padding, 0 8px);margin:0;list-style-type:none;border-radius:var(--fu-item-list-border-radius, 8px);border:var(--fu-item-list-border, 1px solid var(--common-divider, hsl(0, 0%, 86.8%)));box-shadow:var(--fu-item-list-box-shadow, 0px 4px 8px -2px rgba(16, 24, 40, .1), 0px 2px 4px -2px rgba(16, 24, 40, .06));background-color:var(--fu-item-list-background-color, var(--background-default, #FFFFFF));max-height:var(--fu-item-list-max-height, 210px);overflow-x:hidden;overflow-y:auto;--fu-custom-scroll-bg-color: transparent}:host .fu-list-wrapper .fu-list-item{display:flex;align-items:center;gap:8px;color:var(--fu-item-color, var(--text-primary, hsl(0, 0%, 12.5%)));padding:var(--fu-item-padding, 6px 8px)}:host .fu-list-wrapper .fu-list-item .fu-list-item-image{width:20px;height:20px;border-radius:4px}\n"] }]
    }], null, { list: [{
            type: Input
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(DroppedListComponent, { className: "DroppedListComponent", filePath: "dropped-list.component.ts", lineNumber: 15 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { DroppedListComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-dropped-list-v4.mjs.map
