import * as i0 from '@angular/core';
import { EventEmitter, Component, Input, Output, NgModule } from '@angular/core';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i1 from '@ironsource/fusion-ui/services/unique-id';
import { UniqueIdService } from '@ironsource/fusion-ui/services/unique-id';
import { isNullOrUndefined } from '@ironsource/fusion-ui/utils';
import * as i3 from '@ironsource/fusion-ui/components/file-drag-and-drop';
import { FileDragAndDropModule } from '@ironsource/fusion-ui/components/file-drag-and-drop';
import * as i4 from '@ironsource/fusion-ui/components/button/v3';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v3';
import * as i5 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i6 from '@ironsource/fusion-ui/components/tooltip/v3';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v3';

function FileCsvUploadComponent_ng_container_0_div_1_Template(rf, ctx) { if (rf & 1) {
    const _r7 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 5);
    i0.ɵɵlistener("handleFiles", function FileCsvUploadComponent_ng_container_0_div_1_Template_div_handleFiles_0_listener($event) { i0.ɵɵrestoreView(_r7); const ctx_r6 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r6.handleSelectedFiles($event)); });
    i0.ɵɵelementStart(1, "div", 6);
    i0.ɵɵelement(2, "div");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "div", 7)(4, "div", 8);
    i0.ɵɵtext(5);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(6, "div", 9);
    i0.ɵɵtext(7, "Drag & drop your file here or ");
    i0.ɵɵelementStart(8, "fusion-button", 10);
    i0.ɵɵtext(9, "browse");
    i0.ɵɵelementEnd()()();
    i0.ɵɵelement(10, "div", 11);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("buttonId", ctx_r4.buttonId)("disabled", ctx_r4.disabled)("loading", ctx_r4.loading)("multiple", false);
    i0.ɵɵadvance(5);
    i0.ɵɵtextInterpolate(ctx_r4.title);
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("id", ctx_r4.buttonId);
} }
function FileCsvUploadComponent_ng_container_0_div_2_Template(rf, ctx) { if (rf & 1) {
    const _r9 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 12);
    i0.ɵɵelement(1, "div", 13);
    i0.ɵɵelementStart(2, "div", 14)(3, "div", 15);
    i0.ɵɵtext(4);
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(5, "div");
    i0.ɵɵelement(6, "fusion-icon", 16)(7, "fusion-icon", 17);
    i0.ɵɵelementStart(8, "div", 18);
    i0.ɵɵtext(9);
    i0.ɵɵelementEnd()()();
    i0.ɵɵelementStart(10, "div", 19)(11, "fusion-button", 20);
    i0.ɵɵlistener("click", function FileCsvUploadComponent_ng_container_0_div_2_Template_fusion_button_click_11_listener() { i0.ɵɵrestoreView(_r9); const ctx_r8 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r8.onReplace()); });
    i0.ɵɵtext(12, "Replace");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(13, "fusion-button", 21);
    i0.ɵɵlistener("click", function FileCsvUploadComponent_ng_container_0_div_2_Template_fusion_button_click_13_listener() { i0.ɵɵrestoreView(_r9); const ctx_r10 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r10.onDelete()); });
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const fileState_r3 = i0.ɵɵnextContext().ngIf;
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵadvance(3);
    i0.ɵɵproperty("fusionTooltip", fileState_r3.name);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(fileState_r3.name);
    i0.ɵɵadvance();
    i0.ɵɵclassMapInterpolate1("fu-file-state ", fileState_r3.state, "");
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r5.successIcon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r5.errorIcon);
    i0.ɵɵadvance(2);
    i0.ɵɵtextInterpolate(ctx_r5.fileStateMessage);
} }
function FileCsvUploadComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, FileCsvUploadComponent_ng_container_0_div_1_Template, 11, 6, "div", 3)(2, FileCsvUploadComponent_ng_container_0_div_2_Template, 14, 8, "div", 4);
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const fileState_r3 = ctx.ngIf;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !(fileState_r3 == null ? null : fileState_r3.state));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", fileState_r3 == null ? null : fileState_r3.state);
} }
function FileCsvUploadComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 22);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r1.error);
} }
function FileCsvUploadComponent_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 23);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r2.helper);
} }
class FileCsvUploadComponent {
    /**
     * Tile text
     * @param value
     */
    set title(value) {
        if (!isNullOrUndefined(value)) {
            this._title = value;
        }
    }
    /**
     * General component error
     * @param value
     */
    set error(value) {
        this._error = value;
    }
    /**
     * General component helper text
     * @param value
     */
    set helper(value) {
        this._helper = value;
    }
    /**
     * File state
     * @param value
     */
    set fileState(value) {
        this._fileState = value ?? { name: '' };
    }
    get title() {
        return this._title;
    }
    get error() {
        return this._error;
    }
    get helper() {
        return this._helper;
    }
    get fileState() {
        return this._fileState;
    }
    get fileStateMessage() {
        switch (this.fileState.state) {
            case 'success':
                return this.fileState.message ?? 'Upload successfully';
            case 'error':
                return this.fileState.message ?? 'Unknown error occurs';
            case 'selected':
                return this.fileState.message ?? 'File selected';
            default:
                return '';
        }
    }
    constructor(uniqueId) {
        this.uniqueId = uniqueId;
        /**
         * output event emitter (files: FileList)
         */
        this.handleFiles = new EventEmitter();
        /**
         * Event on button replace was clicked
         */
        this.replaceFile = new EventEmitter();
        /**
         * Event on button delete was clicked
         */
        this.deleteFile = new EventEmitter();
        /** @internal */
        this.successIcon = { iconName: 'success-full', iconVersion: 'v3' };
        /** @internal */
        this.errorIcon = { iconName: 'error', iconVersion: 'v3' };
        this._title = 'Upload CSV';
        this.buttonId = 'fu_' + this.uniqueId.getUniqueId();
    }
    /** @internal */
    handleSelectedFiles(files) {
        this.resetFileState();
        if (files.length === 1 && files.item(0).type == 'text/csv') {
            this.handleFiles.emit(files);
        }
        else {
            this.error = 'Please select one *.csv file.';
        }
    }
    /** @internal */
    onReplace() {
        this.replaceFile.emit(this.fileState.name);
        this.resetFileState();
    }
    /** @internal */
    onDelete() {
        this.deleteFile.emit(this.fileState.name);
        this.resetFileState();
    }
    resetFileState() {
        this._fileState = { name: '' };
        this.error = '';
    }
    static { this.ɵfac = function FileCsvUploadComponent_Factory(t) { return new (t || FileCsvUploadComponent)(i0.ɵɵdirectiveInject(i1.UniqueIdService)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: FileCsvUploadComponent, selectors: [["fusion-file-csv-upload"]], inputs: { buttonId: "buttonId", disabled: "disabled", loading: "loading", title: "title", error: "error", helper: "helper", fileState: "fileState" }, outputs: { handleFiles: "handleFiles", replaceFile: "replaceFile", deleteFile: "deleteFile" }, decls: 3, vars: 3, consts: [[4, "ngIf"], ["class", "fu-error-msg", 4, "ngIf"], ["class", "fu-helper-text", 4, "ngIf"], ["class", "fu-files-selector-wrapper", "fusionFileDragAndDrop", "", "accept", ".csv", 3, "buttonId", "disabled", "loading", "multiple", "handleFiles", 4, "ngIf"], ["class", "fu-file-result-wrapper", 4, "ngIf"], ["fusionFileDragAndDrop", "", "accept", ".csv", 1, "fu-files-selector-wrapper", 3, "buttonId", "disabled", "loading", "multiple", "handleFiles"], [1, "fu-upload-icon"], [1, "fu-title-description"], [1, "fu-upload-title"], [1, "fu-upload-description"], [1, "fu-link-button", 3, "id"], [1, "fu-disabled-overlay"], [1, "fu-file-result-wrapper"], [1, "fu-file-icon"], [1, "fu-file-info"], [1, "fu-file-name", "truncate", 3, "fusionTooltip"], [1, "fu-file-state-success-icon", 3, "name"], [1, "fu-file-state-error-icon", 3, "name"], [1, "fu-file-message"], [1, "fu-file-actions"], [1, "transparent", "secondary", 3, "click"], ["icon", "delete", 1, "transparent", "secondary", 3, "click"], [1, "fu-error-msg"], [1, "fu-helper-text"]], template: function FileCsvUploadComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, FileCsvUploadComponent_ng_container_0_Template, 3, 2, "ng-container", 0)(1, FileCsvUploadComponent_div_1_Template, 2, 1, "div", 1)(2, FileCsvUploadComponent_div_2_Template, 2, 1, "div", 2);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", ctx.fileState);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.error);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.helper);
        } }, dependencies: [i2.NgIf, i3.FileDragAndDropDirective, i4.ButtonComponent, i5.IconComponent, i6.TooltipDirective], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}[_nghost-%COMP%]   .fu-helper-text[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]   .fu-file-message[_ngcontent-%COMP%], .font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-title-description[_ngcontent-%COMP%]   .fu-upload-description[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-name[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-title-description[_ngcontent-%COMP%]   .fu-upload-title[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%]{font-size:16px}[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-title-description[_ngcontent-%COMP%]   .fu-upload-title[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-name[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%]{font-size:14px}.font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-title-description[_ngcontent-%COMP%]   .fu-upload-description[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}[_nghost-%COMP%]   .fu-helper-text[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]   .fu-file-message[_ngcontent-%COMP%], .font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-name[_ngcontent-%COMP%]{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}@keyframes _ngcontent-%COMP%_spin{to{transform:rotate(360deg)}}[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]{position:relative;width:100%;height:100%;background:var(--fu-white, #ffffff);border:1px dashed var(--fu-light-700, #A9AFB4);border-radius:8px;display:flex;flex-direction:column;justify-content:center;align-items:center}[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-upload-icon[_ngcontent-%COMP%]{width:56px;height:56px;border-radius:50%;background-color:var(--fu-light-100, #F1F3F4);display:flex;flex-direction:column;justify-content:center;align-items:center}[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-upload-icon[_ngcontent-%COMP%] > div[_ngcontent-%COMP%]{width:26px;height:31px;background-image:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 26 31'%3E%3Cpath d='M.443.148h16.773l3.014 3.075 4.814 4.752V30.34H.444V.148Z' fill='%2353575B'/%3E%3Cpath d='M9.142 16.933h1.247V20.8c0 .426.352.774.784.774h3.136a.781.781 0 0 0 .784-.774v-3.867h1.246c.698 0 1.05-.835.557-1.322l-3.599-3.55a.788.788 0 0 0-1.105 0l-3.599 3.55c-.494.487-.149 1.322.55 1.322Z' fill='%23F7F8F9'/%3E%3Cpath d='m17.216.148 7.828 7.827h-5.531a2.296 2.296 0 0 1-2.297-2.296V.148Z' fill='%23DDDFE1'/%3E%3C/svg%3E\");background-repeat:no-repeat}[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-title-description[_ngcontent-%COMP%]{display:flex;flex-direction:column;justify-content:center;align-items:center}[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-title-description[_ngcontent-%COMP%]   .fu-upload-title[_ngcontent-%COMP%]{color:var(--fu-black-200, #696A6B);margin-top:16px;margin-bottom:4px}[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-title-description[_ngcontent-%COMP%]   .fu-upload-description[_ngcontent-%COMP%]{color:var(--fu-black-200, #696A6B);display:flex;align-items:center;gap:5px}[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-disabled-overlay[_ngcontent-%COMP%]{width:100%;height:100%;position:absolute;background-color:var(--fu-white, #ffffff);opacity:.5;border-radius:8px;visibility:hidden}[_nghost-%COMP%]   .fu-files-selector-wrapper.fu-file-drag-over[_ngcontent-%COMP%]:not(.fu-loading){background:var(--fu-light-100, #F1F3F4);border-color:var(--fu-light-400, #DDDFE1)}[_nghost-%COMP%]   .fu-files-selector-wrapper.fu-file-drag-over[_ngcontent-%COMP%]:not(.fu-loading)   .fu-upload-icon[_ngcontent-%COMP%]{background-color:var(--fu-white, #ffffff)}[_nghost-%COMP%]   .fu-files-selector-wrapper.fu-file-drag-drop-loading[_ngcontent-%COMP%]   .fu-upload-icon[_ngcontent-%COMP%] > div[_ngcontent-%COMP%]{width:24px;height:24px;animation:_ngcontent-%COMP%_spin 1s linear infinite;background-image:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M12.257 23.93c6.335 0 11.687-5.351 11.687-11.687h-2.338c0 5.07-4.28 9.35-9.35 9.35-5.068 0-9.349-4.28-9.349-9.35 0-5.067 4.28-9.35 9.35-9.35V.558C5.92.557.57 5.909.57 12.243.57 18.58 5.92 23.93 12.257 23.93Z' fill='%2353575B'/%3E%3C/svg%3E\")}[_nghost-%COMP%]   .fu-files-selector-wrapper.fu-file-drag-drop-loading[_ngcontent-%COMP%]   .fu-disabled-overlay[_ngcontent-%COMP%]{opacity:0;visibility:visible}[_nghost-%COMP%]   .fu-files-selector-wrapper.fu-file-drag-drop-disabled[_ngcontent-%COMP%]   .fu-disabled-overlay[_ngcontent-%COMP%]{visibility:visible}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]{padding:24px;background:var(--fu-white, #ffffff);border:1px solid var(--fu-light-400, #DDDFE1);border-radius:8px;display:flex;align-items:center;gap:16px}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-icon[_ngcontent-%COMP%]{width:80px;height:80px;background-image:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 81 80'%3E%3Cpath d='M19.24 9h34.445l6.19 6.315 9.884 9.76V71H19.241V9Z' fill='%23EDEFF0'/%3E%3Cpath d='M53.685 9 69.76 25.074H55.981a2.296 2.296 0 0 1-2.296-2.296V9Z' fill='%2353575B'/%3E%3Crect x='9.5' y='40' width='40' height='21' rx='4' fill='%2353575B'/%3E%3Cpath d='M24.407 48.552h1.045a2.875 2.875 0 0 0-.374-1.1 2.697 2.697 0 0 0-.715-.803 3.134 3.134 0 0 0-.979-.484A4.038 4.038 0 0 0 22.218 46c-.601 0-1.137.11-1.606.33-.462.213-.85.506-1.166.88a3.928 3.928 0 0 0-.704 1.32 5.186 5.186 0 0 0-.242 1.606c0 .572.073 1.107.22 1.606.154.499.381.931.682 1.298.3.367.678.656 1.133.869.455.205.986.308 1.595.308 1.005 0 1.797-.275 2.376-.825.58-.55.92-1.32 1.023-2.31h-1.045a2.997 2.997 0 0 1-.198.902 2.114 2.114 0 0 1-1.155 1.199c-.264.11-.568.165-.913.165-.47 0-.873-.088-1.21-.264a2.439 2.439 0 0 1-.836-.704c-.213-.3-.37-.649-.473-1.045a5.153 5.153 0 0 1-.154-1.276c0-.41.051-.807.154-1.188a3.06 3.06 0 0 1 .473-1.012c.22-.3.495-.539.825-.715.337-.176.74-.264 1.21-.264.55 0 1.023.14 1.419.418.403.279.664.697.781 1.254ZM31.866 48.486h.99c-.014-.433-.099-.803-.253-1.111a2.087 2.087 0 0 0-.616-.781 2.485 2.485 0 0 0-.902-.451A4.197 4.197 0 0 0 29.963 46c-.359 0-.71.048-1.056.143a2.804 2.804 0 0 0-.913.418 2.071 2.071 0 0 0-.638.715c-.16.286-.242.627-.242 1.023 0 .36.07.66.21.902.146.235.337.429.571.583.242.147.514.268.814.363.301.088.605.169.913.242.316.066.624.132.924.198.301.066.569.154.803.264.242.103.433.238.572.407.147.169.22.389.22.66 0 .286-.058.52-.176.704-.117.183-.27.33-.462.44-.19.103-.407.176-.649.22-.234.044-.469.066-.704.066a3.36 3.36 0 0 1-.858-.11 2.196 2.196 0 0 1-.737-.341 1.855 1.855 0 0 1-.506-.583 1.851 1.851 0 0 1-.187-.858h-.99c0 .477.085.891.253 1.243.176.345.411.63.704.858.301.22.646.385 1.034.495a4.665 4.665 0 0 0 2.332.033c.367-.08.697-.213.99-.396.294-.19.532-.433.715-.726.191-.3.286-.66.286-1.078 0-.389-.073-.711-.22-.968-.139-.257-.33-.47-.572-.638a2.827 2.827 0 0 0-.803-.396c-.3-.103-.608-.19-.924-.264a22.87 22.87 0 0 0-.913-.198 5.366 5.366 0 0 1-.814-.242 1.703 1.703 0 0 1-.572-.363.852.852 0 0 1-.209-.594c0-.257.048-.47.143-.638.103-.176.235-.315.396-.418.17-.103.36-.176.572-.22.213-.044.43-.066.65-.066.542 0 .986.128 1.33.385.352.25.558.656.616 1.221ZM38.047 54.041l2.794-7.854h-1.089l-2.266 6.809h-.022l-2.244-6.809h-1.122l2.761 7.854h1.188Z' fill='%23fff'/%3E%3C/svg%3E\");background-repeat:no-repeat}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]{display:flex;flex-direction:column;justify-content:flex-start;gap:8px;width:calc(100% - 233px)}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-name[_ngcontent-%COMP%]{color:var(--fu-black-200, #696A6B)}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]{display:flex;align-items:center;gap:4px}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]   fusion-icon.fu-file-state-success-icon[_ngcontent-%COMP%]{width:16px;height:16px;display:none}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]   fusion-icon.fu-file-state-success-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]   fusion-icon.fu-file-state-success-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-positive-700, #1B9C71)}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]   fusion-icon.fu-file-state-error-icon[_ngcontent-%COMP%]{width:16px;height:16px;display:none}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]   fusion-icon.fu-file-state-error-icon[_ngcontent-%COMP%]     svg{width:16px;height:16px}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]   fusion-icon.fu-file-state-error-icon[_ngcontent-%COMP%]     svg *{fill:var(--fu-negative-500, #FF6A63)}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state[_ngcontent-%COMP%]   .fu-file-message[_ngcontent-%COMP%]{color:var(--fu-light-900, #7B838C);height:16px}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state.success[_ngcontent-%COMP%]   .fu-file-state-success-icon[_ngcontent-%COMP%]{display:block}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-info[_ngcontent-%COMP%]   .fu-file-state.error[_ngcontent-%COMP%]   .fu-file-state-error-icon[_ngcontent-%COMP%]{display:block}[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]   .fu-file-actions[_ngcontent-%COMP%]{display:flex;align-items:center;gap:4px;margin-left:auto}.small[_nghost-%COMP%]{width:620px;height:96px;display:block}.small[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]{padding:0 24px;display:flex;flex-direction:row;justify-content:flex-start;align-items:center;gap:16px}.small[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-title-description[_ngcontent-%COMP%]{align-items:start}.small[_nghost-%COMP%]   .fu-files-selector-wrapper[_ngcontent-%COMP%]   .fu-title-description[_ngcontent-%COMP%]   .fu-upload-title[_ngcontent-%COMP%]{margin:0}.small[_nghost-%COMP%]   .fu-file-result-wrapper[_ngcontent-%COMP%]{width:100%;height:100%;padding:0 24px}[_nghost-%COMP%]   .fu-error-msg[_ngcontent-%COMP%]{color:var(--fu-negative-700, #DA564F);margin-top:3px}[_nghost-%COMP%]   .fu-helper-text[_ngcontent-%COMP%]{color:var(--fu-black-200, #696A6B);margin-top:3px}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(FileCsvUploadComponent, [{
        type: Component,
        args: [{ selector: 'fusion-file-csv-upload', template: "<ng-container *ngIf=\"fileState as fileState\">\n    <div class=\"fu-files-selector-wrapper\"\n         fusionFileDragAndDrop\n         [buttonId]=\"buttonId\"\n         [disabled]=\"disabled\"\n         [loading]=\"loading\"\n         accept=\".csv\"\n         [multiple]=\"false\"\n         (handleFiles)=\"handleSelectedFiles($event)\"\n         *ngIf=\"!fileState?.state\"\n    >\n        <div class=\"fu-upload-icon\">\n            <div></div>\n        </div>\n        <div class=\"fu-title-description\">\n            <div class=\"fu-upload-title\">{{title}}</div>\n            <div class=\"fu-upload-description\">Drag & drop your file here or <fusion-button [id]=\"buttonId\" class=\"fu-link-button\">browse</fusion-button></div>\n        </div>\n\n        <div class=\"fu-disabled-overlay\"></div>\n    </div>\n\n    <div class=\"fu-file-result-wrapper\" *ngIf=\"fileState?.state\">\n        <div class=\"fu-file-icon\"></div>\n        <div class=\"fu-file-info\">\n            <div class=\"fu-file-name truncate\" [fusionTooltip]=\"fileState.name\">{{fileState.name}}</div>\n            <div class=\"fu-file-state {{fileState.state}}\">\n                <fusion-icon class=\"fu-file-state-success-icon\" [name]=\"successIcon\"></fusion-icon>\n                <fusion-icon class=\"fu-file-state-error-icon\" [name]=\"errorIcon\"></fusion-icon>\n                <div class=\"fu-file-message\" >{{fileStateMessage}}</div>\n            </div>\n        </div>\n        <div class=\"fu-file-actions\">\n            <fusion-button class=\"transparent secondary\" (click)=\"onReplace()\">Replace</fusion-button>\n            <fusion-button class=\"transparent secondary\" icon=\"delete\" (click)=\"onDelete()\"></fusion-button>\n        </div>\n    </div>\n</ng-container>\n<!--errors holder-->\n<div class=\"fu-error-msg\" *ngIf=\"error\">{{ error }}</div>\n<!--helper holder-->\n<div class=\"fu-helper-text\" *ngIf=\"helper\">{{helper}}</div>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}:host .fu-helper-text,:host .fu-error-msg,:host .fu-file-result-wrapper .fu-file-info .fu-file-state .fu-file-message,.font-caption,.font-bodyXSmall,:host .fu-files-selector-wrapper .fu-title-description .fu-upload-description,.font-bodySmall,:host .fu-file-result-wrapper .fu-file-info .fu-file-name,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,.font-bodyMediumStrong,:host .fu-files-selector-wrapper .fu-title-description .fu-upload-title,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge{font-size:16px}:host .fu-files-selector-wrapper .fu-title-description .fu-upload-title,.font-bodyLargeStrong{font-size:16px}:host .fu-file-result-wrapper .fu-file-info .fu-file-name,.font-bodyMedium{font-size:14px}.font-bodyMediumStrong{font-size:14px}:host .fu-files-selector-wrapper .fu-title-description .fu-upload-description,.font-bodySmall{font-size:13px;letter-spacing:.24px}.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}:host .fu-helper-text,:host .fu-error-msg,:host .fu-file-result-wrapper .fu-file-info .fu-file-state .fu-file-message,.font-caption{font-size:11px}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .fu-file-result-wrapper .fu-file-info .fu-file-name{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}@keyframes spin{to{transform:rotate(360deg)}}:host .fu-files-selector-wrapper{position:relative;width:100%;height:100%;background:var(--fu-white, #ffffff);border:1px dashed var(--fu-light-700, #A9AFB4);border-radius:8px;display:flex;flex-direction:column;justify-content:center;align-items:center}:host .fu-files-selector-wrapper .fu-upload-icon{width:56px;height:56px;border-radius:50%;background-color:var(--fu-light-100, #F1F3F4);display:flex;flex-direction:column;justify-content:center;align-items:center}:host .fu-files-selector-wrapper .fu-upload-icon>div{width:26px;height:31px;background-image:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 26 31'%3E%3Cpath d='M.443.148h16.773l3.014 3.075 4.814 4.752V30.34H.444V.148Z' fill='%2353575B'/%3E%3Cpath d='M9.142 16.933h1.247V20.8c0 .426.352.774.784.774h3.136a.781.781 0 0 0 .784-.774v-3.867h1.246c.698 0 1.05-.835.557-1.322l-3.599-3.55a.788.788 0 0 0-1.105 0l-3.599 3.55c-.494.487-.149 1.322.55 1.322Z' fill='%23F7F8F9'/%3E%3Cpath d='m17.216.148 7.828 7.827h-5.531a2.296 2.296 0 0 1-2.297-2.296V.148Z' fill='%23DDDFE1'/%3E%3C/svg%3E\");background-repeat:no-repeat}:host .fu-files-selector-wrapper .fu-title-description{display:flex;flex-direction:column;justify-content:center;align-items:center}:host .fu-files-selector-wrapper .fu-title-description .fu-upload-title{color:var(--fu-black-200, #696A6B);margin-top:16px;margin-bottom:4px}:host .fu-files-selector-wrapper .fu-title-description .fu-upload-description{color:var(--fu-black-200, #696A6B);display:flex;align-items:center;gap:5px}:host .fu-files-selector-wrapper .fu-disabled-overlay{width:100%;height:100%;position:absolute;background-color:var(--fu-white, #ffffff);opacity:.5;border-radius:8px;visibility:hidden}:host .fu-files-selector-wrapper.fu-file-drag-over:not(.fu-loading){background:var(--fu-light-100, #F1F3F4);border-color:var(--fu-light-400, #DDDFE1)}:host .fu-files-selector-wrapper.fu-file-drag-over:not(.fu-loading) .fu-upload-icon{background-color:var(--fu-white, #ffffff)}:host .fu-files-selector-wrapper.fu-file-drag-drop-loading .fu-upload-icon>div{width:24px;height:24px;animation:spin 1s linear infinite;background-image:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M12.257 23.93c6.335 0 11.687-5.351 11.687-11.687h-2.338c0 5.07-4.28 9.35-9.35 9.35-5.068 0-9.349-4.28-9.349-9.35 0-5.067 4.28-9.35 9.35-9.35V.558C5.92.557.57 5.909.57 12.243.57 18.58 5.92 23.93 12.257 23.93Z' fill='%2353575B'/%3E%3C/svg%3E\")}:host .fu-files-selector-wrapper.fu-file-drag-drop-loading .fu-disabled-overlay{opacity:0;visibility:visible}:host .fu-files-selector-wrapper.fu-file-drag-drop-disabled .fu-disabled-overlay{visibility:visible}:host .fu-file-result-wrapper{padding:24px;background:var(--fu-white, #ffffff);border:1px solid var(--fu-light-400, #DDDFE1);border-radius:8px;display:flex;align-items:center;gap:16px}:host .fu-file-result-wrapper .fu-file-icon{width:80px;height:80px;background-image:url(\"data:image/svg+xml,%3Csvg fill='none' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 81 80'%3E%3Cpath d='M19.24 9h34.445l6.19 6.315 9.884 9.76V71H19.241V9Z' fill='%23EDEFF0'/%3E%3Cpath d='M53.685 9 69.76 25.074H55.981a2.296 2.296 0 0 1-2.296-2.296V9Z' fill='%2353575B'/%3E%3Crect x='9.5' y='40' width='40' height='21' rx='4' fill='%2353575B'/%3E%3Cpath d='M24.407 48.552h1.045a2.875 2.875 0 0 0-.374-1.1 2.697 2.697 0 0 0-.715-.803 3.134 3.134 0 0 0-.979-.484A4.038 4.038 0 0 0 22.218 46c-.601 0-1.137.11-1.606.33-.462.213-.85.506-1.166.88a3.928 3.928 0 0 0-.704 1.32 5.186 5.186 0 0 0-.242 1.606c0 .572.073 1.107.22 1.606.154.499.381.931.682 1.298.3.367.678.656 1.133.869.455.205.986.308 1.595.308 1.005 0 1.797-.275 2.376-.825.58-.55.92-1.32 1.023-2.31h-1.045a2.997 2.997 0 0 1-.198.902 2.114 2.114 0 0 1-1.155 1.199c-.264.11-.568.165-.913.165-.47 0-.873-.088-1.21-.264a2.439 2.439 0 0 1-.836-.704c-.213-.3-.37-.649-.473-1.045a5.153 5.153 0 0 1-.154-1.276c0-.41.051-.807.154-1.188a3.06 3.06 0 0 1 .473-1.012c.22-.3.495-.539.825-.715.337-.176.74-.264 1.21-.264.55 0 1.023.14 1.419.418.403.279.664.697.781 1.254ZM31.866 48.486h.99c-.014-.433-.099-.803-.253-1.111a2.087 2.087 0 0 0-.616-.781 2.485 2.485 0 0 0-.902-.451A4.197 4.197 0 0 0 29.963 46c-.359 0-.71.048-1.056.143a2.804 2.804 0 0 0-.913.418 2.071 2.071 0 0 0-.638.715c-.16.286-.242.627-.242 1.023 0 .36.07.66.21.902.146.235.337.429.571.583.242.147.514.268.814.363.301.088.605.169.913.242.316.066.624.132.924.198.301.066.569.154.803.264.242.103.433.238.572.407.147.169.22.389.22.66 0 .286-.058.52-.176.704-.117.183-.27.33-.462.44-.19.103-.407.176-.649.22-.234.044-.469.066-.704.066a3.36 3.36 0 0 1-.858-.11 2.196 2.196 0 0 1-.737-.341 1.855 1.855 0 0 1-.506-.583 1.851 1.851 0 0 1-.187-.858h-.99c0 .477.085.891.253 1.243.176.345.411.63.704.858.301.22.646.385 1.034.495a4.665 4.665 0 0 0 2.332.033c.367-.08.697-.213.99-.396.294-.19.532-.433.715-.726.191-.3.286-.66.286-1.078 0-.389-.073-.711-.22-.968-.139-.257-.33-.47-.572-.638a2.827 2.827 0 0 0-.803-.396c-.3-.103-.608-.19-.924-.264a22.87 22.87 0 0 0-.913-.198 5.366 5.366 0 0 1-.814-.242 1.703 1.703 0 0 1-.572-.363.852.852 0 0 1-.209-.594c0-.257.048-.47.143-.638.103-.176.235-.315.396-.418.17-.103.36-.176.572-.22.213-.044.43-.066.65-.066.542 0 .986.128 1.33.385.352.25.558.656.616 1.221ZM38.047 54.041l2.794-7.854h-1.089l-2.266 6.809h-.022l-2.244-6.809h-1.122l2.761 7.854h1.188Z' fill='%23fff'/%3E%3C/svg%3E\");background-repeat:no-repeat}:host .fu-file-result-wrapper .fu-file-info{display:flex;flex-direction:column;justify-content:flex-start;gap:8px;width:calc(100% - 233px)}:host .fu-file-result-wrapper .fu-file-info .fu-file-name{color:var(--fu-black-200, #696A6B)}:host .fu-file-result-wrapper .fu-file-info .fu-file-state{display:flex;align-items:center;gap:4px}:host .fu-file-result-wrapper .fu-file-info .fu-file-state fusion-icon.fu-file-state-success-icon{width:16px;height:16px;display:none}:host .fu-file-result-wrapper .fu-file-info .fu-file-state fusion-icon.fu-file-state-success-icon ::ng-deep svg{width:16px;height:16px}:host .fu-file-result-wrapper .fu-file-info .fu-file-state fusion-icon.fu-file-state-success-icon ::ng-deep svg *{fill:var(--fu-positive-700, #1B9C71)}:host .fu-file-result-wrapper .fu-file-info .fu-file-state fusion-icon.fu-file-state-error-icon{width:16px;height:16px;display:none}:host .fu-file-result-wrapper .fu-file-info .fu-file-state fusion-icon.fu-file-state-error-icon ::ng-deep svg{width:16px;height:16px}:host .fu-file-result-wrapper .fu-file-info .fu-file-state fusion-icon.fu-file-state-error-icon ::ng-deep svg *{fill:var(--fu-negative-500, #FF6A63)}:host .fu-file-result-wrapper .fu-file-info .fu-file-state .fu-file-message{color:var(--fu-light-900, #7B838C);height:16px}:host .fu-file-result-wrapper .fu-file-info .fu-file-state.success .fu-file-state-success-icon{display:block}:host .fu-file-result-wrapper .fu-file-info .fu-file-state.error .fu-file-state-error-icon{display:block}:host .fu-file-result-wrapper .fu-file-actions{display:flex;align-items:center;gap:4px;margin-left:auto}:host.small{width:620px;height:96px;display:block}:host.small .fu-files-selector-wrapper{padding:0 24px;display:flex;flex-direction:row;justify-content:flex-start;align-items:center;gap:16px}:host.small .fu-files-selector-wrapper .fu-title-description{align-items:start}:host.small .fu-files-selector-wrapper .fu-title-description .fu-upload-title{margin:0}:host.small .fu-file-result-wrapper{width:100%;height:100%;padding:0 24px}:host .fu-error-msg{color:var(--fu-negative-700, #DA564F);margin-top:3px}:host .fu-helper-text{color:var(--fu-black-200, #696A6B);margin-top:3px}\n"] }]
    }], () => [{ type: i1.UniqueIdService }], { buttonId: [{
            type: Input
        }], disabled: [{
            type: Input
        }], loading: [{
            type: Input
        }], title: [{
            type: Input
        }], error: [{
            type: Input
        }], helper: [{
            type: Input
        }], fileState: [{
            type: Input
        }], handleFiles: [{
            type: Output
        }], replaceFile: [{
            type: Output
        }], deleteFile: [{
            type: Output
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(FileCsvUploadComponent, { className: "FileCsvUploadComponent", filePath: "file-csv-upload.component.ts", lineNumber: 12 }); })();

class FileCsvUploadModule {
    static { this.ɵfac = function FileCsvUploadModule_Factory(t) { return new (t || FileCsvUploadModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: FileCsvUploadModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ providers: [UniqueIdService], imports: [CommonModule, FileDragAndDropModule, ButtonModule, IconModule, TooltipModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(FileCsvUploadModule, [{
        type: NgModule,
        args: [{
                declarations: [FileCsvUploadComponent],
                imports: [CommonModule, FileDragAndDropModule, ButtonModule, IconModule, TooltipModule],
                exports: [FileCsvUploadComponent],
                providers: [UniqueIdService]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(FileCsvUploadModule, { declarations: [FileCsvUploadComponent], imports: [CommonModule, FileDragAndDropModule, ButtonModule, IconModule, TooltipModule], exports: [FileCsvUploadComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { FileCsvUploadComponent, FileCsvUploadModule };
//# sourceMappingURL=ironsource-fusion-ui-components-file-csv-upload-v3.mjs.map
