import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, HostBinding } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';

function FloatingToolbarComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 6);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r0.counter);
} }
function FloatingToolbarComponent_div_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 7);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r1.label);
} }
const _c0 = ["*"];
class FloatingToolbarComponent {
    constructor() {
        this.closeButtonClicked = new EventEmitter();
        /** @internal */
        this.closeIcon = { iconName: 'close', iconVersion: 'v3' };
    }
    get isOpen() {
        return this.shown;
    }
    /** @internal */
    closeClicked() {
        this.closeButtonClicked.emit(this.shown);
    }
    static { this.ɵfac = function FloatingToolbarComponent_Factory(t) { return new (t || FloatingToolbarComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: FloatingToolbarComponent, selectors: [["fusion-floating-toolbar"]], hostVars: 2, hostBindings: function FloatingToolbarComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵclassProp("fu-open", ctx.isOpen);
        } }, inputs: { counter: "counter", label: "label", shown: "shown" }, outputs: { closeButtonClicked: "closeButtonClicked" }, standalone: true, features: [i0.ɵɵStandaloneFeature], ngContentSelectors: _c0, decls: 7, vars: 4, consts: [[1, "fu-floating-bar", 3, "hidden"], ["class", "fu-floating-bar-counter", 4, "ngIf"], ["class", "fu-floating-bar-label", 4, "ngIf"], [1, "fu-floating-bar-content"], [1, "fu-floating-bar-close", 3, "click"], [1, "fu-floating-bar-close-icon", 3, "name"], [1, "fu-floating-bar-counter"], [1, "fu-floating-bar-label"]], template: function FloatingToolbarComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef();
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵtemplate(1, FloatingToolbarComponent_div_1_Template, 2, 1, "div", 1)(2, FloatingToolbarComponent_div_2_Template, 2, 1, "div", 2);
            i0.ɵɵelementStart(3, "div", 3);
            i0.ɵɵprojection(4);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(5, "div", 4);
            i0.ɵɵlistener("click", function FloatingToolbarComponent_Template_div_click_5_listener() { return ctx.closeClicked(); });
            i0.ɵɵelement(6, "fusion-icon", 5);
            i0.ɵɵelementEnd()();
        } if (rf & 2) {
            i0.ɵɵproperty("hidden", ctx.shown);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !!ctx.counter);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.label);
            i0.ɵɵadvance(4);
            i0.ɵɵproperty("name", ctx.closeIcon);
        } }, dependencies: [CommonModule, i1.NgIf, IconModule, i2.IconComponent], styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6[_ngcontent-%COMP%], .font-heading-5[_ngcontent-%COMP%], .font-heading-4[_ngcontent-%COMP%], .font-heading-3[_ngcontent-%COMP%], .font-heading-2[_ngcontent-%COMP%], .font-heading-1[_ngcontent-%COMP%]{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1[_ngcontent-%COMP%]{font-size:60px}.font-heading-2[_ngcontent-%COMP%]{font-size:32px}.font-heading-3[_ngcontent-%COMP%]{font-size:22px}.font-heading-4[_ngcontent-%COMP%]{font-size:18px}.font-heading-5[_ngcontent-%COMP%]{font-size:15px}.font-heading-6[_ngcontent-%COMP%]{font-size:13px}.font-heading-label[_ngcontent-%COMP%]{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption[_ngcontent-%COMP%], .font-bodyXSmall[_ngcontent-%COMP%], .font-bodySmall[_ngcontent-%COMP%], .font-bodyMedium[_ngcontent-%COMP%], .font-bodyLarge[_ngcontent-%COMP%]{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-counter[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge[_ngcontent-%COMP%], .font-bodyLargeStrong[_ngcontent-%COMP%]{font-size:16px}.font-bodyMedium[_ngcontent-%COMP%]{font-size:14px}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-counter[_ngcontent-%COMP%], .font-bodyMediumStrong[_ngcontent-%COMP%]{font-size:14px}.font-bodySmall[_ngcontent-%COMP%], .font-bodySmallStrong[_ngcontent-%COMP%]{font-size:13px;letter-spacing:.24px}.font-bodyXSmall[_ngcontent-%COMP%], .font-bodyXSmallStrong[_ngcontent-%COMP%]{font-size:12px;letter-spacing:.24px}.font-caption[_ngcontent-%COMP%]{font-size:11px}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}[_nghost-%COMP%]{position:fixed;z-index:3010;bottom:2.5rem;left:50%;transform:translate(-50%,200%);transition:transform .5s}.fu-open[_nghost-%COMP%]{transform:translate(-50%)}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]{display:flex;align-items:center;gap:var(--floating-toolbar-gap, 8px);height:3.5rem;background-color:var(--floating-toolbar-background-color, var(--fu-black-900, #41454D));box-shadow:0 8px 24px -6px #00000029,0 0 1px #0006;border-radius:12px;overflow:hidden;padding:12px 0 12px 12px}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-counter[_ngcontent-%COMP%]{height:32px;min-width:32px;padding:0 5px;display:flex;align-items:center;justify-content:center;border-radius:16px;background-color:var(--floating-toolbar-counter-background-color, var(--fu-black-500, #53575B));color:var(--floating-toolbar-counter-color, var(--fu-white, #ffffff))}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-label[_ngcontent-%COMP%]{color:var(--floating-toolbar-label-color, var(--fu-white, #ffffff))}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-content[_ngcontent-%COMP%]{display:flex;align-items:center;justify-content:center;gap:var(--floating-toolbar-gap, 8px);margin-left:8px;margin-right:17px}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-close[_ngcontent-%COMP%]{width:3.5rem;height:3.5rem;display:flex;align-items:center;justify-content:center;border-left:solid 1px var(--floating-toolbar-close-inner-border-color, #000000);position:relative}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-close[_ngcontent-%COMP%]   fusion-icon[class^=fu-floating-bar-close-icon][_ngcontent-%COMP%]{width:1em;height:1em}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-close[_ngcontent-%COMP%]   fusion-icon[class^=fu-floating-bar-close-icon][_ngcontent-%COMP%]     svg{width:1rem;height:1rem}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-close[_ngcontent-%COMP%]   fusion-icon[class^=fu-floating-bar-close-icon][_ngcontent-%COMP%]     svg *{fill:var(--floating-toolbar-close-icon-color, var(--fu-light-600, #B7BBC0))}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-close[_ngcontent-%COMP%]:hover{cursor:pointer}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-close[_ngcontent-%COMP%]:hover   fusion-icon[class^=fu-floating-bar-close-icon][_ngcontent-%COMP%]     svg{width:1rem;height:1rem}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-close[_ngcontent-%COMP%]:hover   fusion-icon[class^=fu-floating-bar-close-icon][_ngcontent-%COMP%]     svg *{fill:var(--floating-toolbar-close-icon-hover-color, var(--fu-light-100, #F1F3F4))}[_nghost-%COMP%]   .fu-floating-bar[_ngcontent-%COMP%]   .fu-floating-bar-close[_ngcontent-%COMP%]:before{position:absolute;left:-2px;content:\"\";height:3.5rem;width:1px;background-color:var(--floating-toolbar-close-external-border-color, var(--fu-white, #ffffff));opacity:.2}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(FloatingToolbarComponent, [{
        type: Component,
        args: [{ selector: 'fusion-floating-toolbar', standalone: true, imports: [CommonModule, IconModule], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-floating-bar\" [hidden]=\"shown\">\n    <div class=\"fu-floating-bar-counter\" *ngIf=\"!!counter\">{{counter}}</div>\n    <div class=\"fu-floating-bar-label\" *ngIf=\"label\">{{label}}</div>\n    <div class=\"fu-floating-bar-content\"><ng-content></ng-content></div>\n    <div class=\"fu-floating-bar-close\" (click)=\"closeClicked()\">\n        <fusion-icon class=\"fu-floating-bar-close-icon\" [name]=\"closeIcon\"></fusion-icon>\n    </div>\n</div>\n", styles: ["@font-face{font-family:NHaasGroteskDSPro;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-75Bd.ttf) format(\"truetype\")}@font-face{font-family:NHaasGroteskDSPro-65Md;src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot);src:url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/NHaasGroteskDSPro-65Md.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue.ttf) format(\"truetype\")}@font-face{font-family:HelveticaNeue-Medium;src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot);src:url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.eot?#iefix) format(\"embedded-opentype\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff2) format(\"woff2\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.woff) format(\"woff\"),url(https://fusion.ironsrc.net/assets/fonts/HelveticaNeue-Medium.ttf) format(\"truetype\")}.font-heading-6,.font-heading-5,.font-heading-4,.font-heading-3,.font-heading-2,.font-heading-1{font-family:NHaasGroteskDSPro,sans-serif}.font-heading-1{font-size:60px}.font-heading-2{font-size:32px}.font-heading-3{font-size:22px}.font-heading-4{font-size:18px}.font-heading-5{font-size:15px}.font-heading-6{font-size:13px}.font-heading-label{font-size:11px;font-family:NHaasGroteskDSPro-65Md,sans-serif;letter-spacing:.25px}.font-caption,.font-bodyXSmall,.font-bodySmall,.font-bodyMedium,.font-bodyLarge{font-family:HelveticaNeue,helvetica,sans-serif;line-height:1.5}.font-bodyXSmallStrong,.font-bodySmallStrong,:host .fu-floating-bar .fu-floating-bar-label,:host .fu-floating-bar .fu-floating-bar-counter,.font-bodyMediumStrong,.font-bodyLargeStrong{font-family:HelveticaNeue-Medium,helvetica,sans-serif;line-height:1.5}.font-bodyLarge,.font-bodyLargeStrong{font-size:16px}.font-bodyMedium{font-size:14px}:host .fu-floating-bar .fu-floating-bar-label,:host .fu-floating-bar .fu-floating-bar-counter,.font-bodyMediumStrong{font-size:14px}.font-bodySmall,.font-bodySmallStrong{font-size:13px;letter-spacing:.24px}.font-bodyXSmall,.font-bodyXSmallStrong{font-size:12px;letter-spacing:.24px}.font-caption{font-size:11px}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}:host{position:fixed;z-index:3010;bottom:2.5rem;left:50%;transform:translate(-50%,200%);transition:transform .5s}:host.fu-open{transform:translate(-50%)}:host .fu-floating-bar{display:flex;align-items:center;gap:var(--floating-toolbar-gap, 8px);height:3.5rem;background-color:var(--floating-toolbar-background-color, var(--fu-black-900, #41454D));box-shadow:0 8px 24px -6px #00000029,0 0 1px #0006;border-radius:12px;overflow:hidden;padding:12px 0 12px 12px}:host .fu-floating-bar .fu-floating-bar-counter{height:32px;min-width:32px;padding:0 5px;display:flex;align-items:center;justify-content:center;border-radius:16px;background-color:var(--floating-toolbar-counter-background-color, var(--fu-black-500, #53575B));color:var(--floating-toolbar-counter-color, var(--fu-white, #ffffff))}:host .fu-floating-bar .fu-floating-bar-label{color:var(--floating-toolbar-label-color, var(--fu-white, #ffffff))}:host .fu-floating-bar .fu-floating-bar-content{display:flex;align-items:center;justify-content:center;gap:var(--floating-toolbar-gap, 8px);margin-left:8px;margin-right:17px}:host .fu-floating-bar .fu-floating-bar-close{width:3.5rem;height:3.5rem;display:flex;align-items:center;justify-content:center;border-left:solid 1px var(--floating-toolbar-close-inner-border-color, #000000);position:relative}:host .fu-floating-bar .fu-floating-bar-close fusion-icon[class^=fu-floating-bar-close-icon]{width:1em;height:1em}:host .fu-floating-bar .fu-floating-bar-close fusion-icon[class^=fu-floating-bar-close-icon] ::ng-deep svg{width:1rem;height:1rem}:host .fu-floating-bar .fu-floating-bar-close fusion-icon[class^=fu-floating-bar-close-icon] ::ng-deep svg *{fill:var(--floating-toolbar-close-icon-color, var(--fu-light-600, #B7BBC0))}:host .fu-floating-bar .fu-floating-bar-close:hover{cursor:pointer}:host .fu-floating-bar .fu-floating-bar-close:hover fusion-icon[class^=fu-floating-bar-close-icon] ::ng-deep svg{width:1rem;height:1rem}:host .fu-floating-bar .fu-floating-bar-close:hover fusion-icon[class^=fu-floating-bar-close-icon] ::ng-deep svg *{fill:var(--floating-toolbar-close-icon-hover-color, var(--fu-light-100, #F1F3F4))}:host .fu-floating-bar .fu-floating-bar-close:before{position:absolute;left:-2px;content:\"\";height:3.5rem;width:1px;background-color:var(--floating-toolbar-close-external-border-color, var(--fu-white, #ffffff));opacity:.2}\n"] }]
    }], null, { counter: [{
            type: Input
        }], label: [{
            type: Input
        }], shown: [{
            type: Input
        }], closeButtonClicked: [{
            type: Output
        }], isOpen: [{
            type: HostBinding,
            args: ['class.fu-open']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(FloatingToolbarComponent, { className: "FloatingToolbarComponent", filePath: "v3/floating-toolbar.component.ts", lineNumber: 13 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { FloatingToolbarComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-floating-toolbar.mjs.map
