import * as i0 from '@angular/core';
import { Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { IconStatusBaseComponent } from '@ironsource/fusion-ui/components/icon-status/common/base';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i3 from '@ironsource/fusion-ui/components/tooltip/v1';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v1';

const _c0 = a0 => ({ color: a0 });
const _c1 = () => ({ iconName: "loading", iconVersion: "v1" });
const _c2 = () => ({ iconName: "status-dots", iconVersion: "v1" });
function IconStatusComponent_span_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 1);
    i0.ɵɵelement(1, "fusion-icon", 2);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("className", ctx_r0.color)("ngStyle", i0.ɵɵpureFunction1(4, _c0, ctx_r0.options == null ? null : ctx_r0.options.customColor))("fusionTooltip", ctx_r0.tooltip);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", (ctx_r0.options == null ? null : ctx_r0.options.animated) ? i0.ɵɵpureFunction0(6, _c1) : i0.ɵɵpureFunction0(7, _c2));
} }
class IconStatusComponent extends IconStatusBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵIconStatusComponent_BaseFactory; return function IconStatusComponent_Factory(t) { return (ɵIconStatusComponent_BaseFactory || (ɵIconStatusComponent_BaseFactory = i0.ɵɵgetInheritedFactory(IconStatusComponent)))(t || IconStatusComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: IconStatusComponent, selectors: [["fusion-icon-status"]], features: [i0.ɵɵInheritDefinitionFeature], decls: 1, vars: 1, consts: [[3, "className", "ngStyle", "fusionTooltip", 4, "ngIf"], [3, "className", "ngStyle", "fusionTooltip"], [1, "status-icon", 3, "name"]], template: function IconStatusComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵtemplate(0, IconStatusComponent_span_0_Template, 2, 8, "span", 0);
        } if (rf & 2) {
            i0.ɵɵproperty("ngIf", ctx.color || (ctx.options == null ? null : ctx.options.customColor));
        } }, dependencies: [i1.NgIf, i1.NgStyle, i2.IconComponent, i3.TooltipDirective], styles: ["[_nghost-%COMP%]{position:relative;display:inline-block;width:13px;height:13px}[_nghost-%COMP%]   .green[_ngcontent-%COMP%]{color:var(--icon-status-color-green, var(--positive-color, #13C7C8))}[_nghost-%COMP%]   .grey[_ngcontent-%COMP%]{color:var(--icon-status-color-grey, var(--light-color-900, #52677B))}[_nghost-%COMP%]   .red[_ngcontent-%COMP%]{color:var(--icon-status-color-red, var(--negative-color, #e1174c))}[_nghost-%COMP%]   .orange[_ngcontent-%COMP%]{color:var(--icon-status-color-orange, var(--neutral-color-700, #FF9403))}[_nghost-%COMP%]   fusion-icon[class^=status-icon][_ngcontent-%COMP%]     svg{width:9px;height:9px}[_nghost-%COMP%]   fusion-icon[class^=status-icon][_ngcontent-%COMP%]     svg *{fill:currentColor}.is-animated[_nghost-%COMP%]   fusion-icon[class^=status-icon][_ngcontent-%COMP%]{position:absolute;top:-2px}.is-animated[_nghost-%COMP%]   fusion-icon[class^=status-icon][_ngcontent-%COMP%]     svg{width:14px;height:14px}.is-animated[_nghost-%COMP%]   fusion-icon[class^=status-icon][_ngcontent-%COMP%]     svg *{fill:currentColor}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(IconStatusComponent, [{
        type: Component,
        args: [{ selector: 'fusion-icon-status', changeDetection: ChangeDetectionStrategy.OnPush, template: "<span [className]=\"color\" [ngStyle]=\"{color: options?.customColor}\" *ngIf=\"color || options?.customColor\" [fusionTooltip]=\"tooltip\">\n    <fusion-icon\n        class=\"status-icon\"\n        [name]=\"options?.animated ? {iconName: 'loading', iconVersion: 'v1'} : {iconName: 'status-dots', iconVersion: 'v1'}\"\n    ></fusion-icon>\n</span>\n", styles: [":host{position:relative;display:inline-block;width:13px;height:13px}:host .green{color:var(--icon-status-color-green, var(--positive-color, #13C7C8))}:host .grey{color:var(--icon-status-color-grey, var(--light-color-900, #52677B))}:host .red{color:var(--icon-status-color-red, var(--negative-color, #e1174c))}:host .orange{color:var(--icon-status-color-orange, var(--neutral-color-700, #FF9403))}:host fusion-icon[class^=status-icon] ::ng-deep svg{width:9px;height:9px}:host fusion-icon[class^=status-icon] ::ng-deep svg *{fill:currentColor}:host.is-animated fusion-icon[class^=status-icon]{position:absolute;top:-2px}:host.is-animated fusion-icon[class^=status-icon] ::ng-deep svg{width:14px;height:14px}:host.is-animated fusion-icon[class^=status-icon] ::ng-deep svg *{fill:currentColor}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(IconStatusComponent, { className: "IconStatusComponent", filePath: "icon-status.component.ts", lineNumber: 10 }); })();

class IconStatusModule {
    static { this.ɵfac = function IconStatusModule_Factory(t) { return new (t || IconStatusModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: IconStatusModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, TooltipModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(IconStatusModule, [{
        type: NgModule,
        args: [{
                imports: [CommonModule, IconModule, TooltipModule],
                declarations: [IconStatusComponent],
                exports: [IconStatusComponent]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(IconStatusModule, { declarations: [IconStatusComponent], imports: [CommonModule, IconModule, TooltipModule], exports: [IconStatusComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { IconStatusComponent, IconStatusModule };
//# sourceMappingURL=ironsource-fusion-ui-components-icon-status-v1.mjs.map
