import * as i0 from '@angular/core';
import { EventEmitter, Component, ChangeDetectionStrategy, Input, Output, HostBinding, ViewChild } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { BehaviorSubject, Subject } from 'rxjs';
import * as i1$1 from '@ironsource/fusion-ui/services/window';
import { NavigationMenuComponent } from '@ironsource/fusion-ui/components/navigation-menu/v4';
import * as i2 from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { IconButtonComponent } from '@ironsource/fusion-ui/components/button/v4';
import { SkeletonComponent } from '@ironsource/fusion-ui/components/skeleton';
import * as i2$1 from '@angular/router';
import { NavigationEnd } from '@angular/router';
import { takeUntil, filter } from 'rxjs/operators';

function LayoutHeaderComponent_For_3_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-skeleton", 10);
} if (rf & 2) {
    const skeleton_r9 = ctx.$implicit;
    let tmp_3_0;
    i0.ɵɵstyleProp("--fu-skeleton-width", skeleton_r9.width)("--fu-skeleton-height", skeleton_r9.height)("--fu-skeleton-border-radius", skeleton_r9.borderRadius);
    i0.ɵɵproperty("shape", (tmp_3_0 = skeleton_r9.shape) !== null && tmp_3_0 !== undefined ? tmp_3_0 : "rectangle");
} }
function LayoutHeaderComponent_For_5_For_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-skeleton", 10);
} if (rf & 2) {
    const skeleton_r20 = ctx.$implicit;
    i0.ɵɵstyleProp("--fu-skeleton-width", skeleton_r20 == null ? null : skeleton_r20.width)("--fu-skeleton-height", skeleton_r20 == null ? null : skeleton_r20.height)("--fu-skeleton-border-radius", skeleton_r20 == null ? null : skeleton_r20.borderRadius);
    i0.ɵɵproperty("shape", skeleton_r20 == null ? null : skeleton_r20.shape);
} }
function LayoutHeaderComponent_For_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 11);
    i0.ɵɵrepeaterCreate(1, LayoutHeaderComponent_For_5_For_2_Template, 1, 7, "fusion-skeleton", 12, i0.ɵɵrepeaterTrackByIdentity);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const teleportItem_r14 = ctx.$implicit;
    i0.ɵɵstyleProp("gap", teleportItem_r14 == null ? null : teleportItem_r14.skeletonsGap);
    i0.ɵɵclassProp("fu-flex-align-right", teleportItem_r14 == null ? null : teleportItem_r14.isOnRight)("fu-has-skeleton", teleportItem_r14 == null ? null : teleportItem_r14.skeletons == null ? null : teleportItem_r14.skeletons.length);
    i0.ɵɵproperty("id", teleportItem_r14.id);
    i0.ɵɵadvance();
    i0.ɵɵrepeater(teleportItem_r14 == null ? null : teleportItem_r14.skeletons);
} }
function LayoutHeaderComponent_fusion_icon_button_7_Template(rf, ctx) { if (rf & 1) {
    const _r26 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-icon-button", 13);
    i0.ɵɵlistener("click", function LayoutHeaderComponent_fusion_icon_button_7_Template_fusion_icon_button_click_0_listener() { i0.ɵɵrestoreView(_r26); const ctx_r25 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r25.backButtonClicked.emit(ctx_r25.headerContent == null ? null : ctx_r25.headerContent.hasBackButton)); });
    i0.ɵɵelementEnd();
} }
const _c0$1 = () => ({ iconName: "arrow-back", iconVersion: "v3" });
function LayoutHeaderComponent_div_8_Template(rf, ctx) { if (rf & 1) {
    const _r28 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 14)(1, "fusion-icon", 15);
    i0.ɵɵlistener("click", function LayoutHeaderComponent_div_8_Template_fusion_icon_click_1_listener() { i0.ɵɵrestoreView(_r28); const ctx_r27 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r27.backButtonClicked.emit(ctx_r27.headerContent == null ? null : ctx_r27.headerContent.hasBackButton)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", i0.ɵɵpureFunction0(1, _c0$1));
} }
function LayoutHeaderComponent_ng_container_11_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelement(1, "div", 16);
    i0.ɵɵelementStart(2, "div", 17);
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate(ctx_r4.headerContent == null ? null : ctx_r4.headerContent.subTitle);
} }
function LayoutHeaderComponent_div_12_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 18);
    i0.ɵɵelement(1, "fusion-dynamic-components", 19);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r5 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("fu-action-wrapper-after-teleports", ctx_r5.headerContent == null ? null : ctx_r5.headerContent.actionAlignRight)("fu-flex-align-right", (ctx_r5.headerContent == null ? null : ctx_r5.headerContent.actionAlignRight) && !ctx_r5.hasTeleportAlignRight);
    i0.ɵɵadvance();
    i0.ɵɵproperty("component", ctx_r5.headerContent.actionComponent)("componentData", ctx_r5.headerContent.actionData);
} }
function LayoutHeaderComponent_For_14_For_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-skeleton", 10);
} if (rf & 2) {
    const skeleton_r35 = ctx.$implicit;
    let tmp_3_0;
    i0.ɵɵstyleProp("--fu-skeleton-width", skeleton_r35.width)("--fu-skeleton-height", skeleton_r35.height)("--fu-skeleton-border-radius", skeleton_r35.borderRadius);
    i0.ɵɵproperty("shape", (tmp_3_0 = skeleton_r35.shape) !== null && tmp_3_0 !== undefined ? tmp_3_0 : "rectangle");
} }
function LayoutHeaderComponent_For_14_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 20);
    i0.ɵɵrepeaterCreate(1, LayoutHeaderComponent_For_14_For_2_Template, 1, 7, "fusion-skeleton", 12, i0.ɵɵrepeaterTrackByIdentity);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const teleportItem_r29 = ctx.$implicit;
    i0.ɵɵstyleProp("gap", teleportItem_r29 == null ? null : teleportItem_r29.skeletonsGap);
    i0.ɵɵclassProp("fu-flex-align-right", teleportItem_r29.isOnRight)("fu-has-skeleton", teleportItem_r29 == null ? null : teleportItem_r29.skeletons == null ? null : teleportItem_r29.skeletons.length);
    i0.ɵɵproperty("id", teleportItem_r29.id);
    i0.ɵɵadvance();
    i0.ɵɵrepeater(teleportItem_r29 == null ? null : teleportItem_r29.skeletons);
} }
function LayoutHeaderComponent_For_18_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-skeleton", 10);
} if (rf & 2) {
    const skeleton_r40 = ctx.$implicit;
    let tmp_3_0;
    i0.ɵɵstyleProp("--fu-skeleton-width", skeleton_r40.width)("--fu-skeleton-height", skeleton_r40.height)("--fu-skeleton-border-radius", skeleton_r40.borderRadius);
    i0.ɵɵproperty("shape", (tmp_3_0 = skeleton_r40.shape) !== null && tmp_3_0 !== undefined ? tmp_3_0 : "rectangle");
} }
function LayoutHeaderComponent_For_20_For_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-skeleton", 10);
} if (rf & 2) {
    const skeleton_r51 = ctx.$implicit;
    let tmp_3_0;
    i0.ɵɵstyleProp("--fu-skeleton-width", skeleton_r51.width)("--fu-skeleton-height", skeleton_r51.height)("--fu-skeleton-border-radius", skeleton_r51.borderRadius);
    i0.ɵɵproperty("shape", (tmp_3_0 = skeleton_r51.shape) !== null && tmp_3_0 !== undefined ? tmp_3_0 : "rectangle");
} }
function LayoutHeaderComponent_For_20_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 21);
    i0.ɵɵrepeaterCreate(1, LayoutHeaderComponent_For_20_For_2_Template, 1, 7, "fusion-skeleton", 12, i0.ɵɵrepeaterTrackByIdentity);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const teleportItem_r45 = ctx.$implicit;
    i0.ɵɵstyleProp("gap", teleportItem_r45 == null ? null : teleportItem_r45.skeletonsGap);
    i0.ɵɵclassProp("fu-flex-align-right", teleportItem_r45.isOnRight)("fu-has-skeleton", teleportItem_r45 == null ? null : teleportItem_r45.skeletons == null ? null : teleportItem_r45.skeletons.length);
    i0.ɵɵproperty("id", teleportItem_r45.id);
    i0.ɵɵadvance();
    i0.ɵɵrepeater(teleportItem_r45 == null ? null : teleportItem_r45.skeletons);
} }
class LayoutHeaderComponent {
    constructor() {
        this.backButtonClicked = new EventEmitter();
    }
    set headerContent(value) {
        this._headerContent = value;
    }
    get headerContent() {
        return this._headerContent;
    }
    set teleportElements(value) {
        this._teleportElements = value;
    }
    get teleportElements() {
        return this._teleportElements ?? [];
    }
    get hasTeleportAlignRight() {
        return this.teleportElements.some(element => element.isOnRight);
    }
    get isMultiline() {
        return this._headerContent?.multiline ?? false;
    }
    get hasTopLine() {
        return this.isMultiline && !!this._headerContent?.topRowContent?.show;
    }
    get teleportTopRowBaseSkeletons() {
        return this._headerContent?.topRowContent?.skeletons ?? [];
    }
    get teleportTopRowBaseSkeletonsGap() {
        return this._headerContent?.topRowContent?.skeletonsGap;
    }
    get teleportTopRowElements() {
        return this._headerContent?.topRowContent?.teleportElements ?? [];
    }
    get hasBottomLine() {
        return this.isMultiline && !!this._headerContent?.bottomRowContent?.show;
    }
    get bottomTopRowElements() {
        return this._headerContent?.bottomRowContent?.teleportElements ?? [];
    }
    get teleportBottomLineSkeletons() {
        return this.isMultiline && this._headerContent?.bottomRowContent?.skeletons ? this._headerContent.bottomRowContent.skeletons : [];
    }
    get teleportBottomLineSkeletonsGap() {
        return this._headerContent?.bottomRowContent?.skeletonsGap;
    }
    get isDrilldown() {
        return this.isMultiline && !!this._headerContent?.hasBackButton;
    }
    static { this.ɵfac = function LayoutHeaderComponent_Factory(t) { return new (t || LayoutHeaderComponent)(); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: LayoutHeaderComponent, selectors: [["fusion-layout-header"]], hostVars: 2, hostBindings: function LayoutHeaderComponent_HostBindings(rf, ctx) { if (rf & 2) {
            i0.ɵɵclassProp("fu-multiline-header", ctx.isMultiline);
        } }, inputs: { headerContent: "headerContent", teleportElements: "teleportElements" }, outputs: { backButtonClicked: "backButtonClicked" }, standalone: true, features: [i0.ɵɵStandaloneFeature], decls: 21, vars: 23, consts: [[1, "fu-header-top-row", 3, "hidden"], ["id", "pageHeaderTopTeleportSlot"], [1, "fu-header-main-row"], ["iconName", "ph/arrow-left", "size", "large", 3, "click", 4, "ngIf"], ["class", "fu-header-back-button", 4, "ngIf"], [1, "fu-page-title"], [4, "ngIf"], ["class", "fu-header-action-wrapper", 3, "fu-action-wrapper-after-teleports", "fu-flex-align-right", 4, "ngIf"], [1, "fu-header-bottom-row", 3, "hidden"], ["id", "pageHeaderBottomTeleportSlot"], [3, "shape"], [1, "fu-header-top-teleport-host", 3, "id"], [3, "shape", "--fu-skeleton-width", "--fu-skeleton-height", "--fu-skeleton-border-radius"], ["iconName", "ph/arrow-left", "size", "large", 3, "click"], [1, "fu-header-back-button"], [1, "fu-header-back-button-icon", 3, "name", "click"], [1, "fu-header-delimiter"], [1, "fu-page-subtitle"], [1, "fu-header-action-wrapper"], [3, "component", "componentData"], [1, "fu-header-teleport-host", 3, "id"], [1, "fu-header-bottom-teleport-host", 3, "id"], ["class", "fu-header-top-teleport-host", 3, "id", "fu-flex-align-right", "fu-has-skeleton", "gap"], ["class", "fu-header-teleport-host", 3, "id", "fu-flex-align-right", "fu-has-skeleton", "gap"], ["class", "fu-header-bottom-teleport-host", 3, "id", "fu-flex-align-right", "fu-has-skeleton", "gap"]], template: function LayoutHeaderComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0)(1, "div", 1);
            i0.ɵɵrepeaterCreate(2, LayoutHeaderComponent_For_3_Template, 1, 7, "fusion-skeleton", 12, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵelementEnd();
            i0.ɵɵrepeaterCreate(4, LayoutHeaderComponent_For_5_Template, 3, 7, "div", 22, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(6, "div", 2);
            i0.ɵɵtemplate(7, LayoutHeaderComponent_fusion_icon_button_7_Template, 1, 0, "fusion-icon-button", 3)(8, LayoutHeaderComponent_div_8_Template, 2, 2, "div", 4);
            i0.ɵɵelementStart(9, "div", 5);
            i0.ɵɵtext(10);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(11, LayoutHeaderComponent_ng_container_11_Template, 4, 1, "ng-container", 6)(12, LayoutHeaderComponent_div_12_Template, 2, 6, "div", 7);
            i0.ɵɵrepeaterCreate(13, LayoutHeaderComponent_For_14_Template, 3, 7, "div", 23, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(15, "div", 8)(16, "div", 9);
            i0.ɵɵrepeaterCreate(17, LayoutHeaderComponent_For_18_Template, 1, 7, "fusion-skeleton", 12, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵelementEnd();
            i0.ɵɵrepeaterCreate(19, LayoutHeaderComponent_For_20_Template, 3, 7, "div", 24, i0.ɵɵrepeaterTrackByIdentity);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵproperty("hidden", !ctx.hasTopLine);
            i0.ɵɵadvance();
            i0.ɵɵstyleProp("gap", ctx.teleportTopRowBaseSkeletonsGap);
            i0.ɵɵclassProp("fu-has-skeleton", ctx.teleportTopRowBaseSkeletons == null ? null : ctx.teleportTopRowBaseSkeletons.length);
            i0.ɵɵadvance();
            i0.ɵɵrepeater(ctx.teleportTopRowBaseSkeletons);
            i0.ɵɵadvance(2);
            i0.ɵɵrepeater(ctx.teleportTopRowElements);
            i0.ɵɵadvance(2);
            i0.ɵɵclassProp("fu-header-drilldown", ctx.isDrilldown)("fu-has-top-row", ctx.hasTopLine);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.isMultiline && (ctx.headerContent == null ? null : ctx.headerContent.hasBackButton));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.isMultiline && (ctx.headerContent == null ? null : ctx.headerContent.hasBackButton));
            i0.ɵɵadvance();
            i0.ɵɵclassProp("fu-page-has-subtitle", ctx.headerContent == null ? null : ctx.headerContent.subTitle)("fu-page-has-button-back", ctx.headerContent == null ? null : ctx.headerContent.hasBackButton);
            i0.ɵɵadvance();
            i0.ɵɵtextInterpolate1("", ctx.headerContent == null ? null : ctx.headerContent.title, " ");
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.headerContent == null ? null : ctx.headerContent.subTitle);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.headerContent == null ? null : ctx.headerContent.actionComponent);
            i0.ɵɵadvance();
            i0.ɵɵrepeater(ctx.teleportElements);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("hidden", !ctx.hasBottomLine);
            i0.ɵɵadvance();
            i0.ɵɵstyleProp("gap", ctx.teleportBottomLineSkeletonsGap);
            i0.ɵɵclassProp("fu-has-skeleton", ctx.teleportBottomLineSkeletons);
            i0.ɵɵadvance();
            i0.ɵɵrepeater(ctx.teleportBottomLineSkeletons);
            i0.ɵɵadvance(2);
            i0.ɵɵrepeater(ctx.bottomTopRowElements);
        } }, dependencies: [CommonModule, i1.NgIf, DynamicComponentsModule, i2.DynamicComponentsComponent, IconModule, i3.IconComponent, IconButtonComponent, SkeletonComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes _ngcontent-%COMP%_rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes _ngcontent-%COMP%_shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], [_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-title[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-title[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], [_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-subtitle[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-title[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}[_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-title[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}[_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-subtitle[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}.fusion-v4[_ngcontent-%COMP%]{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4[_ngcontent-%COMP%]{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row.fu-header-drilldown[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%], [_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]{width:40px;height:40px;padding:8px;margin-left:16px;border-radius:20px}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row.fu-header-drilldown[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-header-back-button-icon][_ngcontent-%COMP%], [_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-header-back-button-icon][_ngcontent-%COMP%]{width:24px;height:24px}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row.fu-header-drilldown[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-header-back-button-icon][_ngcontent-%COMP%]     svg, [_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-header-back-button-icon][_ngcontent-%COMP%]     svg{width:24px;height:24px}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row.fu-header-drilldown[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-header-back-button-icon][_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]   fusion-icon[class^=fu-header-back-button-icon][_ngcontent-%COMP%]     svg *{fill:var(--text-secondary, hsl(0, 0%, 39.3%))}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row.fu-header-drilldown[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]:hover{background-color:var(--action-hover, hsla(0, 0%, 0%, .05));cursor:pointer}[_nghost-%COMP%]{background:var(--background-default, #FFFFFF)}[_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]{height:64px;max-height:64px;display:flex;flex-direction:row;align-items:center;justify-items:center}[_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-title[_ngcontent-%COMP%]{margin-left:24px;margin-right:32px;color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-title.fu-page-has-subtitle[_ngcontent-%COMP%]{margin-right:10px}[_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-title.fu-page-has-button-back[_ngcontent-%COMP%]{margin-left:12px}[_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-delimiter[_ngcontent-%COMP%]{width:3px;height:3px;border-radius:2px;background-color:var(--text-primary, hsl(0, 0%, 12.5%));margin-right:8px}[_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-subtitle[_ngcontent-%COMP%]{margin-right:32px;color:var(--text-primary, hsl(0, 0%, 12.5%))}[_nghost-%COMP%]:not(.fu-multiline-header)   .fu-header-main-row[_ngcontent-%COMP%]   .fu-action-wrapper-after-teleports[_ngcontent-%COMP%]{order:1}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row[_ngcontent-%COMP%]{display:flex;padding:24px 24px 8px;flex-direction:row;align-items:center;gap:var(--header-main-row-gap, 24px)}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%], .fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-subtitle[_ngcontent-%COMP%], .fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-delimiter[_ngcontent-%COMP%], .fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-action-wrapper[_ngcontent-%COMP%]{display:none}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row[_ngcontent-%COMP%]   .fu-page-title[_ngcontent-%COMP%]{color:var(--text-primary, hsl(0, 0%, 12.5%))}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row[_ngcontent-%COMP%]   .fu-header-teleport-host[_ngcontent-%COMP%]{display:flex}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row.fu-header-drilldown[_ngcontent-%COMP%]{height:72px;max-height:72px;gap:8px}.fu-multiline-header[_nghost-%COMP%]   .fu-header-main-row.fu-header-drilldown[_ngcontent-%COMP%]   .fu-header-back-button[_ngcontent-%COMP%]{display:initial;margin-left:0}.fu-multiline-header[_nghost-%COMP%]   .fu-header-top-row[_ngcontent-%COMP%]{display:flex;flex-direction:row;align-items:center;gap:var(---spacing-150, 12px);height:56px;padding:8px 18px;border-bottom:1px solid var(--common-divider, hsl(0, 0%, 86.8%))}.fu-multiline-header[_nghost-%COMP%]   .fu-header-top-row[hidden][_ngcontent-%COMP%]{display:none}.fu-multiline-header[_nghost-%COMP%]   .fu-header-top-row[_ngcontent-%COMP%]   #pageHeaderTopTeleportSlot[_ngcontent-%COMP%]{display:flex;width:100%}.fu-multiline-header[_nghost-%COMP%]   .fu-header-top-row[_ngcontent-%COMP%]   .fu-header-top-teleport-host[_ngcontent-%COMP%]{display:flex;width:100%}.fu-multiline-header[_nghost-%COMP%]   .fu-header-bottom-row[_ngcontent-%COMP%]{display:flex;align-items:center;align-content:center;gap:var(---spacing-50, 4px);flex-wrap:wrap;padding:0px var(---spacing-300, 24px) var(---spacing-200, 16px)}.fu-multiline-header[_nghost-%COMP%]   .fu-header-bottom-row[hidden][_ngcontent-%COMP%]{display:none}.fu-multiline-header[_nghost-%COMP%]   .fu-header-bottom-row[_ngcontent-%COMP%]   #pageHeaderBottomTeleportSlot[_ngcontent-%COMP%]{display:flex;width:100%}.fu-multiline-header[_nghost-%COMP%]:has(.fu-header-main-row.fu-header-drilldown)   .fu-header-top-row[_ngcontent-%COMP%], .fu-multiline-header[_nghost-%COMP%]:has(.fu-header-main-row.fu-header-drilldown)   .fu-header-bottom-row[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .fu-flex-align-right[_ngcontent-%COMP%]{margin-left:auto}.header-only-story[_nghost-%COMP%]   .fu-header-teleport-host[_ngcontent-%COMP%]:not(:has(fusion-skeleton)), .header-only-story   [_nghost-%COMP%]   .fu-header-teleport-host[_ngcontent-%COMP%]:not(:has(fusion-skeleton)){display:flex}.header-only-story[_nghost-%COMP%]   .fu-header-teleport-host[_ngcontent-%COMP%]:not(:has(fusion-skeleton)).fu-flex-align-right:not(:has(fusion-skeleton)):after, .header-only-story   [_nghost-%COMP%]   .fu-header-teleport-host[_ngcontent-%COMP%]:not(:has(fusion-skeleton)).fu-flex-align-right:not(:has(fusion-skeleton)):after{content:\"#fuHeaderTeleportRight\";margin:auto;color:#005be2}.header-only-story[_nghost-%COMP%]   .fu-header-teleport-host[_ngcontent-%COMP%]:not(:has(fusion-skeleton)):after, .header-only-story   [_nghost-%COMP%]   .fu-header-teleport-host[_ngcontent-%COMP%]:not(:has(fusion-skeleton)):after{content:\"#fuHeaderTeleport\";color:#005be2}.header-only-story[_nghost-%COMP%]   #pageHeaderTopTeleportSlot[_ngcontent-%COMP%]:not(:has(fusion-skeleton)):after, .header-only-story   [_nghost-%COMP%]   #pageHeaderTopTeleportSlot[_ngcontent-%COMP%]:not(:has(fusion-skeleton)):after{content:\"#pageHeaderTopTeleportSlot\";color:#005be2}.header-only-story[_nghost-%COMP%]   #pageHeaderBottomTeleportSlot[_ngcontent-%COMP%]:not(:has(fusion-skeleton)):after, .header-only-story   [_nghost-%COMP%]   #pageHeaderBottomTeleportSlot[_ngcontent-%COMP%]:not(:has(fusion-skeleton)):after{content:\"#pageHeaderBottomTeleportSlot\";color:#005be2}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LayoutHeaderComponent, [{
        type: Component,
        args: [{ selector: 'fusion-layout-header', standalone: true, imports: [CommonModule, DynamicComponentsModule, IconModule, IconButtonComponent, SkeletonComponent], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-header-top-row\" [hidden]=\"!hasTopLine\">\n    <div id=\"pageHeaderTopTeleportSlot\" [class.fu-has-skeleton]=\"teleportTopRowBaseSkeletons?.length\" [style.gap]=\"teleportTopRowBaseSkeletonsGap\">\n        @for (skeleton of teleportTopRowBaseSkeletons; track skeleton) {\n            <fusion-skeleton\n                    [shape]=\"skeleton.shape ?? 'rectangle'\"\n                    [style.--fu-skeleton-width]=\"skeleton.width\"\n                    [style.--fu-skeleton-height]=\"skeleton.height\"\n                    [style.--fu-skeleton-border-radius]=\"skeleton.borderRadius\"\n            ></fusion-skeleton>\n        }\n    </div>\n    @for (teleportItem of teleportTopRowElements; track teleportItem) {\n        <div [id]=\"teleportItem.id\" class=\"fu-header-top-teleport-host\"\n             [class.fu-flex-align-right]=\"teleportItem?.isOnRight\"\n             [class.fu-has-skeleton]=\"teleportItem?.skeletons?.length\"\n             [style.gap]=\"teleportItem?.skeletonsGap\"\n        >\n            @for (skeleton of teleportItem?.skeletons; track skeleton) {\n                <fusion-skeleton\n                        [shape]=\"skeleton?.shape\"\n                        [style.--fu-skeleton-width]=\"skeleton?.width\"\n                        [style.--fu-skeleton-height]=\"skeleton?.height\"\n                        [style.--fu-skeleton-border-radius]=\"skeleton?.borderRadius\"\n                ></fusion-skeleton>\n            }\n\n        </div>\n    }\n</div>\n<div class=\"fu-header-main-row\" [class.fu-header-drilldown]=\"isDrilldown\" [class.fu-has-top-row]=\"hasTopLine\">\n    <fusion-icon-button *ngIf=\"isMultiline && headerContent?.hasBackButton\"\n                        iconName=\"ph/arrow-left\"\n                        size=\"large\"\n                        (click)=\"backButtonClicked.emit(headerContent?.hasBackButton)\"></fusion-icon-button>\n    <div class=\"fu-header-back-button\" *ngIf=\"!isMultiline && headerContent?.hasBackButton\">\n        <fusion-icon class=\"fu-header-back-button-icon\" [name]=\"{iconName:'arrow-back', iconVersion:'v3'}\"\n                     (click)=\"backButtonClicked.emit(headerContent?.hasBackButton)\"></fusion-icon>\n    </div>\n    <div class=\"fu-page-title\"\n         [class.fu-page-has-subtitle]=\"headerContent?.subTitle\"\n         [class.fu-page-has-button-back]=\"headerContent?.hasBackButton\"\n    >{{ headerContent?.title }}\n    </div>\n    <ng-container *ngIf=\"headerContent?.subTitle\">\n        <div class=\"fu-header-delimiter\"></div>\n        <div class=\"fu-page-subtitle\">{{ headerContent?.subTitle }}</div>\n    </ng-container>\n    <div *ngIf=\"headerContent?.actionComponent\"\n         class=\"fu-header-action-wrapper\"\n         [class.fu-action-wrapper-after-teleports]=\"headerContent?.actionAlignRight\"\n         [class.fu-flex-align-right]=\"headerContent?.actionAlignRight && !hasTeleportAlignRight\"\n    >\n        <fusion-dynamic-components\n                [component]=\"headerContent.actionComponent\"\n                [componentData]=\"headerContent.actionData\">\n        </fusion-dynamic-components>\n    </div>\n    @for (teleportItem of teleportElements; track teleportItem){\n        <div class=\"fu-header-teleport-host\"\n             [id]=\"teleportItem.id\"\n             [class.fu-flex-align-right]=\"teleportItem.isOnRight\"\n             [class.fu-has-skeleton]=\"teleportItem?.skeletons?.length\"\n             [style.gap]=\"teleportItem?.skeletonsGap\"\n        >\n            @for (skeleton of teleportItem?.skeletons; track skeleton) {\n                <fusion-skeleton\n                        [shape]=\"skeleton.shape ?? 'rectangle'\"\n                        [style.--fu-skeleton-width]=\"skeleton.width\"\n                        [style.--fu-skeleton-height]=\"skeleton.height\"\n                        [style.--fu-skeleton-border-radius]=\"skeleton.borderRadius\"\n                ></fusion-skeleton>\n            }\n        </div>\n    }\n</div>\n<div class=\"fu-header-bottom-row\" [hidden]=\"!hasBottomLine\">\n    <div id=\"pageHeaderBottomTeleportSlot\" [class.fu-has-skeleton]=\"teleportBottomLineSkeletons\" [style.gap]=\"teleportBottomLineSkeletonsGap\">\n        @for (skeleton of teleportBottomLineSkeletons; track skeleton) {\n            <fusion-skeleton\n                    [shape]=\"skeleton.shape ?? 'rectangle'\"\n                    [style.--fu-skeleton-width]=\"skeleton.width\"\n                    [style.--fu-skeleton-height]=\"skeleton.height\"\n                    [style.--fu-skeleton-border-radius]=\"skeleton.borderRadius\"\n            ></fusion-skeleton>\n        }\n    </div>\n    @for (teleportItem of bottomTopRowElements; track teleportItem) {\n        <div [id]=\"teleportItem.id\" class=\"fu-header-bottom-teleport-host\"\n             [class.fu-flex-align-right]=\"teleportItem.isOnRight\"\n             [class.fu-has-skeleton]=\"teleportItem?.skeletons?.length\"\n             [style.gap]=\"teleportItem?.skeletonsGap\"\n        >\n            @for (skeleton of teleportItem?.skeletons; track skeleton) {\n                <fusion-skeleton\n                        [shape]=\"skeleton.shape ?? 'rectangle'\"\n                        [style.--fu-skeleton-width]=\"skeleton.width\"\n                        [style.--fu-skeleton-height]=\"skeleton.height\"\n                        [style.--fu-skeleton-border-radius]=\"skeleton.borderRadius\"\n                ></fusion-skeleton>\n            }\n        </div>\n    }\n</div>\n\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";@keyframes rotation{0%{transform:rotate(0)}to{transform:rotate(359deg)}}@keyframes shineAnimation{0%{background-position:-750px 0}to{background-position:750px 0}}.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,:host:not(.fu-multiline-header) .fu-header-main-row .fu-page-title,.font-v4-heading-2,:host.fu-multiline-header .fu-header-main-row .fu-page-title,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}.font-v4-regular,.font-v4-caption,:host:not(.fu-multiline-header) .fu-header-main-row .fu-page-subtitle,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}:host.fu-multiline-header .fu-header-main-row .fu-page-title,.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}:host:not(.fu-multiline-header) .fu-header-main-row .fu-page-title,.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}:host:not(.fu-multiline-header) .fu-header-main-row .fu-page-subtitle,.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}.fusion-v4{--background-default: #FFFFFF;--background-paper: hsl(0, 0%, 99%);--background-model-elevation: #FFFFFF;--background-backdrop: hsla(0, 0%, 0%, .11);--background-paper-elevation-0: hsl(0, 0%, 97.5%);--background-paper-elevation-1: hsl(0, 0%, 94.6%);--background-paper-elevation-2: hsl(0, 0%, 92%);--background-paper-elevation-3: hsl(0, 0%, 89.5%);--background-paper-elevation-4: hsl(0, 0%, 86.8%);--background-paper-elevation-5: hsl(0, 0%, 83%);--background-paper-elevation-6: hsl(0, 0%, 73.2%);--background-paper-elevation-7: hsl(0, 0%, 55.2%);--background-paper-elevation-8: hsl(0, 0%, 50.3%);--background-paper-elevation-9: hsl(0, 0%, 39.3%);--action-primary: hsl(0, 0%, 12.5%);--action-active: hsl(0, 0%, 50.3%);--action-hover: hsla(0, 0%, 0%, .05);--action-selected: hsl(0, 0%, 92%);--action-disabled: hsl(0, 0%, 87%);--action-disabled-background: hsl(0, 0%, 95%);--action-focus: hsl(0, 0%, 92%);--action-outlined-border: hsl(0, 0%, 73%);--default-light: hsl(0, 0%, 89.5%);--default-main: hsl(0, 0%, 94.51%);--default-dark: hsl(0, 0%, 92%);--default-outlined-border: hsl(0, 0%, 73.2%);--default-contrast-text: hsl(0, 0%, 12.5%);--default-button-contrast-text: hsl(0, 0%, 0%);--common-white: #FFFFFF;--common-black: #000000;--common-inverse-white: #FFFFFF;--common-inverse-black: #000000;--common-divider: hsl(0, 0%, 86.8%);--common-divider-elevation-0: hsl(0, 0%, 89%);--text-primary: hsl(0, 0%, 12.5%);--text-secondary: hsl(0, 0%, 39.3%);--text-disabled: hsl(0, 0%, 73.33%);--primary-lighter: hsl(209, 100%, 96.5%);--primary-light: hsl(209, 95%, 90.1%);--primary-main: hsl(206, 100%, 50%);--primary-main-8-p: hsla(206, 100%, 50%, .08);--primary-main-50-p: hsla(206, 100%, 50%, .5);--primary-dark: hsl(208, 93.5%, 47.4%);--primary-darker: hsl(211, 90%, 42%);--primary-outlined-border: hsl(206, 100%, 50%);--primary-contrast-text: hsl(216, 71%, 23%);--primary-button-contrast-text: hsl(0, 0%, 100%);--info-lighter: hsl(223, 98.4%, 97.1%);--info-light: hsl(224, 87.1%, 92%);--info-main: hsl(226, 70%, 55.5%);--info-main-8-p: hsla(226, 70%, 55.5%, .08);--info-main-50-p: hsla(226, 70%, 55.5%, .5);--info-dark: hsl(226, 58.6%, 51.3%);--info-darker: hsl(226, 55%, 45%);--info-outlined-border: hsl(226, 70%, 55.5%);--info-contrast-text: hsl(226, 50%, 24%);--info-button-contrast-text: hsl(0, 0%, 100%);--success-lighter: hsl(139, 55.2%, 94.5%);--success-light: hsl(141, 43.7%, 86%);--success-main: hsl(151, 55%, 41.5%);--success-main-8-p: hsla(151, 55%, 41.5%, .08);--success-main-50-p: hsla(151, 55%, 41.5%, .5);--success-dark: hsl(152, 57.5%, 37.6%);--success-darker: hsl(153, 67%, 28.5%);--success-outlined-border: hsl(151, 55%, 41.5%);--success-contrast-text: hsl(155, 40%, 16.5%);--success-button-contrast-text: hsl(0, 0%, 100%);--warning-lighter: hsl(45, 100%, 90.8%);--warning-light: hsl(40, 100%, 81.5%);--warning-main: hsl(42, 100%, 62%);--warning-main-8-p: hsla(42, 100%, 62%, .08);--warning-main-50-p: hsla(42, 100%, 62%, .5);--warning-dark: hsl(42, 100%, 55%);--warning-darker: hsl(25, 50%, 38%);--warning-outlined-border: hsl(42, 100%, 62%);--warning-contrast-text: hsl(25, 40%, 22%);--warning-button-contrast-text: hsl(24, 40%, 22%);--error-lighter: hsl(0, 100%, 96.8%);--error-light: hsl(0, 90.2%, 91.9%);--error-main: hsl(358, 75%, 59%);--error-main-8-p: hsla(358, 75%, 59%, .08);--error-main-50-p: hsla(358, 75%, 59%, .5);--error-dark: hsl(358, 67.4%, 54.6%);--error-darker: hsl(358, 65%, 47%);--error-outlined-border: hsl(358, 75%, 59%);--error-contrast-text: hsl(350, 63%, 24%);--error-button-contrast-text: hsl(0, 0%, 100%);--aba: #FFC134;--abb: #4F4FF5}.fusion-v4{--spacing-tockenset: 0px;--spacing-25: 2px;--spacing-50: 4px;--spacing-75: 6px;--spacing-100: 8px;--spacing-125: 10px;--spacing-150: 12px;--spacing-200: 16px;--spacing-250: 20px;--spacing-300: 24px;--spacing-400: 32px;--spacing-500: 40px;--spacing-600: 48px;--spacing-700: 56px;--spacing-800: 64px;--spacing-900: 72px;--spacing-1000: 80px}:host.fu-multiline-header .fu-header-main-row.fu-header-drilldown .fu-header-back-button,:host:not(.fu-multiline-header) .fu-header-main-row .fu-header-back-button{width:40px;height:40px;padding:8px;margin-left:16px;border-radius:20px}:host.fu-multiline-header .fu-header-main-row.fu-header-drilldown .fu-header-back-button fusion-icon[class^=fu-header-back-button-icon],:host:not(.fu-multiline-header) .fu-header-main-row .fu-header-back-button fusion-icon[class^=fu-header-back-button-icon]{width:24px;height:24px}:host.fu-multiline-header .fu-header-main-row.fu-header-drilldown .fu-header-back-button fusion-icon[class^=fu-header-back-button-icon] ::ng-deep svg,:host:not(.fu-multiline-header) .fu-header-main-row .fu-header-back-button fusion-icon[class^=fu-header-back-button-icon] ::ng-deep svg{width:24px;height:24px}:host.fu-multiline-header .fu-header-main-row.fu-header-drilldown .fu-header-back-button fusion-icon[class^=fu-header-back-button-icon] ::ng-deep svg *,:host:not(.fu-multiline-header) .fu-header-main-row .fu-header-back-button fusion-icon[class^=fu-header-back-button-icon] ::ng-deep svg *{fill:var(--text-secondary, hsl(0, 0%, 39.3%))}:host.fu-multiline-header .fu-header-main-row.fu-header-drilldown .fu-header-back-button:hover,:host:not(.fu-multiline-header) .fu-header-main-row .fu-header-back-button:hover{background-color:var(--action-hover, hsla(0, 0%, 0%, .05));cursor:pointer}:host{background:var(--background-default, #FFFFFF)}:host:not(.fu-multiline-header) .fu-header-main-row{height:64px;max-height:64px;display:flex;flex-direction:row;align-items:center;justify-items:center}:host:not(.fu-multiline-header) .fu-header-main-row .fu-page-title{margin-left:24px;margin-right:32px;color:var(--text-primary, hsl(0, 0%, 12.5%))}:host:not(.fu-multiline-header) .fu-header-main-row .fu-page-title.fu-page-has-subtitle{margin-right:10px}:host:not(.fu-multiline-header) .fu-header-main-row .fu-page-title.fu-page-has-button-back{margin-left:12px}:host:not(.fu-multiline-header) .fu-header-main-row .fu-header-delimiter{width:3px;height:3px;border-radius:2px;background-color:var(--text-primary, hsl(0, 0%, 12.5%));margin-right:8px}:host:not(.fu-multiline-header) .fu-header-main-row .fu-page-subtitle{margin-right:32px;color:var(--text-primary, hsl(0, 0%, 12.5%))}:host:not(.fu-multiline-header) .fu-header-main-row .fu-action-wrapper-after-teleports{order:1}:host.fu-multiline-header .fu-header-main-row{display:flex;padding:24px 24px 8px;flex-direction:row;align-items:center;gap:var(--header-main-row-gap, 24px)}:host.fu-multiline-header .fu-header-main-row .fu-header-back-button,:host.fu-multiline-header .fu-header-main-row .fu-page-subtitle,:host.fu-multiline-header .fu-header-main-row .fu-header-delimiter,:host.fu-multiline-header .fu-header-main-row .fu-header-action-wrapper{display:none}:host.fu-multiline-header .fu-header-main-row .fu-page-title{color:var(--text-primary, hsl(0, 0%, 12.5%))}:host.fu-multiline-header .fu-header-main-row .fu-header-teleport-host{display:flex}:host.fu-multiline-header .fu-header-main-row.fu-header-drilldown{height:72px;max-height:72px;gap:8px}:host.fu-multiline-header .fu-header-main-row.fu-header-drilldown .fu-header-back-button{display:initial;margin-left:0}:host.fu-multiline-header .fu-header-top-row{display:flex;flex-direction:row;align-items:center;gap:var(---spacing-150, 12px);height:56px;padding:8px 18px;border-bottom:1px solid var(--common-divider, hsl(0, 0%, 86.8%))}:host.fu-multiline-header .fu-header-top-row[hidden]{display:none}:host.fu-multiline-header .fu-header-top-row #pageHeaderTopTeleportSlot{display:flex;width:100%}:host.fu-multiline-header .fu-header-top-row .fu-header-top-teleport-host{display:flex;width:100%}:host.fu-multiline-header .fu-header-bottom-row{display:flex;align-items:center;align-content:center;gap:var(---spacing-50, 4px);flex-wrap:wrap;padding:0px var(---spacing-300, 24px) var(---spacing-200, 16px)}:host.fu-multiline-header .fu-header-bottom-row[hidden]{display:none}:host.fu-multiline-header .fu-header-bottom-row #pageHeaderBottomTeleportSlot{display:flex;width:100%}:host.fu-multiline-header:has(.fu-header-main-row.fu-header-drilldown) .fu-header-top-row,:host.fu-multiline-header:has(.fu-header-main-row.fu-header-drilldown) .fu-header-bottom-row{display:none}:host .fu-flex-align-right{margin-left:auto}:host-context(.header-only-story) .fu-header-teleport-host:not(:has(fusion-skeleton)){display:flex}:host-context(.header-only-story) .fu-header-teleport-host:not(:has(fusion-skeleton)).fu-flex-align-right:not(:has(fusion-skeleton)):after{content:\"#fuHeaderTeleportRight\";margin:auto;color:#005be2}:host-context(.header-only-story) .fu-header-teleport-host:not(:has(fusion-skeleton)):after{content:\"#fuHeaderTeleport\";color:#005be2}:host-context(.header-only-story) #pageHeaderTopTeleportSlot:not(:has(fusion-skeleton)):after{content:\"#pageHeaderTopTeleportSlot\";color:#005be2}:host-context(.header-only-story) #pageHeaderBottomTeleportSlot:not(:has(fusion-skeleton)):after{content:\"#pageHeaderBottomTeleportSlot\";color:#005be2}\n"] }]
    }], null, { headerContent: [{
            type: Input
        }], teleportElements: [{
            type: Input
        }], backButtonClicked: [{
            type: Output
        }], isMultiline: [{
            type: HostBinding,
            args: ['class.fu-multiline-header']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(LayoutHeaderComponent, { className: "LayoutHeaderComponent", filePath: "components/layout-header/layout-header.component.ts", lineNumber: 17 }); })();

const _c0 = ["navigationMenu"];
const _c1 = ["*"];
class LayoutComponent {
    set configuration(value) {
        if (Array.isArray(value?.navigationMenuItems) && value.navigationMenuItems.length > 0) {
            this.navigationMenu$.next(value.navigationMenuItems);
            if (this.setSelectedMenuByPath(this.navigationMenu$.getValue())) {
                this.toggleMenu();
            }
        }
        this.primaryMenuItemMode = value?.primaryMenuItemMode ?? 'clickToOpenSecondaryMenu';
        this.layoutUser = { ...value?.layoutUser } ?? null;
    }
    set headerContent(value) {
        this._headerContent = value;
    }
    get headerContent() {
        return this._headerContent;
    }
    set teleportElements(value) {
        this._teleportElements = value;
    }
    get teleportElements() {
        return this._teleportElements ?? [];
    }
    constructor(windowRef, router) {
        this.windowRef = windowRef;
        this.router = router;
        this.pageBackButtonClicked = new EventEmitter();
        this.menuItemClick = new EventEmitter();
        /** @internal
         * Used in additional from selected menu item by route
         * */
        this.menuItemSelectedByRoute = new EventEmitter();
        /** @internal */
        this.navigationMenu$ = new BehaviorSubject([]);
        this.onDestroy$ = new Subject();
        this.isMenuToggled = false;
    }
    ngOnInit() {
        this.initNavigationEvents();
    }
    ngOnDestroy() {
        this.onDestroy$.next();
        this.onDestroy$.complete();
    }
    initNavigationEvents() {
        this.router.events
            .pipe(takeUntil(this.onDestroy$), filter(event => event instanceof NavigationEnd))
            .subscribe((event) => {
            if (this.setSelectedMenuByPath(this.navigationMenu$.getValue())) {
                this.toggleMenu();
            }
        });
    }
    isActiveMenuItem(menuItem, currentPath) {
        return (menuItem.route &&
            menuItem.route !== '/' &&
            (currentPath.startsWith(menuItem.route) || this.checkBySubRoutes(menuItem, currentPath)));
    }
    checkBySubRoutes(item, route) {
        if (Array.isArray(item.subRoutes)) {
            return item.subRoutes.some(subRoute => route.startsWith(subRoute));
        }
        return false;
    }
    toggleMenu() {
        if (!this.isMenuToggled) {
            this.navigationMenu.toggleMenu();
            this.isMenuToggled = true;
        }
    }
    setSelectedMenuByPath(menuPrimary) {
        const currentPath = this.windowRef.nativeWindow.location.pathname;
        let itemFound = null;
        let primaryItemFound = null;
        if (menuPrimary.length) {
            menuPrimary.forEach((primaryMenuItem) => {
                if (!itemFound && primaryMenuItem.route && primaryMenuItem.route !== '/' && currentPath.startsWith(primaryMenuItem.route)) {
                    itemFound = primaryMenuItem;
                    primaryItemFound = primaryMenuItem;
                }
                else {
                    if (primaryMenuItem?.menuItems?.length && !itemFound) {
                        primaryMenuItem.menuItems.forEach((menuItem) => {
                            if (!itemFound) {
                                if (menuItem.children?.length) {
                                    menuItem.children.forEach((childMenuItem) => {
                                        if (!itemFound && this.isActiveMenuItem(childMenuItem, currentPath)) {
                                            itemFound = childMenuItem;
                                            primaryItemFound = primaryMenuItem;
                                        }
                                    });
                                }
                                else if (menuItem.route && this.isActiveMenuItem(menuItem, currentPath)) {
                                    itemFound = menuItem;
                                    primaryItemFound = primaryMenuItem;
                                }
                            }
                        });
                    }
                }
            });
        }
        if (itemFound) {
            this.navigationMenu.setActiveMenu(primaryItemFound, itemFound);
            this.menuItemSelectedByRoute.emit(itemFound);
        }
        else {
            this.navigationMenu.setActiveMenu(null, null);
        }
        return !!itemFound;
    }
    static { this.ɵfac = function LayoutComponent_Factory(t) { return new (t || LayoutComponent)(i0.ɵɵdirectiveInject(i1$1.WindowService), i0.ɵɵdirectiveInject(i2$1.Router)); }; }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: LayoutComponent, selectors: [["fusion-layout"]], viewQuery: function LayoutComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 7);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.navigationMenu = _t.first);
        } }, inputs: { configuration: "configuration", headerContent: "headerContent", teleportElements: "teleportElements" }, outputs: { pageBackButtonClicked: "pageBackButtonClicked", menuItemClick: "menuItemClick", menuItemSelectedByRoute: "menuItemSelectedByRoute" }, standalone: true, features: [i0.ɵɵStandaloneFeature], ngContentSelectors: _c1, decls: 15, vars: 17, consts: [[1, "fu-layout"], [1, "fu-left-navigation"], [3, "primaryMenuItemMode", "layoutUser", "menuItems", "menuItemClicked"], ["navigationMenu", ""], [1, "fu-main-page"], [1, "fu-page-header"], [3, "headerContent", "teleportElements", "backButtonClicked"], ["id", "main-view", 1, "main-content"], ["mainContent", ""], [1, "page-view"], [1, "app-route-content-holder"]], template: function LayoutComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵprojectionDef();
            i0.ɵɵelementStart(0, "div", 0)(1, "div", 1)(2, "fusion-navigation-menu", 2, 3);
            i0.ɵɵlistener("menuItemClicked", function LayoutComponent_Template_fusion_navigation_menu_menuItemClicked_2_listener($event) { return ctx.menuItemClick.emit($event); });
            i0.ɵɵpipe(4, "async");
            i0.ɵɵelementEnd()();
            i0.ɵɵelementStart(5, "div", 4)(6, "div", 5)(7, "fusion-layout-header", 6);
            i0.ɵɵlistener("backButtonClicked", function LayoutComponent_Template_fusion_layout_header_backButtonClicked_7_listener($event) { return ctx.pageBackButtonClicked.emit($event); });
            i0.ɵɵelementEnd()();
            i0.ɵɵelementStart(8, "div", 7, 8);
            i0.ɵɵpipe(10, "async");
            i0.ɵɵpipe(11, "async");
            i0.ɵɵelementStart(12, "div", 9)(13, "div", 10);
            i0.ɵɵprojection(14);
            i0.ɵɵelementEnd()()()()();
        } if (rf & 2) {
            const _r0 = i0.ɵɵreference(3);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("primaryMenuItemMode", ctx.primaryMenuItemMode)("layoutUser", ctx.layoutUser)("menuItems", i0.ɵɵpipeBind1(4, 11, ctx.navigationMenu$));
            i0.ɵɵadvance(4);
            i0.ɵɵclassProp("fu-page-header-multiline", ctx.headerContent == null ? null : ctx.headerContent.multiline);
            i0.ɵɵadvance();
            i0.ɵɵclassProp("fu-multiline-header", ctx.headerContent == null ? null : ctx.headerContent.multiline);
            i0.ɵɵproperty("headerContent", ctx.headerContent)("teleportElements", ctx.teleportElements);
            i0.ɵɵadvance();
            i0.ɵɵclassProp("fu-menu-expanded-opened", !_r0.isSecondaryMenuExpandable && i0.ɵɵpipeBind1(10, 13, _r0.secondaryMenuOpen$) && i0.ɵɵpipeBind1(11, 15, _r0.secondaryMenuItems$).length);
        } }, dependencies: [CommonModule, i1.AsyncPipe, LayoutHeaderComponent, NavigationMenuComponent], styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%], .font-v4-chart-2[_ngcontent-%COMP%], .font-v4-chart-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold[_ngcontent-%COMP%], .font-v4-chip-label[_ngcontent-%COMP%], .font-v4-table-label[_ngcontent-%COMP%], .font-v4-button[_ngcontent-%COMP%], .font-v4-heading-6[_ngcontent-%COMP%], .font-v4-heading-5[_ngcontent-%COMP%], .font-v4-heading-4[_ngcontent-%COMP%], .font-v4-heading-3[_ngcontent-%COMP%], .font-v4-heading-2[_ngcontent-%COMP%], .font-v4-heading-1[_ngcontent-%COMP%], .font-v4-title[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium[_ngcontent-%COMP%], .font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-input-label[_ngcontent-%COMP%], .font-v4-overline[_ngcontent-%COMP%], .font-v4-subtitle-2[_ngcontent-%COMP%], .font-v4-subtitle-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}[_nghost-%COMP%], .font-v4-regular[_ngcontent-%COMP%], .font-v4-caption[_ngcontent-%COMP%], .font-v4-body-2[_ngcontent-%COMP%], .font-v4-body-1[_ngcontent-%COMP%]{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title[_ngcontent-%COMP%]{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2[_ngcontent-%COMP%]{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3[_ngcontent-%COMP%]{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5[_ngcontent-%COMP%]{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6[_ngcontent-%COMP%]{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1[_ngcontent-%COMP%]{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2[_ngcontent-%COMP%]{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button[_ngcontent-%COMP%]{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem}.font-v4-table-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label[_ngcontent-%COMP%]{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1[_ngcontent-%COMP%], .font-v4-tab-label-2[_ngcontent-%COMP%]{font-size:.875rem;line-height:1rem}.font-v4-chip-label[_ngcontent-%COMP%]{font-size:.75rem;line-height:1rem;letter-spacing:normal}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   .fu-layout[_ngcontent-%COMP%]{display:grid;grid-template-columns:min-content 1fr;width:100vw;height:100vh}[_nghost-%COMP%]   .fu-layout[_ngcontent-%COMP%]   .fu-left-navigation[_ngcontent-%COMP%]{display:block;height:100%;max-width:256px}[_nghost-%COMP%]   .fu-layout[_ngcontent-%COMP%]   .fu-main-page[_ngcontent-%COMP%]{height:100vh;display:flex;flex-direction:column}[_nghost-%COMP%]   .fu-layout[_ngcontent-%COMP%]   .fu-main-page[_ngcontent-%COMP%]   .fu-page-header[_ngcontent-%COMP%]{flex-grow:0;border-bottom:solid 1px var(--common-divider, hsl(0, 0%, 86.8%))}[_nghost-%COMP%]   .fu-layout[_ngcontent-%COMP%]   .fu-main-page[_ngcontent-%COMP%]   .fu-page-header.fu-page-header-multiline[_ngcontent-%COMP%]{border-bottom:none}[_nghost-%COMP%]   .fu-layout[_ngcontent-%COMP%]   .fu-main-page[_ngcontent-%COMP%]   .main-content[_ngcontent-%COMP%]{flex-grow:1;overflow:auto;width:calc(100vw - 56px);transition:width .45s ease-out}[_nghost-%COMP%]   .fu-layout[_ngcontent-%COMP%]   .fu-main-page[_ngcontent-%COMP%]   .main-content.fu-menu-expanded-opened[_ngcontent-%COMP%]{width:calc(100vw - 256px)}[_nghost-%COMP%]   .fu-layout[_ngcontent-%COMP%]   .fu-main-page[_ngcontent-%COMP%]   .main-content[_ngcontent-%COMP%]   .page-view[_ngcontent-%COMP%]{height:100%;width:100%}[_nghost-%COMP%]   .fu-layout[_ngcontent-%COMP%]   .fu-main-page[_ngcontent-%COMP%]   .main-content[_ngcontent-%COMP%]   .page-view[_ngcontent-%COMP%]   .app-route-content-holder[_ngcontent-%COMP%]{height:100%;width:100%}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(LayoutComponent, [{
        type: Component,
        args: [{ selector: 'fusion-layout', standalone: true, imports: [CommonModule, LayoutHeaderComponent, NavigationMenuComponent], changeDetection: ChangeDetectionStrategy.OnPush, template: "<div class=\"fu-layout\">\n    <!--navigation-->\n    <div class=\"fu-left-navigation\">\n        <fusion-navigation-menu #navigationMenu\n            [primaryMenuItemMode]=\"primaryMenuItemMode\"\n            [layoutUser]=\"layoutUser\"\n            [menuItems]=\"navigationMenu$ | async\"\n            (menuItemClicked)=\"menuItemClick.emit($event)\"\n        ></fusion-navigation-menu>\n    </div>\n    <!--navigation-->\n    <div class=\"fu-main-page\">\n        <!--main header-->\n        <div class=\"fu-page-header\" [class.fu-page-header-multiline]=\"headerContent?.multiline\">\n            <fusion-layout-header\n                [class.fu-multiline-header]=\"headerContent?.multiline\"\n                [headerContent]=\"headerContent\"\n                [teleportElements]=\"teleportElements\"\n                (backButtonClicked)=\"pageBackButtonClicked.emit($event)\"\n            ></fusion-layout-header>\n        </div>\n        <!--main header-->\n        <!--main content-->\n        <div #mainContent class=\"main-content\" id=\"main-view\" [class.fu-menu-expanded-opened]=\"!navigationMenu.isSecondaryMenuExpandable && (navigationMenu.secondaryMenuOpen$ | async) && (navigationMenu.secondaryMenuItems$ | async).length\">\n            <div class=\"page-view\">\n                <div class=\"app-route-content-holder\">\n                    <ng-content></ng-content>\n                </div>\n            </div>\n        </div>\n        <!--main content-->\n    </div>\n</div>\n", styles: ["@import\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600;700&display=swap\";.font-v4-bold,.font-v4-tab-label-2,.font-v4-chart-2,.font-v4-chart-1{font-family:Inter,sans-serif;font-weight:700;-webkit-font-smoothing:antialiased}.font-v4-semibold,.font-v4-chip-label,.font-v4-table-label,.font-v4-button,.font-v4-heading-6,.font-v4-heading-5,.font-v4-heading-4,.font-v4-heading-3,.font-v4-heading-2,.font-v4-heading-1,.font-v4-title{font-family:Inter,sans-serif;font-weight:600;-webkit-font-smoothing:antialiased}.font-v4-medium,.font-v4-tab-label-1,.font-v4-input-label,.font-v4-overline,.font-v4-subtitle-2,.font-v4-subtitle-1{font-family:Inter,sans-serif;font-weight:500;-webkit-font-smoothing:antialiased}:host,.font-v4-regular,.font-v4-caption,.font-v4-body-2,.font-v4-body-1{font-family:Inter,sans-serif;font-weight:400;-webkit-font-smoothing:antialiased}.font-v4-title{font-size:2.5rem;line-height:3rem;letter-spacing:-.055rem}.font-v4-heading-1{font-size:1.5rem;line-height:1.75rem;letter-spacing:-.0285rem}.font-v4-heading-2{font-size:1.125rem;line-height:1.75rem;letter-spacing:-.01575rem}.font-v4-heading-3{font-size:1rem;line-height:1.5rem;letter-spacing:-.011rem}.font-v4-heading-4{font-size:.875rem;line-height:1rem;letter-spacing:unset}.font-v4-heading-5{font-size:.8125rem;line-height:16px;letter-spacing:unset}.font-v4-heading-6{font-size:.75rem;line-height:.75rem;letter-spacing:0}.font-v4-body-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-body-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-subtitle-1{font-size:.875rem;line-height:1.25rem;letter-spacing:-.00525rem}.font-v4-subtitle-2{font-size:.8125rem;line-height:1.25rem;letter-spacing:-.00244rem}.font-v4-chart-1{font-size:1.5rem;line-height:1.5rem;letter-spacing:-.015rem}.font-v4-chart-2{font-size:1.25rem;line-height:1.25rem;letter-spacing:-.0125rem}.font-v4-button{font-size:.875rem;line-height:1.25rem;letter-spacing:.00875rem}.font-v4-overline{font-size:.75rem;line-height:1rem;letter-spacing:.045rem;text-transform:uppercase}.font-v4-caption{font-size:.75rem;line-height:1rem}.font-v4-table-label{font-size:.8125rem;line-height:1.25rem;letter-spacing:.00813rem}.font-v4-input-label{font-size:.8125rem;line-height:1rem;letter-spacing:.00813rem}.font-v4-tab-label-1,.font-v4-tab-label-2{font-size:.875rem;line-height:1rem}.font-v4-chip-label{font-size:.75rem;line-height:1rem;letter-spacing:normal}:host *{box-sizing:border-box}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host .fu-layout{display:grid;grid-template-columns:min-content 1fr;width:100vw;height:100vh}:host .fu-layout .fu-left-navigation{display:block;height:100%;max-width:256px}:host .fu-layout .fu-main-page{height:100vh;display:flex;flex-direction:column}:host .fu-layout .fu-main-page .fu-page-header{flex-grow:0;border-bottom:solid 1px var(--common-divider, hsl(0, 0%, 86.8%))}:host .fu-layout .fu-main-page .fu-page-header.fu-page-header-multiline{border-bottom:none}:host .fu-layout .fu-main-page .main-content{flex-grow:1;overflow:auto;width:calc(100vw - 56px);transition:width .45s ease-out}:host .fu-layout .fu-main-page .main-content.fu-menu-expanded-opened{width:calc(100vw - 256px)}:host .fu-layout .fu-main-page .main-content .page-view{height:100%;width:100%}:host .fu-layout .fu-main-page .main-content .page-view .app-route-content-holder{height:100%;width:100%}\n"] }]
    }], () => [{ type: i1$1.WindowService }, { type: i2$1.Router }], { configuration: [{
            type: Input
        }], headerContent: [{
            type: Input
        }], teleportElements: [{
            type: Input
        }], pageBackButtonClicked: [{
            type: Output
        }], menuItemClick: [{
            type: Output
        }], menuItemSelectedByRoute: [{
            type: Output
        }], navigationMenu: [{
            type: ViewChild,
            args: ['navigationMenu', { static: true }]
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(LayoutComponent, { className: "LayoutComponent", filePath: "layout.component.ts", lineNumber: 21 }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { LayoutComponent };
//# sourceMappingURL=ironsource-fusion-ui-components-layout-v4.mjs.map
