import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown/service';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { MultiDropdownBaseComponent } from '@ironsource/fusion-ui/components/multi-dropdown/common/base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import * as i4 from '@ironsource/fusion-ui/components/button/v1';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v1';
import * as i5 from '@ironsource/fusion-ui/components/flag/v1';
import { FlagModule } from '@ironsource/fusion-ui/components/flag/v1';
import * as i6 from '@ironsource/fusion-ui/components/checkbox/v1';
import { CheckboxModule } from '@ironsource/fusion-ui/components/checkbox/v1';
import * as i7 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i8 from '@ironsource/fusion-ui/components/tooltip/v1';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v1';
import * as i9 from '@ironsource/fusion-ui/components/dropdown-loader/v1';
import { DropdownLoaderModule } from '@ironsource/fusion-ui/components/dropdown-loader/v1';
import * as i10 from '@ironsource/fusion-ui/components/dropdown-search/v1';
import { DropdownSearchModule } from '@ironsource/fusion-ui/components/dropdown-search/v1';
import * as i11 from '@ironsource/fusion-ui/components/dropdown-select/v1';
import { DropdownSelectModule } from '@ironsource/fusion-ui/components/dropdown-select/v1';
import { InputModule } from '@ironsource/fusion-ui/components/input/v1';
import { FilterByFieldPipe } from '@ironsource/fusion-ui/pipes/collection';
import { ClonePipe } from '@ironsource/fusion-ui/pipes/clone';
import { DynamicComponentsModule } from '@ironsource/fusion-ui/components/dynamic-components/v1';
import { DropdownOptionModule } from '@ironsource/fusion-ui/components/dropdown-option/v1';

function MultiDropdownComponent_fusion_dropdown_search_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-dropdown-search", 17, 18);
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("formControl", ctx_r1.searchValue)("placeholder", ctx_r1.searchPlaceholder);
} }
function MultiDropdownComponent_li_10_Template(rf, ctx) { if (rf & 1) {
    const _r17 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li")(1, "label", 19)(2, "fusion-checkbox", 20, 21);
    i0.ɵɵlistener("changed", function MultiDropdownComponent_li_10_Template_fusion_checkbox_changed_2_listener($event) { i0.ɵɵrestoreView(_r17); const ctx_r16 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r16.selectAll($event)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelement(4, "span", 22);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("for", ctx_r3.id + "-select-all");
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", ctx_r3.id + "-select-all")("checked", ctx_r3.isAllSelected)("isIndeterminate", ctx_r3.isIndeterminate);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("innerHTML", ctx_r3.selectAllLabel, i0.ɵɵsanitizeHtml);
} }
const _c0 = a0 => ({ option: a0 });
function MultiDropdownComponent_li_12_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 25);
} if (rf & 2) {
    const option_r18 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵnextContext();
    const _r9 = i0.ɵɵreference(19);
    i0.ɵɵproperty("ngTemplateOutlet", _r9)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0, option_r18));
} }
function MultiDropdownComponent_li_12_ng_container_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainer(0, 25);
} if (rf & 2) {
    const option_r18 = i0.ɵɵnextContext().$implicit;
    i0.ɵɵnextContext();
    const _r11 = i0.ɵɵreference(21);
    i0.ɵɵproperty("ngTemplateOutlet", _r11)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0, option_r18));
} }
function MultiDropdownComponent_li_12_Template(rf, ctx) { if (rf & 1) {
    const _r25 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 23);
    i0.ɵɵlistener("click", function MultiDropdownComponent_li_12_Template_li_click_0_listener($event) { i0.ɵɵrestoreView(_r25); const ctx_r24 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r24.optionParentClicked($event)); });
    i0.ɵɵtemplate(1, MultiDropdownComponent_li_12_ng_container_1_Template, 1, 4, "ng-container", 24)(2, MultiDropdownComponent_li_12_ng_container_2_Template, 1, 4, "ng-container", 24);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r18 = ctx.$implicit;
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵclassProp("is-has-children", option_r18.childOptions);
    i0.ɵɵproperty("ngClass", ctx_r4.getOptionClasses(option_r18));
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", !option_r18.childOptions);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r18.childOptions);
} }
function MultiDropdownComponent_li_15_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 26);
    i0.ɵɵtext(1, "No results ");
    i0.ɵɵelementEnd();
} }
function MultiDropdownComponent_div_16_Template(rf, ctx) { if (rf & 1) {
    const _r27 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 27)(1, "button", 28);
    i0.ɵɵlistener("click", function MultiDropdownComponent_div_16_Template_button_click_1_listener() { i0.ɵɵrestoreView(_r27); const ctx_r26 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r26.closeDropdown()); });
    i0.ɵɵtext(2, " Cancel ");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(3, "button", 29);
    i0.ɵɵlistener("click", function MultiDropdownComponent_div_16_Template_button_click_3_listener() { i0.ɵɵrestoreView(_r27); const ctx_r28 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r28.applySelect(true)); });
    i0.ɵɵtext(4, " Apply ");
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("disabled", ctx_r6.loading);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("disabled", ctx_r6.loading);
} }
function MultiDropdownComponent_div_17_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 30);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r7 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r7.error);
} }
const _c1 = a0 => ({ "has-icon": a0 });
const _c2 = () => ({ dropdownType: "multi" });
function MultiDropdownComponent_ng_template_18_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r35 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "label", 33)(2, "fusion-checkbox", 34);
    i0.ɵɵlistener("changed", function MultiDropdownComponent_ng_template_18_ng_container_0_Template_fusion_checkbox_changed_2_listener() { i0.ɵɵrestoreView(_r35); const option_r29 = i0.ɵɵnextContext().option; const ctx_r33 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r33.changeSelected(option_r29)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainer(3, 25);
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const option_r29 = i0.ɵɵnextContext().option;
    const ctx_r30 = i0.ɵɵnextContext();
    const _r13 = i0.ɵɵreference(23);
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", option_r29.id)("for", ctx_r30.id + "-" + option_r29.id)("ngClass", i0.ɵɵpureFunction1(9, _c1, option_r29.icon))("fusionTooltip", ctx_r30.dropdownService.optionToString(option_r29, ctx_r30.mappingOptions, i0.ɵɵpureFunction0(11, _c2)));
    i0.ɵɵadvance();
    i0.ɵɵproperty("id", ctx_r30.id + "-" + option_r29.id)("checked", ctx_r30.isSelected(option_r29))("value", option_r29.id);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", ctx_r30.templateRef || _r13)("ngTemplateOutletContext", i0.ɵɵpureFunction1(12, _c0, option_r29));
} }
function MultiDropdownComponent_ng_template_18_ng_template_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 35);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r29 = i0.ɵɵnextContext().option;
    const ctx_r31 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r31.dropdownService.optionToString(option_r29, i0.ɵɵpureFunction0(1, _c2)), " ");
} }
function MultiDropdownComponent_ng_template_18_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, MultiDropdownComponent_ng_template_18_ng_container_0_Template, 4, 14, "ng-container", 31)(1, MultiDropdownComponent_ng_template_18_ng_template_1_Template, 2, 2, "ng-template", null, 32, i0.ɵɵtemplateRefExtractor);
} if (rf & 2) {
    const option_r29 = ctx.option;
    const _r32 = i0.ɵɵreference(2);
    i0.ɵɵproperty("ngIf", !option_r29.isGroup)("ngIfElse", _r32);
} }
function MultiDropdownComponent_ng_template_20_li_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 40);
    i0.ɵɵelementContainer(1, 25);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const childOption_r40 = ctx.$implicit;
    i0.ɵɵnextContext(2);
    const _r9 = i0.ɵɵreference(19);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngTemplateOutlet", _r9)("ngTemplateOutletContext", i0.ɵɵpureFunction1(2, _c0, childOption_r40));
} }
function MultiDropdownComponent_ng_template_20_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 36);
    i0.ɵɵelement(1, "span", 22);
    i0.ɵɵelementEnd();
    i0.ɵɵelement(2, "fusion-icon", 37);
    i0.ɵɵelementStart(3, "ul", 38);
    i0.ɵɵtemplate(4, MultiDropdownComponent_ng_template_20_li_4_Template, 2, 4, "li", 39);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const option_r38 = ctx.option;
    const ctx_r10 = i0.ɵɵnextContext();
    i0.ɵɵproperty("id", option_r38.id)("fusionTooltip", ctx_r10.dropdownService.optionToString(option_r38, ctx_r10.mappingOptions, i0.ɵɵpureFunction0(5, _c2)));
    i0.ɵɵadvance();
    i0.ɵɵpropertyInterpolate("innerHTML", ctx_r10.dropdownService.optionToString(option_r38, i0.ɵɵpureFunction0(6, _c2)), i0.ɵɵsanitizeHtml);
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r10.dropdownArrowIconName);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngForOf", option_r38.childOptions);
} }
function MultiDropdownComponent_ng_template_22_fusion_icon_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 44);
} if (rf & 2) {
    const option_r42 = i0.ɵɵnextContext().option;
    i0.ɵɵproperty("name", option_r42.icon);
} }
function MultiDropdownComponent_ng_template_22_fusion_flag_1_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-flag", 45);
} if (rf & 2) {
    const option_r42 = i0.ɵɵnextContext().option;
    i0.ɵɵproperty("name", option_r42.flag);
} }
function MultiDropdownComponent_ng_template_22_img_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "img", 46);
} if (rf & 2) {
    const option_r42 = i0.ɵɵnextContext().option;
    i0.ɵɵproperty("src", option_r42.image, i0.ɵɵsanitizeUrl);
} }
function MultiDropdownComponent_ng_template_22_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, MultiDropdownComponent_ng_template_22_fusion_icon_0_Template, 1, 1, "fusion-icon", 41)(1, MultiDropdownComponent_ng_template_22_fusion_flag_1_Template, 1, 1, "fusion-flag", 42)(2, MultiDropdownComponent_ng_template_22_img_2_Template, 1, 1, "img", 43);
    i0.ɵɵelement(3, "span", 22);
} if (rf & 2) {
    const option_r42 = ctx.option;
    const ctx_r12 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", option_r42.icon);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r42.flag);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", option_r42.image);
    i0.ɵɵadvance();
    i0.ɵɵproperty("innerHTML", ctx_r12.dropdownService.optionToString(option_r42, ctx_r12.mappingOptions, i0.ɵɵpureFunction0(4, _c2)), i0.ɵɵsanitizeHtml);
} }
const _c3 = (a0, a1, a2) => ({ "dd-disabled": a0, "dd-confirm": a1, "dd-scroll": a2 });
class MultiDropdownComponent extends MultiDropdownBaseComponent {
    constructor() {
        super(...arguments);
        this.dropdownArrowIconName = {
            iconName: 'arrow-dropdown',
            iconVersion: 'v1'
        };
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵMultiDropdownComponent_BaseFactory; return function MultiDropdownComponent_Factory(t) { return (ɵMultiDropdownComponent_BaseFactory || (ɵMultiDropdownComponent_BaseFactory = i0.ɵɵgetInheritedFactory(MultiDropdownComponent)))(t || MultiDropdownComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: MultiDropdownComponent, selectors: [["fusion-multi-dropdown"]], features: [i0.ɵɵProvidersFeature([
                DropdownService,
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => MultiDropdownComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 24, vars: 32, consts: [[1, "is-dropdown", "is-multiselect", 3, "id", "clickOutsideActivate", "ngClass", "fusionClickOutside"], [3, "configurations", "searchValueChanged", "click"], ["selectComponent", ""], [1, "options-dropdown", 3, "ngClass"], [3, "formControl", "placeholder", 4, "ngIf"], [1, "options-holder", 3, "scroll"], ["optionsHolder", ""], [1, "options", "multi"], [4, "ngIf"], ["class", "option", 3, "is-has-children", "ngClass", "click", 4, "ngFor", "ngForOf"], [3, "fusionDropdownLoader"], ["class", "no-results", 4, "ngIf"], ["class", "dd-actions", 4, "ngIf"], ["class", "error-msg", 4, "ngIf"], ["regularOption", ""], ["parentOption", ""], ["basicTemplate", ""], [3, "formControl", "placeholder"], ["searchComponent", ""], [1, "is-option-label", 3, "for"], [3, "id", "checked", "isIndeterminate", "changed"], ["selectAllCheckbox", ""], [3, "innerHTML"], [1, "option", 3, "ngClass", "click"], [3, "ngTemplateOutlet", "ngTemplateOutletContext", 4, "ngIf"], [3, "ngTemplateOutlet", "ngTemplateOutletContext"], [1, "no-results"], [1, "dd-actions"], ["type", "button", "fusion-button", "", 1, "secondary", "small", 3, "disabled", "click"], ["type", "button", "fusion-button", "", 1, "primary", "small", 3, "disabled", "click"], [1, "error-msg"], [4, "ngIf", "ngIfElse"], ["groupOption", ""], [1, "is-option-label", "truncate", 3, "id", "for", "ngClass", "fusionTooltip"], [3, "id", "checked", "value", "changed"], [1, "is-dd-group"], [1, "text", "truncate", 3, "id", "fusionTooltip"], [1, "option-icon-arrow", 3, "name"], [1, "is-subgroup-options"], ["class", "option", 4, "ngFor", "ngForOf"], [1, "option"], ["class", "icon", 3, "name", 4, "ngIf"], [3, "name", 4, "ngIf"], ["alt", "", 3, "src", 4, "ngIf"], [1, "icon", 3, "name"], [3, "name"], ["alt", "", 3, "src"]], template: function MultiDropdownComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function MultiDropdownComponent_Template_div_fusionClickOutside_0_listener() { return ctx.onOutsideClick(); });
            i0.ɵɵpipe(1, "async");
            i0.ɵɵelementStart(2, "fusion-dropdown-select", 1, 2);
            i0.ɵɵlistener("searchValueChanged", function MultiDropdownComponent_Template_fusion_dropdown_select_searchValueChanged_2_listener($event) { return ctx.searchValue.setValue($event); })("click", function MultiDropdownComponent_Template_fusion_dropdown_select_click_2_listener($event) { return ctx.openDropdown($event); });
            i0.ɵɵpipe(4, "async");
            i0.ɵɵelementEnd();
            i0.ɵɵelementStart(5, "div", 3);
            i0.ɵɵtemplate(6, MultiDropdownComponent_fusion_dropdown_search_6_Template, 2, 2, "fusion-dropdown-search", 4);
            i0.ɵɵelementStart(7, "div", 5, 6);
            i0.ɵɵlistener("scroll", function MultiDropdownComponent_Template_div_scroll_7_listener($event) { return ctx.onScroll($event); });
            i0.ɵɵelementStart(9, "ul", 7);
            i0.ɵɵtemplate(10, MultiDropdownComponent_li_10_Template, 5, 5, "li", 8);
            i0.ɵɵpipe(11, "async");
            i0.ɵɵtemplate(12, MultiDropdownComponent_li_12_Template, 3, 5, "li", 9);
            i0.ɵɵpipe(13, "async");
            i0.ɵɵelement(14, "li", 10);
            i0.ɵɵtemplate(15, MultiDropdownComponent_li_15_Template, 2, 0, "li", 11);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(16, MultiDropdownComponent_div_16_Template, 5, 2, "div", 12);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(17, MultiDropdownComponent_div_17_Template, 2, 1, "div", 13)(18, MultiDropdownComponent_ng_template_18_Template, 3, 2, "ng-template", null, 14, i0.ɵɵtemplateRefExtractor)(20, MultiDropdownComponent_ng_template_20_Template, 5, 7, "ng-template", null, 15, i0.ɵɵtemplateRefExtractor)(22, MultiDropdownComponent_ng_template_22_Template, 4, 5, "ng-template", null, 16, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            i0.ɵɵstyleProp("width", ctx.placeholderWidth);
            i0.ɵɵproperty("id", ctx.id)("clickOutsideActivate", i0.ɵɵpipeBind1(1, 20, ctx.isOpen$))("ngClass", ctx.getHolderCSSClasses());
            i0.ɵɵadvance(2);
            i0.ɵɵclassProp("is-icon-right-position", ctx.isIconRightPosition);
            i0.ɵɵproperty("configurations", i0.ɵɵpipeBind1(4, 22, ctx.dropdownSelectConfigurations$));
            i0.ɵɵadvance(3);
            i0.ɵɵclassProp("options-locate-left", ctx.isLocatedLeft)("options-locate-right", ctx.isLocatedRight);
            i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction3(28, _c3, ctx.isDisabled || ctx.isDisabledForm, ctx.search || ctx.autoComplete, (ctx.filteredOptions == null ? null : ctx.filteredOptions.length) >= ctx.optionsWithoutScroll));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", (ctx.search || ctx.autoComplete) && ctx.searchValue);
            i0.ɵɵadvance(4);
            i0.ɵɵproperty("ngIf", ctx.selectAllLabel && !ctx.loading && i0.ɵɵpipeBind1(11, 24, ctx.hasSearchValue$) === false && (ctx.filteredOptions == null ? null : ctx.filteredOptions.length) !== 0);
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(13, 26, ctx.displayedOptions$));
            i0.ɵɵadvance(2);
            i0.ɵɵproperty("fusionDropdownLoader", (ctx.autoComplete || ctx.search) && ctx.loading);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !(ctx.filteredOptions == null ? null : ctx.filteredOptions.length) && !ctx.loading && (ctx.searchValue == null ? null : ctx.searchValue.value));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.confirm);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.error);
        } }, dependencies: [i1.NgClass, i1.NgForOf, i1.NgIf, i1.NgTemplateOutlet, i2.NgControlStatus, i2.FormControlDirective, i3.IconComponent, i4.ButtonComponent, i5.FlagComponent, i6.CheckboxComponent, i7.ClickOutsideDirective, i8.TooltipDirective, i9.DropdownLoaderDirective, i10.DropdownSearchComponent, i11.DropdownSelectComponent, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]{font-size:13px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{font-size:11px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .is-id[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .is-id[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id, [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:700}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{border-radius:var(--border-radius, 3px)}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{border:1px solid var(--light-color, #E1E6EB)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{border-top-right-radius:0!important}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{border-top-left-radius:0!important}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%]{left:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%]{right:auto}[_nghost-%COMP%]{min-width:85px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{position:absolute;left:0;right:0;top:100%;margin-top:1px;max-height:0;background:#FFF;box-shadow:0 2px 4px #0000004d;border:solid 1px var(--light-color-400, #E4E9ED);display:none}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding:3px 0;overflow:hidden;overflow-y:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]{color:var(--dark-color-300, #172D4C);height:30px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]   .is-add-tag[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]   .is-add-tag[_ngcontent-%COMP%]{color:var(--primary-color, #3091F6);padding:5px 5px 5px 20px;display:inline-block}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:248px;overflow-x:hidden}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:282px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:230px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{color:var(--dark-color-300, #172D4C)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{text-transform:uppercase;color:var(--light-color-800, #678099);background-color:var(--light-color-300, #EAEEF1);cursor:default;padding:5px 11px 4px;display:block;line-height:1}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id, [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id{color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{background:none;cursor:initial;padding:5px 15px;color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{position:relative;text-align:right;background-color:var(--light-color-100, #F9FAFB);padding:7px;margin:0 -1px;border:solid 1px var(--light-color, #E1E6EB);box-shadow:0 2px 4px #0000004d}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{margin-left:2px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%]{color:var(--tags-input-footer-color-button-color, var(--light-color-900, #52677B));text-decoration:underline;text-align:initial;padding:initial;height:initial;background-image:initial;border:none;position:absolute;left:16px;bottom:13px;font-weight:400}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{max-height:278px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:315px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:230px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option[_ngcontent-%COMP%]{height:30px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option.is-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option.is-group[_ngcontent-%COMP%]{height:20px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{padding:4px 22px 5px 10px;cursor:pointer;display:block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]:hover{background-color:var(--light-color-100, #F9FAFB)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{max-width:19px;height:auto;vertical-align:middle;margin-right:3px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{margin-right:1px;margin-top:-3px;vertical-align:middle;display:inline-block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-600, #C2CDD7)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:6px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{position:absolute;right:10px;top:11px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-600, #C2CDD7)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-with-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-with-confirm[_ngcontent-%COMP%]{min-width:162px}[_nghost-%COMP%]   .is-dropdown.is-tab-mode[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-tab-mode[_ngcontent-%COMP%]:hover{background-color:var(--light-color-100, #F9FAFB)}.filter[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]{display:inline-block}.filter[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{width:250px}.title.inline[_nghost-%COMP%], .title.medium[_nghost-%COMP%]{display:inline-block}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{box-sizing:border-box;border-color:var(--light-color, #E1E6EB);min-height:32px;padding:2px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul.tags-holder[_ngcontent-%COMP%]{display:flex;flex-wrap:wrap}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{display:inline-flex;margin:2px -3px 2px 2px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li.search-container[_ngcontent-%COMP%]{flex:1 1 auto}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li.search-container[_ngcontent-%COMP%]   is-input[_ngcontent-%COMP%]{width:100%}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   is-tag[_ngcontent-%COMP%]{height:24px;line-height:23px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]     .fu-input{border:none;width:100%;padding:0;height:20px;margin:2px}.dd-tab-active[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]{border-bottom:2px solid var(--primary-color, #3091F6)}.dd-tab-active[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]{border-bottom-color:transparent}.dd-tab-active[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]:hover{background-color:transparent}.dd-tab-active[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]:hover   .dropdown-arrow-container[_ngcontent-%COMP%]{background-color:var(--light-color-100, #F9FAFB)}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{color:var(--negative-color, #e1174c);margin-top:3px}.fu-options-position-up[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-options-position-up[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:inherit;bottom:calc(100% + 2px)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MultiDropdownComponent, [{
        type: Component,
        args: [{ selector: 'fusion-multi-dropdown', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    DropdownService,
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => MultiDropdownComponent),
                        multi: true
                    }
                ], template: "<div\n    class=\"is-dropdown is-multiselect\"\n    [id]=\"id\"\n    [style.width]=\"placeholderWidth\"\n    [clickOutsideActivate]=\"isOpen$ | async\"\n    (fusionClickOutside)=\"onOutsideClick()\"\n    [ngClass]=\"getHolderCSSClasses()\"\n>\n    <fusion-dropdown-select\n        [class.is-icon-right-position]=\"this.isIconRightPosition\"\n        (searchValueChanged)=\"searchValue.setValue($event)\"\n        (click)=\"openDropdown($event)\"\n        [configurations]=\"dropdownSelectConfigurations$ | async\"\n        #selectComponent\n    >\n    </fusion-dropdown-select>\n    <div\n        class=\"options-dropdown\"\n        [class.options-locate-left]=\"isLocatedLeft\"\n        [class.options-locate-right]=\"isLocatedRight\"\n        [ngClass]=\"{\n            'dd-disabled': isDisabled || isDisabledForm,\n            'dd-confirm': search || autoComplete,\n            'dd-scroll': filteredOptions?.length >= optionsWithoutScroll\n        }\"\n    >\n        <!--search input-->\n        <fusion-dropdown-search\n            *ngIf=\"(search || autoComplete) && searchValue\"\n            [formControl]=\"searchValue\"\n            [placeholder]=\"searchPlaceholder\"\n            #searchComponent\n        ></fusion-dropdown-search>\n        <!--dropdown options holder-->\n        <div class=\"options-holder\" (scroll)=\"onScroll($event)\" #optionsHolder>\n            <ul class=\"options multi\">\n                <!--select all option checkbox-->\n                <li *ngIf=\"selectAllLabel && !loading && (hasSearchValue$ | async) === false && filteredOptions?.length !== 0\">\n                    <label class=\"is-option-label\" [for]=\"id + '-select-all'\">\n                        <fusion-checkbox\n                            [id]=\"id + '-select-all'\"\n                            [checked]=\"isAllSelected\"\n                            [isIndeterminate]=\"isIndeterminate\"\n                            (changed)=\"selectAll($event)\"\n                            #selectAllCheckbox\n                        ></fusion-checkbox>\n                        <span [innerHTML]=\"selectAllLabel\"></span>\n                    </label>\n                </li>\n                <!--options-->\n                <li class=\"option\" [class.is-has-children]=\"option.childOptions\"\n                    (click)=\"optionParentClicked($event)\" [ngClass]=\"getOptionClasses(option)\"\n                    *ngFor=\"let option of displayedOptions$ | async; index as i\">\n                    <!--option regular or parent for check-->\n                    <ng-container *ngIf=\"!option.childOptions\" [ngTemplateOutlet]=\"regularOption\" [ngTemplateOutletContext]=\"{option: option}\"></ng-container>\n                    <ng-container *ngIf=\"option.childOptions\" [ngTemplateOutlet]=\"parentOption\" [ngTemplateOutletContext]=\"{option: option}\"></ng-container>\n                </li>\n                <!--loader holder-->\n                <li [fusionDropdownLoader]=\"(autoComplete || search) && loading\"></li>\n                <!--no-result holder-->\n                <li class=\"no-results\" *ngIf=\"!filteredOptions?.length && !loading && searchValue?.value\">No results\n                </li>\n            </ul>\n        </div>\n        <!--action \"confirm\" buttons holder-->\n        <div class=\"dd-actions\" *ngIf=\"confirm\">\n            <button\n                type=\"button\"\n                fusion-button\n                class=\"secondary small\"\n                (click)=\"closeDropdown()\"\n                [disabled]=\"loading\"\n            >\n                Cancel\n            </button>\n            <button\n                type=\"button\"\n                fusion-button\n                class=\"primary small\"\n                (click)=\"applySelect(true)\"\n                [disabled]=\"loading\"\n            >\n                Apply\n            </button>\n        </div>\n    </div>\n</div>\n<!--errors holder-->\n<div class=\"error-msg\" *ngIf=\"error\">{{ error }}</div>\n\n<!--INNER TEMPLATES-->\n<!--regular option-->\n<ng-template #regularOption let-option=\"option\">\n    <ng-container *ngIf=\"!option.isGroup; else groupOption\">\n        <label\n            class=\"is-option-label truncate\"\n            [id]=\"option.id\"\n            [for]=\"id + '-' + option.id\"\n            [ngClass]=\"{'has-icon': option.icon}\"\n            [fusionTooltip]=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'})\"\n        >\n            <fusion-checkbox\n                [id]=\"id + '-' + option.id\"\n                [checked]=\"isSelected(option)\"\n                [value]=\"option.id\"\n                (changed)=\"changeSelected(option)\"\n            ></fusion-checkbox>\n            <ng-container [ngTemplateOutlet]=\"templateRef || basicTemplate\" [ngTemplateOutletContext]=\"{option: option}\">\n            </ng-container>\n        </label>\n    </ng-container>\n    <ng-template #groupOption>\n        <div class=\"is-dd-group\">\n            {{ dropdownService.optionToString(option, {dropdownType: 'multi'}) }}\n        </div>\n    </ng-template>\n</ng-template>\n\n<!--parent option-->\n<ng-template #parentOption let-option=\"option\">\n    <div [id]=\"option.id\" class=\"text truncate\"\n         [fusionTooltip]=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'})\">\n        <span innerHTML=\"{{ dropdownService.optionToString(option, {dropdownType: 'multi'}) }}\"></span>\n    </div>\n    <fusion-icon class=\"option-icon-arrow\"\n                 [name]=\"dropdownArrowIconName\"></fusion-icon>\n    <ul class=\"is-subgroup-options\">\n        <li class=\"option\" *ngFor=\"let childOption of option.childOptions; index as i\">\n            <ng-container [ngTemplateOutlet]=\"regularOption\"\n                          [ngTemplateOutletContext]=\"{option: childOption}\"></ng-container>\n        </li>\n    </ul>\n</ng-template>\n\n<!--option basic content-->\n<ng-template #basicTemplate let-option=\"option\">\n    <fusion-icon *ngIf=\"option.icon\" [name]=\"option.icon\" class=\"icon\"></fusion-icon>\n    <fusion-flag *ngIf=\"option.flag\" [name]=\"option.flag\"></fusion-flag>\n    <img [src]=\"option.image\" *ngIf=\"option.image\" alt=\"\"/>\n    <span [innerHTML]=\"dropdownService.optionToString(option, mappingOptions, {dropdownType: 'multi'})\"></span>\n</ng-template>\n", styles: [":host .is-dropdown .options-dropdown .options-holder .options .auto-complete-loading,:host .is-tags-holder .options-dropdown .options-holder .options .auto-complete-loading{font-size:13px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}:host .error-msg{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option .is-dd-group,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option .is-dd-group{font-size:11px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .is-id,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .is-id,:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer,:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:700}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host *{box-sizing:border-box}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host .is-tags-holder,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer,:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{border-radius:var(--border-radius, 3px)}:host .is-tags-holder{border:1px solid var(--light-color, #E1E6EB)}:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer{border-top-right-radius:0!important}:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer{border-top-left-radius:0!important}:host .is-dropdown .options-locate-right.options-dropdown,:host .is-tags-holder .options-locate-right.options-dropdown{left:auto}:host .is-dropdown .options-locate-left.options-dropdown,:host .is-tags-holder .options-locate-left.options-dropdown{right:auto}:host{min-width:85px}:host .is-dropdown,:host .is-tags-holder{position:relative}:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{position:absolute;left:0;right:0;top:100%;margin-top:1px;max-height:0;background:#FFF;box-shadow:0 2px 4px #0000004d;border:solid 1px var(--light-color-400, #E4E9ED);display:none}:host .is-dropdown .options-dropdown .options-holder,:host .is-tags-holder .options-dropdown .options-holder{padding:3px 0;overflow:hidden;overflow-y:auto}:host .is-dropdown .options-dropdown .options-holder .options .auto-complete-loading,:host .is-tags-holder .options-dropdown .options-holder .options .auto-complete-loading{color:var(--dark-color-300, #172D4C);height:30px}:host .is-dropdown .options-dropdown .options-holder .options .auto-complete-loading .is-add-tag,:host .is-tags-holder .options-dropdown .options-holder .options .auto-complete-loading .is-add-tag{color:var(--primary-color, #3091F6);padding:5px 5px 5px 20px;display:inline-block}:host .is-dropdown.dd-opened .options-dropdown,:host .is-tags-holder.dd-opened .options-dropdown{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:248px;overflow-x:hidden}:host .is-dropdown.dd-opened .options-dropdown.dd-disabled,:host .is-tags-holder.dd-opened .options-dropdown.dd-disabled{display:none}:host .is-dropdown.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.dd-opened .options-dropdown.dd-confirm{max-height:282px}:host .is-dropdown.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:230px}:host .is-dropdown.dd-opened .options-dropdown .options-holder,:host .is-tags-holder.dd-opened .options-dropdown .options-holder{color:var(--dark-color-300, #172D4C)}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option .is-dd-group,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option .is-dd-group{text-transform:uppercase;color:var(--light-color-800, #678099);background-color:var(--light-color-300, #EAEEF1);cursor:default;padding:5px 11px 4px;display:block;line-height:1}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id{color:var(--light-color-800, #678099)}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .is-hidden,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .is-hidden{display:none}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{background:none;cursor:initial;padding:5px 15px;color:var(--light-color-800, #678099)}:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer{position:relative;text-align:right;background-color:var(--light-color-100, #F9FAFB);padding:7px;margin:0 -1px;border:solid 1px var(--light-color, #E1E6EB);box-shadow:0 2px 4px #0000004d}:host .is-dropdown .dd-actions button+button,:host .is-dropdown .is-footer button+button,:host .is-tags-holder .dd-actions button+button,:host .is-tags-holder .is-footer button+button{margin-left:2px}:host .is-dropdown .dd-actions a.button-clear,:host .is-dropdown .is-footer a.button-clear,:host .is-tags-holder .dd-actions a.button-clear,:host .is-tags-holder .is-footer a.button-clear{color:var(--tags-input-footer-color-button-color, var(--light-color-900, #52677B));text-decoration:underline;text-align:initial;padding:initial;height:initial;background-image:initial;border:none;position:absolute;left:16px;bottom:13px;font-weight:400}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown{max-height:278px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-confirm{max-height:315px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:230px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option{height:30px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option.is-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option.is-group{height:20px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{padding:4px 22px 5px 10px;cursor:pointer;display:block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label:hover{background-color:var(--light-color-100, #F9FAFB)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img{max-width:19px;height:auto;vertical-align:middle;margin-right:3px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon{margin-right:1px;margin-top:-3px;vertical-align:middle;display:inline-block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--light-color-600, #C2CDD7)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag{margin-right:6px}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option{position:relative}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option fusion-icon.icon,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option fusion-icon.icon{position:absolute;right:10px;top:11px}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg *{fill:var(--light-color-600, #C2CDD7)}:host .is-dropdown.is-multiselect.is-with-confirm,:host .is-tags-holder.is-multiselect.is-with-confirm{min-width:162px}:host .is-dropdown.is-tab-mode:hover,:host .is-tags-holder.is-tab-mode:hover{background-color:var(--light-color-100, #F9FAFB)}:host.filter .is-dropdown{display:inline-block}:host.filter .is-dropdown .options-dropdown{width:250px}:host.title.inline,:host.title.medium{display:inline-block}:host .is-tags-holder{box-sizing:border-box;border-color:var(--light-color, #E1E6EB);min-height:32px;padding:2px}:host .is-tags-holder>ul.tags-holder{display:flex;flex-wrap:wrap}:host .is-tags-holder>ul li{display:inline-flex;margin:2px -3px 2px 2px}:host .is-tags-holder>ul li.search-container{flex:1 1 auto}:host .is-tags-holder>ul li.search-container is-input{width:100%}:host .is-tags-holder>ul li is-tag{height:24px;line-height:23px}:host .is-tags-holder>ul li ::ng-deep .fu-input{border:none;width:100%;padding:0;height:20px;margin:2px}:host.dd-tab-active .is-dropdown{border-bottom:2px solid var(--primary-color, #3091F6)}:host.dd-tab-active .is-dropdown.dd-opened{border-bottom-color:transparent}:host.dd-tab-active .is-dropdown:hover{background-color:transparent}:host.dd-tab-active .is-dropdown:hover .dropdown-arrow-container{background-color:var(--light-color-100, #F9FAFB)}:host .error-msg{color:var(--negative-color, #e1174c);margin-top:3px}:host.fu-options-position-up .is-dropdown .options-dropdown,:host.fu-options-position-up .is-tags-holder .options-dropdown{top:inherit;bottom:calc(100% + 2px)}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(MultiDropdownComponent, { className: "MultiDropdownComponent", filePath: "multi-dropdown.component.ts", lineNumber: 20 }); })();

class MultiDropdownModule {
    static { this.ɵfac = function MultiDropdownModule_Factory(t) { return new (t || MultiDropdownModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: MultiDropdownModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            ReactiveFormsModule,
            IconModule,
            ButtonModule,
            InputModule,
            FlagModule,
            CheckboxModule,
            ClickOutsideModule,
            TooltipModule,
            DynamicComponentsModule,
            DropdownLoaderModule,
            DropdownOptionModule,
            DropdownSearchModule,
            DropdownSelectModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(MultiDropdownModule, [{
        type: NgModule,
        args: [{
                declarations: [MultiDropdownComponent],
                exports: [MultiDropdownComponent],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    IconModule,
                    ButtonModule,
                    InputModule,
                    FlagModule,
                    CheckboxModule,
                    ClickOutsideModule,
                    FilterByFieldPipe,
                    ClonePipe,
                    TooltipModule,
                    DynamicComponentsModule,
                    DropdownLoaderModule,
                    DropdownOptionModule,
                    DropdownSearchModule,
                    DropdownSelectModule
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(MultiDropdownModule, { declarations: [MultiDropdownComponent], imports: [CommonModule,
        ReactiveFormsModule,
        IconModule,
        ButtonModule,
        InputModule,
        FlagModule,
        CheckboxModule,
        ClickOutsideModule,
        FilterByFieldPipe,
        ClonePipe,
        TooltipModule,
        DynamicComponentsModule,
        DropdownLoaderModule,
        DropdownOptionModule,
        DropdownSearchModule,
        DropdownSelectModule], exports: [MultiDropdownComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { MultiDropdownComponent, MultiDropdownModule };
//# sourceMappingURL=ironsource-fusion-ui-components-multi-dropdown-v1.mjs.map
