import * as i0 from '@angular/core';
import { forwardRef, Component, ViewEncapsulation, ChangeDetectionStrategy, NgModule } from '@angular/core';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { RadioGroupBaseComponent } from '@ironsource/fusion-ui/components/radio-group/common/base';
import * as i1 from '@ironsource/fusion-ui/components/radio/v1';
import { RadioModule } from '@ironsource/fusion-ui/components/radio/v1';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';
export * from '@ironsource/fusion-ui/components/radio-group/common/entities';

const _c0 = a0 => ({ inline: a0 });
function RadioGroupComponent_div_1_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 1)(1, "fusion-radio", 2);
    i0.ɵɵlistener("changed", function RadioGroupComponent_div_1_Template_fusion_radio_changed_1_listener($event) { i0.ɵɵrestoreView(_r3); const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.setSelected($event)); });
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const option_r1 = ctx.$implicit;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(8, _c0, ctx_r0.inline));
    i0.ɵɵadvance();
    i0.ɵɵproperty("name", ctx_r0.name)("value", option_r1.id)("label", option_r1.label)("icon", option_r1.icon)("tooltip", option_r1.tooltip)("checked", ctx_r0.isSelected(option_r1))("isDisabled", ctx_r0.isDisabled || option_r1.disabled);
} }
class RadioGroupComponent extends RadioGroupBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵRadioGroupComponent_BaseFactory; return function RadioGroupComponent_Factory(t) { return (ɵRadioGroupComponent_BaseFactory || (ɵRadioGroupComponent_BaseFactory = i0.ɵɵgetInheritedFactory(RadioGroupComponent)))(t || RadioGroupComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: RadioGroupComponent, selectors: [["fusion-radio-group"]], features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => RadioGroupComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 2, vars: 2, consts: [["class", "is-radio-holder", 3, "ngClass", 4, "ngFor", "ngForOf"], [1, "is-radio-holder", 3, "ngClass"], [3, "name", "value", "label", "icon", "tooltip", "checked", "isDisabled", "changed"]], template: function RadioGroupComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div");
            i0.ɵɵtemplate(1, RadioGroupComponent_div_1_Template, 2, 10, "div", 0);
            i0.ɵɵelementEnd();
        } if (rf & 2) {
            i0.ɵɵattribute("id", ctx.id);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngForOf", ctx.options);
        } }, dependencies: [i1.RadioComponent, i2.NgClass, i2.NgForOf], styles: ["fusion-radio-group{text-align:initial}fusion-radio-group+fusion-radio-group{margin-left:17px}fusion-radio-group .is-radio-holder{margin-bottom:8px}fusion-radio-group .is-radio-holder.inline{display:inline;margin-right:15px}fusion-radio-group .is-radio-holder.inline:last-child{margin-right:inherit}\n"], encapsulation: 2, changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(RadioGroupComponent, [{
        type: Component,
        args: [{ selector: 'fusion-radio-group', encapsulation: ViewEncapsulation.None, changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => RadioGroupComponent),
                        multi: true
                    }
                ], template: "<div [attr.id]=\"id\">\n    <div class=\"is-radio-holder\" *ngFor=\"let option of options\" [ngClass]=\"{inline: inline}\">\n        <fusion-radio\n            [name]=\"name\"\n            [value]=\"option.id\"\n            [label]=\"option.label\"\n            [icon]=\"option.icon\"\n            [tooltip]=\"option.tooltip\"\n            [checked]=\"isSelected(option)\"\n            [isDisabled]=\"isDisabled || option.disabled\"\n            (changed)=\"setSelected($event)\"\n        ></fusion-radio>\n    </div>\n</div>\n", styles: ["fusion-radio-group{text-align:initial}fusion-radio-group+fusion-radio-group{margin-left:17px}fusion-radio-group .is-radio-holder{margin-bottom:8px}fusion-radio-group .is-radio-holder.inline{display:inline;margin-right:15px}fusion-radio-group .is-radio-holder.inline:last-child{margin-right:inherit}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(RadioGroupComponent, { className: "RadioGroupComponent", filePath: "radio-group.component.ts", lineNumber: 19 }); })();

class RadioGroupModule {
    static { this.ɵfac = function RadioGroupModule_Factory(t) { return new (t || RadioGroupModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: RadioGroupModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [RadioModule, CommonModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(RadioGroupModule, [{
        type: NgModule,
        args: [{
                declarations: [RadioGroupComponent],
                exports: [RadioGroupComponent],
                imports: [RadioModule, CommonModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(RadioGroupModule, { declarations: [RadioGroupComponent], imports: [RadioModule, CommonModule], exports: [RadioGroupComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { RadioGroupComponent, RadioGroupModule };
//# sourceMappingURL=ironsource-fusion-ui-components-radio-group-v1.mjs.map
