import * as i3 from '@ironsource/fusion-ui/components/tooltip/v1';
import { TooltipModule } from '@ironsource/fusion-ui/components/tooltip/v1';
import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, NgModule } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
import { RadioBaseComponent } from '@ironsource/fusion-ui/components/radio/common/base';
import * as i2 from '@ironsource/fusion-ui/components/icon/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';

function RadioComponent_ng_template_2_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label", 5);
    i0.ɵɵelement(1, "span");
    i0.ɵɵelementContainer(2, 1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    const _r5 = i0.ɵɵreference(7);
    i0.ɵɵproperty("for", ctx_r0.genElementId());
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", _r5);
} }
function RadioComponent_ng_template_4_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "label", 6);
    i0.ɵɵelement(1, "span");
    i0.ɵɵelementContainer(2, 1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    const _r5 = i0.ɵɵreference(7);
    i0.ɵɵproperty("fusionTooltip", ctx_r2.tooltip)("for", ctx_r2.genElementId());
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngTemplateOutlet", _r5);
} }
function RadioComponent_ng_template_6_fusion_icon_0_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelement(0, "fusion-icon", 8);
} if (rf & 2) {
    const ctx_r6 = i0.ɵɵnextContext(2);
    i0.ɵɵproperty("name", ctx_r6.icon);
} }
function RadioComponent_ng_template_6_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵtemplate(0, RadioComponent_ng_template_6_fusion_icon_0_Template, 1, 1, "fusion-icon", 7);
    i0.ɵɵtext(1);
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵproperty("ngIf", ctx_r4.icon);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r4.label, "\n");
} }
class RadioComponent extends RadioBaseComponent {
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵRadioComponent_BaseFactory; return function RadioComponent_Factory(t) { return (ɵRadioComponent_BaseFactory || (ɵRadioComponent_BaseFactory = i0.ɵɵgetInheritedFactory(RadioComponent)))(t || RadioComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: RadioComponent, selectors: [["fusion-radio"]], features: [i0.ɵɵProvidersFeature([
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => RadioComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 8, vars: 6, consts: [["type", "radio", 3, "checked", "id", "name", "value", "disabled", "change"], [3, "ngTemplateOutlet"], ["defaultRef", ""], ["tooltipRef", ""], ["fusionIconRef", ""], [3, "for"], [1, "truncate", 3, "fusionTooltip", "for"], ["class", "fu-radio-icon", 3, "name", 4, "ngIf"], [1, "fu-radio-icon", 3, "name"]], template: function RadioComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "input", 0);
            i0.ɵɵlistener("change", function RadioComponent_Template_input_change_0_listener() { return ctx.onChanged(); });
            i0.ɵɵelementEnd();
            i0.ɵɵelementContainer(1, 1);
            i0.ɵɵtemplate(2, RadioComponent_ng_template_2_Template, 3, 2, "ng-template", null, 2, i0.ɵɵtemplateRefExtractor)(4, RadioComponent_ng_template_4_Template, 3, 3, "ng-template", null, 3, i0.ɵɵtemplateRefExtractor)(6, RadioComponent_ng_template_6_Template, 2, 2, "ng-template", null, 4, i0.ɵɵtemplateRefExtractor);
        } if (rf & 2) {
            const _r1 = i0.ɵɵreference(3);
            const _r3 = i0.ɵɵreference(5);
            i0.ɵɵproperty("checked", ctx.checked)("id", ctx.genElementId())("name", ctx.name)("value", ctx.value)("disabled", ctx.isDisabled);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngTemplateOutlet", !!ctx.tooltip ? _r3 : _r1);
        } }, dependencies: [i1.NgIf, i1.NgTemplateOutlet, i2.IconComponent, i3.TooltipDirective], styles: ["[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{font-size:13px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]{color:var(--dark-color-300, #172D4C);-webkit-user-select:none;user-select:none;cursor:pointer}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%] + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{display:inline-block;width:19px;height:19px;margin:2px 4px 0 0;vertical-align:middle;background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Ccircle%20id%3D%22a%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227.5%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Ccircle%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227%22%20stroke%3D%22%23C2CDD7%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat;cursor:pointer}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Ccircle%20id%3D%22a%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227.5%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Ccircle%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227%22%20stroke%3D%22%233091F6%22%2F%3E%3Cpath%20fill%3D%22%233091F6%22%20d%3D%22M7.5%2011a3.5%203.5%200%201%200%200-7%203.5%203.5%200%200%200%200%207z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]{color:var(--light-color-700, #95A6B8);cursor:default}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:disabled + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20xmlns%3Axlink%3D%22http%3A//www.w3.org/1999/xlink%22%3E%3Cdefs%3E%3Ccircle%20id%3D%22a%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227.5%22/%3E%3C/defs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23F3F5F7%22%20xlink%3Ahref%3D%22%23a%22/%3E%3Ccircle%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227%22%20stroke%3D%22%23C2CDD7%22/%3E%3C/g%3E%3C/svg%3E) left top no-repeat;cursor:default}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:disabled:checked + label[_ngcontent-%COMP%]{cursor:default}[_nghost-%COMP%]   input[type=radio][_ngcontent-%COMP%]:disabled:checked + label[_ngcontent-%COMP%]   span[_ngcontent-%COMP%]{background:url(data:image/svg+xml,%3Csvg%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%3E%3Cdefs%3E%3Ccircle%20id%3D%22a%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227.5%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cg%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Ccircle%20stroke%3D%22%2395A6B8%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227%22%2F%3E%3C%2Fg%3E%3Cpath%20d%3D%22M7.5%2011C9.433%2011%2011%209.433%2011%207.5S9.433%204%207.5%204%204%205.567%204%207.5%205.567%2011%207.5%2011z%22%20fill%3D%22%2395A6B8%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat;cursor:default}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon.fu-radio-icon[_ngcontent-%COMP%]{padding-right:3px;vertical-align:middle}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon.fu-radio-icon[_ngcontent-%COMP%]     svg{width:15px;height:15px}[_nghost-%COMP%]   label[_ngcontent-%COMP%]   fusion-icon.fu-radio-icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-700, #95A6B8)}"], changeDetection: 0 }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(RadioComponent, [{
        type: Component,
        args: [{ selector: 'fusion-radio', changeDetection: ChangeDetectionStrategy.OnPush, providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => RadioComponent),
                        multi: true
                    }
                ], template: "<input type=\"radio\"\n       [checked]=\"checked\"\n       [id]=\"genElementId()\"\n       [name]=\"name\"\n       [value]=\"value\"\n       [disabled]=\"isDisabled\"\n       (change)=\"onChanged()\"\n>\n<ng-container [ngTemplateOutlet]=\"!!tooltip ? tooltipRef : defaultRef\"></ng-container>\n\n\n<ng-template #defaultRef>\n  <label [for]=\"genElementId()\"><span></span>\n    <ng-container [ngTemplateOutlet]=\"fusionIconRef\"></ng-container>\n  </label>\n</ng-template>\n\n<ng-template #tooltipRef>\n  <label [fusionTooltip]=\"tooltip\" class=\"truncate\" [for]=\"genElementId()\"><span></span>\n    <ng-container [ngTemplateOutlet]=\"fusionIconRef\"></ng-container>\n  </label>\n</ng-template>\n\n<ng-template #fusionIconRef>\n  <fusion-icon class=\"fu-radio-icon\" *ngIf=\"icon\" [name]=\"icon\"></fusion-icon>\n    {{label}}\n</ng-template>\n", styles: [":host input[type=radio]+label{font-size:13px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}:host input[type=radio]{display:none}:host input[type=radio]+label{color:var(--dark-color-300, #172D4C);-webkit-user-select:none;user-select:none;cursor:pointer}:host input[type=radio]+label span{display:inline-block;width:19px;height:19px;margin:2px 4px 0 0;vertical-align:middle;background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Ccircle%20id%3D%22a%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227.5%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Ccircle%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227%22%20stroke%3D%22%23C2CDD7%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat;cursor:pointer}:host input[type=radio]:checked+label span{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%3E%3Cdefs%3E%3Ccircle%20id%3D%22a%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227.5%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Ccircle%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227%22%20stroke%3D%22%233091F6%22%2F%3E%3Cpath%20fill%3D%22%233091F6%22%20d%3D%22M7.5%2011a3.5%203.5%200%201%200%200-7%203.5%203.5%200%200%200%200%207z%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat}:host input[type=radio]:disabled+label{color:var(--light-color-700, #95A6B8);cursor:default}:host input[type=radio]:disabled+label span{background:url(data:image/svg+xml,%3Csvg%20xmlns%3D%22http%3A//www.w3.org/2000/svg%22%20width%3D%2215%22%20height%3D%2215%22%20xmlns%3Axlink%3D%22http%3A//www.w3.org/1999/xlink%22%3E%3Cdefs%3E%3Ccircle%20id%3D%22a%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227.5%22/%3E%3C/defs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cuse%20fill%3D%22%23F3F5F7%22%20xlink%3Ahref%3D%22%23a%22/%3E%3Ccircle%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227%22%20stroke%3D%22%23C2CDD7%22/%3E%3C/g%3E%3C/svg%3E) left top no-repeat;cursor:default}:host input[type=radio]:disabled:checked+label{cursor:default}:host input[type=radio]:disabled:checked+label span{background:url(data:image/svg+xml,%3Csvg%20width%3D%2215%22%20height%3D%2215%22%20viewBox%3D%220%200%2015%2015%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20xmlns%3Axlink%3D%22http%3A%2F%2Fwww.w3.org%2F1999%2Fxlink%22%3E%3Cdefs%3E%3Ccircle%20id%3D%22a%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227.5%22%2F%3E%3C%2Fdefs%3E%3Cg%20fill%3D%22none%22%20fill-rule%3D%22evenodd%22%3E%3Cg%3E%3Cuse%20fill%3D%22%23FFF%22%20xlink%3Ahref%3D%22%23a%22%2F%3E%3Ccircle%20stroke%3D%22%2395A6B8%22%20cx%3D%227.5%22%20cy%3D%227.5%22%20r%3D%227%22%2F%3E%3C%2Fg%3E%3Cpath%20d%3D%22M7.5%2011C9.433%2011%2011%209.433%2011%207.5S9.433%204%207.5%204%204%205.567%204%207.5%205.567%2011%207.5%2011z%22%20fill%3D%22%2395A6B8%22%2F%3E%3C%2Fg%3E%3C%2Fsvg%3E) left top no-repeat;cursor:default}:host label fusion-icon.fu-radio-icon{padding-right:3px;vertical-align:middle}:host label fusion-icon.fu-radio-icon ::ng-deep svg{width:15px;height:15px}:host label fusion-icon.fu-radio-icon ::ng-deep svg *{fill:var(--light-color-700, #95A6B8)}\n"] }]
    }], null, null); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(RadioComponent, { className: "RadioComponent", filePath: "radio.component.ts", lineNumber: 18 }); })();

class RadioModule {
    static { this.ɵfac = function RadioModule_Factory(t) { return new (t || RadioModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: RadioModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule, IconModule, TooltipModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(RadioModule, [{
        type: NgModule,
        args: [{
                declarations: [RadioComponent],
                exports: [RadioComponent],
                imports: [CommonModule, IconModule, TooltipModule]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(RadioModule, { declarations: [RadioComponent], imports: [CommonModule, IconModule, TooltipModule], exports: [RadioComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { RadioComponent, RadioModule };
//# sourceMappingURL=ironsource-fusion-ui-components-radio-v1.mjs.map
