import * as i0 from '@angular/core';
import { forwardRef, Component, ViewChild, NgModule } from '@angular/core';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, ReactiveFormsModule } from '@angular/forms';
import { FilterByFieldPipe } from '@ironsource/fusion-ui/pipes/collection';
import { ClonePipe } from '@ironsource/fusion-ui/pipes/clone';
import * as i4 from '@ironsource/fusion-ui/components/input/v1';
import { InputModule } from '@ironsource/fusion-ui/components/input/v1';
import { DropdownService } from '@ironsource/fusion-ui/components/dropdown/service';
import { TagsInputBaseComponent } from '@ironsource/fusion-ui/components/tags-input/common/base';
import * as i1 from '@angular/common';
import { CommonModule } from '@angular/common';
import * as i3 from '@ironsource/fusion-ui/components/tag/v1';
import { TagModule } from '@ironsource/fusion-ui/components/tag/v1';
import * as i5 from '@ironsource/fusion-ui/components/dropdown-loader/v1';
import { DropdownLoaderModule } from '@ironsource/fusion-ui/components/dropdown-loader/v1';
import * as i6 from '@ironsource/fusion-ui/directives/click-outside';
import { ClickOutsideModule } from '@ironsource/fusion-ui/directives/click-outside';
import * as i7 from '@ironsource/fusion-ui/components/dropdown-options-list/v1';
import { DropdownOptionsListModule } from '@ironsource/fusion-ui/components/dropdown-options-list/v1';
import * as i8 from '@ironsource/fusion-ui/components/button/v1';
import { ButtonModule } from '@ironsource/fusion-ui/components/button/v1';
import { IconModule } from '@ironsource/fusion-ui/components/icon/v1';
import { DropdownOptionModule } from '@ironsource/fusion-ui/components/dropdown-option/v1';
export * from '@ironsource/fusion-ui/components/tags-input/entities';

const _c0 = ["tagInput"];
function TagsInputComponent_li_4_Template(rf, ctx) { if (rf & 1) {
    const _r7 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li")(1, "fusion-tag", 8);
    i0.ɵɵlistener("onRemove", function TagsInputComponent_li_4_Template_fusion_tag_onRemove_1_listener() { const restoredCtx = i0.ɵɵrestoreView(_r7); const tag_r5 = restoredCtx.$implicit; const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.onTagRemove(tag_r5)); });
    i0.ɵɵtext(2);
    i0.ɵɵelementEnd()();
} if (rf & 2) {
    const tag_r5 = ctx.$implicit;
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵproperty("close", true)("icon", tag_r5.icon)("flag", tag_r5.flag)("suppressClickOnRemove", ctx_r0.suppressClickOnRemove)("tooltipContent", tag_r5.tooltip ? tag_r5.tooltip : tag_r5.title)("disabled", ctx_r0.isDisabled || ctx_r0.isDisabledForm);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(tag_r5.title);
} }
const _c1 = () => ({ size: "small" });
function TagsInputComponent_fusion_input_7_Template(rf, ctx) { if (rf & 1) {
    const _r10 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "fusion-input", 9, 10);
    i0.ɵɵlistener("ngEnter", function TagsInputComponent_fusion_input_7_Template_fusion_input_ngEnter_0_listener($event) { i0.ɵɵrestoreView(_r10); const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.onEnterNewTag($event)); });
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵproperty("formControl", ctx_r1.searchValue)("hidden", ctx_r1.isDisabled || ctx_r1.isDisabledForm)("loading", ctx_r1.loading && ctx_r1.bulkInsertion)("placeholder", ctx_r1.displayPlaceholder)("options", i0.ɵɵpureFunction0(5, _c1));
} }
function TagsInputComponent_span_8_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "span", 11);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r2 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate1(" ", ctx_r2.displayPlaceholder, " ");
} }
function TagsInputComponent_ng_container_9_div_1_li_5_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "li", 22);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r13 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r13.noResultMessage);
} }
function TagsInputComponent_ng_container_9_div_1_li_6_Template(rf, ctx) { if (rf & 1) {
    const _r17 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "li", 23)(1, "a", 24);
    i0.ɵɵlistener("click", function TagsInputComponent_ng_container_9_div_1_li_6_Template_a_click_1_listener($event) { i0.ɵɵrestoreView(_r17); const ctx_r16 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r16.addCustomPredefinedTag($event)); });
    i0.ɵɵtext(2, " Create new tag: ");
    i0.ɵɵelementEnd();
    i0.ɵɵtext(3);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r14 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance(3);
    i0.ɵɵtextInterpolate1("\"", ctx_r14.searchValue.value, "\" ");
} }
function TagsInputComponent_ng_container_9_div_1_div_9_a_1_Template(rf, ctx) { if (rf & 1) {
    const _r20 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "a", 30);
    i0.ɵɵlistener("click", function TagsInputComponent_ng_container_9_div_1_div_9_a_1_Template_a_click_0_listener($event) { i0.ɵɵrestoreView(_r20); const ctx_r19 = i0.ɵɵnextContext(4); return i0.ɵɵresetView(ctx_r19.onClearSelectionClicked($event)); });
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r18 = i0.ɵɵnextContext(4);
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r18.clearAllText);
} }
function TagsInputComponent_ng_container_9_div_1_div_9_Template(rf, ctx) { if (rf & 1) {
    const _r22 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 25);
    i0.ɵɵtemplate(1, TagsInputComponent_ng_container_9_div_1_div_9_a_1_Template, 2, 1, "a", 26);
    i0.ɵɵelementStart(2, "div", 27)(3, "button", 28);
    i0.ɵɵlistener("click", function TagsInputComponent_ng_container_9_div_1_div_9_Template_button_click_3_listener() { i0.ɵɵrestoreView(_r22); const ctx_r21 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r21.onCancelSelection()); });
    i0.ɵɵtext(4, "Cancel");
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(5, "button", 29);
    i0.ɵɵlistener("click", function TagsInputComponent_ng_container_9_div_1_div_9_Template_button_click_5_listener() { i0.ɵɵrestoreView(_r22); const ctx_r23 = i0.ɵɵnextContext(3); return i0.ɵɵresetView(ctx_r23.onApplySelection()); });
    i0.ɵɵtext(6, "Apply");
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const ctx_r15 = i0.ɵɵnextContext(3);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r15.hasClearAll);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("disabled", ctx_r15.loading);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("disabled", ctx_r15.loading);
} }
const _c2 = a0 => ({ "dd-scroll": a0 });
function TagsInputComponent_ng_container_9_div_1_Template(rf, ctx) { if (rf & 1) {
    const _r25 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 13)(1, "div", 14, 15);
    i0.ɵɵlistener("scroll", function TagsInputComponent_ng_container_9_div_1_Template_div_scroll_1_listener($event) { i0.ɵɵrestoreView(_r25); const ctx_r24 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r24.onScroll($event)); });
    i0.ɵɵelementStart(3, "ul", 16);
    i0.ɵɵelement(4, "li", 17);
    i0.ɵɵtemplate(5, TagsInputComponent_ng_container_9_div_1_li_5_Template, 2, 1, "li", 18)(6, TagsInputComponent_ng_container_9_div_1_li_6_Template, 4, 1, "li", 19);
    i0.ɵɵelementStart(7, "fusion-dropdown-options-list", 20);
    i0.ɵɵlistener("changeSelected", function TagsInputComponent_ng_container_9_div_1_Template_fusion_dropdown_options_list_changeSelected_7_listener($event) { i0.ɵɵrestoreView(_r25); const ctx_r26 = i0.ɵɵnextContext(2); return i0.ɵɵresetView(ctx_r26.changeSelected({ option: $event.option, $event: $event.$event })); });
    i0.ɵɵpipe(8, "async");
    i0.ɵɵelementEnd()()();
    i0.ɵɵtemplate(9, TagsInputComponent_ng_container_9_div_1_div_9_Template, 7, 3, "div", 21);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r11 = i0.ɵɵnextContext(2);
    i0.ɵɵclassProp("has-footer", !!ctx_r11.footer);
    i0.ɵɵproperty("ngClass", i0.ɵɵpureFunction1(12, _c2, ctx_r11.hasScroll));
    i0.ɵɵadvance(4);
    i0.ɵɵproperty("fusionDropdownLoader", ctx_r11.autoComplete && ctx_r11.loading);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r11.isNoResults() && !ctx_r11.isAddTagsAllowed);
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", ctx_r11.isPredefinedTags && ctx_r11.isAddCustomTag);
    i0.ɵɵadvance();
    i0.ɵɵproperty("displayedOptions", i0.ɵɵpipeBind1(8, 10, ctx_r11.filteredDisplayedOptions$))("isMultiRawDisplay", ctx_r11.isMultiRawDisplay)("mappingOptions", ctx_r11.mappingOptions);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngIf", ctx_r11.footer);
} }
function TagsInputComponent_ng_container_9_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵtemplate(1, TagsInputComponent_ng_container_9_div_1_Template, 10, 14, "div", 12);
    i0.ɵɵpipe(2, "async");
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r3 = i0.ɵɵnextContext();
    let tmp_0_0;
    i0.ɵɵadvance();
    i0.ɵɵproperty("ngIf", (ctx_r3.searchValue.value || ((tmp_0_0 = i0.ɵɵpipeBind1(2, 1, ctx_r3.filteredDisplayedOptions$)) == null ? null : tmp_0_0.length) || ctx_r3.loading) && !ctx_r3.generateOnlyCustomTags);
} }
function TagsInputComponent_div_10_Template(rf, ctx) { if (rf & 1) {
    i0.ɵɵelementStart(0, "div", 31);
    i0.ɵɵtext(1);
    i0.ɵɵelementEnd();
} if (rf & 2) {
    const ctx_r4 = i0.ɵɵnextContext();
    i0.ɵɵadvance();
    i0.ɵɵtextInterpolate(ctx_r4.error);
} }
const _c3 = (a0, a1, a2) => ({ "is-icon-right-position": a0, "dd-opened": a1, "ss-selected": a2 });
const _c4 = a0 => ({ "max-height.px": a0 });
class TagsInputComponent extends TagsInputBaseComponent {
    set tagInput(value) {
        if (!!value && !!value.elementRef && !!value.elementRef.nativeElement) {
            if (this.isAddTagsAllowed || this.autoComplete) {
                this.inputElement = value.elementRef.nativeElement.querySelector('input');
            }
        }
    }
    static { this.ɵfac = /*@__PURE__*/ (() => { let ɵTagsInputComponent_BaseFactory; return function TagsInputComponent_Factory(t) { return (ɵTagsInputComponent_BaseFactory || (ɵTagsInputComponent_BaseFactory = i0.ɵɵgetInheritedFactory(TagsInputComponent)))(t || TagsInputComponent); }; })(); }
    static { this.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TagsInputComponent, selectors: [["fusion-tags-input"]], viewQuery: function TagsInputComponent_Query(rf, ctx) { if (rf & 1) {
            i0.ɵɵviewQuery(_c0, 5);
        } if (rf & 2) {
            let _t;
            i0.ɵɵqueryRefresh(_t = i0.ɵɵloadQuery()) && (ctx.tagInput = _t.first);
        } }, features: [i0.ɵɵProvidersFeature([
                ClonePipe,
                FilterByFieldPipe,
                DropdownService,
                {
                    provide: NG_VALUE_ACCESSOR,
                    useExisting: forwardRef(() => TagsInputComponent),
                    multi: true
                }
            ]), i0.ɵɵInheritDefinitionFeature], decls: 11, vars: 26, consts: [[1, "is-tags-holder", 3, "id", "clickOutsideActivate", "clickOutsideByCoordinates", "ngClass", "fusionClickOutside"], [1, "tags-holder", 3, "ngStyle", "click"], [4, "ngFor", "ngForOf"], [1, "search-container"], [3, "formControl", "hidden", "loading", "placeholder", "options", "ngEnter", 4, "ngIf"], ["class", "placeholder", 4, "ngIf"], [4, "ngIf"], ["class", "error-msg", 4, "ngIf"], [3, "close", "icon", "flag", "suppressClickOnRemove", "tooltipContent", "disabled", "onRemove"], [3, "formControl", "hidden", "loading", "placeholder", "options", "ngEnter"], ["tagInput", ""], [1, "placeholder"], ["class", "options-dropdown", 3, "has-footer", "ngClass", 4, "ngIf"], [1, "options-dropdown", 3, "ngClass"], [1, "options-holder", 3, "scroll"], ["optionsHolder", ""], [1, "options"], [1, "auto-complete-loading", 3, "fusionDropdownLoader"], ["class", "no-results", 4, "ngIf"], ["class", "auto-complete-loading", 4, "ngIf"], [3, "displayedOptions", "isMultiRawDisplay", "mappingOptions", "changeSelected"], ["class", "is-footer", 4, "ngIf"], [1, "no-results"], [1, "auto-complete-loading"], ["href", "#", 1, "is-add-tag", 3, "click"], [1, "is-footer"], ["href", "#", "fusion-button", "", "class", "button-clear", 3, "click", 4, "ngIf"], [1, "fu-footer-buttons-holder"], ["type", "button", "fusion-button", "", 1, "secondary", "small", 3, "disabled", "click"], ["type", "button", "fusion-button", "", 1, "primary", "small", 3, "disabled", "click"], ["href", "#", "fusion-button", "", 1, "button-clear", 3, "click"], [1, "error-msg"]], template: function TagsInputComponent_Template(rf, ctx) { if (rf & 1) {
            i0.ɵɵelementStart(0, "div", 0);
            i0.ɵɵlistener("fusionClickOutside", function TagsInputComponent_Template_div_fusionClickOutside_0_listener() { return ctx.onOutsideClick(); });
            i0.ɵɵpipe(1, "async");
            i0.ɵɵpipe(2, "async");
            i0.ɵɵelementStart(3, "ul", 1);
            i0.ɵɵlistener("click", function TagsInputComponent_Template_ul_click_3_listener() { return ctx.setFocusToInput(); });
            i0.ɵɵtemplate(4, TagsInputComponent_li_4_Template, 3, 7, "li", 2);
            i0.ɵɵpipe(5, "async");
            i0.ɵɵelementStart(6, "li", 3);
            i0.ɵɵtemplate(7, TagsInputComponent_fusion_input_7_Template, 2, 6, "fusion-input", 4)(8, TagsInputComponent_span_8_Template, 2, 1, "span", 5);
            i0.ɵɵelementEnd()();
            i0.ɵɵtemplate(9, TagsInputComponent_ng_container_9_Template, 3, 3, "ng-container", 6);
            i0.ɵɵelementEnd();
            i0.ɵɵtemplate(10, TagsInputComponent_div_10_Template, 2, 1, "div", 7);
        } if (rf & 2) {
            i0.ɵɵclassProp("tags-disabled", ctx.isDisabled || ctx.isDisabledForm)("is-autocomplete", ctx.autoComplete);
            i0.ɵɵproperty("id", ctx.id)("clickOutsideActivate", i0.ɵɵpipeBind1(1, 14, ctx.isOpen$))("clickOutsideByCoordinates", true)("ngClass", i0.ɵɵpureFunction3(20, _c3, ctx.isIconRightPosition, i0.ɵɵpipeBind1(2, 16, ctx.isOpen$), (ctx.selected == null ? null : ctx.selected.length) > 0));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngStyle", i0.ɵɵpureFunction1(24, _c4, ctx.maxHeight));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngForOf", i0.ɵɵpipeBind1(5, 18, ctx.displaySelectedTags$));
            i0.ɵɵadvance(3);
            i0.ɵɵproperty("ngIf", !(ctx.isDisabled || ctx.isDisabledForm) && (ctx.isAddTagsAllowed || ctx.autoComplete));
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.isDisabled || ctx.isDisabledForm);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", !ctx.bulkInsertion);
            i0.ɵɵadvance();
            i0.ɵɵproperty("ngIf", ctx.error);
        } }, dependencies: [i1.NgClass, i1.NgForOf, i1.NgIf, i1.NgStyle, i2.NgControlStatus, i2.FormControlDirective, i3.TagComponent, i4.InputComponent, i5.DropdownLoaderDirective, i6.ClickOutsideDirective, i7.DropdownOptionsListComponent, i8.ButtonComponent, i1.AsyncPipe], styles: ["[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]{font-size:13px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}[_nghost-%COMP%]   a[_ngcontent-%COMP%]{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{font-size:11px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .is-id[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   .is-id[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id, [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:700}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}[_nghost-%COMP%]   *[_ngcontent-%COMP%]{box-sizing:border-box}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label.truncate[_ngcontent-%COMP%]{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}[_nghost-%COMP%]{margin:0;padding:0;vertical-align:initial;text-align:initial}[_nghost-%COMP%]   ul[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]{padding:0;margin:0}[_nghost-%COMP%]   ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%], [_nghost-%COMP%]   ol[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{list-style:none}[_nghost-%COMP%]   a[_ngcontent-%COMP%]{text-decoration:none;color:var(--primary-color, #3091F6);cursor:pointer}[_nghost-%COMP%]   a[_ngcontent-%COMP%]:link, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:visited, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   a[_ngcontent-%COMP%]:active{color:var(--primary-color, #3091F6)}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .tags-holder[_ngcontent-%COMP%]::-webkit-scrollbar-track{border-radius:4px;background-color:#fff}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .tags-holder[_ngcontent-%COMP%]::-webkit-scrollbar{width:14px;height:14px;background-color:#fff}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .tags-holder[_ngcontent-%COMP%]::-webkit-scrollbar-thumb{border:5px solid rgba(0,0,0,0);background-clip:padding-box;border-radius:4px;background-color:var(--light-color-600, #C2CDD7)}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{border-radius:var(--border-radius, 3px)}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{border:1px solid var(--light-color, #E1E6EB)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{border-top-right-radius:0!important}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{border-top-left-radius:0!important}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-right.options-dropdown[_ngcontent-%COMP%]{left:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-locate-left.options-dropdown[_ngcontent-%COMP%]{right:auto}[_nghost-%COMP%]{min-width:85px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{position:absolute;left:0;right:0;top:100%;margin-top:1px;max-height:0;background:#FFF;box-shadow:0 2px 4px #0000004d;border:solid 1px var(--light-color-400, #E4E9ED);display:none}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding:3px 0;overflow:hidden;overflow-y:auto}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]{color:var(--dark-color-300, #172D4C);height:30px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]   .is-add-tag[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .auto-complete-loading[_ngcontent-%COMP%]   .is-add-tag[_ngcontent-%COMP%]{color:var(--primary-color, #3091F6);padding:5px 5px 5px 20px;display:inline-block}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:248px;overflow-x:hidden}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-disabled[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:282px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:230px}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{color:var(--dark-color-300, #172D4C)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   .is-dd-group[_ngcontent-%COMP%]{text-transform:uppercase;color:var(--light-color-800, #678099);background-color:var(--light-color-300, #EAEEF1);cursor:default;padding:5px 11px 4px;display:block;line-height:1}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id, [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]     .is-id{color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .is-hidden[_ngcontent-%COMP%]{display:none}[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .no-results[_ngcontent-%COMP%]{background:none;cursor:initial;padding:5px 15px;color:var(--light-color-800, #678099)}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]{position:relative;text-align:right;background-color:var(--light-color-100, #F9FAFB);padding:7px;margin:0 -1px;border:solid 1px var(--light-color, #E1E6EB);box-shadow:0 2px 4px #0000004d}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   button[_ngcontent-%COMP%] + button[_ngcontent-%COMP%]{margin-left:2px}[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .dd-actions[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .is-footer[_ngcontent-%COMP%]   a.button-clear[_ngcontent-%COMP%]{color:var(--tags-input-footer-color-button-color, var(--light-color-900, #52677B));text-decoration:underline;text-align:initial;padding:initial;height:initial;background-image:initial;border:none;position:absolute;left:16px;bottom:13px;font-weight:400}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{max-height:278px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-confirm[_ngcontent-%COMP%]{max-height:315px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown.dd-scroll[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]{padding-bottom:0;height:100%;max-height:230px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option[_ngcontent-%COMP%]{height:30px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option.is-group[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li.option.is-group[_ngcontent-%COMP%]{height:20px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]{padding:4px 22px 5px 10px;cursor:pointer;display:block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]:hover{background-color:var(--light-color-100, #F9FAFB)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   img[_ngcontent-%COMP%]{max-width:19px;height:auto;vertical-align:middle;margin-right:3px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{margin-right:1px;margin-top:-3px;vertical-align:middle;display:inline-block}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-600, #C2CDD7)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.dd-opened[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   .options-holder[_ngcontent-%COMP%]   .options.multi[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   .is-option-label[_ngcontent-%COMP%]   fusion-flag[_ngcontent-%COMP%]{margin-right:6px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]{position:relative}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]{position:absolute;right:10px;top:11px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg{width:13px;height:13px}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *, [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-icon-right-position[_ngcontent-%COMP%]   .options[_ngcontent-%COMP%]   .option[_ngcontent-%COMP%]   fusion-icon.icon[_ngcontent-%COMP%]     svg *{fill:var(--light-color-600, #C2CDD7)}[_nghost-%COMP%]   .is-dropdown.is-multiselect.is-with-confirm[_ngcontent-%COMP%], [_nghost-%COMP%]   .is-tags-holder.is-multiselect.is-with-confirm[_ngcontent-%COMP%]{min-width:162px}[_nghost-%COMP%]   .is-dropdown.is-tab-mode[_ngcontent-%COMP%]:hover, [_nghost-%COMP%]   .is-tags-holder.is-tab-mode[_ngcontent-%COMP%]:hover{background-color:var(--light-color-100, #F9FAFB)}.filter[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]{display:inline-block}.filter[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{width:250px}.title.inline[_nghost-%COMP%], .title.medium[_nghost-%COMP%]{display:inline-block}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{box-sizing:border-box;border-color:var(--light-color, #E1E6EB);min-height:32px;padding:2px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul.tags-holder[_ngcontent-%COMP%]{display:flex;flex-wrap:wrap}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{display:inline-flex;margin:2px -3px 2px 2px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li.search-container[_ngcontent-%COMP%]{flex:1 1 auto}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li.search-container[_ngcontent-%COMP%]   is-input[_ngcontent-%COMP%]{width:100%}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]   is-tag[_ngcontent-%COMP%]{height:24px;line-height:23px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]     .fu-input{border:none;width:100%;padding:0;height:20px;margin:2px}.dd-tab-active[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]{border-bottom:2px solid var(--primary-color, #3091F6)}.dd-tab-active[_nghost-%COMP%]   .is-dropdown.dd-opened[_ngcontent-%COMP%]{border-bottom-color:transparent}.dd-tab-active[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]:hover{background-color:transparent}.dd-tab-active[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]:hover   .dropdown-arrow-container[_ngcontent-%COMP%]{background-color:var(--light-color-100, #F9FAFB)}[_nghost-%COMP%]   .error-msg[_ngcontent-%COMP%]{color:var(--negative-color, #e1174c);margin-top:3px}.fu-options-position-up[_nghost-%COMP%]   .is-dropdown[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%], .fu-options-position-up[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{top:inherit;bottom:calc(100% + 2px)}[_nghost-%COMP%]{max-width:none!important}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{box-sizing:border-box;border-color:var(--light-color, #E1E6EB);padding:0 2px;width:100%}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%] > ul[_ngcontent-%COMP%]   li[_ngcontent-%COMP%]{display:inline-flex;margin:3px -3px 1px 2px}[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   .tags-holder[_ngcontent-%COMP%]{min-height:30px;overflow-y:auto;overflow-x:hidden}[_nghost-%COMP%]   .is-tags-holder.tags-disabled[_ngcontent-%COMP%]{background-image:linear-gradient(to bottom,#fff,var(--light-color-200, #F3F5F7));pointer-events:none}[_nghost-%COMP%]   .is-tags-holder.tags-disabled[_ngcontent-%COMP%]   .placeholder[_ngcontent-%COMP%]{color:var(--light-color-800, #678099);padding-left:5px}[_nghost-%COMP%]   .is-tags-holder.dd-opened.is-autocomplete[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{visibility:visible}[_nghost-%COMP%]   .is-tags-holder.dd-opened.is-autocomplete[_ngcontent-%COMP%]   .options-dropdown.has-footer[_ngcontent-%COMP%]{max-height:296px}.is-active[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]{border-color:var(--primary-color, #3091F6)}.is-active[_nghost-%COMP%]   .is-tags-holder[_ngcontent-%COMP%]   ul[_ngcontent-%COMP%]{min-height:28px}.is-active[_nghost-%COMP%]   .is-tags-input-dropdown-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]{max-height:255px}.is-active[_nghost-%COMP%]   .is-tags-input-dropdown-holder[_ngcontent-%COMP%]   .options-dropdown[_ngcontent-%COMP%]   ul.options[_ngcontent-%COMP%]{min-height:inherit}"] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TagsInputComponent, [{
        type: Component,
        args: [{ selector: 'fusion-tags-input', providers: [
                    ClonePipe,
                    FilterByFieldPipe,
                    DropdownService,
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef(() => TagsInputComponent),
                        multi: true
                    }
                ], template: "<div\n    [id]=\"id\"\n    class=\"is-tags-holder\"\n    [clickOutsideActivate]=\"isOpen$ | async\"\n    [clickOutsideByCoordinates]=\"true\"\n    (fusionClickOutside)=\"onOutsideClick()\"\n    [ngClass]=\"{'is-icon-right-position': isIconRightPosition, 'dd-opened': isOpen$ | async, 'ss-selected': selected?.length > 0}\"\n    [class.tags-disabled]=\"isDisabled || isDisabledForm\"\n    [class.is-autocomplete]=\"autoComplete\"\n>\n    <!--tags list holder-->\n    <ul class=\"tags-holder\" [ngStyle]=\"{'max-height.px': maxHeight}\" (click)=\"setFocusToInput()\">\n        <li *ngFor=\"let tag of (displaySelectedTags$ | async)\">\n            <fusion-tag\n                [close]=\"true\"\n                (onRemove)=\"onTagRemove(tag)\"\n                [icon]=\"tag.icon\"\n                [flag]=\"tag.flag\"\n                [suppressClickOnRemove]=\"suppressClickOnRemove\"\n                [tooltipContent]=\"tag.tooltip ? tag.tooltip : tag.title\"\n                [disabled]=\"isDisabled || isDisabledForm\"\n            >{{ tag.title }}</fusion-tag\n            >\n        </li>\n        <li class=\"search-container\">\n            <fusion-input\n                #tagInput\n                [formControl]=\"searchValue\"\n                *ngIf=\"!(isDisabled || isDisabledForm) && (isAddTagsAllowed || autoComplete)\"\n                [hidden]=\"isDisabled || isDisabledForm\"\n                [loading]=\"loading && bulkInsertion\"\n                [placeholder]=\"displayPlaceholder\"\n                (ngEnter)=\"onEnterNewTag($event)\"\n                [options]=\"{size: 'small'}\"\n            ></fusion-input>\n            <span class=\"placeholder\" *ngIf=\"isDisabled || isDisabledForm\">\n                {{ displayPlaceholder }}\n            </span>\n        </li>\n    </ul>\n    <!--tags list holder END-->\n    <ng-container *ngIf=\"!bulkInsertion\">\n        <div\n            class=\"options-dropdown\"\n            [class.has-footer]=\"!!footer\"\n            [ngClass]=\"{'dd-scroll': hasScroll}\"\n            *ngIf=\"(searchValue.value || (filteredDisplayedOptions$ | async)?.length || loading) && !generateOnlyCustomTags\"\n        >\n            <div class=\"options-holder\" (scroll)=\"onScroll($event)\" #optionsHolder>\n                <ul class=\"options\">\n                    <li [fusionDropdownLoader]=\"autoComplete && loading\" class=\"auto-complete-loading\"></li>\n                    <li *ngIf=\"isNoResults() && !isAddTagsAllowed\" class=\"no-results\">{{ noResultMessage }}</li>\n                    <li *ngIf=\"isPredefinedTags && isAddCustomTag\"\n                        class=\"auto-complete-loading\">\n                        <a class=\"is-add-tag\" href=\"#\" (click)=\"addCustomPredefinedTag($event)\"> Create new tag: </a>\"{{\n                        searchValue.value\n                        }}\"\n                    </li>\n\n                    <fusion-dropdown-options-list\n                        [displayedOptions]=\"filteredDisplayedOptions$ | async\"\n                        [isMultiRawDisplay]=\"isMultiRawDisplay\"\n                        [mappingOptions]=\"mappingOptions\"\n                        (changeSelected)=\"changeSelected({option: $event.option, $event: $event.$event})\"\n                    >\n                    </fusion-dropdown-options-list>\n                </ul>\n            </div>\n            <!-- footer -->\n            <div class=\"is-footer\" *ngIf=\"footer\">\n                <a *ngIf=\"hasClearAll\" href=\"#\" fusion-button class=\"button-clear\" (click)=\"onClearSelectionClicked($event)\">{{clearAllText}}</a>\n                <div class=\"fu-footer-buttons-holder\">\n                    <button\n                        type=\"button\"\n                        fusion-button\n                        class=\"secondary small\"\n                        [disabled]=\"loading\"\n                        (click)=\"onCancelSelection()\"\n                    >Cancel</button>\n                    <button\n                        type=\"button\"\n                        fusion-button\n                        class=\"primary small\"\n                        [disabled]=\"loading\"\n                        (click)=\"onApplySelection()\"\n                    >Apply</button>\n                </div>\n            </div>\n            <!-- footer/ -->\n        </div>\n    </ng-container>\n</div>\n<div class=\"error-msg\" *ngIf=\"error\">{{ error }}</div>\n", styles: [":host .is-dropdown .options-dropdown .options-holder .options .auto-complete-loading,:host .is-tags-holder .options-dropdown .options-holder .options .auto-complete-loading{font-size:13px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}:host a{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:600}:host .error-msg{font-size:12px;font-family:var(--regular-font-family, \"Open Sans\");font-weight:400}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option .is-dd-group,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option .is-dd-group{font-size:11px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .is-id,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label .is-id,:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer,:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:700}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{font-size:12px;font-family:var(--body-font-family, \"HelveticaNeue\");font-weight:400}:host *{box-sizing:border-box}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label.truncate{width:100%;display:inline-block;white-space:nowrap;overflow:hidden!important;text-overflow:ellipsis}:host{margin:0;padding:0;vertical-align:initial;text-align:initial}:host ul,:host ol{padding:0;margin:0}:host ul li,:host ol li{list-style:none}:host a{text-decoration:none;color:var(--primary-color, #3091F6);cursor:pointer}:host a:link,:host a:visited,:host a:hover,:host a:active{color:var(--primary-color, #3091F6)}:host .is-tags-holder .tags-holder::-webkit-scrollbar-track{border-radius:4px;background-color:#fff}:host .is-tags-holder .tags-holder::-webkit-scrollbar{width:14px;height:14px;background-color:#fff}:host .is-tags-holder .tags-holder::-webkit-scrollbar-thumb{border:5px solid rgba(0,0,0,0);background-clip:padding-box;border-radius:4px;background-color:var(--light-color-600, #C2CDD7)}:host .is-tags-holder,:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer,:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{border-radius:var(--border-radius, 3px)}:host .is-tags-holder{border:1px solid var(--light-color, #E1E6EB)}:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer{border-top-right-radius:0!important}:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer{border-top-left-radius:0!important}:host .is-dropdown .options-locate-right.options-dropdown,:host .is-tags-holder .options-locate-right.options-dropdown{left:auto}:host .is-dropdown .options-locate-left.options-dropdown,:host .is-tags-holder .options-locate-left.options-dropdown{right:auto}:host{min-width:85px}:host .is-dropdown,:host .is-tags-holder{position:relative}:host .is-dropdown .options-dropdown,:host .is-tags-holder .options-dropdown{position:absolute;left:0;right:0;top:100%;margin-top:1px;max-height:0;background:#FFF;box-shadow:0 2px 4px #0000004d;border:solid 1px var(--light-color-400, #E4E9ED);display:none}:host .is-dropdown .options-dropdown .options-holder,:host .is-tags-holder .options-dropdown .options-holder{padding:3px 0;overflow:hidden;overflow-y:auto}:host .is-dropdown .options-dropdown .options-holder .options .auto-complete-loading,:host .is-tags-holder .options-dropdown .options-holder .options .auto-complete-loading{color:var(--dark-color-300, #172D4C);height:30px}:host .is-dropdown .options-dropdown .options-holder .options .auto-complete-loading .is-add-tag,:host .is-tags-holder .options-dropdown .options-holder .options .auto-complete-loading .is-add-tag{color:var(--primary-color, #3091F6);padding:5px 5px 5px 20px;display:inline-block}:host .is-dropdown.dd-opened .options-dropdown,:host .is-tags-holder.dd-opened .options-dropdown{display:block;visibility:hidden;overflow-y:auto;z-index:1001;max-height:248px;overflow-x:hidden}:host .is-dropdown.dd-opened .options-dropdown.dd-disabled,:host .is-tags-holder.dd-opened .options-dropdown.dd-disabled{display:none}:host .is-dropdown.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.dd-opened .options-dropdown.dd-confirm{max-height:282px}:host .is-dropdown.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:230px}:host .is-dropdown.dd-opened .options-dropdown .options-holder,:host .is-tags-holder.dd-opened .options-dropdown .options-holder{color:var(--dark-color-300, #172D4C)}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option .is-dd-group,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option .is-dd-group{text-transform:uppercase;color:var(--light-color-800, #678099);background-color:var(--light-color-300, #EAEEF1);cursor:default;padding:5px 11px 4px;display:block;line-height:1}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .option ::ng-deep .is-id{color:var(--light-color-800, #678099)}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .is-hidden,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .is-hidden{display:none}:host .is-dropdown.dd-opened .options-dropdown .options-holder .options .no-results,:host .is-tags-holder.dd-opened .options-dropdown .options-holder .options .no-results{background:none;cursor:initial;padding:5px 15px;color:var(--light-color-800, #678099)}:host .is-dropdown .dd-actions,:host .is-dropdown .is-footer,:host .is-tags-holder .dd-actions,:host .is-tags-holder .is-footer{position:relative;text-align:right;background-color:var(--light-color-100, #F9FAFB);padding:7px;margin:0 -1px;border:solid 1px var(--light-color, #E1E6EB);box-shadow:0 2px 4px #0000004d}:host .is-dropdown .dd-actions button+button,:host .is-dropdown .is-footer button+button,:host .is-tags-holder .dd-actions button+button,:host .is-tags-holder .is-footer button+button{margin-left:2px}:host .is-dropdown .dd-actions a.button-clear,:host .is-dropdown .is-footer a.button-clear,:host .is-tags-holder .dd-actions a.button-clear,:host .is-tags-holder .is-footer a.button-clear{color:var(--tags-input-footer-color-button-color, var(--light-color-900, #52677B));text-decoration:underline;text-align:initial;padding:initial;height:initial;background-image:initial;border:none;position:absolute;left:16px;bottom:13px;font-weight:400}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown{max-height:278px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-confirm,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-confirm{max-height:315px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown.dd-scroll .options-holder{padding-bottom:0;height:100%;max-height:230px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option{height:30px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option.is-group,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li.option.is-group{height:20px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label{padding:4px 22px 5px 10px;cursor:pointer;display:block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label:hover,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label:hover{background-color:var(--light-color-100, #F9FAFB)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label img{max-width:19px;height:auto;vertical-align:middle;margin-right:3px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon{margin-right:1px;margin-top:-3px;vertical-align:middle;display:inline-block}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-icon.icon ::ng-deep svg *{fill:var(--light-color-600, #C2CDD7)}:host .is-dropdown.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag,:host .is-tags-holder.is-multiselect.dd-opened .options-dropdown .options-holder .options.multi li .is-option-label fusion-flag{margin-right:6px}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option{position:relative}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option fusion-icon.icon,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option fusion-icon.icon{position:absolute;right:10px;top:11px}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg{width:13px;height:13px}:host .is-dropdown.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg *,:host .is-tags-holder.is-multiselect.is-icon-right-position .options .option fusion-icon.icon ::ng-deep svg *{fill:var(--light-color-600, #C2CDD7)}:host .is-dropdown.is-multiselect.is-with-confirm,:host .is-tags-holder.is-multiselect.is-with-confirm{min-width:162px}:host .is-dropdown.is-tab-mode:hover,:host .is-tags-holder.is-tab-mode:hover{background-color:var(--light-color-100, #F9FAFB)}:host.filter .is-dropdown{display:inline-block}:host.filter .is-dropdown .options-dropdown{width:250px}:host.title.inline,:host.title.medium{display:inline-block}:host .is-tags-holder{box-sizing:border-box;border-color:var(--light-color, #E1E6EB);min-height:32px;padding:2px}:host .is-tags-holder>ul.tags-holder{display:flex;flex-wrap:wrap}:host .is-tags-holder>ul li{display:inline-flex;margin:2px -3px 2px 2px}:host .is-tags-holder>ul li.search-container{flex:1 1 auto}:host .is-tags-holder>ul li.search-container is-input{width:100%}:host .is-tags-holder>ul li is-tag{height:24px;line-height:23px}:host .is-tags-holder>ul li ::ng-deep .fu-input{border:none;width:100%;padding:0;height:20px;margin:2px}:host.dd-tab-active .is-dropdown{border-bottom:2px solid var(--primary-color, #3091F6)}:host.dd-tab-active .is-dropdown.dd-opened{border-bottom-color:transparent}:host.dd-tab-active .is-dropdown:hover{background-color:transparent}:host.dd-tab-active .is-dropdown:hover .dropdown-arrow-container{background-color:var(--light-color-100, #F9FAFB)}:host .error-msg{color:var(--negative-color, #e1174c);margin-top:3px}:host.fu-options-position-up .is-dropdown .options-dropdown,:host.fu-options-position-up .is-tags-holder .options-dropdown{top:inherit;bottom:calc(100% + 2px)}:host{max-width:none!important}:host .is-tags-holder{box-sizing:border-box;border-color:var(--light-color, #E1E6EB);padding:0 2px;width:100%}:host .is-tags-holder>ul li{display:inline-flex;margin:3px -3px 1px 2px}:host .is-tags-holder .tags-holder{min-height:30px;overflow-y:auto;overflow-x:hidden}:host .is-tags-holder.tags-disabled{background-image:linear-gradient(to bottom,#fff,var(--light-color-200, #F3F5F7));pointer-events:none}:host .is-tags-holder.tags-disabled .placeholder{color:var(--light-color-800, #678099);padding-left:5px}:host .is-tags-holder.dd-opened.is-autocomplete .options-dropdown{visibility:visible}:host .is-tags-holder.dd-opened.is-autocomplete .options-dropdown.has-footer{max-height:296px}:host.is-active .is-tags-holder{border-color:var(--primary-color, #3091F6)}:host.is-active .is-tags-holder ul{min-height:28px}:host.is-active .is-tags-input-dropdown-holder .options-dropdown{max-height:255px}:host.is-active .is-tags-input-dropdown-holder .options-dropdown ul.options{min-height:inherit}\n"] }]
    }], null, { tagInput: [{
            type: ViewChild,
            args: ['tagInput']
        }] }); })();
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassDebugInfo(TagsInputComponent, { className: "TagsInputComponent", filePath: "tags-input.component.ts", lineNumber: 24 }); })();

class TagsInputModule {
    static { this.ɵfac = function TagsInputModule_Factory(t) { return new (t || TagsInputModule)(); }; }
    static { this.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: TagsInputModule }); }
    static { this.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [CommonModule,
            ReactiveFormsModule,
            TagModule,
            IconModule,
            InputModule,
            DropdownOptionModule,
            DropdownLoaderModule,
            ClickOutsideModule,
            DropdownOptionsListModule,
            ButtonModule] }); }
}
(() => { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TagsInputModule, [{
        type: NgModule,
        args: [{
                declarations: [TagsInputComponent],
                exports: [TagsInputComponent],
                imports: [
                    CommonModule,
                    ReactiveFormsModule,
                    TagModule,
                    IconModule,
                    InputModule,
                    DropdownOptionModule,
                    DropdownLoaderModule,
                    ClickOutsideModule,
                    DropdownOptionsListModule,
                    ButtonModule
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(TagsInputModule, { declarations: [TagsInputComponent], imports: [CommonModule,
        ReactiveFormsModule,
        TagModule,
        IconModule,
        InputModule,
        DropdownOptionModule,
        DropdownLoaderModule,
        ClickOutsideModule,
        DropdownOptionsListModule,
        ButtonModule], exports: [TagsInputComponent] }); })();

/**
 * Generated bundle index. Do not edit.
 */

export { TagsInputComponent, TagsInputModule };
//# sourceMappingURL=ironsource-fusion-ui-components-tags-input-v1.mjs.map
